import numpy
import types
import mosek

def _():
  import types

  class Enum:
    @staticmethod
    def __inst(c,name):
      o = c()
      o.name  = name
      o.value = len(c.__members__)
      c.__members__.append(o)
      setattr(c, name, o)

    @classmethod
    def fromInt(c,value):
      return c.members[value]

    @staticmethod
    def new(name,membernames):
      members = []
      c = type(name, (Enum,),{ '__members__' : members })
      for n in membernames:
        Enum.__inst(c,n)
      return c
    @classmethod
    def members(c):
      return iter(c.__members__)

    def __str__(self):
      return self.__class__.__name__ + "." + self.name
    def __repr__(self):
      return self.__class__.__name__ + "." + self.name
  return Enum

class _monty:
  Enum = _()
  @staticmethod
  def deduceShape(l,dim):
    def _deduceShape(l,dim):
      if dim > 1:
        shplst = [ _deduceShape(i,dim-1) for i in l ]
        if all([shplst[0] == i for i in shplst ]):
          shplst[0].append(len(l))
          return shplst[0]
        else:
          raise TypeError("Irregular array shape")
      else:
        return [len(dim)]
    return tuple(reversed(_deduceShape(l,dim)))
  @staticmethod
  def checkShape(l,dim):
    def _checkShape(l,dim):
      if dim > 1:
        shplst = [ _checkShape(i,dim-1) for i in l ]
        if all([shplst[0] == i for i in shplst ]):
          pass
        else:
          raise TypeError("Irregular array shape")
        return len(l)
      else:
        try:
          return len(l)
        except TypeError:
          raise TypeError("Wrong or irregular array shape")
    _checkShape(l,dim)
    return dim

  @staticmethod
  def initJaggedArray(data, nd):
    dims = []
    d = data
    for i in range(nd):
      dims.append(len(d))
      d = d[0]

    res = numpy.zeros(dims,dtype=object)
    res.__setitem__(tuple([ slice(d) for d in dims ]), data)

    return res


  @staticmethod
  def makeJaggedArray(src,ndims,dtype):
    if src is None:
      return None
    elif len(ndims) == 1:
      if ndims[0] == 1:
        r = numpy.zeros((len(src),),dtype=dtype)
        r[:] = src
      else:
        d = _monty.deduceDims(src,ndims[0])
        r = numpy.zeros(d,dtype=dtype)
        r.__setitem__(tuple([slice(None)]*ndims[0]),src) # basically: r[:,...,:] = src
      return r
    elif ndims[0] == 1:
      r = numpy.zeros((len(src),),dtype=numpy.dtype(object))
      # Note: This is a bit tricky to do reliably with numpy as it
      # tends to think we are dealing with multidimensional arrays and
      # explode
      for i,s in enumerate(src):
        r[i] = _monty.makeJaggedArray(s,ndims[1:],dtype)

      #r[:] = [ _monty.makeJaggedArray(s,ndims[1:],dtype) for s in src ]
      return r
    else:
      d = _monty.deduceDims(src,ndims[0])
      def _(src,nd):
        if nd == 0:
          return _monty.makeJaggedArray(src)
        else:
          return [ _(s,nd-1) for s in src ]

      r = numpy.zeros(d,dtype=numpy.dtype(object))
      r.__setitem__(tuple([slice(None)]*ndims[0]),_(src,ndims[0])) # basically: r[:,...,:] = convert(src)
      return r

  @staticmethod
  def copyArray(src,dst,dim):
    if dim == 1:
      src[:] = dst[:]
    else:
      for i in range(len(src)):
        _monty.copyArray(src[i],dst[i],dim-1)
  @staticmethod
  def arg_match_sloppy_array(v,elmmatch,dim,l=None):
    if dim == 0:
      elmmatch(v)
    elif dim == 1:
      if l is not None:
        if l != len(v): return False
      elif len(v) == 0: return True
      for e in v:
        if not elmmatch(e): return False
      return True
    elif isinstance(v,list) or isinstance(v,numpy.ndarray):
      if l is not None:
        if l != len(v): return False
      elif len(v) == 0: return True
      elif not (isinstance(v[0],list) or isinstance(v[0],numpy.ndarray)): return False

      top_len = len(v[0])
      for e in v:
        if not _monty.arg_match_sloppy_array(e,elmmatch,dim-1,top_len): return False
      return True
    else:
      return False

del _

# origin: bld/herlev/final/default/src/fusion/domain.mbi:9:4-16:5
mosek_fusion_RelationKey=_monty.Enum.new('RelationKey',['EqualsTo','LessThan','GreaterThan','IsFree','InRange'])

# origin: bld/herlev/final/default/src/fusion/domain.mbi:1412:4-1416:5
mosek_fusion_PSDKey=_monty.Enum.new('PSDKey',['IsSymPSD','IsTrilPSD'])

# origin: bld/herlev/final/default/src/fusion/domain.mbi:1593:4-1611:5
mosek_fusion_QConeKey=_monty.Enum.new('QConeKey',['InQCone','InRotatedQCone','InPExpCone','InPPowCone','InDExpCone','InDPowCone','InPGeoMeanCone','InDGeoMeanCone','Positive','Negative','Unbounded','Zero','InPSDCone','InSVecPSDCone'])

# origin: bld/herlev/final/default/src/fusion/ObjectiveSense.mbi:13:4-18:5
mosek_fusion_ObjectiveSense=_monty.Enum.new('ObjectiveSense',['Undefined','Minimize','Maximize'])

# origin: bld/herlev/final/default/src/fusion/SolutionStatus.mbi:19:4-33:5
mosek_fusion_SolutionStatus=_monty.Enum.new('SolutionStatus',['Undefined','Unknown','Optimal','Feasible','Certificate','IllposedCert'])

# origin: bld/herlev/final/default/src/fusion/SolutionStatus.mbi:43:4-49:5
mosek_fusion_AccSolutionStatus=_monty.Enum.new('AccSolutionStatus',['Anything','Optimal','Feasible','Certificate'])

# origin: bld/herlev/final/default/src/fusion/SolutionStatus.mbi:64:4-75:5
mosek_fusion_ProblemStatus=_monty.Enum.new('ProblemStatus',['Unknown','PrimalAndDualFeasible','PrimalFeasible','DualFeasible','PrimalInfeasible','DualInfeasible','PrimalAndDualInfeasible','IllPosed','PrimalInfeasibleOrUnbounded'])

# origin: bld/herlev/final/default/src/fusion/SolutionStatus.mbi:85:4-90:5
mosek_fusion_SolverStatus=_monty.Enum.new('SolverStatus',['OK','Error','LostRace'])

# origin: bld/herlev/final/default/src/fusion/SolutionType.mbi:13:4-19:5
mosek_fusion_SolutionType=_monty.Enum.new('SolutionType',['Default','Basic','Interior','Integer'])

# origin: bld/herlev/final/default/src/fusion/StatusKey.mbi:16:4-23:5
mosek_fusion_StatusKey=_monty.Enum.new('StatusKey',['Unknown','Basic','SuperBasic','OnBound','Infinity'])

# origin: bld/herlev/final/default/src/fusion/Disjunction.mbi:109:4-131:5
mosek_fusion_DJCDomainType=_monty.Enum.new('DJCDomainType',['EqualTo','LessThan','GreaterThan','IsFree','InRange','InQCone','InRotatedQCone','InPExpCone','InPPowCone','InDExpCone','InDPowCone','InOneNormCone','InInfNormCone','InPGeoMeanCone','InDGeoMeanCone','InPSDCone'])

# origin: bld/herlev/final/default/src/fusion/Expression.mbi:30:4-93:5
#BEFORE CLASS
def __mk_mosek_fusion_Expression():
  class Expression:
    def pick(self,*args):
      if False: pass
      elif mosek_fusion_Expression._match_pick__3I(*args): # []int32
        return self._pick__3I(*args)
      elif mosek_fusion_Expression._match_alt_pick__3I(*args): # []int32
        return self._pick_alt__3I(*args)
      elif mosek_fusion_Expression._match_pick__3_5I(*args): # [,]int32
        return self._pick__3_5I(*args)
      elif mosek_fusion_Expression._match_alt_pick__3_5I(*args): # [,]int32
        return self._pick_alt__3_5I(*args)
      else:
        raise ValueError('Invalid argument list pick('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expression.pick(array(int32,ndim=1))\n\tmosek.fusion.Expression.pick(array(int32,ndim=2))')

    def getSize(self,*args):
      if False: pass
      elif mosek_fusion_Expression._match_getSize_(*args): # 
        return self._getSize_(*args)
      elif mosek_fusion_Expression._match_alt_getSize_(*args): # 
        return self._getSize_alt_(*args)
      else:
        raise ValueError('Invalid argument list getSize('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expression.getSize()')

    def getShape(self,*args):
      if False: pass
      elif mosek_fusion_Expression._match_getShape_(*args): # 
        return self._getShape_(*args)
      elif mosek_fusion_Expression._match_alt_getShape_(*args): # 
        return self._getShape_alt_(*args)
      else:
        raise ValueError('Invalid argument list getShape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expression.getShape()')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_Expression._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_Expression._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expression.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def index(self,*args):
      if False: pass
      elif mosek_fusion_Expression._match_index_I(*args): # int32
        return self._index_I(*args)
      elif mosek_fusion_Expression._match_alt_index_I(*args): # int32
        return self._index_alt_I(*args)
      elif mosek_fusion_Expression._match_index__3I(*args): # []int32
        return self._index__3I(*args)
      elif mosek_fusion_Expression._match_alt_index__3I(*args): # []int32
        return self._index_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list index('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expression.index(int32)\n\tmosek.fusion.Expression.index(array(int32,ndim=1))')

    def getDim(self,*args):
      if False: pass
      elif mosek_fusion_Expression._match_getDim_I(*args): # int32
        return self._getDim_I(*args)
      elif mosek_fusion_Expression._match_alt_getDim_I(*args): # int32
        return self._getDim_alt_I(*args)
      else:
        raise ValueError('Invalid argument list getDim('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expression.getDim(int32)')

    def slice(self,*args):
      if False: pass
      elif mosek_fusion_Expression._match_slice_II(*args): # int32,int32
        return self._slice_II(*args)
      elif mosek_fusion_Expression._match_alt_slice_II(*args): # int32,int32
        return self._slice_alt_II(*args)
      elif mosek_fusion_Expression._match_slice__3I_3I(*args): # []int32,[]int32
        return self._slice__3I_3I(*args)
      elif mosek_fusion_Expression._match_alt_slice__3I_3I(*args): # []int32,[]int32
        return self._slice_alt__3I_3I(*args)
      else:
        raise ValueError('Invalid argument list slice('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expression.slice(int32,int32)\n\tmosek.fusion.Expression.slice(array(int32,ndim=1),array(int32,ndim=1))')

    def getND(self,*args):
      if False: pass
      elif mosek_fusion_Expression._match_getND_(*args): # 
        return self._getND_(*args)
      elif mosek_fusion_Expression._match_alt_getND_(*args): # 
        return self._getND_alt_(*args)
      else:
        raise ValueError('Invalid argument list getND('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expression.getND()')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_Expression._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_Expression._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expression.toString()')

    def __repr__(self): return 'mosek.fusion.Expression'
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      pass
    @staticmethod
    def _match_pick__3_5I(*args):
      if len(args) != 1: return False
      _0_indexrows, = args
      return (    __arg_match__3_5I__(_0_indexrows))
    @staticmethod
    def _match_alt_pick__3_5I(*args):
      if len(args) != 1: return False
      _0_indexrows, = args
      return (    __arg_alt_match__3_5I__(_0_indexrows))
    def _pick_alt__3_5I(self,_t__0_indexrows):
      _0_indexrows=numpy.array(_t__0_indexrows,ndmin=_monty.checkShape(_t__0_indexrows,2),dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3_5I(_0_indexrows)
      return _1
    def _pick__3_5I(self,_0_indexrows):
      pass
    @staticmethod
    def _match_pick__3I(*args):
      if len(args) != 1: return False
      _0_indexes, = args
      return (    __arg_match__3I__(_0_indexes))
    @staticmethod
    def _match_alt_pick__3I(*args):
      if len(args) != 1: return False
      _0_indexes, = args
      return (    __arg_alt_match__3I__(_0_indexes))
    def _pick_alt__3I(self,_t__0_indexes):
      _0_indexes=numpy.array(_t__0_indexes,dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3I(_0_indexes)
      try:
        _t__0_indexes[:] = _0_indexes
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _pick__3I(self,_0_indexes):
      pass
    @staticmethod
    def _match_index__3I(*args):
      if len(args) != 1: return False
      _0_indexes, = args
      return (    __arg_match__3I__(_0_indexes))
    @staticmethod
    def _match_alt_index__3I(*args):
      if len(args) != 1: return False
      _0_indexes, = args
      return (    __arg_alt_match__3I__(_0_indexes))
    def _index_alt__3I(self,_t__0_indexes):
      _0_indexes=numpy.array(_t__0_indexes,dtype=numpy.dtype(numpy.int32))
      _1 = self._index__3I(_0_indexes)
      try:
        _t__0_indexes[:] = _0_indexes
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _index__3I(self,_0_indexes):
      pass
    @staticmethod
    def _match_index_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_match_I__(_0_i))
    @staticmethod
    def _match_alt_index_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_alt_match_I__(_0_i))
    def _index_alt_I(self,_t__0_i):
      return self._index_I(numpy.int32(__0_i))
    def _index_I(self,_0_i):
      pass
    @staticmethod
    def _match_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_firsta,_1_lasta, = args
      return (    __arg_match__3I__(_0_firsta)
              and __arg_match__3I__(_1_lasta))
    @staticmethod
    def _match_alt_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_firsta,_1_lasta, = args
      return (    __arg_alt_match__3I__(_0_firsta)
              and __arg_alt_match__3I__(_1_lasta))
    def _slice_alt__3I_3I(self,_t__0_firsta,_t__1_lasta):
      _0_firsta=numpy.array(_t__0_firsta,dtype=numpy.dtype(numpy.int32))
      _1_lasta=numpy.array(_t__1_lasta,dtype=numpy.dtype(numpy.int32))
      _1 = self._slice__3I_3I(_0_firsta,_1_lasta)
      try:
        _t__0_firsta[:] = _0_firsta
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_lasta[:] = _1_lasta
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _slice__3I_3I(self,_0_firsta,_1_lasta):
      pass
    @staticmethod
    def _match_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_match_I__(_0_first)
              and __arg_match_I__(_1_last))
    @staticmethod
    def _match_alt_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_alt_match_I__(_0_first)
              and __arg_alt_match_I__(_1_last))
    def _slice_alt_II(self,_t__0_first,_t__1_last):
      return self._slice_II(numpy.int32(__0_first),numpy.int32(__1_last))
    def _slice_II(self,_0_first,_1_last):
      pass
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      pass
    @staticmethod
    def _match_getND_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getND_(*args):
      if len(args) != 0: return False
      return True
    def _getND_alt_(self,):
      return self._getND_()
    def _getND_(self,):
      pass
    @staticmethod
    def _match_getDim_I(*args):
      if len(args) != 1: return False
      _0_d, = args
      return (    __arg_match_I__(_0_d))
    @staticmethod
    def _match_alt_getDim_I(*args):
      if len(args) != 1: return False
      _0_d, = args
      return (    __arg_alt_match_I__(_0_d))
    def _getDim_alt_I(self,_t__0_d):
      return self._getDim_I(numpy.int32(__0_d))
    def _getDim_I(self,_0_d):
      pass
    @staticmethod
    def _match_getSize_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getSize_(*args):
      if len(args) != 0: return False
      return True
    def _getSize_alt_(self,):
      return self._getSize_()
    def _getSize_(self,):
      pass
    @staticmethod
    def _match_getShape_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getShape_(*args):
      if len(args) != 0: return False
      return True
    def _getShape_alt_(self,):
      return self._getShape_()
    def _getShape_(self,):
      pass
  return Expression
mosek_fusion_Expression=__mk_mosek_fusion_Expression()
del __mk_mosek_fusion_Expression

# origin: bld/herlev/final/default/src/fusion/Variable.mbi:187:4-419:5
#BEFORE CLASS
def __mk_mosek_fusion_Variable():
  class Variable(mosek_fusion_Expression):
    def make_continuous(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_make_1continuous_(*args): # 
        return self._make_1continuous_(*args)
      elif mosek_fusion_Variable._match_alt_make_1continuous_(*args): # 
        return self._make_1continuous_alt_(*args)
      else:
        raise ValueError('Invalid argument list make_continuous('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.make_continuous()')

    def setLevel(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_setLevel__3D(*args): # []double
        return self._setLevel__3D(*args)
      elif mosek_fusion_Variable._match_alt_setLevel__3D(*args): # []double
        return self._setLevel_alt__3D(*args)
      else:
        raise ValueError('Invalid argument list setLevel('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.setLevel(array(double,ndim=1))')

    def set_values(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_set_1values__3DZ(*args): # []double,bool
        return self._set_1values__3DZ(*args)
      elif mosek_fusion_Variable._match_alt_set_1values__3DZ(*args): # []double,bool
        return self._set_1values_alt__3DZ(*args)
      else:
        raise ValueError('Invalid argument list set_values('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.set_values(array(double,ndim=1),bool)')

    def make_integer(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_make_1integer_(*args): # 
        return self._make_1integer_(*args)
      elif mosek_fusion_Variable._match_alt_make_1integer_(*args): # 
        return self._make_1integer_alt_(*args)
      else:
        raise ValueError('Invalid argument list make_integer('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.make_integer()')

    def diag(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_diag_(*args): # 
        return self._diag_(*args)
      elif mosek_fusion_Variable._match_alt_diag_(*args): # 
        return self._diag_alt_(*args)
      elif mosek_fusion_Variable._match_diag_I(*args): # int32
        return self._diag_I(*args)
      elif mosek_fusion_Variable._match_alt_diag_I(*args): # int32
        return self._diag_alt_I(*args)
      else:
        raise ValueError('Invalid argument list diag('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.diag()\n\tmosek.fusion.Variable.diag(int32)')

    def values(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_values_I_3DZ(*args): # int32,[]double,bool
        return self._values_I_3DZ(*args)
      elif mosek_fusion_Variable._match_alt_values_I_3DZ(*args): # int32,[]double,bool
        return self._values_alt_I_3DZ(*args)
      else:
        raise ValueError('Invalid argument list values('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.values(int32,array(double,ndim=1),bool)')

    def fromTril(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_fromTril_I(*args): # int32
        return self._fromTril_I(*args)
      elif mosek_fusion_Variable._match_alt_fromTril_I(*args): # int32
        return self._fromTril_alt_I(*args)
      else:
        raise ValueError('Invalid argument list fromTril('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.fromTril(int32)')

    def getSize(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_getSize_(*args): # 
        return self._getSize_(*args)
      elif mosek_fusion_Variable._match_alt_getSize_(*args): # 
        return self._getSize_alt_(*args)
      else:
        raise ValueError('Invalid argument list getSize('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.getSize()')

    def remove(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_remove_(*args): # 
        return self._remove_(*args)
      elif mosek_fusion_Variable._match_alt_remove_(*args): # 
        return self._remove_alt_(*args)
      else:
        raise ValueError('Invalid argument list remove('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.remove()')

    def inst(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_inst_I_3J(*args): # int32,[]int64
        return self._inst_I_3J(*args)
      elif mosek_fusion_Variable._match_alt_inst_I_3J(*args): # int32,[]int64
        return self._inst_alt_I_3J(*args)
      elif mosek_fusion_Variable._match_inst_I_3JI_3J(*args): # int32,[]int64,int32,[]int64
        return self._inst_I_3JI_3J(*args)
      elif mosek_fusion_Variable._match_alt_inst_I_3JI_3J(*args): # int32,[]int64,int32,[]int64
        return self._inst_alt_I_3JI_3J(*args)
      else:
        raise ValueError('Invalid argument list inst('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.inst(int32,array(int64,ndim=1))\n\tmosek.fusion.Variable.inst(int32,array(int64,ndim=1),int32,array(int64,ndim=1))')

    def antidiag(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_antidiag_(*args): # 
        return self._antidiag_(*args)
      elif mosek_fusion_Variable._match_alt_antidiag_(*args): # 
        return self._antidiag_alt_(*args)
      elif mosek_fusion_Variable._match_antidiag_I(*args): # int32
        return self._antidiag_I(*args)
      elif mosek_fusion_Variable._match_alt_antidiag_I(*args): # int32
        return self._antidiag_alt_I(*args)
      else:
        raise ValueError('Invalid argument list antidiag('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.antidiag()\n\tmosek.fusion.Variable.antidiag(int32)')

    def slice(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_slice_II(*args): # int32,int32
        return self._slice_II(*args)
      elif mosek_fusion_Variable._match_alt_slice_II(*args): # int32,int32
        return self._slice_alt_II(*args)
      elif mosek_fusion_Variable._match_slice__3I_3I(*args): # []int32,[]int32
        return self._slice__3I_3I(*args)
      elif mosek_fusion_Variable._match_alt_slice__3I_3I(*args): # []int32,[]int32
        return self._slice_alt__3I_3I(*args)
      else:
        raise ValueError('Invalid argument list slice('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.slice(int32,int32)\n\tmosek.fusion.Variable.slice(array(int32,ndim=1),array(int32,ndim=1))')

    def getShape(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_getShape_(*args): # 
        return self._getShape_(*args)
      elif mosek_fusion_Variable._match_alt_getShape_(*args): # 
        return self._getShape_alt_(*args)
      else:
        raise ValueError('Invalid argument list getShape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.getShape()')

    def numInst(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_numInst_(*args): # 
        return self._numInst_(*args)
      elif mosek_fusion_Variable._match_alt_numInst_(*args): # 
        return self._numInst_alt_(*args)
      else:
        raise ValueError('Invalid argument list numInst('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.numInst()')

    def index(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_index_I(*args): # int32
        return self._index_I(*args)
      elif mosek_fusion_Variable._match_alt_index_I(*args): # int32
        return self._index_alt_I(*args)
      elif mosek_fusion_Variable._match_index__3I(*args): # []int32
        return self._index__3I(*args)
      elif mosek_fusion_Variable._match_alt_index__3I(*args): # []int32
        return self._index_alt__3I(*args)
      elif mosek_fusion_Variable._match_index_II(*args): # int32,int32
        return self._index_II(*args)
      elif mosek_fusion_Variable._match_alt_index_II(*args): # int32,int32
        return self._index_alt_II(*args)
      elif mosek_fusion_Variable._match_index_III(*args): # int32,int32,int32
        return self._index_III(*args)
      elif mosek_fusion_Variable._match_alt_index_III(*args): # int32,int32,int32
        return self._index_alt_III(*args)
      else:
        raise ValueError('Invalid argument list index('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.index(int32)\n\tmosek.fusion.Variable.index(array(int32,ndim=1))\n\tmosek.fusion.Variable.index(int32,int32)\n\tmosek.fusion.Variable.index(int32,int32,int32)')

    def tril(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_tril_(*args): # 
        return self._tril_(*args)
      elif mosek_fusion_Variable._match_alt_tril_(*args): # 
        return self._tril_alt_(*args)
      else:
        raise ValueError('Invalid argument list tril('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.tril()')

    def level(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_level_(*args): # 
        return self._level_(*args)
      elif mosek_fusion_Variable._match_alt_level_(*args): # 
        return self._level_alt_(*args)
      else:
        raise ValueError('Invalid argument list level('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.level()')

    def dual(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_dual_(*args): # 
        return self._dual_(*args)
      elif mosek_fusion_Variable._match_alt_dual_(*args): # 
        return self._dual_alt_(*args)
      else:
        raise ValueError('Invalid argument list dual('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.dual()')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_Variable._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.toString()')

    def makeContinuous(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_makeContinuous_(*args): # 
        return self._makeContinuous_(*args)
      elif mosek_fusion_Variable._match_alt_makeContinuous_(*args): # 
        return self._makeContinuous_alt_(*args)
      else:
        raise ValueError('Invalid argument list makeContinuous('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.makeContinuous()')

    def transpose(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_transpose_(*args): # 
        return self._transpose_(*args)
      elif mosek_fusion_Variable._match_alt_transpose_(*args): # 
        return self._transpose_alt_(*args)
      else:
        raise ValueError('Invalid argument list transpose('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.transpose()')

    def pick(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_pick__3I(*args): # []int32
        return self._pick__3I(*args)
      elif mosek_fusion_Variable._match_alt_pick__3I(*args): # []int32
        return self._pick_alt__3I(*args)
      elif mosek_fusion_Variable._match_pick__3_5I(*args): # [,]int32
        return self._pick__3_5I(*args)
      elif mosek_fusion_Variable._match_alt_pick__3_5I(*args): # [,]int32
        return self._pick_alt__3_5I(*args)
      elif mosek_fusion_Variable._match_pick__3I_3I(*args): # []int32,[]int32
        return self._pick__3I_3I(*args)
      elif mosek_fusion_Variable._match_alt_pick__3I_3I(*args): # []int32,[]int32
        return self._pick_alt__3I_3I(*args)
      elif mosek_fusion_Variable._match_pick__3I_3I_3I(*args): # []int32,[]int32,[]int32
        return self._pick__3I_3I_3I(*args)
      elif mosek_fusion_Variable._match_alt_pick__3I_3I_3I(*args): # []int32,[]int32,[]int32
        return self._pick_alt__3I_3I_3I(*args)
      else:
        raise ValueError('Invalid argument list pick('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.pick(array(int32,ndim=1))\n\tmosek.fusion.Variable.pick(array(int32,ndim=2))\n\tmosek.fusion.Variable.pick(array(int32,ndim=1),array(int32,ndim=1))\n\tmosek.fusion.Variable.pick(array(int32,ndim=1),array(int32,ndim=1),array(int32,ndim=1))')

    def makeInteger(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_makeInteger_(*args): # 
        return self._makeInteger_(*args)
      elif mosek_fusion_Variable._match_alt_makeInteger_(*args): # 
        return self._makeInteger_alt_(*args)
      else:
        raise ValueError('Invalid argument list makeInteger('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.makeInteger()')

    def getND(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_getND_(*args): # 
        return self._getND_(*args)
      elif mosek_fusion_Variable._match_alt_getND_(*args): # 
        return self._getND_alt_(*args)
      else:
        raise ValueError('Invalid argument list getND('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.getND()')

    def reshape(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_reshape__3I(*args): # []int32
        return self._reshape__3I(*args)
      elif mosek_fusion_Variable._match_alt_reshape__3I(*args): # []int32
        return self._reshape_alt__3I(*args)
      elif mosek_fusion_Variable._match_reshape_I(*args): # int32
        return self._reshape_I(*args)
      elif mosek_fusion_Variable._match_alt_reshape_I(*args): # int32
        return self._reshape_alt_I(*args)
      elif mosek_fusion_Variable._match_reshape_II(*args): # int32,int32
        return self._reshape_II(*args)
      elif mosek_fusion_Variable._match_alt_reshape_II(*args): # int32,int32
        return self._reshape_alt_II(*args)
      elif mosek_fusion_Variable._match_reshape_III(*args): # int32,int32,int32
        return self._reshape_III(*args)
      elif mosek_fusion_Variable._match_alt_reshape_III(*args): # int32,int32,int32
        return self._reshape_alt_III(*args)
      else:
        raise ValueError('Invalid argument list reshape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.reshape(array(int32,ndim=1))\n\tmosek.fusion.Variable.reshape(int32)\n\tmosek.fusion.Variable.reshape(int32,int32)\n\tmosek.fusion.Variable.reshape(int32,int32,int32)')

    def getModel(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_getModel_(*args): # 
        return self._getModel_(*args)
      elif mosek_fusion_Variable._match_alt_getModel_(*args): # 
        return self._getModel_alt_(*args)
      else:
        raise ValueError('Invalid argument list getModel('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.getModel()')

    def asExpr(self,*args):
      if False: pass
      elif mosek_fusion_Variable._match_asExpr_(*args): # 
        return self._asExpr_(*args)
      elif mosek_fusion_Variable._match_alt_asExpr_(*args): # 
        return self._asExpr_alt_(*args)
      else:
        raise ValueError('Invalid argument list asExpr('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Variable.asExpr()')

    def __repr__(self): return 'mosek.fusion.Variable'
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      pass
    @staticmethod
    def _match_numInst_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_numInst_(*args):
      if len(args) != 0: return False
      return True
    def _numInst_alt_(self,):
      return self._numInst_()
    def _numInst_(self,):
      pass
    @staticmethod
    def _match_inst_I_3JI_3J(*args):
      if len(args) != 4: return False
      _0_spoffset,_1_sparsity,_2_nioffset,_3_nativeidxs, = args
      return (    __arg_match_I__(_0_spoffset)
              and __arg_match__3J__(_1_sparsity)
              and __arg_match_I__(_2_nioffset)
              and __arg_match__3J__(_3_nativeidxs))
    @staticmethod
    def _match_alt_inst_I_3JI_3J(*args):
      if len(args) != 4: return False
      _0_spoffset,_1_sparsity,_2_nioffset,_3_nativeidxs, = args
      return (    __arg_alt_match_I__(_0_spoffset)
              and __arg_alt_match__3J__(_1_sparsity)
              and __arg_alt_match_I__(_2_nioffset)
              and __arg_alt_match__3J__(_3_nativeidxs))
    def _inst_alt_I_3JI_3J(self,_t__0_spoffset,_t__1_sparsity,_t__2_nioffset,_t__3_nativeidxs):
      _0_spoffset=numpy.int32(_t__0_spoffset)
      _1_sparsity=numpy.array(_t__1_sparsity,dtype=numpy.dtype(numpy.int64))
      _2_nioffset=numpy.int32(_t__2_nioffset)
      _3_nativeidxs=numpy.array(_t__3_nativeidxs,dtype=numpy.dtype(numpy.int64))
      _1 = self._inst_I_3JI_3J(_0_spoffset,_1_sparsity,_2_nioffset,_3_nativeidxs)
      try:
        _t__1_sparsity[:] = _1_sparsity
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_nativeidxs[:] = _3_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _inst_I_3JI_3J(self,_0_spoffset,_1_sparsity,_2_nioffset,_3_nativeidxs):
      pass
    @staticmethod
    def _match_inst_I_3J(*args):
      if len(args) != 2: return False
      _0_offset,_1_nativeidxs, = args
      return (    __arg_match_I__(_0_offset)
              and __arg_match__3J__(_1_nativeidxs))
    @staticmethod
    def _match_alt_inst_I_3J(*args):
      if len(args) != 2: return False
      _0_offset,_1_nativeidxs, = args
      return (    __arg_alt_match_I__(_0_offset)
              and __arg_alt_match__3J__(_1_nativeidxs))
    def _inst_alt_I_3J(self,_t__0_offset,_t__1_nativeidxs):
      _0_offset=numpy.int32(_t__0_offset)
      _1_nativeidxs=numpy.array(_t__1_nativeidxs,dtype=numpy.dtype(numpy.int64))
      _1 = self._inst_I_3J(_0_offset,_1_nativeidxs)
      try:
        _t__1_nativeidxs[:] = _1_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _inst_I_3J(self,_0_offset,_1_nativeidxs):
      pass
    @staticmethod
    def _match_remove_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_remove_(*args):
      if len(args) != 0: return False
      return True
    def _remove_alt_(self,):
      return self._remove_()
    def _remove_(self,):
      pass
    @staticmethod
    def _match_getND_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getND_(*args):
      if len(args) != 0: return False
      return True
    def _getND_alt_(self,):
      return self._getND_()
    def _getND_(self,):
      pass
    @staticmethod
    def _match_getShape_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getShape_(*args):
      if len(args) != 0: return False
      return True
    def _getShape_alt_(self,):
      return self._getShape_()
    def _getShape_(self,):
      pass
    @staticmethod
    def _match_getModel_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getModel_(*args):
      if len(args) != 0: return False
      return True
    def _getModel_alt_(self,):
      return self._getModel_()
    def _getModel_(self,):
      pass
    @staticmethod
    def _match_getSize_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getSize_(*args):
      if len(args) != 0: return False
      return True
    def _getSize_alt_(self,):
      return self._getSize_()
    def _getSize_(self,):
      pass
    @staticmethod
    def _match_setLevel__3D(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_match__3D__(_0_v))
    @staticmethod
    def _match_alt_setLevel__3D(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_alt_match__3D__(_0_v))
    def _setLevel_alt__3D(self,_t__0_v):
      _0_v=numpy.array(_t__0_v,dtype=numpy.dtype(numpy.float64))
      _1 = self._setLevel__3D(_0_v)
      try:
        _t__0_v[:] = _0_v
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _setLevel__3D(self,_0_v):
      pass
    @staticmethod
    def _match_fromTril_I(*args):
      if len(args) != 1: return False
      _0_dim, = args
      return (    __arg_match_I__(_0_dim))
    @staticmethod
    def _match_alt_fromTril_I(*args):
      if len(args) != 1: return False
      _0_dim, = args
      return (    __arg_alt_match_I__(_0_dim))
    def _fromTril_alt_I(self,_t__0_dim):
      return self._fromTril_I(numpy.int32(__0_dim))
    def _fromTril_I(self,_0_dim):
      pass
    @staticmethod
    def _match_tril_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_tril_(*args):
      if len(args) != 0: return False
      return True
    def _tril_alt_(self,):
      return self._tril_()
    def _tril_(self,):
      pass
    @staticmethod
    def _match_reshape_III(*args):
      if len(args) != 3: return False
      _0_dim0,_1_dim1,_2_dim2, = args
      return (    __arg_match_I__(_0_dim0)
              and __arg_match_I__(_1_dim1)
              and __arg_match_I__(_2_dim2))
    @staticmethod
    def _match_alt_reshape_III(*args):
      if len(args) != 3: return False
      _0_dim0,_1_dim1,_2_dim2, = args
      return (    __arg_alt_match_I__(_0_dim0)
              and __arg_alt_match_I__(_1_dim1)
              and __arg_alt_match_I__(_2_dim2))
    def _reshape_alt_III(self,_t__0_dim0,_t__1_dim1,_t__2_dim2):
      return self._reshape_III(numpy.int32(__0_dim0),numpy.int32(__1_dim1),numpy.int32(__2_dim2))
    def _reshape_III(self,_0_dim0,_1_dim1,_2_dim2):
      pass
    @staticmethod
    def _match_reshape_II(*args):
      if len(args) != 2: return False
      _0_dim0,_1_dim1, = args
      return (    __arg_match_I__(_0_dim0)
              and __arg_match_I__(_1_dim1))
    @staticmethod
    def _match_alt_reshape_II(*args):
      if len(args) != 2: return False
      _0_dim0,_1_dim1, = args
      return (    __arg_alt_match_I__(_0_dim0)
              and __arg_alt_match_I__(_1_dim1))
    def _reshape_alt_II(self,_t__0_dim0,_t__1_dim1):
      return self._reshape_II(numpy.int32(__0_dim0),numpy.int32(__1_dim1))
    def _reshape_II(self,_0_dim0,_1_dim1):
      pass
    @staticmethod
    def _match_reshape_I(*args):
      if len(args) != 1: return False
      _0_dim0, = args
      return (    __arg_match_I__(_0_dim0))
    @staticmethod
    def _match_alt_reshape_I(*args):
      if len(args) != 1: return False
      _0_dim0, = args
      return (    __arg_alt_match_I__(_0_dim0))
    def _reshape_alt_I(self,_t__0_dim0):
      return self._reshape_I(numpy.int32(__0_dim0))
    def _reshape_I(self,_0_dim0):
      pass
    @staticmethod
    def _match_reshape__3I(*args):
      if len(args) != 1: return False
      _0_shape, = args
      return (    __arg_match__3I__(_0_shape))
    @staticmethod
    def _match_alt_reshape__3I(*args):
      if len(args) != 1: return False
      _0_shape, = args
      return (    __arg_alt_match__3I__(_0_shape))
    def _reshape_alt__3I(self,_t__0_shape):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1 = self._reshape__3I(_0_shape)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _reshape__3I(self,_0_shape):
      pass
    @staticmethod
    def _match_set_1values__3DZ(*args):
      if len(args) != 2: return False
      _0_value,_1_primal, = args
      return (    __arg_match__3D__(_0_value)
              and __arg_match_Z__(_1_primal))
    @staticmethod
    def _match_alt_set_1values__3DZ(*args):
      if len(args) != 2: return False
      _0_value,_1_primal, = args
      return (    __arg_alt_match__3D__(_0_value)
              and __arg_alt_match_Z__(_1_primal))
    def _set_1values_alt__3DZ(self,_t__0_value,_t__1_primal):
      _0_value=numpy.array(_t__0_value,dtype=numpy.dtype(numpy.float64))
      _1_primal=_t__1_primal
      _1 = self._set_1values__3DZ(_0_value,_1_primal)
      try:
        _t__0_value[:] = _0_value
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _set_1values__3DZ(self,_0_value,_1_primal):
      pass
    @staticmethod
    def _match_dual_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_dual_(*args):
      if len(args) != 0: return False
      return True
    def _dual_alt_(self,):
      return self._dual_()
    def _dual_(self,):
      pass
    @staticmethod
    def _match_level_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_level_(*args):
      if len(args) != 0: return False
      return True
    def _level_alt_(self,):
      return self._level_()
    def _level_(self,):
      pass
    @staticmethod
    def _match_values_I_3DZ(*args):
      if len(args) != 3: return False
      _0_offset,_1_target,_2_primal, = args
      return (    __arg_match_I__(_0_offset)
              and __arg_match__3D__(_1_target)
              and __arg_match_Z__(_2_primal))
    @staticmethod
    def _match_alt_values_I_3DZ(*args):
      if len(args) != 3: return False
      _0_offset,_1_target,_2_primal, = args
      return (    __arg_alt_match_I__(_0_offset)
              and __arg_alt_match__3D__(_1_target)
              and __arg_alt_match_Z__(_2_primal))
    def _values_alt_I_3DZ(self,_t__0_offset,_t__1_target,_t__2_primal):
      _0_offset=numpy.int32(_t__0_offset)
      _1_target=numpy.array(_t__1_target,dtype=numpy.dtype(numpy.float64))
      _2_primal=_t__2_primal
      _1 = self._values_I_3DZ(_0_offset,_1_target,_2_primal)
      try:
        _t__1_target[:] = _1_target
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _values_I_3DZ(self,_0_offset,_1_target,_2_primal):
      pass
    @staticmethod
    def _match_make_1continuous_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_make_1continuous_(*args):
      if len(args) != 0: return False
      return True
    def _make_1continuous_alt_(self,):
      return self._make_1continuous_()
    def _make_1continuous_(self,):
      pass
    @staticmethod
    def _match_make_1integer_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_make_1integer_(*args):
      if len(args) != 0: return False
      return True
    def _make_1integer_alt_(self,):
      return self._make_1integer_()
    def _make_1integer_(self,):
      pass
    @staticmethod
    def _match_makeContinuous_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_makeContinuous_(*args):
      if len(args) != 0: return False
      return True
    def _makeContinuous_alt_(self,):
      return self._makeContinuous_()
    def _makeContinuous_(self,):
      pass
    @staticmethod
    def _match_makeInteger_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_makeInteger_(*args):
      if len(args) != 0: return False
      return True
    def _makeInteger_alt_(self,):
      return self._makeInteger_()
    def _makeInteger_(self,):
      pass
    @staticmethod
    def _match_transpose_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_transpose_(*args):
      if len(args) != 0: return False
      return True
    def _transpose_alt_(self,):
      return self._transpose_()
    def _transpose_(self,):
      pass
    @staticmethod
    def _match_pick__3I_3I_3I(*args):
      if len(args) != 3: return False
      _0_i1,_1_i2,_2_i3, = args
      return (    __arg_match__3I__(_0_i1)
              and __arg_match__3I__(_1_i2)
              and __arg_match__3I__(_2_i3))
    @staticmethod
    def _match_alt_pick__3I_3I_3I(*args):
      if len(args) != 3: return False
      _0_i1,_1_i2,_2_i3, = args
      return (    __arg_alt_match__3I__(_0_i1)
              and __arg_alt_match__3I__(_1_i2)
              and __arg_alt_match__3I__(_2_i3))
    def _pick_alt__3I_3I_3I(self,_t__0_i1,_t__1_i2,_t__2_i3):
      _0_i1=numpy.array(_t__0_i1,dtype=numpy.dtype(numpy.int32))
      _1_i2=numpy.array(_t__1_i2,dtype=numpy.dtype(numpy.int32))
      _2_i3=numpy.array(_t__2_i3,dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3I_3I_3I(_0_i1,_1_i2,_2_i3)
      try:
        _t__0_i1[:] = _0_i1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_i2[:] = _1_i2
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_i3[:] = _2_i3
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _pick__3I_3I_3I(self,_0_i1,_1_i2,_2_i3):
      pass
    @staticmethod
    def _match_pick__3I_3I(*args):
      if len(args) != 2: return False
      _0_i1,_1_i2, = args
      return (    __arg_match__3I__(_0_i1)
              and __arg_match__3I__(_1_i2))
    @staticmethod
    def _match_alt_pick__3I_3I(*args):
      if len(args) != 2: return False
      _0_i1,_1_i2, = args
      return (    __arg_alt_match__3I__(_0_i1)
              and __arg_alt_match__3I__(_1_i2))
    def _pick_alt__3I_3I(self,_t__0_i1,_t__1_i2):
      _0_i1=numpy.array(_t__0_i1,dtype=numpy.dtype(numpy.int32))
      _1_i2=numpy.array(_t__1_i2,dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3I_3I(_0_i1,_1_i2)
      try:
        _t__0_i1[:] = _0_i1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_i2[:] = _1_i2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _pick__3I_3I(self,_0_i1,_1_i2):
      pass
    @staticmethod
    def _match_pick__3_5I(*args):
      if len(args) != 1: return False
      _0_midxs, = args
      return (    __arg_match__3_5I__(_0_midxs))
    @staticmethod
    def _match_alt_pick__3_5I(*args):
      if len(args) != 1: return False
      _0_midxs, = args
      return (    __arg_alt_match__3_5I__(_0_midxs))
    def _pick_alt__3_5I(self,_t__0_midxs):
      _0_midxs=numpy.array(_t__0_midxs,ndmin=_monty.checkShape(_t__0_midxs,2),dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3_5I(_0_midxs)
      return _1
    def _pick__3_5I(self,_0_midxs):
      pass
    @staticmethod
    def _match_pick__3I(*args):
      if len(args) != 1: return False
      _0_idxs, = args
      return (    __arg_match__3I__(_0_idxs))
    @staticmethod
    def _match_alt_pick__3I(*args):
      if len(args) != 1: return False
      _0_idxs, = args
      return (    __arg_alt_match__3I__(_0_idxs))
    def _pick_alt__3I(self,_t__0_idxs):
      _0_idxs=numpy.array(_t__0_idxs,dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3I(_0_idxs)
      try:
        _t__0_idxs[:] = _0_idxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _pick__3I(self,_0_idxs):
      pass
    @staticmethod
    def _match_antidiag_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_antidiag_(*args):
      if len(args) != 0: return False
      return True
    def _antidiag_alt_(self,):
      return self._antidiag_()
    def _antidiag_(self,):
      pass
    @staticmethod
    def _match_antidiag_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_match_I__(_0_index))
    @staticmethod
    def _match_alt_antidiag_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_alt_match_I__(_0_index))
    def _antidiag_alt_I(self,_t__0_index):
      return self._antidiag_I(numpy.int32(__0_index))
    def _antidiag_I(self,_0_index):
      pass
    @staticmethod
    def _match_diag_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_diag_(*args):
      if len(args) != 0: return False
      return True
    def _diag_alt_(self,):
      return self._diag_()
    def _diag_(self,):
      pass
    @staticmethod
    def _match_diag_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_match_I__(_0_index))
    @staticmethod
    def _match_alt_diag_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_alt_match_I__(_0_index))
    def _diag_alt_I(self,_t__0_index):
      return self._diag_I(numpy.int32(__0_index))
    def _diag_I(self,_0_index):
      pass
    @staticmethod
    def _match_index__3I(*args):
      if len(args) != 1: return False
      _0_idx, = args
      return (    __arg_match__3I__(_0_idx))
    @staticmethod
    def _match_alt_index__3I(*args):
      if len(args) != 1: return False
      _0_idx, = args
      return (    __arg_alt_match__3I__(_0_idx))
    def _index_alt__3I(self,_t__0_idx):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int32))
      _1 = self._index__3I(_0_idx)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _index__3I(self,_0_idx):
      pass
    @staticmethod
    def _match_index_III(*args):
      if len(args) != 3: return False
      _0_i1,_1_i2,_2_i3, = args
      return (    __arg_match_I__(_0_i1)
              and __arg_match_I__(_1_i2)
              and __arg_match_I__(_2_i3))
    @staticmethod
    def _match_alt_index_III(*args):
      if len(args) != 3: return False
      _0_i1,_1_i2,_2_i3, = args
      return (    __arg_alt_match_I__(_0_i1)
              and __arg_alt_match_I__(_1_i2)
              and __arg_alt_match_I__(_2_i3))
    def _index_alt_III(self,_t__0_i1,_t__1_i2,_t__2_i3):
      return self._index_III(numpy.int32(__0_i1),numpy.int32(__1_i2),numpy.int32(__2_i3))
    def _index_III(self,_0_i1,_1_i2,_2_i3):
      pass
    @staticmethod
    def _match_index_II(*args):
      if len(args) != 2: return False
      _0_i1,_1_i2, = args
      return (    __arg_match_I__(_0_i1)
              and __arg_match_I__(_1_i2))
    @staticmethod
    def _match_alt_index_II(*args):
      if len(args) != 2: return False
      _0_i1,_1_i2, = args
      return (    __arg_alt_match_I__(_0_i1)
              and __arg_alt_match_I__(_1_i2))
    def _index_alt_II(self,_t__0_i1,_t__1_i2):
      return self._index_II(numpy.int32(__0_i1),numpy.int32(__1_i2))
    def _index_II(self,_0_i1,_1_i2):
      pass
    @staticmethod
    def _match_index_I(*args):
      if len(args) != 1: return False
      _0_i1, = args
      return (    __arg_match_I__(_0_i1))
    @staticmethod
    def _match_alt_index_I(*args):
      if len(args) != 1: return False
      _0_i1, = args
      return (    __arg_alt_match_I__(_0_i1))
    def _index_alt_I(self,_t__0_i1):
      return self._index_I(numpy.int32(__0_i1))
    def _index_I(self,_0_i1):
      pass
    @staticmethod
    def _match_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_firsta,_1_lasta, = args
      return (    __arg_match__3I__(_0_firsta)
              and __arg_match__3I__(_1_lasta))
    @staticmethod
    def _match_alt_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_firsta,_1_lasta, = args
      return (    __arg_alt_match__3I__(_0_firsta)
              and __arg_alt_match__3I__(_1_lasta))
    def _slice_alt__3I_3I(self,_t__0_firsta,_t__1_lasta):
      _0_firsta=numpy.array(_t__0_firsta,dtype=numpy.dtype(numpy.int32))
      _1_lasta=numpy.array(_t__1_lasta,dtype=numpy.dtype(numpy.int32))
      _1 = self._slice__3I_3I(_0_firsta,_1_lasta)
      try:
        _t__0_firsta[:] = _0_firsta
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_lasta[:] = _1_lasta
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _slice__3I_3I(self,_0_firsta,_1_lasta):
      pass
    @staticmethod
    def _match_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_match_I__(_0_first)
              and __arg_match_I__(_1_last))
    @staticmethod
    def _match_alt_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_alt_match_I__(_0_first)
              and __arg_alt_match_I__(_1_last))
    def _slice_alt_II(self,_t__0_first,_t__1_last):
      return self._slice_II(numpy.int32(__0_first),numpy.int32(__1_last))
    def _slice_II(self,_0_first,_1_last):
      pass
    @staticmethod
    def _match_asExpr_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_asExpr_(*args):
      if len(args) != 0: return False
      return True
    def _asExpr_alt_(self,):
      return self._asExpr_()
    def _asExpr_(self,):
      pass
  return Variable
mosek_fusion_Variable=__mk_mosek_fusion_Variable()
del __mk_mosek_fusion_Variable

# origin: bld/herlev/final/default/src/fusion/Parameter.monty:71:4-102:5
#BEFORE CLASS
def __mk_mosek_fusion_Parameter():
  class Parameter(mosek_fusion_Expression):
    def slice(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_slice_II(*args): # int32,int32
        return self._slice_II(*args)
      elif mosek_fusion_Parameter._match_alt_slice_II(*args): # int32,int32
        return self._slice_alt_II(*args)
      elif mosek_fusion_Parameter._match_slice__3I_3I(*args): # []int32,[]int32
        return self._slice__3I_3I(*args)
      elif mosek_fusion_Parameter._match_alt_slice__3I_3I(*args): # []int32,[]int32
        return self._slice_alt__3I_3I(*args)
      else:
        raise ValueError('Invalid argument list slice('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.slice(int32,int32)\n\tmosek.fusion.Parameter.slice(array(int32,ndim=1),array(int32,ndim=1))')

    def isSparse(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_isSparse_(*args): # 
        return self._isSparse_(*args)
      elif mosek_fusion_Parameter._match_alt_isSparse_(*args): # 
        return self._isSparse_alt_(*args)
      else:
        raise ValueError('Invalid argument list isSparse('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.isSparse()')

    def getNumNonzero(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_getNumNonzero_(*args): # 
        return self._getNumNonzero_(*args)
      elif mosek_fusion_Parameter._match_alt_getNumNonzero_(*args): # 
        return self._getNumNonzero_alt_(*args)
      else:
        raise ValueError('Invalid argument list getNumNonzero('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.getNumNonzero()')

    def getDim(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_getDim_I(*args): # int32
        return self._getDim_I(*args)
      elif mosek_fusion_Parameter._match_alt_getDim_I(*args): # int32
        return self._getDim_alt_I(*args)
      else:
        raise ValueError('Invalid argument list getDim('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.getDim(int32)')

    def asExpr(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_asExpr_(*args): # 
        return self._asExpr_(*args)
      elif mosek_fusion_Parameter._match_alt_asExpr_(*args): # 
        return self._asExpr_alt_(*args)
      else:
        raise ValueError('Invalid argument list asExpr('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.asExpr()')

    def reshape(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_reshape__3I(*args): # []int32
        return self._reshape__3I(*args)
      elif mosek_fusion_Parameter._match_alt_reshape__3I(*args): # []int32
        return self._reshape_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list reshape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.reshape(array(int32,ndim=1))')

    def getValue(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_getValue_(*args): # 
        return self._getValue_(*args)
      elif mosek_fusion_Parameter._match_alt_getValue_(*args): # 
        return self._getValue_alt_(*args)
      else:
        raise ValueError('Invalid argument list getValue('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.getValue()')

    def getSp(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_getSp__3JI(*args): # []int64,int32
        return self._getSp__3JI(*args)
      elif mosek_fusion_Parameter._match_alt_getSp__3JI(*args): # []int64,int32
        return self._getSp_alt__3JI(*args)
      else:
        raise ValueError('Invalid argument list getSp('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.getSp(array(int64,ndim=1),int32)')

    def getShape(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_getShape_(*args): # 
        return self._getShape_(*args)
      elif mosek_fusion_Parameter._match_alt_getShape_(*args): # 
        return self._getShape_alt_(*args)
      else:
        raise ValueError('Invalid argument list getShape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.getShape()')

    def getAllIndexes(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_getAllIndexes__3II(*args): # []int32,int32
        return self._getAllIndexes__3II(*args)
      elif mosek_fusion_Parameter._match_alt_getAllIndexes__3II(*args): # []int32,int32
        return self._getAllIndexes_alt__3II(*args)
      else:
        raise ValueError('Invalid argument list getAllIndexes('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.getAllIndexes(array(int32,ndim=1),int32)')

    def getModel(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_getModel_(*args): # 
        return self._getModel_(*args)
      elif mosek_fusion_Parameter._match_alt_getModel_(*args): # 
        return self._getModel_alt_(*args)
      else:
        raise ValueError('Invalid argument list getModel('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.getModel()')

    def getND(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_getND_(*args): # 
        return self._getND_(*args)
      elif mosek_fusion_Parameter._match_alt_getND_(*args): # 
        return self._getND_alt_(*args)
      else:
        raise ValueError('Invalid argument list getND('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.getND()')

    def getSize(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_getSize_(*args): # 
        return self._getSize_(*args)
      elif mosek_fusion_Parameter._match_alt_getSize_(*args): # 
        return self._getSize_alt_(*args)
      else:
        raise ValueError('Invalid argument list getSize('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.getSize()')

    def setValue(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_setValue_D(*args): # double
        return self._setValue_D(*args)
      elif mosek_fusion_Parameter._match_alt_setValue_D(*args): # double
        return self._setValue_alt_D(*args)
      elif mosek_fusion_Parameter._match_setValue__3D(*args): # []double
        return self._setValue__3D(*args)
      elif mosek_fusion_Parameter._match_alt_setValue__3D(*args): # []double
        return self._setValue_alt__3D(*args)
      elif mosek_fusion_Parameter._match_setValue__3_5D(*args): # [,]double
        return self._setValue__3_5D(*args)
      elif mosek_fusion_Parameter._match_alt_setValue__3_5D(*args): # [,]double
        return self._setValue_alt__3_5D(*args)
      else:
        raise ValueError('Invalid argument list setValue('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.setValue(double)\n\tmosek.fusion.Parameter.setValue(array(double,ndim=1))\n\tmosek.fusion.Parameter.setValue(array(double,ndim=2))')

    def getIndex(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_getIndex_I(*args): # int32
        return self._getIndex_I(*args)
      elif mosek_fusion_Parameter._match_alt_getIndex_I(*args): # int32
        return self._getIndex_alt_I(*args)
      else:
        raise ValueError('Invalid argument list getIndex('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.getIndex(int32)')

    def clone(self,*args):
      if False: pass
      elif mosek_fusion_Parameter._match_clone_Lmosek_4fusion_4Model_2(*args): # mosek.fusion.Model
        return self._clone_Lmosek_4fusion_4Model_2(*args)
      elif mosek_fusion_Parameter._match_alt_clone_Lmosek_4fusion_4Model_2(*args): # mosek.fusion.Model
        return self._clone_alt_Lmosek_4fusion_4Model_2(*args)
      else:
        raise ValueError('Invalid argument list clone('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameter.clone(mosek.fusion.Model)')

    def __repr__(self): return 'mosek.fusion.Parameter'
    @staticmethod
    def _match_clone_Lmosek_4fusion_4Model_2(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(_0_m))
    @staticmethod
    def _match_alt_clone_Lmosek_4fusion_4Model_2(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(_0_m))
    def _clone_alt_Lmosek_4fusion_4Model_2(self,_t__0_m):
      return self._clone_Lmosek_4fusion_4Model_2(_0_m)
    def _clone_Lmosek_4fusion_4Model_2(self,_0_m):
      pass
    @staticmethod
    def _match_getModel_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getModel_(*args):
      if len(args) != 0: return False
      return True
    def _getModel_alt_(self,):
      return self._getModel_()
    def _getModel_(self,):
      pass
    @staticmethod
    def _match_getSize_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getSize_(*args):
      if len(args) != 0: return False
      return True
    def _getSize_alt_(self,):
      return self._getSize_()
    def _getSize_(self,):
      pass
    @staticmethod
    def _match_getAllIndexes__3II(*args):
      if len(args) != 2: return False
      _0_dst,_1_ofs, = args
      return (    __arg_match__3I__(_0_dst)
              and __arg_match_I__(_1_ofs))
    @staticmethod
    def _match_alt_getAllIndexes__3II(*args):
      if len(args) != 2: return False
      _0_dst,_1_ofs, = args
      return (    __arg_alt_match__3I__(_0_dst)
              and __arg_alt_match_I__(_1_ofs))
    def _getAllIndexes_alt__3II(self,_t__0_dst,_t__1_ofs):
      _0_dst=numpy.array(_t__0_dst,dtype=numpy.dtype(numpy.int32))
      _1_ofs=numpy.int32(_t__1_ofs)
      _1 = self._getAllIndexes__3II(_0_dst,_1_ofs)
      try:
        _t__0_dst[:] = _0_dst
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _getAllIndexes__3II(self,_0_dst,_1_ofs):
      pass
    @staticmethod
    def _match_getIndex_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_match_I__(_0_i))
    @staticmethod
    def _match_alt_getIndex_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_alt_match_I__(_0_i))
    def _getIndex_alt_I(self,_t__0_i):
      return self._getIndex_I(numpy.int32(__0_i))
    def _getIndex_I(self,_0_i):
      pass
    @staticmethod
    def _match_getSp__3JI(*args):
      if len(args) != 2: return False
      _0_dest,_1_offset, = args
      return (    __arg_match__3J__(_0_dest)
              and __arg_match_I__(_1_offset))
    @staticmethod
    def _match_alt_getSp__3JI(*args):
      if len(args) != 2: return False
      _0_dest,_1_offset, = args
      return (    __arg_alt_match__3J__(_0_dest)
              and __arg_alt_match_I__(_1_offset))
    def _getSp_alt__3JI(self,_t__0_dest,_t__1_offset):
      _0_dest=numpy.array(_t__0_dest,dtype=numpy.dtype(numpy.int64))
      _1_offset=numpy.int32(_t__1_offset)
      _1 = self._getSp__3JI(_0_dest,_1_offset)
      try:
        _t__0_dest[:] = _0_dest
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _getSp__3JI(self,_0_dest,_1_offset):
      pass
    @staticmethod
    def _match_getShape_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getShape_(*args):
      if len(args) != 0: return False
      return True
    def _getShape_alt_(self,):
      return self._getShape_()
    def _getShape_(self,):
      pass
    @staticmethod
    def _match_getND_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getND_(*args):
      if len(args) != 0: return False
      return True
    def _getND_alt_(self,):
      return self._getND_()
    def _getND_(self,):
      pass
    @staticmethod
    def _match_getDim_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_match_I__(_0_i))
    @staticmethod
    def _match_alt_getDim_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_alt_match_I__(_0_i))
    def _getDim_alt_I(self,_t__0_i):
      return self._getDim_I(numpy.int32(__0_i))
    def _getDim_I(self,_0_i):
      pass
    @staticmethod
    def _match_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_astart,_1_astop, = args
      return (    __arg_match__3I__(_0_astart)
              and __arg_match__3I__(_1_astop))
    @staticmethod
    def _match_alt_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_astart,_1_astop, = args
      return (    __arg_alt_match__3I__(_0_astart)
              and __arg_alt_match__3I__(_1_astop))
    def _slice_alt__3I_3I(self,_t__0_astart,_t__1_astop):
      _0_astart=numpy.array(_t__0_astart,dtype=numpy.dtype(numpy.int32))
      _1_astop=numpy.array(_t__1_astop,dtype=numpy.dtype(numpy.int32))
      _1 = self._slice__3I_3I(_0_astart,_1_astop)
      try:
        _t__0_astart[:] = _0_astart
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_astop[:] = _1_astop
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _slice__3I_3I(self,_0_astart,_1_astop):
      pass
    @staticmethod
    def _match_slice_II(*args):
      if len(args) != 2: return False
      _0_start,_1_stop, = args
      return (    __arg_match_I__(_0_start)
              and __arg_match_I__(_1_stop))
    @staticmethod
    def _match_alt_slice_II(*args):
      if len(args) != 2: return False
      _0_start,_1_stop, = args
      return (    __arg_alt_match_I__(_0_start)
              and __arg_alt_match_I__(_1_stop))
    def _slice_alt_II(self,_t__0_start,_t__1_stop):
      return self._slice_II(numpy.int32(__0_start),numpy.int32(__1_stop))
    def _slice_II(self,_0_start,_1_stop):
      pass
    @staticmethod
    def _match_isSparse_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_isSparse_(*args):
      if len(args) != 0: return False
      return True
    def _isSparse_alt_(self,):
      return self._isSparse_()
    def _isSparse_(self,):
      pass
    @staticmethod
    def _match_reshape__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_match__3I__(_0_dims))
    @staticmethod
    def _match_alt_reshape__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_alt_match__3I__(_0_dims))
    def _reshape_alt__3I(self,_t__0_dims):
      _0_dims=numpy.array(_t__0_dims,dtype=numpy.dtype(numpy.int32))
      _1 = self._reshape__3I(_0_dims)
      try:
        _t__0_dims[:] = _0_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _reshape__3I(self,_0_dims):
      pass
    @staticmethod
    def _match_getNumNonzero_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getNumNonzero_(*args):
      if len(args) != 0: return False
      return True
    def _getNumNonzero_alt_(self,):
      return self._getNumNonzero_()
    def _getNumNonzero_(self,):
      pass
    @staticmethod
    def _match_asExpr_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_asExpr_(*args):
      if len(args) != 0: return False
      return True
    def _asExpr_alt_(self,):
      return self._asExpr_()
    def _asExpr_(self,):
      pass
    @staticmethod
    def _match_getValue_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getValue_(*args):
      if len(args) != 0: return False
      return True
    def _getValue_alt_(self,):
      return self._getValue_()
    def _getValue_(self,):
      pass
    @staticmethod
    def _match_setValue__3_5D(*args):
      if len(args) != 1: return False
      _0_values2, = args
      return (    __arg_match__3_5D__(_0_values2))
    @staticmethod
    def _match_alt_setValue__3_5D(*args):
      if len(args) != 1: return False
      _0_values2, = args
      return (    __arg_alt_match__3_5D__(_0_values2))
    def _setValue_alt__3_5D(self,_t__0_values2):
      _0_values2=numpy.array(_t__0_values2,ndmin=_monty.checkShape(_t__0_values2,2),dtype=numpy.dtype(numpy.float64))
      _1 = self._setValue__3_5D(_0_values2)
      return _1
    def _setValue__3_5D(self,_0_values2):
      pass
    @staticmethod
    def _match_setValue__3D(*args):
      if len(args) != 1: return False
      _0_values, = args
      return (    __arg_match__3D__(_0_values))
    @staticmethod
    def _match_alt_setValue__3D(*args):
      if len(args) != 1: return False
      _0_values, = args
      return (    __arg_alt_match__3D__(_0_values))
    def _setValue_alt__3D(self,_t__0_values):
      _0_values=numpy.array(_t__0_values,dtype=numpy.dtype(numpy.float64))
      _1 = self._setValue__3D(_0_values)
      try:
        _t__0_values[:] = _0_values
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _setValue__3D(self,_0_values):
      pass
    @staticmethod
    def _match_setValue_D(*args):
      if len(args) != 1: return False
      _0_value, = args
      return (    __arg_match_D__(_0_value))
    @staticmethod
    def _match_alt_setValue_D(*args):
      if len(args) != 1: return False
      _0_value, = args
      return (    __arg_alt_match_D__(_0_value))
    def _setValue_alt_D(self,_t__0_value):
      return self._setValue_D(numpy.float64(__0_value))
    def _setValue_D(self,_0_value):
      pass
  return Parameter
mosek_fusion_Parameter=__mk_mosek_fusion_Parameter()
del __mk_mosek_fusion_Parameter

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:9:4-18:5
#BEFORE CLASS
def __mk_mosek_fusion_FusionException():
  class FusionException(Exception):
    __slots__ = ['_FusionException__msg']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.FusionException.ctor(string)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_FusionException._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_FusionException._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.FusionException.toString()')

    def __repr__(self): return 'mosek.fusion.FusionException'
    @staticmethod
    def _ctor_S(msg_):
      o = FusionException.__new__(FusionException)
      o._ctor_init_S(msg_)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg_, = args
      return (    __arg_match_S__(msg_))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg_, = args
      return (    __arg_alt_match_S__(msg_))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:13:6-67
    def _ctor_alt_init_S(self,msg_):
      self._ctor_init_S(msg_)
    def _ctor_init_S(self,msg_):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:13:39-67
      Exception.__init__(self,msg_)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:13:41-53
      self.__msg = msg_ # bld/herlev/final/default/src/fusion/Errors.mbi:13:54-65
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:13:39-67
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:17:38-53
      return (self.__msg) # bld/herlev/final/default/src/fusion/Errors.mbi:17:40-51
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:17:38-53
  return FusionException
mosek_fusion_FusionException=__mk_mosek_fusion_FusionException()
del __mk_mosek_fusion_FusionException

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:229:4-242:5
#BEFORE CLASS
def __mk_mosek_fusion_SolutionError():
  class SolutionError(mosek_fusion_FusionException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_(*args): # 
        self._ctor_init_(*args)
      elif self.__match_alt_ctor_(*args):# 
        self._ctor_alt_init_(*args)
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.SolutionError.ctor()\n\tmosek.fusion.SolutionError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.SolutionError'
    @staticmethod
    def _ctor_():
      o = SolutionError.__new__(SolutionError)
      o._ctor_init_()
      return o

    @staticmethod
    def __match_ctor_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def __match_alt_ctor_(*args):
      if len(args) != 0: return False
      return True
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:238:8-241:9
    def _ctor_alt_init_(self,):
      self._ctor_init_()
    def _ctor_init_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:239:8-241:9
      mosek_fusion_FusionException._ctor_init_S(self,"Solution is invalid or undefined")# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:240:10-52
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:239:8-241:9
    @staticmethod
    def _ctor_S(msg):
      o = SolutionError.__new__(SolutionError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:233:8-236:9
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:234:8-236:9
      mosek_fusion_FusionException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:235:10-21
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:234:8-236:9
  return SolutionError
mosek_fusion_SolutionError=__mk_mosek_fusion_SolutionError()
del __mk_mosek_fusion_SolutionError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:284:4-292:5
#BEFORE CLASS
def __mk_mosek_fusion_UnimplementedError():
  class UnimplementedError(Exception):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.UnimplementedError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.UnimplementedError'
    @staticmethod
    def _ctor_S(msg):
      o = UnimplementedError.__new__(UnimplementedError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:288:8-291:9
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:289:8-291:9
      Exception.__init__(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:290:10-21
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:289:8-291:9
  return UnimplementedError
mosek_fusion_UnimplementedError=__mk_mosek_fusion_UnimplementedError()
del __mk_mosek_fusion_UnimplementedError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:273:4-281:5
#BEFORE CLASS
def __mk_mosek_fusion_FatalError():
  class FatalError(Exception):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.FatalError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.FatalError'
    @staticmethod
    def _ctor_S(msg):
      o = FatalError.__new__(FatalError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:277:8-280:9
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:278:8-280:9
      Exception.__init__(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:279:10-21
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:278:8-280:9
  return FatalError
mosek_fusion_FatalError=__mk_mosek_fusion_FatalError()
del __mk_mosek_fusion_FatalError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:257:4-270:5
#BEFORE CLASS
def __mk_mosek_fusion_UnexpectedError():
  class UnexpectedError(Exception):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4FusionException_2(*args): # mosek.fusion.FusionException
        self._ctor_init_Lmosek_4fusion_4FusionException_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4FusionException_2(*args):# mosek.fusion.FusionException
        self._ctor_alt_init_Lmosek_4fusion_4FusionException_2(*args)
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.UnexpectedError.ctor(mosek.fusion.FusionException)\n\tmosek.fusion.UnexpectedError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.UnexpectedError'
    @staticmethod
    def _ctor_Lmosek_4fusion_4FusionException_2(e):
      o = UnexpectedError.__new__(UnexpectedError)
      o._ctor_init_Lmosek_4fusion_4FusionException_2(e)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4FusionException_2(*args):
      if len(args) != 1: return False
      e, = args
      return (    __arg_match_Lmosek_4fusion_4FusionException_2__(e))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4FusionException_2(*args):
      if len(args) != 1: return False
      e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4FusionException_2__(e))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:266:8-269:9
    def _ctor_alt_init_Lmosek_4fusion_4FusionException_2(self,e):
      self._ctor_init_Lmosek_4fusion_4FusionException_2(e)
    def _ctor_init_Lmosek_4fusion_4FusionException_2(self,e):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:267:8-269:9
      Exception.__init__(self,e._toString_())# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:268:10-30
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:267:8-269:9
    @staticmethod
    def _ctor_S(msg):
      o = UnexpectedError.__new__(UnexpectedError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:261:8-264:9
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:262:8-264:9
      Exception.__init__(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:263:12-23
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:262:8-264:9
  return UnexpectedError
mosek_fusion_UnexpectedError=__mk_mosek_fusion_UnexpectedError()
del __mk_mosek_fusion_UnexpectedError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:24:4-34:5
#BEFORE CLASS
def __mk_mosek_fusion_FusionRuntimeException():
  class FusionRuntimeException(Exception):
    __slots__ = ['_FusionRuntimeException__msg']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.FusionRuntimeException.ctor(string)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_FusionRuntimeException._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_FusionRuntimeException._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.FusionRuntimeException.toString()')

    def __repr__(self): return 'mosek.fusion.FusionRuntimeException'
    @staticmethod
    def _ctor_S(msg_):
      o = FusionRuntimeException.__new__(FusionRuntimeException)
      o._ctor_init_S(msg_)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg_, = args
      return (    __arg_match_S__(msg_))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg_, = args
      return (    __arg_alt_match_S__(msg_))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:28:6-68
    def _ctor_alt_init_S(self,msg_):
      self._ctor_init_S(msg_)
    def _ctor_init_S(self,msg_):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:28:40-68
      Exception.__init__(self,msg_)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:28:42-54
      self.__msg = msg_ # bld/herlev/final/default/src/fusion/Errors.mbi:28:55-66
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:28:40-68
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:33:38-53
      return (self.__msg) # bld/herlev/final/default/src/fusion/Errors.mbi:33:40-51
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:33:38-53
  return FusionRuntimeException
mosek_fusion_FusionRuntimeException=__mk_mosek_fusion_FusionRuntimeException()
del __mk_mosek_fusion_FusionRuntimeException

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:245:4-253:5
#BEFORE CLASS
def __mk_mosek_fusion_SparseFormatError():
  class SparseFormatError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.SparseFormatError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.SparseFormatError'
    @staticmethod
    def _ctor_S(msg):
      o = SparseFormatError.__new__(SparseFormatError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:249:8-252:9
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:250:8-252:9
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:251:10-21
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:250:8-252:9
  return SparseFormatError
mosek_fusion_SparseFormatError=__mk_mosek_fusion_SparseFormatError()
del __mk_mosek_fusion_SparseFormatError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:213:4-226:5
#BEFORE CLASS
def __mk_mosek_fusion_SliceError():
  class SliceError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_(*args): # 
        self._ctor_init_(*args)
      elif self.__match_alt_ctor_(*args):# 
        self._ctor_alt_init_(*args)
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.SliceError.ctor()\n\tmosek.fusion.SliceError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.SliceError'
    @staticmethod
    def _ctor_():
      o = SliceError.__new__(SliceError)
      o._ctor_init_()
      return o

    @staticmethod
    def __match_ctor_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def __match_alt_ctor_(*args):
      if len(args) != 0: return False
      return True
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:222:8-225:9
    def _ctor_alt_init_(self,):
      self._ctor_init_()
    def _ctor_init_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:223:8-225:9
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,"Invalid slice range")# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:224:10-39
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:223:8-225:9
    @staticmethod
    def _ctor_S(msg):
      o = SliceError.__new__(SliceError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:217:8-220:9
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:218:8-220:9
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:219:10-21
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:218:8-220:9
  return SliceError
mosek_fusion_SliceError=__mk_mosek_fusion_SliceError()
del __mk_mosek_fusion_SliceError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:196:4-209:5
#BEFORE CLASS
def __mk_mosek_fusion_UpdateError():
  class UpdateError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_(*args): # 
        self._ctor_init_(*args)
      elif self.__match_alt_ctor_(*args):# 
        self._ctor_alt_init_(*args)
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.UpdateError.ctor()\n\tmosek.fusion.UpdateError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.UpdateError'
    @staticmethod
    def _ctor_():
      o = UpdateError.__new__(UpdateError)
      o._ctor_init_()
      return o

    @staticmethod
    def __match_ctor_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def __match_alt_ctor_(*args):
      if len(args) != 0: return False
      return True
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:205:8-208:9
    def _ctor_alt_init_(self,):
      self._ctor_init_()
    def _ctor_init_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:206:8-208:9
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,"Cannot update parameterized item")# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:207:10-52
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:206:8-208:9
    @staticmethod
    def _ctor_S(msg):
      o = UpdateError.__new__(UpdateError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:200:8-203:9
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:201:8-203:9
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:202:10-21
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:201:8-203:9
  return UpdateError
mosek_fusion_UpdateError=__mk_mosek_fusion_UpdateError()
del __mk_mosek_fusion_UpdateError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:185:4-193:5
#BEFORE CLASS
def __mk_mosek_fusion_SetDefinitionError():
  class SetDefinitionError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.SetDefinitionError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.SetDefinitionError'
    @staticmethod
    def _ctor_S(msg):
      o = SetDefinitionError.__new__(SetDefinitionError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:189:8-192:9
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:190:8-192:9
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:191:10-21
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:190:8-192:9
  return SetDefinitionError
mosek_fusion_SetDefinitionError=__mk_mosek_fusion_SetDefinitionError()
del __mk_mosek_fusion_SetDefinitionError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:173:4-181:5
#BEFORE CLASS
def __mk_mosek_fusion_OptimizeError():
  class OptimizeError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.OptimizeError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.OptimizeError'
    @staticmethod
    def _ctor_S(msg):
      o = OptimizeError.__new__(OptimizeError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:177:8-180:9
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:178:8-180:9
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:179:10-21
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:178:8-180:9
  return OptimizeError
mosek_fusion_OptimizeError=__mk_mosek_fusion_OptimizeError()
del __mk_mosek_fusion_OptimizeError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:162:4-170:5
#BEFORE CLASS
def __mk_mosek_fusion_NameError():
  class NameError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.NameError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.NameError'
    @staticmethod
    def _ctor_S(msg):
      o = NameError.__new__(NameError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:166:8-169:9
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:167:8-169:9
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:168:10-21
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:167:8-169:9
  return NameError
mosek_fusion_NameError=__mk_mosek_fusion_NameError()
del __mk_mosek_fusion_NameError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:151:4-159:5
#BEFORE CLASS
def __mk_mosek_fusion_DeletionError():
  class DeletionError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.DeletionError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.DeletionError'
    @staticmethod
    def _ctor_S(msg):
      o = DeletionError.__new__(DeletionError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:155:8-158:9
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:156:8-158:9
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:157:10-21
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:156:8-158:9
  return DeletionError
mosek_fusion_DeletionError=__mk_mosek_fusion_DeletionError()
del __mk_mosek_fusion_DeletionError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:138:4-147:5
#BEFORE CLASS
def __mk_mosek_fusion_ModelError():
  class ModelError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ModelError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.ModelError'
    @staticmethod
    def _ctor_S(msg):
      o = ModelError.__new__(ModelError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:143:8-146:9
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:144:8-146:9
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:145:10-21
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:144:8-146:9
  return ModelError
mosek_fusion_ModelError=__mk_mosek_fusion_ModelError()
del __mk_mosek_fusion_ModelError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:128:4-133:5
#BEFORE CLASS
def __mk_mosek_fusion_MatrixError():
  class MatrixError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.MatrixError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.MatrixError'
    @staticmethod
    def _ctor_S(msg):
      o = MatrixError.__new__(MatrixError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:132:8-55
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:132:40-55
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:132:42-53
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:132:40-55
  return MatrixError
mosek_fusion_MatrixError=__mk_mosek_fusion_MatrixError()
del __mk_mosek_fusion_MatrixError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:117:4-122:5
#BEFORE CLASS
def __mk_mosek_fusion_DimensionError():
  class DimensionError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.DimensionError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.DimensionError'
    @staticmethod
    def _ctor_S(msg):
      o = DimensionError.__new__(DimensionError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:121:8-56
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:121:41-56
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:121:43-54
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:121:41-56
  return DimensionError
mosek_fusion_DimensionError=__mk_mosek_fusion_DimensionError()
del __mk_mosek_fusion_DimensionError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:105:4-110:5
#BEFORE CLASS
def __mk_mosek_fusion_LengthError():
  class LengthError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.LengthError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.LengthError'
    @staticmethod
    def _ctor_S(msg):
      o = LengthError.__new__(LengthError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:109:8-56
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:109:41-56
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:109:43-54
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:109:41-56
  return LengthError
mosek_fusion_LengthError=__mk_mosek_fusion_LengthError()
del __mk_mosek_fusion_LengthError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:96:4-100:5
#BEFORE CLASS
def __mk_mosek_fusion_RangeError():
  class RangeError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.RangeError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.RangeError'
    @staticmethod
    def _ctor_S(msg):
      o = RangeError.__new__(RangeError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:99:8-56
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:99:41-56
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:99:43-54
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:99:41-56
  return RangeError
mosek_fusion_RangeError=__mk_mosek_fusion_RangeError()
del __mk_mosek_fusion_RangeError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:88:4-93:5
#BEFORE CLASS
def __mk_mosek_fusion_IndexError():
  class IndexError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.IndexError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.IndexError'
    @staticmethod
    def _ctor_S(msg):
      o = IndexError.__new__(IndexError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:92:8-56
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:92:41-56
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:92:43-54
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:92:41-56
  return IndexError
mosek_fusion_IndexError=__mk_mosek_fusion_IndexError()
del __mk_mosek_fusion_IndexError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:80:4-85:5
#BEFORE CLASS
def __mk_mosek_fusion_DomainError():
  class DomainError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.DomainError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.DomainError'
    @staticmethod
    def _ctor_S(msg):
      o = DomainError.__new__(DomainError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:84:6-54
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:84:39-54
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:84:41-52
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:84:39-54
  return DomainError
mosek_fusion_DomainError=__mk_mosek_fusion_DomainError()
del __mk_mosek_fusion_DomainError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:68:4-76:5
#BEFORE CLASS
def __mk_mosek_fusion_ValueConversionError():
  class ValueConversionError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ValueConversionError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.ValueConversionError'
    @staticmethod
    def _ctor_S(msg):
      o = ValueConversionError.__new__(ValueConversionError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:72:6-75:7
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:73:6-75:7
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:74:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:73:6-75:7
  return ValueConversionError
mosek_fusion_ValueConversionError=__mk_mosek_fusion_ValueConversionError()
del __mk_mosek_fusion_ValueConversionError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:57:4-65:5
#BEFORE CLASS
def __mk_mosek_fusion_ParameterError():
  class ParameterError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ParameterError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.ParameterError'
    @staticmethod
    def _ctor_S(msg):
      o = ParameterError.__new__(ParameterError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:61:6-64:7
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:62:6-64:7
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:63:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:62:6-64:7
  return ParameterError
mosek_fusion_ParameterError=__mk_mosek_fusion_ParameterError()
del __mk_mosek_fusion_ParameterError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:46:4-54:5
#BEFORE CLASS
def __mk_mosek_fusion_ExpressionError():
  class ExpressionError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExpressionError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.ExpressionError'
    @staticmethod
    def _ctor_S(msg):
      o = ExpressionError.__new__(ExpressionError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:50:6-53:7
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:51:6-53:7
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:52:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:51:6-53:7
  return ExpressionError
mosek_fusion_ExpressionError=__mk_mosek_fusion_ExpressionError()
del __mk_mosek_fusion_ExpressionError

# origin: bld/herlev/final/default/src/fusion/Errors.mbi:38:4-43:5
#BEFORE CLASS
def __mk_mosek_fusion_IOError():
  class IOError(mosek_fusion_FusionRuntimeException):
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.IOError.ctor(string)')

    def __repr__(self): return 'mosek.fusion.IOError'
    @staticmethod
    def _ctor_S(msg):
      o = IOError.__new__(IOError)
      o._ctor_init_S(msg)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_match_S__(msg))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      msg, = args
      return (    __arg_alt_match_S__(msg))
    # Origin: bld/herlev/final/default/src/fusion/Errors.mbi:42:8-56
    def _ctor_alt_init_S(self,msg):
      self._ctor_init_S(msg)
    def _ctor_init_S(self,msg):
      # Start scope @ bld/herlev/final/default/src/fusion/Errors.mbi:42:41-56
      mosek_fusion_FusionRuntimeException._ctor_init_S(self,msg)# ctor @ bld/herlev/final/default/src/fusion/Errors.mbi:42:43-54
      # End   scope @ bld/herlev/final/default/src/fusion/Errors.mbi:42:41-56
  return IOError
mosek_fusion_IOError=__mk_mosek_fusion_IOError()
del __mk_mosek_fusion_IOError

# origin: bld/herlev/final/default/src/fusion/Disjunction.mbi:275:4-280:5
#BEFORE CLASS
def __mk_mosek_fusion_Disjunction():
  class Disjunction(object):
    __slots__ = ['_Disjunction__id']
    def __repr__(self): return 'mosek.fusion.Disjunction'
    @staticmethod
    def _ctor_J(id):
      o = Disjunction.__new__(Disjunction)
      o._ctor_init_J(id)
      return o

    @staticmethod
    def __match_ctor_J(*args):
      if len(args) != 1: return False
      id, = args
      return (    __arg_match_J__(id))
    @staticmethod
    def __match_alt_ctor_J(*args):
      if len(args) != 1: return False
      id, = args
      return (    __arg_alt_match_J__(id))
    # Origin: bld/herlev/final/default/src/fusion/Disjunction.mbi:277:6-279:7
    def _ctor_alt_init_J(self,id):
      self._ctor_init_J(numpy.int64(id))
    def _ctor_init_J(self,id):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:277:32-279:7
      (self.__id) = id # bld/herlev/final/default/src/fusion/Disjunction.mbi:278:8-21
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:277:32-279:7
  return Disjunction
mosek_fusion_Disjunction=__mk_mosek_fusion_Disjunction()
del __mk_mosek_fusion_Disjunction

# origin: bld/herlev/final/default/src/fusion/Disjunction.mbi:208:4-269:5
#BEFORE CLASS
def __mk_mosek_fusion_Term():
  class Term(object):
    __slots__ = ['_domains','_exprs']
    def size(self,*args):
      if False: pass
      elif mosek_fusion_Term._match_size_(*args): # 
        return self._size_(*args)
      elif mosek_fusion_Term._match_alt_size_(*args): # 
        return self._size_alt_(*args)
      else:
        raise ValueError('Invalid argument list size('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Term.size()')

    def __repr__(self): return 'mosek.fusion.Term'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(e,d):
      o = Term.__new__(Term)
      o._ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(e,d)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(*args):
      if len(args) != 2: return False
      e,d, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(e)
              and __arg_match_Lmosek_4fusion_4DJCDomain_2__(d))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(*args):
      if len(args) != 2: return False
      e,d, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(e)
              and __arg_alt_match_Lmosek_4fusion_4DJCDomain_2__(d))
    # Origin: bld/herlev/final/default/src/fusion/Disjunction.mbi:222:6-90
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(self,e,d):
      self._ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(e,d)
    def _ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(self,e,d):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:222:48-90
      self._exprs = numpy.array([e], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Disjunction.mbi:222:51-68
      self._domains = numpy.array([d], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Disjunction.mbi:222:69-88
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:222:48-90
    @staticmethod
    def _ctor__3Lmosek_4fusion_4SimpleTerm_2(t):
      o = Term.__new__(Term)
      o._ctor_init__3Lmosek_4fusion_4SimpleTerm_2(t)
      return o

    @staticmethod
    def __match_ctor__3Lmosek_4fusion_4SimpleTerm_2(*args):
      if len(args) != 1: return False
      t, = args
      return (    __arg_match__3Lmosek_4fusion_4SimpleTerm_2__(t))
    @staticmethod
    def __match_alt_ctor__3Lmosek_4fusion_4SimpleTerm_2(*args):
      if len(args) != 1: return False
      t, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4SimpleTerm_2__(t))
    # Origin: bld/herlev/final/default/src/fusion/Disjunction.mbi:212:6-220:7
    def _ctor_alt_init__3Lmosek_4fusion_4SimpleTerm_2(self,t):
      self._ctor_init__3Lmosek_4fusion_4SimpleTerm_2(numpy.array(t,dtype=numpy.dtype(object)))
    def _ctor_init__3Lmosek_4fusion_4SimpleTerm_2(self,t):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:212:37-220:7
      _0_n=int((t).shape[0]) # bld/herlev/final/default/src/fusion/Disjunction.mbi:213:12-13
      self._exprs = numpy.ndarray((_0_n,), dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Disjunction.mbi:214:8-33
      self._domains = numpy.ndarray((_0_n,), dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Disjunction.mbi:215:8-34
      for _1_i in range(0,_0_n): # bld/herlev/final/default/src/fusion/Disjunction.mbi:216:8-219:9
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:216:26-219:9
        self._exprs[_1_i] = (t[_1_i]._exprs)[0] # bld/herlev/final/default/src/fusion/Disjunction.mbi:217:10-35
        self._domains[_1_i] = (t[_1_i]._domains)[0] # bld/herlev/final/default/src/fusion/Disjunction.mbi:218:10-39
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:216:26-219:9
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:212:37-220:7
    def _numaccterms_alt_(self,):
      return self._numaccterms_()
    def _numaccterms_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:268:43-128
      _0_n=0 # bld/herlev/final/default/src/fusion/Disjunction.mbi:268:49-50
      for _1_i in range(0,int((self._domains).shape[0])): # bld/herlev/final/default/src/fusion/Disjunction.mbi:268:56-116
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:268:86-116
        _0_n += self._domains[_1_i]._numaccterms_() # bld/herlev/final/default/src/fusion/Disjunction.mbi:268:86-116
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:268:86-116
      return numpy.int32(_0_n) # bld/herlev/final/default/src/fusion/Disjunction.mbi:268:117-126
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:268:43-128
    def _numaccrows_alt_(self,):
      return self._numaccrows_()
    def _numaccrows_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:267:43-127
      _0_n=0 # bld/herlev/final/default/src/fusion/Disjunction.mbi:267:49-50
      for _1_i in range(0,int((self._domains).shape[0])): # bld/herlev/final/default/src/fusion/Disjunction.mbi:267:56-115
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:267:86-115
        _0_n += self._domains[_1_i]._numaccrows_() # bld/herlev/final/default/src/fusion/Disjunction.mbi:267:86-115
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:267:86-115
      return numpy.int32(_0_n) # bld/herlev/final/default/src/fusion/Disjunction.mbi:267:116-125
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:267:43-127
    def _num_alt_(self,):
      return self._num_()
    def _num_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:266:43-67
      return numpy.int32(int((self._domains).shape[0])) # bld/herlev/final/default/src/fusion/Disjunction.mbi:266:45-65
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:266:43-67
    @staticmethod
    def _match_size_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_size_(*args):
      if len(args) != 0: return False
      return True
    def _size_alt_(self,):
      return self._size_()
    def _size_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:265:43-121
      _0_s=0 # bld/herlev/final/default/src/fusion/Disjunction.mbi:265:49-50
      for _1_i in range(0,int((self._domains).shape[0])): # bld/herlev/final/default/src/fusion/Disjunction.mbi:265:56-109
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:265:86-109
        _0_s += self._domains[_1_i]._size_() # bld/herlev/final/default/src/fusion/Disjunction.mbi:265:86-109
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:265:86-109
      return numpy.int32(_0_s) # bld/herlev/final/default/src/fusion/Disjunction.mbi:265:110-119
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:265:43-121
  return Term
mosek_fusion_Term=__mk_mosek_fusion_Term()
del __mk_mosek_fusion_Term

# origin: bld/herlev/final/default/src/fusion/Disjunction.mbi:193:4-195:5
#BEFORE CLASS
def __mk_mosek_fusion_SimpleTerm():
  class SimpleTerm(mosek_fusion_Term):
    def __repr__(self): return 'mosek.fusion.SimpleTerm'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(e,d):
      o = SimpleTerm.__new__(SimpleTerm)
      o._ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(e,d)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(*args):
      if len(args) != 2: return False
      e,d, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(e)
              and __arg_match_Lmosek_4fusion_4DJCDomain_2__(d))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(*args):
      if len(args) != 2: return False
      e,d, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(e)
              and __arg_alt_match_Lmosek_4fusion_4DJCDomain_2__(d))
    # Origin: bld/herlev/final/default/src/fusion/Disjunction.mbi:194:6-64
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(self,e,d):
      self._ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(e,d)
    def _ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(self,e,d):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:194:48-64
      mosek_fusion_Term._ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(self,e,d)# ctor @ bld/herlev/final/default/src/fusion/Disjunction.mbi:194:50-62
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:194:48-64
  return SimpleTerm
mosek_fusion_SimpleTerm=__mk_mosek_fusion_SimpleTerm()
del __mk_mosek_fusion_SimpleTerm

# origin: bld/herlev/final/default/src/fusion/Disjunction.mbi:136:4-182:5
#BEFORE CLASS
def __mk_mosek_fusion_DJCDomain():
  class DJCDomain(object):
    __slots__ = ['dom','conedim','shape','par','b']
    def size(self,*args):
      if False: pass
      elif mosek_fusion_DJCDomain._match_size_(*args): # 
        return self._size_(*args)
      elif mosek_fusion_DJCDomain._match_alt_size_(*args): # 
        return self._size_alt_(*args)
      else:
        raise ValueError('Invalid argument list size('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.DJCDomain.size()')

    def __repr__(self): return 'mosek.fusion.DJCDomain'
    @staticmethod
    def _ctor__3D_3D_3IEmosek_4fusion_4DJCDomainType_2(b_,par_,shape_,dom_):
      o = DJCDomain.__new__(DJCDomain)
      o._ctor_init__3D_3D_3IEmosek_4fusion_4DJCDomainType_2(b_,par_,shape_,dom_)
      return o

    @staticmethod
    def __match_ctor__3D_3D_3IEmosek_4fusion_4DJCDomainType_2(*args):
      if len(args) != 4: return False
      b_,par_,shape_,dom_, = args
      return (    __arg_match__3D__(b_)
              and __arg_match__3D__(par_)
              and __arg_match__3I__(shape_)
              and __arg_match_Emosek_4fusion_4DJCDomainType_2__(dom_))
    @staticmethod
    def __match_alt_ctor__3D_3D_3IEmosek_4fusion_4DJCDomainType_2(*args):
      if len(args) != 4: return False
      b_,par_,shape_,dom_, = args
      return (    __arg_alt_match__3D__(b_)
              and __arg_alt_match__3D__(par_)
              and __arg_alt_match__3I__(shape_)
              and __arg_alt_match_Emosek_4fusion_4DJCDomainType_2__(dom_))
    # Origin: bld/herlev/final/default/src/fusion/Disjunction.mbi:155:6-164:7
    def _ctor_alt_init__3D_3D_3IEmosek_4fusion_4DJCDomainType_2(self,b_,par_,shape_,dom_):
      self._ctor_init__3D_3D_3IEmosek_4fusion_4DJCDomainType_2(numpy.array(b_,dtype=numpy.dtype(numpy.float64)),numpy.array(par_,dtype=numpy.dtype(numpy.float64)),numpy.array(shape_,dtype=numpy.dtype(numpy.int32)),dom_)
    def _ctor_init__3D_3D_3IEmosek_4fusion_4DJCDomainType_2(self,b_,par_,shape_,dom_):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:158:46-164:7
      self.b = b_ # bld/herlev/final/default/src/fusion/Disjunction.mbi:159:8-19
      self.par = par_ # bld/herlev/final/default/src/fusion/Disjunction.mbi:160:8-21
      self.shape = shape_ # bld/herlev/final/default/src/fusion/Disjunction.mbi:161:8-23
      self.dom = dom_ # bld/herlev/final/default/src/fusion/Disjunction.mbi:162:8-21
      self.conedim = (int((shape_).shape[0]) - 1) # bld/herlev/final/default/src/fusion/Disjunction.mbi:163:8-32
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:158:46-164:7
    @staticmethod
    def _ctor__3D_3D_3IIEmosek_4fusion_4DJCDomainType_2(b_,par_,shape_,conedim_,dom_):
      o = DJCDomain.__new__(DJCDomain)
      o._ctor_init__3D_3D_3IIEmosek_4fusion_4DJCDomainType_2(b_,par_,shape_,conedim_,dom_)
      return o

    @staticmethod
    def __match_ctor__3D_3D_3IIEmosek_4fusion_4DJCDomainType_2(*args):
      if len(args) != 5: return False
      b_,par_,shape_,conedim_,dom_, = args
      return (    __arg_match__3D__(b_)
              and __arg_match__3D__(par_)
              and __arg_match__3I__(shape_)
              and __arg_match_I__(conedim_)
              and __arg_match_Emosek_4fusion_4DJCDomainType_2__(dom_))
    @staticmethod
    def __match_alt_ctor__3D_3D_3IIEmosek_4fusion_4DJCDomainType_2(*args):
      if len(args) != 5: return False
      b_,par_,shape_,conedim_,dom_, = args
      return (    __arg_alt_match__3D__(b_)
              and __arg_alt_match__3D__(par_)
              and __arg_alt_match__3I__(shape_)
              and __arg_alt_match_I__(conedim_)
              and __arg_alt_match_Emosek_4fusion_4DJCDomainType_2__(dom_))
    # Origin: bld/herlev/final/default/src/fusion/Disjunction.mbi:143:6-153:7
    def _ctor_alt_init__3D_3D_3IIEmosek_4fusion_4DJCDomainType_2(self,b_,par_,shape_,conedim_,dom_):
      self._ctor_init__3D_3D_3IIEmosek_4fusion_4DJCDomainType_2(numpy.array(b_,dtype=numpy.dtype(numpy.float64)),numpy.array(par_,dtype=numpy.dtype(numpy.float64)),numpy.array(shape_,dtype=numpy.dtype(numpy.int32)),numpy.int32(conedim_),dom_)
    def _ctor_init__3D_3D_3IIEmosek_4fusion_4DJCDomainType_2(self,b_,par_,shape_,conedim_,dom_):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:147:46-153:7
      self.b = b_ # bld/herlev/final/default/src/fusion/Disjunction.mbi:148:8-19
      self.par = par_ # bld/herlev/final/default/src/fusion/Disjunction.mbi:149:8-21
      self.shape = shape_ # bld/herlev/final/default/src/fusion/Disjunction.mbi:150:8-23
      self.dom = dom_ # bld/herlev/final/default/src/fusion/Disjunction.mbi:151:8-21
      self.conedim = conedim_ # bld/herlev/final/default/src/fusion/Disjunction.mbi:152:8-27
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:147:46-153:7
    def _numaccterms_alt_(self,):
      return self._numaccterms_()
    def _numaccterms_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:176:43-181:7
      if (self.dom==mosek.fusion.DJCDomainType.InRange): # bld/herlev/final/default/src/fusion/Disjunction.mbi:177:12-40
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:178:10-19
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Disjunction.mbi:178:10-19
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:178:10-19
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:180:10-19
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Disjunction.mbi:180:10-19
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:180:10-19
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:176:43-181:7
    def _numaccrows_alt_(self,):
      return self._numaccrows_()
    def _numaccrows_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:170:42-175:7
      if (self.dom==mosek.fusion.DJCDomainType.InRange): # bld/herlev/final/default/src/fusion/Disjunction.mbi:171:12-40
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:172:10-26
        return numpy.int32((self._size_() * 2)) # bld/herlev/final/default/src/fusion/Disjunction.mbi:172:10-26
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:172:10-26
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:174:10-24
        return numpy.int32(self._size_()) # bld/herlev/final/default/src/fusion/Disjunction.mbi:174:10-24
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:174:10-24
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:170:42-175:7
    @staticmethod
    def _match_size_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_size_(*args):
      if len(args) != 0: return False
      return True
    def _size_alt_(self,):
      return self._size_()
    def _size_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:166:34-169:7
      _0_s=1 # bld/herlev/final/default/src/fusion/Disjunction.mbi:167:12-13
      _0_s = fragments._c_closure_0(_0_s,self.shape) # bld/herlev/final/default/src/fusion/Disjunction.mbi:167:19-61
      _0_s = numpy.int32(_0_s) # postprocess
      return numpy.int32(_0_s) # bld/herlev/final/default/src/fusion/Disjunction.mbi:168:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:166:34-169:7
  return DJCDomain
mosek_fusion_DJCDomain=__mk_mosek_fusion_DJCDomain()
del __mk_mosek_fusion_DJCDomain

# origin: bld/herlev/final/default/src/fusion/Disjunction.mbi:32:4-104:5
#BEFORE CLASS
def __mk_mosek_fusion_DJC():
  class DJC(object):
    @staticmethod
    def AND(*args):
      if False: pass
      elif mosek_fusion_DJC._match_AND__3Lmosek_4fusion_4SimpleTerm_2(*args): # []mosek.fusion.SimpleTerm
        return mosek_fusion_DJC._AND__3Lmosek_4fusion_4SimpleTerm_2(*args)
      elif mosek_fusion_DJC._match_alt_AND__3Lmosek_4fusion_4SimpleTerm_2(*args): # []mosek.fusion.SimpleTerm
        return mosek_fusion_DJC._AND_alt__3Lmosek_4fusion_4SimpleTerm_2(*args)
      elif mosek_fusion_DJC._match_AND_Lmosek_4fusion_4SimpleTerm_2(*args): # mosek.fusion.SimpleTerm
        return mosek_fusion_DJC._AND_Lmosek_4fusion_4SimpleTerm_2(*args)
      elif mosek_fusion_DJC._match_alt_AND_Lmosek_4fusion_4SimpleTerm_2(*args): # mosek.fusion.SimpleTerm
        return mosek_fusion_DJC._AND_alt_Lmosek_4fusion_4SimpleTerm_2(*args)
      elif mosek_fusion_DJC._match_AND_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(*args): # mosek.fusion.SimpleTerm,mosek.fusion.SimpleTerm
        return mosek_fusion_DJC._AND_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(*args)
      elif mosek_fusion_DJC._match_alt_AND_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(*args): # mosek.fusion.SimpleTerm,mosek.fusion.SimpleTerm
        return mosek_fusion_DJC._AND_alt_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(*args)
      elif mosek_fusion_DJC._match_AND_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(*args): # mosek.fusion.SimpleTerm,mosek.fusion.SimpleTerm,mosek.fusion.SimpleTerm
        return mosek_fusion_DJC._AND_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(*args)
      elif mosek_fusion_DJC._match_alt_AND_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(*args): # mosek.fusion.SimpleTerm,mosek.fusion.SimpleTerm,mosek.fusion.SimpleTerm
        return mosek_fusion_DJC._AND_alt_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(*args)
      else:
        raise ValueError('Invalid argument list AND('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.DJC.AND(array(mosek.fusion.SimpleTerm,ndim=1))\n\tmosek.fusion.DJC.AND(mosek.fusion.SimpleTerm)\n\tmosek.fusion.DJC.AND(mosek.fusion.SimpleTerm,mosek.fusion.SimpleTerm)\n\tmosek.fusion.DJC.AND(mosek.fusion.SimpleTerm,mosek.fusion.SimpleTerm,mosek.fusion.SimpleTerm)')

    @staticmethod
    def term(*args):
      if False: pass
      elif mosek_fusion_DJC._match_term_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4LinearDomain_2(*args): # mosek.fusion.Variable,mosek.fusion.LinearDomain
        return mosek_fusion_DJC._term_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_DJC._match_alt_term_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4LinearDomain_2(*args): # mosek.fusion.Variable,mosek.fusion.LinearDomain
        return mosek_fusion_DJC._term_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_DJC._match_term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args): # mosek.fusion.Expression,mosek.fusion.LinearDomain
        return mosek_fusion_DJC._term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_DJC._match_alt_term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args): # mosek.fusion.Expression,mosek.fusion.LinearDomain
        return mosek_fusion_DJC._term_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_DJC._match_term_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4RangeDomain_2(*args): # mosek.fusion.Variable,mosek.fusion.RangeDomain
        return mosek_fusion_DJC._term_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_DJC._match_alt_term_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4RangeDomain_2(*args): # mosek.fusion.Variable,mosek.fusion.RangeDomain
        return mosek_fusion_DJC._term_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_DJC._match_term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args): # mosek.fusion.Expression,mosek.fusion.RangeDomain
        return mosek_fusion_DJC._term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_DJC._match_alt_term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args): # mosek.fusion.Expression,mosek.fusion.RangeDomain
        return mosek_fusion_DJC._term_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args)
      else:
        raise ValueError('Invalid argument list term('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.DJC.term(mosek.fusion.Variable,mosek.fusion.LinearDomain)\n\tmosek.fusion.DJC.term(mosek.fusion.Expression,mosek.fusion.LinearDomain)\n\tmosek.fusion.DJC.term(mosek.fusion.Variable,mosek.fusion.RangeDomain)\n\tmosek.fusion.DJC.term(mosek.fusion.Expression,mosek.fusion.RangeDomain)')

    def __repr__(self): return 'mosek.fusion.DJC'
    @staticmethod
    def _match_AND_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(*args):
      if len(args) != 3: return False
      _0_s1,_1_s2,_2_s3, = args
      return (    __arg_match_Lmosek_4fusion_4SimpleTerm_2__(_0_s1)
              and __arg_match_Lmosek_4fusion_4SimpleTerm_2__(_1_s2)
              and __arg_match_Lmosek_4fusion_4SimpleTerm_2__(_2_s3))
    @staticmethod
    def _match_alt_AND_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(*args):
      if len(args) != 3: return False
      _0_s1,_1_s2,_2_s3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4SimpleTerm_2__(_0_s1)
              and __arg_alt_match_Lmosek_4fusion_4SimpleTerm_2__(_1_s2)
              and __arg_alt_match_Lmosek_4fusion_4SimpleTerm_2__(_2_s3))
    @staticmethod
    def _AND_alt_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(_t__0_s1,_t__1_s2,_t__2_s3):
      return mosek_fusion_DJC._AND_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(_0_s1,_1_s2,_2_s3)
    @staticmethod
    def _AND_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(_0_s1,_1_s2,_2_s3):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:103:82-114
      return (mosek.fusion.DJC._AND__3Lmosek_4fusion_4SimpleTerm_2(numpy.array([_0_s1,_1_s2,_2_s3], dtype=numpy.dtype(object)))) # bld/herlev/final/default/src/fusion/Disjunction.mbi:103:84-112
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:103:82-114
    @staticmethod
    def _match_AND_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(*args):
      if len(args) != 2: return False
      _0_s1,_1_s2, = args
      return (    __arg_match_Lmosek_4fusion_4SimpleTerm_2__(_0_s1)
              and __arg_match_Lmosek_4fusion_4SimpleTerm_2__(_1_s2))
    @staticmethod
    def _match_alt_AND_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(*args):
      if len(args) != 2: return False
      _0_s1,_1_s2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4SimpleTerm_2__(_0_s1)
              and __arg_alt_match_Lmosek_4fusion_4SimpleTerm_2__(_1_s2))
    @staticmethod
    def _AND_alt_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(_t__0_s1,_t__1_s2):
      return mosek_fusion_DJC._AND_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(_0_s1,_1_s2)
    @staticmethod
    def _AND_Lmosek_4fusion_4SimpleTerm_2Lmosek_4fusion_4SimpleTerm_2(_0_s1,_1_s2):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:102:67-96
      return (mosek.fusion.DJC._AND__3Lmosek_4fusion_4SimpleTerm_2(numpy.array([_0_s1,_1_s2], dtype=numpy.dtype(object)))) # bld/herlev/final/default/src/fusion/Disjunction.mbi:102:69-94
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:102:67-96
    @staticmethod
    def _match_AND_Lmosek_4fusion_4SimpleTerm_2(*args):
      if len(args) != 1: return False
      _0_s1, = args
      return (    __arg_match_Lmosek_4fusion_4SimpleTerm_2__(_0_s1))
    @staticmethod
    def _match_alt_AND_Lmosek_4fusion_4SimpleTerm_2(*args):
      if len(args) != 1: return False
      _0_s1, = args
      return (    __arg_alt_match_Lmosek_4fusion_4SimpleTerm_2__(_0_s1))
    @staticmethod
    def _AND_alt_Lmosek_4fusion_4SimpleTerm_2(_t__0_s1):
      return mosek_fusion_DJC._AND_Lmosek_4fusion_4SimpleTerm_2(_0_s1)
    @staticmethod
    def _AND_Lmosek_4fusion_4SimpleTerm_2(_0_s1):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:101:52-78
      return (mosek.fusion.DJC._AND__3Lmosek_4fusion_4SimpleTerm_2(numpy.array([_0_s1], dtype=numpy.dtype(object)))) # bld/herlev/final/default/src/fusion/Disjunction.mbi:101:54-76
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:101:52-78
    @staticmethod
    def _match_AND__3Lmosek_4fusion_4SimpleTerm_2(*args):
      if len(args) != 1: return False
      _0_slist, = args
      return (    __arg_match__3Lmosek_4fusion_4SimpleTerm_2__(_0_slist))
    @staticmethod
    def _match_alt_AND__3Lmosek_4fusion_4SimpleTerm_2(*args):
      if len(args) != 1: return False
      _0_slist, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4SimpleTerm_2__(_0_slist))
    @staticmethod
    def _AND_alt__3Lmosek_4fusion_4SimpleTerm_2(_t__0_slist):
      _0_slist=numpy.array(_t__0_slist,dtype=numpy.dtype(object))
      _1 = mosek_fusion_DJC._AND__3Lmosek_4fusion_4SimpleTerm_2(_0_slist)
      try:
        _t__0_slist[:] = _0_slist
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _AND__3Lmosek_4fusion_4SimpleTerm_2(_0_slist):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:100:57-84
      return (mosek_fusion_Term._ctor__3Lmosek_4fusion_4SimpleTerm_2(_0_slist)) # bld/herlev/final/default/src/fusion/Disjunction.mbi:100:59-82
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:100:57-84
    @staticmethod
    def _match_term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_dom, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4RangeDomain_2__(_1_dom))
    @staticmethod
    def _match_alt_term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_dom, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(_1_dom))
    @staticmethod
    def _term_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(_t__0_expr,_t__1_dom):
      return mosek_fusion_DJC._term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(_0_expr,_1_dom)
    @staticmethod
    def _term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(_0_expr,_1_dom):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:69:78-98:7
      if ((_1_dom._sparsity) is not None): # bld/herlev/final/default/src/fusion/Disjunction.mbi:70:12-32
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:71:10-94
        raise mosek_fusion_DomainError._ctor_S("Sparse domain is not acceptable in disjunctive constraints") # bld/herlev/final/default/src/fusion/Disjunction.mbi:71:10-94
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:71:10-94
      if (_1_dom._cardinal_flag): # bld/herlev/final/default/src/fusion/Disjunction.mbi:72:12-29
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:73:10-95
        raise mosek_fusion_DomainError._ctor_S("Integer domain is not acceptable in disjunctive constraints") # bld/herlev/final/default/src/fusion/Disjunction.mbi:73:10-95
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:73:10-95
      _2_domlb=(_1_dom._lb) # bld/herlev/final/default/src/fusion/Disjunction.mbi:75:12-17
      _3_domub=(_1_dom._ub) # bld/herlev/final/default/src/fusion/Disjunction.mbi:76:12-17
      _4_eshape=_0_expr._getShape_() # bld/herlev/final/default/src/fusion/Disjunction.mbi:77:12-18
      _5_esize=_0_expr._getSize_() # bld/herlev/final/default/src/fusion/Disjunction.mbi:78:12-17
      _6_shape=(_1_dom._shape) # bld/herlev/final/default/src/fusion/Disjunction.mbi:79:12-17
      # var _7_bl @ bld/herlev/final/default/src/fusion/Disjunction.mbi:80:12-23
      # var _8_bu @ bld/herlev/final/default/src/fusion/Disjunction.mbi:81:12-23
      if (_6_shape is None): # bld/herlev/final/default/src/fusion/Disjunction.mbi:83:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:84:10-25
        _6_shape = _4_eshape # bld/herlev/final/default/src/fusion/Disjunction.mbi:84:10-25
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:84:10-25
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:85:13-91:9
        if (int((_6_shape).shape[0])!=int((_4_eshape).shape[0])): # bld/herlev/final/default/src/fusion/Disjunction.mbi:85:17-42
          # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:86:10-54
          raise mosek_fusion_DomainError._ctor_S("Mismatching shapes") # bld/herlev/final/default/src/fusion/Disjunction.mbi:86:10-54
          # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:86:10-54
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:87:13-91:9
          for _9_i in range(0,int((_6_shape).shape[0])): # bld/herlev/final/default/src/fusion/Disjunction.mbi:88:10-90:58
            # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:89:12-90:58
            if (_6_shape[_9_i]!=_4_eshape[_9_i]): # bld/herlev/final/default/src/fusion/Disjunction.mbi:89:16-37
              # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:90:14-58
              raise mosek_fusion_DomainError._ctor_S("Mismatching shapes") # bld/herlev/final/default/src/fusion/Disjunction.mbi:90:14-58
              # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:90:14-58
            # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:89:12-90:58
          # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:87:13-91:9
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:85:13-91:9
      if (_1_dom._scalable): # bld/herlev/final/default/src/fusion/Disjunction.mbi:93:16-28
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:93:33-118
        _7_bl = numpy.array([_2_domlb[0] for _10_i in range(0,_5_esize)], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Disjunction.mbi:93:35-75
        _8_bu = numpy.array([_3_domub[0] for _11_i in range(0,_5_esize)], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Disjunction.mbi:93:76-116
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:93:33-118
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:94:33-60
        _7_bl = _2_domlb # bld/herlev/final/default/src/fusion/Disjunction.mbi:94:35-46
        _8_bu = _3_domub # bld/herlev/final/default/src/fusion/Disjunction.mbi:94:47-58
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:94:33-60
      return (mosek_fusion_SimpleTerm._ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(_0_expr,mosek_fusion_DJCDomain._ctor__3D_3D_3IEmosek_4fusion_4DJCDomainType_2(_7_bl,_8_bu,_6_shape,mosek.fusion.DJCDomainType.InRange))) # bld/herlev/final/default/src/fusion/Disjunction.mbi:97:8-86
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:69:78-98:7
    @staticmethod
    def _match_term_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 2: return False
      _0_x,_1_dom, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_x)
              and __arg_match_Lmosek_4fusion_4RangeDomain_2__(_1_dom))
    @staticmethod
    def _match_alt_term_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 2: return False
      _0_x,_1_dom, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_x)
              and __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(_1_dom))
    @staticmethod
    def _term_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4RangeDomain_2(_t__0_x,_t__1_dom):
      return mosek_fusion_DJC._term_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4RangeDomain_2(_0_x,_1_dom)
    @staticmethod
    def _term_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4RangeDomain_2(_0_x,_1_dom):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:68:73-105
      return (mosek.fusion.DJC._term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(_0_x._asExpr_(),_1_dom)) # bld/herlev/final/default/src/fusion/Disjunction.mbi:68:75-103
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:68:73-105
    @staticmethod
    def _match_term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_dom, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4LinearDomain_2__(_1_dom))
    @staticmethod
    def _match_alt_term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_dom, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(_1_dom))
    @staticmethod
    def _term_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(_t__0_expr,_t__1_dom):
      return mosek_fusion_DJC._term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(_0_expr,_1_dom)
    @staticmethod
    def _term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(_0_expr,_1_dom):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:34:78-66:7
      if ((_1_dom._sparsity) is not None): # bld/herlev/final/default/src/fusion/Disjunction.mbi:35:12-32
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:36:10-94
        raise mosek_fusion_DomainError._ctor_S("Sparse domain is not acceptable in disjunctive constraints") # bld/herlev/final/default/src/fusion/Disjunction.mbi:36:10-94
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:36:10-94
      if (_1_dom._cardinal_flag): # bld/herlev/final/default/src/fusion/Disjunction.mbi:37:12-29
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:38:10-95
        raise mosek_fusion_DomainError._ctor_S("Integer domain is not acceptable in disjunctive constraints") # bld/herlev/final/default/src/fusion/Disjunction.mbi:38:10-95
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:38:10-95
      _2_dombnd=(_1_dom._bnd) # bld/herlev/final/default/src/fusion/Disjunction.mbi:40:12-18
      _3_eshape=_0_expr._getShape_() # bld/herlev/final/default/src/fusion/Disjunction.mbi:41:12-18
      _4_esize=_0_expr._getSize_() # bld/herlev/final/default/src/fusion/Disjunction.mbi:42:12-17
      _5_shape=(_1_dom._shape) # bld/herlev/final/default/src/fusion/Disjunction.mbi:43:12-17
      # var _6_b @ bld/herlev/final/default/src/fusion/Disjunction.mbi:44:12-26
      if (_5_shape is None): # bld/herlev/final/default/src/fusion/Disjunction.mbi:46:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:47:10-25
        _5_shape = _3_eshape # bld/herlev/final/default/src/fusion/Disjunction.mbi:47:10-25
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:47:10-25
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:48:13-54:9
        if (int((_5_shape).shape[0])!=int((_3_eshape).shape[0])): # bld/herlev/final/default/src/fusion/Disjunction.mbi:48:17-42
          # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:49:10-54
          raise mosek_fusion_DomainError._ctor_S("Mismatching shapes") # bld/herlev/final/default/src/fusion/Disjunction.mbi:49:10-54
          # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:49:10-54
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:50:13-54:9
          for _7_i in range(0,int((_5_shape).shape[0])): # bld/herlev/final/default/src/fusion/Disjunction.mbi:51:10-53:58
            # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:52:12-53:58
            if (_5_shape[_7_i]!=_3_eshape[_7_i]): # bld/herlev/final/default/src/fusion/Disjunction.mbi:52:16-37
              # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:53:14-58
              raise mosek_fusion_DomainError._ctor_S("Mismatching shapes") # bld/herlev/final/default/src/fusion/Disjunction.mbi:53:14-58
              # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:53:14-58
            # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:52:12-53:58
          # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:50:13-54:9
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:48:13-54:9
      if ((_1_dom._bnd) is None): # bld/herlev/final/default/src/fusion/Disjunction.mbi:56:16-31
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:56:33-48
        _6_b = numpy.zeros((_4_esize,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Disjunction.mbi:56:33-48
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:56:33-48
      elif (_1_dom._scalable): # bld/herlev/final/default/src/fusion/Disjunction.mbi:57:16-28
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:57:33-73
        _6_b = numpy.array([_2_dombnd[0] for _8_i in range(0,_4_esize)], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Disjunction.mbi:57:33-73
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:57:33-73
      elif (_1_dom._empty): # bld/herlev/final/default/src/fusion/Disjunction.mbi:58:16-25
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:58:33-48
        _6_b = numpy.zeros((_4_esize,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Disjunction.mbi:58:33-48
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:58:33-48
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:59:33-44
        _6_b = _2_dombnd # bld/herlev/final/default/src/fusion/Disjunction.mbi:59:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:59:33-44
      if ((_1_dom._key)==mosek.fusion.RelationKey.EqualsTo): # bld/herlev/final/default/src/fusion/Disjunction.mbi:61:16-47
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:61:52-131
        return (mosek_fusion_SimpleTerm._ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(_0_expr,mosek_fusion_DJCDomain._ctor__3D_3D_3IEmosek_4fusion_4DJCDomainType_2(_6_b,None,_5_shape,mosek.fusion.DJCDomainType.EqualTo))) # bld/herlev/final/default/src/fusion/Disjunction.mbi:61:52-131
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:61:52-131
      elif ((_1_dom._key)==mosek.fusion.RelationKey.LessThan): # bld/herlev/final/default/src/fusion/Disjunction.mbi:62:16-47
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:62:52-132
        return (mosek_fusion_SimpleTerm._ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(_0_expr,mosek_fusion_DJCDomain._ctor__3D_3D_3IEmosek_4fusion_4DJCDomainType_2(_6_b,None,_5_shape,mosek.fusion.DJCDomainType.LessThan))) # bld/herlev/final/default/src/fusion/Disjunction.mbi:62:52-132
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:62:52-132
      elif ((_1_dom._key)==mosek.fusion.RelationKey.GreaterThan): # bld/herlev/final/default/src/fusion/Disjunction.mbi:63:16-50
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:63:52-135
        return (mosek_fusion_SimpleTerm._ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(_0_expr,mosek_fusion_DJCDomain._ctor__3D_3D_3IEmosek_4fusion_4DJCDomainType_2(_6_b,None,_5_shape,mosek.fusion.DJCDomainType.GreaterThan))) # bld/herlev/final/default/src/fusion/Disjunction.mbi:63:52-135
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:63:52-135
      elif ((_1_dom._key)==mosek.fusion.RelationKey.IsFree): # bld/herlev/final/default/src/fusion/Disjunction.mbi:64:16-45
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:64:52-130
        return (mosek_fusion_SimpleTerm._ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4DJCDomain_2(_0_expr,mosek_fusion_DJCDomain._ctor__3D_3D_3IEmosek_4fusion_4DJCDomainType_2(_6_b,None,_5_shape,mosek.fusion.DJCDomainType.IsFree))) # bld/herlev/final/default/src/fusion/Disjunction.mbi:64:52-130
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:64:52-130
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:65:52-103
        raise mosek_fusion_UnexpectedError._ctor_S("Invalid linear domain") # bld/herlev/final/default/src/fusion/Disjunction.mbi:65:52-103
        # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:65:52-103
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:34:78-66:7
    @staticmethod
    def _match_term_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 2: return False
      _0_x,_1_dom, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_x)
              and __arg_match_Lmosek_4fusion_4LinearDomain_2__(_1_dom))
    @staticmethod
    def _match_alt_term_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 2: return False
      _0_x,_1_dom, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_x)
              and __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(_1_dom))
    @staticmethod
    def _term_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4LinearDomain_2(_t__0_x,_t__1_dom):
      return mosek_fusion_DJC._term_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4LinearDomain_2(_0_x,_1_dom)
    @staticmethod
    def _term_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4LinearDomain_2(_0_x,_1_dom):
      # Start scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:33:73-105
      return (mosek.fusion.DJC._term_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(_0_x._asExpr_(),_1_dom)) # bld/herlev/final/default/src/fusion/Disjunction.mbi:33:75-103
      # End   scope @ bld/herlev/final/default/src/fusion/Disjunction.mbi:33:73-105
  return DJC
mosek_fusion_DJC=__mk_mosek_fusion_DJC()
del __mk_mosek_fusion_DJC

#-- BEGIN Class mosek.fusion.BaseModel from external file src/fusion/python/BaseModel3.py
def __mk_mosek_fusion_BaseModel():
  import threading
  import mosek
  import mosek.fusion
  import numpy
  
  class BaseModel(object):
    _lock = threading.Lock()
    _global_env = None
    _global_env_counter = 0
  
    @classmethod
    def _globalEnv(self):
      self._lock.acquire()
      try:
        if BaseModel._global_env is None:
          try:
            env = mosek.Env(globalenv=True)
            BaseModel._global_env = env
            BaseModel._global_env_counter += 1
          except mosek.Exception as e:
            raise UnexpectedError(e)
        return BaseModel._global_env
      finally:
        self._lock.release()
  
    @classmethod
    def _env_1putlicensecode__3I(self,code):
      self._globalEnv().putlicensecode(code)
  
    @classmethod
    def _env_1putlicensepath_S(self,path):
      self._globalEnv().putlicensepath(path)
  
    @classmethod
    def _env_1putlicensewait_Z(self,yn):
      if yn:
        self._globalEnv().putlicensewait(1)
      else:
        self._globalEnv().putlicensewait(0)
  
    @classmethod
    def _env_1getversion_(self):
      return ".".join([str(_) for _ in mosek.Env.getversion()])
  
    def __callback(self,callbackkey,dinf,iinf,liinf):
      if self.__user_cb is not None:
        try:
          if self.__user_cb(callbackkey,dinf,iinf,liinf):
            self.__break = True
        except:
          self.__break = True
      if self.__user_pgs is not None:
        try:
          if self.__user_pgs(callbackkey):
            self.__break = True
        except:
          self.__break = True
      return 1 if self.__break else 0
  
    def _ctor_init_SS(self,name,licfile):
      env = self._globalEnv()
      self.__modelname = name
      self.__break = False
      task = mosek.Task(self._global_env, 0, 0);
      self.__user_cb = None
      self.__user_pgs = None
      finished = False
      try:
        task.putintparam(mosek.iparam.log_expand,0);
        task.putintparam(mosek.iparam.remove_unused_solutions,1);
        self.__task = task
        if name is not None:
          task.puttaskname(name)
  
        self._synched = mosek_fusion_SolutionStatus.Optimal;
  
        self._sol_itr = None
        self._sol_bas = None
        self._sol_itg = None
  
        self.__objname = None
  
        # handler for log output.
        def loghandler(text):
          if self.__logwriter is not None:
            self.__logwriter.write(text)
            self.__logwriter.flush()
        self.__loghandler = loghandler
        self.__logwriter = None
  
        task.set_Stream(mosek.streamtype.log,loghandler)
        task.set_InfoCallback(self.__callback)
        finished = True
      finally:
        if not finished:
          self.__task.__del__()
          self.__task = None
          BaseModel._global_env_counter -= 1
  
    def _ctor_init_Lmosek_4fusion_4BaseModel_2(self,m):
      env = self._globalEnv()
      self.__modelname = m.__modelname
      self.__break = False
      self.__user_cb = None
      self.__user_pgs = None
      task = mosek.Task(m.__task)
      finished = False
      try:
        self.__task = task
        self._synched = m._synched
  
        self._sol_itr = m._sol_itr._clone_() if m._sol_itr is not None else None
        self._sol_bas = m._sol_bas._clone_() if m._sol_bas is not None else None
        self._sol_itg = m._sol_itg._clone_() if m._sol_itg is not None else None
  
        self.__objname = m.__objname
  
        # handler for log output.
        def loghandler(text):
          if self.__logwriter is not None:
            self.__logwriter.write(text)
            self.__logwriter.flush()
        self.__loghandler = loghandler
        self.__logwriter = None
  
        task.set_Stream(mosek.streamtype.log,loghandler)
        task.set_InfoCallback(self.__callback)
        finished = True
      finally:
        if not finished:
          self.__task.__del__()
          self.__task = None
          BaseModel._global_env_counter -= 1
  
    def __del__(self):
        lock = self._lock
        if hasattr(self,'_BaseModel__task'):
          lock.acquire()
          try:
            task = self.__task
            BaseModel._global_env_counter -= 1
            task.__del__()
  
            for a in self.__class__.__slots__ + ['_sol_itr','_sol_bas','_sol_itg',
                                                 '_BaseModel__user_cb','_BaseModel__user_pgs','_BaseModel__loghandler','_BaseModel__logwriter','_BaseModel__task']:
              try: delattr(self,a)
              except AttributeError: pass
          finally:
            lock.release()
  
    def __enter__(self):
      return self
    def __exit__(self,exc_type,exc_val,exc_tb):
      self.__del__()
    def _dispose_(self):
      self.__del__()
  
    def _task_1setDataCallbackHandler_LSystem_4DataCallbackHandler_2(self,handler):
      self.__user_cb = handler
    def _task_1setCallbackHandler_LSystem_4CallbackHandler_2(self,handler):
      self.__user_pgs = handler
  
    def _task_1setLogHandler_LSystem_4StreamWriter_2(self,handler):
      """
      Set the object to handle log output from the solver.
  
      The handler object must have a write method accepting a string.
      """
      self.__logwriter = handler
  
    def _task_1put_1param_SS(self,name,value):
      self.__task.putnastrparam(name,value)
    def _task_1put_1param_SD(self,name,value):
      self.__task.putnadouparam(name,value)
    def _task_1put_1param_SI(self,name,value):
      self.__task.putnaintparam(name,value)
  
    def _task_1get_1dinf_S(self,name):
      key = mosek_fusion_SolverInfo._getdouinf(name)
      if key is None:
        raise NameError("Invalid double info name '%s'" % name)
      else:
        return self.__task.getdouinf(key)
  
    def _task_1get_1iinf_S(self,name):
      key = mosek_fusion_SolverInfo._getintinf(name)
      if key is None:
        raise NameError("Invalid integer info name '%s'" % name)
      else:
        return self.__task.getintinf(key)
  
    def _task_1get_1liinf_S(self,name):
      key = mosek_fusion_SolverInfo._getlintinf(name)
      if key is None:
        raise NameError("Invalid long integer info name '%s'" % name)
      else:
        return self.__task.getlintinf(key)
  
    def _numVariables_ (self):
      return len(self.__vars)
    def _numConstraints_ (self):
      return len(self.__cons)
  
    @staticmethod
    def __convert_names(names):
      namelist = None
      if names is not None:
        namelist = []
        namedaxisidxs = []
        for axisi,nl in enumerate(names):
          if nl is not None:
            namelist.extend(nl)
            namedaxisidxs.append(axisi)
      else:
        namelist = None
        namedaxisidxs = None
  
      return namedaxisidxs,namelist
    def _task_1format_1djc_1names__3JS_3I_3_3S(self,sub,fmt,dims,names):
      namedaxisidxs,namelist = self.__convert_names(names)
      self.__task.generatedjcnames(sub,fmt,dims,None,namedaxisidxs,namelist)
    def _task_1format_1acc_1names__3JS_3I_3_3S(self,sub,fmt,dims,names):
      namedaxisidxs,namelist = self.__convert_names(names)
      self.__task.generateaccnames(sub,fmt,dims,None,namedaxisidxs,namelist)
    def _task_1format_1var_1names__3IS_3I_3J_3_3S(self,subj,fmt,dims,sp,names):
      namedaxisidxs,namelist = self.__convert_names(names)
      self.__task.generatevarnames(subj,fmt,dims,sp,namedaxisidxs,namelist)
    def _task_1format_1barvar_1names__3IS_3I_3_3S(self,subj,fmt,dims,names):
      namedaxisidxs,namelist = self.__convert_names(names)
      self.__task.generatebarvarnames(subj,fmt,dims,None,namedaxisidxs,namelist)
    def _task_1format_1con_1names__3IS_3I_3J_3_3S(self,subj,fmt,dims,sp,names):
      namedaxisidxs,namelist = self.__convert_names(names)
      self.__task.generateconnames(subj,fmt,dims,sp,namedaxisidxs,namelist)
  
    def _task_1con_1name_IS(self,idx,name): self.__task.putconname(idx,name)
    def _task_1var_1name_IS(self,idx, name): self.__task.putvarname(idx,name)
    def _task_1acc_1name_JS(self,idx, name): self.__task.putaccname(idx,name)
    def _task_1djc_1name_JS(self,idx, name): self.__task.putdjcname(idx,name)
    def _task_1barvar_1name_IS(self,idx, name): self.__task.putbarvarname(idx,name)
  
    def _task_1numcon_(self):
      return self.__task.getnumcon()
    def _task_1numvar_(self):
      return self.__task.getnumvar()
    def _task_1numacc_(self):
      return self.__task.getnumacc()
    def _task_1numafe_(self):
      return self.__task.getnumafe()
    def _task_1numdjc_(self):
      return self.__task.getnumdjc()
  
    def __task_putvarboundlist(self,idxs,bl,bu,bk):
      num = len(idxs)
      if bl is None: bl = numpy.zeros(num,numpy.float64)
      if bu is None: bu = numpy.zeros(num,numpy.float64)
  
      bka = [bk] * num
      self.__task.putvarboundlist(idxs,bka,bl,bu)
  
    def __task_putconboundlist(self,idxs,bl,bu,bk):
      num = len(idxs)
      if bl is None: bl = numpy.zeros(num,numpy.float64)
      if bu is None: bu = numpy.zeros(num,numpy.float64)
  
      bka = [bk] * num
      self.__task.putconboundlist(idxs,bka,bl,bu)
  
    def _task_1con_1putboundlist_1fx__3I_3D(self,idxs, rhs):
      self.__task_putconboundlist( idxs, rhs, rhs, mosek.boundkey.fx);
  
    def _task_1con_1putboundlist_1lo__3I_3D(self,idxs, rhs):
      self.__task_putconboundlist( idxs, rhs, rhs, mosek.boundkey.lo);
  
    def _task_1con_1putboundlist_1up__3I_3D(self,idxs, rhs):
      self.__task_putconboundlist( idxs, rhs, rhs, mosek.boundkey.up);
  
    def _task_1con_1putboundlist_1ra__3I_3D_3D(self,idxs, lb, ub):
      self.__task_putconboundlist( idxs, lb, ub, mosek.boundkey.ra);
  
    def _task_1con_1putboundlist_1fr__3I(self,idxs):
      self.__task_putconboundlist( idxs, None, None, mosek.boundkey.fr);
  
  
    def _task_1var_1putboundlist_1fx__3I_3D(self,idxs, rhs):
      self.__task_putvarboundlist( idxs, rhs, rhs, mosek.boundkey.fx);
  
    def _task_1var_1putboundlist_1lo__3I_3D(self,idxs, rhs):
      self.__task_putvarboundlist( idxs, rhs, rhs, mosek.boundkey.lo);
  
    def _task_1var_1putboundlist_1up__3I_3D(self,idxs, rhs):
      self.__task_putvarboundlist( idxs, rhs, rhs, mosek.boundkey.up);
  
    def _task_1var_1putboundlist_1ra__3I_3D_3D(self,idxs, lb, ub):
      self.__task_putvarboundlist( idxs, lb, ub, mosek.boundkey.ra);
  
    def _task_1var_1putboundlist_1fr__3I(self,idxs):
      self.__task_putvarboundlist( idxs, None, None, mosek.boundkey.fr);
  
    def _task_1var_1putintlist__3I(self,idxs):
      self.__task.putvartypelist(idxs,[mosek.variabletype.type_int] * len(idxs))
    def _task_1var_1putcontlist__3I(self,idxs):
      self.__task.putvartypelist(idxs,[mosek.variabletype.type_cont] * len(idxs))
  
  
    def _task_1task_1optimize_ (self):
      try:
        self.__task.optimize()
        if self.__logwriter is not None:
          self.__task.solutionsummary(streamtype.log)
      except mosek.Error as e:
        raise OptimizeError("Error occurred while optimizing")
  
    def __task_appendvars(self,num):
      idx = self.__task.getnumvar()
      self.__task.appendvars(num)
      return idx
  
    def __task_appendcons(self,num):
      idx = self.__task.getnumcon()
      self.__task.appendcons(num)
      return idx
  
    def _task_1append_1var_I(self,num):
      return self.__task_appendvars(num)
  
    def _task_1append_1con_I(self,num):
      return self.__task_appendcons(num)
  
    # def _task_1append_1zerocones_I(self, numcone):
    #   self.__task.appendconesseq([mosek.conetype.zero for i in range(numcone)], numpy.zeros(numcone),numpy.zeros(numcone,int), 0)
  
    # def _task_1clear_1cones__3I(self, idxs):
    #   for i,k in enumerate(idxs):
    #     self.__task.putcone(k,mosek.conetype.zero, 0.0, 0,[])
  
    # def _task_1put_1zerocones__3III_3I(self, idxs, conesize, numcone, membs):
    #   for i,k in enumerate(idxs):
    #     self.__task.putcone(k,mosek.conetype.zero, 0.0, membs[i*conesize:(i+1)*conesize])
  
    # def _task_1put_1quadcones__3III_3I(self, idxs, conesize, numcone, membs):
    #   for i,k in enumerate(idxs):
    #     self.__task.putcone(k,mosek.conetype.quad, 0.0, membs[i*conesize:(i+1)*conesize])
  
    # def _task_1put_1rquadcones__3III_3I(self, idxs, conesize, numcone, membs):
    #   for i,k in enumerate(idxs):
    #     self.__task.putcone(k,mosek.conetype.rquad, 0.0, membs[i*conesize:(i+1)*conesize])
  
    # def _task_1put_1pexpcones__3III_3I(self, idxs, conesize, numcone, membs):
    #   for i,k in enumerate(idxs):
    #     self.__task.putcone(k,mosek.conetype.pexp, 0.0, membs[i*conesize:(i+1)*conesize])
  
    # def _task_1put_1ppowcones__3III_3I_3D(self, idxs, conesize, numcone, membs, alpha):
    #   for i,k in enumerate(idxs):
    #     self.__task.putcone(k,mosek.conetype.ppow, alpha[i], membs[i*conesize:(i+1)*conesize])
  
    # def _task_1put_1dexpcones__3III_3I(self, idxs, conesize, numcone, membs):
    #   for i,k in enumerate(idxs):
    #     self.__task.putcone(k,mosek.conetype.dexp, 0.0, membs[i*conesize:(i+1)*conesize])
  
    # def _task_1put_1dpowcones__3III_3I_3D(self, idxs, conesize, numcone, membs, alpha):
    #   for i,k in enumerate(idxs):
    #     self.__task.putcone(k,mosek.conetype.dpow, alpha[i], membs[i*conesize:(i+1)*conesize])
  
    # def _task_1put_1onenormcones__3III_3I(self, idxs, conesize, numcone, membs):
    #   for i,k in enumerate(idxs):
    #     self.__task.putcone(k,mosek.conetype.onenrm, 0.0, membs[i*conesize:(i+1)*conesize])
  
    # def _task_1put_1infnormcones__3III_3I(self, idxs, conesize, numcone, membs):
    #   for i,k in enumerate(idxs):
    #     self.__task.putcone(k,mosek.conetype.infnrm, 0.0, membs[i*conesize:(i+1)*conesize])
  
    # def _task_1put_1pgeomeancones__3III_3I(self, idxs, conesize, numcone, membs):
    #   for i,k in enumerate(idxs):
    #     self.__task.putcone(k,mosek.conetype.pgeomean, 0.0, membs[i*conesize:(i+1)*conesize])
  
    # def _task_1put_1dgeomeancones__3III_3I(self, idxs, conesize, numcone, membs):
    #   for i,k in enumerate(idxs):
    #     self.__task.putcone(k,mosek.conetype.dgeomean, 0.0, membs[i*conesize:(i+1)*conesize])
  
    def _task_1putarowlist__3I_3J_3I_3D(self,sub, ptrb, subj, cof):
      num   = len(sub)
      self.__task.putarowlist(sub, ptrb[:-1], ptrb[1:], subj, cof);
  
    def _task_1cleararowlist__3I(self,sub):
      num  = len(sub)
      ptr = numpy.zeros(num,dtype=numpy.int64)
      self.__task.putarowlist(sub, ptr, ptr, numpy.zeros(0,dtype=numpy.int32), numpy.zeros(0,dtype=numpy.float64))
  
      # This is probably awfully slow
      nnz   = self.__task.getnumbaranz()
      if nnz > 0:
        idxij = numpy.zeros(nnz,dtype=numpy.int64)
        self.__task.getbarasparsity(idxij)
        sub = set(sub)
        for idx in idxij:
          i,j = self.__task.getbaraidxij(idx)
          if i in sub:
            self.__task.putbaraij(i,j,[],[])
  
    def _task_1clearacollist__3I(self,sub):
      num  = len(sub)
      ptr = numpy.zeros(num,dtype=numpy.int64)
      self.__task.putacollist(sub, ptr, ptr, numpy.zeros(0,dtype=numpy.int32), numpy.zeros(0,dtype=numpy.float64))
  
    def _task_1putaijlist__3I_3I_3DJ(self,subi,subj,cof,num):
      self.__task.putaijlist(subi[:num],subj[:num],cof[:num])
  
    def _task_1putobjectivename_S(self,name):
      self.__task.putobjname("" if name is None else name)
  
    def _task_1putobjective_Z_3I_3DD(self,maximize,subj,cof,cfix):
      c = numpy.zeros(self.__task.getnumvar(),numpy.float64)
      idxs = numpy.arange(0,len(c),dtype=numpy.int32)
      for i in range(len(subj)):
        c[subj[i]] += cof[i]
      self.__task.putclist(idxs,c)
      self.__task.putcfix(cfix)
      self.__task.putobjsense(mosek.objsense.maximize if maximize else mosek.objsense.minimize)
  
    def _task_1putclist__3I_3D(self,subj,cof):
      self.__task.putclist(subj,cof)
  
  
    def _task_1appendsymmatlist__3I_3J_3I_3I_3D(self,dim,nz,subi,subj,cof):
      r = numpy.zeros(len(dim),numpy.int64)
      #print(dim,nz,"totalnz = {}, len(subi) = {},len(subj) = {}, subi = {}".format(sum(nz),len(subi),len(subj),subi))
      self.__task.appendsparsesymmatlist(dim,nz,subi,subj,cof,r)
      return r
  
    def _task_1putbarc__3I_3I_3I_3D(self,subj,subk,subl,val):
      #rint("putbarc: ",subj,subk,subl,val)
      self.__task.putbarcblocktriplet(subj,subk,subl,val)
      #self.__task.writedata("intermediate1.ptf")
  
    def _task_1putbaraijlist__3I_3I_3J(self,subi,subj,matidx):
      alpha = numpy.ones(len(subi),numpy.float64)
      ptr = numpy.arange(0,len(subi)+1,dtype=numpy.int64)
      self.__task.putbaraijlist(subi,subj,ptr[:-1],ptr[1:],matidx,alpha)
  
    def _task_1putbararowlist__3I_3J_3I_3J(self,subi,ptr,subj,matidx):
      alpha = numpy.ones(len(subj),numpy.float64)
      nummat = numpy.ones(len(subj),numpy.int64)
      self.__task.putbararowlist(subi,ptr[:-1],ptr[1:],subj,nummat,matidx,alpha)
  
  
    def _task_1barvardim_I(self,index):
      return self.__task.getdimbarvarj(index)
  
    def _task_1numbarvar_(self):
      return self.__task.getnumbarvar()
  
  
    def _task_1append_1barvar_II(self,size, num):
      res = self.__task.getnumbarvar()
      self.__task.appendbarvars([size] * num)
      return res
  
    def _task_1setnumvar_I(self,num):
      numvar = self.__task.getnumvar()
      if numvar > num:
        self.__task.removevars(range(num,numvar))
  
  
    def _task_1putxx_1slice_Emosek_4fusion_4SolutionType_2II_3D(self,whichsol,first,last,xx):
      if   whichsol == mosek_fusion_SolutionType.Interior:
        self.__task.putxxslice(mosek.soltype.itr, first,last,xx)
      elif whichsol == mosek_fusion_SolutionType.Integer:
        self.__task.putxxslice(mosek.soltype.itg, first,last,xx)
      elif whichsol == mosek_fusion_SolutionType.Basic:
        self.__task.putxxslice(mosek.soltype.bas, first,last,xx)
  
    def _task_1cleanup_IIII(self,inumvar,inumcon,inumcone,inumbarvar):
      numvar  = self.__task.getnumvar()
      numcon  = self.__task.getnumcon()
      numcone = self.__task.getnumcone()
      numbarvar = self.__task.getnumbarvar()
  
      if inumcone < numcone:
        self.__task.removecones(range(inumcone,numcone))
  
      if inumvar < numvar:
        n = numvar-inumvar
        vals = numpy.zeros((n,), numpy.float64)
        bk   = [ mosek.boundkey.fx for i in range(n) ]
        self.__task.putvarboundslice(inumvar,numvar,bk, vals, vals)
  
      if (inumcon < numcon):
        idxs = range(inumcon,numcon)
        self.__task.removecons(idxs)
  
      if (inumbarvar < numbarvar):
        self.__task.removebarvars(range(inumbarvar,numbarvar))
  
    def _task_1append_1afes_J(self,num):
      first = self.__task.getnumafe()
      self.__task.appendafes(num)
      return first
  
  
    def _task_1clearafelist__3J(self,idxs):
      self.__task.emptyafefrowlist(idxs)
      self.__task.emptyafebarfrowlist(idxs)
      self.__task.putafeglist(idxs,numpy.zeros(len(idxs),dtype=numpy.float64))
  
    def _task_1putafeflist__3J_3I_3I_3D_3D(self,idxs,ptr,subj,cof,g):
      lptr = numpy.array(ptr[:-1],dtype=numpy.int64)
      rownz = numpy.array([ptr[i+1]-ptr[i] for i in range(len(ptr)-1)],dtype=numpy.int32)
      self.__task.putafefrowlist(idxs,rownz,lptr, subj,cof)
      self.__task.putafeglist(idxs,g)
  
    # def _task_1putafebarfrowlist__3I_3J_3I_3J (self,idxs,ptr,barsubj,symmatidx):
    #     num = len(barsubj)
    #     afeidxlist = numpy.array([ idxs[i] for i in range(len(idxs)) for j in range(ptr[i],ptr[i+1]) ],dtype=numpy.int64)
    #     numtermslist = numpy.ones(num,numpy.int64)
    #     ptrtermslist = numpy.arange(num,numpy.int64)
    #     termweights = numpy.ones(num,numpy.float64)
    #     self.__task.putafebarfentrylist(afeidxlist,barsubj,numtermslist,ptrtermslist,symmatidx,termweights)
  
    def _task_1putafefijlist__3I_3I_3D (self,idxs,subj,cof):
      # TODO: use putafefenrtylist
      for i,j,c in zip(idxs,subj,cof):
        self.__task.putafefentry(i,j,c)
      #raise UnexpectedError("Not implemented: putafefijlist")
    def _task_putafefglist__3I_3D(self,idxs,g):
      self.__task.putafeglist(idxs,g)
  
    def _task_1append_1accs_JI_3J_3D(self,domidx,numcone,afeidxs,g):
      domidxs = numpy.array([domidx for i in range(numcone)],dtype=numpy.int64)
      self.__task.appendaccs(domidxs,afeidxs,g)
  
    def _task_1putacclist__3J_3J_3J_3D(self,accidxs,domidxs,afeidxs,g):
      self.__task.putacclist(accidxs,domidxs,afeidxs,g)
  
  
  
    @staticmethod
    def __convertSolutionStatus(soltype,sol,status,prosta):
      pd = {
          mosek.solsta.optimal :                    mosek_fusion_SolutionStatus.Optimal,
          mosek.solsta.integer_optimal :            mosek_fusion_SolutionStatus.Optimal,
          mosek.solsta.prim_and_dual_feas :         mosek_fusion_SolutionStatus.Feasible,
          mosek.solsta.prim_feas :                  mosek_fusion_SolutionStatus.Feasible,
          mosek.solsta.dual_feas :                  mosek_fusion_SolutionStatus.Unknown,
          mosek.solsta.prim_infeas_cer :            mosek_fusion_SolutionStatus.Unknown,
          mosek.solsta.dual_infeas_cer :            mosek_fusion_SolutionStatus.Certificate,
          mosek.solsta.prim_illposed_cer :          mosek_fusion_SolutionStatus.Unknown,
          mosek.solsta.dual_illposed_cer :          mosek_fusion_SolutionStatus.IllposedCert,
      }
  
      dd = {
          mosek.solsta.optimal :                    mosek_fusion_SolutionStatus.Optimal,
          mosek.solsta.integer_optimal :            mosek_fusion_SolutionStatus.Unknown,
          mosek.solsta.prim_and_dual_feas :         mosek_fusion_SolutionStatus.Feasible,
          mosek.solsta.prim_feas :                  mosek_fusion_SolutionStatus.Unknown,
          mosek.solsta.dual_feas :                  mosek_fusion_SolutionStatus.Feasible,
          mosek.solsta.prim_infeas_cer :            mosek_fusion_SolutionStatus.Certificate,
          mosek.solsta.dual_infeas_cer :            mosek_fusion_SolutionStatus.Unknown,
          mosek.solsta.prim_illposed_cer :          mosek_fusion_SolutionStatus.IllposedCert,
          mosek.solsta.dual_illposed_cer :          mosek_fusion_SolutionStatus.Unknown,
      }
  
      psd = {
          mosek.prosta.unknown  :                   mosek_fusion_ProblemStatus.Unknown,
          mosek.prosta.prim_and_dual_feas :         mosek_fusion_ProblemStatus.PrimalAndDualFeasible,
          mosek.prosta.prim_feas :                  mosek_fusion_ProblemStatus.PrimalFeasible,
          mosek.prosta.dual_feas :                  mosek_fusion_ProblemStatus.DualFeasible,
          mosek.prosta.prim_infeas :                mosek_fusion_ProblemStatus.PrimalInfeasible,
          mosek.prosta.dual_infeas :                mosek_fusion_ProblemStatus.DualInfeasible,
          mosek.prosta.prim_and_dual_infeas :       mosek_fusion_ProblemStatus.PrimalAndDualInfeasible,
          mosek.prosta.ill_posed :                  mosek_fusion_ProblemStatus.IllPosed,
          mosek.prosta.prim_infeas_or_unbounded :   mosek_fusion_ProblemStatus.PrimalInfeasibleOrUnbounded,
        }
  
      try: sol.pstatus = pd[status]
      except KeyError: sol.pstatus = mosek_fusion_SolutionStatus.Unknown
  
      try: sol.dstatus = dd[status]
      except KeyError: sol.dstatus = mosek_fusion_SolutionStatus.Unknown
  
      try: sol.probstatus = psd[prosta]
      except KeyError: sol.probstatus = mosek_fusion_SolutionStatus.Unknown
  
  
    @staticmethod
    def _matchargs_task_1write_S(self,*args):
        return True
    def _task_1write_S(self,filename):
        self.__task.putintparam(mosek.iparam.opf_write_solutions, 1)
        #self.__task.putintparam(mosek.iparam.write_ignore_incompatible_items, 1)
        self.__task.writedata(filename)
  
    def _task_1write_1stream_SLSystem_4DataStream_2(self,ext,stream):
        exts = {
          'mps' : mosek.dataformat.mps,
          'cbf' : mosek.dataformat.cb,
          'ptf' : mosek.dataformat.ptf,
          'opf' : mosek.dataformat.op,
          'lp'  : mosek.dataformat.lp,
          'jtask'  : mosek.dataformat.json_task,
          'task'  : mosek.dataformat.task,
        }
        ct = {
          'gz' : mosek.compresstype.gzip,
          'zst' : mosek.compresstype.zstd,
        }
  
        fmt = mosek.dataformat.mps
        comptype = mosek.compresstype.none
        parts = ext.split('.')
        if len(parts) > 0: fmt = parts[0]
        if len(parts) > 1: comptype = parts[1]
  
        try:
          self.__task.putintparam(mosek.iparam.opf_write_solutions, 1)
          self.__task.writedatastream(exts.get(fmt,mosek.dataformat.mps), ct.get(comptype,mosek.compresstype.none), stream)
        except mosek.Error as e:
          raise mosek.fusion.UnexpectedError(e.msg)
  
    def _task_1write(self,filename):
      return self._writeProblem_S(filename)
  
    def _task_1get_(self):
      return self.__task
  
    def _task_1break_1solve_(self):
      self.__break = True
  
    def _task_1putoptserver_1host_S(self, addr):
      self.__task.putoptserverhost(addr)
  
    def _task_1analyze_1problem_I(self, detail):
      try:
        self.__task.putintparam(mosek.iparam.log_ana_pro, detail)
        self.__task.analyzeproblem(mosek.streamtype.log)
      except mosek.Error as e:
        raise mosek.fusion.UnexpectedError(e.msg)
  
    def _report_1solution__Lmosek_4fusion_4SolutionType_Emosek_4fusion_4ProblemStatus_Emosek_4fusion_4SolutionStatus_Lmosek_4fusion_4SolutionStatus_DDIIIIIZZ(
        self,
        soltype,
        prosta,
        psolsta,
        dsolsta,
        pobj,
        dobj,
        numvar,
        numcon,
        numbarelm,
        numacc,
        numaccelm,
        hasprimal,
        hasdual):
      assert False
    def _report_1solution_1get_1xx__3D  (self,v): self.__task.getxxslice(  self.__cursol,0,len(v),v)
    def _report_1solution_1get_1slx__3D (self,v): self.__task.getslxslice( self.__cursol,0,len(v),v)
    def _report_1solution_1get_1sux__3D (self,v): self.__task.getsuxslice( self.__cursol,0,len(v),v)
    def _report_1solution_1get_1xc__3D  (self,v): self.__task.getxcslice(  self.__cursol,0,len(v),v)
    def _report_1solution_1get_1slc__3D (self,v): self.__task.getslcslice( self.__cursol,0,len(v),v)
    def _report_1solution_1get_1suc__3D (self,v): self.__task.getsucslice( self.__cursol,0,len(v),v)
    def _report_1solution_1get_1barx__3D(self,v): self.__task.getbarxslice(self.__cursol,0,self.__task.getnumbarvar(),len(v),v)
    def _report_1solution_1get_1bars__3D(self,v): self.__task.getbarsslice(self.__cursol,0,self.__task.getnumbarvar(),len(v),v)
    def _report_1solution_1get_1accx__3D(self,v): self.__task.evaluateaccs(self.__cursol,v)
    def _report_1solution_1get_1accy__3D(self,v):
      ptr = 0
      numacc = self.__task.getnumacc()
      for i in range(numacc):
        accn   = self.__task.getaccn(i)
        data = numpy.zeros(accn,numpy.float64)
        self.__task.getaccdoty(self.__cursol,i,data);
        v[ptr:ptr+accn] = data
        ptr += accn
  
    def _report_1solution_1get_1accptr__3I(self,v):
      ptr = 0
      numacc = self.__task.getnumacc()
      for i in range(numacc):
        v[i] = ptr;
        ptr += self.__task.getaccn(i)
  
    #def __report_task_solution(self,mosek.soltype st, int numvar, int numcon, int numbarelm, long numacc, long numaccelm) {
    def __report_task_solution(self,st,numvar,numcon,numbarelm,numacc,numaccelm):
      pd = {
          mosek.solsta.optimal :                    mosek_fusion_SolutionStatus.Optimal,
          mosek.solsta.integer_optimal :            mosek_fusion_SolutionStatus.Optimal,
          mosek.solsta.prim_and_dual_feas :         mosek_fusion_SolutionStatus.Feasible,
          mosek.solsta.prim_feas :                  mosek_fusion_SolutionStatus.Feasible,
          mosek.solsta.dual_feas :                  mosek_fusion_SolutionStatus.Undefined,
          mosek.solsta.prim_infeas_cer :            mosek_fusion_SolutionStatus.Undefined,
          mosek.solsta.dual_infeas_cer :            mosek_fusion_SolutionStatus.Certificate,
          mosek.solsta.prim_illposed_cer :          mosek_fusion_SolutionStatus.Undefined,
          mosek.solsta.dual_illposed_cer :          mosek_fusion_SolutionStatus.IllposedCert,
          mosek.solsta.unknown :                    mosek_fusion_SolutionStatus.Unknown,
      }
  
      dd = {
          mosek.solsta.optimal :                    mosek_fusion_SolutionStatus.Optimal,
          mosek.solsta.integer_optimal :            mosek_fusion_SolutionStatus.Undefined,
          mosek.solsta.prim_and_dual_feas :         mosek_fusion_SolutionStatus.Feasible,
          mosek.solsta.prim_feas :                  mosek_fusion_SolutionStatus.Undefined,
          mosek.solsta.dual_feas :                  mosek_fusion_SolutionStatus.Feasible,
          mosek.solsta.prim_infeas_cer :            mosek_fusion_SolutionStatus.Certificate,
          mosek.solsta.dual_infeas_cer :            mosek_fusion_SolutionStatus.Undefined,
          mosek.solsta.prim_illposed_cer :          mosek_fusion_SolutionStatus.IllposedCert,
          mosek.solsta.dual_illposed_cer :          mosek_fusion_SolutionStatus.Undefined,
          mosek.solsta.unknown :                    mosek_fusion_SolutionStatus.Unknown,
      }
  
      psd = {
          mosek.prosta.unknown  :                   mosek_fusion_ProblemStatus.Unknown,
          mosek.prosta.prim_and_dual_feas :         mosek_fusion_ProblemStatus.PrimalAndDualFeasible,
          mosek.prosta.prim_feas :                  mosek_fusion_ProblemStatus.PrimalFeasible,
          mosek.prosta.dual_feas :                  mosek_fusion_ProblemStatus.DualFeasible,
          mosek.prosta.prim_infeas :                mosek_fusion_ProblemStatus.PrimalInfeasible,
          mosek.prosta.dual_infeas :                mosek_fusion_ProblemStatus.DualInfeasible,
          mosek.prosta.prim_and_dual_infeas :       mosek_fusion_ProblemStatus.PrimalAndDualInfeasible,
          mosek.prosta.ill_posed :                  mosek_fusion_ProblemStatus.IllPosed,
          mosek.prosta.prim_infeas_or_unbounded :   mosek_fusion_ProblemStatus.PrimalInfeasibleOrUnbounded,
        }
  
  
      solsta = self.__task.getsolsta(st)
      prosta = self.__task.getprosta(st)
  
      psolsta = pd[solsta]
      dsolsta = dd[solsta]
  
      # Special unconditional cases for integer solution:
      if st == mosek.soltype.itg:
        dsolsta = mosek_fusion_SolutionStatus.Undefined
        if prosta == mosek.prosta.prim_infeas:
          psolsta = mosek_fusion_SolutionStatus.Undefined
  
      hasprimal = psolsta != mosek_fusion_SolutionStatus.Undefined
      hasdual   = dsolsta != mosek_fusion_SolutionStatus.Undefined
  
      pobj   = self.__task.getprimalobj(st) if hasprimal else 0.0
      dobj   = self.__task.getdualobj(st) if hasdual else 0.0
  
      ps = psd[prosta]
  
      if   st == mosek.soltype.bas: soltp = mosek_fusion_SolutionType.Basic
      elif st == mosek.soltype.itr: soltp = mosek_fusion_SolutionType.Interior
      elif st == mosek.soltype.itg: soltp = mosek_fusion_SolutionType.Integer
  
      self.__cursol = st
      self._report_1solution_Emosek_4fusion_4SolutionType_2Emosek_4fusion_4ProblemStatus_2Emosek_4fusion_4SolutionStatus_2Emosek_4fusion_4SolutionStatus_2DDIIIIIZZ(
        soltp,ps,psolsta,dsolsta,pobj,dobj,numvar,numcon,numbarelm,numacc,numaccelm,hasprimal,hasdual)
  
  
  
  
    @classmethod
    def _env_1solve_1batch_ZDI_3Lmosek_4fusion_4Model_2(self,israce,timelimit,numthreads,models):
      n = len(models)
      tasks = [_m.getTask() for _m in models]
      res = [mosek.rescode.err_unknown] * n
      trm = [mosek.rescode.err_unknown] * n
      ok = False
      try:
        BaseModel._globalEnv().optimizebatch(israce,          # israce
                                             timelimit,       # timelimit
                                             numthreads,      # numthread
                                             tasks,
                                             trm,
                                             res)
        ok = True
      except mosek.Error as e:
        raise mosek_fusion_OptimizeError(str(e))
      finally:
        if not ok: # means exception, post-solve won't be called
          for _m in models:
            _m._sol_itr = None
            _m._sol_bas = None
            _m._sol_itg = None
  
      return [mosek_fusion_SolverStatus.Error if res[i]!=mosek.rescode.ok else mosek_fusion_SolverStatus.LostRace if trm[i]==mosek.rescode.trm_lost_race else mosek_fusion_SolverStatus.OK for i in range(n)]
  
    @staticmethod
    def _matchargs_task_1solve_(self,*args):
      return True
    def _task_1solve_ZSS(self, remote, server, port):
      task = self.__task
      ok = False
      try:
        trmcode = mosek.rescode.ok
        try:
          self.__break = False
          if remote:
            trmcode = task.optimizermt(server, port)
          else:
            trmcode = task.optimize()
          task.solutionsummary(mosek.streamtype.log)
          ok = True
        except mosek.Error as e:
          raise mosek_fusion_OptimizeError(str(e))
      finally:
        if not ok: # means exception, post-solve won't be called
          self._sol_itr = None
          self._sol_bas = None
          self._sol_itg = None
  
    def _task_1post_1solve_(self):
      task = self.__task  
      numcon  = task.getnumcon()
      numvar  = task.getnumvar()
      numbarvar = task.getnumbarvar()
      barvarveclen = 0
      for j in range(numbarvar):
        barxjdim = task.getdimbarvarj(j)
        barvarveclen += barxjdim * (1+barxjdim)/2
      barvarveclen = numpy.int32(barvarveclen)
      numacc = task.getnumacc();
      numaccelm = task.getaccntot();
  
      sol_bas_def = 0 != task.solutiondef(mosek.soltype.bas)
      sol_itr_def = 0 != task.solutiondef(mosek.soltype.itr)
      sol_itg_def = 0 != task.solutiondef(mosek.soltype.itg)
  
      self._clear_1solutions_();
      if sol_itr_def:
        self.__report_task_solution(mosek.soltype.itr, numvar, numcon, barvarveclen,numacc,numaccelm)
      if sol_bas_def:
        self.__report_task_solution(mosek.soltype.bas, numvar, numcon, barvarveclen,numacc,numaccelm)
      if sol_itg_def:
        self.__report_task_solution(mosek.soltype.itg, numvar, numcon, barvarveclen,numacc,numaccelm)
  
  
    @staticmethod
    def _env_1syeig_I_3D_3D(n,a,w): BaseModel._globalEnv().syeig(n,a,w)
    @staticmethod
    def _env_1syevd_I_3D_3D(n,a,w): BaseModel._globalEnv().syevd(n,a,w)
    #@staticmethod
    #def _env_1potrf_I_3D(n,a):      BaseModel._globalEnv().potrf(n,a)
  
  
  
    def _task_1putafefrow_J_3I_3D(self,idx,subj,cof): self.__task.putafefrow(idx,subj,cof)
  
    def _task_1clearaferowlist__3I(self,idxs):
      subj = numpy.zeros(0,dtype=numpy.int32)
      val  = numpy.zeros(0,dtype=numpy.float64)
  
      for i in range(len(idxs)):
          self.__task.putafefrow(idxs[i],subj,val)
          self.__task.putafeg(idxs[i],0.0)
      raise  UnexpectedError("Not implemented: clearbarfrowlist");
  
    def _task_1putafefrowlist__3I_3I_3I_3D_3D(self,idxs,ptr,subj,cof,g):
      for i in range(len(idxs)):
          self.__task.putafefrow(idxs[i],subj[ptr[i]:ptr[i+1]],cof[ptr[i]:ptr[i+1]])
          self.__task.putafeg(idxs[i],g[i])
  
    def _task_1putafebarfrowlist__3I_3I_3I_3J (self,idxs,ptr,barsubj,symmatidx):
      num = len(barsubj);
      #print('ptr = ',ptr)
      #print('idxs = ',idxs)
      #print('barsubj = ',barsubj)
      afeidxlist   = numpy.array([idxs[i] for i in range(len(idxs)) for j in range(ptr[i],ptr[i+1])],dtype=numpy.int64)
      numtermslist = numpy.ones(num,dtype=numpy.int64)
      ptrtermslist = numpy.arange(num,dtype=numpy.int64)
      termweights  = numpy.ones(num,dtype=numpy.float64)
      #print('afeidxlist   = ',afeidxlist  )
      #print('numtermslist = ',numtermslist)
      #print('ptrtermslist = ',ptrtermslist)
      #print('termweights  = ',termweights )
  
      #print(idxs,afeidxlist,barsubj,numtermslist,ptrtermslist,symmatidx,termweights)
      #print(len(idxs),len(afeidxlist),len(barsubj),len(numtermslist),len(ptrtermslist),len(symmatidx),len(termweights))
      self.__task.putafebarfentrylist(afeidxlist,barsubj,numtermslist,ptrtermslist,symmatidx,termweights)
  
    #def _task_1putafefijlist__3I_3I_3D(self,idxs,subj,cof):
    #  raise UnexpectedError("Not implemented: putafefijlist")
  
    def _task_1putafefglist__3I_3D (self,idxs,g):
      for i,v in zip(idxs,g):
        self.__task.putafeg(i,v)
  
    def _task_1append_1accs_II_3I_3D_3I(self,domidx,numcone,afeidxs,g,accidxs):
      domidxs = numpy.array([domidx]*numcone,dtype=numpy.int32)
      lafeidxs = numpy.array(afeidxs,dtype=numpy.int64)
      firstacc = self.__task.getnumacc()
  
      for i in range(numcone):
        accidxs[i] = firstacc + i
      self.__task.appendaccs(domidxs,lafeidxs,g)
  
    def _task_1putafefrow_I_3I_3D (self,idx,subj,cof):
      self.__task.putafefrow(idx, subj, cof)
  
    def _task_1append_1domain_1quad_I     (self, conesize): return self.__task.appendquadraticconedomain(conesize)
    def _task_1append_1domain_1rquad_I    (self, conesize): return self.__task.appendrquadraticconedomain(conesize)
    def _task_1append_1domain_1pexp_      (self): return self.__task.appendprimalexpconedomain()
    def _task_1append_1domain_1dexp_      (self): return self.__task.appenddualexpconedomain()
    def _task_1append_1domain_1ppow_I_3D  (self, conesize, alpha): return self.__task.appendprimalpowerconedomain(conesize,alpha)
    def _task_1append_1domain_1dpow_I_3D  (self, conesize, alpha): return self.__task.appenddualpowerconedomain(conesize,alpha)
    #def _task_1append_1domain_1onenorm_I  (self, conesize): return self.__task.appendonenormconedomain(conesize)
    #def _task_1append_1domain_1infnorm_I  (self, conesize): return self.__task.appendinfnormconedomain(conesize)
    def _task_1append_1domain_1pgeomean_I (self, conesize): return self.__task.appendprimalgeomeanconedomain(conesize)
    def _task_1append_1domain_1dgeomean_I (self, conesize): return self.__task.appenddualgeomeanconedomain(conesize)
    def _task_1append_1domain_1rpos_I     (self, conesize): return self.__task.appendrplusdomain(conesize)
    def _task_1append_1domain_1rneg_I     (self, conesize): return self.__task.appendrminusdomain(conesize)
    def _task_1append_1domain_1r_I        (self, conesize): return self.__task.appendrdomain(conesize)
    def _task_1append_1domain_1rzero_I    (self, conesize): return self.__task.appendrzerodomain(conesize)
    def _task_1append_1domain_1svec_1psd_I(self, conesize): return self.__task.appendsvecpsdconedomain(conesize)
    def _task_1append_1domain_1empty_     (self): return self.__task.appendrdomain(0)
    def __task_append_1afes(self,num):
      idx = self.__task.getnumafe()
      self.__task.appendafes(num)
      return idx
  
    def __task_appenddjcs(self,num):
      idx = self.__task.getnumdjc()
      self.__task.appenddjcs(num)
      return idx
  
    def _task_1append_1djc_J(self,num):
      return self.__task_appenddjcs(num)
  
    def _task_1putdjcslice_JJ_3J_3J_3J_3J_3D(self,first,last,numterm,termsizes,domidxlist,afeidxlist,b):
      return self.__task.putdjcslice(first,last,domidxlist,afeidxlist,b,termsizes,numterm)
  return BaseModel
mosek_fusion_BaseModel=__mk_mosek_fusion_BaseModel()
#-- END   Class mosek.fusion.BaseModel from external file src/fusion/python/BaseModel3.py
# origin: bld/herlev/final/default/src/fusion/Model.mbi:350:4-4937:5
#BEFORE CLASS
def __mk_mosek_fusion_Model():
  class Model(mosek_fusion_BaseModel):
    __slots__ = ['_Model__xs','_Model__ws','_Model__rs','_Model__sol_itg','_Model__sol_bas','_Model__sol_itr','_Model__con_map','_Model__acons','_Model__cons','_Model__task_numaferow','_Model__param_value','_Model__param_num','_Model__par_map','_Model__numparameter','_Model__parameters','_Model__initsol_xx_flag','_Model__initsol_xx','_Model__var_map','_Model__barvars','_Model__vars','_Model__bfixidx','_Model__barvar_block_elm_j','_Model__barvar_block_elm_i','_Model__barvar_block_elm_barj','_Model__barvar_block_elm_ptr','_Model__barvar_block_dim','_Model__barvar_block_ptr','_Model__barvar_dim','_Model__barvar_num','_Model__var_elm_acc_ofs','_Model__var_elm_acc_idx','_Model__var_block_acc_id','_Model__var_block_map','_Model__acon_elm_afe','_Model__acon_elm_ofs','_Model__acon_elm_scale','_Model__acon_elm_accid','_Model__acon_afe','_Model__acon_acc','_Model__acon_block_map','_Model__acc_block_map','_Model__obj_blocks','_Model__afe_blocks','_Model__con_blocks','_Model__num_task_acc','_Model__num_task_afe','_Model__num_task_con','_Model__solutionptr','_Model__acceptable_sol','_Model__model_name']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_(*args): # 
        self._ctor_init_(*args)
      elif self.__match_alt_ctor_(*args):# 
        self._ctor_alt_init_(*args)
      elif self.__match_ctor_S(*args): # string
        self._ctor_init_S(*args)
      elif self.__match_alt_ctor_S(*args):# string
        self._ctor_alt_init_S(*args)
      elif self.__match_ctor_I(*args): # int32
        self._ctor_init_I(*args)
      elif self.__match_alt_ctor_I(*args):# int32
        self._ctor_alt_init_I(*args)
      elif self.__match_ctor_SI(*args): # string,int32
        self._ctor_init_SI(*args)
      elif self.__match_alt_ctor_SI(*args):# string,int32
        self._ctor_alt_init_SI(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.Model.ctor()\n\tmosek.fusion.Model.ctor(string)\n\tmosek.fusion.Model.ctor(int32)\n\tmosek.fusion.Model.ctor(string,int32)')

    def getProblemStatus(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getProblemStatus_(*args): # 
        return self._getProblemStatus_(*args)
      elif mosek_fusion_Model._match_alt_getProblemStatus_(*args): # 
        return self._getProblemStatus_alt_(*args)
      elif mosek_fusion_Model._match_getProblemStatus_Emosek_4fusion_4SolutionType_2(*args): # mosek.fusion.SolutionType
        return self._getProblemStatus_Emosek_4fusion_4SolutionType_2(*args)
      elif mosek_fusion_Model._match_alt_getProblemStatus_Emosek_4fusion_4SolutionType_2(*args): # mosek.fusion.SolutionType
        return self._getProblemStatus_alt_Emosek_4fusion_4SolutionType_2(*args)
      else:
        raise ValueError('Invalid argument list getProblemStatus('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getProblemStatus()\n\tmosek.fusion.Model.getProblemStatus(mosek.fusion.SolutionType)')

    def setDataCallbackHandler(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_setDataCallbackHandler_LSystem_4DataCallbackHandler_2(*args): # System.DataCallbackHandler
        return self._setDataCallbackHandler_LSystem_4DataCallbackHandler_2(*args)
      elif mosek_fusion_Model._match_alt_setDataCallbackHandler_LSystem_4DataCallbackHandler_2(*args): # System.DataCallbackHandler
        return self._setDataCallbackHandler_alt_LSystem_4DataCallbackHandler_2(*args)
      else:
        raise ValueError('Invalid argument list setDataCallbackHandler('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.setDataCallbackHandler(System.DataCallbackHandler)')

    def dispose(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_dispose_(*args): # 
        return self._dispose_(*args)
      elif mosek_fusion_Model._match_alt_dispose_(*args): # 
        return self._dispose_alt_(*args)
      else:
        raise ValueError('Invalid argument list dispose('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.dispose()')

    def acceptedSolutionStatus(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_acceptedSolutionStatus_Emosek_4fusion_4AccSolutionStatus_2(*args): # mosek.fusion.AccSolutionStatus
        return self._acceptedSolutionStatus_Emosek_4fusion_4AccSolutionStatus_2(*args)
      elif mosek_fusion_Model._match_alt_acceptedSolutionStatus_Emosek_4fusion_4AccSolutionStatus_2(*args): # mosek.fusion.AccSolutionStatus
        return self._acceptedSolutionStatus_alt_Emosek_4fusion_4AccSolutionStatus_2(*args)
      else:
        raise ValueError('Invalid argument list acceptedSolutionStatus('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.acceptedSolutionStatus(mosek.fusion.AccSolutionStatus)')

    def solve(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_solve_(*args): # 
        return self._solve_(*args)
      elif mosek_fusion_Model._match_alt_solve_(*args): # 
        return self._solve_alt_(*args)
      elif mosek_fusion_Model._match_solve_SS(*args): # string,string
        return self._solve_SS(*args)
      elif mosek_fusion_Model._match_alt_solve_SS(*args): # string,string
        return self._solve_alt_SS(*args)
      else:
        raise ValueError('Invalid argument list solve('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.solve()\n\tmosek.fusion.Model.solve(string,string)')

    def getSolverLIntInfo(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getSolverLIntInfo_S(*args): # string
        return self._getSolverLIntInfo_S(*args)
      elif mosek_fusion_Model._match_alt_getSolverLIntInfo_S(*args): # string
        return self._getSolverLIntInfo_alt_S(*args)
      else:
        raise ValueError('Invalid argument list getSolverLIntInfo('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getSolverLIntInfo(string)')

    def disjunction(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_disjunction_Lmosek_4fusion_4Term_2(*args): # mosek.fusion.Term
        return self._disjunction_Lmosek_4fusion_4Term_2(*args)
      elif mosek_fusion_Model._match_alt_disjunction_Lmosek_4fusion_4Term_2(*args): # mosek.fusion.Term
        return self._disjunction_alt_Lmosek_4fusion_4Term_2(*args)
      elif mosek_fusion_Model._match_disjunction__3Lmosek_4fusion_4Term_2(*args): # []mosek.fusion.Term
        return self._disjunction__3Lmosek_4fusion_4Term_2(*args)
      elif mosek_fusion_Model._match_alt_disjunction__3Lmosek_4fusion_4Term_2(*args): # []mosek.fusion.Term
        return self._disjunction_alt__3Lmosek_4fusion_4Term_2(*args)
      elif mosek_fusion_Model._match_disjunction_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args): # mosek.fusion.Term,mosek.fusion.Term
        return self._disjunction_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args)
      elif mosek_fusion_Model._match_alt_disjunction_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args): # mosek.fusion.Term,mosek.fusion.Term
        return self._disjunction_alt_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args)
      elif mosek_fusion_Model._match_disjunction_SLmosek_4fusion_4Term_2(*args): # string,mosek.fusion.Term
        return self._disjunction_SLmosek_4fusion_4Term_2(*args)
      elif mosek_fusion_Model._match_alt_disjunction_SLmosek_4fusion_4Term_2(*args): # string,mosek.fusion.Term
        return self._disjunction_alt_SLmosek_4fusion_4Term_2(*args)
      elif mosek_fusion_Model._match_disjunction_S_3Lmosek_4fusion_4Term_2(*args): # string,[]mosek.fusion.Term
        return self._disjunction_S_3Lmosek_4fusion_4Term_2(*args)
      elif mosek_fusion_Model._match_alt_disjunction_S_3Lmosek_4fusion_4Term_2(*args): # string,[]mosek.fusion.Term
        return self._disjunction_alt_S_3Lmosek_4fusion_4Term_2(*args)
      elif mosek_fusion_Model._match_disjunction_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args): # mosek.fusion.Term,mosek.fusion.Term,mosek.fusion.Term
        return self._disjunction_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args)
      elif mosek_fusion_Model._match_alt_disjunction_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args): # mosek.fusion.Term,mosek.fusion.Term,mosek.fusion.Term
        return self._disjunction_alt_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args)
      elif mosek_fusion_Model._match_disjunction_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args): # string,mosek.fusion.Term,mosek.fusion.Term
        return self._disjunction_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args)
      elif mosek_fusion_Model._match_alt_disjunction_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args): # string,mosek.fusion.Term,mosek.fusion.Term
        return self._disjunction_alt_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args)
      elif mosek_fusion_Model._match_disjunction_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args): # string,mosek.fusion.Term,mosek.fusion.Term,mosek.fusion.Term
        return self._disjunction_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args)
      elif mosek_fusion_Model._match_alt_disjunction_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args): # string,mosek.fusion.Term,mosek.fusion.Term,mosek.fusion.Term
        return self._disjunction_alt_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args)
      else:
        raise ValueError('Invalid argument list disjunction('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.disjunction(mosek.fusion.Term)\n\tmosek.fusion.Model.disjunction(array(mosek.fusion.Term,ndim=1))\n\tmosek.fusion.Model.disjunction(mosek.fusion.Term,mosek.fusion.Term)\n\tmosek.fusion.Model.disjunction(string,mosek.fusion.Term)\n\tmosek.fusion.Model.disjunction(string,array(mosek.fusion.Term,ndim=1))\n\tmosek.fusion.Model.disjunction(mosek.fusion.Term,mosek.fusion.Term,mosek.fusion.Term)\n\tmosek.fusion.Model.disjunction(string,mosek.fusion.Term,mosek.fusion.Term)\n\tmosek.fusion.Model.disjunction(string,mosek.fusion.Term,mosek.fusion.Term,mosek.fusion.Term)')

    def clone(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_clone_(*args): # 
        return self._clone_(*args)
      elif mosek_fusion_Model._match_alt_clone_(*args): # 
        return self._clone_alt_(*args)
      else:
        raise ValueError('Invalid argument list clone('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.clone()')

    def setVariableValues(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_setVariableValues_Z_3J_3D(*args): # bool,[]int64,[]double
        return self._setVariableValues_Z_3J_3D(*args)
      elif mosek_fusion_Model._match_alt_setVariableValues_Z_3J_3D(*args): # bool,[]int64,[]double
        return self._setVariableValues_alt_Z_3J_3D(*args)
      else:
        raise ValueError('Invalid argument list setVariableValues('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.setVariableValues(bool,array(int64,ndim=1),array(double,ndim=1))')

    def getDualSolutionStatus(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getDualSolutionStatus_(*args): # 
        return self._getDualSolutionStatus_(*args)
      elif mosek_fusion_Model._match_alt_getDualSolutionStatus_(*args): # 
        return self._getDualSolutionStatus_alt_(*args)
      elif mosek_fusion_Model._match_getDualSolutionStatus_Emosek_4fusion_4SolutionType_2(*args): # mosek.fusion.SolutionType
        return self._getDualSolutionStatus_Emosek_4fusion_4SolutionType_2(*args)
      elif mosek_fusion_Model._match_alt_getDualSolutionStatus_Emosek_4fusion_4SolutionType_2(*args): # mosek.fusion.SolutionType
        return self._getDualSolutionStatus_alt_Emosek_4fusion_4SolutionType_2(*args)
      else:
        raise ValueError('Invalid argument list getDualSolutionStatus('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getDualSolutionStatus()\n\tmosek.fusion.Model.getDualSolutionStatus(mosek.fusion.SolutionType)')

    def getVariable(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getVariable_S(*args): # string
        return self._getVariable_S(*args)
      elif mosek_fusion_Model._match_alt_getVariable_S(*args): # string
        return self._getVariable_alt_S(*args)
      elif mosek_fusion_Model._match_getVariable_I(*args): # int32
        return self._getVariable_I(*args)
      elif mosek_fusion_Model._match_alt_getVariable_I(*args): # int32
        return self._getVariable_alt_I(*args)
      else:
        raise ValueError('Invalid argument list getVariable('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getVariable(string)\n\tmosek.fusion.Model.getVariable(int32)')

    def variable(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_variable_(*args): # 
        return self._variable_(*args)
      elif mosek_fusion_Model._match_alt_variable_(*args): # 
        return self._variable_alt_(*args)
      elif mosek_fusion_Model._match_variable_Lmosek_4fusion_4RangeDomain_2(*args): # mosek.fusion.RangeDomain
        return self._variable_Lmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_Lmosek_4fusion_4RangeDomain_2(*args): # mosek.fusion.RangeDomain
        return self._variable_alt_Lmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Model._match_variable_S(*args): # string
        return self._variable_S(*args)
      elif mosek_fusion_Model._match_alt_variable_S(*args): # string
        return self._variable_alt_S(*args)
      elif mosek_fusion_Model._match_variable_Lmosek_4fusion_4LinearDomain_2(*args): # mosek.fusion.LinearDomain
        return self._variable_Lmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_Lmosek_4fusion_4LinearDomain_2(*args): # mosek.fusion.LinearDomain
        return self._variable_alt_Lmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_variable_I(*args): # int32
        return self._variable_I(*args)
      elif mosek_fusion_Model._match_alt_variable_I(*args): # int32
        return self._variable_alt_I(*args)
      elif mosek_fusion_Model._match_variable_Lmosek_4fusion_4ConeDomain_2(*args): # mosek.fusion.ConeDomain
        return self._variable_Lmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_Lmosek_4fusion_4ConeDomain_2(*args): # mosek.fusion.ConeDomain
        return self._variable_alt_Lmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_variable__3I(*args): # []int32
        return self._variable__3I(*args)
      elif mosek_fusion_Model._match_alt_variable__3I(*args): # []int32
        return self._variable_alt__3I(*args)
      elif mosek_fusion_Model._match_variable_Lmosek_4fusion_4PSDDomain_2(*args): # mosek.fusion.PSDDomain
        return self._variable_Lmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_Lmosek_4fusion_4PSDDomain_2(*args): # mosek.fusion.PSDDomain
        return self._variable_alt_Lmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_variable_SLmosek_4fusion_4LinearDomain_2(*args): # string,mosek.fusion.LinearDomain
        return self._variable_SLmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_SLmosek_4fusion_4LinearDomain_2(*args): # string,mosek.fusion.LinearDomain
        return self._variable_alt_SLmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_variable_SLmosek_4fusion_4PSDDomain_2(*args): # string,mosek.fusion.PSDDomain
        return self._variable_SLmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_SLmosek_4fusion_4PSDDomain_2(*args): # string,mosek.fusion.PSDDomain
        return self._variable_alt_SLmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_variable__3ILmosek_4fusion_4ConeDomain_2(*args): # []int32,mosek.fusion.ConeDomain
        return self._variable__3ILmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable__3ILmosek_4fusion_4ConeDomain_2(*args): # []int32,mosek.fusion.ConeDomain
        return self._variable_alt__3ILmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_variable__3ILmosek_4fusion_4RangeDomain_2(*args): # []int32,mosek.fusion.RangeDomain
        return self._variable__3ILmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable__3ILmosek_4fusion_4RangeDomain_2(*args): # []int32,mosek.fusion.RangeDomain
        return self._variable_alt__3ILmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Model._match_variable_SI(*args): # string,int32
        return self._variable_SI(*args)
      elif mosek_fusion_Model._match_alt_variable_SI(*args): # string,int32
        return self._variable_alt_SI(*args)
      elif mosek_fusion_Model._match_variable__3ILmosek_4fusion_4LinearDomain_2(*args): # []int32,mosek.fusion.LinearDomain
        return self._variable__3ILmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable__3ILmosek_4fusion_4LinearDomain_2(*args): # []int32,mosek.fusion.LinearDomain
        return self._variable_alt__3ILmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_variable_ILmosek_4fusion_4LinearDomain_2(*args): # int32,mosek.fusion.LinearDomain
        return self._variable_ILmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_ILmosek_4fusion_4LinearDomain_2(*args): # int32,mosek.fusion.LinearDomain
        return self._variable_alt_ILmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_variable_S_3I(*args): # string,[]int32
        return self._variable_S_3I(*args)
      elif mosek_fusion_Model._match_alt_variable_S_3I(*args): # string,[]int32
        return self._variable_alt_S_3I(*args)
      elif mosek_fusion_Model._match_variable_ILmosek_4fusion_4RangeDomain_2(*args): # int32,mosek.fusion.RangeDomain
        return self._variable_ILmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_ILmosek_4fusion_4RangeDomain_2(*args): # int32,mosek.fusion.RangeDomain
        return self._variable_alt_ILmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Model._match_variable_ILmosek_4fusion_4ConeDomain_2(*args): # int32,mosek.fusion.ConeDomain
        return self._variable_ILmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_ILmosek_4fusion_4ConeDomain_2(*args): # int32,mosek.fusion.ConeDomain
        return self._variable_alt_ILmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_variable_SLmosek_4fusion_4ConeDomain_2(*args): # string,mosek.fusion.ConeDomain
        return self._variable_SLmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_SLmosek_4fusion_4ConeDomain_2(*args): # string,mosek.fusion.ConeDomain
        return self._variable_alt_SLmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_variable_SLmosek_4fusion_4RangeDomain_2(*args): # string,mosek.fusion.RangeDomain
        return self._variable_SLmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_SLmosek_4fusion_4RangeDomain_2(*args): # string,mosek.fusion.RangeDomain
        return self._variable_alt_SLmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Model._match_variable_ILmosek_4fusion_4PSDDomain_2(*args): # int32,mosek.fusion.PSDDomain
        return self._variable_ILmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_ILmosek_4fusion_4PSDDomain_2(*args): # int32,mosek.fusion.PSDDomain
        return self._variable_alt_ILmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_variable_S_3ILmosek_4fusion_4RangeDomain_2(*args): # string,[]int32,mosek.fusion.RangeDomain
        return self._variable_S_3ILmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_S_3ILmosek_4fusion_4RangeDomain_2(*args): # string,[]int32,mosek.fusion.RangeDomain
        return self._variable_alt_S_3ILmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Model._match_variable_S_3ILmosek_4fusion_4LinearDomain_2(*args): # string,[]int32,mosek.fusion.LinearDomain
        return self._variable_S_3ILmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_S_3ILmosek_4fusion_4LinearDomain_2(*args): # string,[]int32,mosek.fusion.LinearDomain
        return self._variable_alt_S_3ILmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_variable_SILmosek_4fusion_4ConeDomain_2(*args): # string,int32,mosek.fusion.ConeDomain
        return self._variable_SILmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_SILmosek_4fusion_4ConeDomain_2(*args): # string,int32,mosek.fusion.ConeDomain
        return self._variable_alt_SILmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_variable_IILmosek_4fusion_4PSDDomain_2(*args): # int32,int32,mosek.fusion.PSDDomain
        return self._variable_IILmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_IILmosek_4fusion_4PSDDomain_2(*args): # int32,int32,mosek.fusion.PSDDomain
        return self._variable_alt_IILmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_variable_S_3ILmosek_4fusion_4ConeDomain_2(*args): # string,[]int32,mosek.fusion.ConeDomain
        return self._variable_S_3ILmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_S_3ILmosek_4fusion_4ConeDomain_2(*args): # string,[]int32,mosek.fusion.ConeDomain
        return self._variable_alt_S_3ILmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_variable_S_3ILmosek_4fusion_4PSDDomain_2(*args): # string,[]int32,mosek.fusion.PSDDomain
        return self._variable_S_3ILmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_S_3ILmosek_4fusion_4PSDDomain_2(*args): # string,[]int32,mosek.fusion.PSDDomain
        return self._variable_alt_S_3ILmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_variable_SILmosek_4fusion_4RangeDomain_2(*args): # string,int32,mosek.fusion.RangeDomain
        return self._variable_SILmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_SILmosek_4fusion_4RangeDomain_2(*args): # string,int32,mosek.fusion.RangeDomain
        return self._variable_alt_SILmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Model._match_variable_SILmosek_4fusion_4PSDDomain_2(*args): # string,int32,mosek.fusion.PSDDomain
        return self._variable_SILmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_SILmosek_4fusion_4PSDDomain_2(*args): # string,int32,mosek.fusion.PSDDomain
        return self._variable_alt_SILmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_variable_SILmosek_4fusion_4LinearDomain_2(*args): # string,int32,mosek.fusion.LinearDomain
        return self._variable_SILmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_SILmosek_4fusion_4LinearDomain_2(*args): # string,int32,mosek.fusion.LinearDomain
        return self._variable_alt_SILmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_variable_SIILmosek_4fusion_4PSDDomain_2(*args): # string,int32,int32,mosek.fusion.PSDDomain
        return self._variable_SIILmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_alt_variable_SIILmosek_4fusion_4PSDDomain_2(*args): # string,int32,int32,mosek.fusion.PSDDomain
        return self._variable_alt_SIILmosek_4fusion_4PSDDomain_2(*args)
      else:
        raise ValueError('Invalid argument list variable('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.variable()\n\tmosek.fusion.Model.variable(mosek.fusion.RangeDomain)\n\tmosek.fusion.Model.variable(string)\n\tmosek.fusion.Model.variable(mosek.fusion.LinearDomain)\n\tmosek.fusion.Model.variable(int32)\n\tmosek.fusion.Model.variable(mosek.fusion.ConeDomain)\n\tmosek.fusion.Model.variable(array(int32,ndim=1))\n\tmosek.fusion.Model.variable(mosek.fusion.PSDDomain)\n\tmosek.fusion.Model.variable(string,mosek.fusion.LinearDomain)\n\tmosek.fusion.Model.variable(string,mosek.fusion.PSDDomain)\n\tmosek.fusion.Model.variable(array(int32,ndim=1),mosek.fusion.ConeDomain)\n\tmosek.fusion.Model.variable(array(int32,ndim=1),mosek.fusion.RangeDomain)\n\tmosek.fusion.Model.variable(string,int32)\n\tmosek.fusion.Model.variable(array(int32,ndim=1),mosek.fusion.LinearDomain)\n\tmosek.fusion.Model.variable(int32,mosek.fusion.LinearDomain)\n\tmosek.fusion.Model.variable(string,array(int32,ndim=1))\n\tmosek.fusion.Model.variable(int32,mosek.fusion.RangeDomain)\n\tmosek.fusion.Model.variable(int32,mosek.fusion.ConeDomain)\n\tmosek.fusion.Model.variable(string,mosek.fusion.ConeDomain)\n\tmosek.fusion.Model.variable(string,mosek.fusion.RangeDomain)\n\tmosek.fusion.Model.variable(int32,mosek.fusion.PSDDomain)\n\tmosek.fusion.Model.variable(string,array(int32,ndim=1),mosek.fusion.RangeDomain)\n\tmosek.fusion.Model.variable(string,array(int32,ndim=1),mosek.fusion.LinearDomain)\n\tmosek.fusion.Model.variable(string,int32,mosek.fusion.ConeDomain)\n\tmosek.fusion.Model.variable(int32,int32,mosek.fusion.PSDDomain)\n\tmosek.fusion.Model.variable(string,array(int32,ndim=1),mosek.fusion.ConeDomain)\n\tmosek.fusion.Model.variable(string,array(int32,ndim=1),mosek.fusion.PSDDomain)\n\tmosek.fusion.Model.variable(string,int32,mosek.fusion.RangeDomain)\n\tmosek.fusion.Model.variable(string,int32,mosek.fusion.PSDDomain)\n\tmosek.fusion.Model.variable(string,int32,mosek.fusion.LinearDomain)\n\tmosek.fusion.Model.variable(string,int32,int32,mosek.fusion.PSDDomain)')

    def hasParameter(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_hasParameter_S(*args): # string
        return self._hasParameter_S(*args)
      elif mosek_fusion_Model._match_alt_hasParameter_S(*args): # string
        return self._hasParameter_alt_S(*args)
      else:
        raise ValueError('Invalid argument list hasParameter('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.hasParameter(string)')

    def getVariableValues(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getVariableValues_Z_3J_3DI(*args): # bool,[]int64,[]double,int32
        return self._getVariableValues_Z_3J_3DI(*args)
      elif mosek_fusion_Model._match_alt_getVariableValues_Z_3J_3DI(*args): # bool,[]int64,[]double,int32
        return self._getVariableValues_alt_Z_3J_3DI(*args)
      else:
        raise ValueError('Invalid argument list getVariableValues('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getVariableValues(bool,array(int64,ndim=1),array(double,ndim=1),int32)')

    def optserverHost(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_optserverHost_S(*args): # string
        return self._optserverHost_S(*args)
      elif mosek_fusion_Model._match_alt_optserverHost_S(*args): # string
        return self._optserverHost_alt_S(*args)
      else:
        raise ValueError('Invalid argument list optserverHost('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.optserverHost(string)')

    def objective(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_objective_D(*args): # double
        return self._objective_D(*args)
      elif mosek_fusion_Model._match_alt_objective_D(*args): # double
        return self._objective_alt_D(*args)
      elif mosek_fusion_Model._match_objective_SD(*args): # string,double
        return self._objective_SD(*args)
      elif mosek_fusion_Model._match_alt_objective_SD(*args): # string,double
        return self._objective_alt_SD(*args)
      elif mosek_fusion_Model._match_objective_Emosek_4fusion_4ObjectiveSense_2D(*args): # mosek.fusion.ObjectiveSense,double
        return self._objective_Emosek_4fusion_4ObjectiveSense_2D(*args)
      elif mosek_fusion_Model._match_alt_objective_Emosek_4fusion_4ObjectiveSense_2D(*args): # mosek.fusion.ObjectiveSense,double
        return self._objective_alt_Emosek_4fusion_4ObjectiveSense_2D(*args)
      elif mosek_fusion_Model._match_objective_Emosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.ObjectiveSense,mosek.fusion.Expression
        return self._objective_Emosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Model._match_alt_objective_Emosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.ObjectiveSense,mosek.fusion.Expression
        return self._objective_alt_Emosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Model._match_objective_SEmosek_4fusion_4ObjectiveSense_2D(*args): # string,mosek.fusion.ObjectiveSense,double
        return self._objective_SEmosek_4fusion_4ObjectiveSense_2D(*args)
      elif mosek_fusion_Model._match_alt_objective_SEmosek_4fusion_4ObjectiveSense_2D(*args): # string,mosek.fusion.ObjectiveSense,double
        return self._objective_alt_SEmosek_4fusion_4ObjectiveSense_2D(*args)
      elif mosek_fusion_Model._match_objective_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(*args): # string,mosek.fusion.ObjectiveSense,mosek.fusion.Expression
        return self._objective_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Model._match_alt_objective_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(*args): # string,mosek.fusion.ObjectiveSense,mosek.fusion.Expression
        return self._objective_alt_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list objective('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.objective(double)\n\tmosek.fusion.Model.objective(string,double)\n\tmosek.fusion.Model.objective(mosek.fusion.ObjectiveSense,double)\n\tmosek.fusion.Model.objective(mosek.fusion.ObjectiveSense,mosek.fusion.Expression)\n\tmosek.fusion.Model.objective(string,mosek.fusion.ObjectiveSense,double)\n\tmosek.fusion.Model.objective(string,mosek.fusion.ObjectiveSense,mosek.fusion.Expression)')

    @staticmethod
    def solveBatch(*args):
      if False: pass
      elif mosek_fusion_Model._match_solveBatch_ZDI_3Lmosek_4fusion_4Model_2(*args): # bool,double,int32,[]mosek.fusion.Model
        return mosek_fusion_Model._solveBatch_ZDI_3Lmosek_4fusion_4Model_2(*args)
      elif mosek_fusion_Model._match_alt_solveBatch_ZDI_3Lmosek_4fusion_4Model_2(*args): # bool,double,int32,[]mosek.fusion.Model
        return mosek_fusion_Model._solveBatch_alt_ZDI_3Lmosek_4fusion_4Model_2(*args)
      else:
        raise ValueError('Invalid argument list solveBatch('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.solveBatch(bool,double,int32,array(mosek.fusion.Model,ndim=1))')

    def writeTask(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_writeTask_S(*args): # string
        return self._writeTask_S(*args)
      elif mosek_fusion_Model._match_alt_writeTask_S(*args): # string
        return self._writeTask_alt_S(*args)
      else:
        raise ValueError('Invalid argument list writeTask('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.writeTask(string)')

    @staticmethod
    def putlicensepath(*args):
      if False: pass
      elif mosek_fusion_Model._match_putlicensepath_S(*args): # string
        return mosek_fusion_Model._putlicensepath_S(*args)
      elif mosek_fusion_Model._match_alt_putlicensepath_S(*args): # string
        return mosek_fusion_Model._putlicensepath_alt_S(*args)
      else:
        raise ValueError('Invalid argument list putlicensepath('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.putlicensepath(string)')

    def parameter(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_parameter_(*args): # 
        return self._parameter_(*args)
      elif mosek_fusion_Model._match_alt_parameter_(*args): # 
        return self._parameter_alt_(*args)
      elif mosek_fusion_Model._match_parameter_S(*args): # string
        return self._parameter_S(*args)
      elif mosek_fusion_Model._match_alt_parameter_S(*args): # string
        return self._parameter_alt_S(*args)
      elif mosek_fusion_Model._match_parameter_I(*args): # int32
        return self._parameter_I(*args)
      elif mosek_fusion_Model._match_alt_parameter_I(*args): # int32
        return self._parameter_alt_I(*args)
      elif mosek_fusion_Model._match_parameter__3I(*args): # []int32
        return self._parameter__3I(*args)
      elif mosek_fusion_Model._match_alt_parameter__3I(*args): # []int32
        return self._parameter_alt__3I(*args)
      elif mosek_fusion_Model._match_parameter_SI(*args): # string,int32
        return self._parameter_SI(*args)
      elif mosek_fusion_Model._match_alt_parameter_SI(*args): # string,int32
        return self._parameter_alt_SI(*args)
      elif mosek_fusion_Model._match_parameter__3I_3J(*args): # []int32,[]int64
        return self._parameter__3I_3J(*args)
      elif mosek_fusion_Model._match_alt_parameter__3I_3J(*args): # []int32,[]int64
        return self._parameter_alt__3I_3J(*args)
      elif mosek_fusion_Model._match_parameter_II(*args): # int32,int32
        return self._parameter_II(*args)
      elif mosek_fusion_Model._match_alt_parameter_II(*args): # int32,int32
        return self._parameter_alt_II(*args)
      elif mosek_fusion_Model._match_parameter__3I_3_5I(*args): # []int32,[,]int32
        return self._parameter__3I_3_5I(*args)
      elif mosek_fusion_Model._match_alt_parameter__3I_3_5I(*args): # []int32,[,]int32
        return self._parameter_alt__3I_3_5I(*args)
      elif mosek_fusion_Model._match_parameter_S_3I(*args): # string,[]int32
        return self._parameter_S_3I(*args)
      elif mosek_fusion_Model._match_alt_parameter_S_3I(*args): # string,[]int32
        return self._parameter_alt_S_3I(*args)
      elif mosek_fusion_Model._match_parameter_S_3I_3J(*args): # string,[]int32,[]int64
        return self._parameter_S_3I_3J(*args)
      elif mosek_fusion_Model._match_alt_parameter_S_3I_3J(*args): # string,[]int32,[]int64
        return self._parameter_alt_S_3I_3J(*args)
      elif mosek_fusion_Model._match_parameter_III(*args): # int32,int32,int32
        return self._parameter_III(*args)
      elif mosek_fusion_Model._match_alt_parameter_III(*args): # int32,int32,int32
        return self._parameter_alt_III(*args)
      elif mosek_fusion_Model._match_parameter_S_3I_3_5I(*args): # string,[]int32,[,]int32
        return self._parameter_S_3I_3_5I(*args)
      elif mosek_fusion_Model._match_alt_parameter_S_3I_3_5I(*args): # string,[]int32,[,]int32
        return self._parameter_alt_S_3I_3_5I(*args)
      elif mosek_fusion_Model._match_parameter_SII(*args): # string,int32,int32
        return self._parameter_SII(*args)
      elif mosek_fusion_Model._match_alt_parameter_SII(*args): # string,int32,int32
        return self._parameter_alt_SII(*args)
      elif mosek_fusion_Model._match_parameter_SIII(*args): # string,int32,int32,int32
        return self._parameter_SIII(*args)
      elif mosek_fusion_Model._match_alt_parameter_SIII(*args): # string,int32,int32,int32
        return self._parameter_alt_SIII(*args)
      else:
        raise ValueError('Invalid argument list parameter('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.parameter()\n\tmosek.fusion.Model.parameter(string)\n\tmosek.fusion.Model.parameter(int32)\n\tmosek.fusion.Model.parameter(array(int32,ndim=1))\n\tmosek.fusion.Model.parameter(string,int32)\n\tmosek.fusion.Model.parameter(array(int32,ndim=1),array(int64,ndim=1))\n\tmosek.fusion.Model.parameter(int32,int32)\n\tmosek.fusion.Model.parameter(array(int32,ndim=1),array(int32,ndim=2))\n\tmosek.fusion.Model.parameter(string,array(int32,ndim=1))\n\tmosek.fusion.Model.parameter(string,array(int32,ndim=1),array(int64,ndim=1))\n\tmosek.fusion.Model.parameter(int32,int32,int32)\n\tmosek.fusion.Model.parameter(string,array(int32,ndim=1),array(int32,ndim=2))\n\tmosek.fusion.Model.parameter(string,int32,int32)\n\tmosek.fusion.Model.parameter(string,int32,int32,int32)')

    def updateObjective(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_updateObjective_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Expression,mosek.fusion.Variable
        return self._updateObjective_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Model._match_alt_updateObjective_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Expression,mosek.fusion.Variable
        return self._updateObjective_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(*args)
      else:
        raise ValueError('Invalid argument list updateObjective('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.updateObjective(mosek.fusion.Expression,mosek.fusion.Variable)')

    def flushNames(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_flushNames_(*args): # 
        return self._flushNames_(*args)
      elif mosek_fusion_Model._match_alt_flushNames_(*args): # 
        return self._flushNames_alt_(*args)
      else:
        raise ValueError('Invalid argument list flushNames('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.flushNames()')

    def dataReport(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_dataReport_(*args): # 
        return self._dataReport_(*args)
      elif mosek_fusion_Model._match_alt_dataReport_(*args): # 
        return self._dataReport_alt_(*args)
      elif mosek_fusion_Model._match_dataReport_I(*args): # int32
        return self._dataReport_I(*args)
      elif mosek_fusion_Model._match_alt_dataReport_I(*args): # int32
        return self._dataReport_alt_I(*args)
      else:
        raise ValueError('Invalid argument list dataReport('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.dataReport()\n\tmosek.fusion.Model.dataReport(int32)')

    def breakSolver(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_breakSolver_(*args): # 
        return self._breakSolver_(*args)
      elif mosek_fusion_Model._match_alt_breakSolver_(*args): # 
        return self._breakSolver_alt_(*args)
      else:
        raise ValueError('Invalid argument list breakSolver('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.breakSolver()')

    def getAcceptedSolutionStatus(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getAcceptedSolutionStatus_(*args): # 
        return self._getAcceptedSolutionStatus_(*args)
      elif mosek_fusion_Model._match_alt_getAcceptedSolutionStatus_(*args): # 
        return self._getAcceptedSolutionStatus_alt_(*args)
      else:
        raise ValueError('Invalid argument list getAcceptedSolutionStatus('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getAcceptedSolutionStatus()')

    def primalObjValue(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_primalObjValue_(*args): # 
        return self._primalObjValue_(*args)
      elif mosek_fusion_Model._match_alt_primalObjValue_(*args): # 
        return self._primalObjValue_alt_(*args)
      else:
        raise ValueError('Invalid argument list primalObjValue('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.primalObjValue()')

    def getParameter(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getParameter_S(*args): # string
        return self._getParameter_S(*args)
      elif mosek_fusion_Model._match_alt_getParameter_S(*args): # string
        return self._getParameter_alt_S(*args)
      else:
        raise ValueError('Invalid argument list getParameter('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getParameter(string)')

    def writeTaskNoFlush(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_writeTaskNoFlush_S(*args): # string
        return self._writeTaskNoFlush_S(*args)
      elif mosek_fusion_Model._match_alt_writeTaskNoFlush_S(*args): # string
        return self._writeTaskNoFlush_alt_S(*args)
      else:
        raise ValueError('Invalid argument list writeTaskNoFlush('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.writeTaskNoFlush(string)')

    @staticmethod
    def putlicensecode(*args):
      if False: pass
      elif mosek_fusion_Model._match_putlicensecode__3I(*args): # []int32
        return mosek_fusion_Model._putlicensecode__3I(*args)
      elif mosek_fusion_Model._match_alt_putlicensecode__3I(*args): # []int32
        return mosek_fusion_Model._putlicensecode_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list putlicensecode('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.putlicensecode(array(int32,ndim=1))')

    def setSolverParam(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_setSolverParam_SS(*args): # string,string
        return self._setSolverParam_SS(*args)
      elif mosek_fusion_Model._match_alt_setSolverParam_SS(*args): # string,string
        return self._setSolverParam_alt_SS(*args)
      elif mosek_fusion_Model._match_setSolverParam_SI(*args): # string,int32
        return self._setSolverParam_SI(*args)
      elif mosek_fusion_Model._match_alt_setSolverParam_SI(*args): # string,int32
        return self._setSolverParam_alt_SI(*args)
      elif mosek_fusion_Model._match_setSolverParam_SD(*args): # string,double
        return self._setSolverParam_SD(*args)
      elif mosek_fusion_Model._match_alt_setSolverParam_SD(*args): # string,double
        return self._setSolverParam_alt_SD(*args)
      else:
        raise ValueError('Invalid argument list setSolverParam('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.setSolverParam(string,string)\n\tmosek.fusion.Model.setSolverParam(string,int32)\n\tmosek.fusion.Model.setSolverParam(string,double)')

    def constraint(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args): # mosek.fusion.Expression,mosek.fusion.LinearDomain
        return self._constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_alt_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args): # mosek.fusion.Expression,mosek.fusion.LinearDomain
        return self._constraint_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(*args): # mosek.fusion.Expression,mosek.fusion.PSDDomain
        return self._constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_alt_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(*args): # mosek.fusion.Expression,mosek.fusion.PSDDomain
        return self._constraint_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args): # mosek.fusion.Expression,mosek.fusion.RangeDomain
        return self._constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args): # mosek.fusion.Expression,mosek.fusion.RangeDomain
        return self._constraint_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Model._match_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(*args): # mosek.fusion.Expression,mosek.fusion.ConeDomain
        return self._constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(*args): # mosek.fusion.Expression,mosek.fusion.ConeDomain
        return self._constraint_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(*args): # string,mosek.fusion.Expression,mosek.fusion.PSDDomain
        return self._constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_alt_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(*args): # string,mosek.fusion.Expression,mosek.fusion.PSDDomain
        return self._constraint_alt_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(*args)
      elif mosek_fusion_Model._match_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(*args): # string,mosek.fusion.Expression,mosek.fusion.ConeDomain
        return self._constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(*args): # string,mosek.fusion.Expression,mosek.fusion.ConeDomain
        return self._constraint_alt_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Model._match_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args): # string,mosek.fusion.Expression,mosek.fusion.LinearDomain
        return self._constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_alt_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args): # string,mosek.fusion.Expression,mosek.fusion.LinearDomain
        return self._constraint_alt_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Model._match_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args): # string,mosek.fusion.Expression,mosek.fusion.RangeDomain
        return self._constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Model._match_alt_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args): # string,mosek.fusion.Expression,mosek.fusion.RangeDomain
        return self._constraint_alt_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args)
      else:
        raise ValueError('Invalid argument list constraint('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.constraint(mosek.fusion.Expression,mosek.fusion.LinearDomain)\n\tmosek.fusion.Model.constraint(mosek.fusion.Expression,mosek.fusion.PSDDomain)\n\tmosek.fusion.Model.constraint(mosek.fusion.Expression,mosek.fusion.RangeDomain)\n\tmosek.fusion.Model.constraint(mosek.fusion.Expression,mosek.fusion.ConeDomain)\n\tmosek.fusion.Model.constraint(string,mosek.fusion.Expression,mosek.fusion.PSDDomain)\n\tmosek.fusion.Model.constraint(string,mosek.fusion.Expression,mosek.fusion.ConeDomain)\n\tmosek.fusion.Model.constraint(string,mosek.fusion.Expression,mosek.fusion.LinearDomain)\n\tmosek.fusion.Model.constraint(string,mosek.fusion.Expression,mosek.fusion.RangeDomain)')

    def hasConstraint(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_hasConstraint_S(*args): # string
        return self._hasConstraint_S(*args)
      elif mosek_fusion_Model._match_alt_hasConstraint_S(*args): # string
        return self._hasConstraint_alt_S(*args)
      else:
        raise ValueError('Invalid argument list hasConstraint('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.hasConstraint(string)')

    def hasVariable(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_hasVariable_S(*args): # string
        return self._hasVariable_S(*args)
      elif mosek_fusion_Model._match_alt_hasVariable_S(*args): # string
        return self._hasVariable_alt_S(*args)
      else:
        raise ValueError('Invalid argument list hasVariable('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.hasVariable(string)')

    def setLogHandler(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_setLogHandler_LSystem_4StreamWriter_2(*args): # System.StreamWriter
        return self._setLogHandler_LSystem_4StreamWriter_2(*args)
      elif mosek_fusion_Model._match_alt_setLogHandler_LSystem_4StreamWriter_2(*args): # System.StreamWriter
        return self._setLogHandler_alt_LSystem_4StreamWriter_2(*args)
      else:
        raise ValueError('Invalid argument list setLogHandler('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.setLogHandler(System.StreamWriter)')

    def flushSolutions(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_flushSolutions_(*args): # 
        return self._flushSolutions_(*args)
      elif mosek_fusion_Model._match_alt_flushSolutions_(*args): # 
        return self._flushSolutions_alt_(*args)
      else:
        raise ValueError('Invalid argument list flushSolutions('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.flushSolutions()')

    @staticmethod
    def getVersion(*args):
      if False: pass
      elif mosek_fusion_Model._match_getVersion_(*args): # 
        return mosek_fusion_Model._getVersion_(*args)
      elif mosek_fusion_Model._match_alt_getVersion_(*args): # 
        return mosek_fusion_Model._getVersion_alt_(*args)
      else:
        raise ValueError('Invalid argument list getVersion('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getVersion()')

    def getSolverIntInfo(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getSolverIntInfo_S(*args): # string
        return self._getSolverIntInfo_S(*args)
      elif mosek_fusion_Model._match_alt_getSolverIntInfo_S(*args): # string
        return self._getSolverIntInfo_alt_S(*args)
      else:
        raise ValueError('Invalid argument list getSolverIntInfo('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getSolverIntInfo(string)')

    def getName(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getName_(*args): # 
        return self._getName_(*args)
      elif mosek_fusion_Model._match_alt_getName_(*args): # 
        return self._getName_alt_(*args)
      else:
        raise ValueError('Invalid argument list getName('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getName()')

    def writeTaskStream(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_writeTaskStream_SLSystem_4DataStream_2(*args): # string,System.DataStream
        return self._writeTaskStream_SLSystem_4DataStream_2(*args)
      elif mosek_fusion_Model._match_alt_writeTaskStream_SLSystem_4DataStream_2(*args): # string,System.DataStream
        return self._writeTaskStream_alt_SLSystem_4DataStream_2(*args)
      else:
        raise ValueError('Invalid argument list writeTaskStream('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.writeTaskStream(string,System.DataStream)')

    def getSolverDoubleInfo(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getSolverDoubleInfo_S(*args): # string
        return self._getSolverDoubleInfo_S(*args)
      elif mosek_fusion_Model._match_alt_getSolverDoubleInfo_S(*args): # string
        return self._getSolverDoubleInfo_alt_S(*args)
      else:
        raise ValueError('Invalid argument list getSolverDoubleInfo('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getSolverDoubleInfo(string)')

    def getVariableDuals(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getVariableDuals_Z_3J_3DI(*args): # bool,[]int64,[]double,int32
        return self._getVariableDuals_Z_3J_3DI(*args)
      elif mosek_fusion_Model._match_alt_getVariableDuals_Z_3J_3DI(*args): # bool,[]int64,[]double,int32
        return self._getVariableDuals_alt_Z_3J_3DI(*args)
      else:
        raise ValueError('Invalid argument list getVariableDuals('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getVariableDuals(bool,array(int64,ndim=1),array(double,ndim=1),int32)')

    def getPrimalSolutionStatus(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getPrimalSolutionStatus_(*args): # 
        return self._getPrimalSolutionStatus_(*args)
      elif mosek_fusion_Model._match_alt_getPrimalSolutionStatus_(*args): # 
        return self._getPrimalSolutionStatus_alt_(*args)
      elif mosek_fusion_Model._match_getPrimalSolutionStatus_Emosek_4fusion_4SolutionType_2(*args): # mosek.fusion.SolutionType
        return self._getPrimalSolutionStatus_Emosek_4fusion_4SolutionType_2(*args)
      elif mosek_fusion_Model._match_alt_getPrimalSolutionStatus_Emosek_4fusion_4SolutionType_2(*args): # mosek.fusion.SolutionType
        return self._getPrimalSolutionStatus_alt_Emosek_4fusion_4SolutionType_2(*args)
      else:
        raise ValueError('Invalid argument list getPrimalSolutionStatus('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getPrimalSolutionStatus()\n\tmosek.fusion.Model.getPrimalSolutionStatus(mosek.fusion.SolutionType)')

    def setCallbackHandler(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_setCallbackHandler_LSystem_4CallbackHandler_2(*args): # System.CallbackHandler
        return self._setCallbackHandler_LSystem_4CallbackHandler_2(*args)
      elif mosek_fusion_Model._match_alt_setCallbackHandler_LSystem_4CallbackHandler_2(*args): # System.CallbackHandler
        return self._setCallbackHandler_alt_LSystem_4CallbackHandler_2(*args)
      else:
        raise ValueError('Invalid argument list setCallbackHandler('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.setCallbackHandler(System.CallbackHandler)')

    @staticmethod
    def putlicensewait(*args):
      if False: pass
      elif mosek_fusion_Model._match_putlicensewait_Z(*args): # bool
        return mosek_fusion_Model._putlicensewait_Z(*args)
      elif mosek_fusion_Model._match_alt_putlicensewait_Z(*args): # bool
        return mosek_fusion_Model._putlicensewait_alt_Z(*args)
      else:
        raise ValueError('Invalid argument list putlicensewait('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.putlicensewait(bool)')

    def getConstraintDuals(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getConstraintDuals_Z_3I_3DI(*args): # bool,[]int32,[]double,int32
        return self._getConstraintDuals_Z_3I_3DI(*args)
      elif mosek_fusion_Model._match_alt_getConstraintDuals_Z_3I_3DI(*args): # bool,[]int32,[]double,int32
        return self._getConstraintDuals_alt_Z_3I_3DI(*args)
      else:
        raise ValueError('Invalid argument list getConstraintDuals('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getConstraintDuals(bool,array(int32,ndim=1),array(double,ndim=1),int32)')

    def getConstraintValues(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getConstraintValues_Z_3I_3DI(*args): # bool,[]int32,[]double,int32
        return self._getConstraintValues_Z_3I_3DI(*args)
      elif mosek_fusion_Model._match_alt_getConstraintValues_Z_3I_3DI(*args): # bool,[]int32,[]double,int32
        return self._getConstraintValues_alt_Z_3I_3DI(*args)
      else:
        raise ValueError('Invalid argument list getConstraintValues('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getConstraintValues(bool,array(int32,ndim=1),array(double,ndim=1),int32)')

    def getConstraint(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getConstraint_S(*args): # string
        return self._getConstraint_S(*args)
      elif mosek_fusion_Model._match_alt_getConstraint_S(*args): # string
        return self._getConstraint_alt_S(*args)
      elif mosek_fusion_Model._match_getConstraint_I(*args): # int32
        return self._getConstraint_I(*args)
      elif mosek_fusion_Model._match_alt_getConstraint_I(*args): # int32
        return self._getConstraint_alt_I(*args)
      else:
        raise ValueError('Invalid argument list getConstraint('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getConstraint(string)\n\tmosek.fusion.Model.getConstraint(int32)')

    def selectedSolution(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_selectedSolution_Emosek_4fusion_4SolutionType_2(*args): # mosek.fusion.SolutionType
        return self._selectedSolution_Emosek_4fusion_4SolutionType_2(*args)
      elif mosek_fusion_Model._match_alt_selectedSolution_Emosek_4fusion_4SolutionType_2(*args): # mosek.fusion.SolutionType
        return self._selectedSolution_alt_Emosek_4fusion_4SolutionType_2(*args)
      else:
        raise ValueError('Invalid argument list selectedSolution('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.selectedSolution(mosek.fusion.SolutionType)')

    def flushParameters(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_flushParameters_(*args): # 
        return self._flushParameters_(*args)
      elif mosek_fusion_Model._match_alt_flushParameters_(*args): # 
        return self._flushParameters_alt_(*args)
      else:
        raise ValueError('Invalid argument list flushParameters('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.flushParameters()')

    def dualObjValue(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_dualObjValue_(*args): # 
        return self._dualObjValue_(*args)
      elif mosek_fusion_Model._match_alt_dualObjValue_(*args): # 
        return self._dualObjValue_alt_(*args)
      else:
        raise ValueError('Invalid argument list dualObjValue('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.dualObjValue()')

    def getTask(self,*args):
      if False: pass
      elif mosek_fusion_Model._match_getTask_(*args): # 
        return self._getTask_(*args)
      elif mosek_fusion_Model._match_alt_getTask_(*args): # 
        return self._getTask_alt_(*args)
      else:
        raise ValueError('Invalid argument list getTask('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Model.getTask()')

    def __repr__(self): return 'mosek.fusion.Model'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2(m):
      o = Model.__new__(Model)
      o._ctor_init_Lmosek_4fusion_4Model_2(m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2(*args):
      if len(args) != 1: return False
      m, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2(*args):
      if len(args) != 1: return False
      m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/Model.mbi:576:6-643:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2(self,m):
      self._ctor_init_Lmosek_4fusion_4Model_2(m)
    def _ctor_init_Lmosek_4fusion_4Model_2(self,m):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:576:28-643:7
      mosek_fusion_BaseModel._ctor_init_Lmosek_4fusion_4BaseModel_2(self,m)# ctor @ bld/herlev/final/default/src/fusion/Model.mbi:577:8-17
      _0_self=self # bld/herlev/final/default/src/fusion/Model.mbi:578:12-16
      self.__model_name = (m.__model_name) # bld/herlev/final/default/src/fusion/Model.mbi:580:8-42
      self.__acceptable_sol = (m.__acceptable_sol) # bld/herlev/final/default/src/fusion/Model.mbi:581:8-46
      self.__solutionptr = (m.__solutionptr) # bld/herlev/final/default/src/fusion/Model.mbi:582:8-43
      self.__sol_itr = ((m.__sol_itr)._clone_() if (((m.__sol_itr) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:584:8-69
      self.__sol_itg = ((m.__sol_itg)._clone_() if (((m.__sol_itg) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:585:8-69
      self.__sol_bas = ((m.__sol_bas)._clone_() if (((m.__sol_bas) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:586:8-69
      self.__num_task_afe = (m.__num_task_afe) # bld/herlev/final/default/src/fusion/Model.mbi:588:8-38
      self.__num_task_con = (m.__num_task_con) # bld/herlev/final/default/src/fusion/Model.mbi:589:8-38
      self.__num_task_acc = (m.__num_task_acc) # bld/herlev/final/default/src/fusion/Model.mbi:590:8-38
      self.__con_blocks = mosek_fusion_RowBlockManager._ctor_Lmosek_4fusion_4RowBlockManager_2((m.__con_blocks)) # bld/herlev/final/default/src/fusion/Model.mbi:592:8-55
      self.__afe_blocks = mosek_fusion_RowBlockManager._ctor_Lmosek_4fusion_4RowBlockManager_2((m.__afe_blocks)) # bld/herlev/final/default/src/fusion/Model.mbi:593:8-55
      self.__obj_blocks = mosek_fusion_RowBlockManager._ctor_Lmosek_4fusion_4RowBlockManager_2((m.__obj_blocks)) # bld/herlev/final/default/src/fusion/Model.mbi:594:8-55
      self.__acc_block_map = mosek_fusion_LinkedBlocks._ctor_Lmosek_4fusion_4LinkedBlocks_2((m.__acc_block_map)) # bld/herlev/final/default/src/fusion/Model.mbi:595:8-58
      self.__acon_block_map = mosek_fusion_LinkedBlocks._ctor_Lmosek_4fusion_4LinkedBlocks_2((m.__acon_block_map)) # bld/herlev/final/default/src/fusion/Model.mbi:596:8-60
      self.__acon_acc = mosek.fusion.Utils.Tools._arraycopy__3I((m.__acon_acc)) # bld/herlev/final/default/src/fusion/Model.mbi:599:8-65
      self.__acon_afe = mosek.fusion.Utils.Tools._arraycopy__3I((m.__acon_afe)) # bld/herlev/final/default/src/fusion/Model.mbi:600:8-65
      self.__acon_elm_accid = mosek.fusion.Utils.Tools._arraycopy__3I((m.__acon_elm_accid)) # bld/herlev/final/default/src/fusion/Model.mbi:601:8-65
      self.__acon_elm_scale = mosek.fusion.Utils.Tools._arraycopy__3D((m.__acon_elm_scale)) # bld/herlev/final/default/src/fusion/Model.mbi:602:8-65
      self.__acon_elm_ofs = mosek.fusion.Utils.Tools._arraycopy__3I((m.__acon_elm_ofs)) # bld/herlev/final/default/src/fusion/Model.mbi:603:8-65
      self.__acon_elm_afe = mosek.fusion.Utils.Tools._arraycopy__3I((m.__acon_elm_afe)) # bld/herlev/final/default/src/fusion/Model.mbi:604:8-65
      self.__task_numaferow = (m.__task_numaferow) # bld/herlev/final/default/src/fusion/Model.mbi:606:8-47
      self.__var_block_map = mosek_fusion_LinkedBlocks._ctor_Lmosek_4fusion_4LinkedBlocks_2((m.__var_block_map)) # bld/herlev/final/default/src/fusion/Model.mbi:608:8-66
      self.__var_block_acc_id = mosek.fusion.Utils.Tools._arraycopy__3I((m.__var_block_acc_id)) # bld/herlev/final/default/src/fusion/Model.mbi:609:8-74
      self.__var_elm_acc_idx = mosek.fusion.Utils.Tools._arraycopy__3I((m.__var_elm_acc_idx)) # bld/herlev/final/default/src/fusion/Model.mbi:610:8-74
      self.__var_elm_acc_ofs = mosek.fusion.Utils.Tools._arraycopy__3I((m.__var_elm_acc_ofs)) # bld/herlev/final/default/src/fusion/Model.mbi:611:8-74
      self.__barvar_num = 0 # bld/herlev/final/default/src/fusion/Model.mbi:613:8-34
      self.__barvar_dim = mosek.fusion.Utils.Tools._arraycopy__3I((m.__barvar_dim)) # bld/herlev/final/default/src/fusion/Model.mbi:614:8-79
      self.__barvar_block_ptr = mosek.fusion.Utils.Tools._arraycopy__3I((m.__barvar_block_ptr)) # bld/herlev/final/default/src/fusion/Model.mbi:615:8-79
      self.__barvar_block_dim = mosek.fusion.Utils.Tools._arraycopy__3I((m.__barvar_block_dim)) # bld/herlev/final/default/src/fusion/Model.mbi:616:8-79
      self.__barvar_block_elm_ptr = mosek.fusion.Utils.Tools._arraycopy__3I((m.__barvar_block_elm_ptr)) # bld/herlev/final/default/src/fusion/Model.mbi:617:8-79
      self.__barvar_block_elm_barj = mosek.fusion.Utils.Tools._arraycopy__3I((m.__barvar_block_elm_barj)) # bld/herlev/final/default/src/fusion/Model.mbi:618:8-79
      self.__barvar_block_elm_i = mosek.fusion.Utils.Tools._arraycopy__3I((m.__barvar_block_elm_i)) # bld/herlev/final/default/src/fusion/Model.mbi:619:8-79
      self.__barvar_block_elm_j = mosek.fusion.Utils.Tools._arraycopy__3I((m.__barvar_block_elm_j)) # bld/herlev/final/default/src/fusion/Model.mbi:620:8-79
      self.__vars = numpy.array([((m.__vars)[_1_i]._clone_Lmosek_4fusion_4Model_2(_0_self) if (((m.__vars)[_1_i] is not None) ) else None) for _1_i in range(0,int(((m.__vars)).shape[0]))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:621:8-131
      self.__barvars = numpy.array([((m.__barvars)[_2_i]._clone_Lmosek_4fusion_4Model_2(_0_self) if (((m.__barvars)[_2_i] is not None) ) else None) for _2_i in range(0,int(((m.__barvars)).shape[0]))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:622:8-138
      self.__var_map = (m.__var_map)._clone_() # bld/herlev/final/default/src/fusion/Model.mbi:624:8-47
      self.__cons = numpy.array([((m.__cons)[_3_i]._clone_Lmosek_4fusion_4Model_2(_0_self) if (((m.__cons)[_3_i] is not None) ) else None) for _3_i in range(0,int(((m.__cons)).shape[0]))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:625:8-135
      self.__acons = numpy.array([((m.__acons)[_4_i]._clone_Lmosek_4fusion_4Model_2(_0_self) if (((m.__acons)[_4_i] is not None) ) else None) for _4_i in range(0,int(((m.__acons)).shape[0]))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:626:8-138
      self.__con_map = (m.__con_map)._clone_() # bld/herlev/final/default/src/fusion/Model.mbi:627:8-47
      self.__numparameter = (m.__numparameter) # bld/herlev/final/default/src/fusion/Model.mbi:629:8-45
      self.__parameters = (None if (((m.__parameters) is None) ) else numpy.array([((m.__parameters)[_5_i]._clone_Lmosek_4fusion_4Model_2(_0_self) if (((m.__parameters)[_5_i] is not None) ) else None) for _5_i in range(0,int(((m.__parameters)).shape[0]))], dtype=numpy.dtype(object))) # bld/herlev/final/default/src/fusion/Model.mbi:630:8-171
      self.__par_map = (m.__par_map)._clone_() # bld/herlev/final/default/src/fusion/Model.mbi:631:8-48
      self.__param_num = (m.__param_num) # bld/herlev/final/default/src/fusion/Model.mbi:633:8-42
      self.__param_value = (mosek.fusion.Utils.Tools._arraycopy__3D((m.__param_value)) if (((m.__param_value) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:634:8-104
      self.__initsol_xx = None # bld/herlev/final/default/src/fusion/Model.mbi:635:8-34
      self.__initsol_xx_flag = None # bld/herlev/final/default/src/fusion/Model.mbi:636:8-34
      self.__bfixidx = (m.__bfixidx) # bld/herlev/final/default/src/fusion/Model.mbi:638:8-40
      self.__rs = mosek_fusion_WorkStack._ctor_() # bld/herlev/final/default/src/fusion/Model.mbi:640:8-29
      self.__ws = mosek_fusion_WorkStack._ctor_() # bld/herlev/final/default/src/fusion/Model.mbi:641:8-29
      self.__xs = mosek_fusion_WorkStack._ctor_() # bld/herlev/final/default/src/fusion/Model.mbi:642:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:576:28-643:7
    @staticmethod
    def _ctor_SI(name,basesize):
      o = Model.__new__(Model)
      o._ctor_init_SI(name,basesize)
      return o

    @staticmethod
    def __match_ctor_SI(*args):
      if len(args) != 2: return False
      name,basesize, = args
      return (    __arg_match_S__(name)
              and __arg_match_I__(basesize))
    @staticmethod
    def __match_alt_ctor_SI(*args):
      if len(args) != 2: return False
      name,basesize, = args
      return (    __arg_alt_match_S__(name)
              and __arg_alt_match_I__(basesize))
    # Origin: bld/herlev/final/default/src/fusion/Model.mbi:498:6-573:7
    def _ctor_alt_init_SI(self,name,basesize):
      self._ctor_init_SI(name,numpy.int32(basesize))
    def _ctor_init_SI(self,name,basesize):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:498:48-573:7
      mosek_fusion_BaseModel._ctor_init_SS(self,name,"")# ctor @ bld/herlev/final/default/src/fusion/Model.mbi:499:8-23
      self.__model_name = name # bld/herlev/final/default/src/fusion/Model.mbi:500:8-35
      self.__acceptable_sol = mosek.fusion.AccSolutionStatus.Optimal # bld/herlev/final/default/src/fusion/Model.mbi:502:8-56
      self.__solutionptr = mosek.fusion.SolutionType.Default # bld/herlev/final/default/src/fusion/Model.mbi:503:8-51
      self.__sol_itr = None # bld/herlev/final/default/src/fusion/Model.mbi:505:8-23
      self.__sol_itg = None # bld/herlev/final/default/src/fusion/Model.mbi:506:8-23
      self.__sol_bas = None # bld/herlev/final/default/src/fusion/Model.mbi:507:8-23
      self.__num_task_afe = 0 # bld/herlev/final/default/src/fusion/Model.mbi:509:8-25
      self.__num_task_con = 0 # bld/herlev/final/default/src/fusion/Model.mbi:510:8-25
      self.__num_task_acc = 0 # bld/herlev/final/default/src/fusion/Model.mbi:511:8-25
      self.__con_blocks = mosek_fusion_RowBlockManager._ctor_() # bld/herlev/final/default/src/fusion/Model.mbi:514:8-43
      self.__afe_blocks = mosek_fusion_RowBlockManager._ctor_() # bld/herlev/final/default/src/fusion/Model.mbi:515:8-43
      self.__obj_blocks = mosek_fusion_RowBlockManager._ctor_() # bld/herlev/final/default/src/fusion/Model.mbi:516:8-43
      self.__acc_block_map = mosek_fusion_LinkedBlocks._ctor_() # bld/herlev/final/default/src/fusion/Model.mbi:517:8-43
      self.__acon_block_map = mosek_fusion_LinkedBlocks._ctor_() # bld/herlev/final/default/src/fusion/Model.mbi:518:8-44
      self.__task_numaferow = 0 # bld/herlev/final/default/src/fusion/Model.mbi:520:8-30
      self.__acon_acc = numpy.zeros((self.__acon_block_map._block_1capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:521:8-67
      self.__acon_afe = numpy.zeros((self.__acon_block_map._block_1capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:522:8-67
      self.__acon_elm_accid = numpy.zeros((self.__acon_block_map._capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:523:8-61
      self.__acon_elm_scale = numpy.array([1.0 for _0_i in range(0,self.__acon_block_map._capacity_())], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:524:8-73
      self.__acon_elm_ofs = numpy.zeros((self.__acon_block_map._capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:525:8-61
      self.__acon_elm_afe = numpy.zeros((self.__acon_block_map._capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:526:8-61
      self.__var_block_map = mosek_fusion_LinkedBlocks._ctor_() # bld/herlev/final/default/src/fusion/Model.mbi:528:8-51
      self.__var_block_acc_id = numpy.zeros((self.__var_block_map._block_1capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:529:8-68
      self.__var_elm_acc_idx = numpy.zeros((self.__var_block_map._capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:530:8-62
      self.__var_elm_acc_ofs = numpy.zeros((self.__var_block_map._capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:531:8-62
      self.__barvar_num = 0 # bld/herlev/final/default/src/fusion/Model.mbi:533:8-34
      self.__barvar_dim = numpy.zeros((basesize,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:534:8-46
      self.__barvar_block_ptr = numpy.zeros(((basesize + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:535:8-48
      self.__barvar_block_dim = numpy.zeros((basesize,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:536:8-46
      self.__barvar_block_elm_ptr = numpy.zeros(((basesize + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:537:8-48
      self.__barvar_block_elm_barj = numpy.zeros((basesize,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:538:8-46
      self.__barvar_block_elm_i = numpy.zeros((basesize,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:539:8-46
      self.__barvar_block_elm_j = numpy.zeros((basesize,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:540:8-46
      self.__vars = numpy.array([None for _1_i in range(0,(basesize * 8))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:542:8-81
      self.__barvars = numpy.array([None for _2_i in range(0,basesize)], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:543:8-79
      self.__var_map = mosek.fusion.Utils.StringIntMap() # bld/herlev/final/default/src/fusion/Model.mbi:544:8-55
      self.__initsol_xx = None # bld/herlev/final/default/src/fusion/Model.mbi:546:8-35
      self.__initsol_xx_flag = None # bld/herlev/final/default/src/fusion/Model.mbi:547:8-35
      self.__cons = numpy.array([None for _3_i in range(0,(basesize * 8))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:549:8-81
      self.__acons = numpy.array([None for _4_i in range(0,(basesize * 8))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:550:8-81
      self.__con_map = mosek.fusion.Utils.StringIntMap() # bld/herlev/final/default/src/fusion/Model.mbi:551:8-55
      self.__numparameter = 0 # bld/herlev/final/default/src/fusion/Model.mbi:553:8-32
      self.__parameters = None # bld/herlev/final/default/src/fusion/Model.mbi:554:8-35
      self.__par_map = mosek.fusion.Utils.StringIntMap() # bld/herlev/final/default/src/fusion/Model.mbi:555:8-55
      self.__param_num = 0 # bld/herlev/final/default/src/fusion/Model.mbi:557:8-32
      self.__param_value = None # bld/herlev/final/default/src/fusion/Model.mbi:558:8-35
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:559:8-563:9
      _5_natvarbfixidx=numpy.zeros((1,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:560:14-27
      _6_bfixvarid=self.__linearvar_1alloc_I_3I(1,_5_natvarbfixidx) # bld/herlev/final/default/src/fusion/Model.mbi:561:14-23
      self.__bfixidx = _5_natvarbfixidx[0] # bld/herlev/final/default/src/fusion/Model.mbi:562:10-49
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:559:8-563:9
      self._task_1var_1putboundlist_1fx__3I_3D(numpy.array([self.__bfixidx], dtype=numpy.dtype(numpy.int32)),numpy.array([1.0], dtype=numpy.dtype(numpy.float64))) # bld/herlev/final/default/src/fusion/Model.mbi:565:8-60
      self._task_1var_1name_IS(self.__bfixidx,"1.0") # bld/herlev/final/default/src/fusion/Model.mbi:566:8-37
      self._task_1append_1domain_1empty_() # bld/herlev/final/default/src/fusion/Model.mbi:568:8-35
      self.__rs = mosek_fusion_WorkStack._ctor_() # bld/herlev/final/default/src/fusion/Model.mbi:570:8-29
      self.__ws = mosek_fusion_WorkStack._ctor_() # bld/herlev/final/default/src/fusion/Model.mbi:571:8-29
      self.__xs = mosek_fusion_WorkStack._ctor_() # bld/herlev/final/default/src/fusion/Model.mbi:572:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:498:48-573:7
    @staticmethod
    def _ctor_I(basesize):
      o = Model.__new__(Model)
      o._ctor_init_I(basesize)
      return o

    @staticmethod
    def __match_ctor_I(*args):
      if len(args) != 1: return False
      basesize, = args
      return (    __arg_match_I__(basesize))
    @staticmethod
    def __match_alt_ctor_I(*args):
      if len(args) != 1: return False
      basesize, = args
      return (    __arg_alt_match_I__(basesize))
    # Origin: bld/herlev/final/default/src/fusion/Model.mbi:490:6-58
    def _ctor_alt_init_I(self,basesize):
      self._ctor_init_I(numpy.int32(basesize))
    def _ctor_init_I(self,basesize):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:490:36-58
      mosek_fusion_Model._ctor_init_SI(self,"",basesize)# ctor @ bld/herlev/final/default/src/fusion/Model.mbi:490:38-56
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:490:36-58
    @staticmethod
    def _ctor_S(name):
      o = Model.__new__(Model)
      o._ctor_init_S(name)
      return o

    @staticmethod
    def __match_ctor_S(*args):
      if len(args) != 1: return False
      name, = args
      return (    __arg_match_S__(name))
    @staticmethod
    def __match_alt_ctor_S(*args):
      if len(args) != 1: return False
      name, = args
      return (    __arg_alt_match_S__(name))
    # Origin: bld/herlev/final/default/src/fusion/Model.mbi:484:6-53
    def _ctor_alt_init_S(self,name):
      self._ctor_init_S(name)
    def _ctor_init_S(self,name):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:484:33-53
      mosek_fusion_Model._ctor_init_SI(self,name,128)# ctor @ bld/herlev/final/default/src/fusion/Model.mbi:484:35-51
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:484:33-53
    @staticmethod
    def _ctor_():
      o = Model.__new__(Model)
      o._ctor_init_()
      return o

    @staticmethod
    def __match_ctor_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def __match_alt_ctor_(*args):
      if len(args) != 0: return False
      return True
    # Origin: bld/herlev/final/default/src/fusion/Model.mbi:478:6-33
    def _ctor_alt_init_(self,):
      self._ctor_init_()
    def _ctor_init_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:478:20-33
      mosek_fusion_Model._ctor_init_S(self,"")# ctor @ bld/herlev/final/default/src/fusion/Model.mbi:478:22-31
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:478:20-33
    @staticmethod
    def _match_disjunction_S_3Lmosek_4fusion_4Term_2(*args):
      if len(args) != 2: return False
      _0_name,_1_terms, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match__3Lmosek_4fusion_4Term_2__(_1_terms))
    @staticmethod
    def _match_alt_disjunction_S_3Lmosek_4fusion_4Term_2(*args):
      if len(args) != 2: return False
      _0_name,_1_terms, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match__3Lmosek_4fusion_4Term_2__(_1_terms))
    def _disjunction_alt_S_3Lmosek_4fusion_4Term_2(self,_t__0_name,_t__1_terms):
      _0_name=_t__0_name
      _1_terms=numpy.array(_t__1_terms,dtype=numpy.dtype(object))
      _1 = self._disjunction_S_3Lmosek_4fusion_4Term_2(_0_name,_1_terms)
      try:
        _t__1_terms[:] = _1_terms
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _disjunction_S_3Lmosek_4fusion_4Term_2(self,_0_name,_1_terms):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4818:72-4936:7
      _2_n=int((_1_terms).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:4819:12-13
      _3_nrows=0 # bld/herlev/final/default/src/fusion/Model.mbi:4820:12-17
      _4_nterms=0 # bld/herlev/final/default/src/fusion/Model.mbi:4821:12-18
      _5_naccterms=0 # bld/herlev/final/default/src/fusion/Model.mbi:4822:12-21
      _6_naccrows=0 # bld/herlev/final/default/src/fusion/Model.mbi:4823:12-20
      for _7_i in range(0,_2_n): # bld/herlev/final/default/src/fusion/Model.mbi:4824:8-4829:9
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4824:27-4829:9
        _3_nrows += _1_terms[_7_i]._size_() # bld/herlev/final/default/src/fusion/Model.mbi:4825:10-39
        _4_nterms += _1_terms[_7_i]._num_() # bld/herlev/final/default/src/fusion/Model.mbi:4826:10-38
        _6_naccrows += _1_terms[_7_i]._numaccrows_() # bld/herlev/final/default/src/fusion/Model.mbi:4827:10-45
        _5_naccterms += _1_terms[_7_i]._numaccterms_() # bld/herlev/final/default/src/fusion/Model.mbi:4828:10-46
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4824:27-4829:9
      _8_afeidxs=numpy.zeros((_3_nrows,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4831:12-19
      _9_accafeidxs=numpy.zeros((_6_naccrows,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4832:12-22
      _10_accb=numpy.zeros((_6_naccrows,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:4833:12-16
      _11_domidxs=numpy.zeros((_5_naccterms,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:4834:12-19
      _12_termsize=numpy.zeros((_2_n,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:4835:12-20
      _13_afeblockid=self.__afe_1allocate__3I(_8_afeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:4837:12-22
      _14_term_index=0 # bld/herlev/final/default/src/fusion/Model.mbi:4839:12-22
      _15_acctermptr=0 # bld/herlev/final/default/src/fusion/Model.mbi:4840:39-49
      _16_afetgtptr=0 # bld/herlev/final/default/src/fusion/Model.mbi:4840:24-33
      _17_afeptr=0 # bld/herlev/final/default/src/fusion/Model.mbi:4840:12-18
      for _18_term_i in range(0,_2_n): # bld/herlev/final/default/src/fusion/Model.mbi:4841:8-4918:11
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4842:10-4918:11
        for _19_simpterm_i in range(0,_1_terms[_18_term_i]._num_()): # bld/herlev/final/default/src/fusion/Model.mbi:4842:10-4918:11
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4842:56-4918:11
          _20_dom=(_1_terms[_18_term_i]._domains)[_19_simpterm_i] # bld/herlev/final/default/src/fusion/Model.mbi:4843:16-19
          _21_e=mosek_fusion_ExprDense._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprOptimizeCode._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprCompress._ctor_Lmosek_4fusion_4Expression_2((_1_terms[_18_term_i]._exprs)[_19_simpterm_i]))) # bld/herlev/final/default/src/fusion/Model.mbi:4844:16-17
          _21_e._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self.__rs,self.__ws,self.__xs) # bld/herlev/final/default/src/fusion/Model.mbi:4846:12-29
          self.__rs._pop_1expr_() # bld/herlev/final/default/src/fusion/Model.mbi:4847:12-26
          _22_ri32=(self.__rs.i32) # bld/herlev/final/default/src/fusion/Model.mbi:4849:16-20
          _23_ri64=(self.__rs.i64) # bld/herlev/final/default/src/fusion/Model.mbi:4850:16-20
          _24_rf64=(self.__rs.f64) # bld/herlev/final/default/src/fusion/Model.mbi:4851:16-20
          _25_nd=(self.__rs.nd) # bld/herlev/final/default/src/fusion/Model.mbi:4853:16-18
          _26_shape_base=(self.__rs.shape_base) # bld/herlev/final/default/src/fusion/Model.mbi:4854:16-26
          _27_nelem=(self.__rs.nelem) # bld/herlev/final/default/src/fusion/Model.mbi:4855:16-21
          _28_nnz=(self.__rs.nnz) # bld/herlev/final/default/src/fusion/Model.mbi:4856:16-19
          _29_ncodeatom=(self.__rs.ncodeatom) # bld/herlev/final/default/src/fusion/Model.mbi:4857:16-25
          _30_hassp=(self.__rs.hassp) # bld/herlev/final/default/src/fusion/Model.mbi:4858:16-21
          _31_ptr_base=(self.__rs.ptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:4859:16-24
          _32_nidxs_base=(self.__rs.nidxs_base) # bld/herlev/final/default/src/fusion/Model.mbi:4860:16-26
          _33_cof_base=(self.__rs.cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:4861:16-24
          _34_code=(self.__rs.code_base) # bld/herlev/final/default/src/fusion/Model.mbi:4862:16-20
          _35_codeptr=(self.__rs.codeptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:4863:16-23
          _36_cconst=(self.__rs.cconst_base) # bld/herlev/final/default/src/fusion/Model.mbi:4864:16-22
          _37_shape=numpy.array([_22_ri32[(_26_shape_base + _38_i)] for _38_i in range(0,_25_nd)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4866:16-21
          self.__putfrows__3IILmosek_4fusion_4WorkStack_2IIIII(_8_afeidxs,_17_afeptr,self.__rs,_27_nelem,_28_nnz,_31_ptr_base,_32_nidxs_base,_33_cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:4868:12-79
          if ((_20_dom.dom)==mosek.fusion.DJCDomainType.InRange): # bld/herlev/final/default/src/fusion/Model.mbi:4870:20-52
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4870:54-4885:13
            _39_lb=(_20_dom.b) # bld/herlev/final/default/src/fusion/Model.mbi:4871:18-20
            _40_ub=(_20_dom.par) # bld/herlev/final/default/src/fusion/Model.mbi:4872:18-20
            fragments._c_closure_1(_9_accafeidxs,_10_accb,_8_afeidxs,_17_afeptr,_16_afetgtptr,_39_lb,_27_nelem,_40_ub) # bld/herlev/final/default/src/fusion/Model.mbi:4873:14-4878:15
            _11_domidxs[_15_acctermptr] = self._task_1append_1domain_1rpos_I(_27_nelem) # bld/herlev/final/default/src/fusion/Model.mbi:4880:14-69
            _11_domidxs[(_15_acctermptr + 1)] = self._task_1append_1domain_1rneg_I(_27_nelem) # bld/herlev/final/default/src/fusion/Model.mbi:4881:14-69
            _12_termsize[_18_term_i] += 2 # bld/herlev/final/default/src/fusion/Model.mbi:4882:14-36
            _15_acctermptr += 2 # bld/herlev/final/default/src/fusion/Model.mbi:4883:14-36
            _16_afetgtptr += (_27_nelem * 2) # bld/herlev/final/default/src/fusion/Model.mbi:4884:14-42
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4870:54-4885:13
          elif (((_20_dom.dom)==mosek.fusion.DJCDomainType.EqualTo) or (((_20_dom.dom)==mosek.fusion.DJCDomainType.LessThan) or (((_20_dom.dom)==mosek.fusion.DJCDomainType.GreaterThan) or ((_20_dom.dom)==mosek.fusion.DJCDomainType.IsFree)))): # bld/herlev/final/default/src/fusion/Model.mbi:4886:20-4889:51
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4889:54-4909:13
            _41_b=(_20_dom.b) # bld/herlev/final/default/src/fusion/Model.mbi:4891:18-19
            fragments._c_closure_2(_9_accafeidxs,_10_accb,_8_afeidxs,_17_afeptr,_16_afetgtptr,_41_b,_27_nelem) # bld/herlev/final/default/src/fusion/Model.mbi:4892:14-4895:15
            if ((_20_dom.dom)==mosek.fusion.DJCDomainType.EqualTo): # bld/herlev/final/default/src/fusion/Model.mbi:4897:22-54
              # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4898:16-70
              _11_domidxs[_15_acctermptr] = self._task_1append_1domain_1rzero_I(_27_nelem) # bld/herlev/final/default/src/fusion/Model.mbi:4898:16-70
              # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4898:16-70
            elif ((_20_dom.dom)==mosek.fusion.DJCDomainType.LessThan): # bld/herlev/final/default/src/fusion/Model.mbi:4899:22-55
              # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4900:16-69
              _11_domidxs[_15_acctermptr] = self._task_1append_1domain_1rneg_I(_27_nelem) # bld/herlev/final/default/src/fusion/Model.mbi:4900:16-69
              # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4900:16-69
            elif ((_20_dom.dom)==mosek.fusion.DJCDomainType.GreaterThan): # bld/herlev/final/default/src/fusion/Model.mbi:4901:22-58
              # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4902:16-69
              _11_domidxs[_15_acctermptr] = self._task_1append_1domain_1rpos_I(_27_nelem) # bld/herlev/final/default/src/fusion/Model.mbi:4902:16-69
              # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4902:16-69
            else:
              # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4904:16-66
              _11_domidxs[_15_acctermptr] = self._task_1append_1domain_1r_I(_27_nelem) # bld/herlev/final/default/src/fusion/Model.mbi:4904:16-66
              # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4904:16-66
            _12_termsize[_18_term_i] += 1 # bld/herlev/final/default/src/fusion/Model.mbi:4906:14-36
            _15_acctermptr += 1 # bld/herlev/final/default/src/fusion/Model.mbi:4907:14-30
            _16_afetgtptr += _27_nelem # bld/herlev/final/default/src/fusion/Model.mbi:4908:14-34
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4889:54-4909:13
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4910:16-95
            raise mosek_fusion_UnexpectedError._ctor_S("Not implemented: Non-linear conic DJC constraints") # bld/herlev/final/default/src/fusion/Model.mbi:4910:16-95
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4910:16-95
          _17_afeptr += _27_nelem # bld/herlev/final/default/src/fusion/Model.mbi:4912:12-28
          if (_29_ncodeatom > 0): # bld/herlev/final/default/src/fusion/Model.mbi:4914:16-29
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4915:14-94
            self.__afe_blocks._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(self.__rs,_8_afeidxs,_31_ptr_base,_32_nidxs_base,_35_codeptr,_34_code,_36_cconst) # bld/herlev/final/default/src/fusion/Model.mbi:4915:14-94
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4915:14-94
          _14_term_index += 1 # bld/herlev/final/default/src/fusion/Model.mbi:4917:12-25
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4842:56-4918:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4842:10-4918:11
      _42_djcidx=self._task_1append_1djc_J(1) # bld/herlev/final/default/src/fusion/Model.mbi:4921:12-18
      self._task_1putdjcslice_JJ_3J_3J_3J_3J_3D(_42_djcidx,(_42_djcidx + 1),numpy.array([numpy.int64(_2_n)], dtype=numpy.dtype(numpy.int64)),_12_termsize,_11_domidxs,numpy.array([_9_accafeidxs[_43_i] for _43_i in range(0,int((_9_accafeidxs).shape[0]))], dtype=numpy.dtype(numpy.int64)),_10_accb) # bld/herlev/final/default/src/fusion/Model.mbi:4923:8-4929:31
      if (int(len(_0_name)) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:4931:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4931:27-4933:9
        self._task_1djc_1name_JS(_42_djcidx,mosek.fusion.Utils.StringBuffer()._a_S(_0_name)._a_S("[")._a_S("]")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:4932:10-90
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4931:27-4933:9
      return (mosek_fusion_Disjunction._ctor_J(_42_djcidx)) # bld/herlev/final/default/src/fusion/Model.mbi:4935:8-39
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4818:72-4936:7
    @staticmethod
    def _match_disjunction__3Lmosek_4fusion_4Term_2(*args):
      if len(args) != 1: return False
      _0_terms, = args
      return (    __arg_match__3Lmosek_4fusion_4Term_2__(_0_terms))
    @staticmethod
    def _match_alt_disjunction__3Lmosek_4fusion_4Term_2(*args):
      if len(args) != 1: return False
      _0_terms, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Term_2__(_0_terms))
    def _disjunction_alt__3Lmosek_4fusion_4Term_2(self,_t__0_terms):
      _0_terms=numpy.array(_t__0_terms,dtype=numpy.dtype(object))
      _1 = self._disjunction__3Lmosek_4fusion_4Term_2(_0_terms)
      try:
        _t__0_terms[:] = _0_terms
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _disjunction__3Lmosek_4fusion_4Term_2(self,_0_terms):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4817:59-92
      return (self._disjunction_S_3Lmosek_4fusion_4Term_2("",_0_terms)) # bld/herlev/final/default/src/fusion/Model.mbi:4817:61-90
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4817:59-92
    @staticmethod
    def _match_disjunction_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args):
      if len(args) != 3: return False
      _0_t1,_1_t2,_2_t3, = args
      return (    __arg_match_Lmosek_4fusion_4Term_2__(_0_t1)
              and __arg_match_Lmosek_4fusion_4Term_2__(_1_t2)
              and __arg_match_Lmosek_4fusion_4Term_2__(_2_t3))
    @staticmethod
    def _match_alt_disjunction_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args):
      if len(args) != 3: return False
      _0_t1,_1_t2,_2_t3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Term_2__(_0_t1)
              and __arg_alt_match_Lmosek_4fusion_4Term_2__(_1_t2)
              and __arg_alt_match_Lmosek_4fusion_4Term_2__(_2_t3))
    def _disjunction_alt_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(self,_t__0_t1,_t__1_t2,_t__2_t3):
      return self._disjunction_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(_0_t1,_1_t2,_2_t3)
    def _disjunction_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(self,_0_t1,_1_t2,_2_t3):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4815:72-115
      return (self._disjunction_S_3Lmosek_4fusion_4Term_2("",numpy.array([_0_t1,_1_t2,_2_t3], dtype=numpy.dtype(object)))) # bld/herlev/final/default/src/fusion/Model.mbi:4815:74-113
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4815:72-115
    @staticmethod
    def _match_disjunction_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args):
      if len(args) != 2: return False
      _0_t1,_1_t2, = args
      return (    __arg_match_Lmosek_4fusion_4Term_2__(_0_t1)
              and __arg_match_Lmosek_4fusion_4Term_2__(_1_t2))
    @staticmethod
    def _match_alt_disjunction_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args):
      if len(args) != 2: return False
      _0_t1,_1_t2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Term_2__(_0_t1)
              and __arg_alt_match_Lmosek_4fusion_4Term_2__(_1_t2))
    def _disjunction_alt_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(self,_t__0_t1,_t__1_t2):
      return self._disjunction_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(_0_t1,_1_t2)
    def _disjunction_Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(self,_0_t1,_1_t2):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4814:63-103
      return (self._disjunction_S_3Lmosek_4fusion_4Term_2("",numpy.array([_0_t1,_1_t2], dtype=numpy.dtype(object)))) # bld/herlev/final/default/src/fusion/Model.mbi:4814:65-101
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4814:63-103
    @staticmethod
    def _match_disjunction_Lmosek_4fusion_4Term_2(*args):
      if len(args) != 1: return False
      _0_t1, = args
      return (    __arg_match_Lmosek_4fusion_4Term_2__(_0_t1))
    @staticmethod
    def _match_alt_disjunction_Lmosek_4fusion_4Term_2(*args):
      if len(args) != 1: return False
      _0_t1, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Term_2__(_0_t1))
    def _disjunction_alt_Lmosek_4fusion_4Term_2(self,_t__0_t1):
      return self._disjunction_Lmosek_4fusion_4Term_2(_0_t1)
    def _disjunction_Lmosek_4fusion_4Term_2(self,_0_t1):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4813:54-91
      return (self._disjunction_S_3Lmosek_4fusion_4Term_2("",numpy.array([_0_t1], dtype=numpy.dtype(object)))) # bld/herlev/final/default/src/fusion/Model.mbi:4813:56-89
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4813:54-91
    @staticmethod
    def _match_disjunction_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args):
      if len(args) != 4: return False
      _0_name,_1_t1,_2_t2,_3_t3, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_Lmosek_4fusion_4Term_2__(_1_t1)
              and __arg_match_Lmosek_4fusion_4Term_2__(_2_t2)
              and __arg_match_Lmosek_4fusion_4Term_2__(_3_t3))
    @staticmethod
    def _match_alt_disjunction_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args):
      if len(args) != 4: return False
      _0_name,_1_t1,_2_t2,_3_t3, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_Lmosek_4fusion_4Term_2__(_1_t1)
              and __arg_alt_match_Lmosek_4fusion_4Term_2__(_2_t2)
              and __arg_alt_match_Lmosek_4fusion_4Term_2__(_3_t3))
    def _disjunction_alt_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(self,_t__0_name,_t__1_t1,_t__2_t2,_t__3_t3):
      return self._disjunction_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(_0_name,_1_t1,_2_t2,_3_t3)
    def _disjunction_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(self,_0_name,_1_t1,_2_t2,_3_t3):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4811:84-129
      return (self._disjunction_S_3Lmosek_4fusion_4Term_2(_0_name,numpy.array([_1_t1,_2_t2,_3_t3], dtype=numpy.dtype(object)))) # bld/herlev/final/default/src/fusion/Model.mbi:4811:86-127
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4811:84-129
    @staticmethod
    def _match_disjunction_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args):
      if len(args) != 3: return False
      _0_name,_1_t1,_2_t2, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_Lmosek_4fusion_4Term_2__(_1_t1)
              and __arg_match_Lmosek_4fusion_4Term_2__(_2_t2))
    @staticmethod
    def _match_alt_disjunction_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(*args):
      if len(args) != 3: return False
      _0_name,_1_t1,_2_t2, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_Lmosek_4fusion_4Term_2__(_1_t1)
              and __arg_alt_match_Lmosek_4fusion_4Term_2__(_2_t2))
    def _disjunction_alt_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(self,_t__0_name,_t__1_t1,_t__2_t2):
      return self._disjunction_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(_0_name,_1_t1,_2_t2)
    def _disjunction_SLmosek_4fusion_4Term_2Lmosek_4fusion_4Term_2(self,_0_name,_1_t1,_2_t2):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4810:75-117
      return (self._disjunction_S_3Lmosek_4fusion_4Term_2(_0_name,numpy.array([_1_t1,_2_t2], dtype=numpy.dtype(object)))) # bld/herlev/final/default/src/fusion/Model.mbi:4810:77-115
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4810:75-117
    @staticmethod
    def _match_disjunction_SLmosek_4fusion_4Term_2(*args):
      if len(args) != 2: return False
      _0_name,_1_t1, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_Lmosek_4fusion_4Term_2__(_1_t1))
    @staticmethod
    def _match_alt_disjunction_SLmosek_4fusion_4Term_2(*args):
      if len(args) != 2: return False
      _0_name,_1_t1, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_Lmosek_4fusion_4Term_2__(_1_t1))
    def _disjunction_alt_SLmosek_4fusion_4Term_2(self,_t__0_name,_t__1_t1):
      return self._disjunction_SLmosek_4fusion_4Term_2(_0_name,_1_t1)
    def _disjunction_SLmosek_4fusion_4Term_2(self,_0_name,_1_t1):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4809:66-105
      return (self._disjunction_S_3Lmosek_4fusion_4Term_2(_0_name,numpy.array([_1_t1], dtype=numpy.dtype(object)))) # bld/herlev/final/default/src/fusion/Model.mbi:4809:68-103
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4809:66-105
    def _formstConstr_alt_Lmosek_4fusion_4Utils_4StringBuffer_2_3I_3I(self,_t__0_sb,_t__1_shape,_t__2_idxs):
      _0_sb=_t__0_sb
      _1_shape=numpy.array(_t__1_shape,dtype=numpy.dtype(numpy.int32))
      _2_idxs=numpy.array(_t__2_idxs,dtype=numpy.dtype(numpy.int32))
      _1 = self._formstConstr_Lmosek_4fusion_4Utils_4StringBuffer_2_3I_3I(_0_sb,_1_shape,_2_idxs)
      try:
        _t__1_shape[:] = _1_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_idxs[:] = _2_idxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _formstConstr_Lmosek_4fusion_4Utils_4StringBuffer_2_3I_3I(self,_0_sb,_1_shape,_2_idxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4801:107-4804:7
      return (_0_sb) # bld/herlev/final/default/src/fusion/Model.mbi:4803:8-18
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4801:107-4804:7
    def __acon_1release_alt_I(self,_t__0_id):
      return self.__acon_1release_I(numpy.int32(__0_id))
    def __acon_1release_I(self,_0_id):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4691:44-4710:7
      _1_num=self.__acon_block_map._blocksize_I(_0_id) # bld/herlev/final/default/src/fusion/Model.mbi:4692:12-15
      if (_1_num >= 0): # bld/herlev/final/default/src/fusion/Model.mbi:4694:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4694:22-4709:9
        _2_numcone=self.__acc_block_map._blocksize_I(self.__acon_acc[_0_id]) # bld/herlev/final/default/src/fusion/Model.mbi:4695:14-21
        _3_accidxs=numpy.zeros((_2_numcone,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4696:14-21
        _4_afeidxs=numpy.zeros((_1_num,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4697:14-21
        self.__acc_block_map._get_I_3II(self.__acon_acc[_0_id],_3_accidxs,0) # bld/herlev/final/default/src/fusion/Model.mbi:4698:10-52
        self.__acc_block_map._free_I(self.__acon_acc[_0_id]) # bld/herlev/final/default/src/fusion/Model.mbi:4699:10-43
        self.__afe_blocks._get_I_3II(self.__acon_afe[_0_id],_4_afeidxs,0) # bld/herlev/final/default/src/fusion/Model.mbi:4700:10-49
        self.__afe_1release_I(self.__acon_afe[_0_id]) # bld/herlev/final/default/src/fusion/Model.mbi:4701:10-36
        self.__acon_block_map._free_I(_0_id) # bld/herlev/final/default/src/fusion/Model.mbi:4702:10-34
        self._task_1clearafelist__3J(numpy.array([_4_afeidxs[_5_i] for _5_i in range(0,_1_num)], dtype=numpy.dtype(numpy.int64))) # bld/herlev/final/default/src/fusion/Model.mbi:4704:10-67
        self._task_1putacclist__3J_3J_3J_3D(numpy.array([_3_accidxs[_6_i] for _6_i in range(0,_2_numcone)], dtype=numpy.dtype(numpy.int64)),numpy.array([0 for _7_i in range(0,_2_numcone)], dtype=numpy.dtype(numpy.int64)),numpy.zeros((0,), dtype=numpy.dtype(numpy.int64)),numpy.zeros((0,), dtype=numpy.dtype(numpy.float64))) # bld/herlev/final/default/src/fusion/Model.mbi:4705:10-4708:40
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4694:22-4709:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4691:44-4710:7
    def __acon_1allocate_alt_JII_3D_3I_3I(self,_t__0_domidx,_t__1_conesize,_t__2_numcone,_t__3_g,_t__4_afeidxs,_t__5_accidxs):
      _0_domidx=numpy.int64(_t__0_domidx)
      _1_conesize=numpy.int32(_t__1_conesize)
      _2_numcone=numpy.int32(_t__2_numcone)
      _3_g=numpy.array(_t__3_g,dtype=numpy.dtype(numpy.float64))
      _4_afeidxs=numpy.array(_t__4_afeidxs,dtype=numpy.dtype(numpy.int32))
      _5_accidxs=numpy.array(_t__5_accidxs,dtype=numpy.dtype(numpy.int32))
      _1 = self.__acon_1allocate_JII_3D_3I_3I(_0_domidx,_1_conesize,_2_numcone,_3_g,_4_afeidxs,_5_accidxs)
      try:
        _t__3_g[:] = _3_g
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_afeidxs[:] = _4_afeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__5_accidxs[:] = _5_accidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __acon_1allocate_JII_3D_3I_3I(self,_0_domidx,_1_conesize,_2_numcone,_3_g,_4_afeidxs,_5_accidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4617:31-4689:7
      _6_n=(_2_numcone * _1_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:4619:12-13
      _7_aconidxs=numpy.zeros((_6_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4621:12-20
      _8_aconid=self.__acon_block_map._alloc_I(_6_n) # bld/herlev/final/default/src/fusion/Model.mbi:4623:12-18
      _9_accid=self.__acc_block_map._alloc_I(_2_numcone) # bld/herlev/final/default/src/fusion/Model.mbi:4624:12-17
      _10_afeid=self.__afe_1allocate__3I(_4_afeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:4625:12-17
      self.__acon_block_map._get_I_3II(_8_aconid,_7_aconidxs,0) # bld/herlev/final/default/src/fusion/Model.mbi:4627:8-46
      self.__acc_block_map._get_I_3II(_9_accid,_5_accidxs,0) # bld/herlev/final/default/src/fusion/Model.mbi:4628:8-43
      _11_acon_block_cap=self.__acon_block_map._block_1capacity_() # bld/herlev/final/default/src/fusion/Model.mbi:4630:12-26
      _12_acon_cap=self.__acon_block_map._capacity_() # bld/herlev/final/default/src/fusion/Model.mbi:4631:12-20
      if (_11_acon_block_cap > int((self.__acon_acc).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4632:12-42
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4632:44-4639:9
        _13_tmpacc=numpy.zeros((_11_acon_block_cap,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4633:14-20
        _14_tmpafe=numpy.zeros((_11_acon_block_cap,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4634:14-20
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__acon_acc,0,_13_tmpacc,0,int((self.__acon_acc).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4635:10-67
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__acon_afe,0,_14_tmpafe,0,int((self.__acon_afe).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4636:10-67
        self.__acon_acc = _13_tmpacc # bld/herlev/final/default/src/fusion/Model.mbi:4637:10-28
        self.__acon_afe = _14_tmpafe # bld/herlev/final/default/src/fusion/Model.mbi:4638:10-28
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4632:44-4639:9
      self.__acon_acc[_8_aconid] = _9_accid # bld/herlev/final/default/src/fusion/Model.mbi:4641:8-33
      self.__acon_afe[_8_aconid] = _10_afeid # bld/herlev/final/default/src/fusion/Model.mbi:4642:8-33
      if (_8_aconid >= int((self.__acons).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4644:12-32
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4644:34-4648:9
        _15_newacons=numpy.array([None for _16_i in range(0,(int((self.__acons).shape[0]) * 2))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:4645:14-22
        for _17_i in range(0,int((self.__acons).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4646:10-61
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4646:38-61
          _15_newacons[_17_i] = self.__acons[_17_i] # bld/herlev/final/default/src/fusion/Model.mbi:4646:38-61
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4646:38-61
        self.__acons = _15_newacons # bld/herlev/final/default/src/fusion/Model.mbi:4647:10-27
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4644:34-4648:9
      if (_12_acon_cap > int((self.__acon_elm_accid).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4650:12-42
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4650:44-4665:9
        _18_tmp_accid=numpy.zeros((_12_acon_cap,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4651:14-23
        _19_tmp_scale=numpy.zeros((_12_acon_cap,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:4652:14-23
        _20_tmp_ofs=numpy.zeros((_12_acon_cap,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4653:14-21
        _21_tmp_afe=numpy.zeros((_12_acon_cap,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4654:14-21
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__acon_elm_accid,0,_18_tmp_accid,0,int((self.__acon_elm_accid).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4656:10-82
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.__acon_elm_scale,0,_19_tmp_scale,0,int((self.__acon_elm_scale).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4657:10-82
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__acon_elm_ofs,0,_20_tmp_ofs,0,int((self.__acon_elm_ofs).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4658:10-80
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__acon_elm_afe,0,_21_tmp_afe,0,int((self.__acon_elm_afe).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4659:10-80
        self.__acon_elm_accid = _18_tmp_accid # bld/herlev/final/default/src/fusion/Model.mbi:4661:10-37
        self.__acon_elm_ofs = _20_tmp_ofs # bld/herlev/final/default/src/fusion/Model.mbi:4662:10-35
        self.__acon_elm_afe = _21_tmp_afe # bld/herlev/final/default/src/fusion/Model.mbi:4663:10-35
        self.__acon_elm_scale = _19_tmp_scale # bld/herlev/final/default/src/fusion/Model.mbi:4664:10-37
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4650:44-4665:9
      _22_maxaccidx=0 # bld/herlev/final/default/src/fusion/Model.mbi:4667:12-21
      _22_maxaccidx = fragments._c_closure_3(_5_accidxs,_22_maxaccidx) # bld/herlev/final/default/src/fusion/Model.mbi:4667:27-108
      _22_maxaccidx = numpy.int32(_22_maxaccidx) # postprocess
      _22_maxaccidx += 1 # bld/herlev/final/default/src/fusion/Model.mbi:4667:109-124
      _23_nacc=self._task_1numacc_() # bld/herlev/final/default/src/fusion/Model.mbi:4668:12-16
      if (_23_nacc < _22_maxaccidx): # bld/herlev/final/default/src/fusion/Model.mbi:4669:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4670:10-71
        self._task_1append_1accs_JI_3J_3D(0,(_22_maxaccidx - _23_nacc),numpy.zeros((0,), dtype=numpy.dtype(numpy.int64)),numpy.zeros((0,), dtype=numpy.dtype(numpy.float64))) # bld/herlev/final/default/src/fusion/Model.mbi:4670:10-71
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4670:10-71
      self._task_1putacclist__3J_3J_3J_3D(numpy.array([_5_accidxs[_24_i] for _24_i in range(0,int((_5_accidxs).shape[0]))], dtype=numpy.dtype(numpy.int64)),numpy.array([_0_domidx for _25_i in range(0,int((_5_accidxs).shape[0]))], dtype=numpy.dtype(numpy.int64)),numpy.array([_4_afeidxs[_26_i] for _26_i in range(0,int((_4_afeidxs).shape[0]))], dtype=numpy.dtype(numpy.int64)),_3_g) # bld/herlev/final/default/src/fusion/Model.mbi:4671:8-4674:27
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4675:8-4686:9
      fragments._c_closure_4(_5_accidxs,self.__acon_elm_accid,self.__acon_elm_afe,self.__acon_elm_ofs,self.__acon_elm_scale,_7_aconidxs,_4_afeidxs,_1_conesize,_2_numcone) # bld/herlev/final/default/src/fusion/Model.mbi:4675:8-4686:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4675:8-4686:9
      return numpy.int32(_8_aconid) # bld/herlev/final/default/src/fusion/Model.mbi:4688:8-22
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4617:31-4689:7
    def __afe_1release_alt_I(self,_t__0_id):
      return self.__afe_1release_I(numpy.int32(__0_id))
    def __afe_1release_I(self,_0_id):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4602:43-4608:7
      _1_nidxs=numpy.zeros((self.__afe_blocks._blocksize_I(_0_id),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4603:12-17
      self.__afe_blocks._release_I_3I(_0_id,_1_nidxs) # bld/herlev/final/default/src/fusion/Model.mbi:4606:8-37
      self._task_1clearafelist__3J(numpy.array([_1_nidxs[_2_i] for _2_i in range(0,int((_1_nidxs).shape[0]))], dtype=numpy.dtype(numpy.int64))) # bld/herlev/final/default/src/fusion/Model.mbi:4607:8-70
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4602:43-4608:7
    def __afe_1allocate_alt__3I(self,_t__0_nativeidxs):
      _0_nativeidxs=numpy.array(_t__0_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _1 = self.__afe_1allocate__3I(_0_nativeidxs)
      try:
        _t__0_nativeidxs[:] = _0_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __afe_1allocate__3I(self,_0_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4587:61-4600:7
      _1_afeid=self.__afe_blocks._allocate__3I(_0_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:4588:12-17
      if (int((_0_nativeidxs).shape[0]) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:4589:12-31
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4589:33-4597:9
        _2_tasknum=self._task_1numafe_() # bld/herlev/final/default/src/fusion/Model.mbi:4590:14-21
        _3_maxidx=_0_nativeidxs[0] # bld/herlev/final/default/src/fusion/Model.mbi:4591:14-20
        _3_maxidx = fragments._c_closure_5(_3_maxidx,_0_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:4591:38-122
        _3_maxidx = numpy.int32(_3_maxidx) # postprocess
        if ((_3_maxidx + 1) > _2_tasknum): # bld/herlev/final/default/src/fusion/Model.mbi:4592:14-32
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4592:34-4596:11
          _4_n=((_3_maxidx + 1) - _2_tasknum) # bld/herlev/final/default/src/fusion/Model.mbi:4593:16-17
          self._task_1append_1afes_J(_4_n) # bld/herlev/final/default/src/fusion/Model.mbi:4594:12-32
          self.__task_numaferow += _4_n # bld/herlev/final/default/src/fusion/Model.mbi:4595:12-32
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4592:34-4596:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4589:33-4597:9
      return numpy.int32(_1_afeid) # bld/herlev/final/default/src/fusion/Model.mbi:4599:8-21
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4587:61-4600:7
    def __con_1release_alt_I(self,_t__0_id):
      return self.__con_1release_I(numpy.int32(__0_id))
    def __con_1release_I(self,_0_id):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4572:44-4582:7
      _1_num=self.__con_blocks._blocksize_I(_0_id) # bld/herlev/final/default/src/fusion/Model.mbi:4573:12-15
      if (_1_num >= 0): # bld/herlev/final/default/src/fusion/Model.mbi:4575:12-18
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4575:20-4581:9
        _2_nativeidxs=numpy.zeros((_1_num,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4576:14-24
        self.__con_blocks._release_I_3I(_0_id,_2_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:4577:10-44
        self.__cons[_0_id] = None # bld/herlev/final/default/src/fusion/Model.mbi:4578:10-26
        self._task_1con_1putboundlist_1fr__3I(_2_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:4580:10-47
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4575:20-4581:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4572:44-4582:7
    def __con_1allocate_alt__3I(self,_t__0_nativeidxs):
      _0_nativeidxs=numpy.array(_t__0_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _1 = self.__con_1allocate__3I(_0_nativeidxs)
      try:
        _t__0_nativeidxs[:] = _0_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __con_1allocate__3I(self,_0_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4553:31-4570:7
      _1_conid=self.__con_blocks._allocate__3I(_0_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:4554:12-17
      if (int((_0_nativeidxs).shape[0]) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:4555:12-31
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4555:33-4562:9
        _2_maxidx=_0_nativeidxs[0] # bld/herlev/final/default/src/fusion/Model.mbi:4556:14-20
        _2_maxidx = fragments._c_closure_6(_2_maxidx,_0_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:4556:38-122
        _2_maxidx = numpy.int32(_2_maxidx) # postprocess
        if ((_2_maxidx + 1) > self.__num_task_con): # bld/herlev/final/default/src/fusion/Model.mbi:4557:14-37
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4557:39-4561:11
          _3_n=((_2_maxidx + 1) - self.__num_task_con) # bld/herlev/final/default/src/fusion/Model.mbi:4558:16-17
          self._task_1append_1con_I(_3_n) # bld/herlev/final/default/src/fusion/Model.mbi:4559:12-31
          self.__num_task_con += _3_n # bld/herlev/final/default/src/fusion/Model.mbi:4560:12-30
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4557:39-4561:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4555:33-4562:9
      if (_1_conid >= int((self.__cons).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4563:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4563:32-4567:9
        _4_newcons=numpy.array([None for _5_i in range(0,(int((self.__cons).shape[0]) * 2))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:4564:14-21
        for _6_i in range(0,int((self.__cons).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4565:10-58
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4565:37-58
          _4_newcons[_6_i] = self.__cons[_6_i] # bld/herlev/final/default/src/fusion/Model.mbi:4565:37-58
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4565:37-58
        self.__cons = _4_newcons # bld/herlev/final/default/src/fusion/Model.mbi:4566:10-25
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4563:32-4567:9
      return numpy.int32(_1_conid) # bld/herlev/final/default/src/fusion/Model.mbi:4569:8-21
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4553:31-4570:7
    def __barvar_1alloc_alt_II_3I_3J(self,_t__0_conedim,_t__1_numcone,_t__2_barvaridxs,_t__3_nativeidxs):
      _0_conedim=numpy.int32(_t__0_conedim)
      _1_numcone=numpy.int32(_t__1_numcone)
      _2_barvaridxs=numpy.array(_t__2_barvaridxs,dtype=numpy.dtype(numpy.int32))
      _3_nativeidxs=numpy.array(_t__3_nativeidxs,dtype=numpy.dtype(numpy.int64))
      _1 = self.__barvar_1alloc_II_3I_3J(_0_conedim,_1_numcone,_2_barvaridxs,_3_nativeidxs)
      try:
        _t__2_barvaridxs[:] = _2_barvaridxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_nativeidxs[:] = _3_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __barvar_1alloc_II_3I_3J(self,_0_conedim,_1_numcone,_2_barvaridxs,_3_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4449:30-4546:7
      _4_barvarid=self.__barvar_num # bld/herlev/final/default/src/fusion/Model.mbi:4451:12-20
      self.__barvar_num += 1 # bld/herlev/final/default/src/fusion/Model.mbi:4451:35-48
      _5_conesize=((_0_conedim * (_0_conedim + 1)) // 2) # bld/herlev/final/default/src/fusion/Model.mbi:4452:12-20
      _6_domsize=(_5_conesize * _1_numcone) # bld/herlev/final/default/src/fusion/Model.mbi:4453:12-19
      _7_block_num=self.__barvar_block_ptr[_4_barvarid] # bld/herlev/final/default/src/fusion/Model.mbi:4454:12-21
      _8_block_cap=int((self.__barvar_block_dim).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:4455:12-21
      _9_block_elm_num=self.__barvar_block_elm_ptr[_4_barvarid] # bld/herlev/final/default/src/fusion/Model.mbi:4456:12-25
      _10_block_elm_cap=int((self.__barvar_block_elm_barj).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:4457:12-25
      if (_8_block_cap < (_7_block_num + 1)): # bld/herlev/final/default/src/fusion/Model.mbi:4467:12-35
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4467:37-4481:9
        _11_new_barvar_block_dim=numpy.zeros(((int((self.__barvar_block_dim).shape[0]) * 2),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4468:14-34
        _12_new_barvar_block_ptr=numpy.zeros((((int((self.__barvar_block_dim).shape[0]) * 2) + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4469:14-34
        _13_new_barvar_block_elm_ptr=numpy.zeros((((int((self.__barvar_block_dim).shape[0]) * 2) + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4470:14-38
        _14_new_barvars=numpy.array([None for _15_i in range(0,((int((self.__barvar_block_dim).shape[0]) * 2) + 1))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:4471:14-25
        for _16_i in range(0,int((self.__barvars).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4473:10-68
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4473:40-68
          _14_new_barvars[_16_i] = self.__barvars[_16_i] # bld/herlev/final/default/src/fusion/Model.mbi:4473:40-68
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4473:40-68
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__barvar_block_dim,0,_11_new_barvar_block_dim,0,int((self.__barvar_block_dim).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4474:10-97
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__barvar_block_ptr,0,_12_new_barvar_block_ptr,0,int((self.__barvar_block_ptr).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4475:10-97
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__barvar_block_elm_ptr,0,_13_new_barvar_block_elm_ptr,0,int((self.__barvar_block_elm_ptr).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4476:10-109
        self.__barvar_block_dim = _11_new_barvar_block_dim # bld/herlev/final/default/src/fusion/Model.mbi:4477:10-54
        self.__barvar_block_ptr = _12_new_barvar_block_ptr # bld/herlev/final/default/src/fusion/Model.mbi:4478:10-54
        self.__barvar_block_elm_ptr = _13_new_barvar_block_elm_ptr # bld/herlev/final/default/src/fusion/Model.mbi:4479:10-58
        self.__barvars = _14_new_barvars # bld/herlev/final/default/src/fusion/Model.mbi:4480:10-32
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4467:37-4481:9
      if (_10_block_elm_cap < (_9_block_elm_num + _6_domsize)): # bld/herlev/final/default/src/fusion/Model.mbi:4486:12-49
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4486:51-4502:9
        _17_addnum=((_10_block_elm_cap + _6_domsize) - _9_block_elm_num) # bld/herlev/final/default/src/fusion/Model.mbi:4487:14-20
        if (_17_addnum < _10_block_elm_cap): # bld/herlev/final/default/src/fusion/Model.mbi:4488:14-36
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4488:38-61
          _17_addnum = _10_block_elm_cap # bld/herlev/final/default/src/fusion/Model.mbi:4488:38-61
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4488:38-61
        _18_newlen=(_10_block_elm_cap + _17_addnum) # bld/herlev/final/default/src/fusion/Model.mbi:4489:14-20
        _19_new_barvar_block_elm_barj=numpy.zeros((_18_newlen,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4492:14-39
        _20_new_barvar_block_elm_i=numpy.zeros((_18_newlen,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4493:14-36
        _21_new_barvar_block_elm_j=numpy.zeros((_18_newlen,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4494:14-36
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__barvar_block_elm_barj,0,_19_new_barvar_block_elm_barj,0,int((self.__barvar_block_elm_barj).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4496:10-112
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__barvar_block_elm_i,0,_20_new_barvar_block_elm_i,0,int((self.__barvar_block_elm_i).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4497:10-103
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__barvar_block_elm_j,0,_21_new_barvar_block_elm_j,0,int((self.__barvar_block_elm_j).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4498:10-103
        self.__barvar_block_elm_barj = _19_new_barvar_block_elm_barj # bld/herlev/final/default/src/fusion/Model.mbi:4499:10-60
        self.__barvar_block_elm_i = _20_new_barvar_block_elm_i # bld/herlev/final/default/src/fusion/Model.mbi:4500:10-55
        self.__barvar_block_elm_j = _21_new_barvar_block_elm_j # bld/herlev/final/default/src/fusion/Model.mbi:4501:10-55
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4486:51-4502:9
      _22_firstcone=self._task_1numbarvar_() # bld/herlev/final/default/src/fusion/Model.mbi:4504:12-21
      fragments._c_closure_7(_2_barvaridxs,_22_firstcone,_1_numcone) # bld/herlev/final/default/src/fusion/Model.mbi:4506:8-61
      if ((_22_firstcone + _1_numcone) >= int((self.__barvar_dim).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4507:12-48
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4507:50-4514:9
        _23_addnum=((_22_firstcone + _1_numcone) - int((self.__barvar_dim).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4508:14-20
        if (_23_addnum < int((self.__barvar_dim).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4509:14-38
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4509:40-65
          _23_addnum = int((self.__barvar_dim).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:4509:40-65
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4509:40-65
        _24_newnum=(_23_addnum + int((self.__barvar_dim).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4510:14-20
        _25_new_barvar_dim=numpy.zeros((_24_newnum,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4511:14-28
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__barvar_dim,0,_25_new_barvar_dim,0,int((self.__barvar_dim).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4512:10-79
        self.__barvar_dim = _25_new_barvar_dim # bld/herlev/final/default/src/fusion/Model.mbi:4513:10-38
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4507:50-4514:9
      self.__barvar_block_dim[_4_barvarid] = _0_conedim # bld/herlev/final/default/src/fusion/Model.mbi:4516:8-45
      self.__barvar_block_ptr[(_4_barvarid + 1)] = (self.__barvar_block_ptr[_4_barvarid] + _1_numcone) # bld/herlev/final/default/src/fusion/Model.mbi:4517:8-74
      self.__barvar_block_elm_ptr[(_4_barvarid + 1)] = (self.__barvar_block_elm_ptr[_4_barvarid] + _6_domsize) # bld/herlev/final/default/src/fusion/Model.mbi:4518:8-82
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4520:8-4539:9
      fragments._c_closure_8(self.__barvar_block_elm_barj,self.__barvar_block_elm_i,self.__barvar_block_elm_j,self.__barvar_block_elm_ptr,self.__barvar_dim,_4_barvarid,_0_conedim,_22_firstcone,_3_nativeidxs,_1_numcone) # bld/herlev/final/default/src/fusion/Model.mbi:4520:8-4539:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4520:8-4539:9
      _26_barvaridx=self._task_1append_1barvar_II(_0_conedim,_1_numcone) # bld/herlev/final/default/src/fusion/Model.mbi:4541:12-21
      return numpy.int32(_4_barvarid) # bld/herlev/final/default/src/fusion/Model.mbi:4545:8-24
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4449:30-4546:7
    def __conicvar_1alloc_alt_JII_3I_3I(self,_t__0_domidx,_t__1_conesize,_t__2_numcone,_t__3_accidxs,_t__4_nativeidxs):
      _0_domidx=numpy.int64(_t__0_domidx)
      _1_conesize=numpy.int32(_t__1_conesize)
      _2_numcone=numpy.int32(_t__2_numcone)
      _3_accidxs=numpy.array(_t__3_accidxs,dtype=numpy.dtype(numpy.int32))
      _4_nativeidxs=numpy.array(_t__4_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _1 = self.__conicvar_1alloc_JII_3I_3I(_0_domidx,_1_conesize,_2_numcone,_3_accidxs,_4_nativeidxs)
      try:
        _t__3_accidxs[:] = _3_accidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_nativeidxs[:] = _4_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __conicvar_1alloc_JII_3I_3I(self,_0_domidx,_1_conesize,_2_numcone,_3_accidxs,_4_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4417:30-4443:7
      _5_n=(_1_conesize * _2_numcone) # bld/herlev/final/default/src/fusion/Model.mbi:4418:12-13
      _6_varid=self.__linearvar_1alloc_I_3I(_5_n,_4_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:4419:12-17
      _7_g=numpy.zeros((_5_n,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:4421:12-13
      _8_conelmidx=numpy.zeros((_5_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4422:12-21
      _9_afeidxs=numpy.zeros((_5_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4423:12-19
      _10_conid=self.__acon_1allocate_JII_3D_3I_3I(_0_domidx,_1_conesize,_2_numcone,_7_g,_9_afeidxs,_3_accidxs) # bld/herlev/final/default/src/fusion/Model.mbi:4425:12-17
      self.__var_block_acc_id[_6_varid] = _10_conid # bld/herlev/final/default/src/fusion/Model.mbi:4430:8-40
      fragments._c_closure_9(_3_accidxs,_1_conesize,_5_n,_4_nativeidxs,self.__var_elm_acc_idx,self.__var_elm_acc_ofs) # bld/herlev/final/default/src/fusion/Model.mbi:4431:8-4434:9
      self._task_1putafeflist__3J_3I_3I_3D_3D(numpy.array([_9_afeidxs[_11_i] for _11_i in range(0,int((_9_afeidxs).shape[0]))], dtype=numpy.dtype(numpy.int64)),numpy.array([_12_i for _12_i in range(0,(_5_n + 1))], dtype=numpy.dtype(numpy.int32)),_4_nativeidxs,numpy.array([1.0 for _13_i in range(0,_5_n)], dtype=numpy.dtype(numpy.float64)),numpy.array([0.0 for _14_i in range(0,_5_n)], dtype=numpy.dtype(numpy.float64))) # bld/herlev/final/default/src/fusion/Model.mbi:4436:8-4440:59
      return numpy.int32(_6_varid) # bld/herlev/final/default/src/fusion/Model.mbi:4442:8-21
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4417:30-4443:7
    def __linearvar_1alloc_alt_I_3I(self,_t__0_n,_t__1_nativeidxs):
      _0_n=numpy.int32(_t__0_n)
      _1_nativeidxs=numpy.array(_t__1_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _1 = self.__linearvar_1alloc_I_3I(_0_n,_1_nativeidxs)
      try:
        _t__1_nativeidxs[:] = _1_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __linearvar_1alloc_I_3I(self,_0_n,_1_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4374:72-4410:7
      _2_varid=self.__var_block_map._alloc_I(_0_n) # bld/herlev/final/default/src/fusion/Model.mbi:4375:12-17
      _3_maxvaridx=(self.__var_block_map._maxidx_I(_2_varid) + 1) # bld/herlev/final/default/src/fusion/Model.mbi:4376:12-21
      _4_cap=self.__var_block_map._capacity_() # bld/herlev/final/default/src/fusion/Model.mbi:4377:12-15
      _5_numblocks=self.__var_block_map._block_1capacity_() # bld/herlev/final/default/src/fusion/Model.mbi:4378:12-21
      self.__var_block_map._get_I_3II(_2_varid,_1_nativeidxs,0) # bld/herlev/final/default/src/fusion/Model.mbi:4379:8-46
      if (self._task_1numvar_() < _3_maxvaridx): # bld/herlev/final/default/src/fusion/Model.mbi:4381:12-37
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4382:10-53
        self._task_1append_1var_I((_3_maxvaridx - self._task_1numvar_())) # bld/herlev/final/default/src/fusion/Model.mbi:4382:10-53
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4382:10-53
      if (_2_varid >= int((self.__vars).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4384:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4384:32-4388:9
        _6_newvars=numpy.array([None for _7_i in range(0,(int((self.__vars).shape[0]) * 2))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:4385:14-21
        for _8_i in range(0,int((self.__vars).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4386:10-58
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4386:37-58
          _6_newvars[_8_i] = self.__vars[_8_i] # bld/herlev/final/default/src/fusion/Model.mbi:4386:37-58
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4386:37-58
        self.__vars = _6_newvars # bld/herlev/final/default/src/fusion/Model.mbi:4387:10-25
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4384:32-4388:9
      if (_5_numblocks > int((self.__var_block_acc_id).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4390:12-45
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4390:47-4394:9
        _9_new_var_block_acc_id=numpy.zeros((_5_numblocks,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4391:14-34
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__var_block_acc_id,0,_9_new_var_block_acc_id,0,int((self.__var_block_acc_id).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4392:10-97
        self.__var_block_acc_id = _9_new_var_block_acc_id # bld/herlev/final/default/src/fusion/Model.mbi:4393:10-50
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4390:47-4394:9
      if (_4_cap > int((self.__var_elm_acc_idx).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4396:12-38
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4396:40-4404:9
        _10_new_var_elm_acc_idx=numpy.zeros((_4_cap,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4397:14-33
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__var_elm_acc_idx,0,_10_new_var_elm_acc_idx,0,int((self.__var_elm_acc_idx).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4398:10-94
        self.__var_elm_acc_idx = _10_new_var_elm_acc_idx # bld/herlev/final/default/src/fusion/Model.mbi:4399:10-48
        _11_new_var_elm_acc_ofs=numpy.zeros((_4_cap,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4401:14-33
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__var_elm_acc_ofs,0,_11_new_var_elm_acc_ofs,0,int((self.__var_elm_acc_ofs).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:4402:10-94
        self.__var_elm_acc_ofs = _11_new_var_elm_acc_ofs # bld/herlev/final/default/src/fusion/Model.mbi:4403:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4396:40-4404:9
      self.__var_block_acc_id[_2_varid] = (- 1) # bld/herlev/final/default/src/fusion/Model.mbi:4406:8-37
      fragments._c_closure_10(_0_n,_1_nativeidxs,self.__var_elm_acc_idx) # bld/herlev/final/default/src/fusion/Model.mbi:4407:8-4408:46
      return numpy.int32(_2_varid) # bld/herlev/final/default/src/fusion/Model.mbi:4409:8-21
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4374:72-4410:7
    def _make_1continuous_alt__3J(self,_t__0_idxs):
      _0_idxs=numpy.array(_t__0_idxs,dtype=numpy.dtype(numpy.int64))
      _1 = self._make_1continuous__3J(_0_idxs)
      try:
        _t__0_idxs[:] = _0_idxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _make_1continuous__3J(self,_0_idxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4360:53-4371:7
      _1_count=0 # bld/herlev/final/default/src/fusion/Model.mbi:4361:12-17
      _1_count = fragments._c_closure_11(_1_count,_0_idxs) # bld/herlev/final/default/src/fusion/Model.mbi:4361:23-75
      _1_count = numpy.int32(_1_count) # postprocess
      _2_nativeidxs=numpy.zeros((_1_count,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4362:12-22
      _3_k=0 # bld/herlev/final/default/src/fusion/Model.mbi:4364:12-13
      _3_k = fragments._c_closure_12(_0_idxs,_3_k,_2_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:4365:8-4369:11
      _3_k = numpy.int32(_3_k) # postprocess
      self._task_1var_1putcontlist__3I(_2_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:4370:8-41
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4360:53-4371:7
    def _make_1integer_alt__3J(self,_t__0_idxs):
      _0_idxs=numpy.array(_t__0_idxs,dtype=numpy.dtype(numpy.int64))
      _1 = self._make_1integer__3J(_0_idxs)
      try:
        _t__0_idxs[:] = _0_idxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _make_1integer__3J(self,_0_idxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4348:50-4358:7
      _1_count=0 # bld/herlev/final/default/src/fusion/Model.mbi:4349:12-17
      _1_count = fragments._c_closure_13(_1_count,_0_idxs) # bld/herlev/final/default/src/fusion/Model.mbi:4349:23-75
      _1_count = numpy.int32(_1_count) # postprocess
      _2_nativeidxs=numpy.zeros((_1_count,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4350:12-22
      _3_k=0 # bld/herlev/final/default/src/fusion/Model.mbi:4351:12-13
      _3_k = fragments._c_closure_14(_0_idxs,_3_k,_2_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:4352:8-4356:11
      _3_k = numpy.int32(_3_k) # postprocess
      self._task_1var_1putintlist__3I(_2_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:4357:8-40
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4348:50-4358:7
    @staticmethod
    def _match_putlicensewait_Z(*args):
      if len(args) != 1: return False
      _0_wait, = args
      return (    __arg_match_Z__(_0_wait))
    @staticmethod
    def _match_alt_putlicensewait_Z(*args):
      if len(args) != 1: return False
      _0_wait, = args
      return (    __arg_alt_match_Z__(_0_wait))
    @staticmethod
    def _putlicensewait_alt_Z(_t__0_wait):
      return mosek_fusion_Model._putlicensewait_Z(_0_wait)
    @staticmethod
    def _putlicensewait_Z(_0_wait):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4346:58-87
      mosek.fusion.BaseModel._env_1putlicensewait_Z(_0_wait) # bld/herlev/final/default/src/fusion/Model.mbi:4346:60-85
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4346:58-87
    @staticmethod
    def _match_putlicensepath_S(*args):
      if len(args) != 1: return False
      _0_licfile, = args
      return (    __arg_match_S__(_0_licfile))
    @staticmethod
    def _match_alt_putlicensepath_S(*args):
      if len(args) != 1: return False
      _0_licfile, = args
      return (    __arg_alt_match_S__(_0_licfile))
    @staticmethod
    def _putlicensepath_alt_S(_t__0_licfile):
      return mosek_fusion_Model._putlicensepath_S(_0_licfile)
    @staticmethod
    def _putlicensepath_S(_0_licfile):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4343:58-90
      mosek.fusion.BaseModel._env_1putlicensepath_S(_0_licfile) # bld/herlev/final/default/src/fusion/Model.mbi:4343:60-88
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4343:58-90
    @staticmethod
    def _match_putlicensecode__3I(*args):
      if len(args) != 1: return False
      _0_code, = args
      return (    __arg_match__3I__(_0_code))
    @staticmethod
    def _match_alt_putlicensecode__3I(*args):
      if len(args) != 1: return False
      _0_code, = args
      return (    __arg_alt_match__3I__(_0_code))
    @staticmethod
    def _putlicensecode_alt__3I(_t__0_code):
      _0_code=numpy.array(_t__0_code,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Model._putlicensecode__3I(_0_code)
      try:
        _t__0_code[:] = _0_code
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _putlicensecode__3I(_0_code):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4339:58-87
      mosek.fusion.BaseModel._env_1putlicensecode__3I(_0_code) # bld/herlev/final/default/src/fusion/Model.mbi:4339:60-85
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4339:58-87
    @staticmethod
    def _match_dispose_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_dispose_(*args):
      if len(args) != 0: return False
      return True
    def _dispose_alt_(self,):
      return self._dispose_()
    def _dispose_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4325:6-4333:7
      for _0_i in range(0,int((self.__vars).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4326:8-50
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4326:35-50
        self.__vars[_0_i] = None # bld/herlev/final/default/src/fusion/Model.mbi:4326:35-50
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4326:35-50
      for _1_i in range(0,int((self.__cons).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4327:8-50
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4327:35-50
        self.__cons[_1_i] = None # bld/herlev/final/default/src/fusion/Model.mbi:4327:35-50
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4327:35-50
      for _2_i in range(0,int((self.__acons).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4328:8-52
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4328:36-52
        self.__acons[_2_i] = None # bld/herlev/final/default/src/fusion/Model.mbi:4328:36-52
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4328:36-52
      for _3_i in range(0,int((self.__barvars).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4329:8-56
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4329:38-56
        self.__barvars[_3_i] = None # bld/herlev/final/default/src/fusion/Model.mbi:4329:38-56
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4329:38-56
      if (self.__parameters is not None): # bld/herlev/final/default/src/fusion/Model.mbi:4330:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4331:10-64
        for _4_i in range(0,int((self.__parameters).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4331:10-64
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4331:43-64
          self.__parameters[_4_i] = None # bld/herlev/final/default/src/fusion/Model.mbi:4331:43-64
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4331:43-64
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4331:10-64
      mosek_fusion_BaseModel._dispose_(self) # bld/herlev/final/default/src/fusion/Model.mbi:4332:8-24
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4325:6-4333:7
    @staticmethod
    def _match_getTask_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getTask_(*args):
      if len(args) != 0: return False
      return True
    def _getTask_alt_(self,):
      return self._getTask_()
    def _getTask_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4304:42-64
      return (self._task_1get_()) # bld/herlev/final/default/src/fusion/Model.mbi:4304:44-62
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4304:42-64
    @staticmethod
    def _match_getConstraintDuals_Z_3I_3DI(*args):
      if len(args) != 4: return False
      _0_lower,_1_nativeidxs,_2_res,_3_offset, = args
      return (    __arg_match_Z__(_0_lower)
              and __arg_match__3I__(_1_nativeidxs)
              and __arg_match__3D__(_2_res)
              and __arg_match_I__(_3_offset))
    @staticmethod
    def _match_alt_getConstraintDuals_Z_3I_3DI(*args):
      if len(args) != 4: return False
      _0_lower,_1_nativeidxs,_2_res,_3_offset, = args
      return (    __arg_alt_match_Z__(_0_lower)
              and __arg_alt_match__3I__(_1_nativeidxs)
              and __arg_alt_match__3D__(_2_res)
              and __arg_alt_match_I__(_3_offset))
    def _getConstraintDuals_alt_Z_3I_3DI(self,_t__0_lower,_t__1_nativeidxs,_t__2_res,_t__3_offset):
      _0_lower=_t__0_lower
      _1_nativeidxs=numpy.array(_t__1_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _2_res=numpy.array(_t__2_res,dtype=numpy.dtype(numpy.float64))
      _3_offset=numpy.int32(_t__3_offset)
      _1 = self._getConstraintDuals_Z_3I_3DI(_0_lower,_1_nativeidxs,_2_res,_3_offset)
      try:
        _t__1_nativeidxs[:] = _1_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_res[:] = _2_res
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _getConstraintDuals_Z_3I_3DI(self,_0_lower,_1_nativeidxs,_2_res,_3_offset):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4278:99-4293:7
      _4_n=int((_1_nativeidxs).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:4279:12-13
      _5_slc=self._getSolution_1slc_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) # bld/herlev/final/default/src/fusion/Model.mbi:4280:12-15
      _6_suc=self._getSolution_1suc_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) # bld/herlev/final/default/src/fusion/Model.mbi:4281:12-15
      for _7_p in range(0,_4_n): # bld/herlev/final/default/src/fusion/Model.mbi:4283:8-4292:9
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4283:27-4292:9
        if (_1_nativeidxs[_7_p] >= 0): # bld/herlev/final/default/src/fusion/Model.mbi:4284:14-32
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4284:34-4289:11
          if _0_lower: # bld/herlev/final/default/src/fusion/Model.mbi:4285:16-21
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4286:14-49
            _2_res[(_3_offset + _7_p)] = _5_slc[_1_nativeidxs[_7_p]] # bld/herlev/final/default/src/fusion/Model.mbi:4286:14-49
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4286:14-49
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4288:14-50
            _2_res[(_3_offset + _7_p)] = (- _6_suc[_1_nativeidxs[_7_p]]) # bld/herlev/final/default/src/fusion/Model.mbi:4288:14-50
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4288:14-50
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4284:34-4289:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4291:12-71
          raise mosek_fusion_SolutionError._ctor_S("Requested invalid solution item") # bld/herlev/final/default/src/fusion/Model.mbi:4291:12-71
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4291:12-71
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4283:27-4292:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4278:99-4293:7
    @staticmethod
    def _match_getConstraintValues_Z_3I_3DI(*args):
      if len(args) != 4: return False
      _0_primal,_1_nativeidxs,_2_res,_3_offset, = args
      return (    __arg_match_Z__(_0_primal)
              and __arg_match__3I__(_1_nativeidxs)
              and __arg_match__3D__(_2_res)
              and __arg_match_I__(_3_offset))
    @staticmethod
    def _match_alt_getConstraintValues_Z_3I_3DI(*args):
      if len(args) != 4: return False
      _0_primal,_1_nativeidxs,_2_res,_3_offset, = args
      return (    __arg_alt_match_Z__(_0_primal)
              and __arg_alt_match__3I__(_1_nativeidxs)
              and __arg_alt_match__3D__(_2_res)
              and __arg_alt_match_I__(_3_offset))
    def _getConstraintValues_alt_Z_3I_3DI(self,_t__0_primal,_t__1_nativeidxs,_t__2_res,_t__3_offset):
      _0_primal=_t__0_primal
      _1_nativeidxs=numpy.array(_t__1_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _2_res=numpy.array(_t__2_res,dtype=numpy.dtype(numpy.float64))
      _3_offset=numpy.int32(_t__3_offset)
      _1 = self._getConstraintValues_Z_3I_3DI(_0_primal,_1_nativeidxs,_2_res,_3_offset)
      try:
        _t__1_nativeidxs[:] = _1_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_res[:] = _2_res
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _getConstraintValues_Z_3I_3DI(self,_0_primal,_1_nativeidxs,_2_res,_3_offset):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4244:101-4275:7
      _4_n=int((_1_nativeidxs).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:4245:12-13
      if _0_primal: # bld/herlev/final/default/src/fusion/Model.mbi:4247:12-18
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4247:20-4260:9
        _5_xc=self._getSolution_1xc_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) # bld/herlev/final/default/src/fusion/Model.mbi:4248:14-16
        _6_accx=self._getSolution_1accx_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) # bld/herlev/final/default/src/fusion/Model.mbi:4249:14-18
        _7_accptr=self._getSolution_1accptr_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) # bld/herlev/final/default/src/fusion/Model.mbi:4250:14-20
        fragments._c_closure_15(_7_accptr,_6_accx,self.__acon_elm_accid,self.__acon_elm_ofs,self.__acon_elm_scale,_4_n,_1_nativeidxs,_3_offset,_2_res,_5_xc) # bld/herlev/final/default/src/fusion/Model.mbi:4252:10-4259:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4247:20-4260:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4261:13-4274:9
        _8_y=self._getSolution_1y_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) # bld/herlev/final/default/src/fusion/Model.mbi:4262:14-15
        _9_accy=self._getSolution_1accy_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) # bld/herlev/final/default/src/fusion/Model.mbi:4263:14-18
        _10_accptr=self._getSolution_1accptr_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) # bld/herlev/final/default/src/fusion/Model.mbi:4264:14-20
        fragments._c_closure_16(_10_accptr,_9_accy,self.__acon_elm_accid,self.__acon_elm_ofs,self.__acon_elm_scale,_4_n,_1_nativeidxs,_3_offset,_2_res,_8_y) # bld/herlev/final/default/src/fusion/Model.mbi:4266:10-4273:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4261:13-4274:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4244:101-4275:7
    @staticmethod
    def _match_getVariableDuals_Z_3J_3DI(*args):
      if len(args) != 4: return False
      _0_lower,_1_nativeidxs,_2_res,_3_offset, = args
      return (    __arg_match_Z__(_0_lower)
              and __arg_match__3J__(_1_nativeidxs)
              and __arg_match__3D__(_2_res)
              and __arg_match_I__(_3_offset))
    @staticmethod
    def _match_alt_getVariableDuals_Z_3J_3DI(*args):
      if len(args) != 4: return False
      _0_lower,_1_nativeidxs,_2_res,_3_offset, = args
      return (    __arg_alt_match_Z__(_0_lower)
              and __arg_alt_match__3J__(_1_nativeidxs)
              and __arg_alt_match__3D__(_2_res)
              and __arg_alt_match_I__(_3_offset))
    def _getVariableDuals_alt_Z_3J_3DI(self,_t__0_lower,_t__1_nativeidxs,_t__2_res,_t__3_offset):
      _0_lower=_t__0_lower
      _1_nativeidxs=numpy.array(_t__1_nativeidxs,dtype=numpy.dtype(numpy.int64))
      _2_res=numpy.array(_t__2_res,dtype=numpy.dtype(numpy.float64))
      _3_offset=numpy.int32(_t__3_offset)
      _1 = self._getVariableDuals_Z_3J_3DI(_0_lower,_1_nativeidxs,_2_res,_3_offset)
      try:
        _t__1_nativeidxs[:] = _1_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_res[:] = _2_res
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _getVariableDuals_Z_3J_3DI(self,_0_lower,_1_nativeidxs,_2_res,_3_offset):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4214:97-4241:7
      _4_n=int((_1_nativeidxs).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:4215:12-13
      if _0_lower: # bld/herlev/final/default/src/fusion/Model.mbi:4217:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4217:19-4228:9
        _5_xx=self._getSolution_1slx_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) # bld/herlev/final/default/src/fusion/Model.mbi:4218:14-16
        fragments._c_closure_17(_4_n,_1_nativeidxs,_3_offset,_2_res,_5_xx) # bld/herlev/final/default/src/fusion/Model.mbi:4220:10-4227:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4217:19-4228:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4229:13-4240:9
        _6_xx=self._getSolution_1sux_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) # bld/herlev/final/default/src/fusion/Model.mbi:4230:14-16
        fragments._c_closure_18(_4_n,_1_nativeidxs,_3_offset,_2_res,_6_xx) # bld/herlev/final/default/src/fusion/Model.mbi:4232:10-4239:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4229:13-4240:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4214:97-4241:7
    @staticmethod
    def _match_getVariableValues_Z_3J_3DI(*args):
      if len(args) != 4: return False
      _0_primal,_1_nativeidxs,_2_res,_3_offset, = args
      return (    __arg_match_Z__(_0_primal)
              and __arg_match__3J__(_1_nativeidxs)
              and __arg_match__3D__(_2_res)
              and __arg_match_I__(_3_offset))
    @staticmethod
    def _match_alt_getVariableValues_Z_3J_3DI(*args):
      if len(args) != 4: return False
      _0_primal,_1_nativeidxs,_2_res,_3_offset, = args
      return (    __arg_alt_match_Z__(_0_primal)
              and __arg_alt_match__3J__(_1_nativeidxs)
              and __arg_alt_match__3D__(_2_res)
              and __arg_alt_match_I__(_3_offset))
    def _getVariableValues_alt_Z_3J_3DI(self,_t__0_primal,_t__1_nativeidxs,_t__2_res,_t__3_offset):
      _0_primal=_t__0_primal
      _1_nativeidxs=numpy.array(_t__1_nativeidxs,dtype=numpy.dtype(numpy.int64))
      _2_res=numpy.array(_t__2_res,dtype=numpy.dtype(numpy.float64))
      _3_offset=numpy.int32(_t__3_offset)
      _1 = self._getVariableValues_Z_3J_3DI(_0_primal,_1_nativeidxs,_2_res,_3_offset)
      try:
        _t__1_nativeidxs[:] = _1_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_res[:] = _2_res
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _getVariableValues_Z_3J_3DI(self,_0_primal,_1_nativeidxs,_2_res,_3_offset):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4173:99-4210:7
      _4_n=int((_1_nativeidxs).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:4174:12-13
      self.__barvar_num = self._task_1numbarvar_() # bld/herlev/final/default/src/fusion/Model.mbi:4175:8-38
      if _0_primal: # bld/herlev/final/default/src/fusion/Model.mbi:4177:12-18
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4177:20-4191:9
        _5_xx=self._getSolution_1xx_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) # bld/herlev/final/default/src/fusion/Model.mbi:4178:14-16
        _6_barx=(self._getSolution_1barx_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) if ((self.__barvar_num > 0) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:4179:14-18
        fragments._c_closure_19(_6_barx,_4_n,_1_nativeidxs,_3_offset,_2_res,_5_xx) # bld/herlev/final/default/src/fusion/Model.mbi:4180:10-4190:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4177:20-4191:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4192:13-4209:9
        _7_yx=self._getSolution_1yx_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) # bld/herlev/final/default/src/fusion/Model.mbi:4193:14-16
        _8_bars=(self._getSolution_1bars_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) if ((self.__barvar_num > 0) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:4194:14-18
        _9_accy=self._getSolution_1accy_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) # bld/herlev/final/default/src/fusion/Model.mbi:4195:14-18
        _10_accptr=self._getSolution_1accptr_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Default) # bld/herlev/final/default/src/fusion/Model.mbi:4196:14-20
        fragments._c_closure_20(_10_accptr,_9_accy,_8_bars,_4_n,_1_nativeidxs,_3_offset,_2_res,self.__var_elm_acc_idx,self.__var_elm_acc_ofs,_7_yx) # bld/herlev/final/default/src/fusion/Model.mbi:4197:10-4208:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4192:13-4209:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4173:99-4210:7
    @staticmethod
    def _match_setVariableValues_Z_3J_3D(*args):
      if len(args) != 3: return False
      _0_primal,_1_nativeidxs,_2_values, = args
      return (    __arg_match_Z__(_0_primal)
              and __arg_match__3J__(_1_nativeidxs)
              and __arg_match__3D__(_2_values))
    @staticmethod
    def _match_alt_setVariableValues_Z_3J_3D(*args):
      if len(args) != 3: return False
      _0_primal,_1_nativeidxs,_2_values, = args
      return (    __arg_alt_match_Z__(_0_primal)
              and __arg_alt_match__3J__(_1_nativeidxs)
              and __arg_alt_match__3D__(_2_values))
    def _setVariableValues_alt_Z_3J_3D(self,_t__0_primal,_t__1_nativeidxs,_t__2_values):
      _0_primal=_t__0_primal
      _1_nativeidxs=numpy.array(_t__1_nativeidxs,dtype=numpy.dtype(numpy.int64))
      _2_values=numpy.array(_t__2_values,dtype=numpy.dtype(numpy.float64))
      _1 = self._setVariableValues_Z_3J_3D(_0_primal,_1_nativeidxs,_2_values)
      try:
        _t__1_nativeidxs[:] = _1_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_values[:] = _2_values
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _setVariableValues_Z_3J_3D(self,_0_primal,_1_nativeidxs,_2_values):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4150:88-4170:7
      if _0_primal: # bld/herlev/final/default/src/fusion/Model.mbi:4151:12-18
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4151:20-4166:9
        _3_numnz=0 # bld/herlev/final/default/src/fusion/Model.mbi:4152:14-19
        _3_numnz = fragments._c_closure_21(_1_nativeidxs,_3_numnz) # bld/herlev/final/default/src/fusion/Model.mbi:4153:10-4154:44
        _3_numnz = numpy.int32(_3_numnz) # postprocess
        _4_subj=numpy.zeros((_3_numnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:4155:14-18
        _5_val=numpy.zeros((_3_numnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:4156:14-17
        _6_k=0 # bld/herlev/final/default/src/fusion/Model.mbi:4158:14-15
        _6_k = fragments._c_closure_22(_6_k,_1_nativeidxs,_4_subj,_5_val,_2_values) # bld/herlev/final/default/src/fusion/Model.mbi:4159:10-4164:13
        _6_k = numpy.int32(_6_k) # postprocess
        self._setSolution_1xx__3I_3D(_4_subj,_5_val) # bld/herlev/final/default/src/fusion/Model.mbi:4165:10-35
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4151:20-4166:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4167:13-4169:9
        pass
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4167:13-4169:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4150:88-4170:7
    @staticmethod
    def _match_flushNames_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_flushNames_(*args):
      if len(args) != 0: return False
      return True
    def _flushNames_alt_(self,):
      return self._flushNames_()
    def _flushNames_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4129:6-4142:7
      for _0_i in range(0,int((self.__vars).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4130:8-4132:33
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4131:10-4132:33
        if (self.__vars[_0_i] is not None): # bld/herlev/final/default/src/fusion/Model.mbi:4131:14-29
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4132:12-33
          self.__vars[_0_i]._flushNames_() # bld/herlev/final/default/src/fusion/Model.mbi:4132:12-33
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4132:12-33
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4131:10-4132:33
      for _1_i in range(0,int((self.__barvars).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4133:8-4135:36
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4134:10-4135:36
        if (self.__barvars[_1_i] is not None): # bld/herlev/final/default/src/fusion/Model.mbi:4134:14-32
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4135:12-36
          self.__barvars[_1_i]._flushNames_() # bld/herlev/final/default/src/fusion/Model.mbi:4135:12-36
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4135:12-36
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4134:10-4135:36
      for _2_i in range(0,int((self.__cons).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4136:8-4138:33
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4137:10-4138:33
        if (self.__cons[_2_i] is not None): # bld/herlev/final/default/src/fusion/Model.mbi:4137:14-29
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4138:12-33
          self.__cons[_2_i]._flushNames_() # bld/herlev/final/default/src/fusion/Model.mbi:4138:12-33
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4138:12-33
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4137:10-4138:33
      for _3_i in range(0,int((self.__acons).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:4139:8-4141:34
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4140:10-4141:34
        if (self.__acons[_3_i] is not None): # bld/herlev/final/default/src/fusion/Model.mbi:4140:14-30
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4141:12-34
          self.__acons[_3_i]._flushNames_() # bld/herlev/final/default/src/fusion/Model.mbi:4141:12-34
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4141:12-34
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4140:10-4141:34
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4129:6-4142:7
    @staticmethod
    def _match_writeTaskNoFlush_S(*args):
      if len(args) != 1: return False
      _0_filename, = args
      return (    __arg_match_S__(_0_filename))
    @staticmethod
    def _match_alt_writeTaskNoFlush_S(*args):
      if len(args) != 1: return False
      _0_filename, = args
      return (    __arg_alt_match_S__(_0_filename))
    def _writeTaskNoFlush_alt_S(self,_t__0_filename):
      return self._writeTaskNoFlush_S(_0_filename)
    def _writeTaskNoFlush_S(self,_0_filename):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4120:6-4123:7
      self._flushNames_() # bld/herlev/final/default/src/fusion/Model.mbi:4121:8-21
      self._task_1write_S(_0_filename) # bld/herlev/final/default/src/fusion/Model.mbi:4122:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4120:6-4123:7
    @staticmethod
    def _match_writeTaskStream_SLSystem_4DataStream_2(*args):
      if len(args) != 2: return False
      _0_ext,_1_stream, = args
      return (    __arg_match_S__(_0_ext)
              and __arg_match_LSystem_4DataStream_2__(_1_stream))
    @staticmethod
    def _match_alt_writeTaskStream_SLSystem_4DataStream_2(*args):
      if len(args) != 2: return False
      _0_ext,_1_stream, = args
      return (    __arg_alt_match_S__(_0_ext)
              and __arg_alt_match_LSystem_4DataStream_2__(_1_stream))
    def _writeTaskStream_alt_SLSystem_4DataStream_2(self,_t__0_ext,_t__1_stream):
      return self._writeTaskStream_SLSystem_4DataStream_2(_0_ext,_1_stream)
    def _writeTaskStream_SLSystem_4DataStream_2(self,_0_ext,_1_stream):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4112:6-4116:7
      self._flushNames_() # bld/herlev/final/default/src/fusion/Model.mbi:4113:8-21
      self.__flush_1parameters_() # bld/herlev/final/default/src/fusion/Model.mbi:4114:8-27
      self._task_1write_1stream_SLSystem_4DataStream_2(_0_ext,_1_stream) # bld/herlev/final/default/src/fusion/Model.mbi:4115:8-39
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4112:6-4116:7
    @staticmethod
    def _match_dataReport_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_dataReport_(*args):
      if len(args) != 0: return False
      return True
    def _dataReport_alt_(self,):
      return self._dataReport_()
    def _dataReport_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4082:39-58
      self._dataReport_I(10) # bld/herlev/final/default/src/fusion/Model.mbi:4082:41-56
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4082:39-58
    @staticmethod
    def _match_dataReport_I(*args):
      if len(args) != 1: return False
      _0_detail, = args
      return (    __arg_match_I__(_0_detail))
    @staticmethod
    def _match_alt_dataReport_I(*args):
      if len(args) != 1: return False
      _0_detail, = args
      return (    __arg_alt_match_I__(_0_detail))
    def _dataReport_alt_I(self,_t__0_detail):
      return self._dataReport_I(numpy.int32(__0_detail))
    def _dataReport_I(self,_0_detail):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4078:6-4081:7
      self.__flush_1parameters_() # bld/herlev/final/default/src/fusion/Model.mbi:4079:8-27
      self._task_1analyze_1problem_I(_0_detail) # bld/herlev/final/default/src/fusion/Model.mbi:4080:8-37
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4078:6-4081:7
    @staticmethod
    def _match_writeTask_S(*args):
      if len(args) != 1: return False
      _0_filename, = args
      return (    __arg_match_S__(_0_filename))
    @staticmethod
    def _match_alt_writeTask_S(*args):
      if len(args) != 1: return False
      _0_filename, = args
      return (    __arg_alt_match_S__(_0_filename))
    def _writeTask_alt_S(self,_t__0_filename):
      return self._writeTask_S(_0_filename)
    def _writeTask_S(self,_0_filename):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4071:6-4075:7
      self._flushNames_() # bld/herlev/final/default/src/fusion/Model.mbi:4072:8-21
      self.__flush_1parameters_() # bld/herlev/final/default/src/fusion/Model.mbi:4073:8-27
      self._task_1write_S(_0_filename) # bld/herlev/final/default/src/fusion/Model.mbi:4074:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4071:6-4075:7
    @staticmethod
    def _match_getSolverLIntInfo_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_match_S__(_0_name))
    @staticmethod
    def _match_alt_getSolverLIntInfo_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_alt_match_S__(_0_name))
    def _getSolverLIntInfo_alt_S(self,_t__0_name):
      return self._getSolverLIntInfo_S(_0_name)
    def _getSolverLIntInfo_S(self,_0_name):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4062:61-93
      return numpy.int64(self._task_1get_1liinf_S(_0_name)) # bld/herlev/final/default/src/fusion/Model.mbi:4062:63-91
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4062:61-93
    @staticmethod
    def _match_getSolverIntInfo_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_match_S__(_0_name))
    @staticmethod
    def _match_alt_getSolverIntInfo_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_alt_match_S__(_0_name))
    def _getSolverIntInfo_alt_S(self,_t__0_name):
      return self._getSolverIntInfo_S(_0_name)
    def _getSolverIntInfo_S(self,_0_name):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4052:61-92
      return numpy.int32(self._task_1get_1iinf_S(_0_name)) # bld/herlev/final/default/src/fusion/Model.mbi:4052:63-90
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4052:61-92
    @staticmethod
    def _match_getSolverDoubleInfo_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_match_S__(_0_name))
    @staticmethod
    def _match_alt_getSolverDoubleInfo_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_alt_match_S__(_0_name))
    def _getSolverDoubleInfo_alt_S(self,_t__0_name):
      return self._getSolverDoubleInfo_S(_0_name)
    def _getSolverDoubleInfo_S(self,_0_name):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4042:61-92
      return numpy.float64(self._task_1get_1dinf_S(_0_name)) # bld/herlev/final/default/src/fusion/Model.mbi:4042:63-90
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4042:61-92
    @staticmethod
    def _match_setCallbackHandler_LSystem_4CallbackHandler_2(*args):
      if len(args) != 1: return False
      _0_h, = args
      return (    __arg_match_LSystem_4CallbackHandler_2__(_0_h))
    @staticmethod
    def _match_alt_setCallbackHandler_LSystem_4CallbackHandler_2(*args):
      if len(args) != 1: return False
      _0_h, = args
      return (    __arg_alt_match_LSystem_4CallbackHandler_2__(_0_h))
    def _setCallbackHandler_alt_LSystem_4CallbackHandler_2(self,_t__0_h):
      return self._setCallbackHandler_LSystem_4CallbackHandler_2(_0_h)
    def _setCallbackHandler_LSystem_4CallbackHandler_2(self,_0_h):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4032:79-110
      self._task_1setCallbackHandler_LSystem_4CallbackHandler_2(_0_h) # bld/herlev/final/default/src/fusion/Model.mbi:4032:81-108
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4032:79-110
    @staticmethod
    def _match_setDataCallbackHandler_LSystem_4DataCallbackHandler_2(*args):
      if len(args) != 1: return False
      _0_h, = args
      return (    __arg_match_LSystem_4DataCallbackHandler_2__(_0_h))
    @staticmethod
    def _match_alt_setDataCallbackHandler_LSystem_4DataCallbackHandler_2(*args):
      if len(args) != 1: return False
      _0_h, = args
      return (    __arg_alt_match_LSystem_4DataCallbackHandler_2__(_0_h))
    def _setDataCallbackHandler_alt_LSystem_4DataCallbackHandler_2(self,_t__0_h):
      return self._setDataCallbackHandler_LSystem_4DataCallbackHandler_2(_0_h)
    def _setDataCallbackHandler_LSystem_4DataCallbackHandler_2(self,_0_h):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4011:79-114
      self._task_1setDataCallbackHandler_LSystem_4DataCallbackHandler_2(_0_h) # bld/herlev/final/default/src/fusion/Model.mbi:4011:81-112
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4011:79-114
    @staticmethod
    def _match_setLogHandler_LSystem_4StreamWriter_2(*args):
      if len(args) != 1: return False
      _0_h, = args
      return (    __arg_match_LSystem_4StreamWriter_2__(_0_h))
    @staticmethod
    def _match_alt_setLogHandler_LSystem_4StreamWriter_2(*args):
      if len(args) != 1: return False
      _0_h, = args
      return (    __arg_alt_match_LSystem_4StreamWriter_2__(_0_h))
    def _setLogHandler_alt_LSystem_4StreamWriter_2(self,_t__0_h):
      return self._setLogHandler_LSystem_4StreamWriter_2(_0_h)
    def _setLogHandler_LSystem_4StreamWriter_2(self,_0_h):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3989:63-89
      self._task_1setLogHandler_LSystem_4StreamWriter_2(_0_h) # bld/herlev/final/default/src/fusion/Model.mbi:3989:65-87
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3989:63-89
    @staticmethod
    def _match_setSolverParam_SD(*args):
      if len(args) != 2: return False
      _0_name,_1_floatval, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_D__(_1_floatval))
    @staticmethod
    def _match_alt_setSolverParam_SD(*args):
      if len(args) != 2: return False
      _0_name,_1_floatval, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_D__(_1_floatval))
    def _setSolverParam_alt_SD(self,_t__0_name,_t__1_floatval):
      return self._setSolverParam_SD(_0_name,numpy.float64(__1_floatval))
    def _setSolverParam_SD(self,_0_name,_1_floatval):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3949:71-132
      mosek.fusion.Parameters._setParameter_Lmosek_4fusion_4Model_2SD(self,_0_name,_1_floatval) # bld/herlev/final/default/src/fusion/Model.mbi:3949:73-130
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3949:71-132
    @staticmethod
    def _match_setSolverParam_SI(*args):
      if len(args) != 2: return False
      _0_name,_1_intval, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_I__(_1_intval))
    @staticmethod
    def _match_alt_setSolverParam_SI(*args):
      if len(args) != 2: return False
      _0_name,_1_intval, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_I__(_1_intval))
    def _setSolverParam_alt_SI(self,_t__0_name,_t__1_intval):
      return self._setSolverParam_SI(_0_name,numpy.int32(__1_intval))
    def _setSolverParam_SI(self,_0_name,_1_intval):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3937:69-128
      mosek.fusion.Parameters._setParameter_Lmosek_4fusion_4Model_2SI(self,_0_name,_1_intval) # bld/herlev/final/default/src/fusion/Model.mbi:3937:71-126
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3937:69-128
    @staticmethod
    def _match_setSolverParam_SS(*args):
      if len(args) != 2: return False
      _0_name,_1_strval, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_S__(_1_strval))
    @staticmethod
    def _match_alt_setSolverParam_SS(*args):
      if len(args) != 2: return False
      _0_name,_1_strval, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_S__(_1_strval))
    def _setSolverParam_alt_SS(self,_t__0_name,_t__1_strval):
      return self._setSolverParam_SS(_0_name,_1_strval)
    def _setSolverParam_SS(self,_0_name,_1_strval):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3925:69-128
      mosek.fusion.Parameters._setParameter_Lmosek_4fusion_4Model_2SS(self,_0_name,_1_strval) # bld/herlev/final/default/src/fusion/Model.mbi:3925:71-126
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3925:69-128
    @staticmethod
    def _match_breakSolver_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_breakSolver_(*args):
      if len(args) != 0: return False
      return True
    def _breakSolver_alt_(self,):
      return self._breakSolver_()
    def _breakSolver_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3910:6-3912:7
      self._task_1break_1solve_() # bld/herlev/final/default/src/fusion/Model.mbi:3911:8-27
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3910:6-3912:7
    @staticmethod
    def _match_optserverHost_S(*args):
      if len(args) != 1: return False
      _0_addr, = args
      return (    __arg_match_S__(_0_addr))
    @staticmethod
    def _match_alt_optserverHost_S(*args):
      if len(args) != 1: return False
      _0_addr, = args
      return (    __arg_alt_match_S__(_0_addr))
    def _optserverHost_alt_S(self,_t__0_addr):
      return self._optserverHost_S(_0_addr)
    def _optserverHost_S(self,_0_addr):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3896:6-3898:7
      self._task_1putoptserver_1host_S(_0_addr) # bld/herlev/final/default/src/fusion/Model.mbi:3897:8-37
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3896:6-3898:7
    def _report_1solution_alt_Emosek_4fusion_4SolutionType_2Emosek_4fusion_4ProblemStatus_2Emosek_4fusion_4SolutionStatus_2Emosek_4fusion_4SolutionStatus_2DDIIIIIZZ(self,_t__0_soltype,_t__1_prosta,_t__2_psolsta,_t__3_dsolsta,_t__4_pobj,_t__5_dobj,_t__6_numvar,_t__7_numcon,_t__8_numbarelm,_t__9_numacc,_t__10_numaccelm,_t__11_hasprimal,_t__12_hasdual):
      return self._report_1solution_Emosek_4fusion_4SolutionType_2Emosek_4fusion_4ProblemStatus_2Emosek_4fusion_4SolutionStatus_2Emosek_4fusion_4SolutionStatus_2DDIIIIIZZ(__0_soltype,__1_prosta,__2_psolsta,__3_dsolsta,numpy.float64(__4_pobj),numpy.float64(__5_dobj),numpy.int32(__6_numvar),numpy.int32(__7_numcon),numpy.int32(__8_numbarelm),numpy.int32(__9_numacc),numpy.int32(__10_numaccelm),_11_hasprimal,_12_hasdual)
    def _report_1solution_Emosek_4fusion_4SolutionType_2Emosek_4fusion_4ProblemStatus_2Emosek_4fusion_4SolutionStatus_2Emosek_4fusion_4SolutionStatus_2DDIIIIIZZ(self,_0_soltype,_1_prosta,_2_psolsta,_3_dsolsta,_4_pobj,_5_dobj,_6_numvar,_7_numcon,_8_numbarelm,_9_numacc,_10_numaccelm,_11_hasprimal,_12_hasdual):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3828:55-3890:7
      # var _13_sol @ bld/herlev/final/default/src/fusion/Model.mbi:3829:12-30
      if (_0_soltype==mosek.fusion.SolutionType.Interior): # bld/herlev/final/default/src/fusion/Model.mbi:3830:16-48
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3830:50-64
        _13_sol = self.__sol_itr # bld/herlev/final/default/src/fusion/Model.mbi:3830:50-64
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3830:50-64
      elif (_0_soltype==mosek.fusion.SolutionType.Basic): # bld/herlev/final/default/src/fusion/Model.mbi:3831:16-45
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3831:50-64
        _13_sol = self.__sol_bas # bld/herlev/final/default/src/fusion/Model.mbi:3831:50-64
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3831:50-64
      elif (_0_soltype==mosek.fusion.SolutionType.Integer): # bld/herlev/final/default/src/fusion/Model.mbi:3832:16-47
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3832:50-64
        _13_sol = self.__sol_itg # bld/herlev/final/default/src/fusion/Model.mbi:3832:50-64
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3832:50-64
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3833:13-24
        _13_sol = None # bld/herlev/final/default/src/fusion/Model.mbi:3833:13-24
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3833:13-24
      if (_13_sol is None): # bld/herlev/final/default/src/fusion/Model.mbi:3835:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3836:10-77
        _13_sol = mosek_fusion_SolutionStruct._ctor_IIIII(_6_numvar,_7_numcon,_8_numbarelm,_9_numacc,_10_numaccelm) # bld/herlev/final/default/src/fusion/Model.mbi:3836:10-77
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3836:10-77
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3838:10-63
        _13_sol._resize_IIIII(_6_numvar,_7_numcon,_8_numbarelm,_9_numacc,_10_numaccelm) # bld/herlev/final/default/src/fusion/Model.mbi:3838:10-63
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3838:10-63
      (_13_sol.pobj) = _4_pobj # bld/herlev/final/default/src/fusion/Model.mbi:3840:8-30
      (_13_sol.dobj) = _5_dobj # bld/herlev/final/default/src/fusion/Model.mbi:3841:8-30
      (_13_sol.pstatus) = _2_psolsta # bld/herlev/final/default/src/fusion/Model.mbi:3842:8-33
      (_13_sol.dstatus) = _3_dsolsta # bld/herlev/final/default/src/fusion/Model.mbi:3843:8-33
      (_13_sol.probstatus) = _1_prosta # bld/herlev/final/default/src/fusion/Model.mbi:3844:8-32
      if (_6_numvar > 0): # bld/herlev/final/default/src/fusion/Model.mbi:3846:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3846:24-3859:9
        if _11_hasprimal: # bld/herlev/final/default/src/fusion/Model.mbi:3847:14-23
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3847:25-56
          self._report_1solution_1get_1xx__3D((_13_sol.xx)) # bld/herlev/final/default/src/fusion/Model.mbi:3847:25-56
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3847:25-56
        if _12_hasdual: # bld/herlev/final/default/src/fusion/Model.mbi:3848:14-21
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3848:25-3858:11
          self._report_1solution_1get_1slx__3D((_13_sol.slx)) # bld/herlev/final/default/src/fusion/Model.mbi:3849:12-45
          self._report_1solution_1get_1sux__3D((_13_sol.sux)) # bld/herlev/final/default/src/fusion/Model.mbi:3850:12-45
          _14_yx=(_13_sol.yx) # bld/herlev/final/default/src/fusion/Model.mbi:3852:16-18
          _15_slx=(_13_sol.slx) # bld/herlev/final/default/src/fusion/Model.mbi:3853:16-19
          _16_sux=(_13_sol.sux) # bld/herlev/final/default/src/fusion/Model.mbi:3854:16-19
          fragments._c_closure_23(_6_numvar,_15_slx,_16_sux,_14_yx) # bld/herlev/final/default/src/fusion/Model.mbi:3856:12-3857:36
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3848:25-3858:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3846:24-3859:9
      if (_7_numcon > 0): # bld/herlev/final/default/src/fusion/Model.mbi:3861:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3861:24-3873:9
        if _11_hasprimal: # bld/herlev/final/default/src/fusion/Model.mbi:3862:14-23
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3862:25-56
          self._report_1solution_1get_1xc__3D((_13_sol.xc)) # bld/herlev/final/default/src/fusion/Model.mbi:3862:25-56
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3862:25-56
        if _12_hasdual: # bld/herlev/final/default/src/fusion/Model.mbi:3863:14-21
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3863:23-3872:11
          self._report_1solution_1get_1slc__3D((_13_sol.slc)) # bld/herlev/final/default/src/fusion/Model.mbi:3864:12-45
          self._report_1solution_1get_1suc__3D((_13_sol.suc)) # bld/herlev/final/default/src/fusion/Model.mbi:3865:12-45
          _17_y=(_13_sol.y) # bld/herlev/final/default/src/fusion/Model.mbi:3866:16-17
          _18_slc=(_13_sol.slc) # bld/herlev/final/default/src/fusion/Model.mbi:3867:16-19
          _19_suc=(_13_sol.suc) # bld/herlev/final/default/src/fusion/Model.mbi:3868:16-19
          fragments._c_closure_24(_7_numcon,_18_slc,_19_suc,_17_y) # bld/herlev/final/default/src/fusion/Model.mbi:3870:12-3871:35
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3863:23-3872:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3861:24-3873:9
      if (_8_numbarelm > 0): # bld/herlev/final/default/src/fusion/Model.mbi:3875:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3875:27-3878:9
        if _11_hasprimal: # bld/herlev/final/default/src/fusion/Model.mbi:3876:14-23
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3876:25-60
          self._report_1solution_1get_1barx__3D((_13_sol.barx)) # bld/herlev/final/default/src/fusion/Model.mbi:3876:25-60
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3876:25-60
        if _12_hasdual: # bld/herlev/final/default/src/fusion/Model.mbi:3877:14-21
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3877:25-60
          self._report_1solution_1get_1bars__3D((_13_sol.bars)) # bld/herlev/final/default/src/fusion/Model.mbi:3877:25-60
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3877:25-60
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3875:27-3878:9
      if (self._task_1numacc_() > 0): # bld/herlev/final/default/src/fusion/Model.mbi:3880:12-29
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3880:31-3884:9
        self._report_1solution_1get_1accptr__3I((_13_sol.accptr)) # bld/herlev/final/default/src/fusion/Model.mbi:3881:10-49
        if _11_hasprimal: # bld/herlev/final/default/src/fusion/Model.mbi:3882:14-23
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3882:25-60
          self._report_1solution_1get_1accx__3D((_13_sol.accx)) # bld/herlev/final/default/src/fusion/Model.mbi:3882:25-60
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3882:25-60
        if _12_hasdual: # bld/herlev/final/default/src/fusion/Model.mbi:3883:14-21
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3883:25-60
          self._report_1solution_1get_1accy__3D((_13_sol.accy)) # bld/herlev/final/default/src/fusion/Model.mbi:3883:25-60
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3883:25-60
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3880:31-3884:9
      if (_0_soltype==mosek.fusion.SolutionType.Interior): # bld/herlev/final/default/src/fusion/Model.mbi:3887:16-48
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3887:50-64
        self.__sol_itr = _13_sol # bld/herlev/final/default/src/fusion/Model.mbi:3887:50-64
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3887:50-64
      elif (_0_soltype==mosek.fusion.SolutionType.Basic): # bld/herlev/final/default/src/fusion/Model.mbi:3888:16-45
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3888:50-64
        self.__sol_bas = _13_sol # bld/herlev/final/default/src/fusion/Model.mbi:3888:50-64
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3888:50-64
      elif (_0_soltype==mosek.fusion.SolutionType.Integer): # bld/herlev/final/default/src/fusion/Model.mbi:3889:16-47
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3889:50-64
        self.__sol_itg = _13_sol # bld/herlev/final/default/src/fusion/Model.mbi:3889:50-64
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3889:50-64
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3828:55-3890:7
    def _clear_1solutions_alt_(self,):
      return self._clear_1solutions_()
    def _clear_1solutions_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3808:41-3812:7
      self.__sol_itr = None # bld/herlev/final/default/src/fusion/Model.mbi:3809:8-23
      self.__sol_itg = None # bld/herlev/final/default/src/fusion/Model.mbi:3810:8-23
      self.__sol_bas = None # bld/herlev/final/default/src/fusion/Model.mbi:3811:8-23
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3808:41-3812:7
    @staticmethod
    def _match_solveBatch_ZDI_3Lmosek_4fusion_4Model_2(*args):
      if len(args) != 4: return False
      _0_israce,_1_maxtime,_2_numthreads,_3_models, = args
      return (    __arg_match_Z__(_0_israce)
              and __arg_match_D__(_1_maxtime)
              and __arg_match_I__(_2_numthreads)
              and __arg_match__3Lmosek_4fusion_4Model_2__(_3_models))
    @staticmethod
    def _match_alt_solveBatch_ZDI_3Lmosek_4fusion_4Model_2(*args):
      if len(args) != 4: return False
      _0_israce,_1_maxtime,_2_numthreads,_3_models, = args
      return (    __arg_alt_match_Z__(_0_israce)
              and __arg_alt_match_D__(_1_maxtime)
              and __arg_alt_match_I__(_2_numthreads)
              and __arg_alt_match__3Lmosek_4fusion_4Model_2__(_3_models))
    @staticmethod
    def _solveBatch_alt_ZDI_3Lmosek_4fusion_4Model_2(_t__0_israce,_t__1_maxtime,_t__2_numthreads,_t__3_models):
      _0_israce=_t__0_israce
      _1_maxtime=numpy.float64(_t__1_maxtime)
      _2_numthreads=numpy.int32(_t__2_numthreads)
      _3_models=numpy.array(_t__3_models,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Model._solveBatch_ZDI_3Lmosek_4fusion_4Model_2(_0_israce,_1_maxtime,_2_numthreads,_3_models)
      try:
        _t__3_models[:] = _3_models
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _solveBatch_ZDI_3Lmosek_4fusion_4Model_2(_0_israce,_1_maxtime,_2_numthreads,_3_models):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3785:6-3806:7
      _4_n=int((_3_models).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:3786:12-13
      for _5_i in range(0,_4_n): # bld/herlev/final/default/src/fusion/Model.mbi:3788:8-3792:9
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3788:27-3792:9
        if (_3_models[_5_i] is None): # bld/herlev/final/default/src/fusion/Model.mbi:3789:14-29
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3789:31-3791:11
          raise mosek_fusion_OptimizeError._ctor_S("One of the models is a null object") # bld/herlev/final/default/src/fusion/Model.mbi:3790:12-74
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3789:31-3791:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3788:27-3792:9
      for _6_i in range(0,_4_n): # bld/herlev/final/default/src/fusion/Model.mbi:3794:8-3797:9
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3794:27-3797:9
        _3_models[_6_i]._flushSolutions_() # bld/herlev/final/default/src/fusion/Model.mbi:3795:10-37
        _3_models[_6_i].__flush_1parameters_() # bld/herlev/final/default/src/fusion/Model.mbi:3796:10-39
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3794:27-3797:9
      _7_wasOK=mosek.fusion.BaseModel._env_1solve_1batch_ZDI_3Lmosek_4fusion_4Model_2(_0_israce,_1_maxtime,_2_numthreads,_3_models) # bld/herlev/final/default/src/fusion/Model.mbi:3799:12-17
      for _8_i in range(0,_4_n): # bld/herlev/final/default/src/fusion/Model.mbi:3801:8-3803:9
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3801:27-3803:9
        _3_models[_8_i]._task_1post_1solve_() # bld/herlev/final/default/src/fusion/Model.mbi:3802:10-38
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3801:27-3803:9
      return (_7_wasOK) # bld/herlev/final/default/src/fusion/Model.mbi:3805:8-21
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3785:6-3806:7
    @staticmethod
    def _match_solve_SS(*args):
      if len(args) != 2: return False
      _0_addr,_1_accesstoken, = args
      return (    __arg_match_S__(_0_addr)
              and __arg_match_S__(_1_accesstoken))
    @staticmethod
    def _match_alt_solve_SS(*args):
      if len(args) != 2: return False
      _0_addr,_1_accesstoken, = args
      return (    __arg_alt_match_S__(_0_addr)
              and __arg_alt_match_S__(_1_accesstoken))
    def _solve_alt_SS(self,_t__0_addr,_t__1_accesstoken):
      return self._solve_SS(_0_addr,_1_accesstoken)
    def _solve_SS(self,_0_addr,_1_accesstoken):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3776:6-3781:7
      self._flushSolutions_() # bld/herlev/final/default/src/fusion/Model.mbi:3777:8-25
      self.__flush_1parameters_() # bld/herlev/final/default/src/fusion/Model.mbi:3778:8-27
      self._task_1solve_ZSS(True,_0_addr,_1_accesstoken) # bld/herlev/final/default/src/fusion/Model.mbi:3779:8-44
      self._task_1post_1solve_() # bld/herlev/final/default/src/fusion/Model.mbi:3780:8-26
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3776:6-3781:7
    @staticmethod
    def _match_solve_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_solve_(*args):
      if len(args) != 0: return False
      return True
    def _solve_alt_(self,):
      return self._solve_()
    def _solve_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3767:6-3772:7
      self._flushSolutions_() # bld/herlev/final/default/src/fusion/Model.mbi:3768:8-25
      self.__flush_1parameters_() # bld/herlev/final/default/src/fusion/Model.mbi:3769:8-27
      self._task_1solve_ZSS(False,"","") # bld/herlev/final/default/src/fusion/Model.mbi:3770:8-34
      self._task_1post_1solve_() # bld/herlev/final/default/src/fusion/Model.mbi:3771:8-26
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3767:6-3772:7
    def __flush_1parameters_alt_(self,):
      return self.__flush_1parameters_()
    def __flush_1parameters_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3686:40-3733:7
      _0_num_con_param_nz=self.__con_blocks._num_1parameterized_() # bld/herlev/final/default/src/fusion/Model.mbi:3691:12-28
      _1_num_afe_param_nz=self.__afe_blocks._num_1parameterized_() # bld/herlev/final/default/src/fusion/Model.mbi:3692:12-28
      _2_num_obj_param_nz=self.__obj_blocks._num_1parameterized_() # bld/herlev/final/default/src/fusion/Model.mbi:3693:12-28
      if (_0_num_con_param_nz > 0): # bld/herlev/final/default/src/fusion/Model.mbi:3694:12-32
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3694:34-3708:9
        _3_subi=numpy.zeros((_0_num_con_param_nz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:3695:14-18
        _4_subj=numpy.zeros((_0_num_con_param_nz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:3696:14-18
        _5_val=numpy.zeros((_0_num_con_param_nz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:3697:14-17
        self.__con_blocks._evaluate_Lmosek_4fusion_4WorkStack_2_3D_3I_3I_3D(self.__xs,self.__param_value,_3_subi,_4_subj,_5_val) # bld/herlev/final/default/src/fusion/Model.mbi:3699:10-60
        self._task_1putaijlist__3I_3I_3DJ(_3_subi,_4_subj,_5_val,_0_num_con_param_nz) # bld/herlev/final/default/src/fusion/Model.mbi:3707:10-58
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3694:34-3708:9
      if (_1_num_afe_param_nz > 0): # bld/herlev/final/default/src/fusion/Model.mbi:3710:12-32
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3710:34-3723:9
        _6_subi=numpy.zeros((_1_num_afe_param_nz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:3711:14-18
        _7_subj=numpy.zeros((_1_num_afe_param_nz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:3712:14-18
        _8_val=numpy.zeros((_1_num_afe_param_nz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:3713:14-17
        self.__afe_blocks._evaluate_Lmosek_4fusion_4WorkStack_2_3D_3I_3I_3D(self.__xs,self.__param_value,_6_subi,_7_subj,_8_val) # bld/herlev/final/default/src/fusion/Model.mbi:3715:10-60
        self._task_1putafefijlist__3I_3I_3D(_6_subi,_7_subj,_8_val) # bld/herlev/final/default/src/fusion/Model.mbi:3722:10-44
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3710:34-3723:9
      if (_2_num_obj_param_nz > 0): # bld/herlev/final/default/src/fusion/Model.mbi:3725:12-32
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3725:34-3732:9
        _9_subi=numpy.zeros((_2_num_obj_param_nz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:3726:14-18
        _10_subj=numpy.zeros((_2_num_obj_param_nz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:3727:14-18
        _11_val=numpy.zeros((_2_num_obj_param_nz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:3728:14-17
        self.__obj_blocks._evaluate_Lmosek_4fusion_4WorkStack_2_3D_3I_3I_3D(self.__xs,self.__param_value,_9_subi,_10_subj,_11_val) # bld/herlev/final/default/src/fusion/Model.mbi:3730:10-60
        self._task_1putclist__3I_3D(_10_subj,_11_val) # bld/herlev/final/default/src/fusion/Model.mbi:3731:10-34
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3725:34-3732:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3686:40-3733:7
    @staticmethod
    def _match_flushParameters_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_flushParameters_(*args):
      if len(args) != 0: return False
      return True
    def _flushParameters_alt_(self,):
      return self._flushParameters_()
    def _flushParameters_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3684:38-61
      self.__flush_1parameters_() # bld/herlev/final/default/src/fusion/Model.mbi:3684:40-59
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3684:38-61
    def __evaluate_1parameterized_alt_Lmosek_4fusion_4WorkStack_2I_3I_3I_3J_3I_3I_3I_3D_3I_3D(self,_t__0_xs,_t__1_numrow,_t__2_rowptrb,_t__3_rowptre,_t__4_codenidx,_t__5_codeptr,_t__6_codesizes,_t__7_code,_t__8_cconst,_t__9_subj,_t__10_val):
      _0_xs=_t__0_xs
      _1_numrow=numpy.int32(_t__1_numrow)
      _2_rowptrb=numpy.array(_t__2_rowptrb,dtype=numpy.dtype(numpy.int32))
      _3_rowptre=numpy.array(_t__3_rowptre,dtype=numpy.dtype(numpy.int32))
      _4_codenidx=numpy.array(_t__4_codenidx,dtype=numpy.dtype(numpy.int64))
      _5_codeptr=numpy.array(_t__5_codeptr,dtype=numpy.dtype(numpy.int32))
      _6_codesizes=numpy.array(_t__6_codesizes,dtype=numpy.dtype(numpy.int32))
      _7_code=numpy.array(_t__7_code,dtype=numpy.dtype(numpy.int32))
      _8_cconst=numpy.array(_t__8_cconst,dtype=numpy.dtype(numpy.float64))
      _9_subj=numpy.array(_t__9_subj,dtype=numpy.dtype(numpy.int32))
      _10_val=numpy.array(_t__10_val,dtype=numpy.dtype(numpy.float64))
      _1 = self.__evaluate_1parameterized_Lmosek_4fusion_4WorkStack_2I_3I_3I_3J_3I_3I_3I_3D_3I_3D(_0_xs,_1_numrow,_2_rowptrb,_3_rowptre,_4_codenidx,_5_codeptr,_6_codesizes,_7_code,_8_cconst,_9_subj,_10_val)
      try:
        _t__2_rowptrb[:] = _2_rowptrb
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_rowptre[:] = _3_rowptre
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_codenidx[:] = _4_codenidx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__5_codeptr[:] = _5_codeptr
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__6_codesizes[:] = _6_codesizes
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__7_code[:] = _7_code
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__8_cconst[:] = _8_cconst
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__9_subj[:] = _9_subj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__10_val[:] = _10_val
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __evaluate_1parameterized_Lmosek_4fusion_4WorkStack_2I_3I_3I_3J_3I_3I_3I_3D_3I_3D(self,_0_xs,_1_numrow,_2_rowptrb,_3_rowptre,_4_codenidx,_5_codeptr,_6_codesizes,_7_code,_8_cconst,_9_subj,_10_val):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3626:29-3678:7
      _11_stack=_0_xs._allocf64_I(int((_7_code).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:3627:12-17
      _12_stackp=0 # bld/herlev/final/default/src/fusion/Model.mbi:3628:12-18
      _13_xf64=(_0_xs.f64) # bld/herlev/final/default/src/fusion/Model.mbi:3629:12-16
      _14_idx=0 # bld/herlev/final/default/src/fusion/Model.mbi:3630:12-15
      _14_idx,_12_stackp = fragments._c_closure_25(_8_cconst,_7_code,_4_codenidx,_5_codeptr,_6_codesizes,_14_idx,_1_numrow,self.__param_value,_2_rowptrb,_3_rowptre,_11_stack,_12_stackp,_9_subj,_10_val,_13_xf64) # bld/herlev/final/default/src/fusion/Model.mbi:3632:8-3676:9
      _14_idx = numpy.int32(_14_idx) # postprocess
      _12_stackp = numpy.int32(_12_stackp) # postprocess
      _0_xs._popf64_I(int((_7_code).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:3677:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3626:29-3678:7
    @staticmethod
    def _match_flushSolutions_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_flushSolutions_(*args):
      if len(args) != 0: return False
      return True
    def _flushSolutions_alt_(self,):
      return self._flushSolutions_()
    def _flushSolutions_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3609:6-3613:7
      self.__flush_1initsol_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Interior) # bld/herlev/final/default/src/fusion/Model.mbi:3610:8-45
      self.__flush_1initsol_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Integer) # bld/herlev/final/default/src/fusion/Model.mbi:3611:8-44
      self.__flush_1initsol_Emosek_4fusion_4SolutionType_2(mosek.fusion.SolutionType.Basic) # bld/herlev/final/default/src/fusion/Model.mbi:3612:8-42
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3609:6-3613:7
    def __flush_1initsol_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self.__flush_1initsol_Emosek_4fusion_4SolutionType_2(__0_which)
    def __flush_1initsol_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3583:6-3604:7
      if (self.__initsol_xx is not None): # bld/herlev/final/default/src/fusion/Model.mbi:3584:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3584:32-3603:9
        _1_numvar=self._task_1numvar_() # bld/herlev/final/default/src/fusion/Model.mbi:3585:14-20
        _2_xx=numpy.zeros((_1_numvar,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:3586:14-16
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3587:14-3591:11
          _3_sol=self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(_0_which,True) # bld/herlev/final/default/src/fusion/Model.mbi:3588:16-19
          if ((_3_sol.xx) is not None): # bld/herlev/final/default/src/fusion/Model.mbi:3589:16-30
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3590:14-102
            mosek.fusion.Utils.Tools._arraycopy__3DI_3DII((_3_sol.xx),0,_2_xx,0,(int(((_3_sol.xx)).shape[0]) if ((int(((_3_sol.xx)).shape[0]) <= _1_numvar) ) else _1_numvar)) # bld/herlev/final/default/src/fusion/Model.mbi:3590:14-102
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3590:14-102
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3587:14-3591:11
        except mosek_fusion_SolutionError as _4_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3592:34-3593:11
          pass
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3592:34-3593:11
        _5_n=(int((self.__initsol_xx).shape[0]) if ((int((self.__initsol_xx).shape[0]) <= _1_numvar) ) else _1_numvar) # bld/herlev/final/default/src/fusion/Model.mbi:3594:14-15
        for _6_i in range(0,_5_n): # bld/herlev/final/default/src/fusion/Model.mbi:3595:10-3597:36
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3596:12-3597:36
          if self.__initsol_xx_flag[_6_i]: # bld/herlev/final/default/src/fusion/Model.mbi:3596:16-34
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3597:14-36
            _2_xx[_6_i] = self.__initsol_xx[_6_i] # bld/herlev/final/default/src/fusion/Model.mbi:3597:14-36
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3597:14-36
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3596:12-3597:36
        _2_xx[self.__bfixidx] = 1.0 # bld/herlev/final/default/src/fusion/Model.mbi:3600:10-28
        self._task_1putxx_1slice_Emosek_4fusion_4SolutionType_2II_3D(_0_which,0,_1_numvar,_2_xx) # bld/herlev/final/default/src/fusion/Model.mbi:3602:10-46
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3584:32-3603:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3583:6-3604:7
    @staticmethod
    def _match_getDualSolutionStatus_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getDualSolutionStatus_(*args):
      if len(args) != 0: return False
      return True
    def _getDualSolutionStatus_alt_(self,):
      return self._getDualSolutionStatus_()
    def _getDualSolutionStatus_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3578:6-3580:7
      return (self._getDualSolutionStatus_Emosek_4fusion_4SolutionType_2(self.__solutionptr)) # bld/herlev/final/default/src/fusion/Model.mbi:3579:8-50
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3578:6-3580:7
    @staticmethod
    def _match_getProblemStatus_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getProblemStatus_(*args):
      if len(args) != 0: return False
      return True
    def _getProblemStatus_alt_(self,):
      return self._getProblemStatus_()
    def _getProblemStatus_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3572:6-3574:7
      return (self._getProblemStatus_Emosek_4fusion_4SolutionType_2(self.__solutionptr)) # bld/herlev/final/default/src/fusion/Model.mbi:3573:8-45
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3572:6-3574:7
    @staticmethod
    def _match_getPrimalSolutionStatus_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getPrimalSolutionStatus_(*args):
      if len(args) != 0: return False
      return True
    def _getPrimalSolutionStatus_alt_(self,):
      return self._getPrimalSolutionStatus_()
    def _getPrimalSolutionStatus_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3565:6-3567:7
      return (self._getPrimalSolutionStatus_Emosek_4fusion_4SolutionType_2(self.__solutionptr)) # bld/herlev/final/default/src/fusion/Model.mbi:3566:8-52
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3565:6-3567:7
    @staticmethod
    def _match_dualObjValue_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_dualObjValue_(*args):
      if len(args) != 0: return False
      return True
    def _dualObjValue_alt_(self,):
      return self._dualObjValue_()
    def _dualObjValue_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3558:6-3560:7
      return numpy.float64((self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(mosek.fusion.SolutionType.Default,False).dobj)) # bld/herlev/final/default/src/fusion/Model.mbi:3559:8-62
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3558:6-3560:7
    @staticmethod
    def _match_primalObjValue_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_primalObjValue_(*args):
      if len(args) != 0: return False
      return True
    def _primalObjValue_alt_(self,):
      return self._primalObjValue_()
    def _primalObjValue_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3552:6-3554:7
      return numpy.float64((self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(mosek.fusion.SolutionType.Default,True).pobj)) # bld/herlev/final/default/src/fusion/Model.mbi:3553:8-61
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3552:6-3554:7
    def _get_1sol_1cache_alt_Emosek_4fusion_4SolutionType_2ZZ(self,_t__0_which_,_t__1_primal,_t__2_nothrow):
      return self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2ZZ(__0_which_,_1_primal,_2_nothrow)
    def _get_1sol_1cache_Emosek_4fusion_4SolutionType_2ZZ(self,_0_which_,_1_primal,_2_nothrow):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3480:6-3548:7
      _3_res=None # bld/herlev/final/default/src/fusion/Model.mbi:3481:12-30
      _4_which=_0_which_ # bld/herlev/final/default/src/fusion/Model.mbi:3483:12-17
      if (_4_which==mosek.fusion.SolutionType.Default): # bld/herlev/final/default/src/fusion/Model.mbi:3484:12-41
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3484:43-63
        _4_which = self.__solutionptr # bld/herlev/final/default/src/fusion/Model.mbi:3484:43-63
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3484:43-63
      if (_4_which==mosek.fusion.SolutionType.Default): # bld/herlev/final/default/src/fusion/Model.mbi:3486:12-41
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3487:8-3491:9
        if (self.__sol_itg is not None): # bld/herlev/final/default/src/fusion/Model.mbi:3488:18-33
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3488:35-53
          _3_res = self.__sol_itg # bld/herlev/final/default/src/fusion/Model.mbi:3488:37-51
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3488:35-53
        elif (self.__sol_bas is not None): # bld/herlev/final/default/src/fusion/Model.mbi:3489:18-33
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3489:35-53
          _3_res = self.__sol_bas # bld/herlev/final/default/src/fusion/Model.mbi:3489:37-51
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3489:35-53
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3490:35-53
          _3_res = self.__sol_itr # bld/herlev/final/default/src/fusion/Model.mbi:3490:37-51
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3490:35-53
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3487:8-3491:9
      elif (_4_which==mosek.fusion.SolutionType.Interior): # bld/herlev/final/default/src/fusion/Model.mbi:3492:16-46
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3492:48-66
        _3_res = self.__sol_itr # bld/herlev/final/default/src/fusion/Model.mbi:3492:50-64
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3492:48-66
      elif (_4_which==mosek.fusion.SolutionType.Basic): # bld/herlev/final/default/src/fusion/Model.mbi:3493:16-43
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3493:48-66
        _3_res = self.__sol_bas # bld/herlev/final/default/src/fusion/Model.mbi:3493:50-64
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3493:48-66
      elif (_4_which==mosek.fusion.SolutionType.Integer): # bld/herlev/final/default/src/fusion/Model.mbi:3494:16-45
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3494:48-66
        _3_res = self.__sol_itg # bld/herlev/final/default/src/fusion/Model.mbi:3494:50-64
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3494:48-66
      if (_3_res is None): # bld/herlev/final/default/src/fusion/Model.mbi:3496:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3497:8-3499:9
        raise mosek_fusion_SolutionError._ctor_S("Solution not available") # bld/herlev/final/default/src/fusion/Model.mbi:3498:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3497:8-3499:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3501:8-3547:9
        if (_2_nothrow or ((_1_primal and _3_res._isPrimalAcceptable_Emosek_4fusion_4AccSolutionStatus_2(self.__acceptable_sol)) or ((not _1_primal) and _3_res._isDualAcceptable_Emosek_4fusion_4AccSolutionStatus_2(self.__acceptable_sol)))): # bld/herlev/final/default/src/fusion/Model.mbi:3502:14-3504:69
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3505:10-3507:11
          return (_3_res) # bld/herlev/final/default/src/fusion/Model.mbi:3506:12-23
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3505:10-3507:11
        elif ((_3_res is self.__sol_itg) and (not _1_primal)): # bld/herlev/final/default/src/fusion/Model.mbi:3508:18-49
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3508:51-3510:11
          raise mosek_fusion_SolutionError._ctor_S("Dual solution does not exists for mixed-integer problems.") # bld/herlev/final/default/src/fusion/Model.mbi:3509:12-97
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3508:51-3510:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3512:10-3546:11
          _5_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Model.mbi:3513:16-18
          _6_solsta=(_3_res.pstatus) # bld/herlev/final/default/src/fusion/Model.mbi:3514:16-22
          _7_probsta=(_3_res.probstatus) # bld/herlev/final/default/src/fusion/Model.mbi:3515:16-23
          if (not _1_primal): # bld/herlev/final/default/src/fusion/Model.mbi:3516:16-26
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3516:28-49
            _6_solsta = (_3_res.dstatus) # bld/herlev/final/default/src/fusion/Model.mbi:3516:28-49
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3516:28-49
          _5_sb._a_S("Solution status is ") # bld/herlev/final/default/src/fusion/Model.mbi:3517:12-40
          if (_6_solsta==mosek.fusion.SolutionStatus.Undefined): # bld/herlev/final/default/src/fusion/Model.mbi:3518:20-54
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3518:62-80
            _5_sb._a_S("Undefined") # bld/herlev/final/default/src/fusion/Model.mbi:3518:62-80
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3518:62-80
          elif (_6_solsta==mosek.fusion.SolutionStatus.Unknown): # bld/herlev/final/default/src/fusion/Model.mbi:3519:20-52
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3519:62-78
            _5_sb._a_S("Unknown") # bld/herlev/final/default/src/fusion/Model.mbi:3519:62-78
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3519:62-78
          elif (_6_solsta==mosek.fusion.SolutionStatus.Optimal): # bld/herlev/final/default/src/fusion/Model.mbi:3520:20-52
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3520:62-78
            _5_sb._a_S("Optimal") # bld/herlev/final/default/src/fusion/Model.mbi:3520:62-78
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3520:62-78
          elif (_6_solsta==mosek.fusion.SolutionStatus.Feasible): # bld/herlev/final/default/src/fusion/Model.mbi:3521:20-53
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3521:62-79
            _5_sb._a_S("Feasible") # bld/herlev/final/default/src/fusion/Model.mbi:3521:62-79
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3521:62-79
          elif (_6_solsta==mosek.fusion.SolutionStatus.Certificate): # bld/herlev/final/default/src/fusion/Model.mbi:3522:20-56
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3522:62-82
            _5_sb._a_S("Certificate") # bld/herlev/final/default/src/fusion/Model.mbi:3522:62-82
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3522:62-82
          elif (_6_solsta==mosek.fusion.SolutionStatus.IllposedCert): # bld/herlev/final/default/src/fusion/Model.mbi:3523:20-57
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3523:62-83
            _5_sb._a_S("IllposedCert") # bld/herlev/final/default/src/fusion/Model.mbi:3523:62-83
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3523:62-83
          _5_sb._a_S(" but ") # bld/herlev/final/default/src/fusion/Model.mbi:3524:12-26
          if (self.__acceptable_sol==mosek.fusion.AccSolutionStatus.Anything): # bld/herlev/final/default/src/fusion/Model.mbi:3525:20-64
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3525:69-86
            _5_sb._a_S("Anything") # bld/herlev/final/default/src/fusion/Model.mbi:3525:69-86
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3525:69-86
          elif (self.__acceptable_sol==mosek.fusion.AccSolutionStatus.Optimal): # bld/herlev/final/default/src/fusion/Model.mbi:3526:20-63
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3526:69-85
            _5_sb._a_S("Optimal") # bld/herlev/final/default/src/fusion/Model.mbi:3526:69-85
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3526:69-85
          elif (self.__acceptable_sol==mosek.fusion.AccSolutionStatus.Feasible): # bld/herlev/final/default/src/fusion/Model.mbi:3527:20-64
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3527:69-95
            _5_sb._a_S("at least Feasible") # bld/herlev/final/default/src/fusion/Model.mbi:3527:69-95
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3527:69-95
          elif (self.__acceptable_sol==mosek.fusion.AccSolutionStatus.Certificate): # bld/herlev/final/default/src/fusion/Model.mbi:3528:20-67
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3528:69-89
            _5_sb._a_S("Certificate") # bld/herlev/final/default/src/fusion/Model.mbi:3528:69-89
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3528:69-89
          _5_sb._a_S(" is expected. Reason: Accessing ") # bld/herlev/final/default/src/fusion/Model.mbi:3529:12-53
          if (_3_res is self.__sol_itr): # bld/herlev/final/default/src/fusion/Model.mbi:3530:20-34
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3530:36-68
            _5_sb._a_S("interior-point solution") # bld/herlev/final/default/src/fusion/Model.mbi:3530:36-68
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3530:36-68
          elif (_3_res is self.__sol_bas): # bld/herlev/final/default/src/fusion/Model.mbi:3531:20-34
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3531:36-59
            _5_sb._a_S("basic solution") # bld/herlev/final/default/src/fusion/Model.mbi:3531:36-59
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3531:36-59
          elif (_3_res is self.__sol_itg): # bld/herlev/final/default/src/fusion/Model.mbi:3532:20-34
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3532:36-61
            _5_sb._a_S("integer solution") # bld/herlev/final/default/src/fusion/Model.mbi:3532:36-61
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3532:36-61
          _5_sb._a_S(" whose problem status is ") # bld/herlev/final/default/src/fusion/Model.mbi:3533:12-46
          if (_7_probsta==mosek.fusion.ProblemStatus.Unknown): # bld/herlev/final/default/src/fusion/Model.mbi:3534:20-52
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3534:74-90
            _5_sb._a_S("Unknown") # bld/herlev/final/default/src/fusion/Model.mbi:3534:74-90
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3534:74-90
          elif (_7_probsta==mosek.fusion.ProblemStatus.PrimalAndDualFeasible): # bld/herlev/final/default/src/fusion/Model.mbi:3535:20-66
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3535:74-104
            _5_sb._a_S("PrimalAndDualFeasible") # bld/herlev/final/default/src/fusion/Model.mbi:3535:74-104
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3535:74-104
          elif (_7_probsta==mosek.fusion.ProblemStatus.PrimalFeasible): # bld/herlev/final/default/src/fusion/Model.mbi:3536:20-59
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3536:74-97
            _5_sb._a_S("PrimalFeasible") # bld/herlev/final/default/src/fusion/Model.mbi:3536:74-97
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3536:74-97
          elif (_7_probsta==mosek.fusion.ProblemStatus.DualFeasible): # bld/herlev/final/default/src/fusion/Model.mbi:3537:20-57
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3537:74-95
            _5_sb._a_S("DualFeasible") # bld/herlev/final/default/src/fusion/Model.mbi:3537:74-95
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3537:74-95
          elif (_7_probsta==mosek.fusion.ProblemStatus.PrimalInfeasible): # bld/herlev/final/default/src/fusion/Model.mbi:3538:20-61
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3538:74-99
            _5_sb._a_S("PrimalInfeasible") # bld/herlev/final/default/src/fusion/Model.mbi:3538:74-99
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3538:74-99
          elif (_7_probsta==mosek.fusion.ProblemStatus.DualInfeasible): # bld/herlev/final/default/src/fusion/Model.mbi:3539:20-59
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3539:74-97
            _5_sb._a_S("DualInfeasible") # bld/herlev/final/default/src/fusion/Model.mbi:3539:74-97
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3539:74-97
          elif (_7_probsta==mosek.fusion.ProblemStatus.PrimalAndDualInfeasible): # bld/herlev/final/default/src/fusion/Model.mbi:3540:20-68
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3540:74-106
            _5_sb._a_S("PrimalAndDualInfeasible") # bld/herlev/final/default/src/fusion/Model.mbi:3540:74-106
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3540:74-106
          elif (_7_probsta==mosek.fusion.ProblemStatus.IllPosed): # bld/herlev/final/default/src/fusion/Model.mbi:3541:20-53
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3541:74-91
            _5_sb._a_S("IllPosed") # bld/herlev/final/default/src/fusion/Model.mbi:3541:74-91
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3541:74-91
          elif (_7_probsta==mosek.fusion.ProblemStatus.PrimalInfeasibleOrUnbounded): # bld/herlev/final/default/src/fusion/Model.mbi:3542:20-72
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3542:74-110
            _5_sb._a_S("PrimalInfeasibleOrUnbounded") # bld/herlev/final/default/src/fusion/Model.mbi:3542:74-110
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3542:74-110
          _5_sb._a_S(".") # bld/herlev/final/default/src/fusion/Model.mbi:3543:12-22
          raise mosek_fusion_SolutionError._ctor_S(_5_sb._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:3545:12-51
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3512:10-3546:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3501:8-3547:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3480:6-3548:7
    def _get_1sol_1cache_alt_Emosek_4fusion_4SolutionType_2Z(self,_t__0_which_,_t__1_primal):
      return self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(__0_which_,_1_primal)
    def _get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(self,_0_which_,_1_primal):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3473:6-3475:7
      return (self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2ZZ(_0_which_,_1_primal,False)) # bld/herlev/final/default/src/fusion/Model.mbi:3474:8-50
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3473:6-3475:7
    def _setSolution_1xx_alt__3I_3D(self,_t__0_subj,_t__1_val):
      _0_subj=numpy.array(_t__0_subj,dtype=numpy.dtype(numpy.int32))
      _1_val=numpy.array(_t__1_val,dtype=numpy.dtype(numpy.float64))
      _1 = self._setSolution_1xx__3I_3D(_0_subj,_1_val)
      try:
        _t__0_subj[:] = _0_subj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_val[:] = _1_val
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _setSolution_1xx__3I_3D(self,_0_subj,_1_val):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3456:6-3463:7
      self._ensure_1initsol_1xx_() # bld/herlev/final/default/src/fusion/Model.mbi:3457:8-28
      for _2_i in range(0,int((_0_subj).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:3458:8-3462:9
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3459:8-3462:9
        self.__initsol_xx[_0_subj[_2_i]] = _1_val[_2_i] # bld/herlev/final/default/src/fusion/Model.mbi:3460:10-39
        self.__initsol_xx_flag[_0_subj[_2_i]] = True # bld/herlev/final/default/src/fusion/Model.mbi:3461:10-42
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3459:8-3462:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3456:6-3463:7
    def _ensure_1initsol_1xx_alt_(self,):
      return self._ensure_1initsol_1xx_()
    def _ensure_1initsol_1xx_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3438:43-3453:7
      _0_natvarmap_num=self._task_1numvar_() # bld/herlev/final/default/src/fusion/Model.mbi:3439:12-25
      if (self.__initsol_xx is None): # bld/herlev/final/default/src/fusion/Model.mbi:3440:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3440:32-3443:9
        self.__initsol_xx = numpy.zeros((_0_natvarmap_num,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:3441:11-49
        self.__initsol_xx_flag = numpy.array([False for _1_i in range(0,_0_natvarmap_num)], dtype=numpy.dtype(bool)) # bld/herlev/final/default/src/fusion/Model.mbi:3442:11-69
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3440:32-3443:9
      elif (int((self.__initsol_xx).shape[0]) < _0_natvarmap_num): # bld/herlev/final/default/src/fusion/Model.mbi:3444:16-47
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3444:49-3452:9
        _2_tmp=self.__initsol_xx # bld/herlev/final/default/src/fusion/Model.mbi:3445:14-17
        _3_tmp_flag=self.__initsol_xx_flag # bld/herlev/final/default/src/fusion/Model.mbi:3446:14-22
        self.__initsol_xx = numpy.zeros((_0_natvarmap_num,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:3447:10-48
        self.__initsol_xx_flag = numpy.zeros((_0_natvarmap_num,), dtype=numpy.dtype(bool)) # bld/herlev/final/default/src/fusion/Model.mbi:3448:10-51
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(_2_tmp,0,self.__initsol_xx,0,int((_2_tmp).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:3450:10-61
        for _4_i in range(0,int((_2_tmp).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:3451:10-69
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3451:36-69
          self.__initsol_xx_flag[_4_i] = _3_tmp_flag[_4_i] # bld/herlev/final/default/src/fusion/Model.mbi:3451:36-69
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3451:36-69
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3444:49-3452:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3438:43-3453:7
    def _getSolution_1accptr_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getSolution_1accptr_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getSolution_1accptr_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3433:6-3435:7
      return ((self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2ZZ(_0_which,True,True).accptr)) # bld/herlev/final/default/src/fusion/Model.mbi:3434:8-53
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3433:6-3435:7
    def _getSolution_1accy_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getSolution_1accy_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getSolution_1accy_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3427:6-3429:7
      return ((self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(_0_which,False).accy)) # bld/herlev/final/default/src/fusion/Model.mbi:3428:8-47
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3427:6-3429:7
    def _getSolution_1accx_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getSolution_1accx_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getSolution_1accx_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3421:6-3423:7
      return ((self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(_0_which,True).accx)) # bld/herlev/final/default/src/fusion/Model.mbi:3422:8-46
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3421:6-3423:7
    def _getSolution_1bars_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getSolution_1bars_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getSolution_1bars_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3414:6-3416:7
      return ((self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(_0_which,False).bars)) # bld/herlev/final/default/src/fusion/Model.mbi:3415:8-47
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3414:6-3416:7
    def _getSolution_1barx_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getSolution_1barx_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getSolution_1barx_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3408:6-3410:7
      return ((self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(_0_which,True).barx)) # bld/herlev/final/default/src/fusion/Model.mbi:3409:8-46
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3408:6-3410:7
    def _getSolution_1y_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getSolution_1y_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getSolution_1y_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3402:6-3404:7
      return ((self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(_0_which,False).y)) # bld/herlev/final/default/src/fusion/Model.mbi:3403:8-44
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3402:6-3404:7
    def _getSolution_1xc_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getSolution_1xc_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getSolution_1xc_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3396:6-3398:7
      return ((self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(_0_which,True).xc)) # bld/herlev/final/default/src/fusion/Model.mbi:3397:8-44
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3396:6-3398:7
    def _getSolution_1suc_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getSolution_1suc_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getSolution_1suc_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3390:6-3392:7
      return ((self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(_0_which,False).suc)) # bld/herlev/final/default/src/fusion/Model.mbi:3391:8-46
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3390:6-3392:7
    def _getSolution_1slc_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getSolution_1slc_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getSolution_1slc_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3384:6-3386:7
      return ((self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(_0_which,False).slc)) # bld/herlev/final/default/src/fusion/Model.mbi:3385:8-46
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3384:6-3386:7
    def _getSolution_1sux_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getSolution_1sux_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getSolution_1sux_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3378:6-3380:7
      return ((self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(_0_which,False).sux)) # bld/herlev/final/default/src/fusion/Model.mbi:3379:8-46
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3378:6-3380:7
    def _getSolution_1slx_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getSolution_1slx_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getSolution_1slx_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3372:6-3374:7
      return ((self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(_0_which,False).slx)) # bld/herlev/final/default/src/fusion/Model.mbi:3373:8-46
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3372:6-3374:7
    def _getSolution_1yx_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getSolution_1yx_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getSolution_1yx_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3366:6-3368:7
      return ((self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(_0_which,False).yx)) # bld/herlev/final/default/src/fusion/Model.mbi:3367:8-45
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3366:6-3368:7
    def _getSolution_1xx_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getSolution_1xx_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getSolution_1xx_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3361:6-3363:7
      return ((self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2Z(_0_which,True).xx)) # bld/herlev/final/default/src/fusion/Model.mbi:3362:8-44
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3361:6-3363:7
    @staticmethod
    def _match_selectedSolution_Emosek_4fusion_4SolutionType_2(*args):
      if len(args) != 1: return False
      _0_soltype, = args
      return (    __arg_match_Emosek_4fusion_4SolutionType_2__(_0_soltype))
    @staticmethod
    def _match_alt_selectedSolution_Emosek_4fusion_4SolutionType_2(*args):
      if len(args) != 1: return False
      _0_soltype, = args
      return (    __arg_alt_match_Emosek_4fusion_4SolutionType_2__(_0_soltype))
    def _selectedSolution_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_soltype):
      return self._selectedSolution_Emosek_4fusion_4SolutionType_2(__0_soltype)
    def _selectedSolution_Emosek_4fusion_4SolutionType_2(self,_0_soltype):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3355:6-3357:7
      self.__solutionptr = _0_soltype # bld/herlev/final/default/src/fusion/Model.mbi:3356:8-30
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3355:6-3357:7
    @staticmethod
    def _match_getAcceptedSolutionStatus_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getAcceptedSolutionStatus_(*args):
      if len(args) != 0: return False
      return True
    def _getAcceptedSolutionStatus_alt_(self,):
      return self._getAcceptedSolutionStatus_()
    def _getAcceptedSolutionStatus_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3346:6-3348:7
      return (self.__acceptable_sol) # bld/herlev/final/default/src/fusion/Model.mbi:3347:8-30
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3346:6-3348:7
    @staticmethod
    def _match_acceptedSolutionStatus_Emosek_4fusion_4AccSolutionStatus_2(*args):
      if len(args) != 1: return False
      _0_what, = args
      return (    __arg_match_Emosek_4fusion_4AccSolutionStatus_2__(_0_what))
    @staticmethod
    def _match_alt_acceptedSolutionStatus_Emosek_4fusion_4AccSolutionStatus_2(*args):
      if len(args) != 1: return False
      _0_what, = args
      return (    __arg_alt_match_Emosek_4fusion_4AccSolutionStatus_2__(_0_what))
    def _acceptedSolutionStatus_alt_Emosek_4fusion_4AccSolutionStatus_2(self,_t__0_what):
      return self._acceptedSolutionStatus_Emosek_4fusion_4AccSolutionStatus_2(__0_what)
    def _acceptedSolutionStatus_Emosek_4fusion_4AccSolutionStatus_2(self,_0_what):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3340:6-3342:7
      self.__acceptable_sol = _0_what # bld/herlev/final/default/src/fusion/Model.mbi:3341:8-30
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3340:6-3342:7
    @staticmethod
    def _match_getProblemStatus_Emosek_4fusion_4SolutionType_2(*args):
      if len(args) != 1: return False
      _0_which, = args
      return (    __arg_match_Emosek_4fusion_4SolutionType_2__(_0_which))
    @staticmethod
    def _match_alt_getProblemStatus_Emosek_4fusion_4SolutionType_2(*args):
      if len(args) != 1: return False
      _0_which, = args
      return (    __arg_alt_match_Emosek_4fusion_4SolutionType_2__(_0_which))
    def _getProblemStatus_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getProblemStatus_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getProblemStatus_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3309:6-3326:7
      _1_res=None # bld/herlev/final/default/src/fusion/Model.mbi:3310:12-30
      if (_0_which==mosek.fusion.SolutionType.Default): # bld/herlev/final/default/src/fusion/Model.mbi:3312:12-41
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3313:8-3317:9
        if (self.__sol_itg is not None): # bld/herlev/final/default/src/fusion/Model.mbi:3314:18-33
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3314:35-53
          _1_res = self.__sol_itg # bld/herlev/final/default/src/fusion/Model.mbi:3314:37-51
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3314:35-53
        elif (self.__sol_bas is not None): # bld/herlev/final/default/src/fusion/Model.mbi:3315:18-33
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3315:35-53
          _1_res = self.__sol_bas # bld/herlev/final/default/src/fusion/Model.mbi:3315:37-51
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3315:35-53
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3316:35-53
          _1_res = self.__sol_itr # bld/herlev/final/default/src/fusion/Model.mbi:3316:37-51
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3316:35-53
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3313:8-3317:9
      elif (_0_which==mosek.fusion.SolutionType.Interior): # bld/herlev/final/default/src/fusion/Model.mbi:3318:16-46
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3318:48-66
        _1_res = self.__sol_itr # bld/herlev/final/default/src/fusion/Model.mbi:3318:50-64
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3318:48-66
      elif (_0_which==mosek.fusion.SolutionType.Basic): # bld/herlev/final/default/src/fusion/Model.mbi:3319:16-43
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3319:48-66
        _1_res = self.__sol_bas # bld/herlev/final/default/src/fusion/Model.mbi:3319:50-64
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3319:48-66
      elif (_0_which==mosek.fusion.SolutionType.Integer): # bld/herlev/final/default/src/fusion/Model.mbi:3320:16-45
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3320:48-66
        _1_res = self.__sol_itg # bld/herlev/final/default/src/fusion/Model.mbi:3320:50-64
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3320:48-66
      if (_1_res is None): # bld/herlev/final/default/src/fusion/Model.mbi:3322:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3323:10-39
        return (mosek.fusion.ProblemStatus.Unknown) # bld/herlev/final/default/src/fusion/Model.mbi:3323:10-39
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3323:10-39
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3325:10-32
        return ((_1_res.probstatus)) # bld/herlev/final/default/src/fusion/Model.mbi:3325:10-32
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3325:10-32
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3309:6-3326:7
    @staticmethod
    def _match_getDualSolutionStatus_Emosek_4fusion_4SolutionType_2(*args):
      if len(args) != 1: return False
      _0_which, = args
      return (    __arg_match_Emosek_4fusion_4SolutionType_2__(_0_which))
    @staticmethod
    def _match_alt_getDualSolutionStatus_Emosek_4fusion_4SolutionType_2(*args):
      if len(args) != 1: return False
      _0_which, = args
      return (    __arg_alt_match_Emosek_4fusion_4SolutionType_2__(_0_which))
    def _getDualSolutionStatus_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getDualSolutionStatus_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getDualSolutionStatus_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3302:80-122
      return (self._getSolutionStatus_Emosek_4fusion_4SolutionType_2Z(_0_which,False)) # bld/herlev/final/default/src/fusion/Model.mbi:3302:82-120
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3302:80-122
    @staticmethod
    def _match_getPrimalSolutionStatus_Emosek_4fusion_4SolutionType_2(*args):
      if len(args) != 1: return False
      _0_which, = args
      return (    __arg_match_Emosek_4fusion_4SolutionType_2__(_0_which))
    @staticmethod
    def _match_alt_getPrimalSolutionStatus_Emosek_4fusion_4SolutionType_2(*args):
      if len(args) != 1: return False
      _0_which, = args
      return (    __arg_alt_match_Emosek_4fusion_4SolutionType_2__(_0_which))
    def _getPrimalSolutionStatus_alt_Emosek_4fusion_4SolutionType_2(self,_t__0_which):
      return self._getPrimalSolutionStatus_Emosek_4fusion_4SolutionType_2(__0_which)
    def _getPrimalSolutionStatus_Emosek_4fusion_4SolutionType_2(self,_0_which):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3296:87-128
      return (self._getSolutionStatus_Emosek_4fusion_4SolutionType_2Z(_0_which,True)) # bld/herlev/final/default/src/fusion/Model.mbi:3296:89-126
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3296:87-128
    def _getSolutionStatus_alt_Emosek_4fusion_4SolutionType_2Z(self,_t__0_which,_t__1_primal):
      return self._getSolutionStatus_Emosek_4fusion_4SolutionType_2Z(__0_which,_1_primal)
    def _getSolutionStatus_Emosek_4fusion_4SolutionType_2Z(self,_0_which,_1_primal):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3279:90-3290:7
      try:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3280:12-3286:9
        _2_sol=self._get_1sol_1cache_Emosek_4fusion_4SolutionType_2ZZ(_0_which,_1_primal,True) # bld/herlev/final/default/src/fusion/Model.mbi:3281:14-17
        if _1_primal: # bld/herlev/final/default/src/fusion/Model.mbi:3282:14-20
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3283:12-31
          return ((_2_sol.pstatus)) # bld/herlev/final/default/src/fusion/Model.mbi:3283:12-31
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3283:12-31
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3285:12-31
          return ((_2_sol.dstatus)) # bld/herlev/final/default/src/fusion/Model.mbi:3285:12-31
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3285:12-31
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3280:12-3286:9
      except mosek_fusion_SolutionError as _3_e:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3287:32-3289:9
        return (mosek.fusion.SolutionStatus.Undefined) # bld/herlev/final/default/src/fusion/Model.mbi:3288:10-42
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3287:32-3289:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3279:90-3290:7
    def _update_alt__3ILmosek_4fusion_4Expression_2(self,_t__0_conidxs,_t__1_expr):
      _0_conidxs=numpy.array(_t__0_conidxs,dtype=numpy.dtype(numpy.int32))
      _1_expr=_t__1_expr
      _1 = self._update__3ILmosek_4fusion_4Expression_2(_0_conidxs,_1_expr)
      try:
        _t__0_conidxs[:] = _0_conidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _update__3ILmosek_4fusion_4Expression_2(self,_0_conidxs,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3141:64-3275:7
      mosek_fusion_ExprDense._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprOptimizeCode._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprCompress._ctor_Lmosek_4fusion_4Expression_2(_1_expr)))._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self.__ws,self.__rs,self.__xs) # bld/herlev/final/default/src/fusion/Model.mbi:3142:8-83
      self.__ws._pop_1expr_() # bld/herlev/final/default/src/fusion/Model.mbi:3143:8-22
      _2_nd=(self.__ws.nd) # bld/herlev/final/default/src/fusion/Model.mbi:3144:12-14
      _3_shape_base=(self.__ws.shape_base) # bld/herlev/final/default/src/fusion/Model.mbi:3145:12-22
      _4_nelem=(self.__ws.nelem) # bld/herlev/final/default/src/fusion/Model.mbi:3146:12-17
      _5_nnz=(self.__ws.nnz) # bld/herlev/final/default/src/fusion/Model.mbi:3147:12-15
      _6_hassp=(self.__ws.hassp) # bld/herlev/final/default/src/fusion/Model.mbi:3148:12-17
      _7_ncodeatom=(self.__ws.ncodeatom) # bld/herlev/final/default/src/fusion/Model.mbi:3149:12-21
      _8_ptr_base=(self.__ws.ptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:3150:12-20
      _9_sp_base=(self.__ws.sp_base) # bld/herlev/final/default/src/fusion/Model.mbi:3151:12-19
      _10_nidxs_base=(self.__ws.nidxs_base) # bld/herlev/final/default/src/fusion/Model.mbi:3152:12-22
      _11_cof_base=(self.__ws.cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:3153:12-20
      _12_code=(self.__ws.code_base) # bld/herlev/final/default/src/fusion/Model.mbi:3154:12-16
      _13_codeptr=(self.__ws.codeptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:3155:12-19
      _14_cconst=(self.__ws.cconst_base) # bld/herlev/final/default/src/fusion/Model.mbi:3156:12-18
      _15_wi32=(self.__ws.i32) # bld/herlev/final/default/src/fusion/Model.mbi:3158:12-16
      _16_wi64=(self.__ws.i64) # bld/herlev/final/default/src/fusion/Model.mbi:3159:12-16
      _17_wf64=(self.__ws.f64) # bld/herlev/final/default/src/fusion/Model.mbi:3160:12-16
      _18_num_lincon=0 # bld/herlev/final/default/src/fusion/Model.mbi:3163:12-22
      _18_num_lincon = fragments._c_closure_26(_0_conidxs,_4_nelem,_18_num_lincon) # bld/herlev/final/default/src/fusion/Model.mbi:3163:28-85
      _18_num_lincon = numpy.int32(_18_num_lincon) # postprocess
      _19_num_concon=(_4_nelem - _18_num_lincon) # bld/herlev/final/default/src/fusion/Model.mbi:3164:12-22
      if (_18_num_lincon==_4_nelem): # bld/herlev/final/default/src/fusion/Model.mbi:3166:16-35
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3166:37-3172:9
        self.__putarows__3ILmosek_4fusion_4WorkStack_2IIIII(_0_conidxs,self.__ws,_4_nelem,_5_nnz,_8_ptr_base,_10_nidxs_base,_11_cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:3167:10-70
        if (_7_ncodeatom > 0): # bld/herlev/final/default/src/fusion/Model.mbi:3168:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3169:12-92
          self.__con_blocks._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(self.__rs,_0_conidxs,_8_ptr_base,_10_nidxs_base,_13_codeptr,_12_code,_14_cconst) # bld/herlev/final/default/src/fusion/Model.mbi:3169:12-92
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3169:12-92
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3171:12-47
          self.__con_blocks._clear_1row_1code__3I(_0_conidxs) # bld/herlev/final/default/src/fusion/Model.mbi:3171:12-47
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3171:12-47
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3166:37-3172:9
      elif (_19_num_concon==_4_nelem): # bld/herlev/final/default/src/fusion/Model.mbi:3173:16-35
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3173:37-3179:9
        self.__putfrows__3IILmosek_4fusion_4WorkStack_2IIIII(numpy.array([(- (1 + _0_conidxs[_20_i])) for _20_i in range(0,_4_nelem)], dtype=numpy.dtype(numpy.int32)),0,self.__ws,_4_nelem,_5_nnz,_8_ptr_base,_10_nidxs_base,_11_cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:3174:10-104
        if (_7_ncodeatom > 0): # bld/herlev/final/default/src/fusion/Model.mbi:3175:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3176:12-124
          self.__afe_blocks._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(self.__rs,numpy.array([(- (1 + _0_conidxs[_21_i])) for _21_i in range(0,_4_nelem)], dtype=numpy.dtype(numpy.int32)),_8_ptr_base,_10_nidxs_base,_13_codeptr,_12_code,_14_cconst) # bld/herlev/final/default/src/fusion/Model.mbi:3176:12-124
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3176:12-124
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3178:12-79
          self.__afe_blocks._clear_1row_1code__3I(numpy.array([(- (1 + _0_conidxs[_22_i])) for _22_i in range(0,_4_nelem)], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/Model.mbi:3178:12-79
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3178:12-79
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3173:37-3179:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3180:13-3272:9
        _23_cncodeelm=0 # bld/herlev/final/default/src/fusion/Model.mbi:3181:48-57
        _24_lncodeelm=0 # bld/herlev/final/default/src/fusion/Model.mbi:3181:33-42
        _25_cnnz=0 # bld/herlev/final/default/src/fusion/Model.mbi:3181:24-28
        _26_lnnz=0 # bld/herlev/final/default/src/fusion/Model.mbi:3181:14-18
        _25_cnnz,_26_lnnz = fragments._c_closure_27(_25_cnnz,_0_conidxs,_26_lnnz,_4_nelem,_8_ptr_base,_15_wi32) # bld/herlev/final/default/src/fusion/Model.mbi:3182:10-3184:77
        _25_cnnz = numpy.int32(_25_cnnz) # postprocess
        _26_lnnz = numpy.int32(_26_lnnz) # postprocess
        _27_lrowidx=self.__xs._alloci32_I(_18_num_lincon) # bld/herlev/final/default/src/fusion/Model.mbi:3186:14-21
        _28_crowidx=self.__xs._alloci32_I(_19_num_concon) # bld/herlev/final/default/src/fusion/Model.mbi:3187:14-21
        _29_lptr=self.__xs._alloci32_I((_18_num_lincon + 1)) # bld/herlev/final/default/src/fusion/Model.mbi:3188:14-18
        _30_cptr=self.__xs._alloci32_I((_19_num_concon + 1)) # bld/herlev/final/default/src/fusion/Model.mbi:3189:14-18
        _31_lnidxs=self.__xs._alloci64_I(_26_lnnz) # bld/herlev/final/default/src/fusion/Model.mbi:3190:14-20
        _32_cnidxs=self.__xs._alloci64_I(_25_cnnz) # bld/herlev/final/default/src/fusion/Model.mbi:3191:14-20
        _33_lcof=self.__xs._allocf64_I(_26_lnnz) # bld/herlev/final/default/src/fusion/Model.mbi:3192:14-18
        _34_ccof=self.__xs._allocf64_I(_25_cnnz) # bld/herlev/final/default/src/fusion/Model.mbi:3193:14-18
        _35_xf64=(self.__xs.f64) # bld/herlev/final/default/src/fusion/Model.mbi:3195:44-48
        _36_xi64=(self.__xs.i64) # bld/herlev/final/default/src/fusion/Model.mbi:3195:29-33
        _37_xi32=(self.__xs.i32) # bld/herlev/final/default/src/fusion/Model.mbi:3195:14-18
        _37_xi32[_29_lptr] = 0 # bld/herlev/final/default/src/fusion/Model.mbi:3197:10-25
        _37_xi32[_30_cptr] = 0 # bld/herlev/final/default/src/fusion/Model.mbi:3198:10-25
        _38_ci=0 # bld/herlev/final/default/src/fusion/Model.mbi:3199:40-42
        _39_li=0 # bld/herlev/final/default/src/fusion/Model.mbi:3199:33-35
        _40_cnzi=0 # bld/herlev/final/default/src/fusion/Model.mbi:3199:24-28
        _41_lnzi=0 # bld/herlev/final/default/src/fusion/Model.mbi:3199:14-18
        for _42_i in range(0,_4_nelem): # bld/herlev/final/default/src/fusion/Model.mbi:3200:10-3219:11
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3200:33-3219:11
          _43_pb=_15_wi32[(_8_ptr_base + _42_i)] # bld/herlev/final/default/src/fusion/Model.mbi:3201:16-18
          _44_pe=_15_wi32[((_8_ptr_base + _42_i) + 1)] # bld/herlev/final/default/src/fusion/Model.mbi:3202:16-18
          if (_0_conidxs[_42_i] >= 0): # bld/herlev/final/default/src/fusion/Model.mbi:3203:16-31
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3203:33-3210:13
            mosek.fusion.Utils.Tools._arraycopy__3JI_3JII(_16_wi64,(_10_nidxs_base + _43_pb),_36_xi64,(_31_lnidxs + _41_lnzi),(_44_pe - _43_pb)) # bld/herlev/final/default/src/fusion/Model.mbi:3204:14-79
            mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(_17_wf64,(_11_cof_base + _43_pb),_35_xf64,(_33_lcof + _41_lnzi),(_44_pe - _43_pb)) # bld/herlev/final/default/src/fusion/Model.mbi:3205:14-75
            _41_lnzi += (_44_pe - _43_pb) # bld/herlev/final/default/src/fusion/Model.mbi:3206:14-28
            _37_xi32[(_27_lrowidx + _39_li)] = _0_conidxs[_42_i] # bld/herlev/final/default/src/fusion/Model.mbi:3207:14-44
            _37_xi32[((_29_lptr + _39_li) + 1)] = _41_lnzi # bld/herlev/final/default/src/fusion/Model.mbi:3208:14-37
            _39_li += 1 # bld/herlev/final/default/src/fusion/Model.mbi:3209:14-19
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3203:33-3210:13
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3211:17-3218:13
            mosek.fusion.Utils.Tools._arraycopy__3JI_3JII(_16_wi64,(_10_nidxs_base + _43_pb),_36_xi64,(_32_cnidxs + _40_cnzi),(_44_pe - _43_pb)) # bld/herlev/final/default/src/fusion/Model.mbi:3212:14-79
            mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(_17_wf64,(_11_cof_base + _43_pb),_35_xf64,(_34_ccof + _40_cnzi),(_44_pe - _43_pb)) # bld/herlev/final/default/src/fusion/Model.mbi:3213:14-75
            _40_cnzi += (_44_pe - _43_pb) # bld/herlev/final/default/src/fusion/Model.mbi:3214:14-28
            _37_xi32[(_28_crowidx + _38_ci)] = (- (1 + _0_conidxs[_42_i])) # bld/herlev/final/default/src/fusion/Model.mbi:3215:14-49
            _37_xi32[((_30_cptr + _38_ci) + 1)] = _40_cnzi # bld/herlev/final/default/src/fusion/Model.mbi:3216:14-37
            _38_ci += 1 # bld/herlev/final/default/src/fusion/Model.mbi:3217:14-19
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3211:17-3218:13
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3200:33-3219:11
        self.__putarows__3ILmosek_4fusion_4WorkStack_2IIIII(numpy.array([_37_xi32[(_27_lrowidx + _45_i)] for _45_i in range(0,_18_num_lincon)], dtype=numpy.dtype(numpy.int32)),self.__xs,_18_num_lincon,_26_lnnz,_29_lptr,_31_lnidxs,_33_lcof) # bld/herlev/final/default/src/fusion/Model.mbi:3221:10-101
        self.__putfrows__3IILmosek_4fusion_4WorkStack_2IIIII(_37_xi32,_28_crowidx,self.__xs,_19_num_concon,_25_cnnz,_30_cptr,_32_cnidxs,_34_ccof) # bld/herlev/final/default/src/fusion/Model.mbi:3222:10-69
        if (_7_ncodeatom > 0): # bld/herlev/final/default/src/fusion/Model.mbi:3224:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3224:29-3266:11
          _23_cncodeelm,_24_lncodeelm = fragments._c_closure_28(_23_cncodeelm,_13_codeptr,_0_conidxs,_24_lncodeelm,_4_nelem,_8_ptr_base,_15_wi32) # bld/herlev/final/default/src/fusion/Model.mbi:3225:12-3227:112
          _23_cncodeelm = numpy.int32(_23_cncodeelm) # postprocess
          _24_lncodeelm = numpy.int32(_24_lncodeelm) # postprocess
          _46_lcodeptr=self.__xs._alloci32_I((_26_lnnz + 1)) # bld/herlev/final/default/src/fusion/Model.mbi:3229:16-24
          _47_ccodeptr=self.__xs._alloci32_I((_25_cnnz + 1)) # bld/herlev/final/default/src/fusion/Model.mbi:3230:16-24
          _48_lcode=self.__xs._alloci32_I(_24_lncodeelm) # bld/herlev/final/default/src/fusion/Model.mbi:3231:16-21
          _49_ccode=self.__xs._alloci32_I(_23_cncodeelm) # bld/herlev/final/default/src/fusion/Model.mbi:3232:16-21
          _50_lcconst=self.__xs._allocf64_I(_24_lncodeelm) # bld/herlev/final/default/src/fusion/Model.mbi:3233:16-23
          _51_ccconst=self.__xs._allocf64_I(_23_cncodeelm) # bld/herlev/final/default/src/fusion/Model.mbi:3234:16-23
          _37_xi32[_46_lcodeptr] = 0 # bld/herlev/final/default/src/fusion/Model.mbi:3236:12-31
          _37_xi32[_47_ccodeptr] = 0 # bld/herlev/final/default/src/fusion/Model.mbi:3237:12-31
          _52_ccodei=0 # bld/herlev/final/default/src/fusion/Model.mbi:3239:28-34
          _53_lcodei=0 # bld/herlev/final/default/src/fusion/Model.mbi:3239:16-22
          _54_rnzi=0 # bld/herlev/final/default/src/fusion/Model.mbi:3240:26-30
          _55_lnzi=0 # bld/herlev/final/default/src/fusion/Model.mbi:3240:16-20
          for _56_i in range(0,_4_nelem): # bld/herlev/final/default/src/fusion/Model.mbi:3241:12-3263:13
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3241:35-3263:13
            _57_pb=_15_wi32[(_8_ptr_base + _56_i)] # bld/herlev/final/default/src/fusion/Model.mbi:3242:18-20
            _58_pe=_15_wi32[((_8_ptr_base + _56_i) + 1)] # bld/herlev/final/default/src/fusion/Model.mbi:3243:18-20
            if (_0_conidxs[_56_i] >= 0): # bld/herlev/final/default/src/fusion/Model.mbi:3245:18-33
              # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3245:35-3253:15
              mosek.fusion.Utils.Tools._arraycopy__3II_3III(_15_wi32,(_12_code + _15_wi32[(_13_codeptr + _57_pb)]),_37_xi32,(_48_lcode + _53_lcodei),(_15_wi32[(_13_codeptr + _58_pe)] - _15_wi32[(_13_codeptr + _57_pb)])) # bld/herlev/final/default/src/fusion/Model.mbi:3246:16-118
              mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(_17_wf64,(_14_cconst + _15_wi32[(_13_codeptr + _57_pb)]),_35_xf64,(_50_lcconst + _53_lcodei),(_15_wi32[(_13_codeptr + _58_pe)] - _15_wi32[(_13_codeptr + _57_pb)])) # bld/herlev/final/default/src/fusion/Model.mbi:3247:16-122
              _53_lcodei,_55_lnzi = fragments._c_closure_29(_13_codeptr,_53_lcodei,_46_lcodeptr,_55_lnzi,_57_pb,_58_pe,_15_wi32,_37_xi32) # bld/herlev/final/default/src/fusion/Model.mbi:3248:16-3252:17
              _53_lcodei = numpy.int32(_53_lcodei) # postprocess
              _55_lnzi = numpy.int32(_55_lnzi) # postprocess
              # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3245:35-3253:15
            else:
              # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3254:19-3262:15
              mosek.fusion.Utils.Tools._arraycopy__3II_3III(_15_wi32,(_12_code + _15_wi32[(_13_codeptr + _57_pb)]),_37_xi32,(_49_ccode + _52_ccodei),(_15_wi32[(_13_codeptr + _58_pe)] - _15_wi32[(_13_codeptr + _57_pb)])) # bld/herlev/final/default/src/fusion/Model.mbi:3255:16-118
              mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(_17_wf64,(_14_cconst + _15_wi32[(_13_codeptr + _57_pb)]),_35_xf64,(_51_ccconst + _52_ccodei),(_15_wi32[(_13_codeptr + _58_pe)] - _15_wi32[(_13_codeptr + _57_pb)])) # bld/herlev/final/default/src/fusion/Model.mbi:3256:16-122
              _52_ccodei,_40_cnzi = fragments._c_closure_30(_52_ccodei,_47_ccodeptr,_40_cnzi,_13_codeptr,_57_pb,_58_pe,_15_wi32,_37_xi32) # bld/herlev/final/default/src/fusion/Model.mbi:3257:16-3261:17
              _52_ccodei = numpy.int32(_52_ccodei) # postprocess
              _40_cnzi = numpy.int32(_40_cnzi) # postprocess
              # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3254:19-3262:15
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3241:35-3263:13
          self.__con_blocks._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(self.__xs,numpy.array([_37_xi32[(_27_lrowidx + _59_i)] for _59_i in range(0,_18_num_lincon)], dtype=numpy.dtype(numpy.int32)),_29_lptr,_31_lnidxs,_46_lcodeptr,_48_lcode,_50_lcconst) # bld/herlev/final/default/src/fusion/Model.mbi:3264:12-125
          self.__afe_blocks._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(self.__xs,numpy.array([numpy.int32(_36_xi64[(_28_crowidx + _60_i)]) for _60_i in range(0,_19_num_concon)], dtype=numpy.dtype(numpy.int32)),_30_cptr,_32_cnidxs,_47_ccodeptr,_49_ccode,_51_ccconst) # bld/herlev/final/default/src/fusion/Model.mbi:3265:12-132
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3224:29-3266:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3267:15-3270:11
          self.__con_blocks._clear_1row_1code__3I(numpy.array([_37_xi32[(_27_lrowidx + _61_i)] for _61_i in range(0,_18_num_lincon)], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/Model.mbi:3268:12-85
          self.__afe_blocks._clear_1row_1code__3I(numpy.array([numpy.int32(_36_xi64[(_28_crowidx + _62_i)]) for _62_i in range(0,_19_num_concon)], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/Model.mbi:3269:12-92
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3267:15-3270:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3180:13-3272:9
      self.__xs._clear_() # bld/herlev/final/default/src/fusion/Model.mbi:3274:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3141:64-3275:7
    def _update_alt__3ILmosek_4fusion_4Expression_2_3I(self,_t__0_conidxs,_t__1_expr,_t__2_varidxs):
      _0_conidxs=numpy.array(_t__0_conidxs,dtype=numpy.dtype(numpy.int32))
      _1_expr=_t__1_expr
      _2_varidxs=numpy.array(_t__2_varidxs,dtype=numpy.dtype(numpy.int32))
      _1 = self._update__3ILmosek_4fusion_4Expression_2_3I(_0_conidxs,_1_expr,_2_varidxs)
      try:
        _t__0_conidxs[:] = _0_conidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_varidxs[:] = _2_varidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _update__3ILmosek_4fusion_4Expression_2_3I(self,_0_conidxs,_1_expr,_2_varidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2926:81-3137:7
      for _3_i in range(0,int((_0_conidxs).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:2927:8-2932:9
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2927:38-2932:9
        if ((_0_conidxs[_3_i] >= 0) and self.__con_blocks._row_1is_1parameterized_I(_3_i)): # bld/herlev/final/default/src/fusion/Model.mbi:2928:18-72
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2929:12-76
          raise mosek_fusion_UpdateError._ctor_S("Cannot update parameterized constraint") # bld/herlev/final/default/src/fusion/Model.mbi:2929:12-76
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2929:12-76
        elif ((_0_conidxs[_3_i] < 0) and self.__con_blocks._row_1is_1parameterized_I((- (_3_i + 1)))): # bld/herlev/final/default/src/fusion/Model.mbi:2930:18-77
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2931:12-76
          raise mosek_fusion_UpdateError._ctor_S("Cannot update parameterized constraint") # bld/herlev/final/default/src/fusion/Model.mbi:2931:12-76
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2931:12-76
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2927:38-2932:9
      mosek_fusion_ExprDense._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprCompress._ctor_Lmosek_4fusion_4Expression_2(_1_expr))._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self.__ws,self.__rs,self.__xs) # bld/herlev/final/default/src/fusion/Model.mbi:2934:8-61
      self.__ws._pop_1expr_() # bld/herlev/final/default/src/fusion/Model.mbi:2936:8-22
      _4_nd=(self.__ws.nd) # bld/herlev/final/default/src/fusion/Model.mbi:2937:12-14
      _5_nelem=(self.__ws.nelem) # bld/herlev/final/default/src/fusion/Model.mbi:2938:12-17
      _6_nnz=(self.__ws.nnz) # bld/herlev/final/default/src/fusion/Model.mbi:2939:12-15
      _7_hassp=(self.__ws.hassp) # bld/herlev/final/default/src/fusion/Model.mbi:2940:12-17
      _8_ncodeatom=(self.__ws.ncodeatom) # bld/herlev/final/default/src/fusion/Model.mbi:2941:12-21
      _9_shape_base=(self.__ws.shape_base) # bld/herlev/final/default/src/fusion/Model.mbi:2943:12-22
      _10_ptr_base=(self.__ws.ptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:2944:12-20
      _11_sp_base=(self.__ws.sp_base) # bld/herlev/final/default/src/fusion/Model.mbi:2945:12-19
      _12_nidxs_base=(self.__ws.nidxs_base) # bld/herlev/final/default/src/fusion/Model.mbi:2946:12-22
      _13_cof_base=(self.__ws.cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:2947:12-20
      _14_code=(self.__ws.code_base) # bld/herlev/final/default/src/fusion/Model.mbi:2948:12-16
      _15_codeptr=(self.__ws.codeptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:2949:12-19
      _16_cconst=(self.__ws.cconst_base) # bld/herlev/final/default/src/fusion/Model.mbi:2950:12-18
      _17_wi32=(self.__ws.i32) # bld/herlev/final/default/src/fusion/Model.mbi:2952:12-16
      _18_wi64=(self.__ws.i64) # bld/herlev/final/default/src/fusion/Model.mbi:2953:12-16
      _19_wf64=(self.__ws.f64) # bld/herlev/final/default/src/fusion/Model.mbi:2954:12-16
      _20_num_lincon=0 # bld/herlev/final/default/src/fusion/Model.mbi:2956:12-22
      _20_num_lincon = fragments._c_closure_31(_0_conidxs,_5_nelem,_20_num_lincon) # bld/herlev/final/default/src/fusion/Model.mbi:2956:28-85
      _20_num_lincon = numpy.int32(_20_num_lincon) # postprocess
      _21_num_concon=(_5_nelem - _20_num_lincon) # bld/herlev/final/default/src/fusion/Model.mbi:2957:12-22
      if ((_20_num_lincon==_5_nelem) or (_21_num_concon==_5_nelem)): # bld/herlev/final/default/src/fusion/Model.mbi:2959:16-58
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2959:60-2993:9
        _22_N=(int((_0_conidxs).shape[0]) * int((_2_varidxs).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:2960:14-15
        _23_cof=numpy.zeros((_22_N,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:2961:14-17
        _24_nzi=0 # bld/herlev/final/default/src/fusion/Model.mbi:2963:14-17
        _24_nzi = fragments._c_closure_32(_23_cof,_13_cof_base,_5_nelem,_12_nidxs_base,_24_nzi,_10_ptr_base,_2_varidxs,_19_wf64,_17_wi32,_18_wi64) # bld/herlev/final/default/src/fusion/Model.mbi:2964:10-2978:11
        _24_nzi = numpy.int32(_24_nzi) # postprocess
        _25_subj=numpy.array([_2_varidxs[_27_j] for _26_i in range(0,_5_nelem) for _27_j in range(0,int((_2_varidxs).shape[0]))], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2980:14-18
        if (_20_num_lincon==_5_nelem): # bld/herlev/final/default/src/fusion/Model.mbi:2981:14-33
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2981:35-2986:11
          _28_subi=numpy.array([_0_conidxs[_29_i] for _29_i in range(0,_5_nelem) for _30_j in range(0,int((_2_varidxs).shape[0]))], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2982:16-20
          self._task_1putaijlist__3I_3I_3DJ(_28_subi,_25_subj,_23_cof,_24_nzi) # bld/herlev/final/default/src/fusion/Model.mbi:2983:12-47
          if (_8_ncodeatom > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2984:16-29
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2985:14-94
            self.__con_blocks._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(self.__rs,_0_conidxs,_10_ptr_base,_12_nidxs_base,_15_codeptr,_14_code,_16_cconst) # bld/herlev/final/default/src/fusion/Model.mbi:2985:14-94
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2985:14-94
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2981:35-2986:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2987:15-2992:11
          _31_subi=numpy.array([(- (_0_conidxs[_32_i] + 1)) for _32_i in range(0,_5_nelem) for _33_j in range(0,int((_2_varidxs).shape[0]))], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2988:16-20
          self._task_1putafefijlist__3I_3I_3D(_31_subi,_25_subj,_23_cof) # bld/herlev/final/default/src/fusion/Model.mbi:2989:12-46
          if (_8_ncodeatom > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2990:16-29
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2991:14-127
            self.__afe_blocks._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(self.__rs,numpy.array([(- (1 + _0_conidxs[_34_i])) for _34_i in range(0,_5_nelem)], dtype=numpy.dtype(numpy.int32)),_10_ptr_base,_12_nidxs_base,_15_codeptr,_14_code,_16_cconst) # bld/herlev/final/default/src/fusion/Model.mbi:2991:14-127
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2991:14-127
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2987:15-2992:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2959:60-2993:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2994:13-3135:9
        _35_cN=(_21_num_concon * int((_2_varidxs).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:2995:47-49
        _36_lN=(_20_num_lincon * int((_2_varidxs).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:2995:14-16
        _37_lcof=numpy.zeros((_36_lN,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:2996:14-18
        _38_ccof=numpy.zeros((_35_cN,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:2997:14-18
        _39_lsubj=numpy.array([_2_varidxs[_41_j] for _40_i in range(0,_20_num_lincon) for _41_j in range(0,int((_2_varidxs).shape[0]))], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2998:14-19
        _42_csubj=numpy.array([_2_varidxs[_44_j] for _43_i in range(0,_21_num_concon) for _44_j in range(0,int((_2_varidxs).shape[0]))], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2999:14-19
        _45_lsubi=numpy.zeros((_20_num_lincon,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:3000:14-19
        _46_csubi=numpy.zeros((_21_num_concon,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:3001:14-19
        _47_crowi=0 # bld/herlev/final/default/src/fusion/Model.mbi:3003:74-79
        _48_lrowi=0 # bld/herlev/final/default/src/fusion/Model.mbi:3003:63-68
        _49_cncodeelm=0 # bld/herlev/final/default/src/fusion/Model.mbi:3003:48-57
        _50_lncodeelm=0 # bld/herlev/final/default/src/fusion/Model.mbi:3003:33-42
        _51_cnnz=0 # bld/herlev/final/default/src/fusion/Model.mbi:3003:24-28
        _52_lnnz=0 # bld/herlev/final/default/src/fusion/Model.mbi:3003:14-18
        _51_cnnz,_52_lnnz = fragments._c_closure_33(_38_ccof,_51_cnnz,_13_cof_base,_0_conidxs,_46_csubi,_37_lcof,_52_lnnz,_45_lsubi,_5_nelem,_12_nidxs_base,_10_ptr_base,_2_varidxs,_19_wf64,_17_wi32,_18_wi64) # bld/herlev/final/default/src/fusion/Model.mbi:3005:10-3034:11
        _51_cnnz = numpy.int32(_51_cnnz) # postprocess
        _52_lnnz = numpy.int32(_52_lnnz) # postprocess
        self._task_1putaijlist__3I_3I_3DJ(_45_lsubi,_39_lsubj,_37_lcof,_52_lnnz) # bld/herlev/final/default/src/fusion/Model.mbi:3035:10-49
        self._task_1putafefijlist__3I_3I_3D(_46_csubi,_42_csubj,_38_ccof) # bld/herlev/final/default/src/fusion/Model.mbi:3036:10-47
        if (_8_ncodeatom > 0): # bld/herlev/final/default/src/fusion/Model.mbi:3040:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3040:29-3114:11
          _51_cnnz,_52_lnnz = fragments._c_closure_34(_51_cnnz,_0_conidxs,_52_lnnz,_5_nelem,_10_ptr_base,_17_wi32) # bld/herlev/final/default/src/fusion/Model.mbi:3041:12-3043:79
          _51_cnnz = numpy.int32(_51_cnnz) # postprocess
          _52_lnnz = numpy.int32(_52_lnnz) # postprocess
          _53_lrowidx=numpy.zeros((_20_num_lincon,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:3044:16-23
          _54_crowidx=numpy.zeros((_21_num_concon,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:3045:16-23
          _55_lptr=self.__xs._alloci32_I((_20_num_lincon + 1)) # bld/herlev/final/default/src/fusion/Model.mbi:3046:16-20
          _56_cptr=self.__xs._alloci32_I((_21_num_concon + 1)) # bld/herlev/final/default/src/fusion/Model.mbi:3047:16-20
          _57_lnidxs=self.__xs._alloci64_I(_52_lnnz) # bld/herlev/final/default/src/fusion/Model.mbi:3048:16-22
          _58_cnidxs=self.__xs._alloci64_I(_51_cnnz) # bld/herlev/final/default/src/fusion/Model.mbi:3049:16-22
          _59_xf64=(self.__xs.f64) # bld/herlev/final/default/src/fusion/Model.mbi:3051:46-50
          _60_xi64=(self.__xs.i64) # bld/herlev/final/default/src/fusion/Model.mbi:3051:31-35
          _61_xi32=(self.__xs.i32) # bld/herlev/final/default/src/fusion/Model.mbi:3051:16-20
          _61_xi32[_55_lptr] = 0 # bld/herlev/final/default/src/fusion/Model.mbi:3053:12-27
          _61_xi32[_56_cptr] = 0 # bld/herlev/final/default/src/fusion/Model.mbi:3054:12-27
          _62_ci=0 # bld/herlev/final/default/src/fusion/Model.mbi:3055:42-44
          _63_li=0 # bld/herlev/final/default/src/fusion/Model.mbi:3055:35-37
          _64_cnzi=0 # bld/herlev/final/default/src/fusion/Model.mbi:3055:26-30
          _65_lnzi=0 # bld/herlev/final/default/src/fusion/Model.mbi:3055:16-20
          _62_ci,_64_cnzi,_63_li,_65_lnzi = fragments._c_closure_35(_62_ci,_64_cnzi,_0_conidxs,_56_cptr,_54_crowidx,_63_li,_65_lnzi,_55_lptr,_53_lrowidx,_5_nelem,_10_ptr_base,_17_wi32,_61_xi32) # bld/herlev/final/default/src/fusion/Model.mbi:3056:12-3071:13
          _62_ci = numpy.int32(_62_ci) # postprocess
          _64_cnzi = numpy.int32(_64_cnzi) # postprocess
          _63_li = numpy.int32(_63_li) # postprocess
          _65_lnzi = numpy.int32(_65_lnzi) # postprocess
          _49_cncodeelm,_50_lncodeelm = fragments._c_closure_36(_49_cncodeelm,_15_codeptr,_0_conidxs,_50_lncodeelm,_5_nelem,_10_ptr_base,_17_wi32) # bld/herlev/final/default/src/fusion/Model.mbi:3073:12-3075:112
          _49_cncodeelm = numpy.int32(_49_cncodeelm) # postprocess
          _50_lncodeelm = numpy.int32(_50_lncodeelm) # postprocess
          _66_lcodeptr=self.__xs._alloci32_I((_52_lnnz + 1)) # bld/herlev/final/default/src/fusion/Model.mbi:3077:16-24
          _67_ccodeptr=self.__xs._alloci32_I((_51_cnnz + 1)) # bld/herlev/final/default/src/fusion/Model.mbi:3078:16-24
          _68_lcode=self.__xs._alloci32_I(_50_lncodeelm) # bld/herlev/final/default/src/fusion/Model.mbi:3079:16-21
          _69_ccode=self.__xs._alloci32_I(_49_cncodeelm) # bld/herlev/final/default/src/fusion/Model.mbi:3080:16-21
          _70_lcconst=self.__xs._allocf64_I(_50_lncodeelm) # bld/herlev/final/default/src/fusion/Model.mbi:3081:16-23
          _71_ccconst=self.__xs._allocf64_I(_49_cncodeelm) # bld/herlev/final/default/src/fusion/Model.mbi:3082:16-23
          _61_xi32[_66_lcodeptr] = 0 # bld/herlev/final/default/src/fusion/Model.mbi:3084:12-31
          _61_xi32[_67_ccodeptr] = 0 # bld/herlev/final/default/src/fusion/Model.mbi:3085:12-31
          _72_ccodei=0 # bld/herlev/final/default/src/fusion/Model.mbi:3087:28-34
          _73_lcodei=0 # bld/herlev/final/default/src/fusion/Model.mbi:3087:16-22
          _74_rnzi=0 # bld/herlev/final/default/src/fusion/Model.mbi:3088:26-30
          _75_lnzi=0 # bld/herlev/final/default/src/fusion/Model.mbi:3088:16-20
          for _76_i in range(0,_5_nelem): # bld/herlev/final/default/src/fusion/Model.mbi:3089:12-3111:13
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3089:35-3111:13
            _77_pb=_17_wi32[(_10_ptr_base + _76_i)] # bld/herlev/final/default/src/fusion/Model.mbi:3090:18-20
            _78_pe=_17_wi32[((_10_ptr_base + _76_i) + 1)] # bld/herlev/final/default/src/fusion/Model.mbi:3091:18-20
            if (_0_conidxs[_76_i] >= 0): # bld/herlev/final/default/src/fusion/Model.mbi:3093:18-33
              # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3093:35-3101:15
              mosek.fusion.Utils.Tools._arraycopy__3II_3III(_17_wi32,(_14_code + _17_wi32[(_15_codeptr + _77_pb)]),_61_xi32,(_68_lcode + _73_lcodei),(_17_wi32[(_15_codeptr + _78_pe)] - _17_wi32[(_15_codeptr + _77_pb)])) # bld/herlev/final/default/src/fusion/Model.mbi:3094:16-118
              mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(_19_wf64,(_16_cconst + _17_wi32[(_15_codeptr + _77_pb)]),_59_xf64,(_70_lcconst + _73_lcodei),(_17_wi32[(_15_codeptr + _78_pe)] - _17_wi32[(_15_codeptr + _77_pb)])) # bld/herlev/final/default/src/fusion/Model.mbi:3095:16-122
              _73_lcodei,_75_lnzi = fragments._c_closure_37(_15_codeptr,_73_lcodei,_66_lcodeptr,_75_lnzi,_77_pb,_78_pe,_17_wi32,_61_xi32) # bld/herlev/final/default/src/fusion/Model.mbi:3096:16-3100:17
              _73_lcodei = numpy.int32(_73_lcodei) # postprocess
              _75_lnzi = numpy.int32(_75_lnzi) # postprocess
              # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3093:35-3101:15
            else:
              # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3102:19-3110:15
              mosek.fusion.Utils.Tools._arraycopy__3II_3III(_17_wi32,(_14_code + _17_wi32[(_15_codeptr + _77_pb)]),_61_xi32,(_69_ccode + _72_ccodei),(_17_wi32[(_15_codeptr + _78_pe)] - _17_wi32[(_15_codeptr + _77_pb)])) # bld/herlev/final/default/src/fusion/Model.mbi:3103:16-118
              mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(_19_wf64,(_16_cconst + _17_wi32[(_15_codeptr + _77_pb)]),_59_xf64,(_71_ccconst + _72_ccodei),(_17_wi32[(_15_codeptr + _78_pe)] - _17_wi32[(_15_codeptr + _77_pb)])) # bld/herlev/final/default/src/fusion/Model.mbi:3104:16-122
              _72_ccodei,_64_cnzi = fragments._c_closure_38(_72_ccodei,_67_ccodeptr,_64_cnzi,_15_codeptr,_77_pb,_78_pe,_17_wi32,_61_xi32) # bld/herlev/final/default/src/fusion/Model.mbi:3105:16-3109:17
              _72_ccodei = numpy.int32(_72_ccodei) # postprocess
              _64_cnzi = numpy.int32(_64_cnzi) # postprocess
              # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3102:19-3110:15
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3089:35-3111:13
          self.__con_blocks._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(self.__xs,_53_lrowidx,_55_lptr,_57_lnidxs,_66_lcodeptr,_68_lcode,_70_lcconst) # bld/herlev/final/default/src/fusion/Model.mbi:3112:12-87
          self.__afe_blocks._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(self.__xs,_54_crowidx,_56_cptr,_58_cnidxs,_67_ccodeptr,_69_ccode,_71_ccconst) # bld/herlev/final/default/src/fusion/Model.mbi:3113:12-87
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3040:29-3114:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:3115:15-3133:11
          _79_lrowidx=numpy.zeros((_20_num_lincon,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:3116:16-23
          _80_crowidx=numpy.zeros((_21_num_concon,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:3117:16-23
          _81_ci=0 # bld/herlev/final/default/src/fusion/Model.mbi:3119:23-25
          _82_li=0 # bld/herlev/final/default/src/fusion/Model.mbi:3119:16-18
          _81_ci,_82_li = fragments._c_closure_39(_81_ci,_0_conidxs,_80_crowidx,_82_li,_79_lrowidx,_5_nelem) # bld/herlev/final/default/src/fusion/Model.mbi:3120:12-3129:13
          _81_ci = numpy.int32(_81_ci) # postprocess
          _82_li = numpy.int32(_82_li) # postprocess
          self.__con_blocks._clear_1row_1code__3I(_79_lrowidx) # bld/herlev/final/default/src/fusion/Model.mbi:3131:12-47
          self.__afe_blocks._clear_1row_1code__3I(_80_crowidx) # bld/herlev/final/default/src/fusion/Model.mbi:3132:12-47
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:3115:15-3133:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2994:13-3135:9
      self.__xs._clear_() # bld/herlev/final/default/src/fusion/Model.mbi:3136:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2926:81-3137:7
    @staticmethod
    def _match_updateObjective_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_x, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_x))
    @staticmethod
    def _match_alt_updateObjective_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_x, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_x))
    def _updateObjective_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(self,_t__0_expr,_t__1_x):
      return self._updateObjective_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(_0_expr,_1_x)
    def _updateObjective_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(self,_0_expr,_1_x):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2838:72-2921:7
      if (_0_expr._getSize_()!=1): # bld/herlev/final/default/src/fusion/Model.mbi:2839:12-31
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2840:10-76
        raise mosek_fusion_DimensionError._ctor_S("Invalid expression size for objective") # bld/herlev/final/default/src/fusion/Model.mbi:2840:10-76
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2840:10-76
      if ((self.__obj_blocks.code_used) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2841:12-36
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2842:10-74
        raise mosek_fusion_UpdateError._ctor_S("Cannot update parameterized constraint") # bld/herlev/final/default/src/fusion/Model.mbi:2842:10-74
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2842:10-74
      _2_ni=_1_x._numInst_() # bld/herlev/final/default/src/fusion/Model.mbi:2844:12-14
      _3_varidxs_=numpy.zeros((_2_ni,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:2845:12-20
      if (_2_ni < _1_x._getSize_()): # bld/herlev/final/default/src/fusion/Model.mbi:2846:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2846:30-2849:9
        _4_sp=numpy.zeros((_2_ni,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:2847:14-16
        _1_x._inst_I_3JI_3J(0,_4_sp,0,_3_varidxs_) # bld/herlev/final/default/src/fusion/Model.mbi:2848:10-34
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2846:30-2849:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2851:10-29
        _1_x._inst_I_3J(0,_3_varidxs_) # bld/herlev/final/default/src/fusion/Model.mbi:2851:10-29
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2851:10-29
      for _5_i in range(0,_2_ni): # bld/herlev/final/default/src/fusion/Model.mbi:2853:8-2855:91
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2854:10-2855:91
        if (_3_varidxs_[_5_i] < 0): # bld/herlev/final/default/src/fusion/Model.mbi:2854:14-29
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2855:12-91
          raise mosek_fusion_UpdateError._ctor_S("Updating semidefinite terms is currently not possible") # bld/herlev/final/default/src/fusion/Model.mbi:2855:12-91
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2855:12-91
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2854:10-2855:91
      _6_varidxs_issorted=True # bld/herlev/final/default/src/fusion/Model.mbi:2857:12-28
      _6_varidxs_issorted = fragments._c_closure_40(_2_ni,_3_varidxs_,_6_varidxs_issorted) # bld/herlev/final/default/src/fusion/Model.mbi:2858:8-2859:78
      _7_varidxs=None # bld/herlev/final/default/src/fusion/Model.mbi:2860:12-27
      if _6_varidxs_issorted: # bld/herlev/final/default/src/fusion/Model.mbi:2861:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2862:10-62
        _7_varidxs = numpy.array([numpy.int32(_3_varidxs_[_8_i]) for _8_i in range(0,_2_ni)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2862:10-62
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2862:10-62
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2863:13-2867:9
        _9_perm=numpy.array([_10_i for _10_i in range((- 1),_2_ni)], dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:2864:14-18
        mosek.fusion.CommonTools._argQsort__3J_3J_3JJJ(_9_perm,_3_varidxs_,None,0,_2_ni) # bld/herlev/final/default/src/fusion/Model.mbi:2865:10-57
        _7_varidxs = numpy.array([numpy.int32(_3_varidxs_[_9_perm[_11_i]]) for _11_i in range(0,_2_ni)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2866:10-67
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2863:13-2867:9
      _12_N=int((_7_varidxs).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:2869:12-13
      _13_cof=numpy.zeros((_12_N,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:2870:12-15
      _14_subj=_7_varidxs # bld/herlev/final/default/src/fusion/Model.mbi:2871:12-16
      mosek_fusion_ExprDense._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprCompress._ctor_Lmosek_4fusion_4Expression_2(_0_expr))._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self.__ws,self.__rs,self.__xs) # bld/herlev/final/default/src/fusion/Model.mbi:2873:8-61
      self.__ws._pop_1expr_() # bld/herlev/final/default/src/fusion/Model.mbi:2874:8-22
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2874:22-23
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2874:22-23
      _15_nd=(self.__ws.nd) # bld/herlev/final/default/src/fusion/Model.mbi:2876:12-14
      _16_nelem=(self.__ws.nelem) # bld/herlev/final/default/src/fusion/Model.mbi:2877:12-17
      _17_nnz=(self.__ws.nnz) # bld/herlev/final/default/src/fusion/Model.mbi:2878:12-15
      _18_hassp=(self.__ws.hassp) # bld/herlev/final/default/src/fusion/Model.mbi:2879:12-17
      _19_ncodeatom=(self.__ws.ncodeatom) # bld/herlev/final/default/src/fusion/Model.mbi:2880:12-21
      _20_shape_base=(self.__ws.shape_base) # bld/herlev/final/default/src/fusion/Model.mbi:2881:12-22
      _21_ptr_base=(self.__ws.ptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:2882:12-20
      _22_sp_base=(self.__ws.sp_base) # bld/herlev/final/default/src/fusion/Model.mbi:2883:12-19
      _23_nidxs_base=(self.__ws.nidxs_base) # bld/herlev/final/default/src/fusion/Model.mbi:2884:12-22
      _24_cof_base=(self.__ws.cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:2885:12-20
      _25_code_base=(self.__ws.code_base) # bld/herlev/final/default/src/fusion/Model.mbi:2886:12-21
      _26_codeptr_base=(self.__ws.codeptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:2887:12-24
      _27_cconst_base=(self.__ws.cconst_base) # bld/herlev/final/default/src/fusion/Model.mbi:2888:12-23
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2888:42-43
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2888:42-43
      if (_19_ncodeatom > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2891:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2892:10-73
        raise mosek_fusion_UpdateError._ctor_S("Cannot update parameterized objective") # bld/herlev/final/default/src/fusion/Model.mbi:2892:10-73
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2892:10-73
      _28_wi32=(self.__ws.i32) # bld/herlev/final/default/src/fusion/Model.mbi:2894:12-16
      _29_wi64=(self.__ws.i64) # bld/herlev/final/default/src/fusion/Model.mbi:2895:12-16
      _30_wf64=(self.__ws.f64) # bld/herlev/final/default/src/fusion/Model.mbi:2896:12-16
      _31_k=0 # bld/herlev/final/default/src/fusion/Model.mbi:2898:12-13
      _31_k = fragments._c_closure_41(_13_cof,_24_cof_base,_31_k,_16_nelem,_23_nidxs_base,_21_ptr_base,_7_varidxs,_30_wf64,_28_wi32,_29_wi64) # bld/herlev/final/default/src/fusion/Model.mbi:2899:8-2914:9
      _31_k = numpy.int32(_31_k) # postprocess
      self._task_1putclist__3I_3D(_14_subj,_13_cof) # bld/herlev/final/default/src/fusion/Model.mbi:2916:8-32
      if (_19_ncodeatom > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2919:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2920:10-106
        self.__obj_blocks._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(self.__rs,numpy.array([0], dtype=numpy.dtype(numpy.int32)),_21_ptr_base,_23_nidxs_base,_26_codeptr_base,_25_code_base,_27_cconst_base) # bld/herlev/final/default/src/fusion/Model.mbi:2920:10-106
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2920:10-106
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2838:72-2921:7
    def __parameter_1unchecked_alt_S_3I_3J(self,_t__0_name,_t__1_shape,_t__2_sp):
      _0_name=_t__0_name
      _1_shape=numpy.array(_t__1_shape,dtype=numpy.dtype(numpy.int32))
      _2_sp=numpy.array(_t__2_sp,dtype=numpy.dtype(numpy.int64))
      _1 = self.__parameter_1unchecked_S_3I_3J(_0_name,_1_shape,_2_sp)
      try:
        _t__1_shape[:] = _1_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_sp[:] = _2_sp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __parameter_1unchecked_S_3I_3J(self,_0_name,_1_shape,_2_sp):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2790:91-2823:7
      if ((int(len(_0_name)) > 0) and self.__par_map._hasItem_S(_0_name)): # bld/herlev/final/default/src/fusion/Model.mbi:2791:12-51
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2792:10-58
        raise mosek_fusion_NameError._ctor_S("Duplicate parameter name") # bld/herlev/final/default/src/fusion/Model.mbi:2792:10-58
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2792:10-58
      _3_sz=mosek.fusion.Set._size__3I(_1_shape) # bld/herlev/final/default/src/fusion/Model.mbi:2794:12-14
      _4_nelem=(int((_2_sp).shape[0]) if ((_2_sp is not None) ) else numpy.int32(_3_sz)) # bld/herlev/final/default/src/fusion/Model.mbi:2795:12-17
      if (self.__param_value is None): # bld/herlev/final/default/src/fusion/Model.mbi:2797:12-31
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2797:33-2799:9
        self.__param_value = numpy.zeros((_4_nelem,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:2798:10-41
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2797:33-2799:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2800:13-2806:9
        if ((self.__param_num + _4_nelem) > int((self.__param_value).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:2800:17-51
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2800:53-2806:9
          _5_old_param_value=self.__param_value # bld/herlev/final/default/src/fusion/Model.mbi:2801:14-29
          _6_new_len=((2 * int((_5_old_param_value).shape[0])) if (((2 * int((_5_old_param_value).shape[0])) > (int((_5_old_param_value).shape[0]) + _4_nelem)) ) else (int((_5_old_param_value).shape[0]) + _4_nelem)) # bld/herlev/final/default/src/fusion/Model.mbi:2802:14-21
          self.__param_value = numpy.zeros((_6_new_len,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:2803:10-43
          if (self.__param_num > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2804:14-27
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2805:12-77
            mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(_5_old_param_value,0,self.__param_value,0,self.__param_num) # bld/herlev/final/default/src/fusion/Model.mbi:2805:12-77
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2805:12-77
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2800:53-2806:9
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2800:13-2806:9
      _7_r=mosek_fusion_ParameterImpl._ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(self,_1_shape,_2_sp,numpy.array([(self.__param_num + _8_i) for _8_i in range(0,numpy.int32(_4_nelem))], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/Model.mbi:2808:12-13
      self.__param_num += _4_nelem # bld/herlev/final/default/src/fusion/Model.mbi:2809:8-27
      if (int(len(_0_name)) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2811:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2811:27-2820:9
        if ((self.__parameters is None) or (self.__numparameter==int((self.__parameters).shape[0]))): # bld/herlev/final/default/src/fusion/Model.mbi:2812:14-67
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2812:69-2816:11
          _9_tmppar=self.__parameters # bld/herlev/final/default/src/fusion/Model.mbi:2813:16-22
          self.__parameters = numpy.array([None for _10_i in range(0,((self.__numparameter * 2) + 64))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:2814:12-75
          for _11_i in range(0,self.__numparameter): # bld/herlev/final/default/src/fusion/Model.mbi:2815:12-68
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2815:42-68
            self.__parameters[_11_i] = _9_tmppar[_11_i] # bld/herlev/final/default/src/fusion/Model.mbi:2815:42-68
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2815:42-68
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2812:69-2816:11
        self.__parameters[self.__numparameter] = _7_r # bld/herlev/final/default/src/fusion/Model.mbi:2817:10-39
        self.__par_map._setItem_SI(_0_name,self.__numparameter) # bld/herlev/final/default/src/fusion/Model.mbi:2818:10-45
        self.__numparameter += 1 # bld/herlev/final/default/src/fusion/Model.mbi:2819:10-28
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2811:27-2820:9
      return (_7_r) # bld/herlev/final/default/src/fusion/Model.mbi:2822:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2790:91-2823:7
    def __parameter_1_alt_S_3I_3J(self,_t__0_name,_t__1_shape,_t__2_sp):
      _0_name=_t__0_name
      _1_shape=numpy.array(_t__1_shape,dtype=numpy.dtype(numpy.int32))
      _2_sp=numpy.array(_t__2_sp,dtype=numpy.dtype(numpy.int64))
      _1 = self.__parameter_1_S_3I_3J(_0_name,_1_shape,_2_sp)
      try:
        _t__1_shape[:] = _1_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_sp[:] = _2_sp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __parameter_1_S_3I_3J(self,_0_name,_1_shape,_2_sp):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2774:82-2788:7
      _3_sorted=True # bld/herlev/final/default/src/fusion/Model.mbi:2775:12-18
      _4_nd=int((_1_shape).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:2776:12-14
      if ((_2_sp is not None) and (int((_2_sp).shape[0]) > 0)): # bld/herlev/final/default/src/fusion/Model.mbi:2778:12-36
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2778:38-2785:9
        _5_ok=(_2_sp[(int((_2_sp).shape[0]) - 1)] < mosek.fusion.Set._size__3I(_1_shape)) # bld/herlev/final/default/src/fusion/Model.mbi:2779:14-16
        _5_ok = fragments._c_closure_42(_5_ok,_2_sp) # bld/herlev/final/default/src/fusion/Model.mbi:2780:10-2781:40
        if (not _5_ok): # bld/herlev/final/default/src/fusion/Model.mbi:2783:14-20
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2784:12-63
          raise mosek_fusion_IndexError._ctor_S("Unordered sparsity pattern") # bld/herlev/final/default/src/fusion/Model.mbi:2784:12-63
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2784:12-63
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2778:38-2785:9
      return (self.__parameter_1unchecked_S_3I_3J(_0_name,_1_shape,_2_sp)) # bld/herlev/final/default/src/fusion/Model.mbi:2787:8-50
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2774:82-2788:7
    def __parameter_1_alt_S_3I_3_5I(self,_t__0_name,_t__1_shape,_t__2_sparsity):
      _0_name=_t__0_name
      _1_shape=numpy.array(_t__1_shape,dtype=numpy.dtype(numpy.int32))
      _2_sparsity=numpy.array(_t__2_sparsity,ndmin=_monty.checkShape(_t__2_sparsity,2),dtype=numpy.dtype(numpy.int32))
      _1 = self.__parameter_1_S_3I_3_5I(_0_name,_1_shape,_2_sparsity)
      try:
        _t__1_shape[:] = _1_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __parameter_1_S_3I_3_5I(self,_0_name,_1_shape,_2_sparsity):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2751:88-2772:7
      _3_n=int((_2_sparsity).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:2752:12-13
      _4_m=int((_2_sparsity).shape[1]) # bld/herlev/final/default/src/fusion/Model.mbi:2753:12-13
      if (int((_1_shape).shape[0])!=_4_m): # bld/herlev/final/default/src/fusion/Model.mbi:2755:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2756:10-52
        raise mosek_fusion_LengthError._ctor_S("Invalid sparsity") # bld/herlev/final/default/src/fusion/Model.mbi:2756:10-52
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2756:10-52
      if (_2_sparsity is None): # bld/herlev/final/default/src/fusion/Model.mbi:2758:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2759:10-54
        return (self.__parameter_1unchecked_S_3I_3J(_0_name,_1_shape,None)) # bld/herlev/final/default/src/fusion/Model.mbi:2759:10-54
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2759:10-54
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2760:13-2771:9
        _5_sp=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:2761:14-16
        _6_strides=numpy.zeros((_4_m,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:2762:14-21
        _6_strides[(_4_m - 1)] = 1 # bld/herlev/final/default/src/fusion/Model.mbi:2763:10-27
        fragments._c_closure_43(_4_m,_1_shape,_6_strides) # bld/herlev/final/default/src/fusion/Model.mbi:2764:10-72
        fragments._c_closure_44(_4_m,_3_n,_5_sp,_2_sparsity,_6_strides) # bld/herlev/final/default/src/fusion/Model.mbi:2765:10-2768:11
        return (self.__parameter_1_S_3I_3J(_0_name,_1_shape,_5_sp)) # bld/herlev/final/default/src/fusion/Model.mbi:2770:10-43
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2760:13-2771:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2751:88-2772:7
    @staticmethod
    def _match_parameter_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_match_S__(_0_name))
    @staticmethod
    def _match_alt_parameter_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_alt_match_S__(_0_name))
    def _parameter_alt_S(self,_t__0_name):
      return self._parameter_S(_0_name)
    def _parameter_S(self,_0_name):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2749:73-139
      _1_sp=None # bld/herlev/final/default/src/fusion/Model.mbi:2749:79-89
      return (self.__parameter_1_S_3I_3J(_0_name,numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)),_1_sp)) # bld/herlev/final/default/src/fusion/Model.mbi:2749:98-137
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2749:73-139
    @staticmethod
    def _match_parameter_SIII(*args):
      if len(args) != 4: return False
      _0_name,_1_d1,_2_d2,_3_d3, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_I__(_1_d1)
              and __arg_match_I__(_2_d2)
              and __arg_match_I__(_3_d3))
    @staticmethod
    def _match_alt_parameter_SIII(*args):
      if len(args) != 4: return False
      _0_name,_1_d1,_2_d2,_3_d3, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_I__(_1_d1)
              and __arg_alt_match_I__(_2_d2)
              and __arg_alt_match_I__(_3_d3))
    def _parameter_alt_SIII(self,_t__0_name,_t__1_d1,_t__2_d2,_t__3_d3):
      return self._parameter_SIII(_0_name,numpy.int32(__1_d1),numpy.int32(__2_d2),numpy.int32(__3_d3))
    def _parameter_SIII(self,_0_name,_1_d1,_2_d2,_3_d3):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2748:89-159
      _4_sp=None # bld/herlev/final/default/src/fusion/Model.mbi:2748:95-105
      return (self.__parameter_1_S_3I_3J(_0_name,numpy.array([_1_d1,_2_d2,_3_d3], dtype=numpy.dtype(numpy.int32)),_4_sp)) # bld/herlev/final/default/src/fusion/Model.mbi:2748:114-157
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2748:89-159
    @staticmethod
    def _match_parameter_SII(*args):
      if len(args) != 3: return False
      _0_name,_1_d1,_2_d2, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_I__(_1_d1)
              and __arg_match_I__(_2_d2))
    @staticmethod
    def _match_alt_parameter_SII(*args):
      if len(args) != 3: return False
      _0_name,_1_d1,_2_d2, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_I__(_1_d1)
              and __arg_alt_match_I__(_2_d2))
    def _parameter_alt_SII(self,_t__0_name,_t__1_d1,_t__2_d2):
      return self._parameter_SII(_0_name,numpy.int32(__1_d1),numpy.int32(__2_d2))
    def _parameter_SII(self,_0_name,_1_d1,_2_d2):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2747:79-146
      _3_sp=None # bld/herlev/final/default/src/fusion/Model.mbi:2747:85-95
      return (self.__parameter_1_S_3I_3J(_0_name,numpy.array([_1_d1,_2_d2], dtype=numpy.dtype(numpy.int32)),_3_sp)) # bld/herlev/final/default/src/fusion/Model.mbi:2747:104-144
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2747:79-146
    @staticmethod
    def _match_parameter_SI(*args):
      if len(args) != 2: return False
      _0_name,_1_d1, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_I__(_1_d1))
    @staticmethod
    def _match_alt_parameter_SI(*args):
      if len(args) != 2: return False
      _0_name,_1_d1, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_I__(_1_d1))
    def _parameter_alt_SI(self,_t__0_name,_t__1_d1):
      return self._parameter_SI(_0_name,numpy.int32(__1_d1))
    def _parameter_SI(self,_0_name,_1_d1):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2746:79-143
      _2_sp=None # bld/herlev/final/default/src/fusion/Model.mbi:2746:85-95
      return (self.__parameter_1_S_3I_3J(_0_name,numpy.array([_1_d1], dtype=numpy.dtype(numpy.int32)),_2_sp)) # bld/herlev/final/default/src/fusion/Model.mbi:2746:104-141
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2746:79-143
    @staticmethod
    def _match_parameter_S_3I(*args):
      if len(args) != 2: return False
      _0_name,_1_shape, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match__3I__(_1_shape))
    @staticmethod
    def _match_alt_parameter_S_3I(*args):
      if len(args) != 2: return False
      _0_name,_1_shape, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match__3I__(_1_shape))
    def _parameter_alt_S_3I(self,_t__0_name,_t__1_shape):
      _0_name=_t__0_name
      _1_shape=numpy.array(_t__1_shape,dtype=numpy.dtype(numpy.int32))
      _1 = self._parameter_S_3I(_0_name,_1_shape)
      try:
        _t__1_shape[:] = _1_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _parameter_S_3I(self,_0_name,_1_shape):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2745:74-134
      _2_sp=None # bld/herlev/final/default/src/fusion/Model.mbi:2745:80-90
      return (self.__parameter_1_S_3I_3J(_0_name,_1_shape,_2_sp)) # bld/herlev/final/default/src/fusion/Model.mbi:2745:99-132
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2745:74-134
    @staticmethod
    def _match_parameter_S_3I_3J(*args):
      if len(args) != 3: return False
      _0_name,_1_shape,_2_sp, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match__3I__(_1_shape)
              and __arg_match__3J__(_2_sp))
    @staticmethod
    def _match_alt_parameter_S_3I_3J(*args):
      if len(args) != 3: return False
      _0_name,_1_shape,_2_sp, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match__3I__(_1_shape)
              and __arg_alt_match__3J__(_2_sp))
    def _parameter_alt_S_3I_3J(self,_t__0_name,_t__1_shape,_t__2_sp):
      _0_name=_t__0_name
      _1_shape=numpy.array(_t__1_shape,dtype=numpy.dtype(numpy.int32))
      _2_sp=numpy.array(_t__2_sp,dtype=numpy.dtype(numpy.int64))
      _1 = self._parameter_S_3I_3J(_0_name,_1_shape,_2_sp)
      try:
        _t__1_shape[:] = _1_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_sp[:] = _2_sp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _parameter_S_3I_3J(self,_0_name,_1_shape,_2_sp):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2744:86-123
      return (self.__parameter_1_S_3I_3J(_0_name,_1_shape,_2_sp)) # bld/herlev/final/default/src/fusion/Model.mbi:2744:88-121
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2744:86-123
    @staticmethod
    def _match_parameter_S_3I_3_5I(*args):
      if len(args) != 3: return False
      _0_name,_1_shape,_2_sparsity, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match__3I__(_1_shape)
              and __arg_match__3_5I__(_2_sparsity))
    @staticmethod
    def _match_alt_parameter_S_3I_3_5I(*args):
      if len(args) != 3: return False
      _0_name,_1_shape,_2_sparsity, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match__3I__(_1_shape)
              and __arg_alt_match__3_5I__(_2_sparsity))
    def _parameter_alt_S_3I_3_5I(self,_t__0_name,_t__1_shape,_t__2_sparsity):
      _0_name=_t__0_name
      _1_shape=numpy.array(_t__1_shape,dtype=numpy.dtype(numpy.int32))
      _2_sparsity=numpy.array(_t__2_sparsity,ndmin=_monty.checkShape(_t__2_sparsity,2),dtype=numpy.dtype(numpy.int32))
      _1 = self._parameter_S_3I_3_5I(_0_name,_1_shape,_2_sparsity)
      try:
        _t__1_shape[:] = _1_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _parameter_S_3I_3_5I(self,_0_name,_1_shape,_2_sparsity):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2743:93-136
      return (self.__parameter_1_S_3I_3_5I(_0_name,_1_shape,_2_sparsity)) # bld/herlev/final/default/src/fusion/Model.mbi:2743:95-134
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2743:93-136
    @staticmethod
    def _match_parameter_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_parameter_(*args):
      if len(args) != 0: return False
      return True
    def _parameter_alt_(self,):
      return self._parameter_()
    def _parameter_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2741:62-126
      _0_sp=None # bld/herlev/final/default/src/fusion/Model.mbi:2741:68-78
      return (self.__parameter_1_S_3I_3J("",numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)),_0_sp)) # bld/herlev/final/default/src/fusion/Model.mbi:2741:87-124
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2741:62-126
    @staticmethod
    def _match_parameter_III(*args):
      if len(args) != 3: return False
      _0_d1,_1_d2,_2_d3, = args
      return (    __arg_match_I__(_0_d1)
              and __arg_match_I__(_1_d2)
              and __arg_match_I__(_2_d3))
    @staticmethod
    def _match_alt_parameter_III(*args):
      if len(args) != 3: return False
      _0_d1,_1_d2,_2_d3, = args
      return (    __arg_alt_match_I__(_0_d1)
              and __arg_alt_match_I__(_1_d2)
              and __arg_alt_match_I__(_2_d3))
    def _parameter_alt_III(self,_t__0_d1,_t__1_d2,_t__2_d3):
      return self._parameter_III(numpy.int32(__0_d1),numpy.int32(__1_d2),numpy.int32(__2_d3))
    def _parameter_III(self,_0_d1,_1_d2,_2_d3):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2740:77-145
      _3_sp=None # bld/herlev/final/default/src/fusion/Model.mbi:2740:83-93
      return (self.__parameter_1_S_3I_3J("",numpy.array([_0_d1,_1_d2,_2_d3], dtype=numpy.dtype(numpy.int32)),_3_sp)) # bld/herlev/final/default/src/fusion/Model.mbi:2740:102-143
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2740:77-145
    @staticmethod
    def _match_parameter_II(*args):
      if len(args) != 2: return False
      _0_d1,_1_d2, = args
      return (    __arg_match_I__(_0_d1)
              and __arg_match_I__(_1_d2))
    @staticmethod
    def _match_alt_parameter_II(*args):
      if len(args) != 2: return False
      _0_d1,_1_d2, = args
      return (    __arg_alt_match_I__(_0_d1)
              and __arg_alt_match_I__(_1_d2))
    def _parameter_alt_II(self,_t__0_d1,_t__1_d2):
      return self._parameter_II(numpy.int32(__0_d1),numpy.int32(__1_d2))
    def _parameter_II(self,_0_d1,_1_d2):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2739:67-132
      _2_sp=None # bld/herlev/final/default/src/fusion/Model.mbi:2739:73-83
      return (self.__parameter_1_S_3I_3J("",numpy.array([_0_d1,_1_d2], dtype=numpy.dtype(numpy.int32)),_2_sp)) # bld/herlev/final/default/src/fusion/Model.mbi:2739:92-130
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2739:67-132
    @staticmethod
    def _match_parameter_I(*args):
      if len(args) != 1: return False
      _0_d1, = args
      return (    __arg_match_I__(_0_d1))
    @staticmethod
    def _match_alt_parameter_I(*args):
      if len(args) != 1: return False
      _0_d1, = args
      return (    __arg_alt_match_I__(_0_d1))
    def _parameter_alt_I(self,_t__0_d1):
      return self._parameter_I(numpy.int32(__0_d1))
    def _parameter_I(self,_0_d1):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2738:67-129
      _1_sp=None # bld/herlev/final/default/src/fusion/Model.mbi:2738:73-83
      return (self.__parameter_1_S_3I_3J("",numpy.array([_0_d1], dtype=numpy.dtype(numpy.int32)),_1_sp)) # bld/herlev/final/default/src/fusion/Model.mbi:2738:92-127
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2738:67-129
    @staticmethod
    def _match_parameter__3I(*args):
      if len(args) != 1: return False
      _0_shape, = args
      return (    __arg_match__3I__(_0_shape))
    @staticmethod
    def _match_alt_parameter__3I(*args):
      if len(args) != 1: return False
      _0_shape, = args
      return (    __arg_alt_match__3I__(_0_shape))
    def _parameter_alt__3I(self,_t__0_shape):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1 = self._parameter__3I(_0_shape)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _parameter__3I(self,_0_shape):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2737:62-120
      _1_sp=None # bld/herlev/final/default/src/fusion/Model.mbi:2737:68-78
      return (self.__parameter_1_S_3I_3J("",_0_shape,_1_sp)) # bld/herlev/final/default/src/fusion/Model.mbi:2737:87-118
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2737:62-120
    @staticmethod
    def _match_parameter__3I_3J(*args):
      if len(args) != 2: return False
      _0_shape,_1_sp, = args
      return (    __arg_match__3I__(_0_shape)
              and __arg_match__3J__(_1_sp))
    @staticmethod
    def _match_alt_parameter__3I_3J(*args):
      if len(args) != 2: return False
      _0_shape,_1_sp, = args
      return (    __arg_alt_match__3I__(_0_shape)
              and __arg_alt_match__3J__(_1_sp))
    def _parameter_alt__3I_3J(self,_t__0_shape,_t__1_sp):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1_sp=numpy.array(_t__1_sp,dtype=numpy.dtype(numpy.int64))
      _1 = self._parameter__3I_3J(_0_shape,_1_sp)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_sp[:] = _1_sp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _parameter__3I_3J(self,_0_shape,_1_sp):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2736:74-109
      return (self.__parameter_1_S_3I_3J("",_0_shape,_1_sp)) # bld/herlev/final/default/src/fusion/Model.mbi:2736:76-107
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2736:74-109
    @staticmethod
    def _match_parameter__3I_3_5I(*args):
      if len(args) != 2: return False
      _0_shape,_1_sparsity, = args
      return (    __arg_match__3I__(_0_shape)
              and __arg_match__3_5I__(_1_sparsity))
    @staticmethod
    def _match_alt_parameter__3I_3_5I(*args):
      if len(args) != 2: return False
      _0_shape,_1_sparsity, = args
      return (    __arg_alt_match__3I__(_0_shape)
              and __arg_alt_match__3_5I__(_1_sparsity))
    def _parameter_alt__3I_3_5I(self,_t__0_shape,_t__1_sparsity):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1_sparsity=numpy.array(_t__1_sparsity,ndmin=_monty.checkShape(_t__1_sparsity,2),dtype=numpy.dtype(numpy.int32))
      _1 = self._parameter__3I_3_5I(_0_shape,_1_sparsity)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _parameter__3I_3_5I(self,_0_shape,_1_sparsity):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2735:81-122
      return (self.__parameter_1_S_3I_3_5I("",_0_shape,_1_sparsity)) # bld/herlev/final/default/src/fusion/Model.mbi:2735:83-120
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2735:81-122
    def __objective_1_alt_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(self,_t__0_name,_t__1_sense,_t__2_expr):
      return self.__objective_1_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(_0_name,__1_sense,_2_expr)
    def __objective_1_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(self,_0_name,_1_sense,_2_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2642:6-2727:7
      self._task_1putobjectivename_S(_0_name) # bld/herlev/final/default/src/fusion/Model.mbi:2643:8-36
      _3_rs=mosek_fusion_WorkStack._ctor_() # bld/herlev/final/default/src/fusion/Model.mbi:2645:12-14
      _4_ws=mosek_fusion_WorkStack._ctor_() # bld/herlev/final/default/src/fusion/Model.mbi:2646:12-14
      _5_obje=mosek_fusion_ExprDense._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprOptimizeCode._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprCompress._ctor_Lmosek_4fusion_4Expression_2(_2_expr))) # bld/herlev/final/default/src/fusion/Model.mbi:2648:12-16
      _5_obje._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_3_rs,_4_ws,self.__xs) # bld/herlev/final/default/src/fusion/Model.mbi:2649:8-28
      _3_rs._pop_1expr_() # bld/herlev/final/default/src/fusion/Model.mbi:2650:8-22
      _6_ri32=(_3_rs.i32) # bld/herlev/final/default/src/fusion/Model.mbi:2652:12-16
      _7_ri64=(_3_rs.i64) # bld/herlev/final/default/src/fusion/Model.mbi:2653:12-16
      _8_rf64=(_3_rs.f64) # bld/herlev/final/default/src/fusion/Model.mbi:2654:12-16
      _9_nd=(_3_rs.nd) # bld/herlev/final/default/src/fusion/Model.mbi:2656:12-14
      _10_nelem=(_3_rs.nelem) # bld/herlev/final/default/src/fusion/Model.mbi:2657:12-17
      _11_nnz=(_3_rs.nnz) # bld/herlev/final/default/src/fusion/Model.mbi:2659:12-15
      _12_hassp=(_3_rs.hassp) # bld/herlev/final/default/src/fusion/Model.mbi:2660:12-17
      _13_ncodeatom=(_3_rs.ncodeatom) # bld/herlev/final/default/src/fusion/Model.mbi:2661:12-21
      _14_ptr_base=(_3_rs.ptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:2662:12-20
      _15_shape_base=(_3_rs.shape_base) # bld/herlev/final/default/src/fusion/Model.mbi:2663:12-22
      _16_nidxs_base=(_3_rs.nidxs_base) # bld/herlev/final/default/src/fusion/Model.mbi:2665:12-22
      _17_cof_base=(_3_rs.cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:2666:12-20
      _18_code_base=(_3_rs.code_base) # bld/herlev/final/default/src/fusion/Model.mbi:2667:12-21
      _19_codeptr_base=(_3_rs.codeptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:2668:12-24
      _20_cconst_base=(_3_rs.cconst_base) # bld/herlev/final/default/src/fusion/Model.mbi:2669:12-23
      _21_totalsize=1 # bld/herlev/final/default/src/fusion/Model.mbi:2671:12-21
      _9_nd = fragments._c_closure_45(_9_nd,_6_ri32,_15_shape_base) # bld/herlev/final/default/src/fusion/Model.mbi:2671:29-74
      _9_nd = numpy.int32(_9_nd) # postprocess
      if (_21_totalsize!=1): # bld/herlev/final/default/src/fusion/Model.mbi:2673:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2674:10-73
        raise mosek_fusion_LengthError._ctor_S("Invalid expression size for objective") # bld/herlev/final/default/src/fusion/Model.mbi:2674:10-73
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2674:10-73
      if (_10_nelem!=1): # bld/herlev/final/default/src/fusion/Model.mbi:2675:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2676:10-68
        raise mosek_fusion_LengthError._ctor_S("Invalid expression for objective") # bld/herlev/final/default/src/fusion/Model.mbi:2676:10-68
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2676:10-68
      _22_linnz=0 # bld/herlev/final/default/src/fusion/Model.mbi:2679:12-17
      _23_psdnz=0 # bld/herlev/final/default/src/fusion/Model.mbi:2680:12-17
      _22_linnz,_23_psdnz = fragments._c_closure_46(_22_linnz,_16_nidxs_base,_11_nnz,_23_psdnz,_7_ri64) # bld/herlev/final/default/src/fusion/Model.mbi:2681:8-2684:9
      _22_linnz = numpy.int32(_22_linnz) # postprocess
      _23_psdnz = numpy.int32(_23_psdnz) # postprocess
      _24_subj=numpy.zeros((_22_linnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2688:12-16
      _25_cof=numpy.zeros((_22_linnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:2689:12-15
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2691:8-2700:9
      fragments._c_closure_47(_25_cof,_17_cof_base,_16_nidxs_base,_11_nnz,_8_rf64,_7_ri64,_24_subj) # bld/herlev/final/default/src/fusion/Model.mbi:2691:8-2700:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2691:8-2700:9
      self._task_1putobjective_Z_3I_3DD((_1_sense==mosek.fusion.ObjectiveSense.Maximize),_24_subj,_25_cof,0.0) # bld/herlev/final/default/src/fusion/Model.mbi:2702:8-76
      if (_23_psdnz > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2705:12-21
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2705:23-2721:9
        _26_subj=numpy.zeros((_23_psdnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2706:14-18
        _27_subk=numpy.zeros((_23_psdnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2707:14-18
        _28_subl=numpy.zeros((_23_psdnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2708:14-18
        _29_val=numpy.zeros((_23_psdnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:2709:14-17
        fragments._c_closure_48(self.__barvar_block_elm_barj,self.__barvar_block_elm_i,self.__barvar_block_elm_j,_17_cof_base,_16_nidxs_base,_23_psdnz,_8_rf64,_7_ri64,_26_subj,_27_subk,_28_subl,_29_val) # bld/herlev/final/default/src/fusion/Model.mbi:2711:10-2717:11
        self._task_1putbarc__3I_3I_3I_3D(_26_subj,_27_subk,_28_subl,_29_val) # bld/herlev/final/default/src/fusion/Model.mbi:2720:10-43
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2705:23-2721:9
      if (_13_ncodeatom > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2725:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2726:10-106
        self.__obj_blocks._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(_3_rs,numpy.array([0], dtype=numpy.dtype(numpy.int32)),_14_ptr_base,_16_nidxs_base,_19_codeptr_base,_18_code_base,_20_cconst_base) # bld/herlev/final/default/src/fusion/Model.mbi:2726:10-106
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2726:10-106
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2642:6-2727:7
    @staticmethod
    def _match_objective_D(*args):
      if len(args) != 1: return False
      _0_c, = args
      return (    __arg_match_D__(_0_c))
    @staticmethod
    def _match_alt_objective_D(*args):
      if len(args) != 1: return False
      _0_c, = args
      return (    __arg_alt_match_D__(_0_c))
    def _objective_alt_D(self,_t__0_c):
      return self._objective_D(numpy.float64(__0_c))
    def _objective_D(self,_0_c):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2635:102-163
      self.__objective_1_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2("",mosek.fusion.ObjectiveSense.Minimize,mosek.fusion.Expr._constTerm_D(_0_c)) # bld/herlev/final/default/src/fusion/Model.mbi:2635:104-161
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2635:102-163
    @staticmethod
    def _match_objective_Emosek_4fusion_4ObjectiveSense_2D(*args):
      if len(args) != 2: return False
      _0_sense,_1_c, = args
      return (    __arg_match_Emosek_4fusion_4ObjectiveSense_2__(_0_sense)
              and __arg_match_D__(_1_c))
    @staticmethod
    def _match_alt_objective_Emosek_4fusion_4ObjectiveSense_2D(*args):
      if len(args) != 2: return False
      _0_sense,_1_c, = args
      return (    __arg_alt_match_Emosek_4fusion_4ObjectiveSense_2__(_0_sense)
              and __arg_alt_match_D__(_1_c))
    def _objective_alt_Emosek_4fusion_4ObjectiveSense_2D(self,_t__0_sense,_t__1_c):
      return self._objective_Emosek_4fusion_4ObjectiveSense_2D(__0_sense,numpy.float64(__1_c))
    def _objective_Emosek_4fusion_4ObjectiveSense_2D(self,_0_sense,_1_c):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2634:102-145
      self.__objective_1_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2("",_0_sense,mosek.fusion.Expr._constTerm_D(_1_c)) # bld/herlev/final/default/src/fusion/Model.mbi:2634:104-143
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2634:102-145
    @staticmethod
    def _match_objective_Emosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_sense,_1_expr, = args
      return (    __arg_match_Emosek_4fusion_4ObjectiveSense_2__(_0_sense)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _match_alt_objective_Emosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_sense,_1_expr, = args
      return (    __arg_alt_match_Emosek_4fusion_4ObjectiveSense_2__(_0_sense)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    def _objective_alt_Emosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(self,_t__0_sense,_t__1_expr):
      return self._objective_Emosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(__0_sense,_1_expr)
    def _objective_Emosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(self,_0_sense,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2633:102-132
      self.__objective_1_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2("",_0_sense,_1_expr) # bld/herlev/final/default/src/fusion/Model.mbi:2633:104-130
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2633:102-132
    @staticmethod
    def _match_objective_SD(*args):
      if len(args) != 2: return False
      _0_name,_1_c, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_D__(_1_c))
    @staticmethod
    def _match_alt_objective_SD(*args):
      if len(args) != 2: return False
      _0_name,_1_c, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_D__(_1_c))
    def _objective_alt_SD(self,_t__0_name,_t__1_c):
      return self._objective_SD(_0_name,numpy.float64(__1_c))
    def _objective_SD(self,_0_name,_1_c):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2632:102-165
      self.__objective_1_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(_0_name,mosek.fusion.ObjectiveSense.Minimize,mosek.fusion.Expr._constTerm_D(_1_c)) # bld/herlev/final/default/src/fusion/Model.mbi:2632:104-163
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2632:102-165
    @staticmethod
    def _match_objective_SEmosek_4fusion_4ObjectiveSense_2D(*args):
      if len(args) != 3: return False
      _0_name,_1_sense,_2_c, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_Emosek_4fusion_4ObjectiveSense_2__(_1_sense)
              and __arg_match_D__(_2_c))
    @staticmethod
    def _match_alt_objective_SEmosek_4fusion_4ObjectiveSense_2D(*args):
      if len(args) != 3: return False
      _0_name,_1_sense,_2_c, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_Emosek_4fusion_4ObjectiveSense_2__(_1_sense)
              and __arg_alt_match_D__(_2_c))
    def _objective_alt_SEmosek_4fusion_4ObjectiveSense_2D(self,_t__0_name,_t__1_sense,_t__2_c):
      return self._objective_SEmosek_4fusion_4ObjectiveSense_2D(_0_name,__1_sense,numpy.float64(__2_c))
    def _objective_SEmosek_4fusion_4ObjectiveSense_2D(self,_0_name,_1_sense,_2_c):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2631:102-147
      self.__objective_1_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(_0_name,_1_sense,mosek.fusion.Expr._constTerm_D(_2_c)) # bld/herlev/final/default/src/fusion/Model.mbi:2631:104-145
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2631:102-147
    @staticmethod
    def _match_objective_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_name,_1_sense,_2_expr, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_Emosek_4fusion_4ObjectiveSense_2__(_1_sense)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_2_expr))
    @staticmethod
    def _match_alt_objective_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_name,_1_sense,_2_expr, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_Emosek_4fusion_4ObjectiveSense_2__(_1_sense)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_2_expr))
    def _objective_alt_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(self,_t__0_name,_t__1_sense,_t__2_expr):
      return self._objective_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(_0_name,__1_sense,_2_expr)
    def _objective_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(self,_0_name,_1_sense,_2_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2630:102-134
      self.__objective_1_SEmosek_4fusion_4ObjectiveSense_2Lmosek_4fusion_4Expression_2(_0_name,_1_sense,_2_expr) # bld/herlev/final/default/src/fusion/Model.mbi:2630:104-132
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2630:102-134
    @staticmethod
    def _match_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_qdom, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4ConeDomain_2__(_1_qdom))
    @staticmethod
    def _match_alt_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_qdom, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4ConeDomain_2__(_1_qdom))
    def _constraint_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(self,_t__0_expr,_t__1_qdom):
      return self._constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(_0_expr,_1_qdom)
    def _constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(self,_0_expr,_1_qdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2628:122-161
      return (self.__constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2("",_0_expr,_1_qdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2628:124-159
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2628:122-161
    @staticmethod
    def _match_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_expr,_2_qdom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr)
              and __arg_match_Lmosek_4fusion_4ConeDomain_2__(_2_qdom))
    @staticmethod
    def _match_alt_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_expr,_2_qdom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr)
              and __arg_alt_match_Lmosek_4fusion_4ConeDomain_2__(_2_qdom))
    def _constraint_alt_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(self,_t__0_name,_t__1_expr,_t__2_qdom):
      return self._constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(_0_name,_1_expr,_2_qdom)
    def _constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(self,_0_name,_1_expr,_2_qdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2627:122-161
      return (self.__constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(_0_name,_1_expr,_2_qdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2627:124-159
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2627:122-161
    @staticmethod
    def _match_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_rdom, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4RangeDomain_2__(_1_rdom))
    @staticmethod
    def _match_alt_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_rdom, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(_1_rdom))
    def _constraint_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(self,_t__0_expr,_t__1_rdom):
      return self._constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(_0_expr,_1_rdom)
    def _constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(self,_0_expr,_1_rdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2626:129-168
      return (self.__constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2("",_0_expr,_1_rdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2626:131-166
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2626:129-168
    @staticmethod
    def _match_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_expr,_2_rdom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr)
              and __arg_match_Lmosek_4fusion_4RangeDomain_2__(_2_rdom))
    @staticmethod
    def _match_alt_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_expr,_2_rdom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr)
              and __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(_2_rdom))
    def _constraint_alt_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(self,_t__0_name,_t__1_expr,_t__2_rdom):
      return self._constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(_0_name,_1_expr,_2_rdom)
    def _constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(self,_0_name,_1_expr,_2_rdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2625:129-168
      return (self.__constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(_0_name,_1_expr,_2_rdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2625:131-166
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2625:129-168
    @staticmethod
    def _match_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_ldom, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4LinearDomain_2__(_1_ldom))
    @staticmethod
    def _match_alt_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_ldom, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(_1_ldom))
    def _constraint_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(self,_t__0_expr,_t__1_ldom):
      return self._constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(_0_expr,_1_ldom)
    def _constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(self,_0_expr,_1_ldom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2624:123-162
      return (self.__constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2("",_0_expr,_1_ldom)) # bld/herlev/final/default/src/fusion/Model.mbi:2624:125-160
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2624:123-162
    @staticmethod
    def _match_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_expr,_2_ldom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr)
              and __arg_match_Lmosek_4fusion_4LinearDomain_2__(_2_ldom))
    @staticmethod
    def _match_alt_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_expr,_2_ldom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr)
              and __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(_2_ldom))
    def _constraint_alt_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(self,_t__0_name,_t__1_expr,_t__2_ldom):
      return self._constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(_0_name,_1_expr,_2_ldom)
    def _constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(self,_0_name,_1_expr,_2_ldom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2623:123-163
      return (self.__constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(_0_name,_1_expr,_2_ldom)) # bld/herlev/final/default/src/fusion/Model.mbi:2623:125-161
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2623:123-163
    @staticmethod
    def _match_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_psddom, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4PSDDomain_2__(_1_psddom))
    @staticmethod
    def _match_alt_constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_psddom, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4PSDDomain_2__(_1_psddom))
    def _constraint_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(self,_t__0_expr,_t__1_psddom):
      return self._constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(_0_expr,_1_psddom)
    def _constraint_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(self,_0_expr,_1_psddom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2619:119-166
      return (self.__constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2("",_0_expr,_1_psddom)) # bld/herlev/final/default/src/fusion/Model.mbi:2619:121-164
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2619:119-166
    @staticmethod
    def _match_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_expr,_2_psddom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr)
              and __arg_match_Lmosek_4fusion_4PSDDomain_2__(_2_psddom))
    @staticmethod
    def _match_alt_constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_expr,_2_psddom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr)
              and __arg_alt_match_Lmosek_4fusion_4PSDDomain_2__(_2_psddom))
    def _constraint_alt_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(self,_t__0_name,_t__1_expr,_t__2_psddom):
      return self._constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(_0_name,_1_expr,_2_psddom)
    def _constraint_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(self,_0_name,_1_expr,_2_psddom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2618:119-166
      return (self.__constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(_0_name,_1_expr,_2_psddom)) # bld/herlev/final/default/src/fusion/Model.mbi:2618:121-164
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2618:119-166
    @staticmethod
    def _match_variable_Lmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 1: return False
      _0_psddom, = args
      return (    __arg_match_Lmosek_4fusion_4PSDDomain_2__(_0_psddom))
    @staticmethod
    def _match_alt_variable_Lmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 1: return False
      _0_psddom, = args
      return (    __arg_alt_match_Lmosek_4fusion_4PSDDomain_2__(_0_psddom))
    def _variable_alt_Lmosek_4fusion_4PSDDomain_2(self,_t__0_psddom):
      return self._variable_Lmosek_4fusion_4PSDDomain_2(_0_psddom)
    def _variable_Lmosek_4fusion_4PSDDomain_2(self,_0_psddom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2607:119-170
      return (self.__variable_1_S_3ILmosek_4fusion_4PSDDomain_2("",(_0_psddom._shape),_0_psddom)) # bld/herlev/final/default/src/fusion/Model.mbi:2607:121-168
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2607:119-170
    @staticmethod
    def _match_variable_IILmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 3: return False
      _0_n,_1_m,_2_psddom, = args
      return (    __arg_match_I__(_0_n)
              and __arg_match_I__(_1_m)
              and __arg_match_Lmosek_4fusion_4PSDDomain_2__(_2_psddom))
    @staticmethod
    def _match_alt_variable_IILmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 3: return False
      _0_n,_1_m,_2_psddom, = args
      return (    __arg_alt_match_I__(_0_n)
              and __arg_alt_match_I__(_1_m)
              and __arg_alt_match_Lmosek_4fusion_4PSDDomain_2__(_2_psddom))
    def _variable_alt_IILmosek_4fusion_4PSDDomain_2(self,_t__0_n,_t__1_m,_t__2_psddom):
      return self._variable_IILmosek_4fusion_4PSDDomain_2(numpy.int32(__0_n),numpy.int32(__1_m),_2_psddom)
    def _variable_IILmosek_4fusion_4PSDDomain_2(self,_0_n,_1_m,_2_psddom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2606:119-172
      return (self.__variable_1_S_3ILmosek_4fusion_4PSDDomain_2("",numpy.array([_1_m,_0_n,_0_n], dtype=numpy.dtype(numpy.int32)),_2_psddom)) # bld/herlev/final/default/src/fusion/Model.mbi:2606:121-170
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2606:119-172
    @staticmethod
    def _match_variable_ILmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 2: return False
      _0_n,_1_psddom, = args
      return (    __arg_match_I__(_0_n)
              and __arg_match_Lmosek_4fusion_4PSDDomain_2__(_1_psddom))
    @staticmethod
    def _match_alt_variable_ILmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 2: return False
      _0_n,_1_psddom, = args
      return (    __arg_alt_match_I__(_0_n)
              and __arg_alt_match_Lmosek_4fusion_4PSDDomain_2__(_1_psddom))
    def _variable_alt_ILmosek_4fusion_4PSDDomain_2(self,_t__0_n,_t__1_psddom):
      return self._variable_ILmosek_4fusion_4PSDDomain_2(numpy.int32(__0_n),_1_psddom)
    def _variable_ILmosek_4fusion_4PSDDomain_2(self,_0_n,_1_psddom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2605:119-172
      return (self.__variable_1_S_3ILmosek_4fusion_4PSDDomain_2("",numpy.array([_0_n,_0_n], dtype=numpy.dtype(numpy.int32)),_1_psddom)) # bld/herlev/final/default/src/fusion/Model.mbi:2605:121-170
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2605:119-172
    @staticmethod
    def _match_variable_SLmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 2: return False
      _0_name,_1_psddom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_Lmosek_4fusion_4PSDDomain_2__(_1_psddom))
    @staticmethod
    def _match_alt_variable_SLmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 2: return False
      _0_name,_1_psddom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_Lmosek_4fusion_4PSDDomain_2__(_1_psddom))
    def _variable_alt_SLmosek_4fusion_4PSDDomain_2(self,_t__0_name,_t__1_psddom):
      return self._variable_SLmosek_4fusion_4PSDDomain_2(_0_name,_1_psddom)
    def _variable_SLmosek_4fusion_4PSDDomain_2(self,_0_name,_1_psddom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2604:119-170
      return (self.__variable_1_S_3ILmosek_4fusion_4PSDDomain_2(_0_name,None,_1_psddom)) # bld/herlev/final/default/src/fusion/Model.mbi:2604:121-168
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2604:119-170
    @staticmethod
    def _match_variable_SIILmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 4: return False
      _0_name,_1_n,_2_m,_3_psddom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_I__(_1_n)
              and __arg_match_I__(_2_m)
              and __arg_match_Lmosek_4fusion_4PSDDomain_2__(_3_psddom))
    @staticmethod
    def _match_alt_variable_SIILmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 4: return False
      _0_name,_1_n,_2_m,_3_psddom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_I__(_1_n)
              and __arg_alt_match_I__(_2_m)
              and __arg_alt_match_Lmosek_4fusion_4PSDDomain_2__(_3_psddom))
    def _variable_alt_SIILmosek_4fusion_4PSDDomain_2(self,_t__0_name,_t__1_n,_t__2_m,_t__3_psddom):
      return self._variable_SIILmosek_4fusion_4PSDDomain_2(_0_name,numpy.int32(__1_n),numpy.int32(__2_m),_3_psddom)
    def _variable_SIILmosek_4fusion_4PSDDomain_2(self,_0_name,_1_n,_2_m,_3_psddom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2603:119-172
      return (self.__variable_1_S_3ILmosek_4fusion_4PSDDomain_2(_0_name,numpy.array([_2_m,_1_n,_1_n], dtype=numpy.dtype(numpy.int32)),_3_psddom)) # bld/herlev/final/default/src/fusion/Model.mbi:2603:121-170
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2603:119-172
    @staticmethod
    def _match_variable_SILmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_n,_2_psddom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_I__(_1_n)
              and __arg_match_Lmosek_4fusion_4PSDDomain_2__(_2_psddom))
    @staticmethod
    def _match_alt_variable_SILmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_n,_2_psddom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_I__(_1_n)
              and __arg_alt_match_Lmosek_4fusion_4PSDDomain_2__(_2_psddom))
    def _variable_alt_SILmosek_4fusion_4PSDDomain_2(self,_t__0_name,_t__1_n,_t__2_psddom):
      return self._variable_SILmosek_4fusion_4PSDDomain_2(_0_name,numpy.int32(__1_n),_2_psddom)
    def _variable_SILmosek_4fusion_4PSDDomain_2(self,_0_name,_1_n,_2_psddom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2602:119-172
      return (self.__variable_1_S_3ILmosek_4fusion_4PSDDomain_2(_0_name,numpy.array([_1_n,_1_n], dtype=numpy.dtype(numpy.int32)),_2_psddom)) # bld/herlev/final/default/src/fusion/Model.mbi:2602:121-170
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2602:119-172
    @staticmethod
    def _match_variable_S_3ILmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_shp,_2_psddom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match__3I__(_1_shp)
              and __arg_match_Lmosek_4fusion_4PSDDomain_2__(_2_psddom))
    @staticmethod
    def _match_alt_variable_S_3ILmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_shp,_2_psddom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match__3I__(_1_shp)
              and __arg_alt_match_Lmosek_4fusion_4PSDDomain_2__(_2_psddom))
    def _variable_alt_S_3ILmosek_4fusion_4PSDDomain_2(self,_t__0_name,_t__1_shp,_t__2_psddom):
      _0_name=_t__0_name
      _1_shp=numpy.array(_t__1_shp,dtype=numpy.dtype(numpy.int32))
      _2_psddom=_t__2_psddom
      _1 = self._variable_S_3ILmosek_4fusion_4PSDDomain_2(_0_name,_1_shp,_2_psddom)
      try:
        _t__1_shp[:] = _1_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _variable_S_3ILmosek_4fusion_4PSDDomain_2(self,_0_name,_1_shp,_2_psddom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2601:119-157
      return (self.__variable_1_S_3ILmosek_4fusion_4PSDDomain_2(_0_name,_1_shp,_2_psddom)) # bld/herlev/final/default/src/fusion/Model.mbi:2601:121-155
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2601:119-157
    @staticmethod
    def _match_variable_Lmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 1: return False
      _0_qdom, = args
      return (    __arg_match_Lmosek_4fusion_4ConeDomain_2__(_0_qdom))
    @staticmethod
    def _match_alt_variable_Lmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 1: return False
      _0_qdom, = args
      return (    __arg_alt_match_Lmosek_4fusion_4ConeDomain_2__(_0_qdom))
    def _variable_alt_Lmosek_4fusion_4ConeDomain_2(self,_t__0_qdom):
      return self._variable_Lmosek_4fusion_4ConeDomain_2(_0_qdom)
    def _variable_Lmosek_4fusion_4ConeDomain_2(self,_0_qdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2595:104-159
      return (self.__variable_1_S_3ILmosek_4fusion_4ConeDomain_2("",None,_0_qdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2595:106-157
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2595:104-159
    @staticmethod
    def _match_variable_Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 1: return False
      _0_rdom, = args
      return (    __arg_match_Lmosek_4fusion_4RangeDomain_2__(_0_rdom))
    @staticmethod
    def _match_alt_variable_Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 1: return False
      _0_rdom, = args
      return (    __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(_0_rdom))
    def _variable_alt_Lmosek_4fusion_4RangeDomain_2(self,_t__0_rdom):
      return self._variable_Lmosek_4fusion_4RangeDomain_2(_0_rdom)
    def _variable_Lmosek_4fusion_4RangeDomain_2(self,_0_rdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2594:104-159
      return (self.__ranged_1variable_S_3ILmosek_4fusion_4RangeDomain_2("",None,_0_rdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2594:106-157
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2594:104-159
    @staticmethod
    def _match_variable_Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 1: return False
      _0_ldom, = args
      return (    __arg_match_Lmosek_4fusion_4LinearDomain_2__(_0_ldom))
    @staticmethod
    def _match_alt_variable_Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 1: return False
      _0_ldom, = args
      return (    __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(_0_ldom))
    def _variable_alt_Lmosek_4fusion_4LinearDomain_2(self,_t__0_ldom):
      return self._variable_Lmosek_4fusion_4LinearDomain_2(_0_ldom)
    def _variable_Lmosek_4fusion_4LinearDomain_2(self,_0_ldom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2593:104-159
      return (self.__variable_1_S_3ILmosek_4fusion_4LinearDomain_2("",None,_0_ldom)) # bld/herlev/final/default/src/fusion/Model.mbi:2593:106-157
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2593:104-159
    @staticmethod
    def _match_variable__3ILmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 2: return False
      _0_shp,_1_qdom, = args
      return (    __arg_match__3I__(_0_shp)
              and __arg_match_Lmosek_4fusion_4ConeDomain_2__(_1_qdom))
    @staticmethod
    def _match_alt_variable__3ILmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 2: return False
      _0_shp,_1_qdom, = args
      return (    __arg_alt_match__3I__(_0_shp)
              and __arg_alt_match_Lmosek_4fusion_4ConeDomain_2__(_1_qdom))
    def _variable_alt__3ILmosek_4fusion_4ConeDomain_2(self,_t__0_shp,_t__1_qdom):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1_qdom=_t__1_qdom
      _1 = self._variable__3ILmosek_4fusion_4ConeDomain_2(_0_shp,_1_qdom)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _variable__3ILmosek_4fusion_4ConeDomain_2(self,_0_shp,_1_qdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2592:104-159
      return (self.__variable_1_S_3ILmosek_4fusion_4ConeDomain_2("",_0_shp,_1_qdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2592:106-157
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2592:104-159
    @staticmethod
    def _match_variable__3ILmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 2: return False
      _0_shp,_1_rdom, = args
      return (    __arg_match__3I__(_0_shp)
              and __arg_match_Lmosek_4fusion_4RangeDomain_2__(_1_rdom))
    @staticmethod
    def _match_alt_variable__3ILmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 2: return False
      _0_shp,_1_rdom, = args
      return (    __arg_alt_match__3I__(_0_shp)
              and __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(_1_rdom))
    def _variable_alt__3ILmosek_4fusion_4RangeDomain_2(self,_t__0_shp,_t__1_rdom):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1_rdom=_t__1_rdom
      _1 = self._variable__3ILmosek_4fusion_4RangeDomain_2(_0_shp,_1_rdom)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _variable__3ILmosek_4fusion_4RangeDomain_2(self,_0_shp,_1_rdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2591:104-159
      return (self.__ranged_1variable_S_3ILmosek_4fusion_4RangeDomain_2("",_0_shp,_1_rdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2591:106-157
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2591:104-159
    @staticmethod
    def _match_variable__3ILmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 2: return False
      _0_shp,_1_ldom, = args
      return (    __arg_match__3I__(_0_shp)
              and __arg_match_Lmosek_4fusion_4LinearDomain_2__(_1_ldom))
    @staticmethod
    def _match_alt_variable__3ILmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 2: return False
      _0_shp,_1_ldom, = args
      return (    __arg_alt_match__3I__(_0_shp)
              and __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(_1_ldom))
    def _variable_alt__3ILmosek_4fusion_4LinearDomain_2(self,_t__0_shp,_t__1_ldom):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1_ldom=_t__1_ldom
      _1 = self._variable__3ILmosek_4fusion_4LinearDomain_2(_0_shp,_1_ldom)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _variable__3ILmosek_4fusion_4LinearDomain_2(self,_0_shp,_1_ldom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2590:104-159
      return (self.__variable_1_S_3ILmosek_4fusion_4LinearDomain_2("",_0_shp,_1_ldom)) # bld/herlev/final/default/src/fusion/Model.mbi:2590:106-157
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2590:104-159
    @staticmethod
    def _match_variable__3I(*args):
      if len(args) != 1: return False
      _0_shp, = args
      return (    __arg_match__3I__(_0_shp))
    @staticmethod
    def _match_alt_variable__3I(*args):
      if len(args) != 1: return False
      _0_shp, = args
      return (    __arg_alt_match__3I__(_0_shp))
    def _variable_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self._variable__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _variable__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2589:104-162
      return (self.__variable_1_S_3ILmosek_4fusion_4LinearDomain_2("",_0_shp,mosek.fusion.Domain._unbounded_())) # bld/herlev/final/default/src/fusion/Model.mbi:2589:106-160
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2589:104-162
    @staticmethod
    def _match_variable_ILmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 2: return False
      _0_size,_1_qdom, = args
      return (    __arg_match_I__(_0_size)
              and __arg_match_Lmosek_4fusion_4ConeDomain_2__(_1_qdom))
    @staticmethod
    def _match_alt_variable_ILmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 2: return False
      _0_size,_1_qdom, = args
      return (    __arg_alt_match_I__(_0_size)
              and __arg_alt_match_Lmosek_4fusion_4ConeDomain_2__(_1_qdom))
    def _variable_alt_ILmosek_4fusion_4ConeDomain_2(self,_t__0_size,_t__1_qdom):
      return self._variable_ILmosek_4fusion_4ConeDomain_2(numpy.int32(__0_size),_1_qdom)
    def _variable_ILmosek_4fusion_4ConeDomain_2(self,_0_size,_1_qdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2588:104-161
      return (self.__variable_1_S_3ILmosek_4fusion_4ConeDomain_2("",numpy.array([_0_size], dtype=numpy.dtype(numpy.int32)),_1_qdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2588:106-159
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2588:104-161
    @staticmethod
    def _match_variable_ILmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 2: return False
      _0_size,_1_rdom, = args
      return (    __arg_match_I__(_0_size)
              and __arg_match_Lmosek_4fusion_4RangeDomain_2__(_1_rdom))
    @staticmethod
    def _match_alt_variable_ILmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 2: return False
      _0_size,_1_rdom, = args
      return (    __arg_alt_match_I__(_0_size)
              and __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(_1_rdom))
    def _variable_alt_ILmosek_4fusion_4RangeDomain_2(self,_t__0_size,_t__1_rdom):
      return self._variable_ILmosek_4fusion_4RangeDomain_2(numpy.int32(__0_size),_1_rdom)
    def _variable_ILmosek_4fusion_4RangeDomain_2(self,_0_size,_1_rdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2587:104-161
      return (self.__ranged_1variable_S_3ILmosek_4fusion_4RangeDomain_2("",numpy.array([_0_size], dtype=numpy.dtype(numpy.int32)),_1_rdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2587:106-159
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2587:104-161
    @staticmethod
    def _match_variable_ILmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 2: return False
      _0_size,_1_ldom, = args
      return (    __arg_match_I__(_0_size)
              and __arg_match_Lmosek_4fusion_4LinearDomain_2__(_1_ldom))
    @staticmethod
    def _match_alt_variable_ILmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 2: return False
      _0_size,_1_ldom, = args
      return (    __arg_alt_match_I__(_0_size)
              and __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(_1_ldom))
    def _variable_alt_ILmosek_4fusion_4LinearDomain_2(self,_t__0_size,_t__1_ldom):
      return self._variable_ILmosek_4fusion_4LinearDomain_2(numpy.int32(__0_size),_1_ldom)
    def _variable_ILmosek_4fusion_4LinearDomain_2(self,_0_size,_1_ldom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2586:104-161
      return (self.__variable_1_S_3ILmosek_4fusion_4LinearDomain_2("",numpy.array([_0_size], dtype=numpy.dtype(numpy.int32)),_1_ldom)) # bld/herlev/final/default/src/fusion/Model.mbi:2586:106-159
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2586:104-161
    @staticmethod
    def _match_variable_I(*args):
      if len(args) != 1: return False
      _0_size, = args
      return (    __arg_match_I__(_0_size))
    @staticmethod
    def _match_alt_variable_I(*args):
      if len(args) != 1: return False
      _0_size, = args
      return (    __arg_alt_match_I__(_0_size))
    def _variable_alt_I(self,_t__0_size):
      return self._variable_I(numpy.int32(__0_size))
    def _variable_I(self,_0_size):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2585:104-175
      return (self.__variable_1_S_3ILmosek_4fusion_4LinearDomain_2("",numpy.array([_0_size], dtype=numpy.dtype(numpy.int32)),mosek.fusion.Domain._unbounded_())) # bld/herlev/final/default/src/fusion/Model.mbi:2585:106-173
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2585:104-175
    @staticmethod
    def _match_variable_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_variable_(*args):
      if len(args) != 0: return False
      return True
    def _variable_alt_(self,):
      return self._variable_()
    def _variable_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2584:104-175
      return (self.__variable_1_S_3ILmosek_4fusion_4LinearDomain_2("",numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)),mosek.fusion.Domain._unbounded_())) # bld/herlev/final/default/src/fusion/Model.mbi:2584:106-173
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2584:104-175
    @staticmethod
    def _match_variable_SLmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 2: return False
      _0_name,_1_qdom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_Lmosek_4fusion_4ConeDomain_2__(_1_qdom))
    @staticmethod
    def _match_alt_variable_SLmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 2: return False
      _0_name,_1_qdom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_Lmosek_4fusion_4ConeDomain_2__(_1_qdom))
    def _variable_alt_SLmosek_4fusion_4ConeDomain_2(self,_t__0_name,_t__1_qdom):
      return self._variable_SLmosek_4fusion_4ConeDomain_2(_0_name,_1_qdom)
    def _variable_SLmosek_4fusion_4ConeDomain_2(self,_0_name,_1_qdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2582:104-159
      return (self.__variable_1_S_3ILmosek_4fusion_4ConeDomain_2(_0_name,None,_1_qdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2582:106-157
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2582:104-159
    @staticmethod
    def _match_variable_SLmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 2: return False
      _0_name,_1_rdom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_Lmosek_4fusion_4RangeDomain_2__(_1_rdom))
    @staticmethod
    def _match_alt_variable_SLmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 2: return False
      _0_name,_1_rdom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(_1_rdom))
    def _variable_alt_SLmosek_4fusion_4RangeDomain_2(self,_t__0_name,_t__1_rdom):
      return self._variable_SLmosek_4fusion_4RangeDomain_2(_0_name,_1_rdom)
    def _variable_SLmosek_4fusion_4RangeDomain_2(self,_0_name,_1_rdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2581:104-159
      return (self.__ranged_1variable_S_3ILmosek_4fusion_4RangeDomain_2(_0_name,None,_1_rdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2581:106-157
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2581:104-159
    @staticmethod
    def _match_variable_SLmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 2: return False
      _0_name,_1_ldom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_Lmosek_4fusion_4LinearDomain_2__(_1_ldom))
    @staticmethod
    def _match_alt_variable_SLmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 2: return False
      _0_name,_1_ldom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(_1_ldom))
    def _variable_alt_SLmosek_4fusion_4LinearDomain_2(self,_t__0_name,_t__1_ldom):
      return self._variable_SLmosek_4fusion_4LinearDomain_2(_0_name,_1_ldom)
    def _variable_SLmosek_4fusion_4LinearDomain_2(self,_0_name,_1_ldom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2580:104-159
      return (self.__variable_1_S_3ILmosek_4fusion_4LinearDomain_2(_0_name,None,_1_ldom)) # bld/herlev/final/default/src/fusion/Model.mbi:2580:106-157
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2580:104-159
    @staticmethod
    def _match_variable_S_3ILmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_shp,_2_qdom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match__3I__(_1_shp)
              and __arg_match_Lmosek_4fusion_4ConeDomain_2__(_2_qdom))
    @staticmethod
    def _match_alt_variable_S_3ILmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_shp,_2_qdom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match__3I__(_1_shp)
              and __arg_alt_match_Lmosek_4fusion_4ConeDomain_2__(_2_qdom))
    def _variable_alt_S_3ILmosek_4fusion_4ConeDomain_2(self,_t__0_name,_t__1_shp,_t__2_qdom):
      _0_name=_t__0_name
      _1_shp=numpy.array(_t__1_shp,dtype=numpy.dtype(numpy.int32))
      _2_qdom=_t__2_qdom
      _1 = self._variable_S_3ILmosek_4fusion_4ConeDomain_2(_0_name,_1_shp,_2_qdom)
      try:
        _t__1_shp[:] = _1_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _variable_S_3ILmosek_4fusion_4ConeDomain_2(self,_0_name,_1_shp,_2_qdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2579:104-159
      return (self.__variable_1_S_3ILmosek_4fusion_4ConeDomain_2(_0_name,_1_shp,_2_qdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2579:106-157
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2579:104-159
    @staticmethod
    def _match_variable_S_3ILmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_shp,_2_rdom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match__3I__(_1_shp)
              and __arg_match_Lmosek_4fusion_4RangeDomain_2__(_2_rdom))
    @staticmethod
    def _match_alt_variable_S_3ILmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_shp,_2_rdom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match__3I__(_1_shp)
              and __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(_2_rdom))
    def _variable_alt_S_3ILmosek_4fusion_4RangeDomain_2(self,_t__0_name,_t__1_shp,_t__2_rdom):
      _0_name=_t__0_name
      _1_shp=numpy.array(_t__1_shp,dtype=numpy.dtype(numpy.int32))
      _2_rdom=_t__2_rdom
      _1 = self._variable_S_3ILmosek_4fusion_4RangeDomain_2(_0_name,_1_shp,_2_rdom)
      try:
        _t__1_shp[:] = _1_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _variable_S_3ILmosek_4fusion_4RangeDomain_2(self,_0_name,_1_shp,_2_rdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2578:104-159
      return (self.__ranged_1variable_S_3ILmosek_4fusion_4RangeDomain_2(_0_name,_1_shp,_2_rdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2578:106-157
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2578:104-159
    @staticmethod
    def _match_variable_S_3ILmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_shp,_2_ldom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match__3I__(_1_shp)
              and __arg_match_Lmosek_4fusion_4LinearDomain_2__(_2_ldom))
    @staticmethod
    def _match_alt_variable_S_3ILmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_shp,_2_ldom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match__3I__(_1_shp)
              and __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(_2_ldom))
    def _variable_alt_S_3ILmosek_4fusion_4LinearDomain_2(self,_t__0_name,_t__1_shp,_t__2_ldom):
      _0_name=_t__0_name
      _1_shp=numpy.array(_t__1_shp,dtype=numpy.dtype(numpy.int32))
      _2_ldom=_t__2_ldom
      _1 = self._variable_S_3ILmosek_4fusion_4LinearDomain_2(_0_name,_1_shp,_2_ldom)
      try:
        _t__1_shp[:] = _1_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _variable_S_3ILmosek_4fusion_4LinearDomain_2(self,_0_name,_1_shp,_2_ldom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2577:104-159
      return (self.__variable_1_S_3ILmosek_4fusion_4LinearDomain_2(_0_name,_1_shp,_2_ldom)) # bld/herlev/final/default/src/fusion/Model.mbi:2577:106-157
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2577:104-159
    @staticmethod
    def _match_variable_S_3I(*args):
      if len(args) != 2: return False
      _0_name,_1_shp, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match__3I__(_1_shp))
    @staticmethod
    def _match_alt_variable_S_3I(*args):
      if len(args) != 2: return False
      _0_name,_1_shp, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match__3I__(_1_shp))
    def _variable_alt_S_3I(self,_t__0_name,_t__1_shp):
      _0_name=_t__0_name
      _1_shp=numpy.array(_t__1_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self._variable_S_3I(_0_name,_1_shp)
      try:
        _t__1_shp[:] = _1_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _variable_S_3I(self,_0_name,_1_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2576:104-162
      return (self.__variable_1_S_3ILmosek_4fusion_4LinearDomain_2(_0_name,_1_shp,mosek.fusion.Domain._unbounded_())) # bld/herlev/final/default/src/fusion/Model.mbi:2576:106-160
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2576:104-162
    @staticmethod
    def _match_variable_SILmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_size,_2_qdom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_I__(_1_size)
              and __arg_match_Lmosek_4fusion_4ConeDomain_2__(_2_qdom))
    @staticmethod
    def _match_alt_variable_SILmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_size,_2_qdom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_I__(_1_size)
              and __arg_alt_match_Lmosek_4fusion_4ConeDomain_2__(_2_qdom))
    def _variable_alt_SILmosek_4fusion_4ConeDomain_2(self,_t__0_name,_t__1_size,_t__2_qdom):
      return self._variable_SILmosek_4fusion_4ConeDomain_2(_0_name,numpy.int32(__1_size),_2_qdom)
    def _variable_SILmosek_4fusion_4ConeDomain_2(self,_0_name,_1_size,_2_qdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2575:104-161
      return (self.__variable_1_S_3ILmosek_4fusion_4ConeDomain_2(_0_name,numpy.array([_1_size], dtype=numpy.dtype(numpy.int32)),_2_qdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2575:106-159
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2575:104-161
    @staticmethod
    def _match_variable_SILmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_size,_2_rdom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_I__(_1_size)
              and __arg_match_Lmosek_4fusion_4RangeDomain_2__(_2_rdom))
    @staticmethod
    def _match_alt_variable_SILmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_size,_2_rdom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_I__(_1_size)
              and __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(_2_rdom))
    def _variable_alt_SILmosek_4fusion_4RangeDomain_2(self,_t__0_name,_t__1_size,_t__2_rdom):
      return self._variable_SILmosek_4fusion_4RangeDomain_2(_0_name,numpy.int32(__1_size),_2_rdom)
    def _variable_SILmosek_4fusion_4RangeDomain_2(self,_0_name,_1_size,_2_rdom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2574:104-161
      return (self.__ranged_1variable_S_3ILmosek_4fusion_4RangeDomain_2(_0_name,numpy.array([_1_size], dtype=numpy.dtype(numpy.int32)),_2_rdom)) # bld/herlev/final/default/src/fusion/Model.mbi:2574:106-159
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2574:104-161
    @staticmethod
    def _match_variable_SILmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_size,_2_ldom, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_I__(_1_size)
              and __arg_match_Lmosek_4fusion_4LinearDomain_2__(_2_ldom))
    @staticmethod
    def _match_alt_variable_SILmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 3: return False
      _0_name,_1_size,_2_ldom, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_I__(_1_size)
              and __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(_2_ldom))
    def _variable_alt_SILmosek_4fusion_4LinearDomain_2(self,_t__0_name,_t__1_size,_t__2_ldom):
      return self._variable_SILmosek_4fusion_4LinearDomain_2(_0_name,numpy.int32(__1_size),_2_ldom)
    def _variable_SILmosek_4fusion_4LinearDomain_2(self,_0_name,_1_size,_2_ldom):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2573:104-161
      return (self.__variable_1_S_3ILmosek_4fusion_4LinearDomain_2(_0_name,numpy.array([_1_size], dtype=numpy.dtype(numpy.int32)),_2_ldom)) # bld/herlev/final/default/src/fusion/Model.mbi:2573:106-159
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2573:104-161
    @staticmethod
    def _match_variable_SI(*args):
      if len(args) != 2: return False
      _0_name,_1_size, = args
      return (    __arg_match_S__(_0_name)
              and __arg_match_I__(_1_size))
    @staticmethod
    def _match_alt_variable_SI(*args):
      if len(args) != 2: return False
      _0_name,_1_size, = args
      return (    __arg_alt_match_S__(_0_name)
              and __arg_alt_match_I__(_1_size))
    def _variable_alt_SI(self,_t__0_name,_t__1_size):
      return self._variable_SI(_0_name,numpy.int32(__1_size))
    def _variable_SI(self,_0_name,_1_size):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2572:104-175
      return (self.__variable_1_S_3ILmosek_4fusion_4LinearDomain_2(_0_name,numpy.array([_1_size], dtype=numpy.dtype(numpy.int32)),mosek.fusion.Domain._unbounded_())) # bld/herlev/final/default/src/fusion/Model.mbi:2572:106-173
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2572:104-175
    @staticmethod
    def _match_variable_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_match_S__(_0_name))
    @staticmethod
    def _match_alt_variable_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_alt_match_S__(_0_name))
    def _variable_alt_S(self,_t__0_name):
      return self._variable_S(_0_name)
    def _variable_S(self,_0_name):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2571:104-175
      return (self.__variable_1_S_3ILmosek_4fusion_4LinearDomain_2(_0_name,numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)),mosek.fusion.Domain._unbounded_())) # bld/herlev/final/default/src/fusion/Model.mbi:2571:106-173
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2571:104-175
    def _removeConstraintBlock_alt_I(self,_t__0_conid):
      return self._removeConstraintBlock_I(numpy.int32(__0_conid))
    def _removeConstraintBlock_I(self,_0_conid):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2562:65-2569:7
      if (_0_conid >= 0): # bld/herlev/final/default/src/fusion/Model.mbi:2563:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2563:24-2565:9
        self.__con_1release_I(_0_conid) # bld/herlev/final/default/src/fusion/Model.mbi:2564:10-29
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2563:24-2565:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2566:13-2568:9
        self.__acon_1release_I((- (1 + _0_conid))) # bld/herlev/final/default/src/fusion/Model.mbi:2567:10-37
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2566:13-2568:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2562:65-2569:7
    def _removeVariableBlock_alt_J(self,_t__0_varid64):
      return self._removeVariableBlock_J(numpy.int64(__0_varid64))
    def _removeVariableBlock_J(self,_0_varid64):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2534:67-2559:7
      if (self.__con_blocks._is_1parameterized_() or self.__afe_blocks._is_1parameterized_()): # bld/herlev/final/default/src/fusion/Model.mbi:2535:12-2536:41
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2536:43-2538:9
        raise mosek_fusion_DeletionError._ctor_S("Cannot remove variables in parameterized model") # bld/herlev/final/default/src/fusion/Model.mbi:2537:10-84
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2536:43-2538:9
      if (_0_varid64 < 0): # bld/herlev/final/default/src/fusion/Model.mbi:2539:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2539:25-2542:9
        raise mosek_fusion_DeletionError._ctor_S("PSD variables cannot be removed") # bld/herlev/final/default/src/fusion/Model.mbi:2541:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2539:25-2542:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2542:15-2558:9
        _1_varid=numpy.int32(_0_varid64) # bld/herlev/final/default/src/fusion/Model.mbi:2544:14-19
        _2_sz=self.__var_block_map._blocksize_I(_1_varid) # bld/herlev/final/default/src/fusion/Model.mbi:2545:14-16
        _3_nidxs=numpy.zeros((_2_sz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2546:14-19
        self.__var_block_map._get_I_3II(_1_varid,_3_nidxs,0) # bld/herlev/final/default/src/fusion/Model.mbi:2547:10-43
        self.__var_block_map._free_I(_1_varid) # bld/herlev/final/default/src/fusion/Model.mbi:2548:10-36
        _4_conid=self.__var_block_acc_id[_1_varid] # bld/herlev/final/default/src/fusion/Model.mbi:2551:14-19
        if (_4_conid >= 0): # bld/herlev/final/default/src/fusion/Model.mbi:2552:14-24
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2553:12-41
          self._removeConstraintBlock_I(_4_conid) # bld/herlev/final/default/src/fusion/Model.mbi:2553:12-41
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2553:12-41
        self._task_1var_1putboundlist_1fr__3I(_3_nidxs) # bld/herlev/final/default/src/fusion/Model.mbi:2555:10-42
        self._task_1clearacollist__3I(_3_nidxs) # bld/herlev/final/default/src/fusion/Model.mbi:2557:10-36
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2542:15-2558:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2534:67-2559:7
    def __ranged_1variable_alt_S_3ILmosek_4fusion_4RangeDomain_2(self,_t__0_name,_t__1_shp,_t__2_dom_):
      _0_name=_t__0_name
      _1_shp=numpy.array(_t__1_shp,dtype=numpy.dtype(numpy.int32))
      _2_dom_=_t__2_dom_
      _1 = self.__ranged_1variable_S_3ILmosek_4fusion_4RangeDomain_2(_0_name,_1_shp,_2_dom_)
      try:
        _t__1_shp[:] = _1_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __ranged_1variable_S_3ILmosek_4fusion_4RangeDomain_2(self,_0_name,_1_shp,_2_dom_):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2455:6-2531:7
      if ((int(len(_0_name)) > 0) and self._hasVariable_S(_0_name)): # bld/herlev/final/default/src/fusion/Model.mbi:2456:17-52
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2457:10-113
        raise mosek_fusion_NameError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Duplicate variable name '")._a_S(_0_name)._a_S("'")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:2457:10-113
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2457:10-113
      _3_dom=_2_dom_._finalize_1and_1validate__3I(_1_shp) # bld/herlev/final/default/src/fusion/Model.mbi:2459:12-15
      _4_shape=(_3_dom._shape) # bld/herlev/final/default/src/fusion/Model.mbi:2460:12-17
      _5_nd=int((_4_shape).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:2462:12-14
      _6_strides=numpy.zeros((_5_nd,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2463:12-19
      fragments._c_closure_49(_5_nd,_4_shape,_6_strides) # bld/herlev/final/default/src/fusion/Model.mbi:2463:36-135
      _7_domsize=(_3_dom._domsize) # bld/herlev/final/default/src/fusion/Model.mbi:2464:12-19
      _8_sparsity=None # bld/herlev/final/default/src/fusion/Model.mbi:2468:12-28
      if (_8_sparsity is not None): # bld/herlev/final/default/src/fusion/Model.mbi:2469:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2469:30-2483:9
        if (int(((_3_dom._sparsity)).shape[1])!=_5_nd): # bld/herlev/final/default/src/fusion/Model.mbi:2470:14-39
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2471:12-75
          raise mosek_fusion_SparseFormatError._ctor_S("Sparsity pattern is not correct") # bld/herlev/final/default/src/fusion/Model.mbi:2471:12-75
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2471:12-75
        _8_sparsity = numpy.zeros((int(((_3_dom._sparsity)).shape[0]),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:2473:10-51
        for _9_i in range(0,int(((_3_dom._sparsity)).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:2475:10-2482:11
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2475:47-2482:11
          for _10_j in range(0,int(((_3_dom._sparsity)).shape[1])): # bld/herlev/final/default/src/fusion/Model.mbi:2476:12-2478:79
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2477:14-2478:79
            if (((_3_dom._sparsity)[_9_i,_10_j] < 0) or ((_3_dom._sparsity)[_9_i,_10_j] >= _4_shape[_10_j])): # bld/herlev/final/default/src/fusion/Model.mbi:2477:18-72
              # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2478:16-79
              raise mosek_fusion_SparseFormatError._ctor_S("Sparsity pattern is not correct") # bld/herlev/final/default/src/fusion/Model.mbi:2478:16-79
              # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2478:16-79
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2477:14-2478:79
          _11_linidx=0 # bld/herlev/final/default/src/fusion/Model.mbi:2479:16-28
          for _12_j in range(0,int(((_3_dom._sparsity)).shape[1])): # bld/herlev/final/default/src/fusion/Model.mbi:2480:12-90
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2480:49-90
            _11_linidx += (_6_strides[_12_j] * (_3_dom._sparsity)[_9_i,_12_j]) # bld/herlev/final/default/src/fusion/Model.mbi:2480:49-90
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2480:49-90
          _8_sparsity[_9_i] = _11_linidx # bld/herlev/final/default/src/fusion/Model.mbi:2481:12-33
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2475:47-2482:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2469:30-2483:9
      _13_nvaritems=numpy.int32((_3_dom._nelements)) # bld/herlev/final/default/src/fusion/Model.mbi:2484:12-21
      # var _14_bl @ bld/herlev/final/default/src/fusion/Model.mbi:2486:12-23
      # var _15_bu @ bld/herlev/final/default/src/fusion/Model.mbi:2487:12-23
      if (_3_dom._scalable): # bld/herlev/final/default/src/fusion/Model.mbi:2488:12-24
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2488:26-2491:9
        _14_bl = numpy.array([(_3_dom._lb)[0] for _16_i in range(0,_13_nvaritems)], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:2489:10-63
        _15_bu = numpy.array([(_3_dom._ub)[0] for _17_i in range(0,_13_nvaritems)], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:2490:10-63
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2488:26-2491:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2492:13-2495:9
        _14_bl = (_3_dom._lb) # bld/herlev/final/default/src/fusion/Model.mbi:2493:10-22
        _15_bu = (_3_dom._ub) # bld/herlev/final/default/src/fusion/Model.mbi:2494:10-22
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2492:13-2495:9
      _18_nativeidxs=numpy.zeros((_13_nvaritems,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2497:12-22
      _19_varblockid=self.__linearvar_1alloc_I_3I(_13_nvaritems,_18_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:2498:12-22
      self._task_1var_1putboundlist_1ra__3I_3D_3D(_18_nativeidxs,_14_bl,_15_bu) # bld/herlev/final/default/src/fusion/Model.mbi:2503:8-51
      _20_res=mosek_fusion_RangedVariable._ctor_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(self,_0_name,_19_varblockid,_4_shape,_8_sparsity,_18_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:2505:12-15
      if (_3_dom._cardinal_flag): # bld/herlev/final/default/src/fusion/Model.mbi:2506:12-29
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2507:10-42
        self._task_1var_1putintlist__3I(_18_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:2507:10-42
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2507:10-42
      if (int(len(_0_name)) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2509:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2509:27-2526:9
        _21_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Model.mbi:2510:14-16
        _21_sb._a_S(_0_name)._a_S("[") # bld/herlev/final/default/src/fusion/Model.mbi:2511:10-28
        if (_5_nd > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2512:14-20
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2512:22-2516:11
          _21_sb._a_S("%0") # bld/herlev/final/default/src/fusion/Model.mbi:2513:12-23
          for _22_i in range(1,_5_nd): # bld/herlev/final/default/src/fusion/Model.mbi:2514:12-2515:30
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2515:14-30
            _21_sb._a_S(",%")._a_I(_22_i) # bld/herlev/final/default/src/fusion/Model.mbi:2515:14-30
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2515:14-30
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2512:22-2516:11
        _21_sb._a_S("]") # bld/herlev/final/default/src/fusion/Model.mbi:2517:10-20
        if ((_3_dom._indexnames) is not None): # bld/herlev/final/default/src/fusion/Model.mbi:2518:14-36
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2518:38-2520:11
          self._task_1format_1var_1names__3IS_3I_3J_3_3S(_18_nativeidxs,_21_sb._toString_(),_4_shape,_8_sparsity,(_3_dom._indexnames)) # bld/herlev/final/default/src/fusion/Model.mbi:2519:12-90
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2518:38-2520:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2521:15-2523:11
          self._task_1format_1var_1names__3IS_3I_3J_3_3S(_18_nativeidxs,_21_sb._toString_(),_4_shape,_8_sparsity,None) # bld/herlev/final/default/src/fusion/Model.mbi:2522:12-80
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2521:15-2523:11
        self.__var_map._setItem_SI(_0_name,_19_varblockid) # bld/herlev/final/default/src/fusion/Model.mbi:2525:10-43
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2509:27-2526:9
      self.__vars[_19_varblockid] = _20_res # bld/herlev/final/default/src/fusion/Model.mbi:2528:8-31
      return (_20_res) # bld/herlev/final/default/src/fusion/Model.mbi:2530:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2455:6-2531:7
    def __variable_1_alt_S_3ILmosek_4fusion_4ConeDomain_2(self,_t__0_name,_t__1_shp,_t__2_dom_):
      _0_name=_t__0_name
      _1_shp=numpy.array(_t__1_shp,dtype=numpy.dtype(numpy.int32))
      _2_dom_=_t__2_dom_
      _1 = self.__variable_1_S_3ILmosek_4fusion_4ConeDomain_2(_0_name,_1_shp,_2_dom_)
      try:
        _t__1_shp[:] = _1_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __variable_1_S_3ILmosek_4fusion_4ConeDomain_2(self,_0_name,_1_shp,_2_dom_):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2199:6-2445:7
      _3_dom=_2_dom_._finalize_1and_1validate__3I(_1_shp) # bld/herlev/final/default/src/fusion/Model.mbi:2200:12-15
      if ((int(len(_0_name)) > 0) and self._hasVariable_S(_0_name)): # bld/herlev/final/default/src/fusion/Model.mbi:2202:17-52
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2203:10-113
        raise mosek_fusion_NameError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Duplicate variable name '")._a_S(_0_name)._a_S("'")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:2203:10-113
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2203:10-113
      _4_shape=(_3_dom._shape) # bld/herlev/final/default/src/fusion/Model.mbi:2205:12-17
      _5_nd=int((_4_shape).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:2206:12-14
      _6_coneaxis=_3_dom._getAxis_() # bld/herlev/final/default/src/fusion/Model.mbi:2207:12-20
      _7_conesize=_4_shape[_6_coneaxis] # bld/herlev/final/default/src/fusion/Model.mbi:2290:12-20
      _8_d1=1 # bld/herlev/final/default/src/fusion/Model.mbi:2293:12-14
      _9_d0=1 # bld/herlev/final/default/src/fusion/Model.mbi:2292:12-14
      _10_domsize=1 # bld/herlev/final/default/src/fusion/Model.mbi:2291:12-19
      _10_domsize = fragments._c_closure_50(_10_domsize,_5_nd,_4_shape) # bld/herlev/final/default/src/fusion/Model.mbi:2295:8-57
      _10_domsize = numpy.int32(_10_domsize) # postprocess
      _9_d0 = fragments._c_closure_51(_6_coneaxis,_9_d0,_4_shape) # bld/herlev/final/default/src/fusion/Model.mbi:2296:8-57
      _9_d0 = numpy.int32(_9_d0) # postprocess
      _8_d1 = fragments._c_closure_52(_6_coneaxis,_8_d1,_5_nd,_4_shape) # bld/herlev/final/default/src/fusion/Model.mbi:2297:8-57
      _8_d1 = numpy.int32(_8_d1) # postprocess
      _11_numcone=(_9_d0 * _8_d1) # bld/herlev/final/default/src/fusion/Model.mbi:2299:12-19
      # var _12_domainidx @ bld/herlev/final/default/src/fusion/Model.mbi:2300:12-27
      if ((_3_dom._key)==mosek.fusion.QConeKey.InQCone): # bld/herlev/final/default/src/fusion/Model.mbi:2303:16-43
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2303:45-2306:9
        if (_7_conesize < 2): # bld/herlev/final/default/src/fusion/Model.mbi:2304:14-26
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2304:28-149
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_7_conesize)._a_S(") for quadratic cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:2304:28-149
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2304:28-149
        _12_domainidx = self._task_1append_1domain_1quad_I(_7_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:2305:10-56
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2303:45-2306:9
      elif ((_3_dom._key)==mosek.fusion.QConeKey.InRotatedQCone): # bld/herlev/final/default/src/fusion/Model.mbi:2307:16-50
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2307:52-2310:9
        if (_7_conesize < 3): # bld/herlev/final/default/src/fusion/Model.mbi:2308:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2308:29-158
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_7_conesize)._a_S(") for rotated quadratic cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:2308:29-158
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2308:29-158
        _12_domainidx = self._task_1append_1domain_1rquad_I(_7_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:2309:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2307:52-2310:9
      elif ((_3_dom._key)==mosek.fusion.QConeKey.InPExpCone): # bld/herlev/final/default/src/fusion/Model.mbi:2311:16-46
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2311:48-2314:9
        if (_7_conesize!=3): # bld/herlev/final/default/src/fusion/Model.mbi:2312:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2312:29-152
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_7_conesize)._a_S(") for exponential cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:2312:29-152
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2312:29-152
        _12_domainidx = self._task_1append_1domain_1pexp_() # bld/herlev/final/default/src/fusion/Model.mbi:2313:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2311:48-2314:9
      elif ((_3_dom._key)==mosek.fusion.QConeKey.InPPowCone): # bld/herlev/final/default/src/fusion/Model.mbi:2315:16-46
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2315:48-2318:9
        if (_7_conesize < 2): # bld/herlev/final/default/src/fusion/Model.mbi:2316:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2316:29-146
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_7_conesize)._a_S(") for power cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:2316:29-146
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2316:29-146
        _12_domainidx = self._task_1append_1domain_1ppow_I_3D(_7_conesize,(_3_dom._alpha)) # bld/herlev/final/default/src/fusion/Model.mbi:2317:10-66
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2315:48-2318:9
      elif ((_3_dom._key)==mosek.fusion.QConeKey.InDExpCone): # bld/herlev/final/default/src/fusion/Model.mbi:2319:16-46
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2319:48-2322:9
        if (_7_conesize!=3): # bld/herlev/final/default/src/fusion/Model.mbi:2320:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2320:29-157
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_7_conesize)._a_S(") for dual exponential cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:2320:29-157
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2320:29-157
        _12_domainidx = self._task_1append_1domain_1dexp_() # bld/herlev/final/default/src/fusion/Model.mbi:2321:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2319:48-2322:9
      elif ((_3_dom._key)==mosek.fusion.QConeKey.InDPowCone): # bld/herlev/final/default/src/fusion/Model.mbi:2323:16-46
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2323:48-2326:9
        if (_7_conesize < 2): # bld/herlev/final/default/src/fusion/Model.mbi:2324:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2324:29-151
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_7_conesize)._a_S(") for dual power cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:2324:29-151
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2324:29-151
        _12_domainidx = self._task_1append_1domain_1dpow_I_3D(_7_conesize,(_3_dom._alpha)) # bld/herlev/final/default/src/fusion/Model.mbi:2325:10-66
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2323:48-2326:9
      elif ((_3_dom._key)==mosek.fusion.QConeKey.InPGeoMeanCone): # bld/herlev/final/default/src/fusion/Model.mbi:2335:16-50
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2335:52-2338:9
        if (_7_conesize < 2): # bld/herlev/final/default/src/fusion/Model.mbi:2336:14-26
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2336:28-161
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_7_conesize)._a_S(") for primal geometric mean cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:2336:28-161
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2336:28-161
        _12_domainidx = self._task_1append_1domain_1pgeomean_I(_7_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:2337:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2335:52-2338:9
      elif ((_3_dom._key)==mosek.fusion.QConeKey.InDGeoMeanCone): # bld/herlev/final/default/src/fusion/Model.mbi:2339:16-50
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2339:52-2342:9
        if (_7_conesize < 2): # bld/herlev/final/default/src/fusion/Model.mbi:2340:14-26
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2340:28-159
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_7_conesize)._a_S(") for dual geometric mean cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:2340:28-159
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2340:28-159
        _12_domainidx = self._task_1append_1domain_1dgeomean_I(_7_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:2341:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2339:52-2342:9
      elif ((_3_dom._key)==mosek.fusion.QConeKey.Positive): # bld/herlev/final/default/src/fusion/Model.mbi:2343:16-44
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2343:46-2345:9
        _12_domainidx = self._task_1append_1domain_1rpos_I(_7_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:2344:10-56
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2343:46-2345:9
      elif ((_3_dom._key)==mosek.fusion.QConeKey.InSVecPSDCone): # bld/herlev/final/default/src/fusion/Model.mbi:2346:16-49
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2346:51-2351:9
        _13_d=numpy.int32(((mosek.fusion.Utils.Tools._sqrt_D((1 + (8 * _7_conesize))) - 1) / 2)) # bld/herlev/final/default/src/fusion/Model.mbi:2347:14-15
        if (((_13_d * (_13_d + 1)) // 2)!=_7_conesize): # bld/herlev/final/default/src/fusion/Model.mbi:2348:14-37
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2349:14-154
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_7_conesize)._a_S(") for vector positive semidefinite cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:2349:14-154
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2349:14-154
        _12_domainidx = self._task_1append_1domain_1svec_1psd_I(_7_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:2350:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2346:51-2351:9
      elif ((_3_dom._key)==mosek.fusion.QConeKey.Negative): # bld/herlev/final/default/src/fusion/Model.mbi:2352:16-44
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2353:10-56
        _12_domainidx = self._task_1append_1domain_1rneg_I(_7_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:2353:10-56
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2353:10-56
      elif ((_3_dom._key)==mosek.fusion.QConeKey.Unbounded): # bld/herlev/final/default/src/fusion/Model.mbi:2354:16-45
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2355:10-53
        _12_domainidx = self._task_1append_1domain_1r_I(_7_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:2355:10-53
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2355:10-53
      elif ((_3_dom._key)==mosek.fusion.QConeKey.Zero): # bld/herlev/final/default/src/fusion/Model.mbi:2356:16-40
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2357:10-57
        _12_domainidx = self._task_1append_1domain_1rzero_I(_7_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:2357:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2357:10-57
      elif ((_3_dom._key)==mosek.fusion.QConeKey.InPSDCone): # bld/herlev/final/default/src/fusion/Model.mbi:2358:16-45
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2358:47-2367:9
        if (_7_conesize < 2): # bld/herlev/final/default/src/fusion/Model.mbi:2359:14-26
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2360:12-145
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_7_conesize)._a_S(") for positive semidefinite cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:2360:12-145
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2360:12-145
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2361:15-2365:11
          _14_d=numpy.int32(((mosek.fusion.Utils.Tools._sqrt_D((1 + (8 * _7_conesize))) - 1) / 2)) # bld/herlev/final/default/src/fusion/Model.mbi:2362:16-17
          if (((_14_d * (_14_d + 1)) // 2)!=_7_conesize): # bld/herlev/final/default/src/fusion/Model.mbi:2363:16-39
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2364:14-147
            raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_7_conesize)._a_S(") for positive semidefinite cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:2364:14-147
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2364:14-147
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2361:15-2365:11
        _12_domainidx = self._task_1append_1domain_1svec_1psd_I(_7_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:2366:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2358:47-2367:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2369:10-73
        raise mosek_fusion_UnexpectedError._ctor_S("Internal error: Invalid cone type") # bld/herlev/final/default/src/fusion/Model.mbi:2369:10-73
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2369:10-73
      _15_nativeidxs=numpy.zeros(((_11_numcone * _7_conesize),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2371:12-22
      _16_accidxs=numpy.zeros((_11_numcone,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2372:12-19
      _17_varid=self.__conicvar_1alloc_JII_3I_3I(_12_domainidx,_7_conesize,_11_numcone,_16_accidxs,_15_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:2373:12-17
      self._task_1var_1putboundlist_1fr__3I(_15_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:2375:8-45
      if (_3_dom._int_flag): # bld/herlev/final/default/src/fusion/Model.mbi:2376:12-24
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2377:10-42
        self._task_1var_1putintlist__3I(_15_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:2377:10-42
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2377:10-42
      _18_permidxs=_15_nativeidxs # bld/herlev/final/default/src/fusion/Model.mbi:2379:12-20
      if (_6_coneaxis < (int((_4_shape).shape[0]) - 1)): # bld/herlev/final/default/src/fusion/Model.mbi:2380:12-35
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2380:37-2390:9
        _18_permidxs = numpy.zeros((int((_15_nativeidxs).shape[0]),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2381:10-47
        _19_p=0 # bld/herlev/final/default/src/fusion/Model.mbi:2382:14-15
        _19_p = fragments._c_closure_53(_7_conesize,_9_d0,_8_d1,_15_nativeidxs,_19_p,_18_permidxs) # bld/herlev/final/default/src/fusion/Model.mbi:2383:10-2389:13
        _19_p = numpy.int32(_19_p) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2380:37-2390:9
      _20_res=mosek_fusion_ConicVariable._ctor_Lmosek_4fusion_4Model_2SI_3I_3I(self,_0_name,_17_varid,_4_shape,_15_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:2395:12-15
      self.__vars[_17_varid] = _20_res # bld/herlev/final/default/src/fusion/Model.mbi:2396:8-26
      if (int(len(_0_name)) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2397:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2397:27-2442:9
        _21_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Model.mbi:2398:14-16
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2399:10-2413:11
        _21_sb._a_S(_0_name)._a_S("[") # bld/herlev/final/default/src/fusion/Model.mbi:2400:12-30
        if (_5_nd > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2401:16-22
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2401:24-2405:13
          _21_sb._a_S("%0") # bld/herlev/final/default/src/fusion/Model.mbi:2402:14-25
          for _22_i in range(1,_5_nd): # bld/herlev/final/default/src/fusion/Model.mbi:2403:14-2404:32
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2404:16-32
            _21_sb._a_S(",%")._a_I(_22_i) # bld/herlev/final/default/src/fusion/Model.mbi:2404:16-32
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2404:16-32
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2401:24-2405:13
        _21_sb._a_S("]") # bld/herlev/final/default/src/fusion/Model.mbi:2406:12-22
        if ((_3_dom._indexnames) is not None): # bld/herlev/final/default/src/fusion/Model.mbi:2407:16-38
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2407:40-2409:13
          self._task_1format_1var_1names__3IS_3I_3J_3_3S(_18_permidxs,_21_sb._toString_(),_4_shape,None,(_3_dom._indexnames)) # bld/herlev/final/default/src/fusion/Model.mbi:2408:14-90
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2407:40-2409:13
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2410:17-2412:13
          self._task_1format_1var_1names__3IS_3I_3J_3_3S(_18_permidxs,_21_sb._toString_(),_4_shape,None,None) # bld/herlev/final/default/src/fusion/Model.mbi:2411:14-80
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2410:17-2412:13
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2399:10-2413:11
        _23_accidxs=numpy.zeros((_11_numcone,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2415:14-21
        self.__acc_block_map._get_I_3II(self.__var_block_acc_id[_17_varid],_23_accidxs,0) # bld/herlev/final/default/src/fusion/Model.mbi:2416:10-63
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2417:10-2439:11
        _24_accshape=numpy.zeros(((int((_4_shape).shape[0]) - 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2418:16-24
        fragments._c_closure_54(_24_accshape,_6_coneaxis,_4_shape) # bld/herlev/final/default/src/fusion/Model.mbi:2419:12-61
        fragments._c_closure_55(_24_accshape,_6_coneaxis,_5_nd,_4_shape) # bld/herlev/final/default/src/fusion/Model.mbi:2419:62-116
        _25_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Model.mbi:2421:16-18
        _25_sb._a_S(_0_name)._a_S("[") # bld/herlev/final/default/src/fusion/Model.mbi:2422:12-30
        if ((_5_nd - 1) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2423:16-24
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2423:26-2427:13
          _25_sb._a_S("%0") # bld/herlev/final/default/src/fusion/Model.mbi:2424:14-25
          for _26_i in range(1,_5_nd): # bld/herlev/final/default/src/fusion/Model.mbi:2425:14-2426:32
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2426:16-32
            _25_sb._a_S(",%")._a_I(_26_i) # bld/herlev/final/default/src/fusion/Model.mbi:2426:16-32
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2426:16-32
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2423:26-2427:13
        _25_sb._a_S("]") # bld/herlev/final/default/src/fusion/Model.mbi:2428:12-22
        if ((_3_dom._indexnames) is not None): # bld/herlev/final/default/src/fusion/Model.mbi:2430:16-38
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2430:40-2435:13
          _27_indexnames=numpy.ndarray(((_5_nd - 1),), dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:2431:18-28
          for _28_i in range(0,_6_coneaxis): # bld/herlev/final/default/src/fusion/Model.mbi:2432:14-74
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2432:40-74
            _27_indexnames[_28_i] = (_3_dom._indexnames)[_28_i] # bld/herlev/final/default/src/fusion/Model.mbi:2432:40-74
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2432:40-74
          for _29_i in range((_6_coneaxis + 1),_5_nd): # bld/herlev/final/default/src/fusion/Model.mbi:2433:14-79
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2433:43-79
            _27_indexnames[(_29_i - 1)] = (_3_dom._indexnames)[_29_i] # bld/herlev/final/default/src/fusion/Model.mbi:2433:43-79
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2433:43-79
          self._task_1format_1acc_1names__3JS_3I_3_3S(numpy.array([numpy.int64(_23_accidxs[_30_i]) for _30_i in range(0,_11_numcone)], dtype=numpy.dtype(numpy.int64)),_25_sb._toString_(),_24_accshape,_27_indexnames) # bld/herlev/final/default/src/fusion/Model.mbi:2434:14-118
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2430:40-2435:13
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2436:17-2438:13
          self._task_1format_1acc_1names__3JS_3I_3_3S(numpy.array([numpy.int64(_23_accidxs[_31_i]) for _31_i in range(0,_11_numcone)], dtype=numpy.dtype(numpy.int64)),_25_sb._toString_(),_24_accshape,None) # bld/herlev/final/default/src/fusion/Model.mbi:2437:14-112
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2436:17-2438:13
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2417:10-2439:11
        self.__var_map._setItem_SI(_0_name,_17_varid) # bld/herlev/final/default/src/fusion/Model.mbi:2441:10-38
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2397:27-2442:9
      return (_20_res) # bld/herlev/final/default/src/fusion/Model.mbi:2444:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2199:6-2445:7
    def __variable_1_alt_S_3ILmosek_4fusion_4LinearDomain_2(self,_t__0_name,_t__1_shp,_t__2_dom_):
      _0_name=_t__0_name
      _1_shp=numpy.array(_t__1_shp,dtype=numpy.dtype(numpy.int32))
      _2_dom_=_t__2_dom_
      _1 = self.__variable_1_S_3ILmosek_4fusion_4LinearDomain_2(_0_name,_1_shp,_2_dom_)
      try:
        _t__1_shp[:] = _1_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __variable_1_S_3ILmosek_4fusion_4LinearDomain_2(self,_0_name,_1_shp,_2_dom_):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2003:6-2190:7
      if ((int(len(_0_name)) > 0) and self._hasVariable_S(_0_name)): # bld/herlev/final/default/src/fusion/Model.mbi:2004:17-52
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2005:10-113
        raise mosek_fusion_NameError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Duplicate variable name '")._a_S(_0_name)._a_S("'")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:2005:10-113
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2005:10-113
      _3_dom=_2_dom_._finalize_1and_1validate__3I(_1_shp) # bld/herlev/final/default/src/fusion/Model.mbi:2007:12-15
      _4_shape=(_3_dom._shape) # bld/herlev/final/default/src/fusion/Model.mbi:2009:12-17
      _5_nd=int((_4_shape).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:2016:12-14
      _6_strides=numpy.zeros((_5_nd,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2017:12-19
      fragments._c_closure_56(_5_nd,_4_shape,_6_strides) # bld/herlev/final/default/src/fusion/Model.mbi:2017:36-135
      _7_domsize=1 # bld/herlev/final/default/src/fusion/Model.mbi:2018:12-19
      _7_domsize = fragments._c_closure_57(_7_domsize,_4_shape) # bld/herlev/final/default/src/fusion/Model.mbi:2018:25-73
      _7_domsize = numpy.int32(_7_domsize) # postprocess
      _8_axisptr=None # bld/herlev/final/default/src/fusion/Model.mbi:2021:12-26
      _9_nameptr=None # bld/herlev/final/default/src/fusion/Model.mbi:2022:12-26
      _10_axisnames=None # bld/herlev/final/default/src/fusion/Model.mbi:2023:12-40
      _11_accaxisptr=None # bld/herlev/final/default/src/fusion/Model.mbi:2024:12-29
      _12_accnameptr=None # bld/herlev/final/default/src/fusion/Model.mbi:2025:12-29
      _13_accaxisnames=None # bld/herlev/final/default/src/fusion/Model.mbi:2026:12-43
      if ((int(len(_0_name)) > 0) and ((_3_dom._indexnames) is not None)): # bld/herlev/final/default/src/fusion/Model.mbi:2028:12-52
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2028:54-2057:9
        _14_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Model.mbi:2029:14-16
        _15_accsb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Model.mbi:2030:14-19
        _16_axisp=0 # bld/herlev/final/default/src/fusion/Model.mbi:2031:14-25
        _17_namep=0 # bld/herlev/final/default/src/fusion/Model.mbi:2032:14-25
        _18_numnames=0 # bld/herlev/final/default/src/fusion/Model.mbi:2033:14-28
        if (int(((_3_dom._indexnames)).shape[0])!=_5_nd): # bld/herlev/final/default/src/fusion/Model.mbi:2034:14-39
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2035:12-67
          raise mosek_fusion_DomainError._ctor_S("Invalid index name definition") # bld/herlev/final/default/src/fusion/Model.mbi:2035:12-67
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2035:12-67
        for _19_i in range(0,int(((_3_dom._indexnames)).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:2036:10-2042:11
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2036:47-2042:11
          if ((_3_dom._indexnames)[_19_i] is not None): # bld/herlev/final/default/src/fusion/Model.mbi:2037:16-41
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2037:43-2041:13
            if (_4_shape[_19_i]!=int(((_3_dom._indexnames)[_19_i]).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:2038:18-52
              # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2039:16-71
              raise mosek_fusion_DomainError._ctor_S("Invalid index name definition") # bld/herlev/final/default/src/fusion/Model.mbi:2039:16-71
              # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2039:16-71
            _18_numnames += _4_shape[_19_i] # bld/herlev/final/default/src/fusion/Model.mbi:2040:14-35
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2037:43-2041:13
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2036:47-2042:11
        _9_nameptr = numpy.zeros(((_18_numnames + 1),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:2043:10-41
        _8_axisptr = numpy.array([(- 1) for _20_i in range(0,_5_nd)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2044:10-51
        for _21_i in range(0,int(((_3_dom._indexnames)).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:2045:10-2054:13
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2046:12-2054:13
          if ((_3_dom._indexnames)[_21_i] is not None): # bld/herlev/final/default/src/fusion/Model.mbi:2046:16-41
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2046:43-2054:13
            _8_axisptr[_21_i] = _16_axisp # bld/herlev/final/default/src/fusion/Model.mbi:2047:14-33
            for _22_j in range(0,_4_shape[_21_i]): # bld/herlev/final/default/src/fusion/Model.mbi:2048:14-2053:15
              # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2048:40-2053:15
              _14_sb._a_S((_3_dom._indexnames)[_21_i][_22_j]) # bld/herlev/final/default/src/fusion/Model.mbi:2049:16-43
              _16_axisp += 1 # bld/herlev/final/default/src/fusion/Model.mbi:2050:16-24
              _17_namep += int(len((_3_dom._indexnames)[_21_i][_22_j])) # bld/herlev/final/default/src/fusion/Model.mbi:2051:16-51
              _9_nameptr[_16_axisp] = _17_namep # bld/herlev/final/default/src/fusion/Model.mbi:2052:16-39
              # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2048:40-2053:15
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2046:43-2054:13
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2046:12-2054:13
        _10_axisnames = _14_sb # bld/herlev/final/default/src/fusion/Model.mbi:2055:10-25
        _13_accaxisnames = _15_accsb # bld/herlev/final/default/src/fusion/Model.mbi:2056:10-31
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2028:54-2057:9
      _23_sparsity=None # bld/herlev/final/default/src/fusion/Model.mbi:2072:12-28
      _24_perm=None # bld/herlev/final/default/src/fusion/Model.mbi:2073:12-24
      if (_3_dom._empty): # bld/herlev/final/default/src/fusion/Model.mbi:2074:12-21
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2074:23-2076:9
        _23_sparsity = numpy.zeros((0,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:2075:10-33
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2074:23-2076:9
      elif ((_3_dom._sparsity) is not None): # bld/herlev/final/default/src/fusion/Model.mbi:2077:16-36
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2077:38-2128:9
        if (int(((_3_dom._sparsity)).shape[1])!=_5_nd): # bld/herlev/final/default/src/fusion/Model.mbi:2078:14-39
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2079:12-75
          raise mosek_fusion_SparseFormatError._ctor_S("Sparsity pattern is not correct") # bld/herlev/final/default/src/fusion/Model.mbi:2079:12-75
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2079:12-75
        _25_n=int(((_3_dom._sparsity)).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:2081:14-15
        _23_sparsity = numpy.zeros((_25_n,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:2082:10-33
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2084:10-2099:11
        _26_err=False # bld/herlev/final/default/src/fusion/Model.mbi:2085:16-19
        _27_sp=(_3_dom._sparsity) # bld/herlev/final/default/src/fusion/Model.mbi:2086:16-18
        _26_err = fragments._c_closure_58(_26_err,_25_n,_4_shape,_27_sp,_23_sparsity,_6_strides) # bld/herlev/final/default/src/fusion/Model.mbi:2087:12-2095:13
        if _26_err: # bld/herlev/final/default/src/fusion/Model.mbi:2096:16-19
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2097:14-79
          raise mosek_fusion_SparseFormatError._ctor_S("Sparsity pattern is out of bounds") # bld/herlev/final/default/src/fusion/Model.mbi:2097:14-79
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2097:14-79
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2084:10-2099:11
        _28_midxs=(_3_dom._sparsity) # bld/herlev/final/default/src/fusion/Model.mbi:2100:14-19
        _29_maxdim=0 # bld/herlev/final/default/src/fusion/Model.mbi:2102:14-20
        _29_maxdim = fragments._c_closure_59(_29_maxdim,_5_nd,_4_shape) # bld/herlev/final/default/src/fusion/Model.mbi:2102:26-87
        _29_maxdim = numpy.int32(_29_maxdim) # postprocess
        _30_curperm=numpy.zeros((_25_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2103:14-21
        fragments._c_closure_60(_30_curperm,_25_n) # bld/herlev/final/default/src/fusion/Model.mbi:2103:37-71
        _31_tgtperm=numpy.zeros((_25_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2104:14-21
        _32_ptr=numpy.zeros(((_29_maxdim + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2105:14-17
        for _33_dd in range(0,_5_nd): # bld/herlev/final/default/src/fusion/Model.mbi:2107:10-2120:11
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2107:31-2120:11
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2108:12-2118:13
          fragments._c_closure_61(_30_curperm,_33_dd,_28_midxs,_25_n,_5_nd,_32_ptr,_4_shape,_31_tgtperm) # bld/herlev/final/default/src/fusion/Model.mbi:2108:12-2118:13
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2108:12-2118:13
          _34_tmp=_30_curperm # bld/herlev/final/default/src/fusion/Model.mbi:2119:16-19
          _30_curperm = _31_tgtperm # bld/herlev/final/default/src/fusion/Model.mbi:2119:31-49
          _31_tgtperm = _34_tmp # bld/herlev/final/default/src/fusion/Model.mbi:2119:50-64
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2107:31-2120:11
        fragments._c_closure_62(_30_curperm,_28_midxs,_25_n,_5_nd,_23_sparsity,_6_strides) # bld/herlev/final/default/src/fusion/Model.mbi:2122:10-2127:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2077:38-2128:9
      _35_nvaritems=(int((_23_sparsity).shape[0]) if ((_23_sparsity is not None) ) else _7_domsize) # bld/herlev/final/default/src/fusion/Model.mbi:2130:12-21
      _36_bnds=numpy.zeros((_35_nvaritems,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:2131:12-16
      if ((_3_dom._bnd) is not None): # bld/herlev/final/default/src/fusion/Model.mbi:2133:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2133:29-2141:9
        if (int(((_3_dom._bnd)).shape[0])==1): # bld/herlev/final/default/src/fusion/Model.mbi:2134:14-31
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2135:12-60
          for _37_i in range(0,_35_nvaritems): # bld/herlev/final/default/src/fusion/Model.mbi:2135:12-60
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2135:39-60
            _36_bnds[_37_i] = (_3_dom._bnd)[0] # bld/herlev/final/default/src/fusion/Model.mbi:2135:39-60
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2135:39-60
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2135:12-60
        elif (int(((_3_dom._bnd)).shape[0])==_35_nvaritems): # bld/herlev/final/default/src/fusion/Model.mbi:2136:18-43
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2137:12-62
          mosek.fusion.Utils.Tools._arraycopy__3DI_3DII((_3_dom._bnd),0,_36_bnds,0,_35_nvaritems) # bld/herlev/final/default/src/fusion/Model.mbi:2137:12-62
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2137:12-62
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2138:15-2140:11
          raise mosek_fusion_DimensionError._ctor_S("Invalid right hand side shape in domain") # bld/herlev/final/default/src/fusion/Model.mbi:2139:12-80
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2138:15-2140:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2133:29-2141:9
      _38_nativeidxs=numpy.zeros((_35_nvaritems,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:2143:12-22
      _39_varblockid=self.__linearvar_1alloc_I_3I(_35_nvaritems,_38_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:2144:12-22
      if ((_3_dom._key)==mosek.fusion.RelationKey.IsFree): # bld/herlev/final/default/src/fusion/Model.mbi:2146:17-46
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2146:49-2149:9
        self._task_1var_1putboundlist_1fr__3I(_38_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:2147:10-47
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2146:49-2149:9
      if ((_3_dom._key)==mosek.fusion.RelationKey.LessThan): # bld/herlev/final/default/src/fusion/Model.mbi:2150:17-48
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2150:51-2153:9
        self._task_1var_1putboundlist_1up__3I_3D(_38_nativeidxs,_36_bnds) # bld/herlev/final/default/src/fusion/Model.mbi:2151:10-52
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2150:51-2153:9
      elif ((_3_dom._key)==mosek.fusion.RelationKey.GreaterThan): # bld/herlev/final/default/src/fusion/Model.mbi:2154:17-51
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2154:54-2157:9
        self._task_1var_1putboundlist_1lo__3I_3D(_38_nativeidxs,_36_bnds) # bld/herlev/final/default/src/fusion/Model.mbi:2155:10-52
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2154:54-2157:9
      elif ((_3_dom._key)==mosek.fusion.RelationKey.EqualsTo): # bld/herlev/final/default/src/fusion/Model.mbi:2158:17-48
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2158:51-2161:9
        self._task_1var_1putboundlist_1fx__3I_3D(_38_nativeidxs,_36_bnds) # bld/herlev/final/default/src/fusion/Model.mbi:2159:10-52
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2158:51-2161:9
      _40_res=mosek_fusion_LinearVariable._ctor_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(self,_0_name,_39_varblockid,_4_shape,_23_sparsity,_38_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:2163:12-15
      self.__vars[_39_varblockid] = _40_res # bld/herlev/final/default/src/fusion/Model.mbi:2164:8-31
      if (int(len(_0_name)) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2167:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2167:27-2184:9
        _41_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Model.mbi:2168:14-16
        _41_sb._a_S(_0_name)._a_S("[") # bld/herlev/final/default/src/fusion/Model.mbi:2169:10-28
        if (_5_nd > 0): # bld/herlev/final/default/src/fusion/Model.mbi:2170:14-20
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2170:22-2174:11
          _41_sb._a_S("%0") # bld/herlev/final/default/src/fusion/Model.mbi:2171:12-23
          for _42_i in range(1,_5_nd): # bld/herlev/final/default/src/fusion/Model.mbi:2172:12-2173:30
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2173:14-30
            _41_sb._a_S(",%")._a_I(_42_i) # bld/herlev/final/default/src/fusion/Model.mbi:2173:14-30
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2173:14-30
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2170:22-2174:11
        _41_sb._a_S("]") # bld/herlev/final/default/src/fusion/Model.mbi:2175:10-20
        if ((_3_dom._indexnames) is not None): # bld/herlev/final/default/src/fusion/Model.mbi:2176:14-36
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2176:38-2178:11
          self._task_1format_1var_1names__3IS_3I_3J_3_3S(_38_nativeidxs,_41_sb._toString_(),_4_shape,_23_sparsity,(_3_dom._indexnames)) # bld/herlev/final/default/src/fusion/Model.mbi:2177:12-90
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2176:38-2178:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2179:15-2181:11
          self._task_1format_1var_1names__3IS_3I_3J_3_3S(_38_nativeidxs,_41_sb._toString_(),_4_shape,_23_sparsity,None) # bld/herlev/final/default/src/fusion/Model.mbi:2180:12-80
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2179:15-2181:11
        self.__var_map._setItem_SI(_0_name,_39_varblockid) # bld/herlev/final/default/src/fusion/Model.mbi:2183:10-43
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2167:27-2184:9
      if (_3_dom._cardinal_flag): # bld/herlev/final/default/src/fusion/Model.mbi:2186:12-29
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:2187:10-42
        self._task_1var_1putintlist__3I(_38_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:2187:10-42
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2187:10-42
      return (_40_res) # bld/herlev/final/default/src/fusion/Model.mbi:2189:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:2003:6-2190:7
    def __variable_1_alt_S_3ILmosek_4fusion_4PSDDomain_2(self,_t__0_name,_t__1_shp,_t__2_dom_):
      _0_name=_t__0_name
      _1_shp=numpy.array(_t__1_shp,dtype=numpy.dtype(numpy.int32))
      _2_dom_=_t__2_dom_
      _1 = self.__variable_1_S_3ILmosek_4fusion_4PSDDomain_2(_0_name,_1_shp,_2_dom_)
      try:
        _t__1_shp[:] = _1_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __variable_1_S_3ILmosek_4fusion_4PSDDomain_2(self,_0_name,_1_shp,_2_dom_):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1819:6-1937:7
      if ((int(len(_0_name)) > 0) and self._hasVariable_S(_0_name)): # bld/herlev/final/default/src/fusion/Model.mbi:1820:13-48
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1821:10-113
        raise mosek_fusion_NameError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Duplicate variable name '")._a_S(_0_name)._a_S("'")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:1821:10-113
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1821:10-113
      _3_dom=_2_dom_._finalize_1and_1validate__3I(_1_shp) # bld/herlev/final/default/src/fusion/Model.mbi:1823:12-15
      _4_shape=(_3_dom._shape) # bld/herlev/final/default/src/fusion/Model.mbi:1828:12-17
      _5_conedim1=(_3_dom._conedim1) # bld/herlev/final/default/src/fusion/Model.mbi:1829:12-20
      _6_conedim2=(_3_dom._conedim2) # bld/herlev/final/default/src/fusion/Model.mbi:1830:12-20
      _7_nd=int((_4_shape).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:1831:12-14
      _8_d=_4_shape[_5_conedim1] # bld/herlev/final/default/src/fusion/Model.mbi:1832:12-13
      if (_5_conedim1 > _6_conedim2): # bld/herlev/final/default/src/fusion/Model.mbi:1885:12-31
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1885:33-93
        _9_tmp=_5_conedim1 # bld/herlev/final/default/src/fusion/Model.mbi:1885:39-42
        _5_conedim1 = _6_conedim2 # bld/herlev/final/default/src/fusion/Model.mbi:1885:55-75
        _6_conedim2 = _9_tmp # bld/herlev/final/default/src/fusion/Model.mbi:1885:76-91
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1885:33-93
      if ((_5_conedim1==_6_conedim2) or ((_5_conedim1 < 0) or (_6_conedim2 >= _7_nd))): # bld/herlev/final/default/src/fusion/Model.mbi:1886:12-66
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1887:10-95
        raise mosek_fusion_DimensionError._ctor_S("Invalid cone order dimensions for semidefinite variables") # bld/herlev/final/default/src/fusion/Model.mbi:1887:10-95
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1887:10-95
      if (_4_shape[_5_conedim1]!=_4_shape[_6_conedim2]): # bld/herlev/final/default/src/fusion/Model.mbi:1888:12-46
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1889:10-81
        raise mosek_fusion_DimensionError._ctor_S("Mismatching shape in cone order dimensions") # bld/herlev/final/default/src/fusion/Model.mbi:1889:10-81
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1889:10-81
      _10_numcone=1 # bld/herlev/final/default/src/fusion/Model.mbi:1891:12-19
      _10_numcone = fragments._c_closure_63(_5_conedim1,_10_numcone,_4_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1892:8-63
      _10_numcone = numpy.int32(_10_numcone) # postprocess
      _10_numcone = fragments._c_closure_64(_5_conedim1,_6_conedim2,_10_numcone,_4_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1893:8-63
      _10_numcone = numpy.int32(_10_numcone) # postprocess
      _10_numcone = fragments._c_closure_65(_6_conedim2,_7_nd,_10_numcone,_4_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1894:8-63
      _10_numcone = numpy.int32(_10_numcone) # postprocess
      _11_numelm=(((_10_numcone * _8_d) * (_8_d + 1)) // 2) # bld/herlev/final/default/src/fusion/Model.mbi:1896:12-18
      _12_nativeidxs=numpy.zeros((_11_numelm,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:1898:12-22
      _13_barvaridxs=numpy.zeros((_10_numcone,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1899:12-22
      _14_varid=self.__barvar_1alloc_II_3I_3J(_8_d,_10_numcone,_13_barvaridxs,_12_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:1900:12-17
      _15_res=mosek_fusion_PSDVariable._ctor_Lmosek_4fusion_4Model_2SI_3III_3I_3J(self,_0_name,_14_varid,_4_shape,(_3_dom._conedim1),(_3_dom._conedim2),_13_barvaridxs,_12_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:1902:12-15
      if ((_0_name!="") or True): # bld/herlev/final/default/src/fusion/Model.mbi:1903:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1903:32-1931:9
        _16_coneshape=numpy.zeros(((_7_nd - 2),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1904:14-23
        _17_cdim1=(_5_conedim1 if ((_5_conedim1 < _6_conedim2) ) else _6_conedim2) # bld/herlev/final/default/src/fusion/Model.mbi:1905:14-19
        _18_cdim2=(_6_conedim2 if ((_5_conedim1 < _6_conedim2) ) else _5_conedim1) # bld/herlev/final/default/src/fusion/Model.mbi:1906:14-19
        fragments._c_closure_66(_17_cdim1,_16_coneshape,_4_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1907:10-65
        fragments._c_closure_67(_17_cdim1,_18_cdim2,_16_coneshape,_4_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1908:10-65
        fragments._c_closure_68(_18_cdim2,_16_coneshape,_7_nd,_4_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1909:10-65
        _19_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Model.mbi:1911:14-16
        _19_sb._a_S(_0_name)._a_S("[") # bld/herlev/final/default/src/fusion/Model.mbi:1912:10-28
        if ((_7_nd - 2) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:1913:14-22
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1913:24-1917:11
          _19_sb._a_S("%0") # bld/herlev/final/default/src/fusion/Model.mbi:1914:12-23
          for _20_i in range(1,(_7_nd - 2)): # bld/herlev/final/default/src/fusion/Model.mbi:1915:12-1916:30
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1916:14-30
            _19_sb._a_S(",%")._a_I(_20_i) # bld/herlev/final/default/src/fusion/Model.mbi:1916:14-30
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1916:14-30
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1913:24-1917:11
        _19_sb._a_S("]") # bld/herlev/final/default/src/fusion/Model.mbi:1918:10-20
        if ((_3_dom._indexnames) is not None): # bld/herlev/final/default/src/fusion/Model.mbi:1920:14-36
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1920:38-1927:11
          _21_indexnames=numpy.ndarray(((_7_nd - 2),), dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:1921:16-26
          for _22_i in range(0,_17_cdim1): # bld/herlev/final/default/src/fusion/Model.mbi:1922:12-77
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1922:41-77
            _21_indexnames[_22_i] = (_3_dom._indexnames)[_22_i] # bld/herlev/final/default/src/fusion/Model.mbi:1922:41-77
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1922:41-77
          for _23_i in range((_17_cdim1 + 1),_18_cdim2): # bld/herlev/final/default/src/fusion/Model.mbi:1923:12-77
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1923:41-77
            _21_indexnames[(_23_i - 1)] = (_3_dom._indexnames)[_23_i] # bld/herlev/final/default/src/fusion/Model.mbi:1923:41-77
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1923:41-77
          for _24_i in range((_18_cdim2 + 1),_7_nd): # bld/herlev/final/default/src/fusion/Model.mbi:1924:12-79
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1924:41-79
            _21_indexnames[(_24_i - 2)] = (_3_dom._indexnames)[_24_i] # bld/herlev/final/default/src/fusion/Model.mbi:1924:41-79
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1924:41-79
          self._task_1format_1barvar_1names__3IS_3I_3_3S(_13_barvaridxs,_19_sb._toString_(),_16_coneshape,_21_indexnames) # bld/herlev/final/default/src/fusion/Model.mbi:1926:12-84
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1920:38-1927:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1928:15-1930:11
          self._task_1format_1barvar_1names__3IS_3I_3_3S(_13_barvaridxs,_19_sb._toString_(),_16_coneshape,None) # bld/herlev/final/default/src/fusion/Model.mbi:1929:12-78
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1928:15-1930:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1903:32-1931:9
      self.__barvars[_14_varid] = _15_res # bld/herlev/final/default/src/fusion/Model.mbi:1932:8-29
      if (int(len(_0_name)) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:1933:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1934:10-43
        self.__var_map._setItem_SI(_0_name,(- (_14_varid + 1))) # bld/herlev/final/default/src/fusion/Model.mbi:1934:10-43
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1934:10-43
      return (_15_res) # bld/herlev/final/default/src/fusion/Model.mbi:1936:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1819:6-1937:7
    def __putfrows_alt__3IILmosek_4fusion_4WorkStack_2IIIII(self,_t__0_nativeidxs,_t__1_nativebaseptr,_t__2_rs,_t__3_nelem,_t__4_nnz,_t__5_ptr_base,_t__6_nidxs_base,_t__7_cof_base):
      _0_nativeidxs=numpy.array(_t__0_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _1_nativebaseptr=numpy.int32(_t__1_nativebaseptr)
      _2_rs=_t__2_rs
      _3_nelem=numpy.int32(_t__3_nelem)
      _4_nnz=numpy.int32(_t__4_nnz)
      _5_ptr_base=numpy.int32(_t__5_ptr_base)
      _6_nidxs_base=numpy.int32(_t__6_nidxs_base)
      _7_cof_base=numpy.int32(_t__7_cof_base)
      _1 = self.__putfrows__3IILmosek_4fusion_4WorkStack_2IIIII(_0_nativeidxs,_1_nativebaseptr,_2_rs,_3_nelem,_4_nnz,_5_ptr_base,_6_nidxs_base,_7_cof_base)
      try:
        _t__0_nativeidxs[:] = _0_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __putfrows__3IILmosek_4fusion_4WorkStack_2IIIII(self,_0_nativeidxs,_1_nativebaseptr,_2_rs,_3_nelem,_4_nnz,_5_ptr_base,_6_nidxs_base,_7_cof_base):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1691:48-1808:7
      _8_ri32=(_2_rs.i32) # bld/herlev/final/default/src/fusion/Model.mbi:1692:12-16
      _9_ri64=(_2_rs.i64) # bld/herlev/final/default/src/fusion/Model.mbi:1693:12-16
      _10_rf64=(_2_rs.f64) # bld/herlev/final/default/src/fusion/Model.mbi:1694:12-16
      _11_linnz=0 # bld/herlev/final/default/src/fusion/Model.mbi:1697:12-17
      _12_barnnz=0 # bld/herlev/final/default/src/fusion/Model.mbi:1698:12-18
      _13_totalpsdelm=0 # bld/herlev/final/default/src/fusion/Model.mbi:1699:12-23
      _12_barnnz,_11_linnz,_13_totalpsdelm = fragments._c_closure_69(_12_barnnz,self.__barvar_block_elm_barj,_11_linnz,_3_nelem,_6_nidxs_base,_5_ptr_base,_8_ri32,_9_ri64,_13_totalpsdelm) # bld/herlev/final/default/src/fusion/Model.mbi:1701:8-1717:9
      _12_barnnz = numpy.int32(_12_barnnz) # postprocess
      _11_linnz = numpy.int32(_11_linnz) # postprocess
      _13_totalpsdelm = numpy.int32(_13_totalpsdelm) # postprocess
      if (_3_nelem > (int((_0_nativeidxs).shape[0]) - _1_nativebaseptr)): # bld/herlev/final/default/src/fusion/Model.mbi:1719:12-49
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1720:12-69
        raise mosek_fusion_UnexpectedError._ctor_S("Internal: Mismatching sizes") # bld/herlev/final/default/src/fusion/Model.mbi:1720:12-69
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1720:12-69
      _14_numcon=_3_nelem # bld/herlev/final/default/src/fusion/Model.mbi:1722:12-18
      _15_ptrb=numpy.zeros(((_14_numcon + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1723:12-16
      _16_subj=numpy.zeros((_11_linnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1724:12-16
      _17_cof=numpy.zeros((_11_linnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:1725:12-15
      _18_bfix=numpy.zeros((_3_nelem,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:1726:12-16
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1732:8-1751:9
      fragments._c_closure_70(_18_bfix,_17_cof,_7_cof_base,_3_nelem,_6_nidxs_base,_5_ptr_base,_15_ptrb,_10_rf64,_8_ri32,_9_ri64,_16_subj) # bld/herlev/final/default/src/fusion/Model.mbi:1732:8-1751:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1732:8-1751:9
      self._task_1putafeflist__3J_3I_3I_3D_3D(numpy.array([_0_nativeidxs[(_19_i + _1_nativebaseptr)] for _19_i in range(0,_3_nelem)], dtype=numpy.dtype(numpy.int64)),_15_ptrb,_16_subj,_17_cof,_18_bfix) # bld/herlev/final/default/src/fusion/Model.mbi:1759:8-106
      if (_12_barnnz > 0): # bld/herlev/final/default/src/fusion/Model.mbi:1763:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1763:24-1807:9
        _20_subi=_0_nativeidxs # bld/herlev/final/default/src/fusion/Model.mbi:1764:14-18
        _21_ptr=numpy.zeros(((_14_numcon + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1765:14-17
        _22_barsubj=numpy.zeros((_12_barnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1767:14-21
        _23_matdim=numpy.zeros((_12_barnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1768:14-20
        _24_matnnz=numpy.zeros((_12_barnnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:1769:14-20
        _25_matsubi=numpy.array([(- 1) for _26_i in range(0,_13_totalpsdelm)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1770:14-21
        _27_matsubj=numpy.zeros((_13_totalpsdelm,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1771:14-21
        _28_matcof=numpy.zeros((_13_totalpsdelm,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:1772:14-20
        _29_barnzi=0 # bld/herlev/final/default/src/fusion/Model.mbi:1774:14-20
        _30_barmatnzi=0 # bld/herlev/final/default/src/fusion/Model.mbi:1775:14-23
        _30_barmatnzi,_29_barnzi = fragments._c_closure_71(_30_barmatnzi,_29_barnzi,_22_barsubj,self.__barvar_block_elm_barj,self.__barvar_block_elm_i,self.__barvar_block_elm_j,self.__barvar_dim,_7_cof_base,_28_matcof,_23_matdim,_24_matnnz,_25_matsubi,_27_matsubj,_6_nidxs_base,_14_numcon,_21_ptr,_5_ptr_base,_10_rf64,_8_ri32,_9_ri64) # bld/herlev/final/default/src/fusion/Model.mbi:1778:10-1803:11
        _30_barmatnzi = numpy.int32(_30_barmatnzi) # postprocess
        _29_barnzi = numpy.int32(_29_barnzi) # postprocess
        _31_symmatidx=self._task_1appendsymmatlist__3I_3J_3I_3I_3D(_23_matdim,_24_matnnz,_25_matsubi,_27_matsubj,_28_matcof) # bld/herlev/final/default/src/fusion/Model.mbi:1805:14-23
        self._task_1putafebarfrowlist__3I_3I_3I_3J(_20_subi,_21_ptr,_22_barsubj,_31_symmatidx) # bld/herlev/final/default/src/fusion/Model.mbi:1806:10-61
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1763:24-1807:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1691:48-1808:7
    def __putarows_alt__3ILmosek_4fusion_4WorkStack_2IIIII(self,_t__0_nativeidxs,_t__1_rs,_t__2_nelem,_t__3_nnz,_t__4_ptr_base,_t__5_nidxs_base,_t__6_cof_base):
      _0_nativeidxs=numpy.array(_t__0_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _1_rs=_t__1_rs
      _2_nelem=numpy.int32(_t__2_nelem)
      _3_nnz=numpy.int32(_t__3_nnz)
      _4_ptr_base=numpy.int32(_t__4_ptr_base)
      _5_nidxs_base=numpy.int32(_t__5_nidxs_base)
      _6_cof_base=numpy.int32(_t__6_cof_base)
      _1 = self.__putarows__3ILmosek_4fusion_4WorkStack_2IIIII(_0_nativeidxs,_1_rs,_2_nelem,_3_nnz,_4_ptr_base,_5_nidxs_base,_6_cof_base)
      try:
        _t__0_nativeidxs[:] = _0_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __putarows__3ILmosek_4fusion_4WorkStack_2IIIII(self,_0_nativeidxs,_1_rs,_2_nelem,_3_nnz,_4_ptr_base,_5_nidxs_base,_6_cof_base):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1587:55-1681:7
      _7_ri32=(_1_rs.i32) # bld/herlev/final/default/src/fusion/Model.mbi:1588:12-16
      _8_ri64=(_1_rs.i64) # bld/herlev/final/default/src/fusion/Model.mbi:1589:12-16
      _9_rf64=(_1_rs.f64) # bld/herlev/final/default/src/fusion/Model.mbi:1590:12-16
      _10_linnz=0 # bld/herlev/final/default/src/fusion/Model.mbi:1593:12-17
      _11_barnnz=0 # bld/herlev/final/default/src/fusion/Model.mbi:1594:12-18
      _12_totalpsdelm=0 # bld/herlev/final/default/src/fusion/Model.mbi:1595:12-23
      _11_barnnz,_10_linnz,_12_totalpsdelm = fragments._c_closure_72(_11_barnnz,self.__barvar_block_elm_barj,_10_linnz,_2_nelem,_5_nidxs_base,_4_ptr_base,_7_ri32,_8_ri64,_12_totalpsdelm) # bld/herlev/final/default/src/fusion/Model.mbi:1597:8-1610:9
      _11_barnnz = numpy.int32(_11_barnnz) # postprocess
      _10_linnz = numpy.int32(_10_linnz) # postprocess
      _12_totalpsdelm = numpy.int32(_12_totalpsdelm) # postprocess
      _10_linnz += _2_nelem # bld/herlev/final/default/src/fusion/Model.mbi:1611:8-23
      _13_numcon=int((_0_nativeidxs).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:1613:12-18
      _14_ptrb=numpy.zeros(((_13_numcon + 1),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:1614:12-16
      _15_subj=numpy.zeros((_10_linnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1615:12-16
      _16_cof=numpy.zeros((_10_linnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:1616:12-15
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1617:8-1633:9
      fragments._c_closure_73(_16_cof,_6_cof_base,_2_nelem,_5_nidxs_base,_4_ptr_base,_14_ptrb,_9_rf64,_7_ri32,_8_ri64,_15_subj) # bld/herlev/final/default/src/fusion/Model.mbi:1617:8-1633:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1617:8-1633:9
      self._task_1putarowlist__3I_3J_3I_3D(_0_nativeidxs,_14_ptrb,_15_subj,_16_cof) # bld/herlev/final/default/src/fusion/Model.mbi:1635:8-54
      if (_11_barnnz > 0): # bld/herlev/final/default/src/fusion/Model.mbi:1639:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1639:24-1680:9
        _17_subi=_0_nativeidxs # bld/herlev/final/default/src/fusion/Model.mbi:1640:14-18
        _18_ptr=numpy.zeros(((_13_numcon + 1),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:1641:14-17
        _19_barsubj=numpy.zeros((_11_barnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1643:14-21
        _20_matdim=numpy.zeros((_11_barnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1644:14-20
        _21_matnnz=numpy.zeros((_11_barnnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:1645:14-20
        _22_matsubi=numpy.zeros((_12_totalpsdelm,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1646:14-21
        _23_matsubj=numpy.zeros((_12_totalpsdelm,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1647:14-21
        _24_matcof=numpy.zeros((_12_totalpsdelm,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:1648:14-20
        _25_barnzi=0 # bld/herlev/final/default/src/fusion/Model.mbi:1650:14-20
        _26_barmatnzi=0 # bld/herlev/final/default/src/fusion/Model.mbi:1651:14-23
        _26_barmatnzi,_25_barnzi = fragments._c_closure_74(_26_barmatnzi,_25_barnzi,_19_barsubj,self.__barvar_block_elm_barj,self.__barvar_block_elm_i,self.__barvar_block_elm_j,self.__barvar_dim,_6_cof_base,_24_matcof,_20_matdim,_21_matnnz,_22_matsubi,_23_matsubj,_5_nidxs_base,_13_numcon,_18_ptr,_4_ptr_base,_9_rf64,_7_ri32,_8_ri64) # bld/herlev/final/default/src/fusion/Model.mbi:1653:10-1676:11
        _26_barmatnzi = numpy.int32(_26_barmatnzi) # postprocess
        _25_barnzi = numpy.int32(_25_barnzi) # postprocess
        _27_symmatidx=self._task_1appendsymmatlist__3I_3J_3I_3I_3D(_20_matdim,_21_matnnz,_22_matsubi,_23_matsubj,_24_matcof) # bld/herlev/final/default/src/fusion/Model.mbi:1678:14-23
        self._task_1putbararowlist__3I_3J_3I_3J(_17_subi,_18_ptr,_19_barsubj,_27_symmatidx) # bld/herlev/final/default/src/fusion/Model.mbi:1679:10-58
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1639:24-1680:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1587:55-1681:7
    def __constraint_1_alt_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(self,_t__0_name,_t__1_expr,_t__2_dom_):
      return self.__constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(_0_name,_1_expr,_2_dom_)
    def __constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4RangeDomain_2(self,_0_name,_1_expr,_2_dom_):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1457:6-1565:7
      if ((int(len(_0_name)) > 0) and self._hasConstraint_S(_0_name)): # bld/herlev/final/default/src/fusion/Model.mbi:1458:12-49
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1459:10-115
        raise mosek_fusion_NameError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Duplicate constraint name '")._a_S(_0_name)._a_S("'")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:1459:10-115
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1459:10-115
      if (_2_dom_._cardinal_flag): # bld/herlev/final/default/src/fusion/Model.mbi:1461:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1462:10-78
        raise mosek_fusion_DomainError._ctor_S("Integer domain not allowed in a constraint") # bld/herlev/final/default/src/fusion/Model.mbi:1462:10-78
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1462:10-78
      _3_e=mosek_fusion_ExprDense._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprOptimizeCode._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprCompress._ctor_Lmosek_4fusion_4Expression_2(_1_expr))) # bld/herlev/final/default/src/fusion/Model.mbi:1464:12-13
      _3_e._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self.__rs,self.__ws,self.__xs) # bld/herlev/final/default/src/fusion/Model.mbi:1465:8-25
      self.__rs._pop_1expr_() # bld/herlev/final/default/src/fusion/Model.mbi:1467:8-22
      _4_ri32=(self.__rs.i32) # bld/herlev/final/default/src/fusion/Model.mbi:1469:12-16
      _5_ri64=(self.__rs.i64) # bld/herlev/final/default/src/fusion/Model.mbi:1470:12-16
      _6_rf64=(self.__rs.f64) # bld/herlev/final/default/src/fusion/Model.mbi:1471:12-16
      _7_nd=(self.__rs.nd) # bld/herlev/final/default/src/fusion/Model.mbi:1473:12-14
      _8_shape_base=(self.__rs.shape_base) # bld/herlev/final/default/src/fusion/Model.mbi:1474:12-22
      _9_nelem=(self.__rs.nelem) # bld/herlev/final/default/src/fusion/Model.mbi:1475:12-17
      _10_nnz=(self.__rs.nnz) # bld/herlev/final/default/src/fusion/Model.mbi:1476:12-15
      _11_ncodeatom=(self.__rs.ncodeatom) # bld/herlev/final/default/src/fusion/Model.mbi:1477:12-21
      _12_hassp=(self.__rs.hassp) # bld/herlev/final/default/src/fusion/Model.mbi:1478:12-17
      _13_ptr_base=(self.__rs.ptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:1480:12-20
      _14_nidxs_base=(self.__rs.nidxs_base) # bld/herlev/final/default/src/fusion/Model.mbi:1481:12-22
      _15_cof_base=(self.__rs.cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:1482:12-20
      _16_codeptr=(self.__rs.codeptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:1483:12-19
      _17_code=(self.__rs.code_base) # bld/herlev/final/default/src/fusion/Model.mbi:1484:12-16
      _18_cconst=(self.__rs.cconst_base) # bld/herlev/final/default/src/fusion/Model.mbi:1485:12-18
      _19_shape=numpy.array([_4_ri32[(_8_shape_base + _20_i)] for _20_i in range(0,_7_nd)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1487:12-17
      _21_dom=_2_dom_._finalize_1and_1validate__3I(_19_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1488:12-15
      if ((_21_dom._shape) is not None): # bld/herlev/final/default/src/fusion/Model.mbi:1490:13-30
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1491:10-1496:78
        if (int(((_21_dom._shape)).shape[0])!=_7_nd): # bld/herlev/final/default/src/fusion/Model.mbi:1491:14-34
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1492:12-74
          raise mosek_fusion_DimensionError._ctor_S("Mismatching expression and domain") # bld/herlev/final/default/src/fusion/Model.mbi:1492:12-74
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1492:12-74
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1494:12-1496:78
          for _22_i in range(0,_7_nd): # bld/herlev/final/default/src/fusion/Model.mbi:1494:12-1496:78
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1495:14-1496:78
            if ((_21_dom._shape)[_22_i]!=_4_ri32[(_8_shape_base + _22_i)]): # bld/herlev/final/default/src/fusion/Model.mbi:1495:18-52
              # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1496:16-78
              raise mosek_fusion_DimensionError._ctor_S("Mismatching expression and domain") # bld/herlev/final/default/src/fusion/Model.mbi:1496:16-78
              # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1496:16-78
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1495:14-1496:78
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1494:12-1496:78
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1491:10-1496:78
      _23_numcon=1 # bld/herlev/final/default/src/fusion/Model.mbi:1498:12-18
      _23_numcon = fragments._c_closure_75(_7_nd,_23_numcon,_4_ri32,_8_shape_base) # bld/herlev/final/default/src/fusion/Model.mbi:1498:24-73
      _23_numcon = numpy.int32(_23_numcon) # postprocess
      _24_nativeidxs=numpy.zeros((_23_numcon,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1500:12-22
      _25_conid=self.__con_1allocate__3I(_24_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:1501:12-17
      self.__putarows__3ILmosek_4fusion_4WorkStack_2IIIII(_24_nativeidxs,self.__rs,_9_nelem,_10_nnz,_13_ptr_base,_14_nidxs_base,_15_cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:1502:8-71
      self.__xs._clear_() # bld/herlev/final/default/src/fusion/Model.mbi:1504:8-19
      _26_bl=numpy.zeros((_23_numcon,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:1506:12-14
      _27_bu=numpy.zeros((_23_numcon,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:1507:12-14
      _28_domlb=(_21_dom._lb) # bld/herlev/final/default/src/fusion/Model.mbi:1509:12-17
      _29_domub=(_21_dom._ub) # bld/herlev/final/default/src/fusion/Model.mbi:1510:12-17
      _30_domempty=(_21_dom._empty) # bld/herlev/final/default/src/fusion/Model.mbi:1511:12-20
      _31_domsc=(_21_dom._scalable) # bld/herlev/final/default/src/fusion/Model.mbi:1512:12-17
      _32_domsp=(_21_dom._sparsity) # bld/herlev/final/default/src/fusion/Model.mbi:1513:12-17
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1515:8-1539:9
      fragments._c_closure_76(_26_bl,_27_bu,_30_domempty,_28_domlb,_31_domsc,_32_domsp,_29_domub,_7_nd,_23_numcon,_4_ri32,_8_shape_base) # bld/herlev/final/default/src/fusion/Model.mbi:1515:8-1539:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1515:8-1539:9
      self._task_1con_1putboundlist_1ra__3I_3D_3D(_24_nativeidxs,_26_bl,_27_bu) # bld/herlev/final/default/src/fusion/Model.mbi:1540:8-51
      if (_11_ncodeatom > 0): # bld/herlev/final/default/src/fusion/Model.mbi:1543:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1544:10-93
        self.__con_blocks._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(self.__rs,_24_nativeidxs,_13_ptr_base,_14_nidxs_base,_16_codeptr,_17_code,_18_cconst) # bld/herlev/final/default/src/fusion/Model.mbi:1544:10-93
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1544:10-93
      if (int(len(_0_name)) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:1546:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1546:27-1557:9
        _33_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Model.mbi:1547:14-16
        _33_sb._a_S(_0_name)._a_S("[") # bld/herlev/final/default/src/fusion/Model.mbi:1548:10-28
        if (int((_19_shape).shape[0]) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:1549:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1550:12-23
          _33_sb._a_S("%0") # bld/herlev/final/default/src/fusion/Model.mbi:1550:12-23
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1550:12-23
        for _34_i in range(1,int((_19_shape).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:1551:10-54
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1551:38-54
          _33_sb._a_S(",%")._a_I(_34_i) # bld/herlev/final/default/src/fusion/Model.mbi:1551:38-54
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1551:38-54
        _33_sb._a_S("]") # bld/herlev/final/default/src/fusion/Model.mbi:1552:10-20
        if ((_21_dom._indexnames) is not None): # bld/herlev/final/default/src/fusion/Model.mbi:1553:14-36
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1554:12-86
          self._task_1format_1con_1names__3IS_3I_3J_3_3S(_24_nativeidxs,_33_sb._toString_(),_19_shape,None,(_21_dom._indexnames)) # bld/herlev/final/default/src/fusion/Model.mbi:1554:12-86
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1554:12-86
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1556:12-76
          self._task_1format_1con_1names__3IS_3I_3J_3_3S(_24_nativeidxs,_33_sb._toString_(),_19_shape,None,None) # bld/herlev/final/default/src/fusion/Model.mbi:1556:12-76
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1556:12-76
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1546:27-1557:9
      _35_res=mosek_fusion_RangedConstraint._ctor_Lmosek_4fusion_4Model_2S_3I_3II(self,_0_name,numpy.array([_4_ri32[(_8_shape_base + _36_i)] for _36_i in range(0,_7_nd)], dtype=numpy.dtype(numpy.int32)),_24_nativeidxs,_25_conid) # bld/herlev/final/default/src/fusion/Model.mbi:1559:12-15
      self.__cons[_25_conid] = _35_res # bld/herlev/final/default/src/fusion/Model.mbi:1560:8-26
      if (int(len(_0_name)) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:1561:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1562:10-38
        self.__con_map._setItem_SI(_0_name,_25_conid) # bld/herlev/final/default/src/fusion/Model.mbi:1562:10-38
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1562:10-38
      return (_35_res) # bld/herlev/final/default/src/fusion/Model.mbi:1564:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1457:6-1565:7
    def __constraint_1_alt_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(self,_t__0_name,_t__1_expr,_t__2_dom_):
      return self.__constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(_0_name,_1_expr,_2_dom_)
    def __constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4PSDDomain_2(self,_0_name,_1_expr,_2_dom_):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1260:6-1433:7
      _3_shape=_1_expr._getShape_() # bld/herlev/final/default/src/fusion/Model.mbi:1261:12-17
      _4_dom=_2_dom_._finalize_1and_1validate__3I(_3_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1262:12-15
      _5_tril=((_4_dom._conedim1) < (_4_dom._conedim2)) # bld/herlev/final/default/src/fusion/Model.mbi:1264:12-16
      _6_conedim1=((_4_dom._conedim2) if (((_4_dom._conedim1) < (_4_dom._conedim2)) ) else (_4_dom._conedim1)) # bld/herlev/final/default/src/fusion/Model.mbi:1267:10-18
      _7_conedim0=((_4_dom._conedim1) if (((_4_dom._conedim1) < (_4_dom._conedim2)) ) else (_4_dom._conedim2)) # bld/herlev/final/default/src/fusion/Model.mbi:1266:10-18
      _8_e=mosek_fusion_ExprDenseTril._ctor_IILmosek_4fusion_4Expression_2(_7_conedim0,_6_conedim1,mosek_fusion_ExprOptimizeCode._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprCompress._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprScaleVecPSD._ctor_IILmosek_4fusion_4BaseExpression_2(_7_conedim0,_6_conedim1,mosek_fusion_ExprDenseTril._ctor_IILmosek_4fusion_4Expression_2(_7_conedim0,_6_conedim1,(mosek_fusion_ExprSymmetrize._ctor_IILmosek_4fusion_4Expression_2(_7_conedim0,_6_conedim1,_1_expr) if (((_4_dom._key)==mosek.fusion.PSDKey.IsSymPSD) ) else _1_expr)))))) # bld/herlev/final/default/src/fusion/Model.mbi:1269:12-13
      _8_e._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self.__rs,self.__ws,self.__xs) # bld/herlev/final/default/src/fusion/Model.mbi:1277:8-25
      _9_ri32=(self.__rs.i32) # bld/herlev/final/default/src/fusion/Model.mbi:1279:12-16
      _10_ri64=(self.__rs.i64) # bld/herlev/final/default/src/fusion/Model.mbi:1280:12-16
      _11_rf64=(self.__rs.f64) # bld/herlev/final/default/src/fusion/Model.mbi:1281:12-16
      _12_nd=(self.__rs.nd) # bld/herlev/final/default/src/fusion/Model.mbi:1283:12-14
      _13_nelem=(self.__rs.nelem) # bld/herlev/final/default/src/fusion/Model.mbi:1284:12-17
      _14_nnz=(self.__rs.nnz) # bld/herlev/final/default/src/fusion/Model.mbi:1285:12-15
      _15_hassp=(self.__rs.hassp) # bld/herlev/final/default/src/fusion/Model.mbi:1286:12-17
      _16_ncodeatom=(self.__rs.ncodeatom) # bld/herlev/final/default/src/fusion/Model.mbi:1287:12-21
      _17_shape_base=(self.__rs.shape_base) # bld/herlev/final/default/src/fusion/Model.mbi:1289:12-22
      _18_ptr_base=(self.__rs.ptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:1290:12-20
      _19_nidxs_base=(self.__rs.nidxs_base) # bld/herlev/final/default/src/fusion/Model.mbi:1291:12-22
      _20_sp_base=(self.__rs.sp_base) # bld/herlev/final/default/src/fusion/Model.mbi:1292:12-19
      _21_cof_base=(self.__rs.cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:1293:12-20
      _22_codeptr=(self.__rs.codeptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:1294:12-19
      _23_code=(self.__rs.code_base) # bld/herlev/final/default/src/fusion/Model.mbi:1295:12-16
      _24_cconst=(self.__rs.cconst_base) # bld/herlev/final/default/src/fusion/Model.mbi:1296:12-18
      _25_conedim=_3_shape[_6_conedim1] # bld/herlev/final/default/src/fusion/Model.mbi:1297:12-19
      _26_conesize=((_25_conedim * (_25_conedim + 1)) // 2) # bld/herlev/final/default/src/fusion/Model.mbi:1298:12-20
      _27_numcone=1 # bld/herlev/final/default/src/fusion/Model.mbi:1299:12-19
      _27_numcone = fragments._c_closure_77(_7_conedim0,_6_conedim1,_12_nd,_27_numcone,_3_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1300:8-1302:32
      _27_numcone = numpy.int32(_27_numcone) # postprocess
      _28_domainidx=self._task_1append_1domain_1svec_1psd_I(_26_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:1304:12-21
      _29_domsize=(_26_conesize * _27_numcone) # bld/herlev/final/default/src/fusion/Model.mbi:1305:12-19
      _30_afeidxs=numpy.zeros((_29_domsize,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1306:12-19
      _31_accidxs=numpy.zeros((_27_numcone,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1307:12-19
      _32_conelmidx=numpy.zeros((_29_domsize,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1308:12-21
      _33_g=numpy.zeros((_29_domsize,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:1309:12-13
      _34_conid=self.__acon_1allocate_JII_3D_3I_3I(_28_domainidx,_26_conesize,_27_numcone,_33_g,_30_afeidxs,_31_accidxs) # bld/herlev/final/default/src/fusion/Model.mbi:1310:12-17
      _35_aconidxs=numpy.zeros((_29_domsize,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1312:12-20
      self.__acon_block_map._get_I_3II(_34_conid,_35_aconidxs,0) # bld/herlev/final/default/src/fusion/Model.mbi:1313:8-45
      _36_d5=1 # bld/herlev/final/default/src/fusion/Model.mbi:1320:10-18
      _37_d4=_3_shape[_6_conedim1] # bld/herlev/final/default/src/fusion/Model.mbi:1319:10-18
      _38_d3=1 # bld/herlev/final/default/src/fusion/Model.mbi:1318:10-18
      _39_d2=_3_shape[_7_conedim0] # bld/herlev/final/default/src/fusion/Model.mbi:1317:10-18
      _40_d1=1 # bld/herlev/final/default/src/fusion/Model.mbi:1316:10-18
      _40_d1 = fragments._c_closure_78(_7_conedim0,_40_d1,_3_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1321:8-58
      _40_d1 = numpy.int64(_40_d1) # postprocess
      _38_d3 = fragments._c_closure_79(_7_conedim0,_6_conedim1,_38_d3,_3_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1322:8-58
      _38_d3 = numpy.int64(_38_d3) # postprocess
      _36_d5 = fragments._c_closure_80(_6_conedim1,_36_d5,_12_nd,_3_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1323:8-58
      _36_d5 = numpy.int64(_36_d5) # postprocess
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1325:8-1341:9
      _41_k=0 # bld/herlev/final/default/src/fusion/Model.mbi:1326:14-15
      _42_s=(1.0 / mosek.fusion.Utils.Tools._sqrt_D(2)) # bld/herlev/final/default/src/fusion/Model.mbi:1328:14-15
      _41_k = fragments._c_closure_81(self.__acon_elm_scale,_35_aconidxs,_40_d1,_39_d2,_38_d3,_37_d4,_36_d5,_41_k,_42_s) # bld/herlev/final/default/src/fusion/Model.mbi:1329:10-1339:13
      _41_k = numpy.int32(_41_k) # postprocess
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1325:8-1341:9
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1343:8-1371:9
      _43_afetrilperm=numpy.zeros((_13_nelem,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1344:14-25
      _44_k=0 # bld/herlev/final/default/src/fusion/Model.mbi:1345:14-15
      _44_k = fragments._c_closure_82(_30_afeidxs,_43_afetrilperm,_26_conesize,_40_d1,_39_d2,_38_d3,_37_d4,_36_d5,_44_k,_5_tril) # bld/herlev/final/default/src/fusion/Model.mbi:1346:10-1367:21
      _44_k = numpy.int32(_44_k) # postprocess
      self.__putfrows__3IILmosek_4fusion_4WorkStack_2IIIII(_43_afetrilperm,0,self.__rs,_13_nelem,_14_nnz,_18_ptr_base,_19_nidxs_base,_21_cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:1368:10-76
      if (_16_ncodeatom > 0): # bld/herlev/final/default/src/fusion/Model.mbi:1369:14-27
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1370:12-96
        self.__afe_blocks._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(self.__rs,_43_afetrilperm,_18_ptr_base,_19_nidxs_base,_22_codeptr,_23_code,_24_cconst) # bld/herlev/final/default/src/fusion/Model.mbi:1370:12-96
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1370:12-96
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1343:8-1371:9
      _45_pafeidxs=numpy.zeros((((_27_numcone * _39_d2) * _39_d2),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1374:12-20
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1375:8-1399:9
      fragments._c_closure_83(_30_afeidxs,_26_conesize,_40_d1,_39_d2,_38_d3,_37_d4,_36_d5,_45_pafeidxs,_5_tril) # bld/herlev/final/default/src/fusion/Model.mbi:1375:8-1399:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1375:8-1399:9
      if (int(len(_0_name)) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:1402:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1402:27-1425:9
        _46_coneshape=numpy.zeros(((int((_3_shape).shape[0]) - 2),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1403:14-23
        fragments._c_closure_84(_7_conedim0,_46_coneshape,_3_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1404:10-60
        fragments._c_closure_85(_7_conedim0,_6_conedim1,_46_coneshape,_3_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1405:10-71
        fragments._c_closure_86(_6_conedim1,_46_coneshape,_12_nd,_3_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1406:10-65
        _47_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Model.mbi:1408:14-16
        _47_sb._a_S(_0_name)._a_S("[") # bld/herlev/final/default/src/fusion/Model.mbi:1409:10-28
        if (_12_nd > 2): # bld/herlev/final/default/src/fusion/Model.mbi:1410:14-20
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1410:22-1413:11
          _47_sb._a_S("%0") # bld/herlev/final/default/src/fusion/Model.mbi:1411:12-23
          for _48_i in range(1,(_12_nd - 2)): # bld/herlev/final/default/src/fusion/Model.mbi:1412:12-50
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1412:34-50
            _47_sb._a_S(",%")._a_I(_48_i) # bld/herlev/final/default/src/fusion/Model.mbi:1412:34-50
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1412:34-50
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1410:22-1413:11
        _47_sb._a_S("]") # bld/herlev/final/default/src/fusion/Model.mbi:1414:10-20
        if ((_4_dom._indexnames) is not None): # bld/herlev/final/default/src/fusion/Model.mbi:1415:14-36
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1415:38-1422:11
          _49_dindexnames=(_4_dom._indexnames) # bld/herlev/final/default/src/fusion/Model.mbi:1416:16-27
          _50_indexnames=numpy.ndarray(((_12_nd - 2),), dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:1417:16-26
          for _51_i in range(0,_7_conedim0): # bld/herlev/final/default/src/fusion/Model.mbi:1418:12-69
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1418:38-69
            _50_indexnames[_51_i] = _49_dindexnames[_51_i] # bld/herlev/final/default/src/fusion/Model.mbi:1418:38-69
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1418:38-69
          for _52_i in range((_7_conedim0 + 1),_6_conedim1): # bld/herlev/final/default/src/fusion/Model.mbi:1419:12-80
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1419:47-80
            _50_indexnames[(_52_i - 1)] = _49_dindexnames[_52_i] # bld/herlev/final/default/src/fusion/Model.mbi:1419:47-80
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1419:47-80
          for _53_i in range((_6_conedim1 + 1),_12_nd): # bld/herlev/final/default/src/fusion/Model.mbi:1420:12-74
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1420:41-74
            _50_indexnames[(_53_i - 2)] = _49_dindexnames[_53_i] # bld/herlev/final/default/src/fusion/Model.mbi:1420:41-74
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1420:41-74
          self._task_1format_1acc_1names__3JS_3I_3_3S(numpy.array([_31_accidxs[_54_i] for _54_i in range(0,int((_31_accidxs).shape[0]))], dtype=numpy.dtype(numpy.int64)),_47_sb._toString_(),_46_coneshape,_50_indexnames) # bld/herlev/final/default/src/fusion/Model.mbi:1421:12-117
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1415:38-1422:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1424:12-111
          self._task_1format_1acc_1names__3JS_3I_3_3S(numpy.array([_31_accidxs[_55_i] for _55_i in range(0,int((_31_accidxs).shape[0]))], dtype=numpy.dtype(numpy.int64)),_47_sb._toString_(),_46_coneshape,None) # bld/herlev/final/default/src/fusion/Model.mbi:1424:12-111
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1424:12-111
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1402:27-1425:9
      _56_res=mosek_fusion_ConicConstraint._ctor_Lmosek_4fusion_4Model_2SLmosek_4fusion_4ConeDomain_2_3II_3I_3_3S(self,_0_name,None,_3_shape,_34_conid,_45_pafeidxs,None) # bld/herlev/final/default/src/fusion/Model.mbi:1427:12-15
      self.__acons[_34_conid] = _56_res # bld/herlev/final/default/src/fusion/Model.mbi:1428:8-27
      if (int(len(_0_name)) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:1429:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1430:10-43
        self.__con_map._setItem_SI(_0_name,(- (1 + _34_conid))) # bld/herlev/final/default/src/fusion/Model.mbi:1430:10-43
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1430:10-43
      return (_56_res) # bld/herlev/final/default/src/fusion/Model.mbi:1432:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1260:6-1433:7
    def __constraint_1_alt_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(self,_t__0_name,_t__1_expr,_t__2_dom_):
      return self.__constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(_0_name,_1_expr,_2_dom_)
    def __constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4ConeDomain_2(self,_0_name,_1_expr,_2_dom_):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:835:6-1031:7
      if ((int(len(_0_name)) > 0) and self._hasConstraint_S(_0_name)): # bld/herlev/final/default/src/fusion/Model.mbi:836:12-49
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:837:10-115
        raise mosek_fusion_NameError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Duplicate constraint name '")._a_S(_0_name)._a_S("'")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:837:10-115
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:837:10-115
      if ((int(len(_0_name)) > 0) and self._hasConstraint_S(_0_name)): # bld/herlev/final/default/src/fusion/Model.mbi:839:12-49
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:840:10-115
        raise mosek_fusion_NameError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Duplicate constraint name '")._a_S(_0_name)._a_S("'")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:840:10-115
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:840:10-115
      if (_2_dom_._int_flag): # bld/herlev/final/default/src/fusion/Model.mbi:842:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:843:10-78
        raise mosek_fusion_DomainError._ctor_S("Integer domain not allowed in a constraint") # bld/herlev/final/default/src/fusion/Model.mbi:843:10-78
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:843:10-78
      _3_e=mosek_fusion_ExprDense._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprOptimizeCode._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprCompress._ctor_Lmosek_4fusion_4Expression_2(_1_expr))) # bld/herlev/final/default/src/fusion/Model.mbi:845:12-13
      _3_e._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self.__rs,self.__ws,self.__xs) # bld/herlev/final/default/src/fusion/Model.mbi:846:8-25
      self.__rs._pop_1expr_() # bld/herlev/final/default/src/fusion/Model.mbi:847:8-22
      _4_ri32=(self.__rs.i32) # bld/herlev/final/default/src/fusion/Model.mbi:849:12-16
      _5_ri64=(self.__rs.i64) # bld/herlev/final/default/src/fusion/Model.mbi:850:12-16
      _6_rf64=(self.__rs.f64) # bld/herlev/final/default/src/fusion/Model.mbi:851:12-16
      _7_nd=(self.__rs.nd) # bld/herlev/final/default/src/fusion/Model.mbi:853:12-14
      _8_shape_base=(self.__rs.shape_base) # bld/herlev/final/default/src/fusion/Model.mbi:854:12-22
      _9_nelem=(self.__rs.nelem) # bld/herlev/final/default/src/fusion/Model.mbi:855:12-17
      _10_nnz=(self.__rs.nnz) # bld/herlev/final/default/src/fusion/Model.mbi:856:12-15
      _11_ncodeatom=(self.__rs.ncodeatom) # bld/herlev/final/default/src/fusion/Model.mbi:857:12-21
      _12_hassp=(self.__rs.hassp) # bld/herlev/final/default/src/fusion/Model.mbi:858:12-17
      _13_ptr_base=(self.__rs.ptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:859:12-20
      _14_nidxs_base=(self.__rs.nidxs_base) # bld/herlev/final/default/src/fusion/Model.mbi:860:12-22
      _15_cof_base=(self.__rs.cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:861:12-20
      _16_code=(self.__rs.code_base) # bld/herlev/final/default/src/fusion/Model.mbi:862:12-16
      _17_codeptr=(self.__rs.codeptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:863:12-19
      _18_cconst=(self.__rs.cconst_base) # bld/herlev/final/default/src/fusion/Model.mbi:864:12-18
      _19_shape=numpy.array([_4_ri32[(_8_shape_base + _20_i)] for _20_i in range(0,_7_nd)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:866:12-17
      _21_dom=_2_dom_._finalize_1and_1validate__3I(_19_shape) # bld/herlev/final/default/src/fusion/Model.mbi:867:12-15
      _22_coneaxis=(_21_dom._getAxis_() if (_21_dom._axisIsSet_() ) else (_7_nd - 1)) # bld/herlev/final/default/src/fusion/Model.mbi:886:12-20
      _23_conesize=_19_shape[_22_coneaxis] # bld/herlev/final/default/src/fusion/Model.mbi:887:12-20
      _24_d1=1 # bld/herlev/final/default/src/fusion/Model.mbi:890:12-14
      _25_d0=1 # bld/herlev/final/default/src/fusion/Model.mbi:889:12-14
      _26_domsize=1 # bld/herlev/final/default/src/fusion/Model.mbi:888:12-19
      _26_domsize = fragments._c_closure_87(_26_domsize,_7_nd,_19_shape) # bld/herlev/final/default/src/fusion/Model.mbi:892:8-57
      _26_domsize = numpy.int32(_26_domsize) # postprocess
      _25_d0 = fragments._c_closure_88(_22_coneaxis,_25_d0,_19_shape) # bld/herlev/final/default/src/fusion/Model.mbi:893:8-57
      _25_d0 = numpy.int32(_25_d0) # postprocess
      _24_d1 = fragments._c_closure_89(_22_coneaxis,_24_d1,_7_nd,_19_shape) # bld/herlev/final/default/src/fusion/Model.mbi:894:8-57
      _24_d1 = numpy.int32(_24_d1) # postprocess
      _27_numcone=(_25_d0 * _24_d1) # bld/herlev/final/default/src/fusion/Model.mbi:896:12-19
      # var _28_domainidx @ bld/herlev/final/default/src/fusion/Model.mbi:897:12-27
      if ((_21_dom._key)==mosek.fusion.QConeKey.InQCone): # bld/herlev/final/default/src/fusion/Model.mbi:899:16-43
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:899:45-902:9
        if (_23_conesize < 2): # bld/herlev/final/default/src/fusion/Model.mbi:900:14-26
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:900:28-149
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_23_conesize)._a_S(") for quadratic cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:900:28-149
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:900:28-149
        _28_domainidx = self._task_1append_1domain_1quad_I(_23_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:901:10-56
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:899:45-902:9
      elif ((_21_dom._key)==mosek.fusion.QConeKey.InRotatedQCone): # bld/herlev/final/default/src/fusion/Model.mbi:903:16-50
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:903:52-906:9
        if (_23_conesize < 3): # bld/herlev/final/default/src/fusion/Model.mbi:904:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:904:29-158
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_23_conesize)._a_S(") for rotated quadratic cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:904:29-158
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:904:29-158
        _28_domainidx = self._task_1append_1domain_1rquad_I(_23_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:905:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:903:52-906:9
      elif ((_21_dom._key)==mosek.fusion.QConeKey.InPExpCone): # bld/herlev/final/default/src/fusion/Model.mbi:907:16-46
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:907:48-910:9
        if (_23_conesize!=3): # bld/herlev/final/default/src/fusion/Model.mbi:908:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:908:29-152
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_23_conesize)._a_S(") for exponential cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:908:29-152
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:908:29-152
        _28_domainidx = self._task_1append_1domain_1pexp_() # bld/herlev/final/default/src/fusion/Model.mbi:909:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:907:48-910:9
      elif ((_21_dom._key)==mosek.fusion.QConeKey.InPPowCone): # bld/herlev/final/default/src/fusion/Model.mbi:911:16-46
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:911:48-915:9
        if (_23_conesize < 2): # bld/herlev/final/default/src/fusion/Model.mbi:912:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:912:29-146
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_23_conesize)._a_S(") for power cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:912:29-146
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:912:29-146
        if (int(((_21_dom._alpha)).shape[0]) < 2): # bld/herlev/final/default/src/fusion/Model.mbi:913:14-33
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:913:35-147
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Power cone requires at least two parameters")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:913:35-147
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:913:35-147
        _28_domainidx = self._task_1append_1domain_1ppow_I_3D(_23_conesize,(_21_dom._alpha)) # bld/herlev/final/default/src/fusion/Model.mbi:914:10-66
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:911:48-915:9
      elif ((_21_dom._key)==mosek.fusion.QConeKey.InDExpCone): # bld/herlev/final/default/src/fusion/Model.mbi:916:16-46
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:916:48-919:9
        if (_23_conesize!=3): # bld/herlev/final/default/src/fusion/Model.mbi:917:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:917:29-157
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_23_conesize)._a_S(") for dual exponential cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:917:29-157
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:917:29-157
        _28_domainidx = self._task_1append_1domain_1dexp_() # bld/herlev/final/default/src/fusion/Model.mbi:918:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:916:48-919:9
      elif ((_21_dom._key)==mosek.fusion.QConeKey.InDPowCone): # bld/herlev/final/default/src/fusion/Model.mbi:920:16-46
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:920:48-924:9
        if (_23_conesize < 2): # bld/herlev/final/default/src/fusion/Model.mbi:921:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:921:29-151
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_23_conesize)._a_S(") for dual power cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:921:29-151
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:921:29-151
        if (int(((_21_dom._alpha)).shape[0]) < 2): # bld/herlev/final/default/src/fusion/Model.mbi:922:14-33
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:922:35-147
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Power cone requires at least two parameters")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:922:35-147
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:922:35-147
        _28_domainidx = self._task_1append_1domain_1dpow_I_3D(_23_conesize,(_21_dom._alpha)) # bld/herlev/final/default/src/fusion/Model.mbi:923:10-66
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:920:48-924:9
      elif ((_21_dom._key)==mosek.fusion.QConeKey.InPGeoMeanCone): # bld/herlev/final/default/src/fusion/Model.mbi:933:16-50
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:933:52-936:9
        if (_23_conesize < 2): # bld/herlev/final/default/src/fusion/Model.mbi:934:14-26
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:934:28-161
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_23_conesize)._a_S(") for primal geometric mean cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:934:28-161
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:934:28-161
        _28_domainidx = self._task_1append_1domain_1pgeomean_I(_23_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:935:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:933:52-936:9
      elif ((_21_dom._key)==mosek.fusion.QConeKey.InDGeoMeanCone): # bld/herlev/final/default/src/fusion/Model.mbi:937:16-50
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:937:52-940:9
        if (_23_conesize < 2): # bld/herlev/final/default/src/fusion/Model.mbi:938:14-26
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:938:28-159
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_23_conesize)._a_S(") for dual geometric mean cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:938:28-159
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:938:28-159
        _28_domainidx = self._task_1append_1domain_1dgeomean_I(_23_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:939:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:937:52-940:9
      elif ((_21_dom._key)==mosek.fusion.QConeKey.InSVecPSDCone): # bld/herlev/final/default/src/fusion/Model.mbi:941:16-49
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:941:51-946:9
        _29_d=numpy.int32(((mosek.fusion.Utils.Tools._sqrt_D((1 + (8 * _23_conesize))) - 1) / 2)) # bld/herlev/final/default/src/fusion/Model.mbi:942:14-15
        if (((_29_d * (_29_d + 1)) // 2)!=_23_conesize): # bld/herlev/final/default/src/fusion/Model.mbi:943:14-37
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:944:14-154
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_23_conesize)._a_S(") for vector positive semidefinite cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:944:14-154
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:944:14-154
        _28_domainidx = self._task_1append_1domain_1svec_1psd_I(_23_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:945:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:941:51-946:9
      elif ((_21_dom._key)==mosek.fusion.QConeKey.Positive): # bld/herlev/final/default/src/fusion/Model.mbi:947:16-44
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:947:46-949:9
        _28_domainidx = self._task_1append_1domain_1rpos_I(_23_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:948:10-56
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:947:46-949:9
      elif ((_21_dom._key)==mosek.fusion.QConeKey.Negative): # bld/herlev/final/default/src/fusion/Model.mbi:950:16-44
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:951:10-56
        _28_domainidx = self._task_1append_1domain_1rneg_I(_23_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:951:10-56
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:951:10-56
      elif ((_21_dom._key)==mosek.fusion.QConeKey.Unbounded): # bld/herlev/final/default/src/fusion/Model.mbi:952:16-45
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:953:10-53
        _28_domainidx = self._task_1append_1domain_1r_I(_23_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:953:10-53
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:953:10-53
      elif ((_21_dom._key)==mosek.fusion.QConeKey.Zero): # bld/herlev/final/default/src/fusion/Model.mbi:954:16-40
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:955:10-57
        _28_domainidx = self._task_1append_1domain_1rzero_I(_23_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:955:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:955:10-57
      elif ((_21_dom._key)==mosek.fusion.QConeKey.InPSDCone): # bld/herlev/final/default/src/fusion/Model.mbi:956:16-45
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:956:47-965:9
        if (_23_conesize < 2): # bld/herlev/final/default/src/fusion/Model.mbi:957:14-26
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:958:12-145
          raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_23_conesize)._a_S(") for positive semidefinite cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:958:12-145
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:958:12-145
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:959:15-963:11
          _30_d=numpy.int32(((mosek.fusion.Utils.Tools._sqrt_D((1 + (8 * _23_conesize))) - 1) / 2)) # bld/herlev/final/default/src/fusion/Model.mbi:960:16-17
          if (((_30_d * (_30_d + 1)) // 2)!=_23_conesize): # bld/herlev/final/default/src/fusion/Model.mbi:961:16-39
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:962:14-147
            raise mosek_fusion_DimensionError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Invalid size (")._a_I(_23_conesize)._a_S(") for positive semidefinite cone")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:962:14-147
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:962:14-147
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:959:15-963:11
        _28_domainidx = self._task_1append_1domain_1svec_1psd_I(_23_conesize) # bld/herlev/final/default/src/fusion/Model.mbi:964:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:956:47-965:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:967:10-73
        raise mosek_fusion_UnexpectedError._ctor_S("Internal error: Invalid cone type") # bld/herlev/final/default/src/fusion/Model.mbi:967:10-73
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:967:10-73
      _31_g=numpy.zeros((_26_domsize,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:969:12-13
      _32_afeidxs=numpy.zeros((_26_domsize,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:970:12-19
      _33_accidxs=numpy.zeros((_27_numcone,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:971:12-19
      _34_conid=self.__acon_1allocate_JII_3D_3I_3I(_28_domainidx,_23_conesize,_27_numcone,_31_g,_32_afeidxs,_33_accidxs) # bld/herlev/final/default/src/fusion/Model.mbi:973:12-17
      _35_perm=numpy.zeros((_26_domsize,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:975:12-16
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:976:8-991:9
      _36_idx=0 # bld/herlev/final/default/src/fusion/Model.mbi:977:14-17
      _37_ofs=(_21_dom._domofs) # bld/herlev/final/default/src/fusion/Model.mbi:978:14-17
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:979:10-990:11
      _36_idx = fragments._c_closure_90(_23_conesize,_25_d0,_24_d1,_26_domsize,_31_g,_36_idx,_37_ofs,_35_perm) # bld/herlev/final/default/src/fusion/Model.mbi:979:10-990:11
      _36_idx = numpy.int32(_36_idx) # postprocess
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:979:10-990:11
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:976:8-991:9
      _38_pafeidxs=numpy.array([_32_afeidxs[_35_perm[_39_i]] for _39_i in range(0,_26_domsize)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:994:12-20
      self.__putfrows__3IILmosek_4fusion_4WorkStack_2IIIII(_38_pafeidxs,0,self.__rs,_9_nelem,_10_nnz,_13_ptr_base,_14_nidxs_base,_15_cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:995:8-71
      if (_11_ncodeatom > 0): # bld/herlev/final/default/src/fusion/Model.mbi:998:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:999:10-91
        self.__afe_blocks._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(self.__rs,_38_pafeidxs,_13_ptr_base,_14_nidxs_base,_17_codeptr,_16_code,_18_cconst) # bld/herlev/final/default/src/fusion/Model.mbi:999:10-91
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:999:10-91
      if (int(len(_0_name)) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:1001:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1001:27-1024:9
        _40_accshape=numpy.zeros(((int((_19_shape).shape[0]) - 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:1002:14-22
        fragments._c_closure_91(_40_accshape,_22_coneaxis,_19_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1003:10-59
        fragments._c_closure_92(_40_accshape,_22_coneaxis,_7_nd,_19_shape) # bld/herlev/final/default/src/fusion/Model.mbi:1004:10-64
        _41_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Model.mbi:1006:14-16
        _41_sb._a_S(_0_name)._a_S("[") # bld/herlev/final/default/src/fusion/Model.mbi:1007:10-28
        if (_7_nd > 1): # bld/herlev/final/default/src/fusion/Model.mbi:1008:14-20
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1008:22-1011:11
          _41_sb._a_S("%0") # bld/herlev/final/default/src/fusion/Model.mbi:1009:12-23
          for _42_i in range(1,(_7_nd - 1)): # bld/herlev/final/default/src/fusion/Model.mbi:1010:12-50
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1010:34-50
            _41_sb._a_S(",%")._a_I(_42_i) # bld/herlev/final/default/src/fusion/Model.mbi:1010:34-50
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1010:34-50
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1008:22-1011:11
        _41_sb._a_S("]") # bld/herlev/final/default/src/fusion/Model.mbi:1012:10-20
        if ((_21_dom._indexnames) is not None): # bld/herlev/final/default/src/fusion/Model.mbi:1013:14-36
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1013:38-1019:11
          _43_dindexnames=(_21_dom._indexnames) # bld/herlev/final/default/src/fusion/Model.mbi:1014:16-27
          _44_indexnames=numpy.ndarray(((_7_nd - 1),), dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Model.mbi:1015:16-26
          for _45_i in range(0,_22_coneaxis): # bld/herlev/final/default/src/fusion/Model.mbi:1016:12-69
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1016:38-69
            _44_indexnames[_45_i] = _43_dindexnames[_45_i] # bld/herlev/final/default/src/fusion/Model.mbi:1016:38-69
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1016:38-69
          for _46_i in range((_22_coneaxis + 1),_7_nd): # bld/herlev/final/default/src/fusion/Model.mbi:1017:12-74
            # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1017:41-74
            _44_indexnames[(_46_i - 1)] = _43_dindexnames[_46_i] # bld/herlev/final/default/src/fusion/Model.mbi:1017:41-74
            # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1017:41-74
          self._task_1format_1acc_1names__3JS_3I_3_3S(numpy.array([_33_accidxs[_47_i] for _47_i in range(0,int((_33_accidxs).shape[0]))], dtype=numpy.dtype(numpy.int64)),_41_sb._toString_(),_40_accshape,_44_indexnames) # bld/herlev/final/default/src/fusion/Model.mbi:1018:12-116
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1013:38-1019:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1020:15-1022:11
          self._task_1format_1acc_1names__3JS_3I_3_3S(numpy.array([_33_accidxs[_48_i] for _48_i in range(0,int((_33_accidxs).shape[0]))], dtype=numpy.dtype(numpy.int64)),_41_sb._toString_(),_40_accshape,None) # bld/herlev/final/default/src/fusion/Model.mbi:1021:12-110
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1020:15-1022:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1001:27-1024:9
      _49_res=mosek_fusion_ConicConstraint._ctor_Lmosek_4fusion_4Model_2SLmosek_4fusion_4ConeDomain_2_3II_3I_3_3S(self,_0_name,_21_dom,_19_shape,_34_conid,_32_afeidxs,(_21_dom._indexnames)) # bld/herlev/final/default/src/fusion/Model.mbi:1026:12-15
      self.__acons[_34_conid] = _49_res # bld/herlev/final/default/src/fusion/Model.mbi:1027:8-27
      if (int(len(_0_name)) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:1028:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:1029:10-43
        self.__con_map._setItem_SI(_0_name,(- (_34_conid + 1))) # bld/herlev/final/default/src/fusion/Model.mbi:1029:10-43
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:1029:10-43
      return (_49_res) # bld/herlev/final/default/src/fusion/Model.mbi:1030:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:835:6-1031:7
    def __constraint_1_alt_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(self,_t__0_name,_t__1_expr,_t__2_dom_):
      return self.__constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(_0_name,_1_expr,_2_dom_)
    def __constraint_1_SLmosek_4fusion_4Expression_2Lmosek_4fusion_4LinearDomain_2(self,_0_name,_1_expr,_2_dom_):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:708:6-826:7
      if ((int(len(_0_name)) > 0) and self._hasConstraint_S(_0_name)): # bld/herlev/final/default/src/fusion/Model.mbi:709:12-49
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:710:10-115
        raise mosek_fusion_NameError._ctor_S(mosek.fusion.Utils.StringBuffer()._a_S("Duplicate constraint name '")._a_S(_0_name)._a_S("'")._toString_()) # bld/herlev/final/default/src/fusion/Model.mbi:710:10-115
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:710:10-115
      if (_2_dom_._cardinal_flag): # bld/herlev/final/default/src/fusion/Model.mbi:712:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:713:10-78
        raise mosek_fusion_DomainError._ctor_S("Integer domain not allowed in a constraint") # bld/herlev/final/default/src/fusion/Model.mbi:713:10-78
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:713:10-78
      _3_e=mosek_fusion_ExprDense._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprOptimizeCode._ctor_Lmosek_4fusion_4Expression_2(mosek_fusion_ExprCompress._ctor_Lmosek_4fusion_4Expression_2(_1_expr))) # bld/herlev/final/default/src/fusion/Model.mbi:715:12-13
      _3_e._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self.__rs,self.__ws,self.__xs) # bld/herlev/final/default/src/fusion/Model.mbi:716:8-25
      self.__rs._pop_1expr_() # bld/herlev/final/default/src/fusion/Model.mbi:718:8-22
      _4_ri32=(self.__rs.i32) # bld/herlev/final/default/src/fusion/Model.mbi:720:12-16
      _5_ri64=(self.__rs.i64) # bld/herlev/final/default/src/fusion/Model.mbi:721:12-16
      _6_rf64=(self.__rs.f64) # bld/herlev/final/default/src/fusion/Model.mbi:722:12-16
      _7_nd=(self.__rs.nd) # bld/herlev/final/default/src/fusion/Model.mbi:724:12-14
      _8_nelem=(self.__rs.nelem) # bld/herlev/final/default/src/fusion/Model.mbi:725:12-17
      _9_nnz=(self.__rs.nnz) # bld/herlev/final/default/src/fusion/Model.mbi:726:12-15
      _10_hassp=(self.__rs.hassp) # bld/herlev/final/default/src/fusion/Model.mbi:727:12-17
      _11_ncodeatom=(self.__rs.ncodeatom) # bld/herlev/final/default/src/fusion/Model.mbi:728:12-21
      _12_shape_base=(self.__rs.shape_base) # bld/herlev/final/default/src/fusion/Model.mbi:730:12-22
      _13_ptr_base=(self.__rs.ptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:731:12-20
      _14_nidxs_base=(self.__rs.nidxs_base) # bld/herlev/final/default/src/fusion/Model.mbi:732:12-22
      _15_cof_base=(self.__rs.cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:733:12-20
      _16_codeptr=(self.__rs.codeptr_base) # bld/herlev/final/default/src/fusion/Model.mbi:734:12-19
      _17_code=(self.__rs.code_base) # bld/herlev/final/default/src/fusion/Model.mbi:735:12-16
      _18_cconst=(self.__rs.cconst_base) # bld/herlev/final/default/src/fusion/Model.mbi:736:12-18
      _19_shape=numpy.array([_4_ri32[(_12_shape_base + _20_i)] for _20_i in range(0,_7_nd)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:738:12-17
      _21_dom=_2_dom_._finalize_1and_1validate__3I(_19_shape) # bld/herlev/final/default/src/fusion/Model.mbi:740:12-15
      _22_domsize=(_21_dom._domsize) # bld/herlev/final/default/src/fusion/Model.mbi:742:12-19
      _23_indexnames=(_21_dom._indexnames) # bld/herlev/final/default/src/fusion/Model.mbi:743:12-22
      # var _24_b @ bld/herlev/final/default/src/fusion/Model.mbi:745:12-22
      _25_nativeidxs=numpy.zeros((_22_domsize,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:747:12-22
      _26_conid=self.__con_1allocate__3I(_25_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:748:12-17
      self.__putarows__3ILmosek_4fusion_4WorkStack_2IIIII(_25_nativeidxs,self.__rs,_8_nelem,_9_nnz,_13_ptr_base,_14_nidxs_base,_15_cof_base) # bld/herlev/final/default/src/fusion/Model.mbi:749:8-71
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:751:8-778:9
      _27_domsp=(_21_dom._sparsity) # bld/herlev/final/default/src/fusion/Model.mbi:752:14-19
      _28_domempty=(_21_dom._empty) # bld/herlev/final/default/src/fusion/Model.mbi:753:14-22
      _29_dombnd=(_21_dom._bnd) # bld/herlev/final/default/src/fusion/Model.mbi:754:14-20
      _30_domscalable=(_21_dom._scalable) # bld/herlev/final/default/src/fusion/Model.mbi:755:14-25
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:757:10-777:11
      if (_29_dombnd is None): # bld/herlev/final/default/src/fusion/Model.mbi:758:16-30
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:759:14-45
        _24_b = numpy.zeros((int((_25_nativeidxs).shape[0]),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:759:14-45
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:759:14-45
      elif _30_domscalable: # bld/herlev/final/default/src/fusion/Model.mbi:760:20-31
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:761:14-64
        _24_b = numpy.array([_29_dombnd[0] for _31_i in range(0,int((_25_nativeidxs).shape[0]))], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:761:14-64
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:761:14-64
      elif (_27_domsp is not None): # bld/herlev/final/default/src/fusion/Model.mbi:762:20-33
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:762:35-770:13
        _32_stride=numpy.zeros((_7_nd,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:763:18-24
        _32_stride[(_7_nd - 1)] = 1 # bld/herlev/final/default/src/fusion/Model.mbi:763:41-58
        fragments._c_closure_93(_7_nd,_19_shape,_32_stride) # bld/herlev/final/default/src/fusion/Model.mbi:763:59-121
        _24_b = numpy.zeros((int((_25_nativeidxs).shape[0]),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:764:14-45
        fragments._c_closure_94(_24_b,_29_dombnd,_27_domsp,_7_nd,_32_stride) # bld/herlev/final/default/src/fusion/Model.mbi:766:14-769:15
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:762:35-770:13
      elif _28_domempty: # bld/herlev/final/default/src/fusion/Model.mbi:771:20-28
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:771:30-774:13
        _24_b = numpy.zeros((int((_25_nativeidxs).shape[0]),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:773:14-45
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:771:30-774:13
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:776:14-64
        _24_b = numpy.array([_29_dombnd[_33_i] for _33_i in range(0,int((_25_nativeidxs).shape[0]))], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:776:14-64
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:776:14-64
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:757:10-777:11
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:751:8-778:9
      if ((_21_dom._key)==mosek.fusion.RelationKey.IsFree): # bld/herlev/final/default/src/fusion/Model.mbi:786:17-46
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:786:49-789:9
        self._task_1con_1putboundlist_1fr__3I(_25_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:788:10-47
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:786:49-789:9
      if ((_21_dom._key)==mosek.fusion.RelationKey.LessThan): # bld/herlev/final/default/src/fusion/Model.mbi:790:17-48
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:790:51-793:9
        self._task_1con_1putboundlist_1up__3I_3D(_25_nativeidxs,_24_b) # bld/herlev/final/default/src/fusion/Model.mbi:792:10-49
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:790:51-793:9
      elif ((_21_dom._key)==mosek.fusion.RelationKey.GreaterThan): # bld/herlev/final/default/src/fusion/Model.mbi:794:17-51
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:794:54-797:9
        self._task_1con_1putboundlist_1lo__3I_3D(_25_nativeidxs,_24_b) # bld/herlev/final/default/src/fusion/Model.mbi:796:10-49
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:794:54-797:9
      elif ((_21_dom._key)==mosek.fusion.RelationKey.EqualsTo): # bld/herlev/final/default/src/fusion/Model.mbi:798:17-48
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:798:51-801:9
        self._task_1con_1putboundlist_1fx__3I_3D(_25_nativeidxs,_24_b) # bld/herlev/final/default/src/fusion/Model.mbi:800:10-49
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:798:51-801:9
      if (_11_ncodeatom > 0): # bld/herlev/final/default/src/fusion/Model.mbi:804:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:804:27-806:9
        self.__con_blocks._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(self.__rs,_25_nativeidxs,_13_ptr_base,_14_nidxs_base,_16_codeptr,_17_code,_18_cconst) # bld/herlev/final/default/src/fusion/Model.mbi:805:10-93
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:804:27-806:9
      if (int(len(_0_name)) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:808:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:808:27-819:9
        _34_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Model.mbi:809:14-16
        _34_sb._a_S(_0_name)._a_S("[") # bld/herlev/final/default/src/fusion/Model.mbi:810:10-28
        if (int((_19_shape).shape[0]) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:811:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:812:12-23
          _34_sb._a_S("%0") # bld/herlev/final/default/src/fusion/Model.mbi:812:12-23
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:812:12-23
        for _35_i in range(1,int((_19_shape).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:813:10-54
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:813:38-54
          _34_sb._a_S(",%")._a_I(_35_i) # bld/herlev/final/default/src/fusion/Model.mbi:813:38-54
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:813:38-54
        _34_sb._a_S("]") # bld/herlev/final/default/src/fusion/Model.mbi:814:10-20
        if ((_21_dom._indexnames) is not None): # bld/herlev/final/default/src/fusion/Model.mbi:815:14-36
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:816:12-86
          self._task_1format_1con_1names__3IS_3I_3J_3_3S(_25_nativeidxs,_34_sb._toString_(),_19_shape,None,(_21_dom._indexnames)) # bld/herlev/final/default/src/fusion/Model.mbi:816:12-86
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:816:12-86
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:818:12-76
          self._task_1format_1con_1names__3IS_3I_3J_3_3S(_25_nativeidxs,_34_sb._toString_(),_19_shape,None,None) # bld/herlev/final/default/src/fusion/Model.mbi:818:12-76
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:818:12-76
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:808:27-819:9
      _36_res=mosek_fusion_LinearConstraint._ctor_Lmosek_4fusion_4Model_2SI_3I_3I_3_3S(self,_0_name,_26_conid,_19_shape,_25_nativeidxs,_23_indexnames) # bld/herlev/final/default/src/fusion/Model.mbi:821:12-15
      self.__cons[_26_conid] = _36_res # bld/herlev/final/default/src/fusion/Model.mbi:822:8-26
      if (int(len(_0_name)) > 0): # bld/herlev/final/default/src/fusion/Model.mbi:823:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:824:10-38
        self.__con_map._setItem_SI(_0_name,_26_conid) # bld/herlev/final/default/src/fusion/Model.mbi:824:10-38
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:824:10-38
      return (_36_res) # bld/herlev/final/default/src/fusion/Model.mbi:825:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:708:6-826:7
    @staticmethod
    def _match_getVersion_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getVersion_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _getVersion_alt_():
      return mosek_fusion_Model._getVersion_()
    @staticmethod
    def _getVersion_():
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:698:54-700:7
      return (mosek.fusion.BaseModel._env_1getversion_()) # bld/herlev/final/default/src/fusion/Model.mbi:699:8-32
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:698:54-700:7
    @staticmethod
    def _match_hasParameter_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_match_S__(_0_name))
    @staticmethod
    def _match_alt_hasParameter_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_alt_match_S__(_0_name))
    def _hasParameter_alt_S(self,_t__0_name):
      return self._hasParameter_S(_0_name)
    def _hasParameter_S(self,_0_name):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:693:60-93
      return (self.__par_map._hasItem_S(_0_name)) # bld/herlev/final/default/src/fusion/Model.mbi:693:62-91
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:693:60-93
    @staticmethod
    def _match_hasConstraint_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_match_S__(_0_name))
    @staticmethod
    def _match_alt_hasConstraint_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_alt_match_S__(_0_name))
    def _hasConstraint_alt_S(self,_t__0_name):
      return self._hasConstraint_S(_0_name)
    def _hasConstraint_S(self,_0_name):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:692:60-93
      return (self.__con_map._hasItem_S(_0_name)) # bld/herlev/final/default/src/fusion/Model.mbi:692:62-91
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:692:60-93
    @staticmethod
    def _match_hasVariable_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_match_S__(_0_name))
    @staticmethod
    def _match_alt_hasVariable_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_alt_match_S__(_0_name))
    def _hasVariable_alt_S(self,_t__0_name):
      return self._hasVariable_S(_0_name)
    def _hasVariable_S(self,_0_name):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:691:60-93
      return (self.__var_map._hasItem_S(_0_name)) # bld/herlev/final/default/src/fusion/Model.mbi:691:62-91
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:691:60-93
    @staticmethod
    def _match_getParameter_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_match_S__(_0_name))
    @staticmethod
    def _match_alt_getParameter_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_alt_match_S__(_0_name))
    def _getParameter_alt_S(self,_t__0_name):
      return self._getParameter_S(_0_name)
    def _getParameter_S(self,_0_name):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:689:66-149
      return ((self.__parameters[self.__par_map._getItem_S(_0_name)] if (self.__par_map._hasItem_S(_0_name) ) else None)) # bld/herlev/final/default/src/fusion/Model.mbi:689:68-147
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:689:66-149
    @staticmethod
    def _match_getConstraint_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_match_I__(_0_index))
    @staticmethod
    def _match_alt_getConstraint_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_alt_match_I__(_0_index))
    def _getConstraint_alt_I(self,_t__0_index):
      return self._getConstraint_I(numpy.int32(__0_index))
    def _getConstraint_I(self,_0_index):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:688:66-167
      # var _1_res @ bld/herlev/final/default/src/fusion/Model.mbi:688:72-86
      if (_0_index >= 0): # bld/herlev/final/default/src/fusion/Model.mbi:688:92-102
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:688:104-122
        _1_res = self.__cons[_0_index] # bld/herlev/final/default/src/fusion/Model.mbi:688:104-122
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:688:104-122
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:688:128-153
        _1_res = self.__acons[(- (1 + _0_index))] # bld/herlev/final/default/src/fusion/Model.mbi:688:128-153
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:688:128-153
      return (_1_res) # bld/herlev/final/default/src/fusion/Model.mbi:688:154-165
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:688:66-167
    @staticmethod
    def _match_getConstraint_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_match_S__(_0_name))
    @staticmethod
    def _match_alt_getConstraint_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_alt_match_S__(_0_name))
    def _getConstraint_alt_S(self,_t__0_name):
      return self._getConstraint_S(_0_name)
    def _getConstraint_S(self,_0_name):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:678:66-687:7
      _1_retval=None # bld/herlev/final/default/src/fusion/Model.mbi:679:12-29
      if self.__con_map._hasItem_S(_0_name): # bld/herlev/final/default/src/fusion/Model.mbi:680:12-33
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:680:35-685:9
        _2_idx=self.__con_map._getItem_S(_0_name) # bld/herlev/final/default/src/fusion/Model.mbi:681:14-17
        if (_2_idx >= 0): # bld/herlev/final/default/src/fusion/Model.mbi:683:14-22
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:683:24-43
          _1_retval = self.__cons[_2_idx] # bld/herlev/final/default/src/fusion/Model.mbi:683:24-43
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:683:24-43
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:684:24-49
          _1_retval = self.__acons[(- (1 + _2_idx))] # bld/herlev/final/default/src/fusion/Model.mbi:684:24-49
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:684:24-49
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:680:35-685:9
      return (_1_retval) # bld/herlev/final/default/src/fusion/Model.mbi:686:8-22
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:678:66-687:7
    @staticmethod
    def _match_getVariable_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_match_I__(_0_index))
    @staticmethod
    def _match_alt_getVariable_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_alt_match_I__(_0_index))
    def _getVariable_alt_I(self,_t__0_index):
      return self._getVariable_I(numpy.int32(__0_index))
    def _getVariable_I(self,_0_index):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:676:62-86
      return (self.__vars[_0_index]) # bld/herlev/final/default/src/fusion/Model.mbi:676:64-83
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:676:62-86
    @staticmethod
    def _match_getVariable_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_match_S__(_0_name))
    @staticmethod
    def _match_alt_getVariable_S(*args):
      if len(args) != 1: return False
      _0_name, = args
      return (    __arg_alt_match_S__(_0_name))
    def _getVariable_alt_S(self,_t__0_name):
      return self._getVariable_S(_0_name)
    def _getVariable_S(self,_0_name):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:665:62-675:7
      if self.__var_map._hasItem_S(_0_name): # bld/herlev/final/default/src/fusion/Model.mbi:666:12-33
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:666:35-672:9
        _1_varid=self.__var_map._getItem_S(_0_name) # bld/herlev/final/default/src/fusion/Model.mbi:667:14-19
        if (_1_varid < 0): # bld/herlev/final/default/src/fusion/Model.mbi:668:14-23
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:669:12-39
          return (self.__barvars[(- (_1_varid + 1))]) # bld/herlev/final/default/src/fusion/Model.mbi:669:12-39
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:669:12-39
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:671:12-31
          return (self.__vars[_1_varid]) # bld/herlev/final/default/src/fusion/Model.mbi:671:12-31
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:671:12-31
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:666:35-672:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:674:10-22
        return (None) # bld/herlev/final/default/src/fusion/Model.mbi:674:10-22
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:674:10-22
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:665:62-675:7
    @staticmethod
    def _match_getName_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getName_(*args):
      if len(args) != 0: return False
      return True
    def _getName_alt_(self,):
      return self._getName_()
    def _getName_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:663:45-67
      return (self.__model_name) # bld/herlev/final/default/src/fusion/Model.mbi:663:47-65
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:663:45-67
    def _getParameterValue_alt__3I(self,_t__0_idxs):
      _0_idxs=numpy.array(_t__0_idxs,dtype=numpy.dtype(numpy.int32))
      _1 = self._getParameterValue__3I(_0_idxs)
      try:
        _t__0_idxs[:] = _0_idxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _getParameterValue__3I(self,_0_idxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:655:72-660:7
      _1_res=numpy.zeros((int((_0_idxs).shape[0]),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:656:12-15
      fragments._c_closure_95(_0_idxs,self.__param_value,_1_res) # bld/herlev/final/default/src/fusion/Model.mbi:657:8-658:40
      return (_1_res) # bld/herlev/final/default/src/fusion/Model.mbi:659:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:655:72-660:7
    def _setParameterValue_alt__3I_3D(self,_t__0_idxs,_t__1_vals):
      _0_idxs=numpy.array(_t__0_idxs,dtype=numpy.dtype(numpy.int32))
      _1_vals=numpy.array(_t__1_vals,dtype=numpy.dtype(numpy.float64))
      _1 = self._setParameterValue__3I_3D(_0_idxs,_1_vals)
      try:
        _t__0_idxs[:] = _0_idxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals[:] = _1_vals
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _setParameterValue__3I_3D(self,_0_idxs,_1_vals):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:650:77-653:7
      fragments._c_closure_96(_0_idxs,self.__param_value,_1_vals) # bld/herlev/final/default/src/fusion/Model.mbi:650:77-653:7
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:650:77-653:7
    @staticmethod
    def _match_clone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_clone_(*args):
      if len(args) != 0: return False
      return True
    def _clone_alt_(self,):
      return self._clone_()
    def _clone_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:646:6-648:7
      return (mosek_fusion_Model._ctor_Lmosek_4fusion_4Model_2(self)) # bld/herlev/final/default/src/fusion/Model.mbi:647:8-31
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:646:6-648:7
  return Model
mosek_fusion_Model=__mk_mosek_fusion_Model()
del __mk_mosek_fusion_Model

#-- BEGIN Class mosek.fusion.Debug from external file src/fusion/python/Debug.py
def __mk_mosek_fusion_Debug():
  import sys
  class Debug:
    @staticmethod
    def _o_(): return Debug()
    def p(self,v):
      sys.stdout.write(str(v))
      return self
    _p_S = p
    _p_I = p
    _p_J = p
    _p_D = p
    _p_Z = p
  
    def p_array (self,v):
      if v is None:
          sys.stdout.write('None')
      else:
          sys.stdout.write('[ %s ]' % ','.join([str(i) for i in v]))
      return self
  
    _p__3I = p_array
    _p__3J = p_array
    _p__3D = p_array
  
    def _lf_(self):
      sys.stdout.write("\n")
      return self
  return Debug
mosek_fusion_Debug=__mk_mosek_fusion_Debug()
#-- END   Class mosek.fusion.Debug from external file src/fusion/python/Debug.py
# origin: bld/herlev/final/default/src/fusion/Sort.mbi:6:4-262:5
#BEFORE CLASS
def __mk_mosek_fusion_Sort():
  class Sort(object):
    @staticmethod
    def getminmax(*args):
      if False: pass
      elif mosek_fusion_Sort._match_getminmax__3J_3I_3IJJ_3I(*args): # []int64,[]int32,[]int32,int64,int64,[]int32
        return mosek_fusion_Sort._getminmax__3J_3I_3IJJ_3I(*args)
      elif mosek_fusion_Sort._match_alt_getminmax__3J_3I_3IJJ_3I(*args): # []int64,[]int32,[]int32,int64,int64,[]int32
        return mosek_fusion_Sort._getminmax_alt__3J_3I_3IJJ_3I(*args)
      elif mosek_fusion_Sort._match_getminmax__3J_3J_3JJJ_3J(*args): # []int64,[]int64,[]int64,int64,int64,[]int64
        return mosek_fusion_Sort._getminmax__3J_3J_3JJJ_3J(*args)
      elif mosek_fusion_Sort._match_alt_getminmax__3J_3J_3JJJ_3J(*args): # []int64,[]int64,[]int64,int64,int64,[]int64
        return mosek_fusion_Sort._getminmax_alt__3J_3J_3JJJ_3J(*args)
      else:
        raise ValueError('Invalid argument list getminmax('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Sort.getminmax(array(int64,ndim=1),array(int32,ndim=1),array(int32,ndim=1),int64,int64,array(int32,ndim=1))\n\tmosek.fusion.Sort.getminmax(array(int64,ndim=1),array(int64,ndim=1),array(int64,ndim=1),int64,int64,array(int64,ndim=1))')

    @staticmethod
    def argsort(*args):
      if False: pass
      elif mosek_fusion_Sort._match_argsort__3J_3J(*args): # []int64,[]int64
        return mosek_fusion_Sort._argsort__3J_3J(*args)
      elif mosek_fusion_Sort._match_alt_argsort__3J_3J(*args): # []int64,[]int64
        return mosek_fusion_Sort._argsort_alt__3J_3J(*args)
      elif mosek_fusion_Sort._match_argsort__3J_3I(*args): # []int64,[]int32
        return mosek_fusion_Sort._argsort__3J_3I(*args)
      elif mosek_fusion_Sort._match_alt_argsort__3J_3I(*args): # []int64,[]int32
        return mosek_fusion_Sort._argsort_alt__3J_3I(*args)
      elif mosek_fusion_Sort._match_argsort__3J_3I_3I(*args): # []int64,[]int32,[]int32
        return mosek_fusion_Sort._argsort__3J_3I_3I(*args)
      elif mosek_fusion_Sort._match_alt_argsort__3J_3I_3I(*args): # []int64,[]int32,[]int32
        return mosek_fusion_Sort._argsort_alt__3J_3I_3I(*args)
      elif mosek_fusion_Sort._match_argsort__3J_3J_3J(*args): # []int64,[]int64,[]int64
        return mosek_fusion_Sort._argsort__3J_3J_3J(*args)
      elif mosek_fusion_Sort._match_alt_argsort__3J_3J_3J(*args): # []int64,[]int64,[]int64
        return mosek_fusion_Sort._argsort_alt__3J_3J_3J(*args)
      elif mosek_fusion_Sort._match_argsort__3J_3JJJ(*args): # []int64,[]int64,int64,int64
        return mosek_fusion_Sort._argsort__3J_3JJJ(*args)
      elif mosek_fusion_Sort._match_alt_argsort__3J_3JJJ(*args): # []int64,[]int64,int64,int64
        return mosek_fusion_Sort._argsort_alt__3J_3JJJ(*args)
      elif mosek_fusion_Sort._match_argsort__3J_3IJJ(*args): # []int64,[]int32,int64,int64
        return mosek_fusion_Sort._argsort__3J_3IJJ(*args)
      elif mosek_fusion_Sort._match_alt_argsort__3J_3IJJ(*args): # []int64,[]int32,int64,int64
        return mosek_fusion_Sort._argsort_alt__3J_3IJJ(*args)
      elif mosek_fusion_Sort._match_argsort__3J_3JJJZ(*args): # []int64,[]int64,int64,int64,bool
        return mosek_fusion_Sort._argsort__3J_3JJJZ(*args)
      elif mosek_fusion_Sort._match_alt_argsort__3J_3JJJZ(*args): # []int64,[]int64,int64,int64,bool
        return mosek_fusion_Sort._argsort_alt__3J_3JJJZ(*args)
      elif mosek_fusion_Sort._match_argsort__3J_3I_3IJJ(*args): # []int64,[]int32,[]int32,int64,int64
        return mosek_fusion_Sort._argsort__3J_3I_3IJJ(*args)
      elif mosek_fusion_Sort._match_alt_argsort__3J_3I_3IJJ(*args): # []int64,[]int32,[]int32,int64,int64
        return mosek_fusion_Sort._argsort_alt__3J_3I_3IJJ(*args)
      elif mosek_fusion_Sort._match_argsort__3J_3J_3JJJ(*args): # []int64,[]int64,[]int64,int64,int64
        return mosek_fusion_Sort._argsort__3J_3J_3JJJ(*args)
      elif mosek_fusion_Sort._match_alt_argsort__3J_3J_3JJJ(*args): # []int64,[]int64,[]int64,int64,int64
        return mosek_fusion_Sort._argsort_alt__3J_3J_3JJJ(*args)
      elif mosek_fusion_Sort._match_argsort__3J_3IJJZ(*args): # []int64,[]int32,int64,int64,bool
        return mosek_fusion_Sort._argsort__3J_3IJJZ(*args)
      elif mosek_fusion_Sort._match_alt_argsort__3J_3IJJZ(*args): # []int64,[]int32,int64,int64,bool
        return mosek_fusion_Sort._argsort_alt__3J_3IJJZ(*args)
      elif mosek_fusion_Sort._match_argsort__3J_3I_3IJJZ(*args): # []int64,[]int32,[]int32,int64,int64,bool
        return mosek_fusion_Sort._argsort__3J_3I_3IJJZ(*args)
      elif mosek_fusion_Sort._match_alt_argsort__3J_3I_3IJJZ(*args): # []int64,[]int32,[]int32,int64,int64,bool
        return mosek_fusion_Sort._argsort_alt__3J_3I_3IJJZ(*args)
      elif mosek_fusion_Sort._match_argsort__3J_3J_3JJJZ(*args): # []int64,[]int64,[]int64,int64,int64,bool
        return mosek_fusion_Sort._argsort__3J_3J_3JJJZ(*args)
      elif mosek_fusion_Sort._match_alt_argsort__3J_3J_3JJJZ(*args): # []int64,[]int64,[]int64,int64,int64,bool
        return mosek_fusion_Sort._argsort_alt__3J_3J_3JJJZ(*args)
      else:
        raise ValueError('Invalid argument list argsort('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Sort.argsort(array(int64,ndim=1),array(int64,ndim=1))\n\tmosek.fusion.Sort.argsort(array(int64,ndim=1),array(int32,ndim=1))\n\tmosek.fusion.Sort.argsort(array(int64,ndim=1),array(int32,ndim=1),array(int32,ndim=1))\n\tmosek.fusion.Sort.argsort(array(int64,ndim=1),array(int64,ndim=1),array(int64,ndim=1))\n\tmosek.fusion.Sort.argsort(array(int64,ndim=1),array(int64,ndim=1),int64,int64)\n\tmosek.fusion.Sort.argsort(array(int64,ndim=1),array(int32,ndim=1),int64,int64)\n\tmosek.fusion.Sort.argsort(array(int64,ndim=1),array(int64,ndim=1),int64,int64,bool)\n\tmosek.fusion.Sort.argsort(array(int64,ndim=1),array(int32,ndim=1),array(int32,ndim=1),int64,int64)\n\tmosek.fusion.Sort.argsort(array(int64,ndim=1),array(int64,ndim=1),array(int64,ndim=1),int64,int64)\n\tmosek.fusion.Sort.argsort(array(int64,ndim=1),array(int32,ndim=1),int64,int64,bool)\n\tmosek.fusion.Sort.argsort(array(int64,ndim=1),array(int32,ndim=1),array(int32,ndim=1),int64,int64,bool)\n\tmosek.fusion.Sort.argsort(array(int64,ndim=1),array(int64,ndim=1),array(int64,ndim=1),int64,int64,bool)')

    @staticmethod
    def issorted(*args):
      if False: pass
      elif mosek_fusion_Sort._match_issorted__3J_3IJJZ(*args): # []int64,[]int32,int64,int64,bool
        return mosek_fusion_Sort._issorted__3J_3IJJZ(*args)
      elif mosek_fusion_Sort._match_alt_issorted__3J_3IJJZ(*args): # []int64,[]int32,int64,int64,bool
        return mosek_fusion_Sort._issorted_alt__3J_3IJJZ(*args)
      elif mosek_fusion_Sort._match_issorted__3J_3JJJZ(*args): # []int64,[]int64,int64,int64,bool
        return mosek_fusion_Sort._issorted__3J_3JJJZ(*args)
      elif mosek_fusion_Sort._match_alt_issorted__3J_3JJJZ(*args): # []int64,[]int64,int64,int64,bool
        return mosek_fusion_Sort._issorted_alt__3J_3JJJZ(*args)
      elif mosek_fusion_Sort._match_issorted__3J_3I_3IJJZ(*args): # []int64,[]int32,[]int32,int64,int64,bool
        return mosek_fusion_Sort._issorted__3J_3I_3IJJZ(*args)
      elif mosek_fusion_Sort._match_alt_issorted__3J_3I_3IJJZ(*args): # []int64,[]int32,[]int32,int64,int64,bool
        return mosek_fusion_Sort._issorted_alt__3J_3I_3IJJZ(*args)
      elif mosek_fusion_Sort._match_issorted__3J_3J_3JJJZ(*args): # []int64,[]int64,[]int64,int64,int64,bool
        return mosek_fusion_Sort._issorted__3J_3J_3JJJZ(*args)
      elif mosek_fusion_Sort._match_alt_issorted__3J_3J_3JJJZ(*args): # []int64,[]int64,[]int64,int64,int64,bool
        return mosek_fusion_Sort._issorted_alt__3J_3J_3JJJZ(*args)
      else:
        raise ValueError('Invalid argument list issorted('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Sort.issorted(array(int64,ndim=1),array(int32,ndim=1),int64,int64,bool)\n\tmosek.fusion.Sort.issorted(array(int64,ndim=1),array(int64,ndim=1),int64,int64,bool)\n\tmosek.fusion.Sort.issorted(array(int64,ndim=1),array(int32,ndim=1),array(int32,ndim=1),int64,int64,bool)\n\tmosek.fusion.Sort.issorted(array(int64,ndim=1),array(int64,ndim=1),array(int64,ndim=1),int64,int64,bool)')

    @staticmethod
    def argbucketsort(*args):
      if False: pass
      elif mosek_fusion_Sort._match_argbucketsort__3J_3IJJII(*args): # []int64,[]int32,int64,int64,int32,int32
        return mosek_fusion_Sort._argbucketsort__3J_3IJJII(*args)
      elif mosek_fusion_Sort._match_alt_argbucketsort__3J_3IJJII(*args): # []int64,[]int32,int64,int64,int32,int32
        return mosek_fusion_Sort._argbucketsort_alt__3J_3IJJII(*args)
      elif mosek_fusion_Sort._match_argbucketsort__3J_3JJJJJ(*args): # []int64,[]int64,int64,int64,int64,int64
        return mosek_fusion_Sort._argbucketsort__3J_3JJJJJ(*args)
      elif mosek_fusion_Sort._match_alt_argbucketsort__3J_3JJJJJ(*args): # []int64,[]int64,int64,int64,int64,int64
        return mosek_fusion_Sort._argbucketsort_alt__3J_3JJJJJ(*args)
      else:
        raise ValueError('Invalid argument list argbucketsort('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Sort.argbucketsort(array(int64,ndim=1),array(int32,ndim=1),int64,int64,int32,int32)\n\tmosek.fusion.Sort.argbucketsort(array(int64,ndim=1),array(int64,ndim=1),int64,int64,int64,int64)')

    @staticmethod
    def argTransposeSort(*args):
      if False: pass
      elif mosek_fusion_Sort._match_argTransposeSort__3J_3JIII_3J(*args): # []int64,[]int64,int32,int32,int32,[]int64
        return mosek_fusion_Sort._argTransposeSort__3J_3JIII_3J(*args)
      elif mosek_fusion_Sort._match_alt_argTransposeSort__3J_3JIII_3J(*args): # []int64,[]int64,int32,int32,int32,[]int64
        return mosek_fusion_Sort._argTransposeSort_alt__3J_3JIII_3J(*args)
      else:
        raise ValueError('Invalid argument list argTransposeSort('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Sort.argTransposeSort(array(int64,ndim=1),array(int64,ndim=1),int32,int32,int32,array(int64,ndim=1))')

    def __repr__(self): return 'mosek.fusion.Sort'
    @staticmethod
    def _match_argTransposeSort__3J_3JIII_3J(*args):
      if len(args) != 6: return False
      _0_perm,_1_ptrb,_2_m,_3_n,_4_p,_5_val, = args
      return (    __arg_match__3J__(_0_perm)
              and __arg_match__3J__(_1_ptrb)
              and __arg_match_I__(_2_m)
              and __arg_match_I__(_3_n)
              and __arg_match_I__(_4_p)
              and __arg_match__3J__(_5_val))
    @staticmethod
    def _match_alt_argTransposeSort__3J_3JIII_3J(*args):
      if len(args) != 6: return False
      _0_perm,_1_ptrb,_2_m,_3_n,_4_p,_5_val, = args
      return (    __arg_alt_match__3J__(_0_perm)
              and __arg_alt_match__3J__(_1_ptrb)
              and __arg_alt_match_I__(_2_m)
              and __arg_alt_match_I__(_3_n)
              and __arg_alt_match_I__(_4_p)
              and __arg_alt_match__3J__(_5_val))
    @staticmethod
    def _argTransposeSort_alt__3J_3JIII_3J(_t__0_perm,_t__1_ptrb,_t__2_m,_t__3_n,_t__4_p,_t__5_val):
      _0_perm=numpy.array(_t__0_perm,dtype=numpy.dtype(numpy.int64))
      _1_ptrb=numpy.array(_t__1_ptrb,dtype=numpy.dtype(numpy.int64))
      _2_m=numpy.int32(_t__2_m)
      _3_n=numpy.int32(_t__3_n)
      _4_p=numpy.int32(_t__4_p)
      _5_val=numpy.array(_t__5_val,dtype=numpy.dtype(numpy.int64))
      _1 = mosek_fusion_Sort._argTransposeSort__3J_3JIII_3J(_0_perm,_1_ptrb,_2_m,_3_n,_4_p,_5_val)
      try:
        _t__0_perm[:] = _0_perm
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_ptrb[:] = _1_ptrb
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__5_val[:] = _5_val
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argTransposeSort__3J_3JIII_3J(_0_perm,_1_ptrb,_2_m,_3_n,_4_p,_5_val):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:250:6-261:7
      fragments._c_closure_97(_2_m,_3_n,_4_p,_0_perm,_1_ptrb,_5_val) # bld/herlev/final/default/src/fusion/Sort.mbi:250:6-261:7
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:250:6-261:7
    @staticmethod
    def _match_argsort__3J_3J(*args):
      if len(args) != 2: return False
      _0_idx,_1_vals1, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3J__(_1_vals1))
    @staticmethod
    def _match_alt_argsort__3J_3J(*args):
      if len(args) != 2: return False
      _0_idx,_1_vals1, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3J__(_1_vals1))
    @staticmethod
    def _argsort_alt__3J_3J(_t__0_idx,_t__1_vals1):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int64))
      _1 = mosek_fusion_Sort._argsort__3J_3J(_0_idx,_1_vals1)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argsort__3J_3J(_0_idx,_1_vals1):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:208:6-210:7
      mosek.fusion.Sort._argsort__3J_3JJJZ(_0_idx,_1_vals1,0,int((_0_idx).shape[0]),False) # bld/herlev/final/default/src/fusion/Sort.mbi:209:8-44
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:208:6-210:7
    @staticmethod
    def _match_argsort__3J_3I(*args):
      if len(args) != 2: return False
      _0_idx,_1_vals1, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3I__(_1_vals1))
    @staticmethod
    def _match_alt_argsort__3J_3I(*args):
      if len(args) != 2: return False
      _0_idx,_1_vals1, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3I__(_1_vals1))
    @staticmethod
    def _argsort_alt__3J_3I(_t__0_idx,_t__1_vals1):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Sort._argsort__3J_3I(_0_idx,_1_vals1)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argsort__3J_3I(_0_idx,_1_vals1):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:203:6-205:7
      mosek.fusion.Sort._argsort__3J_3IJJZ(_0_idx,_1_vals1,0,int((_0_idx).shape[0]),False) # bld/herlev/final/default/src/fusion/Sort.mbi:204:8-44
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:203:6-205:7
    @staticmethod
    def _match_argsort__3J_3J_3J(*args):
      if len(args) != 3: return False
      _0_idx,_1_vals1,_2_vals2, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3J__(_1_vals1)
              and __arg_match__3J__(_2_vals2))
    @staticmethod
    def _match_alt_argsort__3J_3J_3J(*args):
      if len(args) != 3: return False
      _0_idx,_1_vals1,_2_vals2, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3J__(_1_vals1)
              and __arg_alt_match__3J__(_2_vals2))
    @staticmethod
    def _argsort_alt__3J_3J_3J(_t__0_idx,_t__1_vals1,_t__2_vals2):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int64))
      _2_vals2=numpy.array(_t__2_vals2,dtype=numpy.dtype(numpy.int64))
      _1 = mosek_fusion_Sort._argsort__3J_3J_3J(_0_idx,_1_vals1,_2_vals2)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_vals2[:] = _2_vals2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argsort__3J_3J_3J(_0_idx,_1_vals1,_2_vals2):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:198:6-200:7
      mosek.fusion.Sort._argsort__3J_3J_3JJJZ(_0_idx,_1_vals1,_2_vals2,0,int((_0_idx).shape[0]),False) # bld/herlev/final/default/src/fusion/Sort.mbi:199:8-50
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:198:6-200:7
    @staticmethod
    def _match_argsort__3J_3I_3I(*args):
      if len(args) != 3: return False
      _0_idx,_1_vals1,_2_vals2, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3I__(_1_vals1)
              and __arg_match__3I__(_2_vals2))
    @staticmethod
    def _match_alt_argsort__3J_3I_3I(*args):
      if len(args) != 3: return False
      _0_idx,_1_vals1,_2_vals2, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3I__(_1_vals1)
              and __arg_alt_match__3I__(_2_vals2))
    @staticmethod
    def _argsort_alt__3J_3I_3I(_t__0_idx,_t__1_vals1,_t__2_vals2):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int32))
      _2_vals2=numpy.array(_t__2_vals2,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Sort._argsort__3J_3I_3I(_0_idx,_1_vals1,_2_vals2)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_vals2[:] = _2_vals2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argsort__3J_3I_3I(_0_idx,_1_vals1,_2_vals2):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:194:6-196:7
      mosek.fusion.Sort._argsort__3J_3I_3IJJZ(_0_idx,_1_vals1,_2_vals2,0,int((_0_idx).shape[0]),False) # bld/herlev/final/default/src/fusion/Sort.mbi:195:8-50
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:194:6-196:7
    @staticmethod
    def _match_argsort__3J_3JJJ(*args):
      if len(args) != 4: return False
      _0_idx,_1_vals1,_2_first,_3_last, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3J__(_1_vals1)
              and __arg_match_J__(_2_first)
              and __arg_match_J__(_3_last))
    @staticmethod
    def _match_alt_argsort__3J_3JJJ(*args):
      if len(args) != 4: return False
      _0_idx,_1_vals1,_2_first,_3_last, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3J__(_1_vals1)
              and __arg_alt_match_J__(_2_first)
              and __arg_alt_match_J__(_3_last))
    @staticmethod
    def _argsort_alt__3J_3JJJ(_t__0_idx,_t__1_vals1,_t__2_first,_t__3_last):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int64))
      _2_first=numpy.int64(_t__2_first)
      _3_last=numpy.int64(_t__3_last)
      _1 = mosek_fusion_Sort._argsort__3J_3JJJ(_0_idx,_1_vals1,_2_first,_3_last)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argsort__3J_3JJJ(_0_idx,_1_vals1,_2_first,_3_last):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:189:6-191:7
      mosek.fusion.Sort._argsort__3J_3JJJZ(_0_idx,_1_vals1,_2_first,_3_last,False) # bld/herlev/final/default/src/fusion/Sort.mbi:190:8-44
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:189:6-191:7
    @staticmethod
    def _match_argsort__3J_3IJJ(*args):
      if len(args) != 4: return False
      _0_idx,_1_vals1,_2_first,_3_last, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3I__(_1_vals1)
              and __arg_match_J__(_2_first)
              and __arg_match_J__(_3_last))
    @staticmethod
    def _match_alt_argsort__3J_3IJJ(*args):
      if len(args) != 4: return False
      _0_idx,_1_vals1,_2_first,_3_last, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3I__(_1_vals1)
              and __arg_alt_match_J__(_2_first)
              and __arg_alt_match_J__(_3_last))
    @staticmethod
    def _argsort_alt__3J_3IJJ(_t__0_idx,_t__1_vals1,_t__2_first,_t__3_last):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int32))
      _2_first=numpy.int64(_t__2_first)
      _3_last=numpy.int64(_t__3_last)
      _1 = mosek_fusion_Sort._argsort__3J_3IJJ(_0_idx,_1_vals1,_2_first,_3_last)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argsort__3J_3IJJ(_0_idx,_1_vals1,_2_first,_3_last):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:184:6-186:7
      mosek.fusion.Sort._argsort__3J_3IJJZ(_0_idx,_1_vals1,_2_first,_3_last,False) # bld/herlev/final/default/src/fusion/Sort.mbi:185:8-44
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:184:6-186:7
    @staticmethod
    def _match_argsort__3J_3J_3JJJ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3J__(_1_vals1)
              and __arg_match__3J__(_2_vals2)
              and __arg_match_J__(_3_first)
              and __arg_match_J__(_4_last))
    @staticmethod
    def _match_alt_argsort__3J_3J_3JJJ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3J__(_1_vals1)
              and __arg_alt_match__3J__(_2_vals2)
              and __arg_alt_match_J__(_3_first)
              and __arg_alt_match_J__(_4_last))
    @staticmethod
    def _argsort_alt__3J_3J_3JJJ(_t__0_idx,_t__1_vals1,_t__2_vals2,_t__3_first,_t__4_last):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int64))
      _2_vals2=numpy.array(_t__2_vals2,dtype=numpy.dtype(numpy.int64))
      _3_first=numpy.int64(_t__3_first)
      _4_last=numpy.int64(_t__4_last)
      _1 = mosek_fusion_Sort._argsort__3J_3J_3JJJ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_vals2[:] = _2_vals2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argsort__3J_3J_3JJJ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:179:6-181:7
      mosek.fusion.Sort._argsort__3J_3J_3JJJZ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,False) # bld/herlev/final/default/src/fusion/Sort.mbi:180:8-50
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:179:6-181:7
    @staticmethod
    def _match_argsort__3J_3I_3IJJ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3I__(_1_vals1)
              and __arg_match__3I__(_2_vals2)
              and __arg_match_J__(_3_first)
              and __arg_match_J__(_4_last))
    @staticmethod
    def _match_alt_argsort__3J_3I_3IJJ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3I__(_1_vals1)
              and __arg_alt_match__3I__(_2_vals2)
              and __arg_alt_match_J__(_3_first)
              and __arg_alt_match_J__(_4_last))
    @staticmethod
    def _argsort_alt__3J_3I_3IJJ(_t__0_idx,_t__1_vals1,_t__2_vals2,_t__3_first,_t__4_last):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int32))
      _2_vals2=numpy.array(_t__2_vals2,dtype=numpy.dtype(numpy.int32))
      _3_first=numpy.int64(_t__3_first)
      _4_last=numpy.int64(_t__4_last)
      _1 = mosek_fusion_Sort._argsort__3J_3I_3IJJ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_vals2[:] = _2_vals2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argsort__3J_3I_3IJJ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:175:6-177:7
      mosek.fusion.Sort._argsort__3J_3I_3IJJZ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,False) # bld/herlev/final/default/src/fusion/Sort.mbi:176:8-50
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:175:6-177:7
    @staticmethod
    def _match_argsort__3J_3JJJZ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_first,_3_last,_4_check, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3J__(_1_vals1)
              and __arg_match_J__(_2_first)
              and __arg_match_J__(_3_last)
              and __arg_match_Z__(_4_check))
    @staticmethod
    def _match_alt_argsort__3J_3JJJZ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_first,_3_last,_4_check, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3J__(_1_vals1)
              and __arg_alt_match_J__(_2_first)
              and __arg_alt_match_J__(_3_last)
              and __arg_alt_match_Z__(_4_check))
    @staticmethod
    def _argsort_alt__3J_3JJJZ(_t__0_idx,_t__1_vals1,_t__2_first,_t__3_last,_t__4_check):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int64))
      _2_first=numpy.int64(_t__2_first)
      _3_last=numpy.int64(_t__3_last)
      _4_check=_t__4_check
      _1 = mosek_fusion_Sort._argsort__3J_3JJJZ(_0_idx,_1_vals1,_2_first,_3_last,_4_check)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argsort__3J_3JJJZ(_0_idx,_1_vals1,_2_first,_3_last,_4_check):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:157:6-171:7
      if ((not _4_check) or ((_3_last - _2_first) < 16)): # bld/herlev/final/default/src/fusion/Sort.mbi:158:12-40
        # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:159:10-52
        mosek.fusion.Utils.Tools._argsort__3J_3JJJ(_0_idx,_1_vals1,_2_first,_3_last) # bld/herlev/final/default/src/fusion/Sort.mbi:159:10-52
        # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:159:10-52
      elif (not mosek.fusion.Sort._issorted__3J_3JJJZ(_0_idx,_1_vals1,_2_first,_3_last,_4_check)): # bld/herlev/final/default/src/fusion/Sort.mbi:160:16-56
        # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:161:8-170:9
        _5_minmax=numpy.zeros((4,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Sort.mbi:162:14-20
        _6_scale=2 # bld/herlev/final/default/src/fusion/Sort.mbi:163:14-19
        mosek.fusion.Sort._getminmax__3J_3J_3JJJ_3J(_0_idx,_1_vals1,None,_2_first,_3_last,_5_minmax) # bld/herlev/final/default/src/fusion/Sort.mbi:164:10-54
        if ((_5_minmax[1] - _5_minmax[0]) < (_6_scale * (_3_last - _2_first))): # bld/herlev/final/default/src/fusion/Sort.mbi:166:14-54
          # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:167:12-68
          mosek.fusion.Sort._argbucketsort__3J_3JJJJJ(_0_idx,_1_vals1,_2_first,_3_last,_5_minmax[0],_5_minmax[1]) # bld/herlev/final/default/src/fusion/Sort.mbi:167:12-68
          # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:167:12-68
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:169:12-54
          mosek.fusion.Utils.Tools._argsort__3J_3JJJ(_0_idx,_1_vals1,_2_first,_3_last) # bld/herlev/final/default/src/fusion/Sort.mbi:169:12-54
          # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:169:12-54
        # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:161:8-170:9
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:157:6-171:7
    @staticmethod
    def _match_argsort__3J_3IJJZ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_first,_3_last,_4_check, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3I__(_1_vals1)
              and __arg_match_J__(_2_first)
              and __arg_match_J__(_3_last)
              and __arg_match_Z__(_4_check))
    @staticmethod
    def _match_alt_argsort__3J_3IJJZ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_first,_3_last,_4_check, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3I__(_1_vals1)
              and __arg_alt_match_J__(_2_first)
              and __arg_alt_match_J__(_3_last)
              and __arg_alt_match_Z__(_4_check))
    @staticmethod
    def _argsort_alt__3J_3IJJZ(_t__0_idx,_t__1_vals1,_t__2_first,_t__3_last,_t__4_check):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int32))
      _2_first=numpy.int64(_t__2_first)
      _3_last=numpy.int64(_t__3_last)
      _4_check=_t__4_check
      _1 = mosek_fusion_Sort._argsort__3J_3IJJZ(_0_idx,_1_vals1,_2_first,_3_last,_4_check)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argsort__3J_3IJJZ(_0_idx,_1_vals1,_2_first,_3_last,_4_check):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:138:6-154:7
      if ((not _4_check) or ((_3_last - _2_first) < 16)): # bld/herlev/final/default/src/fusion/Sort.mbi:139:12-40
        # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:140:10-52
        mosek.fusion.Utils.Tools._argsort__3J_3IJJ(_0_idx,_1_vals1,_2_first,_3_last) # bld/herlev/final/default/src/fusion/Sort.mbi:140:10-52
        # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:140:10-52
      elif (not mosek.fusion.Sort._issorted__3J_3IJJZ(_0_idx,_1_vals1,_2_first,_3_last,_4_check)): # bld/herlev/final/default/src/fusion/Sort.mbi:141:16-56
        # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:142:8-153:9
        _5_minmax=numpy.zeros((4,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Sort.mbi:143:14-20
        _6_scale=2 # bld/herlev/final/default/src/fusion/Sort.mbi:144:14-19
        mosek.fusion.Sort._getminmax__3J_3I_3IJJ_3I(_0_idx,_1_vals1,None,_2_first,_3_last,_5_minmax) # bld/herlev/final/default/src/fusion/Sort.mbi:145:10-54
        if ((_5_minmax[1] - _5_minmax[0]) < (_6_scale * (_3_last - _2_first))): # bld/herlev/final/default/src/fusion/Sort.mbi:147:14-54
          # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:148:10-150:11
          mosek.fusion.Sort._argbucketsort__3J_3IJJII(_0_idx,_1_vals1,_2_first,_3_last,_5_minmax[0],_5_minmax[1]) # bld/herlev/final/default/src/fusion/Sort.mbi:149:12-68
          # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:148:10-150:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:152:12-54
          mosek.fusion.Utils.Tools._argsort__3J_3IJJ(_0_idx,_1_vals1,_2_first,_3_last) # bld/herlev/final/default/src/fusion/Sort.mbi:152:12-54
          # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:152:12-54
        # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:142:8-153:9
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:138:6-154:7
    @staticmethod
    def _match_argsort__3J_3J_3JJJZ(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3J__(_1_vals1)
              and __arg_match__3J__(_2_vals2)
              and __arg_match_J__(_3_first)
              and __arg_match_J__(_4_last)
              and __arg_match_Z__(_5_check))
    @staticmethod
    def _match_alt_argsort__3J_3J_3JJJZ(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3J__(_1_vals1)
              and __arg_alt_match__3J__(_2_vals2)
              and __arg_alt_match_J__(_3_first)
              and __arg_alt_match_J__(_4_last)
              and __arg_alt_match_Z__(_5_check))
    @staticmethod
    def _argsort_alt__3J_3J_3JJJZ(_t__0_idx,_t__1_vals1,_t__2_vals2,_t__3_first,_t__4_last,_t__5_check):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int64))
      _2_vals2=numpy.array(_t__2_vals2,dtype=numpy.dtype(numpy.int64))
      _3_first=numpy.int64(_t__3_first)
      _4_last=numpy.int64(_t__4_last)
      _5_check=_t__5_check
      _1 = mosek_fusion_Sort._argsort__3J_3J_3JJJZ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_vals2[:] = _2_vals2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argsort__3J_3J_3JJJZ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:117:6-135:7
      if ((not _5_check) or ((_4_last - _3_first) < 16)): # bld/herlev/final/default/src/fusion/Sort.mbi:118:12-40
        # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:119:10-58
        mosek.fusion.Utils.Tools._argsort__3J_3J_3JJJ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last) # bld/herlev/final/default/src/fusion/Sort.mbi:119:10-58
        # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:119:10-58
      elif (not mosek.fusion.Sort._issorted__3J_3J_3JJJZ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check)): # bld/herlev/final/default/src/fusion/Sort.mbi:120:16-62
        # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:121:8-134:9
        _6_minmax=numpy.zeros((4,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Sort.mbi:122:14-20
        _7_scale=2 # bld/herlev/final/default/src/fusion/Sort.mbi:123:14-19
        mosek.fusion.Sort._getminmax__3J_3J_3JJJ_3J(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_6_minmax) # bld/herlev/final/default/src/fusion/Sort.mbi:124:10-55
        if (((_6_minmax[1] - _6_minmax[0]) < (_7_scale * (_4_last - _3_first))) and ((_6_minmax[3] - _6_minmax[2]) < (_7_scale * (_4_last - _3_first)))): # bld/herlev/final/default/src/fusion/Sort.mbi:126:14-127:54
          # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:128:10-131:11
          mosek.fusion.Sort._argbucketsort__3J_3JJJJJ(_0_idx,_2_vals2,_3_first,_4_last,_6_minmax[2],_6_minmax[3]) # bld/herlev/final/default/src/fusion/Sort.mbi:129:12-68
          mosek.fusion.Sort._argbucketsort__3J_3JJJJJ(_0_idx,_1_vals1,_3_first,_4_last,_6_minmax[0],_6_minmax[1]) # bld/herlev/final/default/src/fusion/Sort.mbi:130:12-68
          # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:128:10-131:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:133:12-60
          mosek.fusion.Utils.Tools._argsort__3J_3J_3JJJ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last) # bld/herlev/final/default/src/fusion/Sort.mbi:133:12-60
          # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:133:12-60
        # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:121:8-134:9
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:117:6-135:7
    @staticmethod
    def _match_argsort__3J_3I_3IJJZ(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3I__(_1_vals1)
              and __arg_match__3I__(_2_vals2)
              and __arg_match_J__(_3_first)
              and __arg_match_J__(_4_last)
              and __arg_match_Z__(_5_check))
    @staticmethod
    def _match_alt_argsort__3J_3I_3IJJZ(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3I__(_1_vals1)
              and __arg_alt_match__3I__(_2_vals2)
              and __arg_alt_match_J__(_3_first)
              and __arg_alt_match_J__(_4_last)
              and __arg_alt_match_Z__(_5_check))
    @staticmethod
    def _argsort_alt__3J_3I_3IJJZ(_t__0_idx,_t__1_vals1,_t__2_vals2,_t__3_first,_t__4_last,_t__5_check):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int32))
      _2_vals2=numpy.array(_t__2_vals2,dtype=numpy.dtype(numpy.int32))
      _3_first=numpy.int64(_t__3_first)
      _4_last=numpy.int64(_t__4_last)
      _5_check=_t__5_check
      _1 = mosek_fusion_Sort._argsort__3J_3I_3IJJZ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_vals2[:] = _2_vals2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argsort__3J_3I_3IJJZ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:96:6-114:7
      if ((not _5_check) or ((_4_last - _3_first) < 16)): # bld/herlev/final/default/src/fusion/Sort.mbi:97:12-40
        # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:98:10-58
        mosek.fusion.Utils.Tools._argsort__3J_3I_3IJJ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last) # bld/herlev/final/default/src/fusion/Sort.mbi:98:10-58
        # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:98:10-58
      elif (not mosek.fusion.Sort._issorted__3J_3I_3IJJZ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check)): # bld/herlev/final/default/src/fusion/Sort.mbi:99:16-62
        # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:100:8-113:9
        _6_minmax=numpy.zeros((4,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Sort.mbi:101:14-20
        _7_scale=2 # bld/herlev/final/default/src/fusion/Sort.mbi:102:14-19
        mosek.fusion.Sort._getminmax__3J_3I_3IJJ_3I(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_6_minmax) # bld/herlev/final/default/src/fusion/Sort.mbi:103:10-55
        if (((_6_minmax[1] - _6_minmax[0]) < (_7_scale * (_4_last - _3_first))) and ((_6_minmax[3] - _6_minmax[2]) < (_7_scale * (_4_last - _3_first)))): # bld/herlev/final/default/src/fusion/Sort.mbi:105:14-106:54
          # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:107:10-110:11
          mosek.fusion.Sort._argbucketsort__3J_3IJJII(_0_idx,_2_vals2,_3_first,_4_last,_6_minmax[2],_6_minmax[3]) # bld/herlev/final/default/src/fusion/Sort.mbi:108:12-68
          mosek.fusion.Sort._argbucketsort__3J_3IJJII(_0_idx,_1_vals1,_3_first,_4_last,_6_minmax[0],_6_minmax[1]) # bld/herlev/final/default/src/fusion/Sort.mbi:109:12-68
          # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:107:10-110:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:112:12-60
          mosek.fusion.Utils.Tools._argsort__3J_3I_3IJJ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last) # bld/herlev/final/default/src/fusion/Sort.mbi:112:12-60
          # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:112:12-60
        # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:100:8-113:9
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:96:6-114:7
    @staticmethod
    def _match_argbucketsort__3J_3JJJJJ(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals,_2_first,_3_last,_4_minv,_5_maxv, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3J__(_1_vals)
              and __arg_match_J__(_2_first)
              and __arg_match_J__(_3_last)
              and __arg_match_J__(_4_minv)
              and __arg_match_J__(_5_maxv))
    @staticmethod
    def _match_alt_argbucketsort__3J_3JJJJJ(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals,_2_first,_3_last,_4_minv,_5_maxv, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3J__(_1_vals)
              and __arg_alt_match_J__(_2_first)
              and __arg_alt_match_J__(_3_last)
              and __arg_alt_match_J__(_4_minv)
              and __arg_alt_match_J__(_5_maxv))
    @staticmethod
    def _argbucketsort_alt__3J_3JJJJJ(_t__0_idx,_t__1_vals,_t__2_first,_t__3_last,_t__4_minv,_t__5_maxv):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals=numpy.array(_t__1_vals,dtype=numpy.dtype(numpy.int64))
      _2_first=numpy.int64(_t__2_first)
      _3_last=numpy.int64(_t__3_last)
      _4_minv=numpy.int64(_t__4_minv)
      _5_maxv=numpy.int64(_t__5_maxv)
      _1 = mosek_fusion_Sort._argbucketsort__3J_3JJJJJ(_0_idx,_1_vals,_2_first,_3_last,_4_minv,_5_maxv)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals[:] = _1_vals
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argbucketsort__3J_3JJJJJ(_0_idx,_1_vals,_2_first,_3_last,_4_minv,_5_maxv):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:91:6-93:7
      mosek.fusion.Utils.Tools._bucketsort__3JJJ_3JJJ(_0_idx,_2_first,_3_last,_1_vals,_4_minv,_5_maxv) # bld/herlev/final/default/src/fusion/Sort.mbi:92:8-62
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:91:6-93:7
    @staticmethod
    def _match_argbucketsort__3J_3IJJII(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals,_2_first,_3_last,_4_minv,_5_maxv, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3I__(_1_vals)
              and __arg_match_J__(_2_first)
              and __arg_match_J__(_3_last)
              and __arg_match_I__(_4_minv)
              and __arg_match_I__(_5_maxv))
    @staticmethod
    def _match_alt_argbucketsort__3J_3IJJII(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals,_2_first,_3_last,_4_minv,_5_maxv, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3I__(_1_vals)
              and __arg_alt_match_J__(_2_first)
              and __arg_alt_match_J__(_3_last)
              and __arg_alt_match_I__(_4_minv)
              and __arg_alt_match_I__(_5_maxv))
    @staticmethod
    def _argbucketsort_alt__3J_3IJJII(_t__0_idx,_t__1_vals,_t__2_first,_t__3_last,_t__4_minv,_t__5_maxv):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals=numpy.array(_t__1_vals,dtype=numpy.dtype(numpy.int32))
      _2_first=numpy.int64(_t__2_first)
      _3_last=numpy.int64(_t__3_last)
      _4_minv=numpy.int32(_t__4_minv)
      _5_maxv=numpy.int32(_t__5_maxv)
      _1 = mosek_fusion_Sort._argbucketsort__3J_3IJJII(_0_idx,_1_vals,_2_first,_3_last,_4_minv,_5_maxv)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals[:] = _1_vals
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argbucketsort__3J_3IJJII(_0_idx,_1_vals,_2_first,_3_last,_4_minv,_5_maxv):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:86:6-88:7
      mosek.fusion.Utils.Tools._bucketsort__3JJJ_3III(_0_idx,_2_first,_3_last,_1_vals,_4_minv,_5_maxv) # bld/herlev/final/default/src/fusion/Sort.mbi:87:8-62
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:86:6-88:7
    @staticmethod
    def _match_getminmax__3J_3J_3JJJ_3J(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_res, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3J__(_1_vals1)
              and __arg_match__3J__(_2_vals2)
              and __arg_match_J__(_3_first)
              and __arg_match_J__(_4_last)
              and __arg_match__3J__(_5_res))
    @staticmethod
    def _match_alt_getminmax__3J_3J_3JJJ_3J(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_res, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3J__(_1_vals1)
              and __arg_alt_match__3J__(_2_vals2)
              and __arg_alt_match_J__(_3_first)
              and __arg_alt_match_J__(_4_last)
              and __arg_alt_match__3J__(_5_res))
    @staticmethod
    def _getminmax_alt__3J_3J_3JJJ_3J(_t__0_idx,_t__1_vals1,_t__2_vals2,_t__3_first,_t__4_last,_t__5_res):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int64))
      _2_vals2=numpy.array(_t__2_vals2,dtype=numpy.dtype(numpy.int64))
      _3_first=numpy.int64(_t__3_first)
      _4_last=numpy.int64(_t__4_last)
      _5_res=numpy.array(_t__5_res,dtype=numpy.dtype(numpy.int64))
      _1 = mosek_fusion_Sort._getminmax__3J_3J_3JJJ_3J(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_res)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_vals2[:] = _2_vals2
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__5_res[:] = _5_res
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _getminmax__3J_3J_3JJJ_3J(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_res):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:62:6-80:7
      fragments._c_closure_98(_3_first,_0_idx,_4_last,_5_res,_1_vals1,_2_vals2) # bld/herlev/final/default/src/fusion/Sort.mbi:62:6-80:7
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:62:6-80:7
    @staticmethod
    def _match_getminmax__3J_3I_3IJJ_3I(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_res, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3I__(_1_vals1)
              and __arg_match__3I__(_2_vals2)
              and __arg_match_J__(_3_first)
              and __arg_match_J__(_4_last)
              and __arg_match__3I__(_5_res))
    @staticmethod
    def _match_alt_getminmax__3J_3I_3IJJ_3I(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_res, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3I__(_1_vals1)
              and __arg_alt_match__3I__(_2_vals2)
              and __arg_alt_match_J__(_3_first)
              and __arg_alt_match_J__(_4_last)
              and __arg_alt_match__3I__(_5_res))
    @staticmethod
    def _getminmax_alt__3J_3I_3IJJ_3I(_t__0_idx,_t__1_vals1,_t__2_vals2,_t__3_first,_t__4_last,_t__5_res):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int32))
      _2_vals2=numpy.array(_t__2_vals2,dtype=numpy.dtype(numpy.int32))
      _3_first=numpy.int64(_t__3_first)
      _4_last=numpy.int64(_t__4_last)
      _5_res=numpy.array(_t__5_res,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Sort._getminmax__3J_3I_3IJJ_3I(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_res)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_vals2[:] = _2_vals2
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__5_res[:] = _5_res
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _getminmax__3J_3I_3IJJ_3I(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_res):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:41:6-59:7
      fragments._c_closure_99(_3_first,_0_idx,_4_last,_5_res,_1_vals1,_2_vals2) # bld/herlev/final/default/src/fusion/Sort.mbi:41:6-59:7
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:41:6-59:7
    @staticmethod
    def _match_issorted__3J_3JJJZ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_first,_3_last,_4_check, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3J__(_1_vals1)
              and __arg_match_J__(_2_first)
              and __arg_match_J__(_3_last)
              and __arg_match_Z__(_4_check))
    @staticmethod
    def _match_alt_issorted__3J_3JJJZ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_first,_3_last,_4_check, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3J__(_1_vals1)
              and __arg_alt_match_J__(_2_first)
              and __arg_alt_match_J__(_3_last)
              and __arg_alt_match_Z__(_4_check))
    @staticmethod
    def _issorted_alt__3J_3JJJZ(_t__0_idx,_t__1_vals1,_t__2_first,_t__3_last,_t__4_check):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int64))
      _2_first=numpy.int64(_t__2_first)
      _3_last=numpy.int64(_t__3_last)
      _4_check=_t__4_check
      _1 = mosek_fusion_Sort._issorted__3J_3JJJZ(_0_idx,_1_vals1,_2_first,_3_last,_4_check)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _issorted__3J_3JJJZ(_0_idx,_1_vals1,_2_first,_3_last,_4_check):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:33:6-38:7
      for _5_i in range(_2_first,(_3_last - 1)): # bld/herlev/final/default/src/fusion/Sort.mbi:34:8-36:25
        # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:35:10-36:25
        if (_1_vals1[_0_idx[_5_i]] > _1_vals1[_0_idx[(_5_i + 1)]]): # bld/herlev/final/default/src/fusion/Sort.mbi:35:14-45
          # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:36:12-25
          return (False) # bld/herlev/final/default/src/fusion/Sort.mbi:36:12-25
          # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:36:12-25
        # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:35:10-36:25
      return (True) # bld/herlev/final/default/src/fusion/Sort.mbi:37:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:33:6-38:7
    @staticmethod
    def _match_issorted__3J_3IJJZ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_first,_3_last,_4_check, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3I__(_1_vals1)
              and __arg_match_J__(_2_first)
              and __arg_match_J__(_3_last)
              and __arg_match_Z__(_4_check))
    @staticmethod
    def _match_alt_issorted__3J_3IJJZ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_first,_3_last,_4_check, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3I__(_1_vals1)
              and __arg_alt_match_J__(_2_first)
              and __arg_alt_match_J__(_3_last)
              and __arg_alt_match_Z__(_4_check))
    @staticmethod
    def _issorted_alt__3J_3IJJZ(_t__0_idx,_t__1_vals1,_t__2_first,_t__3_last,_t__4_check):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int32))
      _2_first=numpy.int64(_t__2_first)
      _3_last=numpy.int64(_t__3_last)
      _4_check=_t__4_check
      _1 = mosek_fusion_Sort._issorted__3J_3IJJZ(_0_idx,_1_vals1,_2_first,_3_last,_4_check)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _issorted__3J_3IJJZ(_0_idx,_1_vals1,_2_first,_3_last,_4_check):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:25:6-30:7
      for _5_i in range(_2_first,(_3_last - 1)): # bld/herlev/final/default/src/fusion/Sort.mbi:26:8-28:25
        # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:27:10-28:25
        if (_1_vals1[_0_idx[_5_i]] > _1_vals1[_0_idx[(_5_i + 1)]]): # bld/herlev/final/default/src/fusion/Sort.mbi:27:14-45
          # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:28:12-25
          return (False) # bld/herlev/final/default/src/fusion/Sort.mbi:28:12-25
          # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:28:12-25
        # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:27:10-28:25
      return (True) # bld/herlev/final/default/src/fusion/Sort.mbi:29:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:25:6-30:7
    @staticmethod
    def _match_issorted__3J_3J_3JJJZ(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3J__(_1_vals1)
              and __arg_match__3J__(_2_vals2)
              and __arg_match_J__(_3_first)
              and __arg_match_J__(_4_last)
              and __arg_match_Z__(_5_check))
    @staticmethod
    def _match_alt_issorted__3J_3J_3JJJZ(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3J__(_1_vals1)
              and __arg_alt_match__3J__(_2_vals2)
              and __arg_alt_match_J__(_3_first)
              and __arg_alt_match_J__(_4_last)
              and __arg_alt_match_Z__(_5_check))
    @staticmethod
    def _issorted_alt__3J_3J_3JJJZ(_t__0_idx,_t__1_vals1,_t__2_vals2,_t__3_first,_t__4_last,_t__5_check):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int64))
      _2_vals2=numpy.array(_t__2_vals2,dtype=numpy.dtype(numpy.int64))
      _3_first=numpy.int64(_t__3_first)
      _4_last=numpy.int64(_t__4_last)
      _5_check=_t__5_check
      _1 = mosek_fusion_Sort._issorted__3J_3J_3JJJZ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_vals2[:] = _2_vals2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _issorted__3J_3J_3JJJZ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:17:6-22:7
      for _6_i in range(_3_first,(_4_last - 1)): # bld/herlev/final/default/src/fusion/Sort.mbi:18:8-20:25
        # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:19:10-20:25
        if ((_1_vals1[_0_idx[_6_i]] > _1_vals1[_0_idx[(_6_i + 1)]]) or ((_1_vals1[_0_idx[(_6_i + 1)]]==_1_vals1[_0_idx[_6_i]]) and (_2_vals2[_0_idx[_6_i]] > _2_vals2[_0_idx[(_6_i + 1)]]))): # bld/herlev/final/default/src/fusion/Sort.mbi:19:14-119
          # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:20:12-25
          return (False) # bld/herlev/final/default/src/fusion/Sort.mbi:20:12-25
          # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:20:12-25
        # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:19:10-20:25
      return (True) # bld/herlev/final/default/src/fusion/Sort.mbi:21:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:17:6-22:7
    @staticmethod
    def _match_issorted__3J_3I_3IJJZ(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3I__(_1_vals1)
              and __arg_match__3I__(_2_vals2)
              and __arg_match_J__(_3_first)
              and __arg_match_J__(_4_last)
              and __arg_match_Z__(_5_check))
    @staticmethod
    def _match_alt_issorted__3J_3I_3IJJZ(*args):
      if len(args) != 6: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3I__(_1_vals1)
              and __arg_alt_match__3I__(_2_vals2)
              and __arg_alt_match_J__(_3_first)
              and __arg_alt_match_J__(_4_last)
              and __arg_alt_match_Z__(_5_check))
    @staticmethod
    def _issorted_alt__3J_3I_3IJJZ(_t__0_idx,_t__1_vals1,_t__2_vals2,_t__3_first,_t__4_last,_t__5_check):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int32))
      _2_vals2=numpy.array(_t__2_vals2,dtype=numpy.dtype(numpy.int32))
      _3_first=numpy.int64(_t__3_first)
      _4_last=numpy.int64(_t__4_last)
      _5_check=_t__5_check
      _1 = mosek_fusion_Sort._issorted__3J_3I_3IJJZ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_vals2[:] = _2_vals2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _issorted__3J_3I_3IJJZ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last,_5_check):
      # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:9:6-14:7
      for _6_i in range(_3_first,(_4_last - 1)): # bld/herlev/final/default/src/fusion/Sort.mbi:10:8-12:25
        # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:11:10-12:25
        if ((_1_vals1[_0_idx[_6_i]] > _1_vals1[_0_idx[(_6_i + 1)]]) or ((_1_vals1[_0_idx[_6_i]]==_1_vals1[_0_idx[(_6_i + 1)]]) and (_2_vals2[_0_idx[_6_i]] > _2_vals2[_0_idx[(_6_i + 1)]]))): # bld/herlev/final/default/src/fusion/Sort.mbi:11:14-119
          # Start scope @ bld/herlev/final/default/src/fusion/Sort.mbi:12:12-25
          return (False) # bld/herlev/final/default/src/fusion/Sort.mbi:12:12-25
          # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:12:12-25
        # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:11:10-12:25
      return (True) # bld/herlev/final/default/src/fusion/Sort.mbi:13:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/Sort.mbi:9:6-14:7
  return Sort
mosek_fusion_Sort=__mk_mosek_fusion_Sort()
del __mk_mosek_fusion_Sort

# origin: bld/herlev/final/default/src/fusion/CommonUtil.mbi:448:4-525:5
#BEFORE CLASS
def __mk_mosek_fusion_IndexCounter():
  class IndexCounter(object):
    __slots__ = ['_IndexCounter__start','_IndexCounter__dims','_IndexCounter__strides','_IndexCounter__st','_IndexCounter__ii','_IndexCounter__n']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor__3I(*args): # []int32
        self._ctor_init__3I(*args)
      elif self.__match_alt_ctor__3I(*args):# []int32
        self._ctor_alt_init__3I(*args)
      elif self.__match_ctor_J_3I_3I(*args): # int64,[]int32,[]int32
        self._ctor_init_J_3I_3I(*args)
      elif self.__match_alt_ctor_J_3I_3I(*args):# int64,[]int32,[]int32
        self._ctor_alt_init_J_3I_3I(*args)
      elif self.__match_ctor_J_3I_3J(*args): # int64,[]int32,[]int64
        self._ctor_init_J_3I_3J(*args)
      elif self.__match_alt_ctor_J_3I_3J(*args):# int64,[]int32,[]int64
        self._ctor_alt_init_J_3I_3J(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.IndexCounter.ctor(array(int32,ndim=1))\n\tmosek.fusion.IndexCounter.ctor(int64,array(int32,ndim=1),array(int32,ndim=1))\n\tmosek.fusion.IndexCounter.ctor(int64,array(int32,ndim=1),array(int64,ndim=1))')

    def next(self,*args):
      if False: pass
      elif mosek_fusion_IndexCounter._match_next_(*args): # 
        return self._next_(*args)
      elif mosek_fusion_IndexCounter._match_alt_next_(*args): # 
        return self._next_alt_(*args)
      else:
        raise ValueError('Invalid argument list next('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.IndexCounter.next()')

    def getIndex(self,*args):
      if False: pass
      elif mosek_fusion_IndexCounter._match_getIndex_(*args): # 
        return self._getIndex_(*args)
      elif mosek_fusion_IndexCounter._match_alt_getIndex_(*args): # 
        return self._getIndex_alt_(*args)
      else:
        raise ValueError('Invalid argument list getIndex('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.IndexCounter.getIndex()')

    def reset(self,*args):
      if False: pass
      elif mosek_fusion_IndexCounter._match_reset_(*args): # 
        return self._reset_(*args)
      elif mosek_fusion_IndexCounter._match_alt_reset_(*args): # 
        return self._reset_alt_(*args)
      else:
        raise ValueError('Invalid argument list reset('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.IndexCounter.reset()')

    def atEnd(self,*args):
      if False: pass
      elif mosek_fusion_IndexCounter._match_atEnd_(*args): # 
        return self._atEnd_(*args)
      elif mosek_fusion_IndexCounter._match_alt_atEnd_(*args): # 
        return self._atEnd_alt_(*args)
      else:
        raise ValueError('Invalid argument list atEnd('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.IndexCounter.atEnd()')

    def get(self,*args):
      if False: pass
      elif mosek_fusion_IndexCounter._match_get_(*args): # 
        return self._get_(*args)
      elif mosek_fusion_IndexCounter._match_alt_get_(*args): # 
        return self._get_alt_(*args)
      else:
        raise ValueError('Invalid argument list get('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.IndexCounter.get()')

    def inc(self,*args):
      if False: pass
      elif mosek_fusion_IndexCounter._match_inc_(*args): # 
        return self._inc_(*args)
      elif mosek_fusion_IndexCounter._match_alt_inc_(*args): # 
        return self._inc_alt_(*args)
      else:
        raise ValueError('Invalid argument list inc('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.IndexCounter.inc()')

    def __repr__(self): return 'mosek.fusion.IndexCounter'
    @staticmethod
    def _ctor__3I(shape):
      o = IndexCounter.__new__(IndexCounter)
      o._ctor_init__3I(shape)
      return o

    @staticmethod
    def __match_ctor__3I(*args):
      if len(args) != 1: return False
      shape, = args
      return (    __arg_match__3I__(shape))
    @staticmethod
    def __match_alt_ctor__3I(*args):
      if len(args) != 1: return False
      shape, = args
      return (    __arg_alt_match__3I__(shape))
    # Origin: bld/herlev/final/default/src/fusion/CommonUtil.mbi:488:6-498:7
    def _ctor_alt_init__3I(self,shape):
      self._ctor_init__3I(numpy.array(shape,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init__3I(self,shape):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:490:6-498:7
      self.__n = int((shape).shape[0]) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:491:8-23
      self.__ii = numpy.zeros((self.__n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:492:8-20
      self.__st = numpy.zeros((self.__n,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:493:8-20
      self.__start = 0 # bld/herlev/final/default/src/fusion/CommonUtil.mbi:494:8-19
      self.__strides = mosek.fusion.Set._strides__3I(shape) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:496:8-37
      self.__dims = numpy.array([shape[_0_i] for _0_i in range(0,int((shape).shape[0]))], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:497:8-55
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:490:6-498:7
    @staticmethod
    def _ctor_J_3I_3I(start_,dims_,shape):
      o = IndexCounter.__new__(IndexCounter)
      o._ctor_init_J_3I_3I(start_,dims_,shape)
      return o

    @staticmethod
    def __match_ctor_J_3I_3I(*args):
      if len(args) != 3: return False
      start_,dims_,shape, = args
      return (    __arg_match_J__(start_)
              and __arg_match__3I__(dims_)
              and __arg_match__3I__(shape))
    @staticmethod
    def __match_alt_ctor_J_3I_3I(*args):
      if len(args) != 3: return False
      start_,dims_,shape, = args
      return (    __arg_alt_match_J__(start_)
              and __arg_alt_match__3I__(dims_)
              and __arg_alt_match__3I__(shape))
    # Origin: bld/herlev/final/default/src/fusion/CommonUtil.mbi:473:6-486:7
    def _ctor_alt_init_J_3I_3I(self,start_,dims_,shape):
      self._ctor_init_J_3I_3I(numpy.int64(start_),numpy.array(dims_,dtype=numpy.dtype(numpy.int32)),numpy.array(shape,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_J_3I_3I(self,start_,dims_,shape):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:477:6-486:7
      _0_nd=int((shape).shape[0]) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:478:12-14
      self.__n = int((dims_).shape[0]) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:479:8-23
      self.__ii = numpy.zeros((self.__n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:480:8-20
      self.__st = numpy.zeros((self.__n,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:481:8-20
      fragments._c_closure_100(self.__n,self.__st,start_) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:481:21-56
      self.__strides = mosek.fusion.Set._strides__3I(shape) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:483:8-37
      self.__dims = dims_ # bld/herlev/final/default/src/fusion/CommonUtil.mbi:484:8-24
      self.__start = start_ # bld/herlev/final/default/src/fusion/CommonUtil.mbi:485:8-23
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:477:6-486:7
    @staticmethod
    def _ctor_J_3I_3J(start_,dims_,strides_):
      o = IndexCounter.__new__(IndexCounter)
      o._ctor_init_J_3I_3J(start_,dims_,strides_)
      return o

    @staticmethod
    def __match_ctor_J_3I_3J(*args):
      if len(args) != 3: return False
      start_,dims_,strides_, = args
      return (    __arg_match_J__(start_)
              and __arg_match__3I__(dims_)
              and __arg_match__3J__(strides_))
    @staticmethod
    def __match_alt_ctor_J_3I_3J(*args):
      if len(args) != 3: return False
      start_,dims_,strides_, = args
      return (    __arg_alt_match_J__(start_)
              and __arg_alt_match__3I__(dims_)
              and __arg_alt_match__3J__(strides_))
    # Origin: bld/herlev/final/default/src/fusion/CommonUtil.mbi:459:6-471:7
    def _ctor_alt_init_J_3I_3J(self,start_,dims_,strides_):
      self._ctor_init_J_3I_3J(numpy.int64(start_),numpy.array(dims_,dtype=numpy.dtype(numpy.int32)),numpy.array(strides_,dtype=numpy.dtype(numpy.int64)))
    def _ctor_init_J_3I_3J(self,start_,dims_,strides_):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:463:6-471:7
      self.__n = int((dims_).shape[0]) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:464:8-23
      self.__ii = numpy.zeros((self.__n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:465:8-20
      self.__st = numpy.zeros((self.__n,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:466:8-20
      fragments._c_closure_101(self.__n,self.__st,start_) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:466:21-56
      self.__strides = strides_ # bld/herlev/final/default/src/fusion/CommonUtil.mbi:468:8-27
      self.__dims = dims_ # bld/herlev/final/default/src/fusion/CommonUtil.mbi:469:8-24
      self.__start = start_ # bld/herlev/final/default/src/fusion/CommonUtil.mbi:470:8-23
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:463:6-471:7
    @staticmethod
    def _match_atEnd_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_atEnd_(*args):
      if len(args) != 0: return False
      return True
    def _atEnd_alt_(self,):
      return self._atEnd_()
    def _atEnd_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:524:34-66
      return ((self.__ii[(self.__n - 1)] >= self.__dims[(self.__n - 1)])) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:524:36-64
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:524:34-66
    @staticmethod
    def _match_getIndex_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getIndex_(*args):
      if len(args) != 0: return False
      return True
    def _getIndex_alt_(self,):
      return self._getIndex_()
    def _getIndex_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:522:40-54
      return (self.__ii) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:522:42-52
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:522:40-54
    @staticmethod
    def _match_next_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_next_(*args):
      if len(args) != 0: return False
      return True
    def _next_alt_(self,):
      return self._next_()
    def _next_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:521:33-68
      _0_r=self._get_() # bld/herlev/final/default/src/fusion/CommonUtil.mbi:521:39-40
      self._inc_() # bld/herlev/final/default/src/fusion/CommonUtil.mbi:521:50-56
      return numpy.int64(_0_r) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:521:57-66
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:521:33-68
    @staticmethod
    def _match_get_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_get_(*args):
      if len(args) != 0: return False
      return True
    def _get_alt_(self,):
      return self._get_()
    def _get_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:519:32-49
      return numpy.int64(self.__st[0]) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:519:34-47
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:519:32-49
    @staticmethod
    def _match_inc_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_inc_(*args):
      if len(args) != 0: return False
      return True
    def _inc_alt_(self,):
      return self._inc_()
    def _inc_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:506:6-517:7
      fragments._c_closure_102(self.__dims,self.__ii,self.__n,self.__st,self.__strides) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:506:6-517:7
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:506:6-517:7
    @staticmethod
    def _match_reset_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_reset_(*args):
      if len(args) != 0: return False
      return True
    def _reset_alt_(self,):
      return self._reset_()
    def _reset_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:501:6-503:7
      self.__st = numpy.zeros((self.__n,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:502:8-20
      fragments._c_closure_103(self.__n,self.__st,self.__start) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:502:21-55
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:501:6-503:7
  return IndexCounter
mosek_fusion_IndexCounter=__mk_mosek_fusion_IndexCounter()
del __mk_mosek_fusion_IndexCounter

# origin: bld/herlev/final/default/src/fusion/CommonUtil.mbi:6:4-445:5
#BEFORE CLASS
def __mk_mosek_fusion_CommonTools():
  class CommonTools(object):
    @staticmethod
    def resize(*args):
      if False: pass
      elif mosek_fusion_CommonTools._match_resize__3DI(*args): # []double,int32
        return mosek_fusion_CommonTools._resize__3DI(*args)
      elif mosek_fusion_CommonTools._match_alt_resize__3DI(*args): # []double,int32
        return mosek_fusion_CommonTools._resize_alt__3DI(*args)
      elif mosek_fusion_CommonTools._match_resize__3II(*args): # []int32,int32
        return mosek_fusion_CommonTools._resize__3II(*args)
      elif mosek_fusion_CommonTools._match_alt_resize__3II(*args): # []int32,int32
        return mosek_fusion_CommonTools._resize_alt__3II(*args)
      elif mosek_fusion_CommonTools._match_resize__3JI(*args): # []int64,int32
        return mosek_fusion_CommonTools._resize__3JI(*args)
      elif mosek_fusion_CommonTools._match_alt_resize__3JI(*args): # []int64,int32
        return mosek_fusion_CommonTools._resize_alt__3JI(*args)
      else:
        raise ValueError('Invalid argument list resize('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.CommonTools.resize(array(double,ndim=1),int32)\n\tmosek.fusion.CommonTools.resize(array(int32,ndim=1),int32)\n\tmosek.fusion.CommonTools.resize(array(int64,ndim=1),int32)')

    @staticmethod
    def argQsort(*args):
      if False: pass
      elif mosek_fusion_CommonTools._match_argQsort__3J_3I_3IJJ(*args): # []int64,[]int32,[]int32,int64,int64
        return mosek_fusion_CommonTools._argQsort__3J_3I_3IJJ(*args)
      elif mosek_fusion_CommonTools._match_alt_argQsort__3J_3I_3IJJ(*args): # []int64,[]int32,[]int32,int64,int64
        return mosek_fusion_CommonTools._argQsort_alt__3J_3I_3IJJ(*args)
      elif mosek_fusion_CommonTools._match_argQsort__3J_3J_3JJJ(*args): # []int64,[]int64,[]int64,int64,int64
        return mosek_fusion_CommonTools._argQsort__3J_3J_3JJJ(*args)
      elif mosek_fusion_CommonTools._match_alt_argQsort__3J_3J_3JJJ(*args): # []int64,[]int64,[]int64,int64,int64
        return mosek_fusion_CommonTools._argQsort_alt__3J_3J_3JJJ(*args)
      else:
        raise ValueError('Invalid argument list argQsort('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.CommonTools.argQsort(array(int64,ndim=1),array(int32,ndim=1),array(int32,ndim=1),int64,int64)\n\tmosek.fusion.CommonTools.argQsort(array(int64,ndim=1),array(int64,ndim=1),array(int64,ndim=1),int64,int64)')

    @staticmethod
    def tripletSort(*args):
      if False: pass
      elif mosek_fusion_CommonTools._match_tripletSort__3I_3I_3D_3_3I_3_3I_3_3DJII(*args): # []int32,[]int32,[]double,[][]int32,[][]int32,[][]double,int64,int32,int32
        return mosek_fusion_CommonTools._tripletSort__3I_3I_3D_3_3I_3_3I_3_3DJII(*args)
      elif mosek_fusion_CommonTools._match_alt_tripletSort__3I_3I_3D_3_3I_3_3I_3_3DJII(*args): # []int32,[]int32,[]double,[][]int32,[][]int32,[][]double,int64,int32,int32
        return mosek_fusion_CommonTools._tripletSort_alt__3I_3I_3D_3_3I_3_3I_3_3DJII(*args)
      else:
        raise ValueError('Invalid argument list tripletSort('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.CommonTools.tripletSort(array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1),array(array(int32,ndim=1),ndim=1),array(array(int32,ndim=1),ndim=1),array(array(double,ndim=1),ndim=1),int64,int32,int32)')

    @staticmethod
    def ndIncr(*args):
      if False: pass
      elif mosek_fusion_CommonTools._match_ndIncr__3I_3I_3I(*args): # []int32,[]int32,[]int32
        return mosek_fusion_CommonTools._ndIncr__3I_3I_3I(*args)
      elif mosek_fusion_CommonTools._match_alt_ndIncr__3I_3I_3I(*args): # []int32,[]int32,[]int32
        return mosek_fusion_CommonTools._ndIncr_alt__3I_3I_3I(*args)
      else:
        raise ValueError('Invalid argument list ndIncr('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.CommonTools.ndIncr(array(int32,ndim=1),array(int32,ndim=1),array(int32,ndim=1))')

    @staticmethod
    def transposeTriplets(*args):
      if False: pass
      elif mosek_fusion_CommonTools._match_transposeTriplets__3I_3I_3D_3_3I_3_3I_3_3DJII(*args): # []int32,[]int32,[]double,[][]int32,[][]int32,[][]double,int64,int32,int32
        return mosek_fusion_CommonTools._transposeTriplets__3I_3I_3D_3_3I_3_3I_3_3DJII(*args)
      elif mosek_fusion_CommonTools._match_alt_transposeTriplets__3I_3I_3D_3_3I_3_3I_3_3DJII(*args): # []int32,[]int32,[]double,[][]int32,[][]int32,[][]double,int64,int32,int32
        return mosek_fusion_CommonTools._transposeTriplets_alt__3I_3I_3D_3_3I_3_3I_3_3DJII(*args)
      elif mosek_fusion_CommonTools._match_transposeTriplets__3I_3I_3D_3_3J_3_3J_3_3DJII(*args): # []int32,[]int32,[]double,[][]int64,[][]int64,[][]double,int64,int32,int32
        return mosek_fusion_CommonTools._transposeTriplets__3I_3I_3D_3_3J_3_3J_3_3DJII(*args)
      elif mosek_fusion_CommonTools._match_alt_transposeTriplets__3I_3I_3D_3_3J_3_3J_3_3DJII(*args): # []int32,[]int32,[]double,[][]int64,[][]int64,[][]double,int64,int32,int32
        return mosek_fusion_CommonTools._transposeTriplets_alt__3I_3I_3D_3_3J_3_3J_3_3DJII(*args)
      else:
        raise ValueError('Invalid argument list transposeTriplets('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.CommonTools.transposeTriplets(array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1),array(array(int32,ndim=1),ndim=1),array(array(int32,ndim=1),ndim=1),array(array(double,ndim=1),ndim=1),int64,int32,int32)\n\tmosek.fusion.CommonTools.transposeTriplets(array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1),array(array(int64,ndim=1),ndim=1),array(array(int64,ndim=1),ndim=1),array(array(double,ndim=1),ndim=1),int64,int32,int32)')

    @staticmethod
    def argMSort(*args):
      if False: pass
      elif mosek_fusion_CommonTools._match_argMSort__3I_3I(*args): # []int32,[]int32
        return mosek_fusion_CommonTools._argMSort__3I_3I(*args)
      elif mosek_fusion_CommonTools._match_alt_argMSort__3I_3I(*args): # []int32,[]int32
        return mosek_fusion_CommonTools._argMSort_alt__3I_3I(*args)
      else:
        raise ValueError('Invalid argument list argMSort('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.CommonTools.argMSort(array(int32,ndim=1),array(int32,ndim=1))')

    @staticmethod
    def binarySearchR(*args):
      if False: pass
      elif mosek_fusion_CommonTools._match_binarySearchR__3JJ(*args): # []int64,int64
        return mosek_fusion_CommonTools._binarySearchR__3JJ(*args)
      elif mosek_fusion_CommonTools._match_alt_binarySearchR__3JJ(*args): # []int64,int64
        return mosek_fusion_CommonTools._binarySearchR_alt__3JJ(*args)
      else:
        raise ValueError('Invalid argument list binarySearchR('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.CommonTools.binarySearchR(array(int64,ndim=1),int64)')

    @staticmethod
    def binarySearchL(*args):
      if False: pass
      elif mosek_fusion_CommonTools._match_binarySearchL__3JJ(*args): # []int64,int64
        return mosek_fusion_CommonTools._binarySearchL__3JJ(*args)
      elif mosek_fusion_CommonTools._match_alt_binarySearchL__3JJ(*args): # []int64,int64
        return mosek_fusion_CommonTools._binarySearchL_alt__3JJ(*args)
      else:
        raise ValueError('Invalid argument list binarySearchL('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.CommonTools.binarySearchL(array(int64,ndim=1),int64)')

    @staticmethod
    def binarySearch(*args):
      if False: pass
      elif mosek_fusion_CommonTools._match_binarySearch__3JJ(*args): # []int64,int64
        return mosek_fusion_CommonTools._binarySearch__3JJ(*args)
      elif mosek_fusion_CommonTools._match_alt_binarySearch__3JJ(*args): # []int64,int64
        return mosek_fusion_CommonTools._binarySearch_alt__3JJ(*args)
      elif mosek_fusion_CommonTools._match_binarySearch__3II(*args): # []int32,int32
        return mosek_fusion_CommonTools._binarySearch__3II(*args)
      elif mosek_fusion_CommonTools._match_alt_binarySearch__3II(*args): # []int32,int32
        return mosek_fusion_CommonTools._binarySearch_alt__3II(*args)
      else:
        raise ValueError('Invalid argument list binarySearch('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.CommonTools.binarySearch(array(int64,ndim=1),int64)\n\tmosek.fusion.CommonTools.binarySearch(array(int32,ndim=1),int32)')

    def __repr__(self): return 'mosek.fusion.CommonTools'
    @staticmethod
    def _match_resize__3JI(*args):
      if len(args) != 2: return False
      _0_values,_1_newsize, = args
      return (    __arg_match__3J__(_0_values)
              and __arg_match_I__(_1_newsize))
    @staticmethod
    def _match_alt_resize__3JI(*args):
      if len(args) != 2: return False
      _0_values,_1_newsize, = args
      return (    __arg_alt_match__3J__(_0_values)
              and __arg_alt_match_I__(_1_newsize))
    @staticmethod
    def _resize_alt__3JI(_t__0_values,_t__1_newsize):
      _0_values=numpy.array(_t__0_values,dtype=numpy.dtype(numpy.int64))
      _1_newsize=numpy.int32(_t__1_newsize)
      _1 = mosek_fusion_CommonTools._resize__3JI(_0_values,_1_newsize)
      try:
        _t__0_values[:] = _0_values
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _resize__3JI(_0_values,_1_newsize):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:433:73-444:7
      if (_1_newsize==int((_0_values).shape[0])): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:434:12-34
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:435:10-24
        return (_0_values) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:435:10-24
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:435:10-24
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:436:13-443:9
        _2_newvals=numpy.zeros((_1_newsize,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:437:14-21
        if (_1_newsize > int((_0_values).shape[0])): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:438:14-35
          # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:439:12-66
          mosek.fusion.Utils.Tools._arraycopy__3JI_3JII(_0_values,0,_2_newvals,0,int((_0_values).shape[0])) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:439:12-66
          # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:439:12-66
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:441:12-62
          mosek.fusion.Utils.Tools._arraycopy__3JI_3JII(_0_values,0,_2_newvals,0,_1_newsize) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:441:12-62
          # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:441:12-62
        return (_2_newvals) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:442:10-25
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:436:13-443:9
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:433:73-444:7
    @staticmethod
    def _match_resize__3II(*args):
      if len(args) != 2: return False
      _0_values,_1_newsize, = args
      return (    __arg_match__3I__(_0_values)
              and __arg_match_I__(_1_newsize))
    @staticmethod
    def _match_alt_resize__3II(*args):
      if len(args) != 2: return False
      _0_values,_1_newsize, = args
      return (    __arg_alt_match__3I__(_0_values)
              and __arg_alt_match_I__(_1_newsize))
    @staticmethod
    def _resize_alt__3II(_t__0_values,_t__1_newsize):
      _0_values=numpy.array(_t__0_values,dtype=numpy.dtype(numpy.int32))
      _1_newsize=numpy.int32(_t__1_newsize)
      _1 = mosek_fusion_CommonTools._resize__3II(_0_values,_1_newsize)
      try:
        _t__0_values[:] = _0_values
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _resize__3II(_0_values,_1_newsize):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:421:73-432:7
      if (_1_newsize==int((_0_values).shape[0])): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:422:12-34
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:423:10-24
        return (_0_values) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:423:10-24
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:423:10-24
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:424:13-431:9
        _2_newvals=numpy.zeros((_1_newsize,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:425:14-21
        if (_1_newsize > int((_0_values).shape[0])): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:426:14-35
          # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:427:12-66
          mosek.fusion.Utils.Tools._arraycopy__3II_3III(_0_values,0,_2_newvals,0,int((_0_values).shape[0])) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:427:12-66
          # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:427:12-66
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:429:12-62
          mosek.fusion.Utils.Tools._arraycopy__3II_3III(_0_values,0,_2_newvals,0,_1_newsize) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:429:12-62
          # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:429:12-62
        return (_2_newvals) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:430:10-25
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:424:13-431:9
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:421:73-432:7
    @staticmethod
    def _match_resize__3DI(*args):
      if len(args) != 2: return False
      _0_values,_1_newsize, = args
      return (    __arg_match__3D__(_0_values)
              and __arg_match_I__(_1_newsize))
    @staticmethod
    def _match_alt_resize__3DI(*args):
      if len(args) != 2: return False
      _0_values,_1_newsize, = args
      return (    __arg_alt_match__3D__(_0_values)
              and __arg_alt_match_I__(_1_newsize))
    @staticmethod
    def _resize_alt__3DI(_t__0_values,_t__1_newsize):
      _0_values=numpy.array(_t__0_values,dtype=numpy.dtype(numpy.float64))
      _1_newsize=numpy.int32(_t__1_newsize)
      _1 = mosek_fusion_CommonTools._resize__3DI(_0_values,_1_newsize)
      try:
        _t__0_values[:] = _0_values
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _resize__3DI(_0_values,_1_newsize):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:409:75-420:7
      if (_1_newsize==int((_0_values).shape[0])): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:410:12-34
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:411:10-24
        return (_0_values) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:411:10-24
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:411:10-24
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:412:13-419:9
        _2_newvals=numpy.zeros((_1_newsize,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:413:14-21
        if (_1_newsize > int((_0_values).shape[0])): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:414:14-35
          # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:415:12-66
          mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(_0_values,0,_2_newvals,0,int((_0_values).shape[0])) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:415:12-66
          # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:415:12-66
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:417:12-62
          mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(_0_values,0,_2_newvals,0,_1_newsize) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:417:12-62
          # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:417:12-62
        return (_2_newvals) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:418:10-25
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:412:13-419:9
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:409:75-420:7
    @staticmethod
    def _match_binarySearch__3II(*args):
      if len(args) != 2: return False
      _0_values,_1_target, = args
      return (    __arg_match__3I__(_0_values)
              and __arg_match_I__(_1_target))
    @staticmethod
    def _match_alt_binarySearch__3II(*args):
      if len(args) != 2: return False
      _0_values,_1_target, = args
      return (    __arg_alt_match__3I__(_0_values)
              and __arg_alt_match_I__(_1_target))
    @staticmethod
    def _binarySearch_alt__3II(_t__0_values,_t__1_target):
      _0_values=numpy.array(_t__0_values,dtype=numpy.dtype(numpy.int32))
      _1_target=numpy.int32(_t__1_target)
      _1 = mosek_fusion_CommonTools._binarySearch__3II(_0_values,_1_target)
      try:
        _t__0_values[:] = _0_values
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _binarySearch__3II(_0_values,_1_target):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:391:77-407:7
      _2_i0=0 # bld/herlev/final/default/src/fusion/CommonUtil.mbi:392:12-14
      _3_i1=int((_0_values).shape[0]) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:393:12-14
      if (_0_values[_2_i0]==_1_target): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:395:12-32
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:395:34-44
        return numpy.int32(_2_i0) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:395:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:395:34-44
      elif (_0_values[(_3_i1 - 1)]==_1_target): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:396:16-38
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:396:40-52
        return numpy.int32((_3_i1 - 1)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:396:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:396:40-52
      while (_2_i0 < (_3_i1 - 1)): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:397:8-405:9
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:397:26-405:9
        _4_p=((_3_i1 - _2_i0) // 2) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:398:14-15
        if (_1_target < _0_values[_4_p]): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:399:14-32
          # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:400:12-21
          _2_i0 = (_4_p + 1) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:400:12-21
          # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:400:12-21
        elif (_1_target > _0_values[_4_p]): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:401:18-36
          # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:402:12-19
          _3_i1 = _4_p # bld/herlev/final/default/src/fusion/CommonUtil.mbi:402:12-19
          # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:402:12-19
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:404:12-21
          return numpy.int32(_4_p) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:404:12-21
          # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:404:12-21
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:397:26-405:9
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:406:8-18
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:391:77-407:7
    @staticmethod
    def _match_binarySearch__3JJ(*args):
      if len(args) != 2: return False
      _0_values,_1_target, = args
      return (    __arg_match__3J__(_0_values)
              and __arg_match_J__(_1_target))
    @staticmethod
    def _match_alt_binarySearch__3JJ(*args):
      if len(args) != 2: return False
      _0_values,_1_target, = args
      return (    __arg_alt_match__3J__(_0_values)
              and __arg_alt_match_J__(_1_target))
    @staticmethod
    def _binarySearch_alt__3JJ(_t__0_values,_t__1_target):
      _0_values=numpy.array(_t__0_values,dtype=numpy.dtype(numpy.int64))
      _1_target=numpy.int64(_t__1_target)
      _1 = mosek_fusion_CommonTools._binarySearch__3JJ(_0_values,_1_target)
      try:
        _t__0_values[:] = _0_values
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _binarySearch__3JJ(_0_values,_1_target):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:383:77-389:7
      _2_i=mosek.fusion.CommonTools._binarySearchL__3JJ(_0_values,_1_target) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:384:12-13
      if ((_2_i < int((_0_values).shape[0])) and (_0_values[_2_i]==_1_target)): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:385:12-51
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:386:10-19
        return numpy.int32(_2_i) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:386:10-19
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:386:10-19
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:388:10-20
        return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:388:10-20
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:388:10-20
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:383:77-389:7
    @staticmethod
    def _match_binarySearchR__3JJ(*args):
      if len(args) != 2: return False
      _0_values,_1_target, = args
      return (    __arg_match__3J__(_0_values)
              and __arg_match_J__(_1_target))
    @staticmethod
    def _match_alt_binarySearchR__3JJ(*args):
      if len(args) != 2: return False
      _0_values,_1_target, = args
      return (    __arg_alt_match__3J__(_0_values)
              and __arg_alt_match_J__(_1_target))
    @staticmethod
    def _binarySearchR_alt__3JJ(_t__0_values,_t__1_target):
      _0_values=numpy.array(_t__0_values,dtype=numpy.dtype(numpy.int64))
      _1_target=numpy.int64(_t__1_target)
      _1 = mosek_fusion_CommonTools._binarySearchR__3JJ(_0_values,_1_target)
      try:
        _t__0_values[:] = _0_values
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _binarySearchR__3JJ(_0_values,_1_target):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:367:78-381:7
      _2_i0=0 # bld/herlev/final/default/src/fusion/CommonUtil.mbi:368:12-14
      _3_i1=int((_0_values).shape[0]) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:369:12-14
      if (_0_values[_2_i0] > _1_target): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:371:12-31
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:371:33-43
        return numpy.int32(_2_i0) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:371:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:371:33-43
      _2_i0,_3_i1 = fragments._c_closure_104(_2_i0,_3_i1,_1_target,_0_values) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:373:8-379:9
      _2_i0 = numpy.int32(_2_i0) # postprocess
      _3_i1 = numpy.int32(_3_i1) # postprocess
      return numpy.int32(_3_i1) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:380:8-18
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:367:78-381:7
    @staticmethod
    def _match_binarySearchL__3JJ(*args):
      if len(args) != 2: return False
      _0_values,_1_target, = args
      return (    __arg_match__3J__(_0_values)
              and __arg_match_J__(_1_target))
    @staticmethod
    def _match_alt_binarySearchL__3JJ(*args):
      if len(args) != 2: return False
      _0_values,_1_target, = args
      return (    __arg_alt_match__3J__(_0_values)
              and __arg_alt_match_J__(_1_target))
    @staticmethod
    def _binarySearchL_alt__3JJ(_t__0_values,_t__1_target):
      _0_values=numpy.array(_t__0_values,dtype=numpy.dtype(numpy.int64))
      _1_target=numpy.int64(_t__1_target)
      _1 = mosek_fusion_CommonTools._binarySearchL__3JJ(_0_values,_1_target)
      try:
        _t__0_values[:] = _0_values
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _binarySearchL__3JJ(_0_values,_1_target):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:350:78-364:7
      _2_i0=0 # bld/herlev/final/default/src/fusion/CommonUtil.mbi:351:12-14
      _3_i1=int((_0_values).shape[0]) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:352:12-14
      if (_1_target <= _0_values[_2_i0]): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:354:12-32
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:354:34-44
        return numpy.int32(_2_i0) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:354:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:354:34-44
      _2_i0,_3_i1 = fragments._c_closure_105(_2_i0,_3_i1,_1_target,_0_values) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:356:8-362:9
      _2_i0 = numpy.int32(_2_i0) # postprocess
      _3_i1 = numpy.int32(_3_i1) # postprocess
      return numpy.int32(_3_i1) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:363:8-18
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:350:78-364:7
    @staticmethod
    def _match_ndIncr__3I_3I_3I(*args):
      if len(args) != 3: return False
      _0_ndidx,_1_first,_2_last, = args
      return (    __arg_match__3I__(_0_ndidx)
              and __arg_match__3I__(_1_first)
              and __arg_match__3I__(_2_last))
    @staticmethod
    def _match_alt_ndIncr__3I_3I_3I(*args):
      if len(args) != 3: return False
      _0_ndidx,_1_first,_2_last, = args
      return (    __arg_alt_match__3I__(_0_ndidx)
              and __arg_alt_match__3I__(_1_first)
              and __arg_alt_match__3I__(_2_last))
    @staticmethod
    def _ndIncr_alt__3I_3I_3I(_t__0_ndidx,_t__1_first,_t__2_last):
      _0_ndidx=numpy.array(_t__0_ndidx,dtype=numpy.dtype(numpy.int32))
      _1_first=numpy.array(_t__1_first,dtype=numpy.dtype(numpy.int32))
      _2_last=numpy.array(_t__2_last,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_CommonTools._ndIncr__3I_3I_3I(_0_ndidx,_1_first,_2_last)
      try:
        _t__0_ndidx[:] = _0_ndidx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_first[:] = _1_first
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_last[:] = _2_last
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _ndIncr__3I_3I_3I(_0_ndidx,_1_first,_2_last):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:338:6-346:7
      fragments._c_closure_106(_1_first,_2_last,_0_ndidx) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:338:6-346:7
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:338:6-346:7
    @staticmethod
    def _match_transposeTriplets__3I_3I_3D_3_3J_3_3J_3_3DJII(*args):
      if len(args) != 9: return False
      _0_subi,_1_subj,_2_val,_3_tsubi_,_4_tsubj_,_5_tval_,_6_nelm,_7_dimi,_8_dimj, = args
      return (    __arg_match__3I__(_0_subi)
              and __arg_match__3I__(_1_subj)
              and __arg_match__3D__(_2_val)
              and __arg_match__3_3J__(_3_tsubi_)
              and __arg_match__3_3J__(_4_tsubj_)
              and __arg_match__3_3D__(_5_tval_)
              and __arg_match_J__(_6_nelm)
              and __arg_match_I__(_7_dimi)
              and __arg_match_I__(_8_dimj))
    @staticmethod
    def _match_alt_transposeTriplets__3I_3I_3D_3_3J_3_3J_3_3DJII(*args):
      if len(args) != 9: return False
      _0_subi,_1_subj,_2_val,_3_tsubi_,_4_tsubj_,_5_tval_,_6_nelm,_7_dimi,_8_dimj, = args
      return (    __arg_alt_match__3I__(_0_subi)
              and __arg_alt_match__3I__(_1_subj)
              and __arg_alt_match__3D__(_2_val)
              and __arg_alt_match__3_3J__(_3_tsubi_)
              and __arg_alt_match__3_3J__(_4_tsubj_)
              and __arg_alt_match__3_3D__(_5_tval_)
              and __arg_alt_match_J__(_6_nelm)
              and __arg_alt_match_I__(_7_dimi)
              and __arg_alt_match_I__(_8_dimj))
    @staticmethod
    def _transposeTriplets_alt__3I_3I_3D_3_3J_3_3J_3_3DJII(_t__0_subi,_t__1_subj,_t__2_val,_t__3_tsubi_,_t__4_tsubj_,_t__5_tval_,_t__6_nelm,_t__7_dimi,_t__8_dimj):
      _0_subi=numpy.array(_t__0_subi,dtype=numpy.dtype(numpy.int32))
      _1_subj=numpy.array(_t__1_subj,dtype=numpy.dtype(numpy.int32))
      _2_val=numpy.array(_t__2_val,dtype=numpy.dtype(numpy.float64))
      _3_tsubi_=_monty.makeJaggedArray(_t__3_tsubi_,(1,1),numpy.dtype(numpy.int64))
      _4_tsubj_=_monty.makeJaggedArray(_t__4_tsubj_,(1,1),numpy.dtype(numpy.int64))
      _5_tval_=_monty.makeJaggedArray(_t__5_tval_,(1,1),numpy.dtype(numpy.float64))
      _6_nelm=numpy.int64(_t__6_nelm)
      _7_dimi=numpy.int32(_t__7_dimi)
      _8_dimj=numpy.int32(_t__8_dimj)
      _1 = mosek_fusion_CommonTools._transposeTriplets__3I_3I_3D_3_3J_3_3J_3_3DJII(_0_subi,_1_subj,_2_val,_3_tsubi_,_4_tsubj_,_5_tval_,_6_nelm,_7_dimi,_8_dimj)
      try:
        _t__0_subi[:] = _0_subi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_subj[:] = _1_subj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_val[:] = _2_val
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_tsubi_[:] = _3_tsubi_
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_tsubj_[:] = _4_tsubj_
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__5_tval_[:] = _5_tval_
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _transposeTriplets__3I_3I_3D_3_3J_3_3J_3_3DJII(_0_subi,_1_subj,_2_val,_3_tsubi_,_4_tsubj_,_5_tval_,_6_nelm,_7_dimi,_8_dimj):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:300:6-335:7
      _9_rptrb=numpy.zeros(((_7_dimi + 2),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:301:12-25
      _10_cptrb=numpy.zeros(((_8_dimj + 2),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:302:12-25
      fragments._c_closure_107(_10_cptrb,_6_nelm,_9_rptrb,_0_subi,_1_subj) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:305:8-309:9
      fragments._c_closure_108(_7_dimi,_9_rptrb) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:311:8-78
      fragments._c_closure_109(_10_cptrb,_8_dimj) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:312:8-78
      _11_tsubi=numpy.zeros((_6_nelm,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:315:12-17
      _12_tsubj=numpy.zeros((_6_nelm,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:316:12-17
      _13_tval=numpy.zeros((_6_nelm,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:317:12-16
      fragments._c_closure_110(_10_cptrb,_7_dimi,_9_rptrb,_1_subj,_11_tsubi,_12_tsubj,_13_tval,_2_val) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:318:8-330:9
      _3_tsubi_[0] = _12_tsubj # bld/herlev/final/default/src/fusion/CommonUtil.mbi:332:8-26
      _4_tsubj_[0] = _11_tsubi # bld/herlev/final/default/src/fusion/CommonUtil.mbi:333:8-26
      _5_tval_[0] = _13_tval # bld/herlev/final/default/src/fusion/CommonUtil.mbi:334:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:300:6-335:7
    @staticmethod
    def _match_transposeTriplets__3I_3I_3D_3_3I_3_3I_3_3DJII(*args):
      if len(args) != 9: return False
      _0_subi,_1_subj,_2_val,_3_tsubi_,_4_tsubj_,_5_tval_,_6_nelm,_7_dimi,_8_dimj, = args
      return (    __arg_match__3I__(_0_subi)
              and __arg_match__3I__(_1_subj)
              and __arg_match__3D__(_2_val)
              and __arg_match__3_3I__(_3_tsubi_)
              and __arg_match__3_3I__(_4_tsubj_)
              and __arg_match__3_3D__(_5_tval_)
              and __arg_match_J__(_6_nelm)
              and __arg_match_I__(_7_dimi)
              and __arg_match_I__(_8_dimj))
    @staticmethod
    def _match_alt_transposeTriplets__3I_3I_3D_3_3I_3_3I_3_3DJII(*args):
      if len(args) != 9: return False
      _0_subi,_1_subj,_2_val,_3_tsubi_,_4_tsubj_,_5_tval_,_6_nelm,_7_dimi,_8_dimj, = args
      return (    __arg_alt_match__3I__(_0_subi)
              and __arg_alt_match__3I__(_1_subj)
              and __arg_alt_match__3D__(_2_val)
              and __arg_alt_match__3_3I__(_3_tsubi_)
              and __arg_alt_match__3_3I__(_4_tsubj_)
              and __arg_alt_match__3_3D__(_5_tval_)
              and __arg_alt_match_J__(_6_nelm)
              and __arg_alt_match_I__(_7_dimi)
              and __arg_alt_match_I__(_8_dimj))
    @staticmethod
    def _transposeTriplets_alt__3I_3I_3D_3_3I_3_3I_3_3DJII(_t__0_subi,_t__1_subj,_t__2_val,_t__3_tsubi_,_t__4_tsubj_,_t__5_tval_,_t__6_nelm,_t__7_dimi,_t__8_dimj):
      _0_subi=numpy.array(_t__0_subi,dtype=numpy.dtype(numpy.int32))
      _1_subj=numpy.array(_t__1_subj,dtype=numpy.dtype(numpy.int32))
      _2_val=numpy.array(_t__2_val,dtype=numpy.dtype(numpy.float64))
      _3_tsubi_=_monty.makeJaggedArray(_t__3_tsubi_,(1,1),numpy.dtype(numpy.int32))
      _4_tsubj_=_monty.makeJaggedArray(_t__4_tsubj_,(1,1),numpy.dtype(numpy.int32))
      _5_tval_=_monty.makeJaggedArray(_t__5_tval_,(1,1),numpy.dtype(numpy.float64))
      _6_nelm=numpy.int64(_t__6_nelm)
      _7_dimi=numpy.int32(_t__7_dimi)
      _8_dimj=numpy.int32(_t__8_dimj)
      _1 = mosek_fusion_CommonTools._transposeTriplets__3I_3I_3D_3_3I_3_3I_3_3DJII(_0_subi,_1_subj,_2_val,_3_tsubi_,_4_tsubj_,_5_tval_,_6_nelm,_7_dimi,_8_dimj)
      try:
        _t__0_subi[:] = _0_subi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_subj[:] = _1_subj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_val[:] = _2_val
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_tsubi_[:] = _3_tsubi_
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_tsubj_[:] = _4_tsubj_
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__5_tval_[:] = _5_tval_
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _transposeTriplets__3I_3I_3D_3_3I_3_3I_3_3DJII(_0_subi,_1_subj,_2_val,_3_tsubi_,_4_tsubj_,_5_tval_,_6_nelm,_7_dimi,_8_dimj):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:252:6-287:7
      _9_rptrb=numpy.zeros(((_7_dimi + 2),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:253:12-25
      _10_cptrb=numpy.zeros(((_8_dimj + 2),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:254:12-25
      fragments._c_closure_111(_10_cptrb,_6_nelm,_9_rptrb,_0_subi,_1_subj) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:257:8-261:9
      fragments._c_closure_112(_7_dimi,_9_rptrb) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:263:8-78
      fragments._c_closure_113(_10_cptrb,_8_dimj) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:264:8-78
      _11_tsubi=numpy.zeros((_6_nelm,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:267:12-17
      _12_tsubj=numpy.zeros((_6_nelm,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:268:12-17
      _13_tval=numpy.zeros((_6_nelm,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:269:12-16
      fragments._c_closure_114(_10_cptrb,_7_dimi,_9_rptrb,_1_subj,_11_tsubi,_12_tsubj,_13_tval,_2_val) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:270:8-282:9
      _3_tsubi_[0] = _12_tsubj # bld/herlev/final/default/src/fusion/CommonUtil.mbi:284:8-26
      _4_tsubj_[0] = _11_tsubi # bld/herlev/final/default/src/fusion/CommonUtil.mbi:285:8-26
      _5_tval_[0] = _13_tval # bld/herlev/final/default/src/fusion/CommonUtil.mbi:286:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:252:6-287:7
    @staticmethod
    def _match_tripletSort__3I_3I_3D_3_3I_3_3I_3_3DJII(*args):
      if len(args) != 9: return False
      _0_subi,_1_subj,_2_val,_3_tsubi_,_4_tsubj_,_5_tval_,_6_nelm,_7_dimi,_8_dimj, = args
      return (    __arg_match__3I__(_0_subi)
              and __arg_match__3I__(_1_subj)
              and __arg_match__3D__(_2_val)
              and __arg_match__3_3I__(_3_tsubi_)
              and __arg_match__3_3I__(_4_tsubj_)
              and __arg_match__3_3D__(_5_tval_)
              and __arg_match_J__(_6_nelm)
              and __arg_match_I__(_7_dimi)
              and __arg_match_I__(_8_dimj))
    @staticmethod
    def _match_alt_tripletSort__3I_3I_3D_3_3I_3_3I_3_3DJII(*args):
      if len(args) != 9: return False
      _0_subi,_1_subj,_2_val,_3_tsubi_,_4_tsubj_,_5_tval_,_6_nelm,_7_dimi,_8_dimj, = args
      return (    __arg_alt_match__3I__(_0_subi)
              and __arg_alt_match__3I__(_1_subj)
              and __arg_alt_match__3D__(_2_val)
              and __arg_alt_match__3_3I__(_3_tsubi_)
              and __arg_alt_match__3_3I__(_4_tsubj_)
              and __arg_alt_match__3_3D__(_5_tval_)
              and __arg_alt_match_J__(_6_nelm)
              and __arg_alt_match_I__(_7_dimi)
              and __arg_alt_match_I__(_8_dimj))
    @staticmethod
    def _tripletSort_alt__3I_3I_3D_3_3I_3_3I_3_3DJII(_t__0_subi,_t__1_subj,_t__2_val,_t__3_tsubi_,_t__4_tsubj_,_t__5_tval_,_t__6_nelm,_t__7_dimi,_t__8_dimj):
      _0_subi=numpy.array(_t__0_subi,dtype=numpy.dtype(numpy.int32))
      _1_subj=numpy.array(_t__1_subj,dtype=numpy.dtype(numpy.int32))
      _2_val=numpy.array(_t__2_val,dtype=numpy.dtype(numpy.float64))
      _3_tsubi_=_monty.makeJaggedArray(_t__3_tsubi_,(1,1),numpy.dtype(numpy.int32))
      _4_tsubj_=_monty.makeJaggedArray(_t__4_tsubj_,(1,1),numpy.dtype(numpy.int32))
      _5_tval_=_monty.makeJaggedArray(_t__5_tval_,(1,1),numpy.dtype(numpy.float64))
      _6_nelm=numpy.int64(_t__6_nelm)
      _7_dimi=numpy.int32(_t__7_dimi)
      _8_dimj=numpy.int32(_t__8_dimj)
      _1 = mosek_fusion_CommonTools._tripletSort__3I_3I_3D_3_3I_3_3I_3_3DJII(_0_subi,_1_subj,_2_val,_3_tsubi_,_4_tsubj_,_5_tval_,_6_nelm,_7_dimi,_8_dimj)
      try:
        _t__0_subi[:] = _0_subi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_subj[:] = _1_subj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_val[:] = _2_val
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_tsubi_[:] = _3_tsubi_
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_tsubj_[:] = _4_tsubj_
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__5_tval_[:] = _5_tval_
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _tripletSort__3I_3I_3D_3_3I_3_3I_3_3DJII(_0_subi,_1_subj,_2_val,_3_tsubi_,_4_tsubj_,_5_tval_,_6_nelm,_7_dimi,_8_dimj):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:125:6-214:7
      _9_cols=numpy.zeros((_6_nelm,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:128:12-25
      _10_cptrb=numpy.zeros(((_8_dimj + 2),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:129:12-25
      fragments._c_closure_115(_10_cptrb,_6_nelm,_1_subj) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:132:8-75
      fragments._c_closure_116(_10_cptrb,_8_dimj) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:133:8-69
      fragments._c_closure_117(_9_cols,_10_cptrb,_6_nelm,_1_subj) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:134:8-139:9
      _11_rptrb=numpy.zeros(((_7_dimi + 2),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:143:12-25
      _12_rows=numpy.zeros((_6_nelm,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:144:12-25
      fragments._c_closure_118(_6_nelm,_11_rptrb,_0_subi) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:145:8-82
      fragments._c_closure_119(_7_dimi,_11_rptrb) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:146:8-78
      fragments._c_closure_120(_9_cols,_10_cptrb,_8_dimj,_12_rows,_11_rptrb,_0_subi) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:147:8-155:9
      _13_nunique=1 # bld/herlev/final/default/src/fusion/CommonUtil.mbi:160:12-19
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:161:8-177:9
      _13_nunique = fragments._c_closure_121(_6_nelm,_13_nunique,_12_rows,_0_subi,_1_subj) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:161:8-177:9
      _13_nunique = numpy.int32(_13_nunique) # postprocess
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:161:8-177:9
      _14_tsubi=numpy.zeros((_13_nunique,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:179:12-17
      _15_tsubj=numpy.zeros((_13_nunique,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:180:12-17
      _16_tval=numpy.zeros((_13_nunique,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:181:12-16
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:184:8-189:9
      _17_idx=_12_rows[0] # bld/herlev/final/default/src/fusion/CommonUtil.mbi:185:14-17
      _14_tsubi[0] = _0_subi[_17_idx] # bld/herlev/final/default/src/fusion/CommonUtil.mbi:186:10-31
      _15_tsubj[0] = _1_subj[_17_idx] # bld/herlev/final/default/src/fusion/CommonUtil.mbi:187:10-31
      _16_tval[0] = _2_val[_17_idx] # bld/herlev/final/default/src/fusion/CommonUtil.mbi:188:10-30
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:184:8-189:9
      _18_di=1 # bld/herlev/final/default/src/fusion/CommonUtil.mbi:191:12-14
      _18_di = fragments._c_closure_122(_18_di,_6_nelm,_12_rows,_0_subi,_1_subj,_14_tsubi,_15_tsubj,_16_tval,_2_val) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:192:8-209:9
      _18_di = numpy.int32(_18_di) # postprocess
      _3_tsubi_[0] = _14_tsubi # bld/herlev/final/default/src/fusion/CommonUtil.mbi:211:8-26
      _4_tsubj_[0] = _15_tsubj # bld/herlev/final/default/src/fusion/CommonUtil.mbi:212:8-26
      _5_tval_[0] = _16_tval # bld/herlev/final/default/src/fusion/CommonUtil.mbi:213:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:125:6-214:7
    @staticmethod
    def _match_argMSort__3I_3I(*args):
      if len(args) != 2: return False
      _0_idx,_1_vals, = args
      return (    __arg_match__3I__(_0_idx)
              and __arg_match__3I__(_1_vals))
    @staticmethod
    def _match_alt_argMSort__3I_3I(*args):
      if len(args) != 2: return False
      _0_idx,_1_vals, = args
      return (    __arg_alt_match__3I__(_0_idx)
              and __arg_alt_match__3I__(_1_vals))
    @staticmethod
    def _argMSort_alt__3I_3I(_t__0_idx,_t__1_vals):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int32))
      _1_vals=numpy.array(_t__1_vals,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_CommonTools._argMSort__3I_3I(_0_idx,_1_vals)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals[:] = _1_vals
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argMSort__3I_3I(_0_idx,_1_vals):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:68:6-87:7
      _2_temp=numpy.zeros((int((_0_idx).shape[0]),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:69:12-16
      _3_alt=False # bld/herlev/final/default/src/fusion/CommonUtil.mbi:70:12-15
      _4_intvlen=1 # bld/herlev/final/default/src/fusion/CommonUtil.mbi:72:17-24
      while (_4_intvlen < int((_0_idx).shape[0])): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:72:8-84:9
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:73:8-84:9
        _3_alt = (not _3_alt) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:74:10-24
        for _5_i in range(0,int((_0_idx).shape[0]),(_4_intvlen * 2)): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:76:10-83:11
          # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:77:10-83:11
          if _3_alt: # bld/herlev/final/default/src/fusion/CommonUtil.mbi:79:16-19
            # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:80:14-72
            mosek.fusion.CommonTools.__mergeInto__3I_3I_3IIII(_0_idx,_2_temp,_1_vals,_5_i,(_5_i + _4_intvlen),(_5_i + (2 * _4_intvlen))) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:80:14-72
            # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:80:14-72
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:82:14-72
            mosek.fusion.CommonTools.__mergeInto__3I_3I_3IIII(_2_temp,_0_idx,_1_vals,_5_i,(_5_i + _4_intvlen),(_5_i + (2 * _4_intvlen))) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:82:14-72
            # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:82:14-72
          # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:77:10-83:11
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:73:8-84:9
        _4_intvlen *= 2
      if _3_alt: # bld/herlev/final/default/src/fusion/CommonUtil.mbi:85:12-15
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:86:10-68
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(_2_temp,0,_0_idx,0,int((_0_idx).shape[0])) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:86:10-68
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:86:10-68
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:68:6-87:7
    @staticmethod
    def __mergeInto_alt__3I_3I_3IIII(_t__0_src,_t__1_tgt,_t__2_vals,_t__3_si0,_t__4_si1_,_t__5_si2_):
      _0_src=numpy.array(_t__0_src,dtype=numpy.dtype(numpy.int32))
      _1_tgt=numpy.array(_t__1_tgt,dtype=numpy.dtype(numpy.int32))
      _2_vals=numpy.array(_t__2_vals,dtype=numpy.dtype(numpy.int32))
      _3_si0=numpy.int32(_t__3_si0)
      _4_si1_=numpy.int32(_t__4_si1_)
      _5_si2_=numpy.int32(_t__5_si2_)
      _1 = mosek_fusion_CommonTools.__mergeInto__3I_3I_3IIII(_0_src,_1_tgt,_2_vals,_3_si0,_4_si1_,_5_si2_)
      try:
        _t__0_src[:] = _0_src
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_tgt[:] = _1_tgt
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_vals[:] = _2_vals
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __mergeInto__3I_3I_3IIII(_0_src,_1_tgt,_2_vals,_3_si0,_4_si1_,_5_si2_):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:36:6-54:7
      _6_si2=(int((_0_src).shape[0]) if ((_5_si2_ > int((_0_src).shape[0])) ) else _5_si2_) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:37:12-15
      _7_si1=(_6_si2 if ((_4_si1_ > _6_si2) ) else _4_si1_) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:38:12-15
      if (_7_si1==_6_si2): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:39:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:40:10-74
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(_0_src,_3_si0,_1_tgt,_3_si0,(_7_si1 - _3_si0)) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:40:10-74
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:40:10-74
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:42:8-53:9
        fragments._c_closure_123(_3_si0,_7_si1,_6_si2,_0_src,_1_tgt,_2_vals) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:42:8-53:9
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:42:8-53:9
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:36:6-54:7
    @staticmethod
    def _match_argQsort__3J_3J_3JJJ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3J__(_1_vals1)
              and __arg_match__3J__(_2_vals2)
              and __arg_match_J__(_3_first)
              and __arg_match_J__(_4_last))
    @staticmethod
    def _match_alt_argQsort__3J_3J_3JJJ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3J__(_1_vals1)
              and __arg_alt_match__3J__(_2_vals2)
              and __arg_alt_match_J__(_3_first)
              and __arg_alt_match_J__(_4_last))
    @staticmethod
    def _argQsort_alt__3J_3J_3JJJ(_t__0_idx,_t__1_vals1,_t__2_vals2,_t__3_first,_t__4_last):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int64))
      _2_vals2=numpy.array(_t__2_vals2,dtype=numpy.dtype(numpy.int64))
      _3_first=numpy.int64(_t__3_first)
      _4_last=numpy.int64(_t__4_last)
      _1 = mosek_fusion_CommonTools._argQsort__3J_3J_3JJJ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_vals2[:] = _2_vals2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argQsort__3J_3J_3JJJ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:17:6-22:7
      if (_2_vals2 is None): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:18:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:19:10-52
        mosek.fusion.Utils.Tools._argsort__3J_3JJJ(_0_idx,_1_vals1,_3_first,_4_last) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:19:10-52
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:19:10-52
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:21:10-58
        mosek.fusion.Utils.Tools._argsort__3J_3J_3JJJ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:21:10-58
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:21:10-58
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:17:6-22:7
    @staticmethod
    def _match_argQsort__3J_3I_3IJJ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last, = args
      return (    __arg_match__3J__(_0_idx)
              and __arg_match__3I__(_1_vals1)
              and __arg_match__3I__(_2_vals2)
              and __arg_match_J__(_3_first)
              and __arg_match_J__(_4_last))
    @staticmethod
    def _match_alt_argQsort__3J_3I_3IJJ(*args):
      if len(args) != 5: return False
      _0_idx,_1_vals1,_2_vals2,_3_first,_4_last, = args
      return (    __arg_alt_match__3J__(_0_idx)
              and __arg_alt_match__3I__(_1_vals1)
              and __arg_alt_match__3I__(_2_vals2)
              and __arg_alt_match_J__(_3_first)
              and __arg_alt_match_J__(_4_last))
    @staticmethod
    def _argQsort_alt__3J_3I_3IJJ(_t__0_idx,_t__1_vals1,_t__2_vals2,_t__3_first,_t__4_last):
      _0_idx=numpy.array(_t__0_idx,dtype=numpy.dtype(numpy.int64))
      _1_vals1=numpy.array(_t__1_vals1,dtype=numpy.dtype(numpy.int32))
      _2_vals2=numpy.array(_t__2_vals2,dtype=numpy.dtype(numpy.int32))
      _3_first=numpy.int64(_t__3_first)
      _4_last=numpy.int64(_t__4_last)
      _1 = mosek_fusion_CommonTools._argQsort__3J_3I_3IJJ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last)
      try:
        _t__0_idx[:] = _0_idx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_vals1[:] = _1_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_vals2[:] = _2_vals2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _argQsort__3J_3I_3IJJ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last):
      # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:9:6-14:7
      if (_2_vals2 is None): # bld/herlev/final/default/src/fusion/CommonUtil.mbi:10:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:11:10-52
        mosek.fusion.Utils.Tools._argsort__3J_3IJJ(_0_idx,_1_vals1,_3_first,_4_last) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:11:10-52
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:11:10-52
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:13:10-58
        mosek.fusion.Utils.Tools._argsort__3J_3I_3IJJ(_0_idx,_1_vals1,_2_vals2,_3_first,_4_last) # bld/herlev/final/default/src/fusion/CommonUtil.mbi:13:10-58
        # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:13:10-58
      # End   scope @ bld/herlev/final/default/src/fusion/CommonUtil.mbi:9:6-14:7
  return CommonTools
mosek_fusion_CommonTools=__mk_mosek_fusion_CommonTools()
del __mk_mosek_fusion_CommonTools

# origin: bld/herlev/final/default/src/fusion/Model.mbi:5355:4-5690:5
#BEFORE CLASS
def __mk_mosek_fusion_SolutionStruct():
  class SolutionStruct(object):
    __slots__ = ['accy','accx','accptr','yx','sux','slx','bars','barx','y','suc','slc','xx','xc','dobj','pobj','probstatus','dstatus','pstatus','sol_numbarvar','sol_numaccelm','sol_numacc','sol_numvar','sol_numcon']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4SolutionStruct_2(*args): # mosek.fusion.SolutionStruct
        self._ctor_init_Lmosek_4fusion_4SolutionStruct_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4SolutionStruct_2(*args):# mosek.fusion.SolutionStruct
        self._ctor_alt_init_Lmosek_4fusion_4SolutionStruct_2(*args)
      elif self.__match_ctor_IIIII(*args): # int32,int32,int32,int32,int32
        self._ctor_init_IIIII(*args)
      elif self.__match_alt_ctor_IIIII(*args):# int32,int32,int32,int32,int32
        self._ctor_alt_init_IIIII(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.SolutionStruct.ctor(mosek.fusion.SolutionStruct)\n\tmosek.fusion.SolutionStruct.ctor(int32,int32,int32,int32,int32)')

    def isPrimalAcceptable(self,*args):
      if False: pass
      elif mosek_fusion_SolutionStruct._match_isPrimalAcceptable_Emosek_4fusion_4AccSolutionStatus_2(*args): # mosek.fusion.AccSolutionStatus
        return self._isPrimalAcceptable_Emosek_4fusion_4AccSolutionStatus_2(*args)
      elif mosek_fusion_SolutionStruct._match_alt_isPrimalAcceptable_Emosek_4fusion_4AccSolutionStatus_2(*args): # mosek.fusion.AccSolutionStatus
        return self._isPrimalAcceptable_alt_Emosek_4fusion_4AccSolutionStatus_2(*args)
      else:
        raise ValueError('Invalid argument list isPrimalAcceptable('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SolutionStruct.isPrimalAcceptable(mosek.fusion.AccSolutionStatus)')

    def clone(self,*args):
      if False: pass
      elif mosek_fusion_SolutionStruct._match_clone_(*args): # 
        return self._clone_(*args)
      elif mosek_fusion_SolutionStruct._match_alt_clone_(*args): # 
        return self._clone_alt_(*args)
      else:
        raise ValueError('Invalid argument list clone('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SolutionStruct.clone()')

    def isDualAcceptable(self,*args):
      if False: pass
      elif mosek_fusion_SolutionStruct._match_isDualAcceptable_Emosek_4fusion_4AccSolutionStatus_2(*args): # mosek.fusion.AccSolutionStatus
        return self._isDualAcceptable_Emosek_4fusion_4AccSolutionStatus_2(*args)
      elif mosek_fusion_SolutionStruct._match_alt_isDualAcceptable_Emosek_4fusion_4AccSolutionStatus_2(*args): # mosek.fusion.AccSolutionStatus
        return self._isDualAcceptable_alt_Emosek_4fusion_4AccSolutionStatus_2(*args)
      else:
        raise ValueError('Invalid argument list isDualAcceptable('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SolutionStruct.isDualAcceptable(mosek.fusion.AccSolutionStatus)')

    def resize(self,*args):
      if False: pass
      elif mosek_fusion_SolutionStruct._match_resize_IIIII(*args): # int32,int32,int32,int32,int32
        return self._resize_IIIII(*args)
      elif mosek_fusion_SolutionStruct._match_alt_resize_IIIII(*args): # int32,int32,int32,int32,int32
        return self._resize_alt_IIIII(*args)
      else:
        raise ValueError('Invalid argument list resize('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SolutionStruct.resize(int32,int32,int32,int32,int32)')

    def __repr__(self): return 'mosek.fusion.SolutionStruct'
    @staticmethod
    def _ctor_IIIII(numvar,numcon,numbarvar,numacc,numaccelm):
      o = SolutionStruct.__new__(SolutionStruct)
      o._ctor_init_IIIII(numvar,numcon,numbarvar,numacc,numaccelm)
      return o

    @staticmethod
    def __match_ctor_IIIII(*args):
      if len(args) != 5: return False
      numvar,numcon,numbarvar,numacc,numaccelm, = args
      return (    __arg_match_I__(numvar)
              and __arg_match_I__(numcon)
              and __arg_match_I__(numbarvar)
              and __arg_match_I__(numacc)
              and __arg_match_I__(numaccelm))
    @staticmethod
    def __match_alt_ctor_IIIII(*args):
      if len(args) != 5: return False
      numvar,numcon,numbarvar,numacc,numaccelm, = args
      return (    __arg_alt_match_I__(numvar)
              and __arg_alt_match_I__(numcon)
              and __arg_alt_match_I__(numbarvar)
              and __arg_alt_match_I__(numacc)
              and __arg_alt_match_I__(numaccelm))
    # Origin: bld/herlev/final/default/src/fusion/Model.mbi:5630:6-5689:7
    def _ctor_alt_init_IIIII(self,numvar,numcon,numbarvar,numacc,numaccelm):
      self._ctor_init_IIIII(numpy.int32(numvar),numpy.int32(numcon),numpy.int32(numbarvar),numpy.int32(numacc),numpy.int32(numaccelm))
    def _ctor_init_IIIII(self,numvar,numcon,numbarvar,numacc,numaccelm):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5635:6-5689:7
      self.pobj = 0.0 # bld/herlev/final/default/src/fusion/Model.mbi:5636:8-19
      self.dobj = 0.0 # bld/herlev/final/default/src/fusion/Model.mbi:5637:8-19
      self.pstatus = mosek.fusion.SolutionStatus.Unknown # bld/herlev/final/default/src/fusion/Model.mbi:5639:8-41
      self.dstatus = mosek.fusion.SolutionStatus.Unknown # bld/herlev/final/default/src/fusion/Model.mbi:5640:8-41
      self.probstatus = mosek.fusion.ProblemStatus.Unknown # bld/herlev/final/default/src/fusion/Model.mbi:5641:8-43
      self.sol_numvar = numvar # bld/herlev/final/default/src/fusion/Model.mbi:5643:8-28
      self.sol_numcon = numcon # bld/herlev/final/default/src/fusion/Model.mbi:5644:8-28
      self.sol_numbarvar = numbarvar # bld/herlev/final/default/src/fusion/Model.mbi:5645:8-34
      self.sol_numacc = numacc # bld/herlev/final/default/src/fusion/Model.mbi:5646:8-28
      self.sol_numaccelm = numaccelm # bld/herlev/final/default/src/fusion/Model.mbi:5647:8-34
      self.slx = None # bld/herlev/final/default/src/fusion/Model.mbi:5649:8-19
      self.sux = None # bld/herlev/final/default/src/fusion/Model.mbi:5649:20-31
      self.xx = None # bld/herlev/final/default/src/fusion/Model.mbi:5649:32-42
      self.yx = None # bld/herlev/final/default/src/fusion/Model.mbi:5649:43-53
      self.slc = None # bld/herlev/final/default/src/fusion/Model.mbi:5650:8-19
      self.suc = None # bld/herlev/final/default/src/fusion/Model.mbi:5650:20-31
      self.y = None # bld/herlev/final/default/src/fusion/Model.mbi:5650:32-41
      self.xc = None # bld/herlev/final/default/src/fusion/Model.mbi:5650:42-52
      self.barx = None # bld/herlev/final/default/src/fusion/Model.mbi:5651:8-20
      self.bars = None # bld/herlev/final/default/src/fusion/Model.mbi:5652:8-20
      self.accx = None # bld/herlev/final/default/src/fusion/Model.mbi:5654:8-20
      self.accy = None # bld/herlev/final/default/src/fusion/Model.mbi:5655:8-20
      self.accptr = None # bld/herlev/final/default/src/fusion/Model.mbi:5656:8-22
      if (numvar > 0): # bld/herlev/final/default/src/fusion/Model.mbi:5658:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5659:8-5665:9
        self.slx = numpy.zeros((numvar,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5661:10-35
        self.sux = numpy.zeros((numvar,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5662:10-35
        self.xx = numpy.zeros((numvar,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5663:10-35
        self.yx = numpy.zeros((numvar,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5664:10-35
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5659:8-5665:9
      if (numbarvar > 0): # bld/herlev/final/default/src/fusion/Model.mbi:5667:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5668:8-5671:9
        self.barx = numpy.zeros((numbarvar,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5669:10-39
        self.bars = numpy.zeros((numbarvar,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5670:10-39
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5668:8-5671:9
      if (numcon > 0): # bld/herlev/final/default/src/fusion/Model.mbi:5673:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5674:8-5680:9
        self.slc = numpy.zeros((numcon,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5676:10-35
        self.suc = numpy.zeros((numcon,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5677:10-35
        self.y = numpy.zeros((numcon,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5678:10-35
        self.xc = numpy.zeros((numcon,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5679:10-35
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5674:8-5680:9
      if (numacc > 0): # bld/herlev/final/default/src/fusion/Model.mbi:5682:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5682:24-5686:9
        self.accx = numpy.zeros((numaccelm,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5683:10-32
        self.accy = numpy.zeros((numaccelm,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5684:10-32
        self.accptr = numpy.zeros(((numacc + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:5685:10-33
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5682:24-5686:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5635:6-5689:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4SolutionStruct_2(that):
      o = SolutionStruct.__new__(SolutionStruct)
      o._ctor_init_Lmosek_4fusion_4SolutionStruct_2(that)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4SolutionStruct_2(*args):
      if len(args) != 1: return False
      that, = args
      return (    __arg_match_Lmosek_4fusion_4SolutionStruct_2__(that))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4SolutionStruct_2(*args):
      if len(args) != 1: return False
      that, = args
      return (    __arg_alt_match_Lmosek_4fusion_4SolutionStruct_2__(that))
    # Origin: bld/herlev/final/default/src/fusion/Model.mbi:5597:6-5627:7
    def _ctor_alt_init_Lmosek_4fusion_4SolutionStruct_2(self,that):
      self._ctor_init_Lmosek_4fusion_4SolutionStruct_2(that)
    def _ctor_init_Lmosek_4fusion_4SolutionStruct_2(self,that):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5598:6-5627:7
      self.sol_numcon = (that.sol_numcon) # bld/herlev/final/default/src/fusion/Model.mbi:5599:8-40
      self.sol_numvar = (that.sol_numvar) # bld/herlev/final/default/src/fusion/Model.mbi:5600:8-40
      self.sol_numbarvar = (that.sol_numbarvar) # bld/herlev/final/default/src/fusion/Model.mbi:5601:8-43
      self.sol_numacc = (that.sol_numacc) # bld/herlev/final/default/src/fusion/Model.mbi:5602:8-40
      self.sol_numaccelm = (that.sol_numaccelm) # bld/herlev/final/default/src/fusion/Model.mbi:5603:8-43
      self.pstatus = (that.pstatus) # bld/herlev/final/default/src/fusion/Model.mbi:5605:8-32
      self.dstatus = (that.dstatus) # bld/herlev/final/default/src/fusion/Model.mbi:5606:8-32
      self.probstatus = (that.probstatus) # bld/herlev/final/default/src/fusion/Model.mbi:5607:8-37
      self.pobj = (that.pobj) # bld/herlev/final/default/src/fusion/Model.mbi:5609:8-25
      self.dobj = (that.dobj) # bld/herlev/final/default/src/fusion/Model.mbi:5610:8-25
      self.xc = (mosek.fusion.Utils.Tools._arraycopy__3D((that.xc)) if (((that.xc) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5611:8-79
      self.xx = (mosek.fusion.Utils.Tools._arraycopy__3D((that.xx)) if (((that.xx) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5612:8-79
      self.yx = (mosek.fusion.Utils.Tools._arraycopy__3D((that.yx)) if (((that.yx) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5613:8-79
      self.slc = (mosek.fusion.Utils.Tools._arraycopy__3D((that.slc)) if (((that.slc) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5614:8-79
      self.suc = (mosek.fusion.Utils.Tools._arraycopy__3D((that.suc)) if (((that.suc) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5615:8-79
      self.y = (mosek.fusion.Utils.Tools._arraycopy__3D((that.y)) if (((that.y) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5616:8-79
      self.barx = (mosek.fusion.Utils.Tools._arraycopy__3D((that.barx)) if (((that.barx) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5618:8-81
      self.bars = (mosek.fusion.Utils.Tools._arraycopy__3D((that.bars)) if (((that.bars) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5619:8-81
      self.slx = (mosek.fusion.Utils.Tools._arraycopy__3D((that.slx)) if (((that.slx) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5621:8-81
      self.sux = (mosek.fusion.Utils.Tools._arraycopy__3D((that.sux)) if (((that.sux) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5622:8-81
      self.accptr = (mosek.fusion.Utils.Tools._arraycopy__3I((that.accptr)) if (((that.accptr) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5624:8-89
      self.accx = (mosek.fusion.Utils.Tools._arraycopy__3D((that.accx)) if (((that.accx) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5625:8-89
      self.accy = (mosek.fusion.Utils.Tools._arraycopy__3D((that.accy)) if (((that.accy) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5626:8-89
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5598:6-5627:7
    @staticmethod
    def _match_clone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_clone_(*args):
      if len(args) != 0: return False
      return True
    def _clone_alt_(self,):
      return self._clone_()
    def _clone_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5628:43-79
      return (mosek_fusion_SolutionStruct._ctor_Lmosek_4fusion_4SolutionStruct_2(self)) # bld/herlev/final/default/src/fusion/Model.mbi:5628:45-77
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5628:43-79
    @staticmethod
    def _match_resize_IIIII(*args):
      if len(args) != 5: return False
      _0_numvar,_1_numcon,_2_numbarvar,_3_numacc,_4_numaccelm, = args
      return (    __arg_match_I__(_0_numvar)
              and __arg_match_I__(_1_numcon)
              and __arg_match_I__(_2_numbarvar)
              and __arg_match_I__(_3_numacc)
              and __arg_match_I__(_4_numaccelm))
    @staticmethod
    def _match_alt_resize_IIIII(*args):
      if len(args) != 5: return False
      _0_numvar,_1_numcon,_2_numbarvar,_3_numacc,_4_numaccelm, = args
      return (    __arg_alt_match_I__(_0_numvar)
              and __arg_alt_match_I__(_1_numcon)
              and __arg_alt_match_I__(_2_numbarvar)
              and __arg_alt_match_I__(_3_numacc)
              and __arg_alt_match_I__(_4_numaccelm))
    def _resize_alt_IIIII(self,_t__0_numvar,_t__1_numcon,_t__2_numbarvar,_t__3_numacc,_t__4_numaccelm):
      return self._resize_IIIII(numpy.int32(__0_numvar),numpy.int32(__1_numcon),numpy.int32(__2_numbarvar),numpy.int32(__3_numacc),numpy.int32(__4_numaccelm))
    def _resize_IIIII(self,_0_numvar,_1_numcon,_2_numbarvar,_3_numacc,_4_numaccelm):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5428:6-5592:7
      if (_3_numacc <= 0): # bld/herlev/final/default/src/fusion/Model.mbi:5429:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5429:25-5431:9
        self.sol_numacc = 0 # bld/herlev/final/default/src/fusion/Model.mbi:5430:10-25
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5429:25-5431:9
      elif (_3_numacc <= (int((self.accptr).shape[0]) - 1)): # bld/herlev/final/default/src/fusion/Model.mbi:5432:16-39
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5432:41-5434:9
        self.sol_numacc = _3_numacc # bld/herlev/final/default/src/fusion/Model.mbi:5433:10-30
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5432:41-5434:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5435:13-5441:9
        _5_newnum=((int((self.accptr).shape[0]) - 1) * 2) # bld/herlev/final/default/src/fusion/Model.mbi:5436:14-20
        if (_5_newnum < _3_numacc): # bld/herlev/final/default/src/fusion/Model.mbi:5436:46-61
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5436:63-79
          _5_newnum = _3_numacc # bld/herlev/final/default/src/fusion/Model.mbi:5436:63-79
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5436:63-79
        _6_new_accptr=numpy.zeros(((_5_newnum + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:5437:14-24
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.accptr,0,_6_new_accptr,0,(_3_numacc + 1)) # bld/herlev/final/default/src/fusion/Model.mbi:5438:10-64
        self.accptr = _6_new_accptr # bld/herlev/final/default/src/fusion/Model.mbi:5439:10-30
        self.sol_numacc = _3_numacc # bld/herlev/final/default/src/fusion/Model.mbi:5440:10-30
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5435:13-5441:9
      if (_4_numaccelm <= 0): # bld/herlev/final/default/src/fusion/Model.mbi:5443:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5443:28-5445:9
        self.sol_numaccelm = 0 # bld/herlev/final/default/src/fusion/Model.mbi:5444:10-28
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5443:28-5445:9
      elif (_4_numaccelm > int((self.accx).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:5446:16-37
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5446:39-5448:9
        self.sol_numaccelm = _4_numaccelm # bld/herlev/final/default/src/fusion/Model.mbi:5447:10-36
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5446:39-5448:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5449:13-5458:9
        _7_newnum=(int((self.accx).shape[0]) * 2) # bld/herlev/final/default/src/fusion/Model.mbi:5450:14-20
        if (_7_newnum < _4_numaccelm): # bld/herlev/final/default/src/fusion/Model.mbi:5450:40-58
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5450:60-79
          _7_newnum = _4_numaccelm # bld/herlev/final/default/src/fusion/Model.mbi:5450:60-79
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5450:60-79
        _8_new_accx=numpy.zeros((_7_newnum,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5451:14-22
        _9_new_accy=numpy.zeros((_7_newnum,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5452:14-22
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.accx,0,_8_new_accx,0,_4_numaccelm) # bld/herlev/final/default/src/fusion/Model.mbi:5453:10-61
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.accy,0,_9_new_accy,0,_4_numaccelm) # bld/herlev/final/default/src/fusion/Model.mbi:5454:10-61
        self.accx = _8_new_accx # bld/herlev/final/default/src/fusion/Model.mbi:5455:10-26
        self.accy = _9_new_accy # bld/herlev/final/default/src/fusion/Model.mbi:5456:10-26
        self.sol_numaccelm = _4_numaccelm # bld/herlev/final/default/src/fusion/Model.mbi:5457:10-36
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5449:13-5458:9
      if (_2_numbarvar < 0): # bld/herlev/final/default/src/fusion/Model.mbi:5461:14-27
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5461:29-5462:11
        pass
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5461:29-5462:11
      elif (_2_numbarvar <= self.sol_numbarvar): # bld/herlev/final/default/src/fusion/Model.mbi:5463:18-44
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5463:46-5465:11
        self.sol_numbarvar = _2_numbarvar # bld/herlev/final/default/src/fusion/Model.mbi:5464:12-38
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5463:46-5465:11
      elif (_2_numbarvar <= int((self.barx).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:5466:18-40
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5466:42-5467:11
        pass
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5466:42-5467:11
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5468:15-5477:11
        # var _10_newsize @ bld/herlev/final/default/src/fusion/Model.mbi:5470:18-31
        if ((self.sol_numbarvar * 2) > (_2_numbarvar + 100)): # bld/herlev/final/default/src/fusion/Model.mbi:5471:18-53
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5471:56-88
          _10_newsize = (self.sol_numbarvar * 2) # bld/herlev/final/default/src/fusion/Model.mbi:5471:58-86
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5471:56-88
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5472:56-86
          _10_newsize = (_2_numbarvar + 100) # bld/herlev/final/default/src/fusion/Model.mbi:5472:58-84
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5472:56-86
        self.barx = mosek.fusion.CommonTools._resize__3DI(self.barx,_10_newsize) # bld/herlev/final/default/src/fusion/Model.mbi:5474:14-55
        self.bars = mosek.fusion.CommonTools._resize__3DI(self.bars,_10_newsize) # bld/herlev/final/default/src/fusion/Model.mbi:5475:14-55
        self.sol_numbarvar = _10_newsize # bld/herlev/final/default/src/fusion/Model.mbi:5476:14-38
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5468:15-5477:11
      if (_0_numvar < 0): # bld/herlev/final/default/src/fusion/Model.mbi:5480:14-24
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5481:10-5483:11
        pass
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5481:10-5483:11
      elif (_0_numvar <= self.sol_numvar): # bld/herlev/final/default/src/fusion/Model.mbi:5484:18-38
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5485:10-5488:11
        self.sol_numvar = _0_numvar # bld/herlev/final/default/src/fusion/Model.mbi:5487:14-34
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5485:10-5488:11
      elif (_0_numvar <= int((self.xx).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:5489:18-35
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5490:10-5500:11
        self.sol_numvar = fragments._c_closure_124(_0_numvar,self.slx,self.sol_numvar,self.sux,self.xx,self.yx) # bld/herlev/final/default/src/fusion/Model.mbi:5490:10-5500:11
        self.sol_numvar = numpy.int32(self.sol_numvar) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5490:10-5500:11
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5502:10-5532:11
        # var _11_newsize @ bld/herlev/final/default/src/fusion/Model.mbi:5504:18-31
        if ((self.sol_numvar * 2) > (_0_numvar + 100)): # bld/herlev/final/default/src/fusion/Model.mbi:5505:18-47
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5505:50-79
          _11_newsize = (self.sol_numvar * 2) # bld/herlev/final/default/src/fusion/Model.mbi:5505:52-77
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5505:50-79
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5506:50-77
          _11_newsize = (_0_numvar + 100) # bld/herlev/final/default/src/fusion/Model.mbi:5506:52-75
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5506:50-77
        _12_newslx=numpy.zeros((_11_newsize,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5508:18-24
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.slx,0,_12_newslx,0,int((self.slx).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:5509:14-61
        self.slx = _12_newslx # bld/herlev/final/default/src/fusion/Model.mbi:5510:14-27
        _13_newsux=numpy.zeros((_11_newsize,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5512:18-24
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.sux,0,_13_newsux,0,int((self.sux).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:5513:14-61
        self.sux = _13_newsux # bld/herlev/final/default/src/fusion/Model.mbi:5514:14-27
        _14_newxx=numpy.zeros((_11_newsize,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5516:18-23
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.xx,0,_14_newxx,0,int((self.xx).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:5517:14-58
        self.xx = _14_newxx # bld/herlev/final/default/src/fusion/Model.mbi:5518:14-25
        _15_newyx=numpy.zeros((_11_newsize,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5520:18-23
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.yx,0,_15_newyx,0,int((self.yx).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:5521:14-58
        self.yx = _15_newyx # bld/herlev/final/default/src/fusion/Model.mbi:5522:14-25
        fragments._c_closure_125(_0_numvar,self.slx,self.sol_numvar,self.sux,self.xx) # bld/herlev/final/default/src/fusion/Model.mbi:5524:14-5530:15
        self.sol_numvar = _0_numvar # bld/herlev/final/default/src/fusion/Model.mbi:5531:14-34
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5502:10-5532:11
      if (_1_numcon < 0): # bld/herlev/final/default/src/fusion/Model.mbi:5535:14-24
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5536:10-5538:11
        pass
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5536:10-5538:11
      elif (_1_numcon <= self.sol_numcon): # bld/herlev/final/default/src/fusion/Model.mbi:5539:18-38
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5540:10-5543:11
        self.sol_numcon = _1_numcon # bld/herlev/final/default/src/fusion/Model.mbi:5542:14-34
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5540:10-5543:11
      elif (_1_numcon <= int((self.xx).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:5544:18-35
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5545:10-5556:11
        self.sol_numcon = fragments._c_closure_126(_1_numcon,self.slc,self.sol_numcon,self.suc,self.xc,self.y) # bld/herlev/final/default/src/fusion/Model.mbi:5545:10-5556:11
        self.sol_numcon = numpy.int32(self.sol_numcon) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5545:10-5556:11
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5558:10-5588:11
        # var _16_newsize @ bld/herlev/final/default/src/fusion/Model.mbi:5560:18-31
        if ((self.sol_numcon * 2) > (_1_numcon + 100)): # bld/herlev/final/default/src/fusion/Model.mbi:5561:18-47
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5561:50-79
          _16_newsize = (self.sol_numcon * 2) # bld/herlev/final/default/src/fusion/Model.mbi:5561:52-77
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5561:50-79
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5562:50-77
          _16_newsize = (_1_numcon + 100) # bld/herlev/final/default/src/fusion/Model.mbi:5562:52-75
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5562:50-77
        _17_newslc=numpy.zeros((_16_newsize,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5564:18-24
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.slc,0,_17_newslc,0,int((self.slc).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:5565:14-61
        self.slc = _17_newslc # bld/herlev/final/default/src/fusion/Model.mbi:5566:14-27
        _18_newsuc=numpy.zeros((_16_newsize,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5568:18-24
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.suc,0,_18_newsuc,0,int((self.suc).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:5569:14-61
        self.suc = _18_newsuc # bld/herlev/final/default/src/fusion/Model.mbi:5570:14-27
        _19_newxc=numpy.zeros((_16_newsize,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5572:18-23
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.xc,0,_19_newxc,0,int((self.xc).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:5573:14-58
        self.xc = _19_newxc # bld/herlev/final/default/src/fusion/Model.mbi:5574:14-25
        _20_newy=numpy.zeros((_16_newsize,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5576:18-22
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.y,0,_20_newy,0,int((self.y).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:5577:14-55
        self.y = _20_newy # bld/herlev/final/default/src/fusion/Model.mbi:5578:14-23
        fragments._c_closure_127(_1_numcon,self.slc,self.sol_numcon,self.suc,self.xc,self.y) # bld/herlev/final/default/src/fusion/Model.mbi:5580:14-5586:15
        self.sol_numcon = _1_numcon # bld/herlev/final/default/src/fusion/Model.mbi:5587:14-34
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5558:10-5588:11
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5428:6-5592:7
    @staticmethod
    def _match_isDualAcceptable_Emosek_4fusion_4AccSolutionStatus_2(*args):
      if len(args) != 1: return False
      _0_acceptable_sol, = args
      return (    __arg_match_Emosek_4fusion_4AccSolutionStatus_2__(_0_acceptable_sol))
    @staticmethod
    def _match_alt_isDualAcceptable_Emosek_4fusion_4AccSolutionStatus_2(*args):
      if len(args) != 1: return False
      _0_acceptable_sol, = args
      return (    __arg_alt_match_Emosek_4fusion_4AccSolutionStatus_2__(_0_acceptable_sol))
    def _isDualAcceptable_alt_Emosek_4fusion_4AccSolutionStatus_2(self,_t__0_acceptable_sol):
      return self._isDualAcceptable_Emosek_4fusion_4AccSolutionStatus_2(__0_acceptable_sol)
    def _isDualAcceptable_Emosek_4fusion_4AccSolutionStatus_2(self,_0_acceptable_sol):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5418:6-5420:7
      return (self.__isAcceptable_Emosek_4fusion_4SolutionStatus_2Emosek_4fusion_4AccSolutionStatus_2(self.dstatus,_0_acceptable_sol)) # bld/herlev/final/default/src/fusion/Model.mbi:5419:8-53
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5418:6-5420:7
    @staticmethod
    def _match_isPrimalAcceptable_Emosek_4fusion_4AccSolutionStatus_2(*args):
      if len(args) != 1: return False
      _0_acceptable_sol, = args
      return (    __arg_match_Emosek_4fusion_4AccSolutionStatus_2__(_0_acceptable_sol))
    @staticmethod
    def _match_alt_isPrimalAcceptable_Emosek_4fusion_4AccSolutionStatus_2(*args):
      if len(args) != 1: return False
      _0_acceptable_sol, = args
      return (    __arg_alt_match_Emosek_4fusion_4AccSolutionStatus_2__(_0_acceptable_sol))
    def _isPrimalAcceptable_alt_Emosek_4fusion_4AccSolutionStatus_2(self,_t__0_acceptable_sol):
      return self._isPrimalAcceptable_Emosek_4fusion_4AccSolutionStatus_2(__0_acceptable_sol)
    def _isPrimalAcceptable_Emosek_4fusion_4AccSolutionStatus_2(self,_0_acceptable_sol):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5413:6-5415:7
      return (self.__isAcceptable_Emosek_4fusion_4SolutionStatus_2Emosek_4fusion_4AccSolutionStatus_2(self.pstatus,_0_acceptable_sol)) # bld/herlev/final/default/src/fusion/Model.mbi:5414:8-53
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5413:6-5415:7
    def __isAcceptable_alt_Emosek_4fusion_4SolutionStatus_2Emosek_4fusion_4AccSolutionStatus_2(self,_t__0_stat,_t__1_accstat):
      return self.__isAcceptable_Emosek_4fusion_4SolutionStatus_2Emosek_4fusion_4AccSolutionStatus_2(__0_stat,__1_accstat)
    def __isAcceptable_Emosek_4fusion_4SolutionStatus_2Emosek_4fusion_4AccSolutionStatus_2(self,_0_stat,_1_accstat):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5389:6-5410:7
      if (_1_accstat==mosek.fusion.AccSolutionStatus.Anything): # bld/herlev/final/default/src/fusion/Model.mbi:5390:16-53
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5391:8-5393:9
        return (True) # bld/herlev/final/default/src/fusion/Model.mbi:5392:10-22
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5391:8-5393:9
      elif (_1_accstat==mosek.fusion.AccSolutionStatus.Optimal): # bld/herlev/final/default/src/fusion/Model.mbi:5394:16-52
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5395:8-5397:9
        return ((_0_stat==mosek.fusion.SolutionStatus.Optimal)) # bld/herlev/final/default/src/fusion/Model.mbi:5396:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5395:8-5397:9
      elif (_1_accstat==mosek.fusion.AccSolutionStatus.Feasible): # bld/herlev/final/default/src/fusion/Model.mbi:5398:16-53
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5399:8-5403:9
        return (((_0_stat==mosek.fusion.SolutionStatus.Optimal) or (_0_stat==mosek.fusion.SolutionStatus.Feasible))) # bld/herlev/final/default/src/fusion/Model.mbi:5400:10-5402:46
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5399:8-5403:9
      elif (_1_accstat==mosek.fusion.AccSolutionStatus.Certificate): # bld/herlev/final/default/src/fusion/Model.mbi:5404:16-56
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5405:8-5407:9
        return ((_0_stat==mosek.fusion.SolutionStatus.Certificate)) # bld/herlev/final/default/src/fusion/Model.mbi:5406:10-52
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5405:8-5407:9
      return (False) # bld/herlev/final/default/src/fusion/Model.mbi:5409:8-21
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5389:6-5410:7
  return SolutionStruct
mosek_fusion_SolutionStruct=__mk_mosek_fusion_SolutionStruct()
del __mk_mosek_fusion_SolutionStruct

# origin: bld/herlev/final/default/src/fusion/Model.mbi:4940:4-5350:5
#BEFORE CLASS
def __mk_mosek_fusion_RowBlockManager():
  class RowBlockManager(object):
    __slots__ = ['varidx_used','code_used','cconst','code','first_free_codeitem','param_code_sizes','param_varidx','first_free_entry','row_code_ptr','row_param_ptre','row_param_ptrb','blocks']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_(*args): # 
        self._ctor_init_(*args)
      elif self.__match_alt_ctor_(*args):# 
        self._ctor_alt_init_(*args)
      elif self.__match_ctor_Lmosek_4fusion_4RowBlockManager_2(*args): # mosek.fusion.RowBlockManager
        self._ctor_init_Lmosek_4fusion_4RowBlockManager_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4RowBlockManager_2(*args):# mosek.fusion.RowBlockManager
        self._ctor_alt_init_Lmosek_4fusion_4RowBlockManager_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.RowBlockManager.ctor()\n\tmosek.fusion.RowBlockManager.ctor(mosek.fusion.RowBlockManager)')

    def num_parameterized(self,*args):
      if False: pass
      elif mosek_fusion_RowBlockManager._match_num_1parameterized_(*args): # 
        return self._num_1parameterized_(*args)
      elif mosek_fusion_RowBlockManager._match_alt_num_1parameterized_(*args): # 
        return self._num_1parameterized_alt_(*args)
      else:
        raise ValueError('Invalid argument list num_parameterized('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RowBlockManager.num_parameterized()')

    def clear_row_code(self,*args):
      if False: pass
      elif mosek_fusion_RowBlockManager._match_clear_1row_1code__3I(*args): # []int32
        return self._clear_1row_1code__3I(*args)
      elif mosek_fusion_RowBlockManager._match_alt_clear_1row_1code__3I(*args): # []int32
        return self._clear_1row_1code_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list clear_row_code('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RowBlockManager.clear_row_code(array(int32,ndim=1))')

    def capacity(self,*args):
      if False: pass
      elif mosek_fusion_RowBlockManager._match_capacity_(*args): # 
        return self._capacity_(*args)
      elif mosek_fusion_RowBlockManager._match_alt_capacity_(*args): # 
        return self._capacity_alt_(*args)
      else:
        raise ValueError('Invalid argument list capacity('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RowBlockManager.capacity()')

    def block_capacity(self,*args):
      if False: pass
      elif mosek_fusion_RowBlockManager._match_block_1capacity_(*args): # 
        return self._block_1capacity_(*args)
      elif mosek_fusion_RowBlockManager._match_alt_block_1capacity_(*args): # 
        return self._block_1capacity_alt_(*args)
      else:
        raise ValueError('Invalid argument list block_capacity('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RowBlockManager.block_capacity()')

    def row_is_parameterized(self,*args):
      if False: pass
      elif mosek_fusion_RowBlockManager._match_row_1is_1parameterized_I(*args): # int32
        return self._row_1is_1parameterized_I(*args)
      elif mosek_fusion_RowBlockManager._match_alt_row_1is_1parameterized_I(*args): # int32
        return self._row_1is_1parameterized_alt_I(*args)
      else:
        raise ValueError('Invalid argument list row_is_parameterized('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RowBlockManager.row_is_parameterized(int32)')

    def allocate(self,*args):
      if False: pass
      elif mosek_fusion_RowBlockManager._match_allocate__3I(*args): # []int32
        return self._allocate__3I(*args)
      elif mosek_fusion_RowBlockManager._match_alt_allocate__3I(*args): # []int32
        return self._allocate_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list allocate('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RowBlockManager.allocate(array(int32,ndim=1))')

    def evaluate(self,*args):
      if False: pass
      elif mosek_fusion_RowBlockManager._match_evaluate_Lmosek_4fusion_4WorkStack_2_3D_3I_3I_3D(*args): # mosek.fusion.WorkStack,[]double,[]int32,[]int32,[]double
        return self._evaluate_Lmosek_4fusion_4WorkStack_2_3D_3I_3I_3D(*args)
      elif mosek_fusion_RowBlockManager._match_alt_evaluate_Lmosek_4fusion_4WorkStack_2_3D_3I_3I_3D(*args): # mosek.fusion.WorkStack,[]double,[]int32,[]int32,[]double
        return self._evaluate_alt_Lmosek_4fusion_4WorkStack_2_3D_3I_3I_3D(*args)
      else:
        raise ValueError('Invalid argument list evaluate('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RowBlockManager.evaluate(mosek.fusion.WorkStack,array(double,ndim=1),array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1))')

    def release(self,*args):
      if False: pass
      elif mosek_fusion_RowBlockManager._match_release_I_3I(*args): # int32,[]int32
        return self._release_I_3I(*args)
      elif mosek_fusion_RowBlockManager._match_alt_release_I_3I(*args): # int32,[]int32
        return self._release_alt_I_3I(*args)
      else:
        raise ValueError('Invalid argument list release('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RowBlockManager.release(int32,array(int32,ndim=1))')

    def replace_row_code(self,*args):
      if False: pass
      elif mosek_fusion_RowBlockManager._match_replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(*args): # mosek.fusion.WorkStack,[]int32,int32,int32,int32,int32,int32
        return self._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(*args)
      elif mosek_fusion_RowBlockManager._match_alt_replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(*args): # mosek.fusion.WorkStack,[]int32,int32,int32,int32,int32,int32
        return self._replace_1row_1code_alt_Lmosek_4fusion_4WorkStack_2_3IIIIII(*args)
      else:
        raise ValueError('Invalid argument list replace_row_code('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RowBlockManager.replace_row_code(mosek.fusion.WorkStack,array(int32,ndim=1),int32,int32,int32,int32,int32)')

    def get(self,*args):
      if False: pass
      elif mosek_fusion_RowBlockManager._match_get_I_3II(*args): # int32,[]int32,int32
        return self._get_I_3II(*args)
      elif mosek_fusion_RowBlockManager._match_alt_get_I_3II(*args): # int32,[]int32,int32
        return self._get_alt_I_3II(*args)
      else:
        raise ValueError('Invalid argument list get('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RowBlockManager.get(int32,array(int32,ndim=1),int32)')

    def is_parameterized(self,*args):
      if False: pass
      elif mosek_fusion_RowBlockManager._match_is_1parameterized_(*args): # 
        return self._is_1parameterized_(*args)
      elif mosek_fusion_RowBlockManager._match_alt_is_1parameterized_(*args): # 
        return self._is_1parameterized_alt_(*args)
      else:
        raise ValueError('Invalid argument list is_parameterized('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RowBlockManager.is_parameterized()')

    def blocksize(self,*args):
      if False: pass
      elif mosek_fusion_RowBlockManager._match_blocksize_I(*args): # int32
        return self._blocksize_I(*args)
      elif mosek_fusion_RowBlockManager._match_alt_blocksize_I(*args): # int32
        return self._blocksize_alt_I(*args)
      else:
        raise ValueError('Invalid argument list blocksize('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RowBlockManager.blocksize(int32)')

    def __repr__(self): return 'mosek.fusion.RowBlockManager'
    @staticmethod
    def _ctor_Lmosek_4fusion_4RowBlockManager_2(that):
      o = RowBlockManager.__new__(RowBlockManager)
      o._ctor_init_Lmosek_4fusion_4RowBlockManager_2(that)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4RowBlockManager_2(*args):
      if len(args) != 1: return False
      that, = args
      return (    __arg_match_Lmosek_4fusion_4RowBlockManager_2__(that))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4RowBlockManager_2(*args):
      if len(args) != 1: return False
      that, = args
      return (    __arg_alt_match_Lmosek_4fusion_4RowBlockManager_2__(that))
    # Origin: bld/herlev/final/default/src/fusion/Model.mbi:5003:6-5019:7
    def _ctor_alt_init_Lmosek_4fusion_4RowBlockManager_2(self,that):
      self._ctor_init_Lmosek_4fusion_4RowBlockManager_2(that)
    def _ctor_init_Lmosek_4fusion_4RowBlockManager_2(self,that):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5003:40-5019:7
      self.blocks = mosek_fusion_LinkedBlocks._ctor_Lmosek_4fusion_4LinkedBlocks_2((that.blocks)) # bld/herlev/final/default/src/fusion/Model.mbi:5004:8-48
      self.row_param_ptrb = (mosek.fusion.Utils.Tools._arraycopy__3I((that.row_param_ptrb)) if (((that.row_param_ptrb) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5006:8-117
      self.row_param_ptre = (mosek.fusion.Utils.Tools._arraycopy__3I((that.row_param_ptre)) if (((that.row_param_ptre) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5007:8-117
      self.row_code_ptr = (mosek.fusion.Utils.Tools._arraycopy__3I((that.row_code_ptr)) if (((that.row_code_ptr) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5008:8-117
      self.first_free_entry = (that.first_free_entry) # bld/herlev/final/default/src/fusion/Model.mbi:5010:8-50
      self.param_varidx = (mosek.fusion.Utils.Tools._arraycopy__3J((that.param_varidx)) if (((that.param_varidx) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5011:8-119
      self.param_code_sizes = (mosek.fusion.Utils.Tools._arraycopy__3I((that.param_code_sizes)) if (((that.param_code_sizes) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5012:8-119
      self.first_free_codeitem = (that.first_free_codeitem) # bld/herlev/final/default/src/fusion/Model.mbi:5014:8-55
      self.code = (mosek.fusion.Utils.Tools._arraycopy__3I((that.code)) if (((that.code) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5015:8-90
      self.cconst = (mosek.fusion.Utils.Tools._arraycopy__3D((that.cconst)) if (((that.cconst) is not None) ) else None) # bld/herlev/final/default/src/fusion/Model.mbi:5016:8-90
      self.code_used = (that.code_used) # bld/herlev/final/default/src/fusion/Model.mbi:5017:8-36
      self.varidx_used = (that.varidx_used) # bld/herlev/final/default/src/fusion/Model.mbi:5018:8-40
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5003:40-5019:7
    @staticmethod
    def _ctor_():
      o = RowBlockManager.__new__(RowBlockManager)
      o._ctor_init_()
      return o

    @staticmethod
    def __match_ctor_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def __match_alt_ctor_(*args):
      if len(args) != 0: return False
      return True
    # Origin: bld/herlev/final/default/src/fusion/Model.mbi:4987:6-5001:7
    def _ctor_alt_init_(self,):
      self._ctor_init_()
    def _ctor_init_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:4987:20-5001:7
      self.blocks = mosek_fusion_LinkedBlocks._ctor_() # bld/herlev/final/default/src/fusion/Model.mbi:4988:8-36
      self.row_param_ptrb = None # bld/herlev/final/default/src/fusion/Model.mbi:4990:8-33
      self.row_param_ptre = None # bld/herlev/final/default/src/fusion/Model.mbi:4991:8-33
      self.row_code_ptr = None # bld/herlev/final/default/src/fusion/Model.mbi:4992:8-33
      self.first_free_entry = 0 # bld/herlev/final/default/src/fusion/Model.mbi:4993:8-30
      self.param_varidx = None # bld/herlev/final/default/src/fusion/Model.mbi:4994:8-33
      self.param_code_sizes = None # bld/herlev/final/default/src/fusion/Model.mbi:4995:8-33
      self.first_free_codeitem = 0 # bld/herlev/final/default/src/fusion/Model.mbi:4996:8-32
      self.code = None # bld/herlev/final/default/src/fusion/Model.mbi:4997:8-25
      self.cconst = None # bld/herlev/final/default/src/fusion/Model.mbi:4998:8-25
      self.code_used = 0 # bld/herlev/final/default/src/fusion/Model.mbi:4999:8-23
      self.varidx_used = 0 # bld/herlev/final/default/src/fusion/Model.mbi:5000:8-24
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:4987:20-5001:7
    @staticmethod
    def _match_num_1parameterized_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_num_1parameterized_(*args):
      if len(args) != 0: return False
      return True
    def _num_1parameterized_alt_(self,):
      return self._num_1parameterized_()
    def _num_1parameterized_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5349:46-69
      return numpy.int32(self.varidx_used) # bld/herlev/final/default/src/fusion/Model.mbi:5349:48-67
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5349:46-69
    @staticmethod
    def _match_is_1parameterized_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_is_1parameterized_(*args):
      if len(args) != 0: return False
      return True
    def _is_1parameterized_alt_(self,):
      return self._is_1parameterized_()
    def _is_1parameterized_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5348:44-69
      return ((self.code_used > 0)) # bld/herlev/final/default/src/fusion/Model.mbi:5348:46-67
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5348:44-69
    @staticmethod
    def _match_blocksize_I(*args):
      if len(args) != 1: return False
      _0_id, = args
      return (    __arg_match_I__(_0_id))
    @staticmethod
    def _match_alt_blocksize_I(*args):
      if len(args) != 1: return False
      _0_id, = args
      return (    __arg_alt_match_I__(_0_id))
    def _blocksize_alt_I(self,_t__0_id):
      return self._blocksize_I(numpy.int32(__0_id))
    def _blocksize_I(self,_0_id):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5347:47-79
      return numpy.int32(self.blocks._blocksize_I(_0_id)) # bld/herlev/final/default/src/fusion/Model.mbi:5347:49-77
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5347:47-79
    @staticmethod
    def _match_block_1capacity_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_block_1capacity_(*args):
      if len(args) != 0: return False
      return True
    def _block_1capacity_alt_(self,):
      return self._block_1capacity_()
    def _block_1capacity_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5346:44-79
      return numpy.int32(self.blocks._block_1capacity_()) # bld/herlev/final/default/src/fusion/Model.mbi:5346:46-77
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5346:44-79
    @staticmethod
    def _match_capacity_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_capacity_(*args):
      if len(args) != 0: return False
      return True
    def _capacity_alt_(self,):
      return self._capacity_()
    def _capacity_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5345:38-67
      return numpy.int32(self.blocks._capacity_()) # bld/herlev/final/default/src/fusion/Model.mbi:5345:40-65
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5345:38-67
    @staticmethod
    def _match_get_I_3II(*args):
      if len(args) != 3: return False
      _0_id,_1_target,_2_offset, = args
      return (    __arg_match_I__(_0_id)
              and __arg_match__3I__(_1_target)
              and __arg_match_I__(_2_offset))
    @staticmethod
    def _match_alt_get_I_3II(*args):
      if len(args) != 3: return False
      _0_id,_1_target,_2_offset, = args
      return (    __arg_alt_match_I__(_0_id)
              and __arg_alt_match__3I__(_1_target)
              and __arg_alt_match_I__(_2_offset))
    def _get_alt_I_3II(self,_t__0_id,_t__1_target,_t__2_offset):
      _0_id=numpy.int32(_t__0_id)
      _1_target=numpy.array(_t__1_target,dtype=numpy.dtype(numpy.int32))
      _2_offset=numpy.int32(_t__2_offset)
      _1 = self._get_I_3II(_0_id,_1_target,_2_offset)
      try:
        _t__1_target[:] = _1_target
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _get_I_3II(self,_0_id,_1_target,_2_offset):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5344:69-102
      self.blocks._get_I_3II(_0_id,_1_target,_2_offset) # bld/herlev/final/default/src/fusion/Model.mbi:5344:71-100
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5344:69-102
    @staticmethod
    def _match_evaluate_Lmosek_4fusion_4WorkStack_2_3D_3I_3I_3D(*args):
      if len(args) != 5: return False
      _0_xs,_1_param_value,_2_subi,_3_subj,_4_val, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_xs)
              and __arg_match__3D__(_1_param_value)
              and __arg_match__3I__(_2_subi)
              and __arg_match__3I__(_3_subj)
              and __arg_match__3D__(_4_val))
    @staticmethod
    def _match_alt_evaluate_Lmosek_4fusion_4WorkStack_2_3D_3I_3I_3D(*args):
      if len(args) != 5: return False
      _0_xs,_1_param_value,_2_subi,_3_subj,_4_val, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_xs)
              and __arg_alt_match__3D__(_1_param_value)
              and __arg_alt_match__3I__(_2_subi)
              and __arg_alt_match__3I__(_3_subj)
              and __arg_alt_match__3D__(_4_val))
    def _evaluate_alt_Lmosek_4fusion_4WorkStack_2_3D_3I_3I_3D(self,_t__0_xs,_t__1_param_value,_t__2_subi,_t__3_subj,_t__4_val):
      _0_xs=_t__0_xs
      _1_param_value=numpy.array(_t__1_param_value,dtype=numpy.dtype(numpy.float64))
      _2_subi=numpy.array(_t__2_subi,dtype=numpy.dtype(numpy.int32))
      _3_subj=numpy.array(_t__3_subj,dtype=numpy.dtype(numpy.int32))
      _4_val=numpy.array(_t__4_val,dtype=numpy.dtype(numpy.float64))
      _1 = self._evaluate_Lmosek_4fusion_4WorkStack_2_3D_3I_3I_3D(_0_xs,_1_param_value,_2_subi,_3_subj,_4_val)
      try:
        _t__1_param_value[:] = _1_param_value
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_subi[:] = _2_subi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_subj[:] = _3_subj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_val[:] = _4_val
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _evaluate_Lmosek_4fusion_4WorkStack_2_3D_3I_3I_3D(self,_0_xs,_1_param_value,_2_subi,_3_subj,_4_val):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5282:29-5342:7
      _5_stack=_0_xs._allocf64_I(self.code_used) # bld/herlev/final/default/src/fusion/Model.mbi:5284:12-17
      _6_stackp=0 # bld/herlev/final/default/src/fusion/Model.mbi:5285:12-18
      _7_xf64=(_0_xs.f64) # bld/herlev/final/default/src/fusion/Model.mbi:5286:12-16
      _8_idx=0 # bld/herlev/final/default/src/fusion/Model.mbi:5287:12-15
      _8_idx,_6_stackp = fragments._c_closure_128(self.cconst,self.code,_8_idx,self.param_code_sizes,_1_param_value,self.param_varidx,self.row_code_ptr,self.row_param_ptrb,self.row_param_ptre,_5_stack,_6_stackp,_2_subi,_3_subj,_4_val,_7_xf64) # bld/herlev/final/default/src/fusion/Model.mbi:5291:8-5340:9
      _8_idx = numpy.int32(_8_idx) # postprocess
      _6_stackp = numpy.int32(_6_stackp) # postprocess
      _0_xs._popf64_I(self.code_used) # bld/herlev/final/default/src/fusion/Model.mbi:5341:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5282:29-5342:7
    @staticmethod
    def _match_replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(*args):
      if len(args) != 7: return False
      _0_rs,_1_nativeidxs,_2_ptr,_3_nidxs,_4_codeptr,_5_code_p,_6_cconst_p, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match__3I__(_1_nativeidxs)
              and __arg_match_I__(_2_ptr)
              and __arg_match_I__(_3_nidxs)
              and __arg_match_I__(_4_codeptr)
              and __arg_match_I__(_5_code_p)
              and __arg_match_I__(_6_cconst_p))
    @staticmethod
    def _match_alt_replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(*args):
      if len(args) != 7: return False
      _0_rs,_1_nativeidxs,_2_ptr,_3_nidxs,_4_codeptr,_5_code_p,_6_cconst_p, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match__3I__(_1_nativeidxs)
              and __arg_alt_match_I__(_2_ptr)
              and __arg_alt_match_I__(_3_nidxs)
              and __arg_alt_match_I__(_4_codeptr)
              and __arg_alt_match_I__(_5_code_p)
              and __arg_alt_match_I__(_6_cconst_p))
    def _replace_1row_1code_alt_Lmosek_4fusion_4WorkStack_2_3IIIIII(self,_t__0_rs,_t__1_nativeidxs,_t__2_ptr,_t__3_nidxs,_t__4_codeptr,_t__5_code_p,_t__6_cconst_p):
      _0_rs=_t__0_rs
      _1_nativeidxs=numpy.array(_t__1_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _2_ptr=numpy.int32(_t__2_ptr)
      _3_nidxs=numpy.int32(_t__3_nidxs)
      _4_codeptr=numpy.int32(_t__4_codeptr)
      _5_code_p=numpy.int32(_t__5_code_p)
      _6_cconst_p=numpy.int32(_t__6_cconst_p)
      _1 = self._replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(_0_rs,_1_nativeidxs,_2_ptr,_3_nidxs,_4_codeptr,_5_code_p,_6_cconst_p)
      try:
        _t__1_nativeidxs[:] = _1_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _replace_1row_1code_Lmosek_4fusion_4WorkStack_2_3IIIIII(self,_0_rs,_1_nativeidxs,_2_ptr,_3_nidxs,_4_codeptr,_5_code_p,_6_cconst_p):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5170:29-5274:7
      _7_nelem=int((_1_nativeidxs).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:5171:12-17
      _8_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/Model.mbi:5172:12-16
      _9_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/Model.mbi:5173:12-16
      _10_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/Model.mbi:5174:12-16
      _11_ok=True # bld/herlev/final/default/src/fusion/Model.mbi:5186:12-14
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5187:8-5206:9
      _12_numop=0 # bld/herlev/final/default/src/fusion/Model.mbi:5189:26-31
      _13_nentry=0 # bld/herlev/final/default/src/fusion/Model.mbi:5189:14-20
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5190:10-5202:11
      _13_nentry,_12_numop = fragments._c_closure_129(_5_code_p,_4_codeptr,_7_nelem,_13_nentry,_12_numop,_2_ptr,_8_ri32) # bld/herlev/final/default/src/fusion/Model.mbi:5191:12-5199:13
      _13_nentry = numpy.int32(_13_nentry) # postprocess
      _12_numop = numpy.int32(_12_numop) # postprocess
      self._clear_1row_1code__3I(_1_nativeidxs) # bld/herlev/final/default/src/fusion/Model.mbi:5201:12-39
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5190:10-5202:11
      self.__ensure_1code_1cap_II(_13_nentry,_12_numop) # bld/herlev/final/default/src/fusion/Model.mbi:5203:10-40
      self.code_used += _12_numop # bld/herlev/final/default/src/fusion/Model.mbi:5204:10-29
      self.varidx_used += _13_nentry # bld/herlev/final/default/src/fusion/Model.mbi:5205:10-32
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5187:8-5206:9
      if (self.first_free_codeitem > (self.code_used * 2)): # bld/herlev/final/default/src/fusion/Model.mbi:5208:12-45
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5209:10-21
        self.__compress_() # bld/herlev/final/default/src/fusion/Model.mbi:5209:10-21
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5209:10-21
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5211:8-5234:9
      self.first_free_codeitem,self.first_free_entry = fragments._c_closure_130(_5_code_p,_4_codeptr,self.first_free_codeitem,self.first_free_entry,_1_nativeidxs,_7_nelem,_2_ptr,_8_ri32,self.row_code_ptr,self.row_param_ptrb,self.row_param_ptre) # bld/herlev/final/default/src/fusion/Model.mbi:5211:8-5234:9
      self.first_free_codeitem = numpy.int32(self.first_free_codeitem) # postprocess
      self.first_free_entry = numpy.int32(self.first_free_entry) # postprocess
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5211:8-5234:9
      _11_ok = fragments._c_closure_131(self.cconst,_6_cconst_p,self.code,_5_code_p,_4_codeptr,_1_nativeidxs,_7_nelem,_3_nidxs,_11_ok,self.param_code_sizes,self.param_varidx,_2_ptr,_10_rf64,_8_ri32,_9_ri64,self.row_code_ptr,self.row_param_ptrb) # bld/herlev/final/default/src/fusion/Model.mbi:5236:8-5258:9
      if (not _11_ok): # bld/herlev/final/default/src/fusion/Model.mbi:5272:12-18
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5273:10-85
        raise mosek_fusion_ParameterError._ctor_S("Expression contains parameterized SDP non-zero") # bld/herlev/final/default/src/fusion/Model.mbi:5273:10-85
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5273:10-85
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5170:29-5274:7
    @staticmethod
    def _match_clear_1row_1code__3I(*args):
      if len(args) != 1: return False
      _0_nativeidxs, = args
      return (    __arg_match__3I__(_0_nativeidxs))
    @staticmethod
    def _match_alt_clear_1row_1code__3I(*args):
      if len(args) != 1: return False
      _0_nativeidxs, = args
      return (    __arg_alt_match__3I__(_0_nativeidxs))
    def _clear_1row_1code_alt__3I(self,_t__0_nativeidxs):
      _0_nativeidxs=numpy.array(_t__0_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _1 = self._clear_1row_1code__3I(_0_nativeidxs)
      try:
        _t__0_nativeidxs[:] = _0_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _clear_1row_1code__3I(self,_0_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5137:32-5152:7
      self.code_used,self.varidx_used = fragments._c_closure_132(self.code_used,_0_nativeidxs,self.param_code_sizes,self.row_param_ptrb,self.row_param_ptre,self.varidx_used) # bld/herlev/final/default/src/fusion/Model.mbi:5137:32-5152:7
      self.code_used = numpy.int32(self.code_used) # postprocess
      self.varidx_used = numpy.int32(self.varidx_used) # postprocess
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5137:32-5152:7
    def __compress_alt_(self,):
      return self.__compress_()
    def __compress_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5092:32-5134:7
      _0_newcode=numpy.zeros((self.code_used,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:5093:12-19
      _1_newcconst=numpy.zeros((self.code_used,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5094:12-21
      _2_newvaridx=numpy.zeros((self.first_free_entry,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:5095:12-21
      _3_newcodesizes=numpy.zeros((self.first_free_entry,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:5096:12-24
      _4_tgtptr=0 # bld/herlev/final/default/src/fusion/Model.mbi:5101:12-18
      _5_tgtcptr=0 # bld/herlev/final/default/src/fusion/Model.mbi:5102:12-19
      for _6_i in range(0,int((self.row_param_ptrb).shape[0])): # bld/herlev/final/default/src/fusion/Model.mbi:5103:8-5120:9
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5103:45-5120:9
        _7_codesize=0 # bld/herlev/final/default/src/fusion/Model.mbi:5104:14-22
        _8_n=(self.row_param_ptre[_6_i] - self.row_param_ptrb[_6_i]) # bld/herlev/final/default/src/fusion/Model.mbi:5105:14-15
        mosek.fusion.Utils.Tools._arraycopy__3JI_3JII(self.param_varidx,self.row_param_ptrb[_6_i],_2_newvaridx,_4_tgtptr,_8_n) # bld/herlev/final/default/src/fusion/Model.mbi:5107:10-83
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.param_code_sizes,self.row_param_ptrb[_6_i],_3_newcodesizes,_4_tgtptr,_8_n) # bld/herlev/final/default/src/fusion/Model.mbi:5108:10-90
        _7_codesize = fragments._c_closure_133(_7_codesize,_6_i,self.param_code_sizes,self.row_param_ptrb,self.row_param_ptre) # bld/herlev/final/default/src/fusion/Model.mbi:5109:10-93
        _7_codesize = numpy.int32(_7_codesize) # postprocess
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.code,self.row_code_ptr[_6_i],_0_newcode,_5_tgtcptr,_7_codesize) # bld/herlev/final/default/src/fusion/Model.mbi:5111:10-79
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.cconst,self.row_code_ptr[_6_i],_1_newcconst,_5_tgtcptr,_7_codesize) # bld/herlev/final/default/src/fusion/Model.mbi:5112:10-83
        self.row_param_ptrb[_6_i] = _4_tgtptr # bld/herlev/final/default/src/fusion/Model.mbi:5114:10-37
        self.row_param_ptre[_6_i] = (_4_tgtptr + _8_n) # bld/herlev/final/default/src/fusion/Model.mbi:5115:10-41
        self.row_code_ptr[_6_i] = _5_tgtcptr # bld/herlev/final/default/src/fusion/Model.mbi:5116:10-38
        _5_tgtcptr += _7_codesize # bld/herlev/final/default/src/fusion/Model.mbi:5118:10-30
        _4_tgtptr += _8_n # bld/herlev/final/default/src/fusion/Model.mbi:5119:10-22
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5103:45-5120:9
      mosek.fusion.Utils.Tools._arraycopy__3JI_3JII(_2_newvaridx,0,self.param_varidx,0,_4_tgtptr) # bld/herlev/final/default/src/fusion/Model.mbi:5122:8-65
      mosek.fusion.Utils.Tools._arraycopy__3II_3III(_3_newcodesizes,0,self.param_code_sizes,0,_4_tgtptr) # bld/herlev/final/default/src/fusion/Model.mbi:5123:8-72
      mosek.fusion.Utils.Tools._arraycopy__3II_3III(_0_newcode,0,self.code,0,_5_tgtcptr) # bld/herlev/final/default/src/fusion/Model.mbi:5124:8-56
      mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(_1_newcconst,0,self.cconst,0,_5_tgtcptr) # bld/herlev/final/default/src/fusion/Model.mbi:5125:8-60
      self.first_free_codeitem = _5_tgtcptr # bld/herlev/final/default/src/fusion/Model.mbi:5127:8-38
      self.first_free_entry = _4_tgtptr # bld/herlev/final/default/src/fusion/Model.mbi:5128:8-34
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5092:32-5134:7
    def __ensure_1code_1cap_alt_II(self,_t__0_nentry,_t__1_codesize):
      return self.__ensure_1code_1cap_II(numpy.int32(__0_nentry),numpy.int32(__1_codesize))
    def __ensure_1code_1cap_II(self,_0_nentry,_1_codesize):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5056:67-5090:7
      if (self.row_code_ptr is None): # bld/herlev/final/default/src/fusion/Model.mbi:5057:12-32
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5057:34-5069:9
        _2_n=128 # bld/herlev/final/default/src/fusion/Model.mbi:5058:14-15
        _2_n = fragments._c_closure_134(_2_n,_0_nentry) # bld/herlev/final/default/src/fusion/Model.mbi:5058:23-51
        _2_n = numpy.int32(_2_n) # postprocess
        _3_m=128 # bld/herlev/final/default/src/fusion/Model.mbi:5059:14-15
        _3_m = fragments._c_closure_135(_1_codesize,_3_m) # bld/herlev/final/default/src/fusion/Model.mbi:5059:23-51
        _3_m = numpy.int32(_3_m) # postprocess
        self.row_param_ptrb = numpy.zeros((self.blocks._capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:5061:10-50
        self.row_param_ptre = numpy.zeros((self.blocks._capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:5062:10-50
        self.row_code_ptr = numpy.zeros((self.blocks._capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:5063:10-50
        self.param_varidx = numpy.zeros((_2_n,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:5065:10-32
        self.param_code_sizes = numpy.zeros((_2_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:5066:10-36
        self.code = numpy.zeros((_3_m,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:5067:10-26
        self.cconst = numpy.zeros((_3_m,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5068:10-26
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5057:34-5069:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5070:13-5089:9
        if (_0_nentry > (int((self.param_varidx).shape[0]) - self.first_free_entry)): # bld/herlev/final/default/src/fusion/Model.mbi:5071:14-59
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5071:61-5080:11
          _4_n=int((self.param_varidx).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:5072:16-17
          _4_n = fragments._c_closure_136(self.first_free_entry,_4_n,_0_nentry) # bld/herlev/final/default/src/fusion/Model.mbi:5072:39-84
          _4_n = numpy.int32(_4_n) # postprocess
          _5_ptr=numpy.zeros((_4_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:5073:16-19
          _6_varidx=numpy.zeros((_4_n,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Model.mbi:5074:16-22
          _7_code_sizes=numpy.zeros((_4_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:5075:16-26
          mosek.fusion.Utils.Tools._arraycopy__3JI_3JII(self.param_varidx,0,_6_varidx,0,self.first_free_entry) # bld/herlev/final/default/src/fusion/Model.mbi:5076:12-84
          mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.param_code_sizes,0,_7_code_sizes,0,self.first_free_entry) # bld/herlev/final/default/src/fusion/Model.mbi:5077:12-84
          self.param_varidx = _6_varidx # bld/herlev/final/default/src/fusion/Model.mbi:5078:12-34
          self.param_code_sizes = _7_code_sizes # bld/herlev/final/default/src/fusion/Model.mbi:5079:12-42
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5071:61-5080:11
        if (_1_codesize > (int((self.code).shape[0]) - self.first_free_codeitem)): # bld/herlev/final/default/src/fusion/Model.mbi:5082:14-56
          # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5082:58-5088:11
          _8_n=int((self.code).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:5083:16-17
          _8_n = fragments._c_closure_137(_1_codesize,self.first_free_codeitem,_8_n) # bld/herlev/final/default/src/fusion/Model.mbi:5083:31-81
          _8_n = numpy.int32(_8_n) # postprocess
          _9_tcode=numpy.zeros((_8_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:5084:16-21
          mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.code,0,_9_tcode,0,self.first_free_codeitem) # bld/herlev/final/default/src/fusion/Model.mbi:5084:40-98
          _10_tcconst=numpy.zeros((_8_n,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Model.mbi:5085:16-23
          mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.cconst,0,_10_tcconst,0,self.first_free_codeitem) # bld/herlev/final/default/src/fusion/Model.mbi:5085:40-102
          self.code = _9_tcode # bld/herlev/final/default/src/fusion/Model.mbi:5086:12-25
          self.cconst = _10_tcconst # bld/herlev/final/default/src/fusion/Model.mbi:5087:12-29
          # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5082:58-5088:11
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5070:13-5089:9
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5056:67-5090:7
    @staticmethod
    def _match_release_I_3I(*args):
      if len(args) != 2: return False
      _0_id,_1_nativeidxs, = args
      return (    __arg_match_I__(_0_id)
              and __arg_match__3I__(_1_nativeidxs))
    @staticmethod
    def _match_alt_release_I_3I(*args):
      if len(args) != 2: return False
      _0_id,_1_nativeidxs, = args
      return (    __arg_alt_match_I__(_0_id)
              and __arg_alt_match__3I__(_1_nativeidxs))
    def _release_alt_I_3I(self,_t__0_id,_t__1_nativeidxs):
      _0_id=numpy.int32(_t__0_id)
      _1_nativeidxs=numpy.array(_t__1_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _1 = self._release_I_3I(_0_id,_1_nativeidxs)
      try:
        _t__1_nativeidxs[:] = _1_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _release_I_3I(self,_0_id,_1_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5043:58-5054:7
      _2_num=self.blocks._blocksize_I(_0_id) # bld/herlev/final/default/src/fusion/Model.mbi:5044:12-15
      self.blocks._get_I_3II(_0_id,_1_nativeidxs,0) # bld/herlev/final/default/src/fusion/Model.mbi:5045:8-36
      self.blocks._free_I(_0_id) # bld/herlev/final/default/src/fusion/Model.mbi:5046:8-24
      self.code_used = fragments._c_closure_138(self.code_used,_1_nativeidxs,_2_num,self.row_code_ptr,self.row_param_ptrb,self.row_param_ptre) # bld/herlev/final/default/src/fusion/Model.mbi:5047:8-5053:11
      self.code_used = numpy.int32(self.code_used) # postprocess
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5043:58-5054:7
    @staticmethod
    def _match_allocate__3I(*args):
      if len(args) != 1: return False
      _0_nativeidxs, = args
      return (    __arg_match__3I__(_0_nativeidxs))
    @staticmethod
    def _match_alt_allocate__3I(*args):
      if len(args) != 1: return False
      _0_nativeidxs, = args
      return (    __arg_alt_match__3I__(_0_nativeidxs))
    def _allocate_alt__3I(self,_t__0_nativeidxs):
      _0_nativeidxs=numpy.array(_t__0_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _1 = self._allocate__3I(_0_nativeidxs)
      try:
        _t__0_nativeidxs[:] = _0_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _allocate__3I(self,_0_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5025:56-5041:7
      _1_num=int((_0_nativeidxs).shape[0]) # bld/herlev/final/default/src/fusion/Model.mbi:5026:12-15
      _2_id=self.blocks._alloc_I(_1_num) # bld/herlev/final/default/src/fusion/Model.mbi:5027:12-14
      self.blocks._get_I_3II(_2_id,_0_nativeidxs,0) # bld/herlev/final/default/src/fusion/Model.mbi:5028:8-36
      if ((self.row_code_ptr is not None) and (self.blocks._capacity_() > int((self.row_param_ptrb).shape[0]))): # bld/herlev/final/default/src/fusion/Model.mbi:5030:12-5031:51
        # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5031:54-5038:9
        _3_ptrb=numpy.zeros((self.blocks._capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:5032:14-18
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.row_param_ptrb,0,_3_ptrb,0,int((self.row_param_ptrb).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:5032:50-117
        _4_ptre=numpy.zeros((self.blocks._capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:5033:14-18
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.row_param_ptre,0,_4_ptre,0,int((self.row_param_ptre).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:5033:50-117
        _5_cptr=numpy.zeros((self.blocks._capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Model.mbi:5034:14-18
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.row_code_ptr,0,_5_cptr,0,int((self.row_code_ptr).shape[0])) # bld/herlev/final/default/src/fusion/Model.mbi:5034:50-113
        self.row_param_ptrb = _3_ptrb # bld/herlev/final/default/src/fusion/Model.mbi:5035:10-32
        self.row_param_ptre = _4_ptre # bld/herlev/final/default/src/fusion/Model.mbi:5036:10-32
        self.row_code_ptr = _5_cptr # bld/herlev/final/default/src/fusion/Model.mbi:5037:10-32
        # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5031:54-5038:9
      return numpy.int32(_2_id) # bld/herlev/final/default/src/fusion/Model.mbi:5040:8-18
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5025:56-5041:7
    @staticmethod
    def _match_row_1is_1parameterized_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_match_I__(_0_i))
    @staticmethod
    def _match_alt_row_1is_1parameterized_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_alt_match_I__(_0_i))
    def _row_1is_1parameterized_alt_I(self,_t__0_i):
      return self._row_1is_1parameterized_I(numpy.int32(__0_i))
    def _row_1is_1parameterized_I(self,_0_i):
      # Start scope @ bld/herlev/final/default/src/fusion/Model.mbi:5021:56-5023:7
      return (((self.row_param_ptrb is not None) and (self.row_param_ptrb[_0_i] < self.row_param_ptre[_0_i]))) # bld/herlev/final/default/src/fusion/Model.mbi:5022:8-80
      # End   scope @ bld/herlev/final/default/src/fusion/Model.mbi:5021:56-5023:7
  return RowBlockManager
mosek_fusion_RowBlockManager=__mk_mosek_fusion_RowBlockManager()
del __mk_mosek_fusion_RowBlockManager

# origin: bld/herlev/final/default/src/fusion/BaseVariable.monty:53:4-969:5
#BEFORE CLASS
def __mk_mosek_fusion_BaseVariable():
  class BaseVariable(mosek_fusion_Variable,object):
    __slots__ = ['_BaseVariable__sparsity','_BaseVariable__basevar_nativeidxs','_BaseVariable__model','_BaseVariable__shape']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(*args): # mosek.fusion.Model,[]int32,[]int64,[]int64
        self._ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3J(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(*args):# mosek.fusion.Model,[]int32,[]int64,[]int64
        self._ctor_alt_init_Lmosek_4fusion_4Model_2_3I_3J_3J(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.BaseVariable.ctor(mosek.fusion.Model,array(int32,ndim=1),array(int64,ndim=1),array(int64,ndim=1))')

    def diag(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_diag_(*args): # 
        return self._diag_(*args)
      elif mosek_fusion_BaseVariable._match_alt_diag_(*args): # 
        return self._diag_alt_(*args)
      elif mosek_fusion_BaseVariable._match_diag_I(*args): # int32
        return self._diag_I(*args)
      elif mosek_fusion_BaseVariable._match_alt_diag_I(*args): # int32
        return self._diag_alt_I(*args)
      else:
        raise ValueError('Invalid argument list diag('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.diag()\n\tmosek.fusion.BaseVariable.diag(int32)')

    def numInst(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_numInst_(*args): # 
        return self._numInst_(*args)
      elif mosek_fusion_BaseVariable._match_alt_numInst_(*args): # 
        return self._numInst_alt_(*args)
      else:
        raise ValueError('Invalid argument list numInst('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.numInst()')

    def setLevel(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_setLevel__3D(*args): # []double
        return self._setLevel__3D(*args)
      elif mosek_fusion_BaseVariable._match_alt_setLevel__3D(*args): # []double
        return self._setLevel_alt__3D(*args)
      else:
        raise ValueError('Invalid argument list setLevel('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.setLevel(array(double,ndim=1))')

    def getModel(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_getModel_(*args): # 
        return self._getModel_(*args)
      elif mosek_fusion_BaseVariable._match_alt_getModel_(*args): # 
        return self._getModel_alt_(*args)
      else:
        raise ValueError('Invalid argument list getModel('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.getModel()')

    def make_integer(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_make_1integer_(*args): # 
        return self._make_1integer_(*args)
      elif mosek_fusion_BaseVariable._match_alt_make_1integer_(*args): # 
        return self._make_1integer_alt_(*args)
      else:
        raise ValueError('Invalid argument list make_integer('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.make_integer()')

    def slice(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_slice_II(*args): # int32,int32
        return self._slice_II(*args)
      elif mosek_fusion_BaseVariable._match_alt_slice_II(*args): # int32,int32
        return self._slice_alt_II(*args)
      elif mosek_fusion_BaseVariable._match_slice__3I_3I(*args): # []int32,[]int32
        return self._slice__3I_3I(*args)
      elif mosek_fusion_BaseVariable._match_alt_slice__3I_3I(*args): # []int32,[]int32
        return self._slice_alt__3I_3I(*args)
      else:
        raise ValueError('Invalid argument list slice('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.slice(int32,int32)\n\tmosek.fusion.BaseVariable.slice(array(int32,ndim=1),array(int32,ndim=1))')

    def makeContinuous(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_makeContinuous_(*args): # 
        return self._makeContinuous_(*args)
      elif mosek_fusion_BaseVariable._match_alt_makeContinuous_(*args): # 
        return self._makeContinuous_alt_(*args)
      else:
        raise ValueError('Invalid argument list makeContinuous('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.makeContinuous()')

    def index(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_index_I(*args): # int32
        return self._index_I(*args)
      elif mosek_fusion_BaseVariable._match_alt_index_I(*args): # int32
        return self._index_alt_I(*args)
      elif mosek_fusion_BaseVariable._match_index__3I(*args): # []int32
        return self._index__3I(*args)
      elif mosek_fusion_BaseVariable._match_alt_index__3I(*args): # []int32
        return self._index_alt__3I(*args)
      elif mosek_fusion_BaseVariable._match_index_II(*args): # int32,int32
        return self._index_II(*args)
      elif mosek_fusion_BaseVariable._match_alt_index_II(*args): # int32,int32
        return self._index_alt_II(*args)
      elif mosek_fusion_BaseVariable._match_index_III(*args): # int32,int32,int32
        return self._index_III(*args)
      elif mosek_fusion_BaseVariable._match_alt_index_III(*args): # int32,int32,int32
        return self._index_alt_III(*args)
      else:
        raise ValueError('Invalid argument list index('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.index(int32)\n\tmosek.fusion.BaseVariable.index(array(int32,ndim=1))\n\tmosek.fusion.BaseVariable.index(int32,int32)\n\tmosek.fusion.BaseVariable.index(int32,int32,int32)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_BaseVariable._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def dual(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_dual_(*args): # 
        return self._dual_(*args)
      elif mosek_fusion_BaseVariable._match_alt_dual_(*args): # 
        return self._dual_alt_(*args)
      else:
        raise ValueError('Invalid argument list dual('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.dual()')

    def make_continuous(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_make_1continuous_(*args): # 
        return self._make_1continuous_(*args)
      elif mosek_fusion_BaseVariable._match_alt_make_1continuous_(*args): # 
        return self._make_1continuous_alt_(*args)
      else:
        raise ValueError('Invalid argument list make_continuous('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.make_continuous()')

    def getDim(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_getDim_I(*args): # int32
        return self._getDim_I(*args)
      elif mosek_fusion_BaseVariable._match_alt_getDim_I(*args): # int32
        return self._getDim_alt_I(*args)
      else:
        raise ValueError('Invalid argument list getDim('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.getDim(int32)')

    def makeInteger(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_makeInteger_(*args): # 
        return self._makeInteger_(*args)
      elif mosek_fusion_BaseVariable._match_alt_makeInteger_(*args): # 
        return self._makeInteger_alt_(*args)
      else:
        raise ValueError('Invalid argument list makeInteger('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.makeInteger()')

    def getND(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_getND_(*args): # 
        return self._getND_(*args)
      elif mosek_fusion_BaseVariable._match_alt_getND_(*args): # 
        return self._getND_alt_(*args)
      else:
        raise ValueError('Invalid argument list getND('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.getND()')

    def getShape(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_getShape_(*args): # 
        return self._getShape_(*args)
      elif mosek_fusion_BaseVariable._match_alt_getShape_(*args): # 
        return self._getShape_alt_(*args)
      else:
        raise ValueError('Invalid argument list getShape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.getShape()')

    def level(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_level_(*args): # 
        return self._level_(*args)
      elif mosek_fusion_BaseVariable._match_alt_level_(*args): # 
        return self._level_alt_(*args)
      else:
        raise ValueError('Invalid argument list level('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.level()')

    def set_values(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_set_1values__3DZ(*args): # []double,bool
        return self._set_1values__3DZ(*args)
      elif mosek_fusion_BaseVariable._match_alt_set_1values__3DZ(*args): # []double,bool
        return self._set_1values_alt__3DZ(*args)
      else:
        raise ValueError('Invalid argument list set_values('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.set_values(array(double,ndim=1),bool)')

    def antidiag(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_antidiag_(*args): # 
        return self._antidiag_(*args)
      elif mosek_fusion_BaseVariable._match_alt_antidiag_(*args): # 
        return self._antidiag_alt_(*args)
      elif mosek_fusion_BaseVariable._match_antidiag_I(*args): # int32
        return self._antidiag_I(*args)
      elif mosek_fusion_BaseVariable._match_alt_antidiag_I(*args): # int32
        return self._antidiag_alt_I(*args)
      else:
        raise ValueError('Invalid argument list antidiag('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.antidiag()\n\tmosek.fusion.BaseVariable.antidiag(int32)')

    def reshape(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_reshape__3I(*args): # []int32
        return self._reshape__3I(*args)
      elif mosek_fusion_BaseVariable._match_alt_reshape__3I(*args): # []int32
        return self._reshape_alt__3I(*args)
      elif mosek_fusion_BaseVariable._match_reshape_I(*args): # int32
        return self._reshape_I(*args)
      elif mosek_fusion_BaseVariable._match_alt_reshape_I(*args): # int32
        return self._reshape_alt_I(*args)
      elif mosek_fusion_BaseVariable._match_reshape_II(*args): # int32,int32
        return self._reshape_II(*args)
      elif mosek_fusion_BaseVariable._match_alt_reshape_II(*args): # int32,int32
        return self._reshape_alt_II(*args)
      elif mosek_fusion_BaseVariable._match_reshape_III(*args): # int32,int32,int32
        return self._reshape_III(*args)
      elif mosek_fusion_BaseVariable._match_alt_reshape_III(*args): # int32,int32,int32
        return self._reshape_alt_III(*args)
      else:
        raise ValueError('Invalid argument list reshape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.reshape(array(int32,ndim=1))\n\tmosek.fusion.BaseVariable.reshape(int32)\n\tmosek.fusion.BaseVariable.reshape(int32,int32)\n\tmosek.fusion.BaseVariable.reshape(int32,int32,int32)')

    def values(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_values_I_3DZ(*args): # int32,[]double,bool
        return self._values_I_3DZ(*args)
      elif mosek_fusion_BaseVariable._match_alt_values_I_3DZ(*args): # int32,[]double,bool
        return self._values_alt_I_3DZ(*args)
      else:
        raise ValueError('Invalid argument list values('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.values(int32,array(double,ndim=1),bool)')

    def remove(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_remove_(*args): # 
        return self._remove_(*args)
      elif mosek_fusion_BaseVariable._match_alt_remove_(*args): # 
        return self._remove_alt_(*args)
      else:
        raise ValueError('Invalid argument list remove('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.remove()')

    def getSize(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_getSize_(*args): # 
        return self._getSize_(*args)
      elif mosek_fusion_BaseVariable._match_alt_getSize_(*args): # 
        return self._getSize_alt_(*args)
      else:
        raise ValueError('Invalid argument list getSize('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.getSize()')

    def inst(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_inst_I_3J(*args): # int32,[]int64
        return self._inst_I_3J(*args)
      elif mosek_fusion_BaseVariable._match_alt_inst_I_3J(*args): # int32,[]int64
        return self._inst_alt_I_3J(*args)
      elif mosek_fusion_BaseVariable._match_inst_I_3JI_3J(*args): # int32,[]int64,int32,[]int64
        return self._inst_I_3JI_3J(*args)
      elif mosek_fusion_BaseVariable._match_alt_inst_I_3JI_3J(*args): # int32,[]int64,int32,[]int64
        return self._inst_alt_I_3JI_3J(*args)
      else:
        raise ValueError('Invalid argument list inst('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.inst(int32,array(int64,ndim=1))\n\tmosek.fusion.BaseVariable.inst(int32,array(int64,ndim=1),int32,array(int64,ndim=1))')

    def tril(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_tril_(*args): # 
        return self._tril_(*args)
      elif mosek_fusion_BaseVariable._match_alt_tril_(*args): # 
        return self._tril_alt_(*args)
      elif mosek_fusion_BaseVariable._match_tril_II(*args): # int32,int32
        return self._tril_II(*args)
      elif mosek_fusion_BaseVariable._match_alt_tril_II(*args): # int32,int32
        return self._tril_alt_II(*args)
      else:
        raise ValueError('Invalid argument list tril('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.tril()\n\tmosek.fusion.BaseVariable.tril(int32,int32)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_BaseVariable._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.toString()')

    def pick(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_pick__3I(*args): # []int32
        return self._pick__3I(*args)
      elif mosek_fusion_BaseVariable._match_alt_pick__3I(*args): # []int32
        return self._pick_alt__3I(*args)
      elif mosek_fusion_BaseVariable._match_pick__3_5I(*args): # [,]int32
        return self._pick__3_5I(*args)
      elif mosek_fusion_BaseVariable._match_alt_pick__3_5I(*args): # [,]int32
        return self._pick_alt__3_5I(*args)
      elif mosek_fusion_BaseVariable._match_pick__3I_3I(*args): # []int32,[]int32
        return self._pick__3I_3I(*args)
      elif mosek_fusion_BaseVariable._match_alt_pick__3I_3I(*args): # []int32,[]int32
        return self._pick_alt__3I_3I(*args)
      elif mosek_fusion_BaseVariable._match_pick__3I_3I_3I(*args): # []int32,[]int32,[]int32
        return self._pick__3I_3I_3I(*args)
      elif mosek_fusion_BaseVariable._match_alt_pick__3I_3I_3I(*args): # []int32,[]int32,[]int32
        return self._pick_alt__3I_3I_3I(*args)
      else:
        raise ValueError('Invalid argument list pick('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.pick(array(int32,ndim=1))\n\tmosek.fusion.BaseVariable.pick(array(int32,ndim=2))\n\tmosek.fusion.BaseVariable.pick(array(int32,ndim=1),array(int32,ndim=1))\n\tmosek.fusion.BaseVariable.pick(array(int32,ndim=1),array(int32,ndim=1),array(int32,ndim=1))')

    def asExpr(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_asExpr_(*args): # 
        return self._asExpr_(*args)
      elif mosek_fusion_BaseVariable._match_alt_asExpr_(*args): # 
        return self._asExpr_alt_(*args)
      else:
        raise ValueError('Invalid argument list asExpr('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.asExpr()')

    def transpose(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_transpose_(*args): # 
        return self._transpose_(*args)
      elif mosek_fusion_BaseVariable._match_alt_transpose_(*args): # 
        return self._transpose_alt_(*args)
      else:
        raise ValueError('Invalid argument list transpose('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.transpose()')

    def fromTril(self,*args):
      if False: pass
      elif mosek_fusion_BaseVariable._match_fromTril_I(*args): # int32
        return self._fromTril_I(*args)
      elif mosek_fusion_BaseVariable._match_alt_fromTril_I(*args): # int32
        return self._fromTril_alt_I(*args)
      elif mosek_fusion_BaseVariable._match_fromTril_II(*args): # int32,int32
        return self._fromTril_II(*args)
      elif mosek_fusion_BaseVariable._match_alt_fromTril_II(*args): # int32,int32
        return self._fromTril_alt_II(*args)
      else:
        raise ValueError('Invalid argument list fromTril('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseVariable.fromTril(int32)\n\tmosek.fusion.BaseVariable.fromTril(int32,int32)')

    def __repr__(self): return 'mosek.fusion.BaseVariable'
    @staticmethod
    def _ctor_Lmosek_4fusion_4BaseVariable_2Lmosek_4fusion_4Model_2(v,m):
      o = BaseVariable.__new__(BaseVariable)
      o._ctor_init_Lmosek_4fusion_4BaseVariable_2Lmosek_4fusion_4Model_2(v,m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4BaseVariable_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      v,m, = args
      return (    __arg_match_Lmosek_4fusion_4BaseVariable_2__(v)
              and __arg_match_Lmosek_4fusion_4Model_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4BaseVariable_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      v,m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4BaseVariable_2__(v)
              and __arg_alt_match_Lmosek_4fusion_4Model_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/BaseVariable.monty:99:6-108:7
    def _ctor_alt_init_Lmosek_4fusion_4BaseVariable_2Lmosek_4fusion_4Model_2(self,v,m):
      self._ctor_init_Lmosek_4fusion_4BaseVariable_2Lmosek_4fusion_4Model_2(v,m)
    def _ctor_init_Lmosek_4fusion_4BaseVariable_2Lmosek_4fusion_4Model_2(self,v,m):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:103:6-108:7
      self.__model = m # bld/herlev/final/default/src/fusion/BaseVariable.monty:104:8-23
      self.__shape = (v.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:105:8-29
      self.__sparsity = (v.__sparsity) # bld/herlev/final/default/src/fusion/BaseVariable.monty:106:8-32
      self.__basevar_nativeidxs = (v.__basevar_nativeidxs) # bld/herlev/final/default/src/fusion/BaseVariable.monty:107:8-50
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:103:6-108:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(m,shape,sparsity,basevar_nativeidxs):
      o = BaseVariable.__new__(BaseVariable)
      o._ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3J(m,shape,sparsity,basevar_nativeidxs)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(*args):
      if len(args) != 4: return False
      m,shape,sparsity,basevar_nativeidxs, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(m)
              and __arg_match__3I__(shape)
              and __arg_match__3J__(sparsity)
              and __arg_match__3J__(basevar_nativeidxs))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(*args):
      if len(args) != 4: return False
      m,shape,sparsity,basevar_nativeidxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(m)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match__3J__(sparsity)
              and __arg_alt_match__3J__(basevar_nativeidxs))
    # Origin: bld/herlev/final/default/src/fusion/BaseVariable.monty:83:6-94:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2_3I_3J_3J(self,m,shape,sparsity,basevar_nativeidxs):
      self._ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3J(m,numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(sparsity,dtype=numpy.dtype(numpy.int64)),numpy.array(basevar_nativeidxs,dtype=numpy.dtype(numpy.int64)))
    def _ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3J(self,m,shape,sparsity,basevar_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:89:6-94:7
      self.__model = m # bld/herlev/final/default/src/fusion/BaseVariable.monty:90:8-20
      (self.__shape) = shape # bld/herlev/final/default/src/fusion/BaseVariable.monty:91:8-27
      (self.__sparsity) = sparsity # bld/herlev/final/default/src/fusion/BaseVariable.monty:92:8-33
      (self.__basevar_nativeidxs) = basevar_nativeidxs # bld/herlev/final/default/src/fusion/BaseVariable.monty:93:8-53
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:89:6-94:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:958:6-968:7
      _0_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/BaseVariable.monty:959:12-14
      _0_sb._a_S("Variable((") # bld/herlev/final/default/src/fusion/BaseVariable.monty:961:8-27
      if (int((self.__shape).shape[0]) > 0): # bld/herlev/final/default/src/fusion/BaseVariable.monty:962:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:962:28-965:9
        _0_sb._a_I(self.__shape[0]) # bld/herlev/final/default/src/fusion/BaseVariable.monty:963:10-25
        for _1_i in range(1,int((self.__shape).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:964:10-61
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:964:39-61
          _0_sb._a_S(",")._a_I(self.__shape[_1_i]) # bld/herlev/final/default/src/fusion/BaseVariable.monty:964:39-61
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:964:39-61
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:962:28-965:9
      _0_sb._a_S("))") # bld/herlev/final/default/src/fusion/BaseVariable.monty:966:8-19
      return (_0_sb._toString_()) # bld/herlev/final/default/src/fusion/BaseVariable.monty:967:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:958:6-968:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:926:67-954:7
      _3_nnz=int((self.__basevar_nativeidxs).shape[0]) # bld/herlev/final/default/src/fusion/BaseVariable.monty:927:12-15
      _4_nelem=_3_nnz # bld/herlev/final/default/src/fusion/BaseVariable.monty:928:12-17
      _5_nd=int((self.__shape).shape[0]) # bld/herlev/final/default/src/fusion/BaseVariable.monty:929:12-14
      _6_hassp=(self.__sparsity is not None) # bld/herlev/final/default/src/fusion/BaseVariable.monty:930:12-17
      _0_rs._alloc_1expr_IIIZ(_5_nd,_4_nelem,_3_nnz,_6_hassp) # bld/herlev/final/default/src/fusion/BaseVariable.monty:932:8-42
      _7_ptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/BaseVariable.monty:934:12-15
      _8_nidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/BaseVariable.monty:935:12-17
      _9_sp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/BaseVariable.monty:936:12-14
      _10_cof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/BaseVariable.monty:937:12-15
      _11_shape_base=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/BaseVariable.monty:938:12-22
      _12_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/BaseVariable.monty:940:12-16
      _13_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/BaseVariable.monty:941:12-16
      _14_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/BaseVariable.monty:942:12-16
      fragments._c_closure_139(_5_nd,_12_ri32,self.__shape,_11_shape_base) # bld/herlev/final/default/src/fusion/BaseVariable.monty:944:8-945:40
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:947:8-953:9
      fragments._c_closure_140(self.__basevar_nativeidxs,_10_cof,_6_hassp,_8_nidxs,_3_nnz,_7_ptr,_14_rf64,_12_ri32,_13_ri64,_9_sp,self.__sparsity) # bld/herlev/final/default/src/fusion/BaseVariable.monty:947:8-953:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:947:8-953:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:926:67-954:7
    @staticmethod
    def _match_remove_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_remove_(*args):
      if len(args) != 0: return False
      return True
    def _remove_alt_(self,):
      return self._remove_()
    def _remove_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:920:29-922:7
      raise mosek_fusion_DeletionError._ctor_S("Only original variables can be removed") # bld/herlev/final/default/src/fusion/BaseVariable.monty:921:8-74
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:920:29-922:7
    @staticmethod
    def _match_fromTril_II(*args):
      if len(args) != 2: return False
      _0_dim0,_1_d, = args
      return (    __arg_match_I__(_0_dim0)
              and __arg_match_I__(_1_d))
    @staticmethod
    def _match_alt_fromTril_II(*args):
      if len(args) != 2: return False
      _0_dim0,_1_d, = args
      return (    __arg_alt_match_I__(_0_dim0)
              and __arg_alt_match_I__(_1_d))
    def _fromTril_alt_II(self,_t__0_dim0,_t__1_d):
      return self._fromTril_II(numpy.int32(__0_dim0),numpy.int32(__1_d))
    def _fromTril_II(self,_0_dim0,_1_d):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:844:59-918:7
      if ((_0_dim0 < 0) or (_0_dim0 >= int((self.__shape).shape[0]))): # bld/herlev/final/default/src/fusion/BaseVariable.monty:845:16-46
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:845:48-94
        raise mosek_fusion_DimensionError._ctor_S("Invalid dimension") # bld/herlev/final/default/src/fusion/BaseVariable.monty:845:48-94
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:845:48-94
      elif (self.__shape[_0_dim0]!=((_1_d * (_1_d + 1)) // 2)): # bld/herlev/final/default/src/fusion/BaseVariable.monty:846:16-40
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:846:42-98
        raise mosek_fusion_DimensionError._ctor_S("Invalid shape for operation") # bld/herlev/final/default/src/fusion/BaseVariable.monty:846:42-98
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:846:42-98
      _2_d0=1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:848:12-14
      _2_d0 = fragments._c_closure_141(_2_d0,_0_dim0,self.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:848:20-57
      _2_d0 = numpy.int32(_2_d0) # postprocess
      _3_d1=self.__shape[_0_dim0] # bld/herlev/final/default/src/fusion/BaseVariable.monty:849:12-14
      _4_d2=1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:850:12-14
      _4_d2 = fragments._c_closure_142(_4_d2,_0_dim0,self.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:850:20-68
      _4_d2 = numpy.int32(_4_d2) # postprocess
      _5_rshape=numpy.zeros(((int((self.__shape).shape[0]) + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:852:12-18
      fragments._c_closure_143(_0_dim0,_5_rshape,self.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:853:8-51
      _5_rshape[_0_dim0] = _1_d # bld/herlev/final/default/src/fusion/BaseVariable.monty:854:8-25
      _5_rshape[(_0_dim0 + 1)] = _1_d # bld/herlev/final/default/src/fusion/BaseVariable.monty:855:8-27
      fragments._c_closure_144(_0_dim0,_5_rshape,self.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:856:8-64
      if (self.__sparsity is None): # bld/herlev/final/default/src/fusion/BaseVariable.monty:858:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:858:30-873:70
        _6_nidxs=numpy.zeros(((((_2_d0 * _1_d) * _1_d) * _4_d2),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:859:14-19
        _7_ofs=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:860:14-17
        _7_ofs = fragments._c_closure_145(self.__basevar_nativeidxs,_1_d,_2_d0,_3_d1,_4_d2,_6_nidxs,_7_ofs) # bld/herlev/final/default/src/fusion/BaseVariable.monty:861:10-870:17
        _7_ofs = numpy.int32(_7_ofs) # postprocess
        return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(self._getModel_(),_5_rshape,None,_6_nidxs)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:873:10-68
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:858:30-873:70
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:874:13-917:9
        _8_nelm=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:876:14-18
        for _9_i in range(0,int((self.__sparsity).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:877:10-885:11
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:877:41-885:11
          _10_i1=((self.__sparsity[_9_i] // _4_d2) % _3_d1) # bld/herlev/final/default/src/fusion/BaseVariable.monty:878:16-18
          _11_ii=numpy.int32((((- 1) + mosek.fusion.Utils.Tools._sqrt_D(((1 + (2 * _10_i1)) * (1 + (2 * _10_i1))))) / 4)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:880:16-18
          _12_jj=(self.__sparsity[_9_i] - ((_11_ii * (_11_ii + 1)) // 2)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:881:16-18
          if (_11_ii==_12_jj): # bld/herlev/final/default/src/fusion/BaseVariable.monty:883:16-24
            # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:883:26-36
            _8_nelm += 1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:883:26-36
            # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:883:26-36
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:884:26-36
            _8_nelm += 2 # bld/herlev/final/default/src/fusion/BaseVariable.monty:884:26-36
            # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:884:26-36
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:877:41-885:11
        _13_nidxs=numpy.zeros((_8_nelm,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:888:14-19
        _14_sp=numpy.zeros((_8_nelm,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:889:14-16
        _15_perm=numpy.zeros((_8_nelm,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:890:14-18
        fragments._c_closure_146(_8_nelm,_15_perm) # bld/herlev/final/default/src/fusion/BaseVariable.monty:890:38-72
        _16_elmi=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:892:14-18
        for _17_i in range(0,int((self.__sparsity).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:893:10-913:11
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:893:41-913:11
          _18_i0=(self.__sparsity[_17_i] // (_3_d1 * _4_d2)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:894:16-18
          _19_i1=((self.__sparsity[_17_i] // _4_d2) % _3_d1) # bld/herlev/final/default/src/fusion/BaseVariable.monty:895:16-18
          _20_i2=(self.__sparsity[_17_i] % _4_d2) # bld/herlev/final/default/src/fusion/BaseVariable.monty:896:16-18
          _21_ii1=numpy.int32((((- 1) + mosek.fusion.Utils.Tools._sqrt_D(((1 + (2 * _19_i1)) * (1 + (2 * _19_i1))))) / 4)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:898:16-19
          _22_jj1=(self.__sparsity[_17_i] - ((_21_ii1 * (_21_ii1 + 1)) // 2)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:899:16-19
          if (_21_ii1==_22_jj1): # bld/herlev/final/default/src/fusion/BaseVariable.monty:901:16-26
            # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:901:28-905:13
            _13_nidxs[_16_elmi] = self.__basevar_nativeidxs[_17_i] # bld/herlev/final/default/src/fusion/BaseVariable.monty:902:14-50
            _14_sp[_16_elmi] = (((((_18_i0 * _1_d) * _1_d) * _4_d2) + (((_21_ii1 * _1_d) + _22_jj1) * _4_d2)) + _20_i2) # bld/herlev/final/default/src/fusion/BaseVariable.monty:903:14-57
            _16_elmi += 1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:904:14-24
            # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:901:28-905:13
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:906:17-912:13
            _13_nidxs[_16_elmi] = self.__basevar_nativeidxs[_17_i] # bld/herlev/final/default/src/fusion/BaseVariable.monty:907:14-52
            _13_nidxs[(_16_elmi + 1)] = self.__basevar_nativeidxs[_17_i] # bld/herlev/final/default/src/fusion/BaseVariable.monty:908:14-52
            _14_sp[_16_elmi] = (((((_18_i0 * _1_d) * _1_d) * _4_d2) + (((_21_ii1 * _1_d) + _22_jj1) * _4_d2)) + _20_i2) # bld/herlev/final/default/src/fusion/BaseVariable.monty:909:14-59
            _14_sp[(_16_elmi + 1)] = (((((_18_i0 * _1_d) * _1_d) * _4_d2) + (((_22_jj1 * _1_d) + _21_ii1) * _4_d2)) + _20_i2) # bld/herlev/final/default/src/fusion/BaseVariable.monty:910:14-59
            _16_elmi += 2 # bld/herlev/final/default/src/fusion/BaseVariable.monty:911:14-24
            # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:906:17-912:13
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:893:41-913:11
        mosek.fusion.CommonTools._argQsort__3J_3J_3JJJ(_15_perm,_13_nidxs,None,0,_8_nelm) # bld/herlev/final/default/src/fusion/BaseVariable.monty:914:10-55
        return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(self._getModel_(),_5_rshape,numpy.array([_14_sp[_15_perm[_23_i]] for _23_i in range(0,_8_nelm)], dtype=numpy.dtype(numpy.int64)),numpy.array([_13_nidxs[_15_perm[_24_i]] for _24_i in range(0,_8_nelm)], dtype=numpy.dtype(numpy.int64)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:916:10-130
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:874:13-917:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:844:59-918:7
    @staticmethod
    def _match_fromTril_I(*args):
      if len(args) != 1: return False
      _0_d, = args
      return (    __arg_match_I__(_0_d))
    @staticmethod
    def _match_alt_fromTril_I(*args):
      if len(args) != 1: return False
      _0_d, = args
      return (    __arg_alt_match_I__(_0_d))
    def _fromTril_alt_I(self,_t__0_d):
      return self._fromTril_I(numpy.int32(__0_d))
    def _fromTril_I(self,_0_d):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:827:47-842:7
      return (self._fromTril_II(0,_0_d)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:828:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:827:47-842:7
    @staticmethod
    def _match_tril_II(*args):
      if len(args) != 2: return False
      _0_dim1,_1_dim2, = args
      return (    __arg_match_I__(_0_dim1)
              and __arg_match_I__(_1_dim2))
    @staticmethod
    def _match_alt_tril_II(*args):
      if len(args) != 2: return False
      _0_dim1,_1_dim2, = args
      return (    __arg_alt_match_I__(_0_dim1)
              and __arg_alt_match_I__(_1_dim2))
    def _tril_alt_II(self,_t__0_dim1,_t__1_dim2):
      return self._tril_II(numpy.int32(__0_dim1),numpy.int32(__1_dim2))
    def _tril_II(self,_0_dim1,_1_dim2):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:738:58-825:7
      if ((_0_dim1 < 0) or ((_0_dim1 >= _1_dim2) or (_1_dim2 >= int((self.__shape).shape[0])))): # bld/herlev/final/default/src/fusion/BaseVariable.monty:739:17-63
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:739:65-125
        raise mosek_fusion_DimensionError._ctor_S("Invalid dimension specification") # bld/herlev/final/default/src/fusion/BaseVariable.monty:739:65-125
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:739:65-125
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:740:13-115
        if (self.__shape[_0_dim1]!=self.__shape[_1_dim2]): # bld/herlev/final/default/src/fusion/BaseVariable.monty:740:17-43
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:740:45-115
          raise mosek_fusion_DimensionError._ctor_S("Operation only valid for square variables") # bld/herlev/final/default/src/fusion/BaseVariable.monty:740:45-115
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:740:45-115
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:740:13-115
      _2_rshape=numpy.zeros(((int((self.__shape).shape[0]) - 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:742:12-18
      fragments._c_closure_147(_0_dim1,_2_rshape,self.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:743:8-51
      _2_rshape[_0_dim1] = ((self.__shape[_0_dim1] * (self.__shape[_0_dim1] + 1)) // 2) # bld/herlev/final/default/src/fusion/BaseVariable.monty:744:8-53
      fragments._c_closure_148(_0_dim1,_1_dim2,_2_rshape,self.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:745:8-56
      fragments._c_closure_149(_1_dim2,_2_rshape,self.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:746:8-64
      if (self.__sparsity is None): # bld/herlev/final/default/src/fusion/BaseVariable.monty:748:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:748:30-767:9
        _3_d0=1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:749:14-16
        _3_d0 = fragments._c_closure_150(_3_d0,_0_dim1,self.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:749:22-59
        _3_d0 = numpy.int32(_3_d0) # postprocess
        _4_d1=self.__shape[_0_dim1] # bld/herlev/final/default/src/fusion/BaseVariable.monty:750:14-16
        _5_d2=1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:751:14-16
        _5_d2 = fragments._c_closure_151(_5_d2,_0_dim1,_1_dim2,self.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:751:22-64
        _5_d2 = numpy.int32(_5_d2) # postprocess
        _6_d3=self.__shape[_1_dim2] # bld/herlev/final/default/src/fusion/BaseVariable.monty:752:14-16
        _7_d4=1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:753:14-16
        _7_d4 = fragments._c_closure_152(_7_d4,_1_dim2,self.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:753:22-70
        _7_d4 = numpy.int32(_7_d4) # postprocess
        _8_nidxs=numpy.zeros(((((((_3_d0 * _5_d2) * _7_d4) * _4_d1) * (_4_d1 + 1)) // 2),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:755:14-19
        _9_i=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:756:14-15
        _9_i = fragments._c_closure_153(self.__basevar_nativeidxs,_3_d0,_4_d1,_5_d2,_6_d3,_7_d4,_9_i,_8_nidxs) # bld/herlev/final/default/src/fusion/BaseVariable.monty:757:10-764:19
        _9_i = numpy.int32(_9_i) # postprocess
        return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(self._getModel_(),_2_rshape,None,_8_nidxs)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:766:10-68
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:748:30-767:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:768:13-824:9
        _10_d0=1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:769:14-16
        _10_d0 = fragments._c_closure_154(_10_d0,_0_dim1,self.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:769:22-59
        _10_d0 = numpy.int32(_10_d0) # postprocess
        _11_d1=self.__shape[_0_dim1] # bld/herlev/final/default/src/fusion/BaseVariable.monty:770:14-16
        _12_d2=1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:771:14-16
        _12_d2 = fragments._c_closure_155(_12_d2,_0_dim1,_1_dim2,self.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:771:22-64
        _12_d2 = numpy.int32(_12_d2) # postprocess
        _13_d3=self.__shape[_1_dim2] # bld/herlev/final/default/src/fusion/BaseVariable.monty:772:14-16
        _14_d4=1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:773:14-16
        _14_d4 = fragments._c_closure_156(_14_d4,_1_dim2,self.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:773:22-70
        _14_d4 = numpy.int32(_14_d4) # postprocess
        _15_s4=1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:775:14-16
        _16_s3=_14_d4 # bld/herlev/final/default/src/fusion/BaseVariable.monty:776:14-16
        _17_s2=(_16_s3 * _13_d3) # bld/herlev/final/default/src/fusion/BaseVariable.monty:777:14-16
        _18_s1=(_17_s2 * _12_d2) # bld/herlev/final/default/src/fusion/BaseVariable.monty:778:14-16
        _19_s0=(_18_s1 * _11_d1) # bld/herlev/final/default/src/fusion/BaseVariable.monty:779:14-16
        _20_nelm=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:782:14-18
        _20_nelm = fragments._c_closure_157(_11_d1,_13_d3,_20_nelm,_18_s1,_16_s3,self.__sparsity) # bld/herlev/final/default/src/fusion/BaseVariable.monty:783:10-784:63
        _20_nelm = numpy.int32(_20_nelm) # postprocess
        _21_rs3=1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:787:14-17
        _22_rs2=_14_d4 # bld/herlev/final/default/src/fusion/BaseVariable.monty:788:14-17
        _23_rs1=(_22_rs2 * _12_d2) # bld/herlev/final/default/src/fusion/BaseVariable.monty:789:14-17
        _24_rs0=(((_23_rs1 * _11_d1) * (_11_d1 + 1)) // 2) # bld/herlev/final/default/src/fusion/BaseVariable.monty:790:14-17
        _25_perm=numpy.zeros((_20_nelm,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:792:14-18
        _26_rnidxs=numpy.zeros((_20_nelm,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:793:14-20
        _27_rsp=numpy.zeros((_20_nelm,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:794:14-17
        _28_elmi=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:795:14-18
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:796:10-814:11
        _28_elmi = fragments._c_closure_158(self.__basevar_nativeidxs,_11_d1,_12_d2,_13_d3,_14_d4,_28_elmi,_20_nelm,_25_perm,_26_rnidxs,_24_rs0,_23_rs1,_22_rs2,_21_rs3,_27_rsp,_19_s0,_18_s1,_17_s2,_16_s3,_15_s4,self.__sparsity) # bld/herlev/final/default/src/fusion/BaseVariable.monty:796:10-814:11
        _28_elmi = numpy.int32(_28_elmi) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:796:10-814:11
        mosek.fusion.CommonTools._argQsort__3J_3J_3JJJ(_25_perm,_26_rnidxs,None,0,_20_nelm) # bld/herlev/final/default/src/fusion/BaseVariable.monty:816:10-56
        _29_nidxs=numpy.zeros((_20_nelm,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:817:14-19
        _30_sp=numpy.zeros((_20_nelm,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:818:14-16
        fragments._c_closure_159(_20_nelm,_29_nidxs,_25_perm,_26_rnidxs) # bld/herlev/final/default/src/fusion/BaseVariable.monty:820:10-63
        fragments._c_closure_160(_20_nelm,_25_perm,_27_rsp,_30_sp) # bld/herlev/final/default/src/fusion/BaseVariable.monty:821:10-60
        return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(self._getModel_(),_2_rshape,_30_sp,_29_nidxs)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:823:10-63
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:768:13-824:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:738:58-825:7
    @staticmethod
    def _match_tril_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_tril_(*args):
      if len(args) != 0: return False
      return True
    def _tril_alt_(self,):
      return self._tril_()
    def _tril_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:736:36-57
      return (self._tril_II(0,1)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:736:38-55
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:736:36-57
    @staticmethod
    def _match_reshape_III(*args):
      if len(args) != 3: return False
      _0_dim0,_1_dim1,_2_dim2, = args
      return (    __arg_match_I__(_0_dim0)
              and __arg_match_I__(_1_dim1)
              and __arg_match_I__(_2_dim2))
    @staticmethod
    def _match_alt_reshape_III(*args):
      if len(args) != 3: return False
      _0_dim0,_1_dim1,_2_dim2, = args
      return (    __arg_alt_match_I__(_0_dim0)
              and __arg_alt_match_I__(_1_dim1)
              and __arg_alt_match_I__(_2_dim2))
    def _reshape_alt_III(self,_t__0_dim0,_t__1_dim1,_t__2_dim2):
      return self._reshape_III(numpy.int32(__0_dim0),numpy.int32(__1_dim1),numpy.int32(__2_dim2))
    def _reshape_III(self,_0_dim0,_1_dim1,_2_dim2):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:734:72-114
      return (self._reshape__3I(numpy.array([_0_dim0,_1_dim1,_2_dim2], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:734:74-112
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:734:72-114
    @staticmethod
    def _match_reshape_II(*args):
      if len(args) != 2: return False
      _0_dim0,_1_dim1, = args
      return (    __arg_match_I__(_0_dim0)
              and __arg_match_I__(_1_dim1))
    @staticmethod
    def _match_alt_reshape_II(*args):
      if len(args) != 2: return False
      _0_dim0,_1_dim1, = args
      return (    __arg_alt_match_I__(_0_dim0)
              and __arg_alt_match_I__(_1_dim1))
    def _reshape_alt_II(self,_t__0_dim0,_t__1_dim1):
      return self._reshape_II(numpy.int32(__0_dim0),numpy.int32(__1_dim1))
    def _reshape_II(self,_0_dim0,_1_dim1):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:733:61-98
      return (self._reshape__3I(numpy.array([_0_dim0,_1_dim1], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:733:63-96
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:733:61-98
    @staticmethod
    def _match_reshape_I(*args):
      if len(args) != 1: return False
      _0_dim0, = args
      return (    __arg_match_I__(_0_dim0))
    @staticmethod
    def _match_alt_reshape_I(*args):
      if len(args) != 1: return False
      _0_dim0, = args
      return (    __arg_alt_match_I__(_0_dim0))
    def _reshape_alt_I(self,_t__0_dim0):
      return self._reshape_I(numpy.int32(__0_dim0))
    def _reshape_I(self,_0_dim0):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:732:50-82
      return (self._reshape__3I(numpy.array([_0_dim0], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:732:52-80
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:732:50-82
    @staticmethod
    def _match_reshape__3I(*args):
      if len(args) != 1: return False
      _0_shape, = args
      return (    __arg_match__3I__(_0_shape))
    @staticmethod
    def _match_alt_reshape__3I(*args):
      if len(args) != 1: return False
      _0_shape, = args
      return (    __arg_alt_match__3I__(_0_shape))
    def _reshape_alt__3I(self,_t__0_shape):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1 = self._reshape__3I(_0_shape)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _reshape__3I(self,_0_shape):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:719:52-730:7
      _1_shapesize=1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:720:12-27
      for _2_i in range(0,int((_0_shape).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:721:8-725:9
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:721:36-725:9
        if (_0_shape[_2_i] < 0): # bld/herlev/final/default/src/fusion/BaseVariable.monty:722:14-26
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:723:12-54
          raise mosek_fusion_DimensionError._ctor_S("Invalid shape") # bld/herlev/final/default/src/fusion/BaseVariable.monty:723:12-54
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:723:12-54
        _1_shapesize *= _0_shape[_2_i] # bld/herlev/final/default/src/fusion/BaseVariable.monty:724:10-32
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:721:36-725:9
      if (_1_shapesize!=self._getSize_()): # bld/herlev/final/default/src/fusion/BaseVariable.monty:726:12-34
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:727:10-75
        raise mosek_fusion_LengthError._ctor_S("Shape size does not match variable size") # bld/herlev/final/default/src/fusion/BaseVariable.monty:727:10-75
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:727:10-75
      return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(self._getModel_(),numpy.array([_0_shape[_3_i] for _3_i in range(0,int((_0_shape).shape[0]))], dtype=numpy.dtype(numpy.int32)),self.__sparsity,self.__basevar_nativeidxs)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:729:8-114
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:719:52-730:7
    @staticmethod
    def _match_setLevel__3D(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_match__3D__(_0_v))
    @staticmethod
    def _match_alt_setLevel__3D(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_alt_match__3D__(_0_v))
    def _setLevel_alt__3D(self,_t__0_v):
      _0_v=numpy.array(_t__0_v,dtype=numpy.dtype(numpy.float64))
      _1 = self._setLevel__3D(_0_v)
      try:
        _t__0_v[:] = _0_v
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _setLevel__3D(self,_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:706:6-717:7
      if (self.__sparsity is None): # bld/herlev/final/default/src/fusion/BaseVariable.monty:707:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:707:30-710:9
        if (int((_0_v).shape[0])!=int((self.__basevar_nativeidxs).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:708:14-47
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:708:49-115
          raise mosek_fusion_LengthError._ctor_S("Invalid length of solution values vector") # bld/herlev/final/default/src/fusion/BaseVariable.monty:708:49-115
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:708:49-115
        self.__model._setVariableValues_Z_3J_3D(True,self.__basevar_nativeidxs,_0_v) # bld/herlev/final/default/src/fusion/BaseVariable.monty:709:10-61
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:707:30-710:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:711:13-716:9
        if (int((_0_v).shape[0])!=self._getSize_()): # bld/herlev/final/default/src/fusion/BaseVariable.monty:712:14-33
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:712:35-101
          raise mosek_fusion_LengthError._ctor_S("Invalid length of solution values vector") # bld/herlev/final/default/src/fusion/BaseVariable.monty:712:35-101
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:712:35-101
        _1_v=numpy.array([_0_v[self.__sparsity[_2_i]] for _2_i in range(0,int((self.__basevar_nativeidxs).shape[0]))], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:714:14-15
        self.__model._setVariableValues_Z_3J_3D(True,self.__basevar_nativeidxs,_1_v) # bld/herlev/final/default/src/fusion/BaseVariable.monty:715:10-61
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:711:13-716:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:706:6-717:7
    @staticmethod
    def _match_getModel_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getModel_(*args):
      if len(args) != 0: return False
      return True
    def _getModel_alt_(self,):
      return self._getModel_()
    def _getModel_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:703:38-55
      return (self.__model) # bld/herlev/final/default/src/fusion/BaseVariable.monty:703:40-53
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:703:38-55
    @staticmethod
    def _match_getND_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getND_(*args):
      if len(args) != 0: return False
      return True
    def _getND_alt_(self,):
      return self._getND_()
    def _getND_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:702:34-56
      return numpy.int32(int((self.__shape).shape[0])) # bld/herlev/final/default/src/fusion/BaseVariable.monty:702:36-54
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:702:34-56
    @staticmethod
    def _match_getDim_I(*args):
      if len(args) != 1: return False
      _0_d, = args
      return (    __arg_match_I__(_0_d))
    @staticmethod
    def _match_alt_getDim_I(*args):
      if len(args) != 1: return False
      _0_d, = args
      return (    __arg_alt_match_I__(_0_d))
    def _getDim_alt_I(self,_t__0_d):
      return self._getDim_I(numpy.int32(__0_d))
    def _getDim_I(self,_0_d):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:701:42-62
      return numpy.int32(self.__shape[_0_d]) # bld/herlev/final/default/src/fusion/BaseVariable.monty:701:44-60
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:701:42-62
    @staticmethod
    def _match_getShape_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getShape_(*args):
      if len(args) != 0: return False
      return True
    def _getShape_alt_(self,):
      return self._getShape_()
    def _getShape_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:700:39-79
      return (mosek.fusion.Utils.Tools._arraycopy__3I(self.__shape)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:700:41-77
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:700:39-79
    @staticmethod
    def _match_getSize_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getSize_(*args):
      if len(args) != 0: return False
      return True
    def _getSize_alt_(self,):
      return self._getSize_()
    def _getSize_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:699:36-107
      _0_sz=1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:699:42-44
      _0_sz = fragments._c_closure_161(self.__shape,_0_sz) # bld/herlev/final/default/src/fusion/BaseVariable.monty:699:51-94
      _0_sz = numpy.int64(_0_sz) # postprocess
      return numpy.int64(_0_sz) # bld/herlev/final/default/src/fusion/BaseVariable.monty:699:95-105
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:699:36-107
    @staticmethod
    def _match_dual_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_dual_(*args):
      if len(args) != 0: return False
      return True
    def _dual_alt_(self,):
      return self._dual_()
    def _dual_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:687:6-696:7
      _0_res=numpy.zeros((int((self.__basevar_nativeidxs).shape[0]),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:688:12-15
      self.__model._getVariableValues_Z_3J_3DI(False,self.__basevar_nativeidxs,_0_res,0) # bld/herlev/final/default/src/fusion/BaseVariable.monty:689:8-67
      if (self.__sparsity is not None): # bld/herlev/final/default/src/fusion/BaseVariable.monty:690:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:690:30-694:9
        _1_spread_res=numpy.zeros((self._getSize_(),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:691:14-24
        fragments._c_closure_162(self.__basevar_nativeidxs,_0_res,self.__sparsity,_1_spread_res) # bld/herlev/final/default/src/fusion/BaseVariable.monty:692:10-84
        _0_res = _1_spread_res # bld/herlev/final/default/src/fusion/BaseVariable.monty:693:10-27
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:690:30-694:9
      return (_0_res) # bld/herlev/final/default/src/fusion/BaseVariable.monty:695:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:687:6-696:7
    @staticmethod
    def _match_level_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_level_(*args):
      if len(args) != 0: return False
      return True
    def _level_alt_(self,):
      return self._level_()
    def _level_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:675:6-684:7
      _0_res=numpy.zeros((int((self.__basevar_nativeidxs).shape[0]),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:676:12-15
      self.__model._getVariableValues_Z_3J_3DI(True,self.__basevar_nativeidxs,_0_res,0) # bld/herlev/final/default/src/fusion/BaseVariable.monty:677:8-66
      if (self.__sparsity is not None): # bld/herlev/final/default/src/fusion/BaseVariable.monty:678:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:678:30-682:9
        _1_spread_res=numpy.zeros((self._getSize_(),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:679:14-24
        fragments._c_closure_163(self.__basevar_nativeidxs,_0_res,self.__sparsity,_1_spread_res) # bld/herlev/final/default/src/fusion/BaseVariable.monty:680:10-84
        _0_res = _1_spread_res # bld/herlev/final/default/src/fusion/BaseVariable.monty:681:10-27
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:678:30-682:9
      return (_0_res) # bld/herlev/final/default/src/fusion/BaseVariable.monty:683:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:675:6-684:7
    @staticmethod
    def _match_makeContinuous_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_makeContinuous_(*args):
      if len(args) != 0: return False
      return True
    def _makeContinuous_alt_(self,):
      return self._makeContinuous_()
    def _makeContinuous_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:670:37-59
      self._make_1continuous_() # bld/herlev/final/default/src/fusion/BaseVariable.monty:670:39-57
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:670:37-59
    @staticmethod
    def _match_makeInteger_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_makeInteger_(*args):
      if len(args) != 0: return False
      return True
    def _makeInteger_alt_(self,):
      return self._makeInteger_()
    def _makeInteger_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:669:34-53
      self._make_1integer_() # bld/herlev/final/default/src/fusion/BaseVariable.monty:669:36-51
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:669:34-53
    @staticmethod
    def _match_transpose_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_transpose_(*args):
      if len(args) != 0: return False
      return True
    def _transpose_alt_(self,):
      return self._transpose_()
    def _transpose_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:631:6-665:7
      if (int((self.__shape).shape[0])==1): # bld/herlev/final/default/src/fusion/BaseVariable.monty:632:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:632:29-634:9
        return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(self._getModel_(),numpy.array([1,self.__shape[0]], dtype=numpy.dtype(numpy.int32)),self.__sparsity,self.__basevar_nativeidxs)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:633:10-94
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:632:29-634:9
      elif (int((self.__shape).shape[0]) > 2): # bld/herlev/final/default/src/fusion/BaseVariable.monty:635:16-30
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:636:10-66
        raise mosek_fusion_DimensionError._ctor_S("Invalid shape for operation") # bld/herlev/final/default/src/fusion/BaseVariable.monty:636:10-66
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:636:10-66
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:637:13-663:9
        _0_idxs=numpy.zeros((int((self.__basevar_nativeidxs).shape[0]),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:638:14-18
        _1_sp=(None if ((self.__sparsity is None) ) else numpy.zeros((int((self.__basevar_nativeidxs).shape[0]),), dtype=numpy.dtype(numpy.int64))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:639:14-16
        fragments._c_closure_164(self.__basevar_nativeidxs,_0_idxs,self.__shape,_1_sp,self.__sparsity) # bld/herlev/final/default/src/fusion/BaseVariable.monty:640:10-661:11
        return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(self._getModel_(),numpy.array([self.__shape[1],self.__shape[0]], dtype=numpy.dtype(numpy.int32)),_1_sp,_0_idxs)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:662:10-82
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:637:13-663:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:631:6-665:7
    @staticmethod
    def _match_index_III(*args):
      if len(args) != 3: return False
      _0_i0,_1_i1,_2_i2, = args
      return (    __arg_match_I__(_0_i0)
              and __arg_match_I__(_1_i1)
              and __arg_match_I__(_2_i2))
    @staticmethod
    def _match_alt_index_III(*args):
      if len(args) != 3: return False
      _0_i0,_1_i1,_2_i2, = args
      return (    __arg_alt_match_I__(_0_i0)
              and __arg_alt_match_I__(_1_i1)
              and __arg_alt_match_I__(_2_i2))
    def _index_alt_III(self,_t__0_i0,_t__1_i1,_t__2_i2):
      return self._index_III(numpy.int32(__0_i0),numpy.int32(__1_i1),numpy.int32(__2_i2))
    def _index_III(self,_0_i0,_1_i1,_2_i2):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:622:6-40
      return (self._index__3I(numpy.array([_0_i0,_1_i1,_2_i2], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:622:8-38
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:622:6-40
    @staticmethod
    def _match_index_II(*args):
      if len(args) != 2: return False
      _0_i0,_1_i1, = args
      return (    __arg_match_I__(_0_i0)
              and __arg_match_I__(_1_i1))
    @staticmethod
    def _match_alt_index_II(*args):
      if len(args) != 2: return False
      _0_i0,_1_i1, = args
      return (    __arg_alt_match_I__(_0_i0)
              and __arg_alt_match_I__(_1_i1))
    def _index_alt_II(self,_t__0_i0,_t__1_i1):
      return self._index_II(numpy.int32(__0_i0),numpy.int32(__1_i1))
    def _index_II(self,_0_i0,_1_i1):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:616:6-37
      return (self._index__3I(numpy.array([_0_i0,_1_i1], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:616:8-35
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:616:6-37
    @staticmethod
    def _match_index__3I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_match__3I__(_0_index))
    @staticmethod
    def _match_alt_index__3I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_alt_match__3I__(_0_index))
    def _index_alt__3I(self,_t__0_index):
      _0_index=numpy.array(_t__0_index,dtype=numpy.dtype(numpy.int32))
      _1 = self._index__3I(_0_index)
      try:
        _t__0_index[:] = _0_index
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _index__3I(self,_0_index):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:607:6-611:7
      _1_midx=numpy.zeros((1,int((_0_index).shape[0]),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:608:12-16
      fragments._c_closure_165(_0_index,_1_midx) # bld/herlev/final/default/src/fusion/BaseVariable.monty:609:8-57
      return (self._pick__3_5I(_1_midx)._reshape__3I(numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:610:8-47
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:607:6-611:7
    @staticmethod
    def _match_index_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_match_I__(_0_index))
    @staticmethod
    def _match_alt_index_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_alt_match_I__(_0_index))
    def _index_alt_I(self,_t__0_index):
      return self._index_I(numpy.int32(__0_index))
    def _index_I(self,_0_index):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:601:6-603:7
      return (self._pick__3I(numpy.array([_0_index], dtype=numpy.dtype(numpy.int32)))._reshape__3I(numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:602:8-55
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:601:6-603:7
    @staticmethod
    def _match_pick__3I_3I_3I(*args):
      if len(args) != 3: return False
      _0_i0,_1_i1,_2_i2, = args
      return (    __arg_match__3I__(_0_i0)
              and __arg_match__3I__(_1_i1)
              and __arg_match__3I__(_2_i2))
    @staticmethod
    def _match_alt_pick__3I_3I_3I(*args):
      if len(args) != 3: return False
      _0_i0,_1_i1,_2_i2, = args
      return (    __arg_alt_match__3I__(_0_i0)
              and __arg_alt_match__3I__(_1_i1)
              and __arg_alt_match__3I__(_2_i2))
    def _pick_alt__3I_3I_3I(self,_t__0_i0,_t__1_i1,_t__2_i2):
      _0_i0=numpy.array(_t__0_i0,dtype=numpy.dtype(numpy.int32))
      _1_i1=numpy.array(_t__1_i1,dtype=numpy.dtype(numpy.int32))
      _2_i2=numpy.array(_t__2_i2,dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3I_3I_3I(_0_i0,_1_i1,_2_i2)
      try:
        _t__0_i0[:] = _0_i0
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_i1[:] = _1_i1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_i2[:] = _2_i2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _pick__3I_3I_3I(self,_0_i0,_1_i1,_2_i2):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:583:6-597:7
      if (int((self.__shape).shape[0])!=3): # bld/herlev/final/default/src/fusion/BaseVariable.monty:584:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:585:10-48
        raise mosek_fusion_IndexError._ctor_S("Invalid index") # bld/herlev/final/default/src/fusion/BaseVariable.monty:585:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:585:10-48
      if ((int((_0_i0).shape[0])!=int((_1_i1).shape[0])) or (int((_0_i0).shape[0])!=int((_2_i2).shape[0]))): # bld/herlev/final/default/src/fusion/BaseVariable.monty:586:12-52
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:587:10-64
        raise mosek_fusion_LengthError._ctor_S("Mismatching argument lengths") # bld/herlev/final/default/src/fusion/BaseVariable.monty:587:10-64
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:587:10-64
      _3_midxs=numpy.zeros((int((_0_i0).shape[0]),3,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:589:12-17
      fragments._c_closure_166(_0_i0,_1_i1,_2_i2,_3_midxs) # bld/herlev/final/default/src/fusion/BaseVariable.monty:590:8-594:9
      return (self._pick__3_5I(_3_midxs)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:596:8-27
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:583:6-597:7
    @staticmethod
    def _match_pick__3I_3I(*args):
      if len(args) != 2: return False
      _0_i0,_1_i1, = args
      return (    __arg_match__3I__(_0_i0)
              and __arg_match__3I__(_1_i1))
    @staticmethod
    def _match_alt_pick__3I_3I(*args):
      if len(args) != 2: return False
      _0_i0,_1_i1, = args
      return (    __arg_alt_match__3I__(_0_i0)
              and __arg_alt_match__3I__(_1_i1))
    def _pick_alt__3I_3I(self,_t__0_i0,_t__1_i1):
      _0_i0=numpy.array(_t__0_i0,dtype=numpy.dtype(numpy.int32))
      _1_i1=numpy.array(_t__1_i1,dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3I_3I(_0_i0,_1_i1)
      try:
        _t__0_i0[:] = _0_i0
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_i1[:] = _1_i1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _pick__3I_3I(self,_0_i0,_1_i1):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:566:6-577:7
      if ((int((self.__shape).shape[0])!=2) or (int((_0_i0).shape[0])!=int((_1_i1).shape[0]))): # bld/herlev/final/default/src/fusion/BaseVariable.monty:567:12-49
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:568:10-48
        raise mosek_fusion_IndexError._ctor_S("Invalid index") # bld/herlev/final/default/src/fusion/BaseVariable.monty:568:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:568:10-48
      _2_midxs=numpy.zeros((int((_0_i0).shape[0]),2,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:570:12-17
      fragments._c_closure_167(_0_i0,_1_i1,_2_midxs) # bld/herlev/final/default/src/fusion/BaseVariable.monty:571:8-574:9
      return (self._pick__3_5I(_2_midxs)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:576:8-27
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:566:6-577:7
    @staticmethod
    def _match_pick__3_5I(*args):
      if len(args) != 1: return False
      _0_midxs, = args
      return (    __arg_match__3_5I__(_0_midxs))
    @staticmethod
    def _match_alt_pick__3_5I(*args):
      if len(args) != 1: return False
      _0_midxs, = args
      return (    __arg_alt_match__3_5I__(_0_midxs))
    def _pick_alt__3_5I(self,_t__0_midxs):
      _0_midxs=numpy.array(_t__0_midxs,ndmin=_monty.checkShape(_t__0_midxs,2),dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3_5I(_0_midxs)
      return _1
    def _pick__3_5I(self,_0_midxs):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:503:6-561:7
      if (int((self.__shape).shape[0])!=int((_0_midxs).shape[1])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:504:12-38
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:505:10-48
        raise mosek_fusion_IndexError._ctor_S("Invalid index") # bld/herlev/final/default/src/fusion/BaseVariable.monty:505:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:505:10-48
      _1_invalidindex=False # bld/herlev/final/default/src/fusion/BaseVariable.monty:507:12-24
      _1_invalidindex = fragments._c_closure_168(_1_invalidindex,_0_midxs,self.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:508:8-511:34
      if _1_invalidindex: # bld/herlev/final/default/src/fusion/BaseVariable.monty:512:12-24
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:513:10-48
        raise mosek_fusion_IndexError._ctor_S("Invalid index") # bld/herlev/final/default/src/fusion/BaseVariable.monty:513:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:513:10-48
      _2_nd=int((self.__shape).shape[0]) # bld/herlev/final/default/src/fusion/BaseVariable.monty:515:12-14
      _3_strides=numpy.zeros((_2_nd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:516:12-19
      _3_strides[(_2_nd - 1)] = 1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:517:8-26
      fragments._c_closure_169(_2_nd,self.__shape,_3_strides) # bld/herlev/final/default/src/fusion/BaseVariable.monty:518:8-74
      _4_rshape=numpy.array([int((_0_midxs).shape[0])], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:520:12-18
      # var _5_idxs @ bld/herlev/final/default/src/fusion/BaseVariable.monty:522:12-24
      _6_sp=None # bld/herlev/final/default/src/fusion/BaseVariable.monty:523:12-24
      if (self.__sparsity is None): # bld/herlev/final/default/src/fusion/BaseVariable.monty:524:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:524:30-533:9
        _5_idxs = numpy.zeros((int((_0_midxs).shape[0]),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:525:10-40
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:526:10-532:11
        fragments._c_closure_170(self.__basevar_nativeidxs,_5_idxs,_0_midxs,_2_nd,_3_strides) # bld/herlev/final/default/src/fusion/BaseVariable.monty:526:10-532:11
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:526:10-532:11
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:524:30-533:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:533:15-558:9
        _7_nnz=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:534:14-17
        for _8_i in range(0,int((_0_midxs).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:535:10-539:11
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:535:40-539:11
          _9_ii=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:536:16-18
          _9_ii = fragments._c_closure_171(_8_i,_9_ii,_0_midxs,_2_nd,_3_strides) # bld/herlev/final/default/src/fusion/BaseVariable.monty:537:12-60
          _9_ii = numpy.int64(_9_ii) # postprocess
          if (mosek.fusion.CommonTools._binarySearch__3JJ(self.__sparsity,_9_ii) >= 0): # bld/herlev/final/default/src/fusion/BaseVariable.monty:538:16-59
            # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:538:61-67
            _7_nnz += 1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:538:61-67
            # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:538:61-67
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:535:40-539:11
        _5_idxs = numpy.zeros((_7_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:540:10-26
        _6_sp = numpy.zeros((_7_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:541:10-26
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:543:10-555:11
        _10_k=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:544:16-17
        for _11_i in range(0,int((_0_midxs).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:545:12-554:13
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:545:42-554:13
          _12_ii=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:546:18-20
          _12_ii = fragments._c_closure_172(_11_i,_12_ii,_0_midxs,_2_nd,_3_strides) # bld/herlev/final/default/src/fusion/BaseVariable.monty:547:14-62
          _12_ii = numpy.int64(_12_ii) # postprocess
          _13_iidx=mosek.fusion.CommonTools._binarySearch__3JJ(self.__sparsity,_12_ii) # bld/herlev/final/default/src/fusion/BaseVariable.monty:548:18-22
          if (_13_iidx >= 0): # bld/herlev/final/default/src/fusion/BaseVariable.monty:549:18-27
            # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:549:29-553:15
            _5_idxs[_10_k] = self.__basevar_nativeidxs[_13_iidx] # bld/herlev/final/default/src/fusion/BaseVariable.monty:550:16-51
            _6_sp[_10_k] = _11_i # bld/herlev/final/default/src/fusion/BaseVariable.monty:551:16-28
            _10_k += 1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:552:16-20
            # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:549:29-553:15
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:545:42-554:13
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:543:10-555:11
        if (_7_nnz==int((_0_midxs).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:556:14-33
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:557:12-22
          _6_sp = None # bld/herlev/final/default/src/fusion/BaseVariable.monty:557:12-22
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:557:12-22
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:533:15-558:9
      return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(self._getModel_(),_4_rshape,_6_sp,_5_idxs)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:560:8-62
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:503:6-561:7
    @staticmethod
    def _match_pick__3I(*args):
      if len(args) != 1: return False
      _0_idxs, = args
      return (    __arg_match__3I__(_0_idxs))
    @staticmethod
    def _match_alt_pick__3I(*args):
      if len(args) != 1: return False
      _0_idxs, = args
      return (    __arg_alt_match__3I__(_0_idxs))
    def _pick_alt__3I(self,_t__0_idxs):
      _0_idxs=numpy.array(_t__0_idxs,dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3I(_0_idxs)
      try:
        _t__0_idxs[:] = _0_idxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _pick__3I(self,_0_idxs):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:461:6-500:7
      if (int((self.__shape).shape[0])!=1): # bld/herlev/final/default/src/fusion/BaseVariable.monty:462:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:463:10-48
        raise mosek_fusion_IndexError._ctor_S("Invalid index") # bld/herlev/final/default/src/fusion/BaseVariable.monty:463:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:463:10-48
      _1_invalidindex=False # bld/herlev/final/default/src/fusion/BaseVariable.monty:465:12-24
      _1_invalidindex = fragments._c_closure_173(_0_idxs,_1_invalidindex,self.__shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:466:8-468:32
      if _1_invalidindex: # bld/herlev/final/default/src/fusion/BaseVariable.monty:469:12-24
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:470:10-48
        raise mosek_fusion_IndexError._ctor_S("Invalid index") # bld/herlev/final/default/src/fusion/BaseVariable.monty:470:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:470:10-48
      # var _2_nidxs @ bld/herlev/final/default/src/fusion/BaseVariable.monty:472:12-25
      _3_sp=None # bld/herlev/final/default/src/fusion/BaseVariable.monty:473:12-25
      if (self.__sparsity is None): # bld/herlev/final/default/src/fusion/BaseVariable.monty:474:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:474:30-476:9
        _2_nidxs = numpy.array([self.__basevar_nativeidxs[_0_idxs[_4_i]] for _4_i in range(0,int((_0_idxs).shape[0]))], dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:475:10-76
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:474:30-476:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:477:13-497:9
        _5_nnz=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:478:14-17
        for _6_i in range(0,int((_0_idxs).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:479:10-481:20
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:480:12-481:20
          if (mosek.fusion.CommonTools._binarySearch__3JJ(self.__sparsity,_0_idxs[_6_i]) >= 0): # bld/herlev/final/default/src/fusion/BaseVariable.monty:480:16-64
            # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:481:14-20
            _5_nnz += 1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:481:14-20
            # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:481:14-20
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:480:12-481:20
        _2_nidxs = numpy.zeros((_5_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:483:10-27
        _3_sp = numpy.zeros((_5_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:484:10-27
        _7_k=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:486:14-15
        for _8_i in range(0,int((_0_idxs).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:487:10-494:11
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:487:37-494:11
          _9_j=mosek.fusion.CommonTools._binarySearch__3JJ(self.__sparsity,_0_idxs[_8_i]) # bld/herlev/final/default/src/fusion/BaseVariable.monty:488:16-17
          if (_9_j >= 0): # bld/herlev/final/default/src/fusion/BaseVariable.monty:489:16-22
            # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:489:24-493:13
            _3_sp[_7_k] = _8_i # bld/herlev/final/default/src/fusion/BaseVariable.monty:490:14-26
            _2_nidxs[_7_k] = self.__basevar_nativeidxs[_9_j] # bld/herlev/final/default/src/fusion/BaseVariable.monty:491:14-47
            _7_k += 1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:492:14-18
            # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:489:24-493:13
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:487:37-494:11
        if (_5_nnz==int((_0_idxs).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:495:14-30
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:496:12-22
          _3_sp = None # bld/herlev/final/default/src/fusion/BaseVariable.monty:496:12-22
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:496:12-22
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:477:13-497:9
      return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(self._getModel_(),numpy.array([int((_0_idxs).shape[0])], dtype=numpy.dtype(numpy.int32)),_3_sp,_2_nidxs)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:499:8-78
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:461:6-500:7
    @staticmethod
    def _match_antidiag_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_match_I__(_0_index))
    @staticmethod
    def _match_alt_antidiag_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_alt_match_I__(_0_index))
    def _antidiag_alt_I(self,_t__0_index):
      return self._antidiag_I(numpy.int32(__0_index))
    def _antidiag_I(self,_0_index):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:447:6-457:7
      if (int((self.__shape).shape[0])!=2): # bld/herlev/final/default/src/fusion/BaseVariable.monty:448:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:449:10-87
        raise mosek_fusion_DimensionError._ctor_S("antidiag() only works on two-dimensional objects") # bld/herlev/final/default/src/fusion/BaseVariable.monty:449:10-87
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:449:10-87
      elif ((_0_index >= self.__shape[1]) or ((- _0_index) >= self.__shape[2])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:450:16-55
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:451:10-63
        raise mosek_fusion_IndexError._ctor_S("Diagonal index out of bounds") # bld/herlev/final/default/src/fusion/BaseVariable.monty:451:10-63
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:451:10-63
      if (_0_index >= 0): # bld/herlev/final/default/src/fusion/BaseVariable.monty:453:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:454:10-138
        return (self.__general_1diag__3I_3II(numpy.array([0,((self.__shape[1] - 1) - _0_index)], dtype=numpy.dtype(numpy.int32)),numpy.array([1,(- 1)], dtype=numpy.dtype(numpy.int32)),(self.__shape[0] if ((self.__shape[0] < (self.__shape[1] - _0_index)) ) else (self.__shape[1] - _0_index)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:454:10-138
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:454:10-138
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:456:10-134
        return (self.__general_1diag__3I_3II(numpy.array([(- _0_index),(self.__shape[1] - 1)], dtype=numpy.dtype(numpy.int32)),numpy.array([1,(- 1)], dtype=numpy.dtype(numpy.int32)),(self.__shape[1] if ((self.__shape[1] < (self.__shape[0] + _0_index)) ) else (self.__shape[0] + _0_index)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:456:10-134
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:456:10-134
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:447:6-457:7
    @staticmethod
    def _match_antidiag_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_antidiag_(*args):
      if len(args) != 0: return False
      return True
    def _antidiag_alt_(self,):
      return self._antidiag_()
    def _antidiag_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:439:6-444:7
      if (int((self.__shape).shape[0])!=2): # bld/herlev/final/default/src/fusion/BaseVariable.monty:440:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:441:10-87
        raise mosek_fusion_DimensionError._ctor_S("antidiag() only works on two-dimensional objects") # bld/herlev/final/default/src/fusion/BaseVariable.monty:441:10-87
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:441:10-87
      return (self.__general_1diag__3I_3II(numpy.array([0,(self.__shape[1] - 1)], dtype=numpy.dtype(numpy.int32)),numpy.array([1,(- 1)], dtype=numpy.dtype(numpy.int32)),(self.__shape[0] if ((self.__shape[0] < self.__shape[1]) ) else self.__shape[1]))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:443:8-112
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:439:6-444:7
    @staticmethod
    def _match_diag_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_match_I__(_0_index))
    @staticmethod
    def _match_alt_diag_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_alt_match_I__(_0_index))
    def _diag_alt_I(self,_t__0_index):
      return self._diag_I(numpy.int32(__0_index))
    def _diag_I(self,_0_index):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:426:6-436:7
      if (int((self.__shape).shape[0])!=2): # bld/herlev/final/default/src/fusion/BaseVariable.monty:427:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:428:10-83
        raise mosek_fusion_DimensionError._ctor_S("diag() only works on two-dimensional objects") # bld/herlev/final/default/src/fusion/BaseVariable.monty:428:10-83
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:428:10-83
      elif ((_0_index >= self.__shape[1]) or ((- _0_index) >= self.__shape[2])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:429:16-55
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:430:10-63
        raise mosek_fusion_IndexError._ctor_S("Diagonal index out of bounds") # bld/herlev/final/default/src/fusion/BaseVariable.monty:430:10-63
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:430:10-63
      if (_0_index >= 0): # bld/herlev/final/default/src/fusion/BaseVariable.monty:432:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:433:10-123
        return (self.__general_1diag__3I_3II(numpy.array([0,_0_index], dtype=numpy.dtype(numpy.int32)),numpy.array([1,1], dtype=numpy.dtype(numpy.int32)),(self.__shape[0] if ((self.__shape[0] < (self.__shape[1] - _0_index)) ) else (self.__shape[1] - _0_index)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:433:10-123
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:433:10-123
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:435:10-124
        return (self.__general_1diag__3I_3II(numpy.array([(- _0_index),0], dtype=numpy.dtype(numpy.int32)),numpy.array([1,1], dtype=numpy.dtype(numpy.int32)),(self.__shape[1] if ((self.__shape[1] < (self.__shape[0] + _0_index)) ) else (self.__shape[0] + _0_index)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:435:10-124
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:435:10-124
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:426:6-436:7
    @staticmethod
    def _match_diag_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_diag_(*args):
      if len(args) != 0: return False
      return True
    def _diag_alt_(self,):
      return self._diag_()
    def _diag_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:419:6-423:7
      if (int((self.__shape).shape[0])!=2): # bld/herlev/final/default/src/fusion/BaseVariable.monty:420:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:421:10-83
        raise mosek_fusion_DimensionError._ctor_S("diag() only works on two-dimensional objects") # bld/herlev/final/default/src/fusion/BaseVariable.monty:421:10-83
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:421:10-83
      return (self.__general_1diag__3I_3II(numpy.array([0,0], dtype=numpy.dtype(numpy.int32)),numpy.array([1,1], dtype=numpy.dtype(numpy.int32)),(self.__shape[0] if ((self.__shape[0] < self.__shape[1]) ) else self.__shape[1]))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:422:8-101
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:419:6-423:7
    def __general_1diag_alt__3I_3II(self,_t__0_firstidx,_t__1_step,_t__2_num):
      _0_firstidx=numpy.array(_t__0_firstidx,dtype=numpy.dtype(numpy.int32))
      _1_step=numpy.array(_t__1_step,dtype=numpy.dtype(numpy.int32))
      _2_num=numpy.int32(_t__2_num)
      _1 = self.__general_1diag__3I_3II(_0_firstidx,_1_step,_2_num)
      try:
        _t__0_firstidx[:] = _0_firstidx
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_step[:] = _1_step
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __general_1diag__3I_3II(self,_0_firstidx,_1_step,_2_num):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:369:6-415:7
      _3_nd=int((self.__shape).shape[0]) # bld/herlev/final/default/src/fusion/BaseVariable.monty:370:12-14
      if ((_3_nd!=int((_0_firstidx).shape[0])) or (_3_nd!=int((_1_step).shape[0]))): # bld/herlev/final/default/src/fusion/BaseVariable.monty:371:13-372:28
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:373:10-71
        raise mosek_fusion_DimensionError._ctor_S("Invalid start or step definition") # bld/herlev/final/default/src/fusion/BaseVariable.monty:373:10-71
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:373:10-71
      for _4_i in range(0,_3_nd): # bld/herlev/final/default/src/fusion/BaseVariable.monty:374:8-376:68
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:375:10-376:68
        if ((_0_firstidx[_4_i] < 0) or (_0_firstidx[_4_i] >= self.__shape[_4_i])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:375:15-57
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:376:12-68
          raise mosek_fusion_LengthError._ctor_S("Start element is out of bounds") # bld/herlev/final/default/src/fusion/BaseVariable.monty:376:12-68
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:376:12-68
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:375:10-376:68
      _5_strides=numpy.zeros((_3_nd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:378:12-19
      _5_strides[(_3_nd - 1)] = 1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:379:8-26
      fragments._c_closure_174(_3_nd,self.__shape,_5_strides) # bld/herlev/final/default/src/fusion/BaseVariable.monty:379:27-93
      _6_startidx=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:381:12-20
      _6_startidx = fragments._c_closure_175(_0_firstidx,_6_startidx,_1_step,_5_strides) # bld/herlev/final/default/src/fusion/BaseVariable.monty:381:29-95
      _6_startidx = numpy.int64(_6_startidx) # postprocess
      _7_stepstride=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:382:12-22
      _7_stepstride = fragments._c_closure_176(_1_step,_7_stepstride,_5_strides) # bld/herlev/final/default/src/fusion/BaseVariable.monty:382:29-91
      _7_stepstride = numpy.int64(_7_stepstride) # postprocess
      if (self.__sparsity is None): # bld/herlev/final/default/src/fusion/BaseVariable.monty:384:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:384:30-389:9
        _8_residxs=numpy.zeros((_2_num,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:385:14-21
        fragments._c_closure_177(self.__basevar_nativeidxs,_2_num,_8_residxs,_6_startidx,_7_stepstride) # bld/herlev/final/default/src/fusion/BaseVariable.monty:386:10-387:67
        return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(self._getModel_(),numpy.array([_2_num], dtype=numpy.dtype(numpy.int32)),None,_8_residxs)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:388:10-74
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:384:30-389:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:390:13-414:9
        _9_numnz=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:391:14-19
        for _10_i in range(0,_2_num): # bld/herlev/final/default/src/fusion/BaseVariable.monty:392:10-396:11
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:392:31-396:11
          _11_residx=(_6_startidx + (_7_stepstride * _10_i)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:393:16-22
          _12_spidx=mosek.fusion.CommonTools._binarySearch__3JJ(self.__sparsity,_11_residx) # bld/herlev/final/default/src/fusion/BaseVariable.monty:394:16-21
          if (_12_spidx >= 0): # bld/herlev/final/default/src/fusion/BaseVariable.monty:395:16-26
            # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:395:28-36
            _9_numnz += 1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:395:28-36
            # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:395:28-36
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:392:31-396:11
        _13_residxs=numpy.zeros((_9_numnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:398:14-21
        _14_ressp=numpy.zeros((_9_numnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:399:14-19
        _15_k=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:400:14-15
        for _16_i in range(0,_2_num): # bld/herlev/final/default/src/fusion/BaseVariable.monty:401:10-410:11
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:401:31-410:11
          _13_residxs[_16_i] = self.__basevar_nativeidxs[(_6_startidx + (_7_stepstride * _16_i))] # bld/herlev/final/default/src/fusion/BaseVariable.monty:402:12-67
          _17_residx=(_6_startidx + (_7_stepstride * _16_i)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:403:16-22
          _18_spidx=mosek.fusion.CommonTools._binarySearch__3JJ(self.__sparsity,_17_residx) # bld/herlev/final/default/src/fusion/BaseVariable.monty:404:16-21
          if (_18_spidx >= 0): # bld/herlev/final/default/src/fusion/BaseVariable.monty:405:16-26
            # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:405:28-409:13
            _14_ressp[_15_k] = _16_i # bld/herlev/final/default/src/fusion/BaseVariable.monty:406:14-27
            _13_residxs[_15_k] = self.__basevar_nativeidxs[_18_spidx] # bld/herlev/final/default/src/fusion/BaseVariable.monty:407:14-53
            _15_k += 1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:408:14-18
            # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:405:28-409:13
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:401:31-410:11
        return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(self._getModel_(),numpy.array([_2_num], dtype=numpy.dtype(numpy.int32)),_14_ressp,_13_residxs)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:412:10-75
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:390:13-414:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:369:6-415:7
    @staticmethod
    def _match_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_match__3I__(_0_first)
              and __arg_match__3I__(_1_last))
    @staticmethod
    def _match_alt_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_alt_match__3I__(_0_first)
              and __arg_alt_match__3I__(_1_last))
    def _slice_alt__3I_3I(self,_t__0_first,_t__1_last):
      _0_first=numpy.array(_t__0_first,dtype=numpy.dtype(numpy.int32))
      _1_last=numpy.array(_t__1_last,dtype=numpy.dtype(numpy.int32))
      _1 = self._slice__3I_3I(_0_first,_1_last)
      try:
        _t__0_first[:] = _0_first
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_last[:] = _1_last
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _slice__3I_3I(self,_0_first,_1_last):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:262:6-357:7
      if (int((_0_first).shape[0])!=int((_1_last).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:263:12-35
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:264:10-48
        raise mosek_fusion_SliceError._ctor_S("Invalid slice") # bld/herlev/final/default/src/fusion/BaseVariable.monty:264:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:264:10-48
      elif (int((_0_first).shape[0])!=int((self.__shape).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:265:16-40
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:266:10-76
        raise mosek_fusion_DimensionError._ctor_S("Variable shape and slice do not match") # bld/herlev/final/default/src/fusion/BaseVariable.monty:266:10-76
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:266:10-76
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:267:13-356:9
        for _2_i in range(0,int((self.__shape).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:268:10-272:52
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:269:12-272:52
          if ((_0_first[_2_i] < 0) or (_1_last[_2_i] > self.__shape[_2_i])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:269:16-50
            # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:270:14-61
            raise mosek_fusion_IndexError._ctor_S("Slice is out of bounds") # bld/herlev/final/default/src/fusion/BaseVariable.monty:270:14-61
            # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:270:14-61
          elif (_0_first[_2_i] > _1_last[_2_i]): # bld/herlev/final/default/src/fusion/BaseVariable.monty:271:20-38
            # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:272:14-52
            raise mosek_fusion_SliceError._ctor_S("Invalid slice") # bld/herlev/final/default/src/fusion/BaseVariable.monty:272:14-52
            # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:272:14-52
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:269:12-272:52
        _3_nd=int((self.__shape).shape[0]) # bld/herlev/final/default/src/fusion/BaseVariable.monty:274:14-16
        _4_sliceshape=numpy.array([(_1_last[_5_i] - _0_first[_5_i]) for _5_i in range(0,_3_nd)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:275:14-24
        _6_slicesize=1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:277:14-23
        _6_slicesize = fragments._c_closure_178(_0_first,_1_last,_3_nd,_6_slicesize) # bld/herlev/final/default/src/fusion/BaseVariable.monty:277:29-79
        _6_slicesize = numpy.int32(_6_slicesize) # postprocess
        if (_6_slicesize==0): # bld/herlev/final/default/src/fusion/BaseVariable.monty:278:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:279:12-37
          return (mosek_fusion_NilVariable._ctor_()) # bld/herlev/final/default/src/fusion/BaseVariable.monty:279:12-37
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:279:12-37
        elif (self.__sparsity is not None): # bld/herlev/final/default/src/fusion/BaseVariable.monty:280:18-34
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:280:36-323:11
          _7_nnz=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:282:16-19
          _8_key=numpy.zeros((_3_nd,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:283:16-19
          _7_nnz = fragments._c_closure_179(_0_first,_8_key,_1_last,_3_nd,_7_nnz,self.__shape,self.__sparsity) # bld/herlev/final/default/src/fusion/BaseVariable.monty:284:12-295:13
          _7_nnz = numpy.int32(_7_nnz) # postprocess
          _9_idx=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:297:16-19
          _10_idxs=numpy.zeros((_7_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:298:16-20
          _11_sp=numpy.zeros((_7_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:299:16-18
          _9_idx = fragments._c_closure_180(self.__basevar_nativeidxs,_0_first,_9_idx,_10_idxs,_8_key,_1_last,_3_nd,self.__shape,_4_sliceshape,_11_sp,self.__sparsity) # bld/herlev/final/default/src/fusion/BaseVariable.monty:300:12-320:13
          _9_idx = numpy.int32(_9_idx) # postprocess
          return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(self._getModel_(),_4_sliceshape,_11_sp,_10_idxs)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:322:12-70
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:280:36-323:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:324:15-355:11
          _12_sliceidxs=numpy.zeros((_6_slicesize,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:325:16-25
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:326:12-353:13
          fragments._c_closure_181(self.__basevar_nativeidxs,_0_first,_1_last,_3_nd,self.__shape,_12_sliceidxs,_6_slicesize) # bld/herlev/final/default/src/fusion/BaseVariable.monty:326:12-353:13
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:326:12-353:13
          return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(self._getModel_(),_4_sliceshape,None,_12_sliceidxs)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:354:12-77
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:324:15-355:11
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:267:13-356:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:262:6-357:7
    @staticmethod
    def _match_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_match_I__(_0_first)
              and __arg_match_I__(_1_last))
    @staticmethod
    def _match_alt_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_alt_match_I__(_0_first)
              and __arg_alt_match_I__(_1_last))
    def _slice_alt_II(self,_t__0_first,_t__1_last):
      return self._slice_II(numpy.int32(__0_first),numpy.int32(__1_last))
    def _slice_II(self,_0_first,_1_last):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:229:74-257:7
      if (int((self.__shape).shape[0])!=1): # bld/herlev/final/default/src/fusion/BaseVariable.monty:230:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:231:10-76
        raise mosek_fusion_DimensionError._ctor_S("Variable shape and slice do not match") # bld/herlev/final/default/src/fusion/BaseVariable.monty:231:10-76
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:231:10-76
      if ((_0_first==0) and (_1_last==self.__shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:232:12-43
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:233:10-22
        return (self) # bld/herlev/final/default/src/fusion/BaseVariable.monty:233:10-22
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:233:10-22
      elif ((_0_first < 0) or (_1_last > self.__shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:234:16-44
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:235:10-57
        raise mosek_fusion_IndexError._ctor_S("Slice is out of bounds") # bld/herlev/final/default/src/fusion/BaseVariable.monty:235:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:235:10-57
      elif (_0_first > _1_last): # bld/herlev/final/default/src/fusion/BaseVariable.monty:236:16-28
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:237:10-48
        raise mosek_fusion_SliceError._ctor_S("Invalid slice") # bld/herlev/final/default/src/fusion/BaseVariable.monty:237:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:237:10-48
      elif (_0_first==_1_last): # bld/herlev/final/default/src/fusion/BaseVariable.monty:238:16-29
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:239:10-35
        return (mosek_fusion_NilVariable._ctor_()) # bld/herlev/final/default/src/fusion/BaseVariable.monty:239:10-35
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:239:10-35
      elif (self.__sparsity is not None): # bld/herlev/final/default/src/fusion/BaseVariable.monty:240:16-32
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:240:34-250:9
        _2_slicesize=(_1_last - _0_first) # bld/herlev/final/default/src/fusion/BaseVariable.monty:241:14-23
        _3_nnz=0 # bld/herlev/final/default/src/fusion/BaseVariable.monty:242:14-23
        _4_i0=mosek.fusion.CommonTools._binarySearchL__3JJ(self.__sparsity,_0_first) # bld/herlev/final/default/src/fusion/BaseVariable.monty:243:14-16
        _5_i1=mosek.fusion.CommonTools._binarySearchL__3JJ(self.__sparsity,_1_last) # bld/herlev/final/default/src/fusion/BaseVariable.monty:244:14-16
        return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(self._getModel_(),numpy.array([_2_slicesize], dtype=numpy.dtype(numpy.int32)),numpy.array([(self.__sparsity[_6_i] - _0_first) for _6_i in range(_4_i0,_5_i1)], dtype=numpy.dtype(numpy.int64)),numpy.array([self.__basevar_nativeidxs[_7_i] for _7_i in range(_4_i0,_5_i1)], dtype=numpy.dtype(numpy.int64)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:246:10-249:82
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:240:34-250:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:251:13-256:9
        _8_slicesize=(_1_last - _0_first) # bld/herlev/final/default/src/fusion/BaseVariable.monty:252:14-23
        _9_sliceidxs=numpy.zeros((_8_slicesize,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:253:14-23
        mosek.fusion.Utils.Tools._arraycopy__3JI_3JII(self.__basevar_nativeidxs,_0_first,_9_sliceidxs,0,_8_slicesize) # bld/herlev/final/default/src/fusion/BaseVariable.monty:254:10-80
        return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(self._getModel_(),numpy.array([_8_slicesize], dtype=numpy.dtype(numpy.int32)),None,_9_sliceidxs)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:255:10-81
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:251:13-256:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:229:74-257:7
    @staticmethod
    def _match_asExpr_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_asExpr_(*args):
      if len(args) != 0: return False
      return True
    def _asExpr_alt_(self,):
      return self._asExpr_()
    def _asExpr_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:226:41-74
      return (mosek_fusion_ExprFromVar._ctor_Lmosek_4fusion_4Variable_2(self)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:226:43-72
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:226:41-74
    @staticmethod
    def _match_inst_I_3JI_3J(*args):
      if len(args) != 4: return False
      _0_spoffset,_1_sparsity,_2_nioffset,_3_basevar_nativeidxs, = args
      return (    __arg_match_I__(_0_spoffset)
              and __arg_match__3J__(_1_sparsity)
              and __arg_match_I__(_2_nioffset)
              and __arg_match__3J__(_3_basevar_nativeidxs))
    @staticmethod
    def _match_alt_inst_I_3JI_3J(*args):
      if len(args) != 4: return False
      _0_spoffset,_1_sparsity,_2_nioffset,_3_basevar_nativeidxs, = args
      return (    __arg_alt_match_I__(_0_spoffset)
              and __arg_alt_match__3J__(_1_sparsity)
              and __arg_alt_match_I__(_2_nioffset)
              and __arg_alt_match__3J__(_3_basevar_nativeidxs))
    def _inst_alt_I_3JI_3J(self,_t__0_spoffset,_t__1_sparsity,_t__2_nioffset,_t__3_basevar_nativeidxs):
      _0_spoffset=numpy.int32(_t__0_spoffset)
      _1_sparsity=numpy.array(_t__1_sparsity,dtype=numpy.dtype(numpy.int64))
      _2_nioffset=numpy.int32(_t__2_nioffset)
      _3_basevar_nativeidxs=numpy.array(_t__3_basevar_nativeidxs,dtype=numpy.dtype(numpy.int64))
      _1 = self._inst_I_3JI_3J(_0_spoffset,_1_sparsity,_2_nioffset,_3_basevar_nativeidxs)
      try:
        _t__1_sparsity[:] = _1_sparsity
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_basevar_nativeidxs[:] = _3_basevar_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _inst_I_3JI_3J(self,_0_spoffset,_1_sparsity,_2_nioffset,_3_basevar_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:190:6-207:7
      _4_thisnidxs=(self.__basevar_nativeidxs) # bld/herlev/final/default/src/fusion/BaseVariable.monty:191:12-21
      _5_thissp=(self.__sparsity) # bld/herlev/final/default/src/fusion/BaseVariable.monty:192:12-18
      if (_5_thissp is None): # bld/herlev/final/default/src/fusion/BaseVariable.monty:194:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:194:28-199:9
        fragments._c_closure_182(_3_basevar_nativeidxs,_2_nioffset,_1_sparsity,_0_spoffset,_4_thisnidxs) # bld/herlev/final/default/src/fusion/BaseVariable.monty:194:28-199:9
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:194:28-199:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:200:13-205:9
        for _6_i in range(0,int(((self.__sparsity)).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:201:10-204:11
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:201:46-204:11
          _1_sparsity[(_0_spoffset + _6_i)] = _5_thissp[_6_i] # bld/herlev/final/default/src/fusion/BaseVariable.monty:202:12-45
          _3_basevar_nativeidxs[(_6_i + _2_nioffset)] = _4_thisnidxs[_6_i] # bld/herlev/final/default/src/fusion/BaseVariable.monty:203:12-58
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:201:46-204:11
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:200:13-205:9
      return numpy.int32(int(((self.__basevar_nativeidxs)).shape[0])) # bld/herlev/final/default/src/fusion/BaseVariable.monty:206:8-44
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:190:6-207:7
    @staticmethod
    def _match_numInst_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_numInst_(*args):
      if len(args) != 0: return False
      return True
    def _numInst_alt_(self,):
      return self._numInst_()
    def _numInst_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:181:36-183:7
      return numpy.int32(int((self.__basevar_nativeidxs).shape[0])) # bld/herlev/final/default/src/fusion/BaseVariable.monty:182:8-39
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:181:36-183:7
    @staticmethod
    def _match_inst_I_3J(*args):
      if len(args) != 2: return False
      _0_offset,_1_nindex, = args
      return (    __arg_match_I__(_0_offset)
              and __arg_match__3J__(_1_nindex))
    @staticmethod
    def _match_alt_inst_I_3J(*args):
      if len(args) != 2: return False
      _0_offset,_1_nindex, = args
      return (    __arg_alt_match_I__(_0_offset)
              and __arg_alt_match__3J__(_1_nindex))
    def _inst_alt_I_3J(self,_t__0_offset,_t__1_nindex):
      _0_offset=numpy.int32(_t__0_offset)
      _1_nindex=numpy.array(_t__1_nindex,dtype=numpy.dtype(numpy.int64))
      _1 = self._inst_I_3J(_0_offset,_1_nindex)
      try:
        _t__1_nindex[:] = _1_nindex
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _inst_I_3J(self,_0_offset,_1_nindex):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:168:6-179:7
      if (self.__sparsity is None): # bld/herlev/final/default/src/fusion/BaseVariable.monty:169:17-33
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:170:10-171:53
        fragments._c_closure_183(self.__basevar_nativeidxs,_1_nindex,_0_offset) # bld/herlev/final/default/src/fusion/BaseVariable.monty:170:10-171:53
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:170:10-171:53
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:172:13-178:9
        _2_shape=self._getShape_() # bld/herlev/final/default/src/fusion/BaseVariable.monty:173:14-19
        _3_domsize=1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:174:14-21
        _3_domsize = fragments._c_closure_184(_3_domsize,_2_shape) # bld/herlev/final/default/src/fusion/BaseVariable.monty:174:27-75
        _3_domsize = numpy.int32(_3_domsize) # postprocess
        fragments._c_closure_185(_3_domsize,_1_nindex,_0_offset) # bld/herlev/final/default/src/fusion/BaseVariable.monty:175:10-56
        fragments._c_closure_186(self.__basevar_nativeidxs,_1_nindex,_0_offset,self.__sparsity) # bld/herlev/final/default/src/fusion/BaseVariable.monty:176:10-177:63
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:172:13-178:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:168:6-179:7
    @staticmethod
    def _match_set_1values__3DZ(*args):
      if len(args) != 2: return False
      _0_values,_1_primal, = args
      return (    __arg_match__3D__(_0_values)
              and __arg_match_Z__(_1_primal))
    @staticmethod
    def _match_alt_set_1values__3DZ(*args):
      if len(args) != 2: return False
      _0_values,_1_primal, = args
      return (    __arg_alt_match__3D__(_0_values)
              and __arg_alt_match_Z__(_1_primal))
    def _set_1values_alt__3DZ(self,_t__0_values,_t__1_primal):
      _0_values=numpy.array(_t__0_values,dtype=numpy.dtype(numpy.float64))
      _1_primal=_t__1_primal
      _1 = self._set_1values__3DZ(_0_values,_1_primal)
      try:
        _t__0_values[:] = _0_values
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _set_1values__3DZ(self,_0_values,_1_primal):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:150:6-163:7
      if (self.__sparsity is None): # bld/herlev/final/default/src/fusion/BaseVariable.monty:151:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:151:30-153:9
        self._getModel_()._setVariableValues_Z_3J_3D(_1_primal,self.__basevar_nativeidxs,_0_values) # bld/herlev/final/default/src/fusion/BaseVariable.monty:152:10-75
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:151:30-153:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:154:13-162:9
        _2_varsize=1 # bld/herlev/final/default/src/fusion/BaseVariable.monty:155:14-21
        _2_varsize = fragments._c_closure_187(self.__shape,_2_varsize) # bld/herlev/final/default/src/fusion/BaseVariable.monty:155:27-75
        _2_varsize = numpy.int32(_2_varsize) # postprocess
        _3_idxs=numpy.zeros((_2_varsize,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:156:14-18
        fragments._c_closure_188(self.__basevar_nativeidxs,_3_idxs,self.__sparsity) # bld/herlev/final/default/src/fusion/BaseVariable.monty:158:10-159:54
        self._getModel_()._setVariableValues_Z_3J_3D(_1_primal,_3_idxs,_0_values) # bld/herlev/final/default/src/fusion/BaseVariable.monty:161:10-61
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:154:13-162:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:150:6-163:7
    def _dual_1lu_alt_I_3DZ(self,_t__0_offset,_t__1_target,_t__2_lower):
      _0_offset=numpy.int32(_t__0_offset)
      _1_target=numpy.array(_t__1_target,dtype=numpy.dtype(numpy.float64))
      _2_lower=_t__2_lower
      _1 = self._dual_1lu_I_3DZ(_0_offset,_1_target,_2_lower)
      try:
        _t__1_target[:] = _1_target
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _dual_1lu_I_3DZ(self,_0_offset,_1_target,_2_lower):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:135:6-144:7
      if (self.__sparsity is None): # bld/herlev/final/default/src/fusion/BaseVariable.monty:136:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:137:10-76
        self.__model._getVariableDuals_Z_3J_3DI(_2_lower,self.__basevar_nativeidxs,_1_target,_0_offset) # bld/herlev/final/default/src/fusion/BaseVariable.monty:137:10-76
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:137:10-76
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:138:13-143:9
        _3_idxs=numpy.zeros((self._getSize_(),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:139:14-18
        fragments._c_closure_189(self.__basevar_nativeidxs,_3_idxs,self.__sparsity) # bld/herlev/final/default/src/fusion/BaseVariable.monty:140:10-141:54
        self.__model._getVariableDuals_Z_3J_3DI(_2_lower,_3_idxs,_1_target,_0_offset) # bld/herlev/final/default/src/fusion/BaseVariable.monty:142:10-62
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:138:13-143:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:135:6-144:7
    @staticmethod
    def _match_values_I_3DZ(*args):
      if len(args) != 3: return False
      _0_offset,_1_target,_2_primal, = args
      return (    __arg_match_I__(_0_offset)
              and __arg_match__3D__(_1_target)
              and __arg_match_Z__(_2_primal))
    @staticmethod
    def _match_alt_values_I_3DZ(*args):
      if len(args) != 3: return False
      _0_offset,_1_target,_2_primal, = args
      return (    __arg_alt_match_I__(_0_offset)
              and __arg_alt_match__3D__(_1_target)
              and __arg_alt_match_Z__(_2_primal))
    def _values_alt_I_3DZ(self,_t__0_offset,_t__1_target,_t__2_primal):
      _0_offset=numpy.int32(_t__0_offset)
      _1_target=numpy.array(_t__1_target,dtype=numpy.dtype(numpy.float64))
      _2_primal=_t__2_primal
      _1 = self._values_I_3DZ(_0_offset,_1_target,_2_primal)
      try:
        _t__1_target[:] = _1_target
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _values_I_3DZ(self,_0_offset,_1_target,_2_primal):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:120:6-129:7
      if (self.__sparsity is None): # bld/herlev/final/default/src/fusion/BaseVariable.monty:121:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:122:10-78
        self.__model._getVariableValues_Z_3J_3DI(_2_primal,self.__basevar_nativeidxs,_1_target,_0_offset) # bld/herlev/final/default/src/fusion/BaseVariable.monty:122:10-78
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:122:10-78
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:123:13-128:9
        _3_idxs=numpy.zeros((self._getSize_(),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:124:14-18
        fragments._c_closure_190(self.__basevar_nativeidxs,_3_idxs,self.__sparsity) # bld/herlev/final/default/src/fusion/BaseVariable.monty:125:10-126:54
        self.__model._getVariableValues_Z_3J_3DI(_2_primal,_3_idxs,_1_target,_0_offset) # bld/herlev/final/default/src/fusion/BaseVariable.monty:127:10-64
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:123:13-128:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:120:6-129:7
    @staticmethod
    def _match_make_1continuous_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_make_1continuous_(*args):
      if len(args) != 0: return False
      return True
    def _make_1continuous_alt_(self,):
      return self._make_1continuous_()
    def _make_1continuous_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:114:38-89
      self._getModel_()._make_1continuous__3J(self.__basevar_nativeidxs) # bld/herlev/final/default/src/fusion/BaseVariable.monty:114:40-87
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:114:38-89
    @staticmethod
    def _match_make_1integer_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_make_1integer_(*args):
      if len(args) != 0: return False
      return True
    def _make_1integer_alt_(self,):
      return self._make_1integer_()
    def _make_1integer_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:113:35-83
      self._getModel_()._make_1integer__3J(self.__basevar_nativeidxs) # bld/herlev/final/default/src/fusion/BaseVariable.monty:113:37-81
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:113:35-83
  return BaseVariable
mosek_fusion_BaseVariable=__mk_mosek_fusion_BaseVariable()
del __mk_mosek_fusion_BaseVariable

# origin: bld/herlev/final/default/src/fusion/SliceVariable.mbi:18:4-66:5
#BEFORE CLASS
def __mk_mosek_fusion_SliceVariable():
  class SliceVariable(mosek_fusion_BaseVariable):
    __slots__ = ['_SliceVariable__shape','_SliceVariable__sparsity','_SliceVariable__nativeidxs']
    def __repr__(self): return 'mosek.fusion.SliceVariable'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(m,shape,sparsity,nativeidxs):
      o = SliceVariable.__new__(SliceVariable)
      o._ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3J(m,shape,sparsity,nativeidxs)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(*args):
      if len(args) != 4: return False
      m,shape,sparsity,nativeidxs, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(m)
              and __arg_match__3I__(shape)
              and __arg_match__3J__(sparsity)
              and __arg_match__3J__(nativeidxs))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(*args):
      if len(args) != 4: return False
      m,shape,sparsity,nativeidxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(m)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match__3J__(sparsity)
              and __arg_alt_match__3J__(nativeidxs))
    # Origin: bld/herlev/final/default/src/fusion/SliceVariable.mbi:54:6-65:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2_3I_3J_3J(self,m,shape,sparsity,nativeidxs):
      self._ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3J(m,numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(sparsity,dtype=numpy.dtype(numpy.int64)),numpy.array(nativeidxs,dtype=numpy.dtype(numpy.int64)))
    def _ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3J(self,m,shape,sparsity,nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/SliceVariable.mbi:60:6-65:7
      mosek_fusion_BaseVariable._ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3J(self,m,shape,sparsity,nativeidxs)# ctor @ bld/herlev/final/default/src/fusion/SliceVariable.mbi:61:8-43
      (self.__nativeidxs) = nativeidxs # bld/herlev/final/default/src/fusion/SliceVariable.mbi:62:8-37
      (self.__sparsity) = sparsity # bld/herlev/final/default/src/fusion/SliceVariable.mbi:63:8-33
      (self.__shape) = shape # bld/herlev/final/default/src/fusion/SliceVariable.mbi:64:8-27
      # End   scope @ bld/herlev/final/default/src/fusion/SliceVariable.mbi:60:6-65:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4SliceVariable_2(v):
      o = SliceVariable.__new__(SliceVariable)
      o._ctor_init_Lmosek_4fusion_4SliceVariable_2(v)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4SliceVariable_2(*args):
      if len(args) != 1: return False
      v, = args
      return (    __arg_match_Lmosek_4fusion_4SliceVariable_2__(v))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4SliceVariable_2(*args):
      if len(args) != 1: return False
      v, = args
      return (    __arg_alt_match_Lmosek_4fusion_4SliceVariable_2__(v))
    # Origin: bld/herlev/final/default/src/fusion/SliceVariable.mbi:47:6-52:7
    def _ctor_alt_init_Lmosek_4fusion_4SliceVariable_2(self,v):
      self._ctor_init_Lmosek_4fusion_4SliceVariable_2(v)
    def _ctor_init_Lmosek_4fusion_4SliceVariable_2(self,v):
      # Start scope @ bld/herlev/final/default/src/fusion/SliceVariable.mbi:47:45-52:7
      mosek_fusion_BaseVariable._ctor_init_Lmosek_4fusion_4BaseVariable_2Lmosek_4fusion_4Model_2(self,v,v._getModel_())# ctor @ bld/herlev/final/default/src/fusion/SliceVariable.mbi:48:8-30
      (self.__nativeidxs) = (v.__nativeidxs) # bld/herlev/final/default/src/fusion/SliceVariable.mbi:49:8-39
      (self.__sparsity) = (v.__sparsity) # bld/herlev/final/default/src/fusion/SliceVariable.mbi:50:8-35
      (self.__shape) = (v.__shape) # bld/herlev/final/default/src/fusion/SliceVariable.mbi:51:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/SliceVariable.mbi:47:45-52:7
  return SliceVariable
mosek_fusion_SliceVariable=__mk_mosek_fusion_SliceVariable()
del __mk_mosek_fusion_SliceVariable

# origin: bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:29:4-85:5
#BEFORE CLASS
def __mk_mosek_fusion_BoundInterfaceVariable():
  class BoundInterfaceVariable(mosek_fusion_SliceVariable):
    __slots__ = ['_BoundInterfaceVariable__islower']
    def antidiag(self,*args):
      if False: pass
      elif mosek_fusion_BoundInterfaceVariable._match_antidiag_(*args): # 
        return self._antidiag_(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_alt_antidiag_(*args): # 
        return self._antidiag_alt_(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_antidiag_I(*args): # int32
        return self._antidiag_I(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_alt_antidiag_I(*args): # int32
        return self._antidiag_alt_I(*args)
      else:
        raise ValueError('Invalid argument list antidiag('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BoundInterfaceVariable.antidiag()\n\tmosek.fusion.BoundInterfaceVariable.antidiag(int32)')

    def pick(self,*args):
      if False: pass
      elif mosek_fusion_BoundInterfaceVariable._match_pick__3I(*args): # []int32
        return self._pick__3I(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_alt_pick__3I(*args): # []int32
        return self._pick_alt__3I(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_pick__3_5I(*args): # [,]int32
        return self._pick__3_5I(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_alt_pick__3_5I(*args): # [,]int32
        return self._pick_alt__3_5I(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_pick__3I_3I(*args): # []int32,[]int32
        return self._pick__3I_3I(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_alt_pick__3I_3I(*args): # []int32,[]int32
        return self._pick_alt__3I_3I(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_pick__3I_3I_3I(*args): # []int32,[]int32,[]int32
        return self._pick__3I_3I_3I(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_alt_pick__3I_3I_3I(*args): # []int32,[]int32,[]int32
        return self._pick_alt__3I_3I_3I(*args)
      else:
        raise ValueError('Invalid argument list pick('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BoundInterfaceVariable.pick(array(int32,ndim=1))\n\tmosek.fusion.BoundInterfaceVariable.pick(array(int32,ndim=2))\n\tmosek.fusion.BoundInterfaceVariable.pick(array(int32,ndim=1),array(int32,ndim=1))\n\tmosek.fusion.BoundInterfaceVariable.pick(array(int32,ndim=1),array(int32,ndim=1),array(int32,ndim=1))')

    def dual(self,*args):
      if False: pass
      elif mosek_fusion_BoundInterfaceVariable._match_dual_(*args): # 
        return self._dual_(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_alt_dual_(*args): # 
        return self._dual_alt_(*args)
      else:
        raise ValueError('Invalid argument list dual('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BoundInterfaceVariable.dual()')

    def diag(self,*args):
      if False: pass
      elif mosek_fusion_BoundInterfaceVariable._match_diag_(*args): # 
        return self._diag_(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_alt_diag_(*args): # 
        return self._diag_alt_(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_diag_I(*args): # int32
        return self._diag_I(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_alt_diag_I(*args): # int32
        return self._diag_alt_I(*args)
      else:
        raise ValueError('Invalid argument list diag('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BoundInterfaceVariable.diag()\n\tmosek.fusion.BoundInterfaceVariable.diag(int32)')

    def transpose(self,*args):
      if False: pass
      elif mosek_fusion_BoundInterfaceVariable._match_transpose_(*args): # 
        return self._transpose_(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_alt_transpose_(*args): # 
        return self._transpose_alt_(*args)
      else:
        raise ValueError('Invalid argument list transpose('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BoundInterfaceVariable.transpose()')

    def slice(self,*args):
      if False: pass
      elif mosek_fusion_BoundInterfaceVariable._match_slice_II(*args): # int32,int32
        return self._slice_II(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_alt_slice_II(*args): # int32,int32
        return self._slice_alt_II(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_slice__3I_3I(*args): # []int32,[]int32
        return self._slice__3I_3I(*args)
      elif mosek_fusion_BoundInterfaceVariable._match_alt_slice__3I_3I(*args): # []int32,[]int32
        return self._slice_alt__3I_3I(*args)
      else:
        raise ValueError('Invalid argument list slice('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BoundInterfaceVariable.slice(int32,int32)\n\tmosek.fusion.BoundInterfaceVariable.slice(array(int32,ndim=1),array(int32,ndim=1))')

    def __repr__(self): return 'mosek.fusion.BoundInterfaceVariable'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2_3I_3J_3JZ(m,shape,sparsity,nativeidxs,islower):
      o = BoundInterfaceVariable.__new__(BoundInterfaceVariable)
      o._ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3JZ(m,shape,sparsity,nativeidxs,islower)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2_3I_3J_3JZ(*args):
      if len(args) != 5: return False
      m,shape,sparsity,nativeidxs,islower, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(m)
              and __arg_match__3I__(shape)
              and __arg_match__3J__(sparsity)
              and __arg_match__3J__(nativeidxs)
              and __arg_match_Z__(islower))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2_3I_3J_3JZ(*args):
      if len(args) != 5: return False
      m,shape,sparsity,nativeidxs,islower, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(m)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match__3J__(sparsity)
              and __arg_alt_match__3J__(nativeidxs)
              and __arg_alt_match_Z__(islower))
    # Origin: bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:41:6-50:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2_3I_3J_3JZ(self,m,shape,sparsity,nativeidxs,islower):
      self._ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3JZ(m,numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(sparsity,dtype=numpy.dtype(numpy.int64)),numpy.array(nativeidxs,dtype=numpy.dtype(numpy.int64)),islower)
    def _ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3JZ(self,m,shape,sparsity,nativeidxs,islower):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:47:6-50:7
      mosek_fusion_SliceVariable._ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3J(self,m,shape,sparsity,nativeidxs)# ctor @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:48:8-43
      (self.__islower) = islower # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:49:8-31
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:47:6-50:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4SliceVariable_2Z(v,islower):
      o = BoundInterfaceVariable.__new__(BoundInterfaceVariable)
      o._ctor_init_Lmosek_4fusion_4SliceVariable_2Z(v,islower)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4SliceVariable_2Z(*args):
      if len(args) != 2: return False
      v,islower, = args
      return (    __arg_match_Lmosek_4fusion_4SliceVariable_2__(v)
              and __arg_match_Z__(islower))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4SliceVariable_2Z(*args):
      if len(args) != 2: return False
      v,islower, = args
      return (    __arg_alt_match_Lmosek_4fusion_4SliceVariable_2__(v)
              and __arg_alt_match_Z__(islower))
    # Origin: bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:33:6-39:7
    def _ctor_alt_init_Lmosek_4fusion_4SliceVariable_2Z(self,v,islower):
      self._ctor_init_Lmosek_4fusion_4SliceVariable_2Z(v,islower)
    def _ctor_init_Lmosek_4fusion_4SliceVariable_2Z(self,v,islower):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:36:6-39:7
      mosek_fusion_SliceVariable._ctor_init_Lmosek_4fusion_4SliceVariable_2(self,v)# ctor @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:37:8-17
      (self.__islower) = islower # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:38:8-31
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:36:6-39:7
    @staticmethod
    def _match_dual_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_dual_(*args):
      if len(args) != 0: return False
      return True
    def _dual_alt_(self,):
      return self._dual_()
    def _dual_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:80:37-84:7
      _0_target=numpy.zeros((self._getSize_(),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:81:12-18
      self._dual_1lu_I_3DZ(0,_0_target,self.__islower) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:82:8-34
      return (_0_target) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:83:8-22
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:80:37-84:7
    @staticmethod
    def _match_transpose_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_transpose_(*args):
      if len(args) != 0: return False
      return True
    def _transpose_alt_(self,):
      return self._transpose_()
    def _transpose_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:78:42-78
      return (self.__from_1_Lmosek_4fusion_4Variable_2(mosek_fusion_BaseVariable._transpose_(self))) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:78:44-76
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:78:42-78
    @staticmethod
    def _match_pick__3I_3I_3I(*args):
      if len(args) != 3: return False
      _0_i0,_1_i1,_2_i2, = args
      return (    __arg_match__3I__(_0_i0)
              and __arg_match__3I__(_1_i1)
              and __arg_match__3I__(_2_i2))
    @staticmethod
    def _match_alt_pick__3I_3I_3I(*args):
      if len(args) != 3: return False
      _0_i0,_1_i1,_2_i2, = args
      return (    __arg_alt_match__3I__(_0_i0)
              and __arg_alt_match__3I__(_1_i1)
              and __arg_alt_match__3I__(_2_i2))
    def _pick_alt__3I_3I_3I(self,_t__0_i0,_t__1_i1,_t__2_i2):
      _0_i0=numpy.array(_t__0_i0,dtype=numpy.dtype(numpy.int32))
      _1_i1=numpy.array(_t__1_i1,dtype=numpy.dtype(numpy.int32))
      _2_i2=numpy.array(_t__2_i2,dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3I_3I_3I(_0_i0,_1_i1,_2_i2)
      try:
        _t__0_i0[:] = _0_i0
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_i1[:] = _1_i1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_i2[:] = _2_i2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _pick__3I_3I_3I(self,_0_i0,_1_i1,_2_i2):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:77:73-112
      return (self.__from_1_Lmosek_4fusion_4Variable_2(mosek_fusion_BaseVariable._pick__3I_3I_3I(self,_0_i0,_1_i1,_2_i2))) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:77:75-110
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:77:73-112
    @staticmethod
    def _match_pick__3I_3I(*args):
      if len(args) != 2: return False
      _0_i0,_1_i1, = args
      return (    __arg_match__3I__(_0_i0)
              and __arg_match__3I__(_1_i1))
    @staticmethod
    def _match_alt_pick__3I_3I(*args):
      if len(args) != 2: return False
      _0_i0,_1_i1, = args
      return (    __arg_alt_match__3I__(_0_i0)
              and __arg_alt_match__3I__(_1_i1))
    def _pick_alt__3I_3I(self,_t__0_i0,_t__1_i1):
      _0_i0=numpy.array(_t__0_i0,dtype=numpy.dtype(numpy.int32))
      _1_i1=numpy.array(_t__1_i1,dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3I_3I(_0_i0,_1_i1)
      try:
        _t__0_i0[:] = _0_i0
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_i1[:] = _1_i1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _pick__3I_3I(self,_0_i0,_1_i1):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:76:62-98
      return (self.__from_1_Lmosek_4fusion_4Variable_2(mosek_fusion_BaseVariable._pick__3I_3I(self,_0_i0,_1_i1))) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:76:64-96
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:76:62-98
    @staticmethod
    def _match_pick__3_5I(*args):
      if len(args) != 1: return False
      _0_midxs, = args
      return (    __arg_match__3_5I__(_0_midxs))
    @staticmethod
    def _match_alt_pick__3_5I(*args):
      if len(args) != 1: return False
      _0_midxs, = args
      return (    __arg_alt_match__3_5I__(_0_midxs))
    def _pick_alt__3_5I(self,_t__0_midxs):
      _0_midxs=numpy.array(_t__0_midxs,ndmin=_monty.checkShape(_t__0_midxs,2),dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3_5I(_0_midxs)
      return _1
    def _pick__3_5I(self,_0_midxs):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:75:55-91
      return (self.__from_1_Lmosek_4fusion_4Variable_2(mosek_fusion_BaseVariable._pick__3_5I(self,_0_midxs))) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:75:57-89
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:75:55-91
    @staticmethod
    def _match_pick__3I(*args):
      if len(args) != 1: return False
      _0_idxs, = args
      return (    __arg_match__3I__(_0_idxs))
    @staticmethod
    def _match_alt_pick__3I(*args):
      if len(args) != 1: return False
      _0_idxs, = args
      return (    __arg_alt_match__3I__(_0_idxs))
    def _pick_alt__3I(self,_t__0_idxs):
      _0_idxs=numpy.array(_t__0_idxs,dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3I(_0_idxs)
      try:
        _t__0_idxs[:] = _0_idxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _pick__3I(self,_0_idxs):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:74:53-88
      return (self.__from_1_Lmosek_4fusion_4Variable_2(mosek_fusion_BaseVariable._pick__3I(self,_0_idxs))) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:74:55-86
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:74:53-88
    @staticmethod
    def _match_antidiag_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_match_I__(_0_index))
    @staticmethod
    def _match_alt_antidiag_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_alt_match_I__(_0_index))
    def _antidiag_alt_I(self,_t__0_index):
      return self._antidiag_I(numpy.int32(__0_index))
    def _antidiag_I(self,_0_index):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:73:53-93
      return (self.__from_1_Lmosek_4fusion_4Variable_2(mosek_fusion_BaseVariable._antidiag_I(self,_0_index))) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:73:55-91
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:73:53-93
    @staticmethod
    def _match_antidiag_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_antidiag_(*args):
      if len(args) != 0: return False
      return True
    def _antidiag_alt_(self,):
      return self._antidiag_()
    def _antidiag_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:72:41-76
      return (self.__from_1_Lmosek_4fusion_4Variable_2(mosek_fusion_BaseVariable._antidiag_(self))) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:72:43-74
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:72:41-76
    @staticmethod
    def _match_diag_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_match_I__(_0_index))
    @staticmethod
    def _match_alt_diag_I(*args):
      if len(args) != 1: return False
      _0_index, = args
      return (    __arg_alt_match_I__(_0_index))
    def _diag_alt_I(self,_t__0_index):
      return self._diag_I(numpy.int32(__0_index))
    def _diag_I(self,_0_index):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:71:52-88
      return (self.__from_1_Lmosek_4fusion_4Variable_2(mosek_fusion_BaseVariable._diag_I(self,_0_index))) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:71:54-86
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:71:52-88
    @staticmethod
    def _match_diag_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_diag_(*args):
      if len(args) != 0: return False
      return True
    def _diag_alt_(self,):
      return self._diag_()
    def _diag_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:70:41-72
      return (self.__from_1_Lmosek_4fusion_4Variable_2(mosek_fusion_BaseVariable._diag_(self))) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:70:43-70
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:70:41-72
    @staticmethod
    def _match_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_firsta,_1_lasta, = args
      return (    __arg_match__3I__(_0_firsta)
              and __arg_match__3I__(_1_lasta))
    @staticmethod
    def _match_alt_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_firsta,_1_lasta, = args
      return (    __arg_alt_match__3I__(_0_firsta)
              and __arg_alt_match__3I__(_1_lasta))
    def _slice_alt__3I_3I(self,_t__0_firsta,_t__1_lasta):
      _0_firsta=numpy.array(_t__0_firsta,dtype=numpy.dtype(numpy.int32))
      _1_lasta=numpy.array(_t__1_lasta,dtype=numpy.dtype(numpy.int32))
      _1 = self._slice__3I_3I(_0_firsta,_1_lasta)
      try:
        _t__0_firsta[:] = _0_firsta
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_lasta[:] = _1_lasta
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _slice__3I_3I(self,_0_firsta,_1_lasta):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:69:69-113
      return (self.__from_1_Lmosek_4fusion_4Variable_2(mosek_fusion_BaseVariable._slice__3I_3I(self,_0_firsta,_1_lasta))) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:69:71-111
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:69:69-113
    @staticmethod
    def _match_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_match_I__(_0_first)
              and __arg_match_I__(_1_last))
    @staticmethod
    def _match_alt_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_alt_match_I__(_0_first)
              and __arg_alt_match_I__(_1_last))
    def _slice_alt_II(self,_t__0_first,_t__1_last):
      return self._slice_II(numpy.int32(__0_first),numpy.int32(__1_last))
    def _slice_II(self,_0_first,_1_last):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:68:63-105
      return (self.__from_1_Lmosek_4fusion_4Variable_2(mosek_fusion_BaseVariable._slice_II(self,_0_first,_1_last))) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:68:65-103
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:68:63-105
    def __from_1_alt_Lmosek_4fusion_4Variable_2(self,_t__0_v):
      return self.__from_1_Lmosek_4fusion_4Variable_2(_0_v)
    def __from_1_Lmosek_4fusion_4Variable_2(self,_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:52:62-66:7
      _1_shape=self._getShape_() # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:53:12-17
      _2_nnz=_0_v._numInst_() # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:54:12-15
      _3_nativeidxs=numpy.zeros((_2_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:55:12-22
      _4_sparsity=None # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:56:12-28
      if (_0_v._getSize_()==_2_nnz): # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:57:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:57:32-59:9
        _0_v._inst_I_3J(0,_3_nativeidxs) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:58:10-31
        # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:57:32-59:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:60:13-63:9
        _4_sparsity = numpy.zeros((_2_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:61:10-35
        _0_v._inst_I_3JI_3J(0,_4_sparsity,0,_3_nativeidxs) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:62:10-42
        # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:60:13-63:9
      return (mosek_fusion_BoundInterfaceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3JZ(_0_v._getModel_(),_1_shape,_4_sparsity,_3_nativeidxs,self.__islower)) # bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:65:8-90
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceVariable.mbi:52:62-66:7
  return BoundInterfaceVariable
mosek_fusion_BoundInterfaceVariable=__mk_mosek_fusion_BoundInterfaceVariable()
del __mk_mosek_fusion_BoundInterfaceVariable

# origin: bld/herlev/final/default/src/fusion/ModelVariable.mbi:14:4-92:5
#BEFORE CLASS
def __mk_mosek_fusion_ModelVariable():
  class ModelVariable(mosek_fusion_BaseVariable):
    __slots__ = ['_ModelVariable__sparsity','_ModelVariable__shape','_ModelVariable__modelvar_nativeidxs','_ModelVariable__varid','_ModelVariable__name']
    def elementName(self,*args):
      if False: pass
      elif mosek_fusion_ModelVariable._match_elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(*args): # int64,mosek.fusion.Utils.StringBuffer
        return self._elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(*args)
      elif mosek_fusion_ModelVariable._match_alt_elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(*args): # int64,mosek.fusion.Utils.StringBuffer
        return self._elementName_alt_JLmosek_4fusion_4Utils_4StringBuffer_2(*args)
      else:
        raise ValueError('Invalid argument list elementName('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ModelVariable.elementName(int64,mosek.fusion.Utils.StringBuffer)')

    def remove(self,*args):
      if False: pass
      elif mosek_fusion_ModelVariable._match_remove_(*args): # 
        return self._remove_(*args)
      elif mosek_fusion_ModelVariable._match_alt_remove_(*args): # 
        return self._remove_alt_(*args)
      else:
        raise ValueError('Invalid argument list remove('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ModelVariable.remove()')

    def __repr__(self): return 'mosek.fusion.ModelVariable'
    @staticmethod
    def _ctor_Lmosek_4fusion_4ModelVariable_2Lmosek_4fusion_4Model_2(v,m):
      o = ModelVariable.__new__(ModelVariable)
      o._ctor_init_Lmosek_4fusion_4ModelVariable_2Lmosek_4fusion_4Model_2(v,m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4ModelVariable_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      v,m, = args
      return (    __arg_match_Lmosek_4fusion_4ModelVariable_2__(v)
              and __arg_match_Lmosek_4fusion_4Model_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4ModelVariable_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      v,m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4ModelVariable_2__(v)
              and __arg_alt_match_Lmosek_4fusion_4Model_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/ModelVariable.mbi:62:6-72:7
    def _ctor_alt_init_Lmosek_4fusion_4ModelVariable_2Lmosek_4fusion_4Model_2(self,v,m):
      self._ctor_init_Lmosek_4fusion_4ModelVariable_2Lmosek_4fusion_4Model_2(v,m)
    def _ctor_init_Lmosek_4fusion_4ModelVariable_2Lmosek_4fusion_4Model_2(self,v,m):
      # Start scope @ bld/herlev/final/default/src/fusion/ModelVariable.mbi:65:6-72:7
      mosek_fusion_BaseVariable._ctor_init_Lmosek_4fusion_4BaseVariable_2Lmosek_4fusion_4Model_2(self,v,m)# ctor @ bld/herlev/final/default/src/fusion/ModelVariable.mbi:66:8-19
      self.__name = (v.__name) # bld/herlev/final/default/src/fusion/ModelVariable.mbi:67:8-28
      self.__varid = (v.__varid) # bld/herlev/final/default/src/fusion/ModelVariable.mbi:68:8-29
      self.__modelvar_nativeidxs = (v.__modelvar_nativeidxs) # bld/herlev/final/default/src/fusion/ModelVariable.mbi:69:8-52
      self.__shape = (v.__shape) # bld/herlev/final/default/src/fusion/ModelVariable.mbi:70:8-29
      self.__sparsity = (v.__sparsity) # bld/herlev/final/default/src/fusion/ModelVariable.mbi:71:8-32
      # End   scope @ bld/herlev/final/default/src/fusion/ModelVariable.mbi:65:6-72:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2S_3IJ_3J_3J(model,name,shape,varid,sparsity,modelvar_nativeidxs):
      o = ModelVariable.__new__(ModelVariable)
      o._ctor_init_Lmosek_4fusion_4Model_2S_3IJ_3J_3J(model,name,shape,varid,sparsity,modelvar_nativeidxs)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2S_3IJ_3J_3J(*args):
      if len(args) != 6: return False
      model,name,shape,varid,sparsity,modelvar_nativeidxs, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_match_S__(name)
              and __arg_match__3I__(shape)
              and __arg_match_J__(varid)
              and __arg_match__3J__(sparsity)
              and __arg_match__3J__(modelvar_nativeidxs))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2S_3IJ_3J_3J(*args):
      if len(args) != 6: return False
      model,name,shape,varid,sparsity,modelvar_nativeidxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_alt_match_S__(name)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match_J__(varid)
              and __arg_alt_match__3J__(sparsity)
              and __arg_alt_match__3J__(modelvar_nativeidxs))
    # Origin: bld/herlev/final/default/src/fusion/ModelVariable.mbi:44:6-58:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2S_3IJ_3J_3J(self,model,name,shape,varid,sparsity,modelvar_nativeidxs):
      self._ctor_init_Lmosek_4fusion_4Model_2S_3IJ_3J_3J(model,name,numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.int64(varid),numpy.array(sparsity,dtype=numpy.dtype(numpy.int64)),numpy.array(modelvar_nativeidxs,dtype=numpy.dtype(numpy.int64)))
    def _ctor_init_Lmosek_4fusion_4Model_2S_3IJ_3J_3J(self,model,name,shape,varid,sparsity,modelvar_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/ModelVariable.mbi:51:6-58:7
      mosek_fusion_BaseVariable._ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3J(self,model,shape,sparsity,modelvar_nativeidxs)# ctor @ bld/herlev/final/default/src/fusion/ModelVariable.mbi:52:8-56
      (self.__name) = name # bld/herlev/final/default/src/fusion/ModelVariable.mbi:53:8-26
      (self.__varid) = varid # bld/herlev/final/default/src/fusion/ModelVariable.mbi:54:8-27
      (self.__shape) = shape # bld/herlev/final/default/src/fusion/ModelVariable.mbi:55:8-27
      (self.__sparsity) = sparsity # bld/herlev/final/default/src/fusion/ModelVariable.mbi:56:8-33
      (self.__modelvar_nativeidxs) = modelvar_nativeidxs # bld/herlev/final/default/src/fusion/ModelVariable.mbi:57:8-55
      # End   scope @ bld/herlev/final/default/src/fusion/ModelVariable.mbi:51:6-58:7
    def _flushNames_alt_(self,):
      return self._flushNames_()
    def _flushNames_(self,):
      pass
    @staticmethod
    def _match_elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(*args):
      if len(args) != 2: return False
      _0_index,_1_sb, = args
      return (    __arg_match_J__(_0_index)
              and __arg_match_Lmosek_4fusion_4Utils_4StringBuffer_2__(_1_sb))
    @staticmethod
    def _match_alt_elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(*args):
      if len(args) != 2: return False
      _0_index,_1_sb, = args
      return (    __arg_alt_match_J__(_0_index)
              and __arg_alt_match_Lmosek_4fusion_4Utils_4StringBuffer_2__(_1_sb))
    def _elementName_alt_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_t__0_index,_t__1_sb):
      return self._elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(numpy.int64(__0_index),_1_sb)
    def _elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_0_index,_1_sb):
      # Start scope @ bld/herlev/final/default/src/fusion/ModelVariable.mbi:85:6-88:7
      _1_sb._a_S(("_" if ((int(len(self.__name))==0) ) else self.__name))._a_S("[")._a_S(mosek.fusion.Set._indexToString__3IJ(self.__shape,_0_index))._a_S("]") # bld/herlev/final/default/src/fusion/ModelVariable.mbi:86:8-87:59
      # End   scope @ bld/herlev/final/default/src/fusion/ModelVariable.mbi:85:6-88:7
    @staticmethod
    def _match_remove_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_remove_(*args):
      if len(args) != 0: return False
      return True
    def _remove_alt_(self,):
      return self._remove_()
    def _remove_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ModelVariable.mbi:78:29-80:7
      self._getModel_()._removeVariableBlock_J(self.__varid) # bld/herlev/final/default/src/fusion/ModelVariable.mbi:79:8-46
      # End   scope @ bld/herlev/final/default/src/fusion/ModelVariable.mbi:78:29-80:7
    def _clone_alt_Lmosek_4fusion_4Model_2(self,_t__0_m):
      return self._clone_Lmosek_4fusion_4Model_2(_0_m)
    def _clone_Lmosek_4fusion_4Model_2(self,_0_m):
      pass
  return ModelVariable
mosek_fusion_ModelVariable=__mk_mosek_fusion_ModelVariable()
del __mk_mosek_fusion_ModelVariable

# origin: bld/herlev/final/default/src/fusion/RangedVariable.mbi:15:4-125:5
#BEFORE CLASS
def __mk_mosek_fusion_RangedVariable():
  class RangedVariable(mosek_fusion_ModelVariable):
    __slots__ = ['_RangedVariable__shape','_RangedVariable__name','_RangedVariable__names_flushed','_RangedVariable__nativeidxs','_RangedVariable__sparsity']
    def elementDesc(self,*args):
      if False: pass
      elif mosek_fusion_RangedVariable._match_elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(*args): # int64,mosek.fusion.Utils.StringBuffer
        return self._elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(*args)
      elif mosek_fusion_RangedVariable._match_alt_elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(*args): # int64,mosek.fusion.Utils.StringBuffer
        return self._elementDesc_alt_JLmosek_4fusion_4Utils_4StringBuffer_2(*args)
      else:
        raise ValueError('Invalid argument list elementDesc('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RangedVariable.elementDesc(int64,mosek.fusion.Utils.StringBuffer)')

    def lowerBoundVar(self,*args):
      if False: pass
      elif mosek_fusion_RangedVariable._match_lowerBoundVar_(*args): # 
        return self._lowerBoundVar_(*args)
      elif mosek_fusion_RangedVariable._match_alt_lowerBoundVar_(*args): # 
        return self._lowerBoundVar_alt_(*args)
      else:
        raise ValueError('Invalid argument list lowerBoundVar('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RangedVariable.lowerBoundVar()')

    def upperBoundVar(self,*args):
      if False: pass
      elif mosek_fusion_RangedVariable._match_upperBoundVar_(*args): # 
        return self._upperBoundVar_(*args)
      elif mosek_fusion_RangedVariable._match_alt_upperBoundVar_(*args): # 
        return self._upperBoundVar_alt_(*args)
      else:
        raise ValueError('Invalid argument list upperBoundVar('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RangedVariable.upperBoundVar()')

    def __repr__(self): return 'mosek.fusion.RangedVariable'
    @staticmethod
    def _ctor_Lmosek_4fusion_4RangedVariable_2Lmosek_4fusion_4Model_2(v,m):
      o = RangedVariable.__new__(RangedVariable)
      o._ctor_init_Lmosek_4fusion_4RangedVariable_2Lmosek_4fusion_4Model_2(v,m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4RangedVariable_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      v,m, = args
      return (    __arg_match_Lmosek_4fusion_4RangedVariable_2__(v)
              and __arg_match_Lmosek_4fusion_4Model_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4RangedVariable_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      v,m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4RangedVariable_2__(v)
              and __arg_alt_match_Lmosek_4fusion_4Model_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/RangedVariable.mbi:55:6-64:7
    def _ctor_alt_init_Lmosek_4fusion_4RangedVariable_2Lmosek_4fusion_4Model_2(self,v,m):
      self._ctor_init_Lmosek_4fusion_4RangedVariable_2Lmosek_4fusion_4Model_2(v,m)
    def _ctor_init_Lmosek_4fusion_4RangedVariable_2Lmosek_4fusion_4Model_2(self,v,m):
      # Start scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:56:6-64:7
      mosek_fusion_ModelVariable._ctor_init_Lmosek_4fusion_4ModelVariable_2Lmosek_4fusion_4Model_2(self,v,m)# ctor @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:57:8-19
      self.__name = (v.__name) # bld/herlev/final/default/src/fusion/RangedVariable.mbi:59:8-22
      self.__nativeidxs = (v.__nativeidxs) # bld/herlev/final/default/src/fusion/RangedVariable.mbi:60:8-34
      self.__sparsity = (v.__sparsity) # bld/herlev/final/default/src/fusion/RangedVariable.mbi:61:8-30
      self.__names_flushed = (v.__names_flushed) # bld/herlev/final/default/src/fusion/RangedVariable.mbi:62:8-40
      self.__shape = (v.__shape) # bld/herlev/final/default/src/fusion/RangedVariable.mbi:63:8-24
      # End   scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:56:6-64:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(model,name,varid,shape,sparsity,nativeidxs):
      o = RangedVariable.__new__(RangedVariable)
      o._ctor_init_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(model,name,varid,shape,sparsity,nativeidxs)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(*args):
      if len(args) != 6: return False
      model,name,varid,shape,sparsity,nativeidxs, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_match_S__(name)
              and __arg_match_J__(varid)
              and __arg_match__3I__(shape)
              and __arg_match__3J__(sparsity)
              and __arg_match__3I__(nativeidxs))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(*args):
      if len(args) != 6: return False
      model,name,varid,shape,sparsity,nativeidxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_alt_match_S__(name)
              and __arg_alt_match_J__(varid)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match__3J__(sparsity)
              and __arg_alt_match__3I__(nativeidxs))
    # Origin: bld/herlev/final/default/src/fusion/RangedVariable.mbi:39:6-53:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(self,model,name,varid,shape,sparsity,nativeidxs):
      self._ctor_init_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(model,name,numpy.int64(varid),numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(sparsity,dtype=numpy.dtype(numpy.int64)),numpy.array(nativeidxs,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(self,model,name,varid,shape,sparsity,nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:46:6-53:7
      mosek_fusion_ModelVariable._ctor_init_Lmosek_4fusion_4Model_2S_3IJ_3J_3J(self,model,name,shape,varid,sparsity,mosek.fusion.RangedVariable.__globalNativeIndexes__3I(nativeidxs))# ctor @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:47:8-82
      (self.__nativeidxs) = nativeidxs # bld/herlev/final/default/src/fusion/RangedVariable.mbi:48:8-37
      (self.__sparsity) = sparsity # bld/herlev/final/default/src/fusion/RangedVariable.mbi:49:8-33
      (self.__name) = name # bld/herlev/final/default/src/fusion/RangedVariable.mbi:50:8-25
      (self.__shape) = shape # bld/herlev/final/default/src/fusion/RangedVariable.mbi:51:8-27
      self.__names_flushed = False # bld/herlev/final/default/src/fusion/RangedVariable.mbi:52:8-30
      # End   scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:46:6-53:7
    @staticmethod
    def _match_elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(*args):
      if len(args) != 2: return False
      _0_index,_1_sb, = args
      return (    __arg_match_J__(_0_index)
              and __arg_match_Lmosek_4fusion_4Utils_4StringBuffer_2__(_1_sb))
    @staticmethod
    def _match_alt_elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(*args):
      if len(args) != 2: return False
      _0_index,_1_sb, = args
      return (    __arg_alt_match_J__(_0_index)
              and __arg_alt_match_Lmosek_4fusion_4Utils_4StringBuffer_2__(_1_sb))
    def _elementDesc_alt_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_t__0_index,_t__1_sb):
      return self._elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(numpy.int64(__0_index),_1_sb)
    def _elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_0_index,_1_sb):
      # Start scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:120:6-124:7
      self._elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(_0_index,_1_sb) # bld/herlev/final/default/src/fusion/RangedVariable.mbi:121:8-30
      _1_sb._a_S(" : in range") # bld/herlev/final/default/src/fusion/RangedVariable.mbi:122:8-28
      return (_1_sb) # bld/herlev/final/default/src/fusion/RangedVariable.mbi:123:8-18
      # End   scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:120:6-124:7
    def _flushNames_alt_(self,):
      return self._flushNames_()
    def _flushNames_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:99:6-116:7
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:99:6-116:7
    def _dual_1u_alt_I_3D(self,_t__0_offset,_t__1_target):
      _0_offset=numpy.int32(_t__0_offset)
      _1_target=numpy.array(_t__1_target,dtype=numpy.dtype(numpy.float64))
      _1 = self._dual_1u_I_3D(_0_offset,_1_target)
      try:
        _t__1_target[:] = _1_target
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _dual_1u_I_3D(self,_0_offset,_1_target):
      # Start scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:94:6-96:7
      self._dual_1lu_I_3DZ(_0_offset,_1_target,False) # bld/herlev/final/default/src/fusion/RangedVariable.mbi:95:8-37
      # End   scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:94:6-96:7
    def _dual_1l_alt_I_3D(self,_t__0_offset,_t__1_target):
      _0_offset=numpy.int32(_t__0_offset)
      _1_target=numpy.array(_t__1_target,dtype=numpy.dtype(numpy.float64))
      _1 = self._dual_1l_I_3D(_0_offset,_1_target)
      try:
        _t__1_target[:] = _1_target
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _dual_1l_I_3D(self,_0_offset,_1_target):
      # Start scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:86:6-88:7
      self._dual_1lu_I_3DZ(_0_offset,_1_target,True) # bld/herlev/final/default/src/fusion/RangedVariable.mbi:87:8-36
      # End   scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:86:6-88:7
    @staticmethod
    def _match_upperBoundVar_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_upperBoundVar_(*args):
      if len(args) != 0: return False
      return True
    def _upperBoundVar_alt_(self,):
      return self._upperBoundVar_()
    def _upperBoundVar_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:79:59-81:7
      return (mosek_fusion_BoundInterfaceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3JZ(self._getModel_(),self.__shape,self.__sparsity,numpy.array([self.__nativeidxs[_0_i] for _0_i in range(0,int((self.__nativeidxs).shape[0]))], dtype=numpy.dtype(numpy.int64)),False)) # bld/herlev/final/default/src/fusion/RangedVariable.mbi:80:8-130
      # End   scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:79:59-81:7
    @staticmethod
    def _match_lowerBoundVar_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_lowerBoundVar_(*args):
      if len(args) != 0: return False
      return True
    def _lowerBoundVar_alt_(self,):
      return self._lowerBoundVar_()
    def _lowerBoundVar_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:73:59-75:7
      return (mosek_fusion_BoundInterfaceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3JZ(self._getModel_(),self.__shape,self.__sparsity,numpy.array([self.__nativeidxs[_0_i] for _0_i in range(0,int((self.__nativeidxs).shape[0]))], dtype=numpy.dtype(numpy.int64)),True)) # bld/herlev/final/default/src/fusion/RangedVariable.mbi:74:8-129
      # End   scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:73:59-75:7
    def _clone_alt_Lmosek_4fusion_4Model_2(self,_t__0_m):
      return self._clone_Lmosek_4fusion_4Model_2(_0_m)
    def _clone_Lmosek_4fusion_4Model_2(self,_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:66:52-68:7
      return (mosek_fusion_RangedVariable._ctor_Lmosek_4fusion_4RangedVariable_2Lmosek_4fusion_4Model_2(self,_0_m)) # bld/herlev/final/default/src/fusion/RangedVariable.mbi:67:8-42
      # End   scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:66:52-68:7
    @staticmethod
    def __globalNativeIndexes_alt__3I(_t__0_nativeidxs):
      _0_nativeidxs=numpy.array(_t__0_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_RangedVariable.__globalNativeIndexes__3I(_0_nativeidxs)
      try:
        _t__0_nativeidxs[:] = _0_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __globalNativeIndexes__3I(_0_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:25:75-28:7
      _1_r=numpy.zeros((int((_0_nativeidxs).shape[0]),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/RangedVariable.mbi:26:12-13
      fragments._c_closure_191(_0_nativeidxs,_1_r) # bld/herlev/final/default/src/fusion/RangedVariable.mbi:26:44-98
      return (_1_r) # bld/herlev/final/default/src/fusion/RangedVariable.mbi:27:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/RangedVariable.mbi:25:75-28:7
  return RangedVariable
mosek_fusion_RangedVariable=__mk_mosek_fusion_RangedVariable()
del __mk_mosek_fusion_RangedVariable

# origin: bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:8:4-73:5
#BEFORE CLASS
def __mk_mosek_fusion_LinearPSDVariable():
  class LinearPSDVariable(mosek_fusion_ModelVariable):
    __slots__ = ['_LinearPSDVariable__shape','_LinearPSDVariable__name','_LinearPSDVariable__varid','_LinearPSDVariable__nativeidxs','_LinearPSDVariable__conedim']
    def toString(self,*args):
      if False: pass
      elif mosek_fusion_LinearPSDVariable._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_LinearPSDVariable._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinearPSDVariable.toString()')

    def make_continuous(self,*args):
      if False: pass
      elif mosek_fusion_LinearPSDVariable._match_make_1continuous_(*args): # 
        return self._make_1continuous_(*args)
      elif mosek_fusion_LinearPSDVariable._match_alt_make_1continuous_(*args): # 
        return self._make_1continuous_alt_(*args)
      elif mosek_fusion_LinearPSDVariable._match_make_1continuous__3J(*args): # []int64
        return self._make_1continuous__3J(*args)
      elif mosek_fusion_LinearPSDVariable._match_alt_make_1continuous__3J(*args): # []int64
        return self._make_1continuous_alt__3J(*args)
      else:
        raise ValueError('Invalid argument list make_continuous('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinearPSDVariable.make_continuous()\n\tmosek.fusion.LinearPSDVariable.make_continuous(array(int64,ndim=1))')

    def make_integer(self,*args):
      if False: pass
      elif mosek_fusion_LinearPSDVariable._match_make_1integer_(*args): # 
        return self._make_1integer_(*args)
      elif mosek_fusion_LinearPSDVariable._match_alt_make_1integer_(*args): # 
        return self._make_1integer_alt_(*args)
      elif mosek_fusion_LinearPSDVariable._match_make_1integer__3J(*args): # []int64
        return self._make_1integer__3J(*args)
      elif mosek_fusion_LinearPSDVariable._match_alt_make_1integer__3J(*args): # []int64
        return self._make_1integer_alt__3J(*args)
      else:
        raise ValueError('Invalid argument list make_integer('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinearPSDVariable.make_integer()\n\tmosek.fusion.LinearPSDVariable.make_integer(array(int64,ndim=1))')

    def __repr__(self): return 'mosek.fusion.LinearPSDVariable'
    @staticmethod
    def _ctor_Lmosek_4fusion_4LinearPSDVariable_2Lmosek_4fusion_4Model_2(v,m):
      o = LinearPSDVariable.__new__(LinearPSDVariable)
      o._ctor_init_Lmosek_4fusion_4LinearPSDVariable_2Lmosek_4fusion_4Model_2(v,m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4LinearPSDVariable_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      v,m, = args
      return (    __arg_match_Lmosek_4fusion_4LinearPSDVariable_2__(v)
              and __arg_match_Lmosek_4fusion_4Model_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4LinearPSDVariable_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      v,m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4LinearPSDVariable_2__(v)
              and __arg_alt_match_Lmosek_4fusion_4Model_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:35:6-43:7
    def _ctor_alt_init_Lmosek_4fusion_4LinearPSDVariable_2Lmosek_4fusion_4Model_2(self,v,m):
      self._ctor_init_Lmosek_4fusion_4LinearPSDVariable_2Lmosek_4fusion_4Model_2(v,m)
    def _ctor_init_Lmosek_4fusion_4LinearPSDVariable_2Lmosek_4fusion_4Model_2(self,v,m):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:36:6-43:7
      mosek_fusion_ModelVariable._ctor_init_Lmosek_4fusion_4ModelVariable_2Lmosek_4fusion_4Model_2(self,v,m)# ctor @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:37:8-19
      (self.__conedim) = (v.__conedim) # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:38:8-33
      (self.__varid) = (v.__varid) # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:39:8-31
      (self.__name) = (v.__name) # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:40:8-30
      (self.__shape) = (v.__shape) # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:41:8-31
      (self.__nativeidxs) = (v.__nativeidxs) # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:42:8-39
      # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:36:6-43:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2SI_3II_3J(model,name,varid,shape,conedim,nativeidxs):
      o = LinearPSDVariable.__new__(LinearPSDVariable)
      o._ctor_init_Lmosek_4fusion_4Model_2SI_3II_3J(model,name,varid,shape,conedim,nativeidxs)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2SI_3II_3J(*args):
      if len(args) != 6: return False
      model,name,varid,shape,conedim,nativeidxs, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_match_S__(name)
              and __arg_match_I__(varid)
              and __arg_match__3I__(shape)
              and __arg_match_I__(conedim)
              and __arg_match__3J__(nativeidxs))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2SI_3II_3J(*args):
      if len(args) != 6: return False
      model,name,varid,shape,conedim,nativeidxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_alt_match_S__(name)
              and __arg_alt_match_I__(varid)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match_I__(conedim)
              and __arg_alt_match__3J__(nativeidxs))
    # Origin: bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:19:6-33:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2SI_3II_3J(self,model,name,varid,shape,conedim,nativeidxs):
      self._ctor_init_Lmosek_4fusion_4Model_2SI_3II_3J(model,name,numpy.int32(varid),numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.int32(conedim),numpy.array(nativeidxs,dtype=numpy.dtype(numpy.int64)))
    def _ctor_init_Lmosek_4fusion_4Model_2SI_3II_3J(self,model,name,varid,shape,conedim,nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:26:6-33:7
      mosek_fusion_ModelVariable._ctor_init_Lmosek_4fusion_4Model_2S_3IJ_3J_3J(self,model,name,shape,varid,None,mosek.fusion.LinearPSDVariable.__globalNativeIndexes__3J(nativeidxs))# ctor @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:27:8-75
      (self.__name) = name # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:28:8-31
      (self.__conedim) = conedim # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:29:8-34
      (self.__varid) = varid # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:30:8-32
      (self.__shape) = shape # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:31:8-32
      (self.__nativeidxs) = nativeidxs # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:32:8-37
      # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:26:6-33:7
    def _flushNames_alt_(self,):
      return self._flushNames_()
    def _flushNames_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:71:36-38
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:71:36-38
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:61:6-69:7
      _0_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:62:12-14
      _0_sb._a_S("PSDVariable(") # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:63:8-29
      if (int(len(self.__name)) > 0): # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:64:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:64:27-53
        _0_sb._a_S("'")._a_S(self.__name)._a_S("',") # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:64:27-53
        # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:64:27-53
      _0_sb._a_I(self.__shape[0]) # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:65:8-23
      for _1_i in range(1,int((self.__shape).shape[0])): # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:66:8-59
        # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:66:37-59
        _0_sb._a_S(",")._a_I(self.__shape[_1_i]) # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:66:37-59
        # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:66:37-59
      _0_sb._a_S(")") # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:67:8-18
      return (_0_sb._toString_()) # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:68:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:61:6-69:7
    @staticmethod
    def _match_make_1continuous__3J(*args):
      if len(args) != 1: return False
      _0_idxs, = args
      return (    __arg_match__3J__(_0_idxs))
    @staticmethod
    def _match_alt_make_1continuous__3J(*args):
      if len(args) != 1: return False
      _0_idxs, = args
      return (    __arg_alt_match__3J__(_0_idxs))
    def _make_1continuous_alt__3J(self,_t__0_idxs):
      _0_idxs=numpy.array(_t__0_idxs,dtype=numpy.dtype(numpy.int64))
      _1 = self._make_1continuous__3J(_0_idxs)
      try:
        _t__0_idxs[:] = _0_idxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _make_1continuous__3J(self,_0_idxs):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:57:6-58:7
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:57:6-58:7
    @staticmethod
    def _match_make_1integer__3J(*args):
      if len(args) != 1: return False
      _0_idxs, = args
      return (    __arg_match__3J__(_0_idxs))
    @staticmethod
    def _match_alt_make_1integer__3J(*args):
      if len(args) != 1: return False
      _0_idxs, = args
      return (    __arg_alt_match__3J__(_0_idxs))
    def _make_1integer_alt__3J(self,_t__0_idxs):
      _0_idxs=numpy.array(_t__0_idxs,dtype=numpy.dtype(numpy.int64))
      _1 = self._make_1integer__3J(_0_idxs)
      try:
        _t__0_idxs[:] = _0_idxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _make_1integer__3J(self,_0_idxs):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:52:6-54:7
      raise mosek_fusion_UnimplementedError._ctor_S("Cannot make PSDVariable elements integer") # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:53:8-81
      # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:52:6-54:7
    def _clone_alt_Lmosek_4fusion_4Model_2(self,_t__0_m):
      return self._clone_Lmosek_4fusion_4Model_2(_0_m)
    def _clone_Lmosek_4fusion_4Model_2(self,_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:46:6-48:7
      return (mosek_fusion_LinearPSDVariable._ctor_Lmosek_4fusion_4LinearPSDVariable_2Lmosek_4fusion_4Model_2(self,_0_m)) # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:47:8-45
      # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:46:6-48:7
    @staticmethod
    def __globalNativeIndexes_alt__3J(_t__0_nativeidxs):
      _0_nativeidxs=numpy.array(_t__0_nativeidxs,dtype=numpy.dtype(numpy.int64))
      _1 = mosek_fusion_LinearPSDVariable.__globalNativeIndexes__3J(_0_nativeidxs)
      try:
        _t__0_nativeidxs[:] = _0_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __globalNativeIndexes__3J(_0_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:17:75-147
      return (numpy.array([(- (_0_nativeidxs[_1_i] + 1)) for _1_i in range(0,int((_0_nativeidxs).shape[0]))], dtype=numpy.dtype(numpy.int64))) # bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:17:77-145
      # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDVariable.monty:17:75-147
  return LinearPSDVariable
mosek_fusion_LinearPSDVariable=__mk_mosek_fusion_LinearPSDVariable()
del __mk_mosek_fusion_LinearPSDVariable

# origin: bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:8:4-139:5
#BEFORE CLASS
def __mk_mosek_fusion_PSDVariable():
  class PSDVariable(mosek_fusion_ModelVariable):
    __slots__ = ['_PSDVariable__model','_PSDVariable__names_flushed','_PSDVariable__barvaridxs','_PSDVariable__conedim2','_PSDVariable__conedim1','_PSDVariable__shape','_PSDVariable__name','_PSDVariable__nativeidxs','_PSDVariable__varid']
    def toString(self,*args):
      if False: pass
      elif mosek_fusion_PSDVariable._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_PSDVariable._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.PSDVariable.toString()')

    def elementDesc(self,*args):
      if False: pass
      elif mosek_fusion_PSDVariable._match_elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(*args): # int64,mosek.fusion.Utils.StringBuffer
        return self._elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(*args)
      elif mosek_fusion_PSDVariable._match_alt_elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(*args): # int64,mosek.fusion.Utils.StringBuffer
        return self._elementDesc_alt_JLmosek_4fusion_4Utils_4StringBuffer_2(*args)
      else:
        raise ValueError('Invalid argument list elementDesc('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.PSDVariable.elementDesc(int64,mosek.fusion.Utils.StringBuffer)')

    def __repr__(self): return 'mosek.fusion.PSDVariable'
    @staticmethod
    def _ctor_Lmosek_4fusion_4PSDVariable_2Lmosek_4fusion_4Model_2(v,m):
      o = PSDVariable.__new__(PSDVariable)
      o._ctor_init_Lmosek_4fusion_4PSDVariable_2Lmosek_4fusion_4Model_2(v,m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4PSDVariable_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      v,m, = args
      return (    __arg_match_Lmosek_4fusion_4PSDVariable_2__(v)
              and __arg_match_Lmosek_4fusion_4Model_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4PSDVariable_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      v,m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4PSDVariable_2__(v)
              and __arg_alt_match_Lmosek_4fusion_4Model_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:89:6-102:7
    def _ctor_alt_init_Lmosek_4fusion_4PSDVariable_2Lmosek_4fusion_4Model_2(self,v,m):
      self._ctor_init_Lmosek_4fusion_4PSDVariable_2Lmosek_4fusion_4Model_2(v,m)
    def _ctor_init_Lmosek_4fusion_4PSDVariable_2Lmosek_4fusion_4Model_2(self,v,m):
      # Start scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:90:6-102:7
      mosek_fusion_ModelVariable._ctor_init_Lmosek_4fusion_4ModelVariable_2Lmosek_4fusion_4Model_2(self,v,m)# ctor @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:91:8-19
      self.__varid = (v.__varid) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:92:8-34
      self.__nativeidxs = (v.__nativeidxs) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:93:8-39
      self.__name = (v.__name) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:94:8-33
      self.__shape = (v.__shape) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:95:8-34
      self.__conedim1 = (v.__conedim1) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:96:8-37
      self.__conedim2 = (v.__conedim2) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:97:8-37
      self.__names_flushed = False # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:98:8-32
      self.__model = m # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:99:8-28
      self.__barvaridxs = (v.__barvaridxs) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:101:8-39
      # End   scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:90:6-102:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2SI_3III_3I_3J(model,name,varid,shape,conedim1,conedim2,barvaridxs,nativeidxs):
      o = PSDVariable.__new__(PSDVariable)
      o._ctor_init_Lmosek_4fusion_4Model_2SI_3III_3I_3J(model,name,varid,shape,conedim1,conedim2,barvaridxs,nativeidxs)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2SI_3III_3I_3J(*args):
      if len(args) != 8: return False
      model,name,varid,shape,conedim1,conedim2,barvaridxs,nativeidxs, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_match_S__(name)
              and __arg_match_I__(varid)
              and __arg_match__3I__(shape)
              and __arg_match_I__(conedim1)
              and __arg_match_I__(conedim2)
              and __arg_match__3I__(barvaridxs)
              and __arg_match__3J__(nativeidxs))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2SI_3III_3I_3J(*args):
      if len(args) != 8: return False
      model,name,varid,shape,conedim1,conedim2,barvaridxs,nativeidxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_alt_match_S__(name)
              and __arg_alt_match_I__(varid)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match_I__(conedim1)
              and __arg_alt_match_I__(conedim2)
              and __arg_alt_match__3I__(barvaridxs)
              and __arg_alt_match__3J__(nativeidxs))
    # Origin: bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:66:6-87:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2SI_3III_3I_3J(self,model,name,varid,shape,conedim1,conedim2,barvaridxs,nativeidxs):
      self._ctor_init_Lmosek_4fusion_4Model_2SI_3III_3I_3J(model,name,numpy.int32(varid),numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.int32(conedim1),numpy.int32(conedim2),numpy.array(barvaridxs,dtype=numpy.dtype(numpy.int32)),numpy.array(nativeidxs,dtype=numpy.dtype(numpy.int64)))
    def _ctor_init_Lmosek_4fusion_4Model_2SI_3III_3I_3J(self,model,name,varid,shape,conedim1,conedim2,barvaridxs,nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:75:6-87:7
      mosek_fusion_ModelVariable._ctor_init_Lmosek_4fusion_4Model_2S_3IJ_3J_3J(self,model,name,shape,varid,None,mosek.fusion.PSDVariable.__fullnativeidxs__3III_3J(shape,conedim1,conedim2,nativeidxs))# ctor @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:76:8-98
      (self.__varid) = varid # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:77:8-32
      (self.__nativeidxs) = nativeidxs # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:78:8-37
      (self.__name) = name # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:79:8-31
      (self.__shape) = shape # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:80:8-32
      (self.__conedim1) = conedim1 # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:81:8-35
      (self.__conedim2) = conedim2 # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:82:8-35
      self.__names_flushed = False # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:83:8-32
      (self.__model) = model # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:84:8-32
      (self.__barvaridxs) = barvaridxs # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:85:8-37
      # End   scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:75:6-87:7
    def _flushNames_alt_(self,):
      return self._flushNames_()
    def _flushNames_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:130:36-137:7
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:130:36-137:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:120:6-128:7
      _0_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:121:12-14
      _0_sb._a_S("PSDVariable(") # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:122:8-29
      if (int(len(self.__name)) > 0): # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:123:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:123:27-53
        _0_sb._a_S("'")._a_S(self.__name)._a_S("',") # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:123:27-53
        # End   scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:123:27-53
      _0_sb._a_I(self.__shape[0]) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:124:8-23
      for _1_i in range(1,int((self.__shape).shape[0])): # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:125:8-59
        # Start scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:125:37-59
        _0_sb._a_S(",")._a_I(self.__shape[_1_i]) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:125:37-59
        # End   scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:125:37-59
      _0_sb._a_S(")") # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:126:8-18
      return (_0_sb._toString_()) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:127:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:120:6-128:7
    @staticmethod
    def _match_elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(*args):
      if len(args) != 2: return False
      _0_index,_1_sb, = args
      return (    __arg_match_J__(_0_index)
              and __arg_match_Lmosek_4fusion_4Utils_4StringBuffer_2__(_1_sb))
    @staticmethod
    def _match_alt_elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(*args):
      if len(args) != 2: return False
      _0_index,_1_sb, = args
      return (    __arg_alt_match_J__(_0_index)
              and __arg_alt_match_Lmosek_4fusion_4Utils_4StringBuffer_2__(_1_sb))
    def _elementDesc_alt_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_t__0_index,_t__1_sb):
      return self._elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(numpy.int64(__0_index),_1_sb)
    def _elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_0_index,_1_sb):
      # Start scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:112:6-116:7
      self._elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(_0_index,_1_sb) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:113:8-30
      _1_sb._a_S(" : element in positive semidefinite cone") # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:114:8-57
      return (_1_sb) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:115:8-18
      # End   scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:112:6-116:7
    def _clone_alt_Lmosek_4fusion_4Model_2(self,_t__0_m):
      return self._clone_Lmosek_4fusion_4Model_2(_0_m)
    def _clone_Lmosek_4fusion_4Model_2(self,_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:105:6-107:7
      return (mosek_fusion_PSDVariable._ctor_Lmosek_4fusion_4PSDVariable_2Lmosek_4fusion_4Model_2(self,_0_m)) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:106:8-39
      # End   scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:105:6-107:7
    @staticmethod
    def __fullnativeidxs_alt__3III_3J(_t__0_shape,_t__1_conedim1,_t__2_conedim2,_t__3_nativeidxs):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1_conedim1=numpy.int32(_t__1_conedim1)
      _2_conedim2=numpy.int32(_t__2_conedim2)
      _3_nativeidxs=numpy.array(_t__3_nativeidxs,dtype=numpy.dtype(numpy.int64))
      _1 = mosek_fusion_PSDVariable.__fullnativeidxs__3III_3J(_0_shape,_1_conedim1,_2_conedim2,_3_nativeidxs)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_nativeidxs[:] = _3_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __fullnativeidxs__3III_3J(_0_shape,_1_conedim1,_2_conedim2,_3_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:23:116-59:7
      _4_nd=int((_0_shape).shape[0]) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:24:12-14
      _5_tril=(_1_conedim1 < _2_conedim2) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:25:12-16
      _6_cd1=(_1_conedim1 if (_5_tril ) else _2_conedim2) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:26:12-15
      _7_cd2=(_1_conedim1 if ((not _5_tril) ) else _2_conedim2) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:27:12-15
      _8_d0=1 # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:29:12-14
      _8_d0 = fragments._c_closure_192(_6_cd1,_8_d0,_0_shape) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:29:20-56
      _8_d0 = numpy.int32(_8_d0) # postprocess
      _9_d1=_0_shape[_6_cd1] # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:30:12-14
      _10_d2=1 # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:31:12-14
      _10_d2 = fragments._c_closure_193(_6_cd1,_7_cd2,_10_d2,_0_shape) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:31:20-60
      _10_d2 = numpy.int32(_10_d2) # postprocess
      _11_d3=_0_shape[_7_cd2] # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:32:12-14
      _12_d4=1 # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:33:12-14
      _12_d4 = fragments._c_closure_194(_7_cd2,_12_d4,_4_nd,_0_shape) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:33:20-59
      _12_d4 = numpy.int32(_12_d4) # postprocess
      _13_size=((((_8_d0 * _9_d1) * _10_d2) * _11_d3) * _12_d4) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:35:12-16
      _14_residxs=numpy.zeros((_13_size,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:36:12-19
      _15_s3=_12_d4 # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:38:12-14
      _16_s2=(_15_s3 * _11_d3) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:39:12-14
      _17_s1=(_16_s2 * _10_d2) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:40:12-14
      _18_s0=(_17_s1 * _17_s1) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:41:12-14
      # Start scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:43:8-56:9
      fragments._c_closure_195(_8_d0,_9_d1,_10_d2,_11_d3,_12_d4,_3_nativeidxs,_14_residxs,_18_s0,_17_s1,_16_s2,_15_s3) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:43:8-56:9
      # End   scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:43:8-56:9
      return (_14_residxs) # bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:58:8-23
      # End   scope @ bld/herlev/final/default/src/fusion/SemidefiniteVariable.mbi:23:116-59:7
  return PSDVariable
mosek_fusion_PSDVariable=__mk_mosek_fusion_PSDVariable()
del __mk_mosek_fusion_PSDVariable

# origin: bld/herlev/final/default/src/fusion/LinearVariable.mbi:21:4-111:5
#BEFORE CLASS
def __mk_mosek_fusion_LinearVariable():
  class LinearVariable(mosek_fusion_ModelVariable):
    __slots__ = ['_LinearVariable__shape','_LinearVariable__sparsity','_LinearVariable__nativeidxs','_LinearVariable__names_flushed','_LinearVariable__name']
    def toString(self,*args):
      if False: pass
      elif mosek_fusion_LinearVariable._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_LinearVariable._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinearVariable.toString()')

    def __repr__(self): return 'mosek.fusion.LinearVariable'
    @staticmethod
    def _ctor_Lmosek_4fusion_4LinearVariable_2Lmosek_4fusion_4Model_2(v,m):
      o = LinearVariable.__new__(LinearVariable)
      o._ctor_init_Lmosek_4fusion_4LinearVariable_2Lmosek_4fusion_4Model_2(v,m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4LinearVariable_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      v,m, = args
      return (    __arg_match_Lmosek_4fusion_4LinearVariable_2__(v)
              and __arg_match_Lmosek_4fusion_4Model_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4LinearVariable_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      v,m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4LinearVariable_2__(v)
              and __arg_alt_match_Lmosek_4fusion_4Model_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/LinearVariable.mbi:53:6-62:7
    def _ctor_alt_init_Lmosek_4fusion_4LinearVariable_2Lmosek_4fusion_4Model_2(self,v,m):
      self._ctor_init_Lmosek_4fusion_4LinearVariable_2Lmosek_4fusion_4Model_2(v,m)
    def _ctor_init_Lmosek_4fusion_4LinearVariable_2Lmosek_4fusion_4Model_2(self,v,m):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:54:6-62:7
      mosek_fusion_ModelVariable._ctor_init_Lmosek_4fusion_4ModelVariable_2Lmosek_4fusion_4Model_2(self,v,m)# ctor @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:55:8-19
      self.__names_flushed = (v.__names_flushed) # bld/herlev/final/default/src/fusion/LinearVariable.mbi:56:8-40
      self.__nativeidxs = (v.__nativeidxs) # bld/herlev/final/default/src/fusion/LinearVariable.mbi:57:8-37
      self.__sparsity = (v.__sparsity) # bld/herlev/final/default/src/fusion/LinearVariable.mbi:58:8-35
      self.__shape = (v.__shape) # bld/herlev/final/default/src/fusion/LinearVariable.mbi:59:8-32
      self.__name = (v.__name) # bld/herlev/final/default/src/fusion/LinearVariable.mbi:60:8-31
      # End   scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:54:6-62:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(model,name,varid,shape,sparsity,nativeidxs):
      o = LinearVariable.__new__(LinearVariable)
      o._ctor_init_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(model,name,varid,shape,sparsity,nativeidxs)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(*args):
      if len(args) != 6: return False
      model,name,varid,shape,sparsity,nativeidxs, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_match_S__(name)
              and __arg_match_J__(varid)
              and __arg_match__3I__(shape)
              and __arg_match__3J__(sparsity)
              and __arg_match__3I__(nativeidxs))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(*args):
      if len(args) != 6: return False
      model,name,varid,shape,sparsity,nativeidxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_alt_match_S__(name)
              and __arg_alt_match_J__(varid)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match__3J__(sparsity)
              and __arg_alt_match__3I__(nativeidxs))
    # Origin: bld/herlev/final/default/src/fusion/LinearVariable.mbi:36:6-51:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(self,model,name,varid,shape,sparsity,nativeidxs):
      self._ctor_init_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(model,name,numpy.int64(varid),numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(sparsity,dtype=numpy.dtype(numpy.int64)),numpy.array(nativeidxs,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_Lmosek_4fusion_4Model_2SJ_3I_3J_3I(self,model,name,varid,shape,sparsity,nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:43:6-51:7
      mosek_fusion_ModelVariable._ctor_init_Lmosek_4fusion_4Model_2S_3IJ_3J_3J(self,model,name,shape,varid,sparsity,mosek.fusion.LinearVariable.__globalNativeIndexes__3I(nativeidxs))# ctor @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:44:8-79
      self.__names_flushed = False # bld/herlev/final/default/src/fusion/LinearVariable.mbi:45:8-30
      (self.__name) = name # bld/herlev/final/default/src/fusion/LinearVariable.mbi:46:8-31
      (self.__nativeidxs) = nativeidxs # bld/herlev/final/default/src/fusion/LinearVariable.mbi:47:8-37
      (self.__sparsity) = sparsity # bld/herlev/final/default/src/fusion/LinearVariable.mbi:48:8-35
      (self.__shape) = shape # bld/herlev/final/default/src/fusion/LinearVariable.mbi:49:8-32
      # End   scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:43:6-51:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:96:6-109:7
      _0_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/LinearVariable.mbi:97:12-14
      _0_sb._a_S("LinearVariable((") # bld/herlev/final/default/src/fusion/LinearVariable.mbi:99:8-33
      if (int((self.__shape).shape[0]) > 0): # bld/herlev/final/default/src/fusion/LinearVariable.mbi:100:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:100:28-103:9
        _0_sb._a_I(self.__shape[0]) # bld/herlev/final/default/src/fusion/LinearVariable.mbi:101:10-25
        for _1_i in range(1,int((self.__shape).shape[0])): # bld/herlev/final/default/src/fusion/LinearVariable.mbi:102:10-61
          # Start scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:102:39-61
          _0_sb._a_S(",")._a_I(self.__shape[_1_i]) # bld/herlev/final/default/src/fusion/LinearVariable.mbi:102:39-61
          # End   scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:102:39-61
        # End   scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:100:28-103:9
      _0_sb._a_S(")") # bld/herlev/final/default/src/fusion/LinearVariable.mbi:104:8-18
      if (self.__sparsity is not None): # bld/herlev/final/default/src/fusion/LinearVariable.mbi:105:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:106:10-26
        _0_sb._a_S(",sparse") # bld/herlev/final/default/src/fusion/LinearVariable.mbi:106:10-26
        # End   scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:106:10-26
      _0_sb._a_S(")") # bld/herlev/final/default/src/fusion/LinearVariable.mbi:107:8-18
      return (_0_sb._toString_()) # bld/herlev/final/default/src/fusion/LinearVariable.mbi:108:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:96:6-109:7
    def _flushNames_alt_(self,):
      return self._flushNames_()
    def _flushNames_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:68:36-93:7
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:68:36-93:7
    def _clone_alt_Lmosek_4fusion_4Model_2(self,_t__0_m):
      return self._clone_Lmosek_4fusion_4Model_2(_0_m)
    def _clone_Lmosek_4fusion_4Model_2(self,_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:64:52-66:7
      return (mosek_fusion_LinearVariable._ctor_Lmosek_4fusion_4LinearVariable_2Lmosek_4fusion_4Model_2(self,_0_m)) # bld/herlev/final/default/src/fusion/LinearVariable.mbi:65:8-42
      # End   scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:64:52-66:7
    @staticmethod
    def __globalNativeIndexes_alt__3I(_t__0_nativeidxs):
      _0_nativeidxs=numpy.array(_t__0_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_LinearVariable.__globalNativeIndexes__3I(_0_nativeidxs)
      try:
        _t__0_nativeidxs[:] = _0_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __globalNativeIndexes__3I(_0_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:31:75-34:7
      _1_r=numpy.zeros((int((_0_nativeidxs).shape[0]),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/LinearVariable.mbi:32:12-13
      fragments._c_closure_196(_0_nativeidxs,_1_r) # bld/herlev/final/default/src/fusion/LinearVariable.mbi:32:44-98
      return (_1_r) # bld/herlev/final/default/src/fusion/LinearVariable.mbi:33:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/LinearVariable.mbi:31:75-34:7
  return LinearVariable
mosek_fusion_LinearVariable=__mk_mosek_fusion_LinearVariable()
del __mk_mosek_fusion_LinearVariable

# origin: bld/herlev/final/default/src/fusion/ConicVariable.mbi:23:4-107:5
#BEFORE CLASS
def __mk_mosek_fusion_ConicVariable():
  class ConicVariable(mosek_fusion_ModelVariable):
    __slots__ = ['_ConicVariable__nativeidxs','_ConicVariable__shape','_ConicVariable__name','_ConicVariable__names_flushed','_ConicVariable__varid']
    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ConicVariable._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ConicVariable._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ConicVariable.toString()')

    def __repr__(self): return 'mosek.fusion.ConicVariable'
    @staticmethod
    def _ctor_Lmosek_4fusion_4ConicVariable_2Lmosek_4fusion_4Model_2(v,m):
      o = ConicVariable.__new__(ConicVariable)
      o._ctor_init_Lmosek_4fusion_4ConicVariable_2Lmosek_4fusion_4Model_2(v,m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4ConicVariable_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      v,m, = args
      return (    __arg_match_Lmosek_4fusion_4ConicVariable_2__(v)
              and __arg_match_Lmosek_4fusion_4Model_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4ConicVariable_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      v,m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4ConicVariable_2__(v)
              and __arg_alt_match_Lmosek_4fusion_4Model_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/ConicVariable.mbi:55:6-64:7
    def _ctor_alt_init_Lmosek_4fusion_4ConicVariable_2Lmosek_4fusion_4Model_2(self,v,m):
      self._ctor_init_Lmosek_4fusion_4ConicVariable_2Lmosek_4fusion_4Model_2(v,m)
    def _ctor_init_Lmosek_4fusion_4ConicVariable_2Lmosek_4fusion_4Model_2(self,v,m):
      # Start scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:56:6-64:7
      mosek_fusion_ModelVariable._ctor_init_Lmosek_4fusion_4ModelVariable_2Lmosek_4fusion_4Model_2(self,v,m)# ctor @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:57:8-19
      self.__names_flushed = (v.__names_flushed) # bld/herlev/final/default/src/fusion/ConicVariable.mbi:58:8-40
      self.__shape = (v.__shape) # bld/herlev/final/default/src/fusion/ConicVariable.mbi:59:8-29
      self.__nativeidxs = (v.__nativeidxs) # bld/herlev/final/default/src/fusion/ConicVariable.mbi:60:8-34
      self.__shape = (v.__shape) # bld/herlev/final/default/src/fusion/ConicVariable.mbi:61:8-29
      self.__varid = (v.__varid) # bld/herlev/final/default/src/fusion/ConicVariable.mbi:62:8-29
      self.__name = (v.__name) # bld/herlev/final/default/src/fusion/ConicVariable.mbi:63:8-28
      # End   scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:56:6-64:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2SI_3I_3I(model,name,varid,shape,nativeidxs):
      o = ConicVariable.__new__(ConicVariable)
      o._ctor_init_Lmosek_4fusion_4Model_2SI_3I_3I(model,name,varid,shape,nativeidxs)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2SI_3I_3I(*args):
      if len(args) != 5: return False
      model,name,varid,shape,nativeidxs, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_match_S__(name)
              and __arg_match_I__(varid)
              and __arg_match__3I__(shape)
              and __arg_match__3I__(nativeidxs))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2SI_3I_3I(*args):
      if len(args) != 5: return False
      model,name,varid,shape,nativeidxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_alt_match_S__(name)
              and __arg_alt_match_I__(varid)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match__3I__(nativeidxs))
    # Origin: bld/herlev/final/default/src/fusion/ConicVariable.mbi:40:6-53:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2SI_3I_3I(self,model,name,varid,shape,nativeidxs):
      self._ctor_init_Lmosek_4fusion_4Model_2SI_3I_3I(model,name,numpy.int32(varid),numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(nativeidxs,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_Lmosek_4fusion_4Model_2SI_3I_3I(self,model,name,varid,shape,nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:46:6-53:7
      mosek_fusion_ModelVariable._ctor_init_Lmosek_4fusion_4Model_2S_3IJ_3J_3J(self,model,name,shape,varid,None,mosek.fusion.ConicVariable.__globalNativeIndexes__3I(nativeidxs))# ctor @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:47:8-77
      (self.__name) = name # bld/herlev/final/default/src/fusion/ConicVariable.mbi:48:8-25
      (self.__names_flushed) = False # bld/herlev/final/default/src/fusion/ConicVariable.mbi:49:8-35
      (self.__varid) = varid # bld/herlev/final/default/src/fusion/ConicVariable.mbi:50:8-35
      (self.__shape) = shape # bld/herlev/final/default/src/fusion/ConicVariable.mbi:51:8-35
      (self.__nativeidxs) = nativeidxs # bld/herlev/final/default/src/fusion/ConicVariable.mbi:52:8-37
      # End   scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:46:6-53:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:97:6-106:7
      _0_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/ConicVariable.mbi:98:12-14
      _0_sb._a_S("ConicVariable( ") # bld/herlev/final/default/src/fusion/ConicVariable.mbi:99:8-32
      if (int(len(self.__name)) > 0): # bld/herlev/final/default/src/fusion/ConicVariable.mbi:100:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:100:27-53
        _0_sb._a_S("'")._a_S(self.__name)._a_S("',") # bld/herlev/final/default/src/fusion/ConicVariable.mbi:100:27-53
        # End   scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:100:27-53
      _0_sb._a_S("(") # bld/herlev/final/default/src/fusion/ConicVariable.mbi:101:8-18
      _0_sb._a_I(self.__shape[0]) # bld/herlev/final/default/src/fusion/ConicVariable.mbi:102:8-23
      for _1_i in range(1,int((self.__shape).shape[0])): # bld/herlev/final/default/src/fusion/ConicVariable.mbi:103:8-59
        # Start scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:103:37-59
        _0_sb._a_S(",")._a_I(self.__shape[_1_i]) # bld/herlev/final/default/src/fusion/ConicVariable.mbi:103:37-59
        # End   scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:103:37-59
      _0_sb._a_S(") )") # bld/herlev/final/default/src/fusion/ConicVariable.mbi:104:8-20
      return (_0_sb._toString_()) # bld/herlev/final/default/src/fusion/ConicVariable.mbi:105:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:97:6-106:7
    def _flushNames_alt_(self,):
      return self._flushNames_()
    def _flushNames_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:72:6-95:7
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:72:6-95:7
    def _clone_alt_Lmosek_4fusion_4Model_2(self,_t__0_m):
      return self._clone_Lmosek_4fusion_4Model_2(_0_m)
    def _clone_Lmosek_4fusion_4Model_2(self,_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:67:6-69:7
      return (mosek_fusion_ConicVariable._ctor_Lmosek_4fusion_4ConicVariable_2Lmosek_4fusion_4Model_2(self,_0_m)) # bld/herlev/final/default/src/fusion/ConicVariable.mbi:68:8-41
      # End   scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:67:6-69:7
    @staticmethod
    def __globalNativeIndexes_alt__3I(_t__0_nativeidxs):
      _0_nativeidxs=numpy.array(_t__0_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_ConicVariable.__globalNativeIndexes__3I(_0_nativeidxs)
      try:
        _t__0_nativeidxs[:] = _0_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __globalNativeIndexes__3I(_0_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:35:75-38:7
      _1_r=numpy.zeros((int((_0_nativeidxs).shape[0]),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/ConicVariable.mbi:36:12-13
      fragments._c_closure_197(_0_nativeidxs,_1_r) # bld/herlev/final/default/src/fusion/ConicVariable.mbi:36:44-98
      return (_1_r) # bld/herlev/final/default/src/fusion/ConicVariable.mbi:37:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/ConicVariable.mbi:35:75-38:7
  return ConicVariable
mosek_fusion_ConicVariable=__mk_mosek_fusion_ConicVariable()
del __mk_mosek_fusion_ConicVariable

# origin: bld/herlev/final/default/src/fusion/BaseVariable.monty:1000:4-1088:5
#BEFORE CLASS
def __mk_mosek_fusion_NilVariable():
  class NilVariable(mosek_fusion_BaseVariable):
    __slots__ = ['_NilVariable__shape']
    def numInst(self,*args):
      if False: pass
      elif mosek_fusion_NilVariable._match_numInst_(*args): # 
        return self._numInst_(*args)
      elif mosek_fusion_NilVariable._match_alt_numInst_(*args): # 
        return self._numInst_alt_(*args)
      else:
        raise ValueError('Invalid argument list numInst('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.NilVariable.numInst()')

    def index(self,*args):
      if False: pass
      elif mosek_fusion_NilVariable._match_index_I(*args): # int32
        return self._index_I(*args)
      elif mosek_fusion_NilVariable._match_alt_index_I(*args): # int32
        return self._index_alt_I(*args)
      elif mosek_fusion_NilVariable._match_index__3I(*args): # []int32
        return self._index__3I(*args)
      elif mosek_fusion_NilVariable._match_alt_index__3I(*args): # []int32
        return self._index_alt__3I(*args)
      elif mosek_fusion_NilVariable._match_index_II(*args): # int32,int32
        return self._index_II(*args)
      elif mosek_fusion_NilVariable._match_alt_index_II(*args): # int32,int32
        return self._index_alt_II(*args)
      elif mosek_fusion_NilVariable._match_index_III(*args): # int32,int32,int32
        return self._index_III(*args)
      elif mosek_fusion_NilVariable._match_alt_index_III(*args): # int32,int32,int32
        return self._index_alt_III(*args)
      else:
        raise ValueError('Invalid argument list index('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.NilVariable.index(int32)\n\tmosek.fusion.NilVariable.index(array(int32,ndim=1))\n\tmosek.fusion.NilVariable.index(int32,int32)\n\tmosek.fusion.NilVariable.index(int32,int32,int32)')

    def make_continuous(self,*args):
      if False: pass
      elif mosek_fusion_NilVariable._match_make_1continuous_(*args): # 
        return self._make_1continuous_(*args)
      elif mosek_fusion_NilVariable._match_alt_make_1continuous_(*args): # 
        return self._make_1continuous_alt_(*args)
      else:
        raise ValueError('Invalid argument list make_continuous('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.NilVariable.make_continuous()')

    def values(self,*args):
      if False: pass
      elif mosek_fusion_NilVariable._match_values_I_3DZ(*args): # int32,[]double,bool
        return self._values_I_3DZ(*args)
      elif mosek_fusion_NilVariable._match_alt_values_I_3DZ(*args): # int32,[]double,bool
        return self._values_alt_I_3DZ(*args)
      else:
        raise ValueError('Invalid argument list values('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.NilVariable.values(int32,array(double,ndim=1),bool)')

    def set_values(self,*args):
      if False: pass
      elif mosek_fusion_NilVariable._match_set_1values__3DZ(*args): # []double,bool
        return self._set_1values__3DZ(*args)
      elif mosek_fusion_NilVariable._match_alt_set_1values__3DZ(*args): # []double,bool
        return self._set_1values_alt__3DZ(*args)
      else:
        raise ValueError('Invalid argument list set_values('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.NilVariable.set_values(array(double,ndim=1),bool)')

    def make_integer(self,*args):
      if False: pass
      elif mosek_fusion_NilVariable._match_make_1integer_(*args): # 
        return self._make_1integer_(*args)
      elif mosek_fusion_NilVariable._match_alt_make_1integer_(*args): # 
        return self._make_1integer_alt_(*args)
      else:
        raise ValueError('Invalid argument list make_integer('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.NilVariable.make_integer()')

    def elementName(self,*args):
      if False: pass
      elif mosek_fusion_NilVariable._match_elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(*args): # int64,mosek.fusion.Utils.StringBuffer
        return self._elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(*args)
      elif mosek_fusion_NilVariable._match_alt_elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(*args): # int64,mosek.fusion.Utils.StringBuffer
        return self._elementName_alt_JLmosek_4fusion_4Utils_4StringBuffer_2(*args)
      else:
        raise ValueError('Invalid argument list elementName('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.NilVariable.elementName(int64,mosek.fusion.Utils.StringBuffer)')

    def elementDesc(self,*args):
      if False: pass
      elif mosek_fusion_NilVariable._match_elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(*args): # int64,mosek.fusion.Utils.StringBuffer
        return self._elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(*args)
      elif mosek_fusion_NilVariable._match_alt_elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(*args): # int64,mosek.fusion.Utils.StringBuffer
        return self._elementDesc_alt_JLmosek_4fusion_4Utils_4StringBuffer_2(*args)
      else:
        raise ValueError('Invalid argument list elementDesc('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.NilVariable.elementDesc(int64,mosek.fusion.Utils.StringBuffer)')

    def inst(self,*args):
      if False: pass
      elif mosek_fusion_NilVariable._match_inst_I_3J(*args): # int32,[]int64
        return self._inst_I_3J(*args)
      elif mosek_fusion_NilVariable._match_alt_inst_I_3J(*args): # int32,[]int64
        return self._inst_alt_I_3J(*args)
      elif mosek_fusion_NilVariable._match_inst_I_3J_3J(*args): # int32,[]int64,[]int64
        return self._inst_I_3J_3J(*args)
      elif mosek_fusion_NilVariable._match_alt_inst_I_3J_3J(*args): # int32,[]int64,[]int64
        return self._inst_alt_I_3J_3J(*args)
      elif mosek_fusion_NilVariable._match_inst_I_3JI_3J(*args): # int32,[]int64,int32,[]int64
        return self._inst_I_3JI_3J(*args)
      elif mosek_fusion_NilVariable._match_alt_inst_I_3JI_3J(*args): # int32,[]int64,int32,[]int64
        return self._inst_alt_I_3JI_3J(*args)
      else:
        raise ValueError('Invalid argument list inst('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.NilVariable.inst(int32,array(int64,ndim=1))\n\tmosek.fusion.NilVariable.inst(int32,array(int64,ndim=1),array(int64,ndim=1))\n\tmosek.fusion.NilVariable.inst(int32,array(int64,ndim=1),int32,array(int64,ndim=1))')

    def slice(self,*args):
      if False: pass
      elif mosek_fusion_NilVariable._match_slice_II(*args): # int32,int32
        return self._slice_II(*args)
      elif mosek_fusion_NilVariable._match_alt_slice_II(*args): # int32,int32
        return self._slice_alt_II(*args)
      elif mosek_fusion_NilVariable._match_slice__3I_3I(*args): # []int32,[]int32
        return self._slice__3I_3I(*args)
      elif mosek_fusion_NilVariable._match_alt_slice__3I_3I(*args): # []int32,[]int32
        return self._slice_alt__3I_3I(*args)
      else:
        raise ValueError('Invalid argument list slice('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.NilVariable.slice(int32,int32)\n\tmosek.fusion.NilVariable.slice(array(int32,ndim=1),array(int32,ndim=1))')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_NilVariable._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_NilVariable._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.NilVariable.toString()')

    def __repr__(self): return 'mosek.fusion.NilVariable'
    @staticmethod
    def _ctor__3I(shape):
      o = NilVariable.__new__(NilVariable)
      o._ctor_init__3I(shape)
      return o

    @staticmethod
    def __match_ctor__3I(*args):
      if len(args) != 1: return False
      shape, = args
      return (    __arg_match__3I__(shape))
    @staticmethod
    def __match_alt_ctor__3I(*args):
      if len(args) != 1: return False
      shape, = args
      return (    __arg_alt_match__3I__(shape))
    # Origin: bld/herlev/final/default/src/fusion/BaseVariable.monty:1008:6-1012:7
    def _ctor_alt_init__3I(self,shape):
      self._ctor_init__3I(numpy.array(shape,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init__3I(self,shape):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1009:6-1012:7
      mosek_fusion_BaseVariable._ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3J(self,None,mosek.fusion.Utils.Tools._arraycopy__3I(shape),numpy.zeros((0,), dtype=numpy.dtype(numpy.int64)),numpy.zeros((0,), dtype=numpy.dtype(numpy.int64)))# ctor @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1010:8-75
      (self.__shape) = numpy.array([shape[_0_i] for _0_i in range(0,int((shape).shape[0]))], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/BaseVariable.monty:1011:8-60
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1009:6-1012:7
    @staticmethod
    def _ctor_():
      o = NilVariable.__new__(NilVariable)
      o._ctor_init_()
      return o

    @staticmethod
    def __match_ctor_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def __match_alt_ctor_(*args):
      if len(args) != 0: return False
      return True
    # Origin: bld/herlev/final/default/src/fusion/BaseVariable.monty:1006:6-45
    def _ctor_alt_init_(self,):
      self._ctor_init_()
    def _ctor_init_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1006:23-45
      mosek_fusion_NilVariable._ctor_init__3I(self,numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)))# ctor @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1006:25-43
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1006:23-45
    def _flushNames_alt_(self,):
      return self._flushNames_()
    def _flushNames_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1085:42-44
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1085:42-44
    @staticmethod
    def _match_elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(*args):
      if len(args) != 2: return False
      _0_index,_1_sb, = args
      return (    __arg_match_J__(_0_index)
              and __arg_match_Lmosek_4fusion_4Utils_4StringBuffer_2__(_1_sb))
    @staticmethod
    def _match_alt_elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(*args):
      if len(args) != 2: return False
      _0_index,_1_sb, = args
      return (    __arg_alt_match_J__(_0_index)
              and __arg_alt_match_Lmosek_4fusion_4Utils_4StringBuffer_2__(_1_sb))
    def _elementDesc_alt_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_t__0_index,_t__1_sb):
      return self._elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(numpy.int64(__0_index),_1_sb)
    def _elementDesc_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_0_index,_1_sb):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1084:88-102
      return (_1_sb) # bld/herlev/final/default/src/fusion/BaseVariable.monty:1084:90-100
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1084:88-102
    @staticmethod
    def _match_elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(*args):
      if len(args) != 2: return False
      _0_index,_1_sb, = args
      return (    __arg_match_J__(_0_index)
              and __arg_match_Lmosek_4fusion_4Utils_4StringBuffer_2__(_1_sb))
    @staticmethod
    def _match_alt_elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(*args):
      if len(args) != 2: return False
      _0_index,_1_sb, = args
      return (    __arg_alt_match_J__(_0_index)
              and __arg_alt_match_Lmosek_4fusion_4Utils_4StringBuffer_2__(_1_sb))
    def _elementName_alt_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_t__0_index,_t__1_sb):
      return self._elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(numpy.int64(__0_index),_1_sb)
    def _elementName_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_0_index,_1_sb):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1083:74-76
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1083:74-76
    @staticmethod
    def _match_numInst_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_numInst_(*args):
      if len(args) != 0: return False
      return True
    def _numInst_alt_(self,):
      return self._numInst_()
    def _numInst_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1079:36-1081:7
      return numpy.int32(0) # bld/herlev/final/default/src/fusion/BaseVariable.monty:1080:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1079:36-1081:7
    @staticmethod
    def _match_inst_I_3J_3J(*args):
      if len(args) != 3: return False
      _0_offset,_1_sparsity,_2_basevar_nativeidxs, = args
      return (    __arg_match_I__(_0_offset)
              and __arg_match__3J__(_1_sparsity)
              and __arg_match__3J__(_2_basevar_nativeidxs))
    @staticmethod
    def _match_alt_inst_I_3J_3J(*args):
      if len(args) != 3: return False
      _0_offset,_1_sparsity,_2_basevar_nativeidxs, = args
      return (    __arg_alt_match_I__(_0_offset)
              and __arg_alt_match__3J__(_1_sparsity)
              and __arg_alt_match__3J__(_2_basevar_nativeidxs))
    def _inst_alt_I_3J_3J(self,_t__0_offset,_t__1_sparsity,_t__2_basevar_nativeidxs):
      _0_offset=numpy.int32(_t__0_offset)
      _1_sparsity=numpy.array(_t__1_sparsity,dtype=numpy.dtype(numpy.int64))
      _2_basevar_nativeidxs=numpy.array(_t__2_basevar_nativeidxs,dtype=numpy.dtype(numpy.int64))
      _1 = self._inst_I_3J_3J(_0_offset,_1_sparsity,_2_basevar_nativeidxs)
      try:
        _t__1_sparsity[:] = _1_sparsity
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_basevar_nativeidxs[:] = _2_basevar_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _inst_I_3J_3J(self,_0_offset,_1_sparsity,_2_basevar_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1075:6-1077:7
      return numpy.int32(0) # bld/herlev/final/default/src/fusion/BaseVariable.monty:1076:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1075:6-1077:7
    @staticmethod
    def _match_inst_I_3J(*args):
      if len(args) != 2: return False
      _0_offset,_1_nindex, = args
      return (    __arg_match_I__(_0_offset)
              and __arg_match__3J__(_1_nindex))
    @staticmethod
    def _match_alt_inst_I_3J(*args):
      if len(args) != 2: return False
      _0_offset,_1_nindex, = args
      return (    __arg_alt_match_I__(_0_offset)
              and __arg_alt_match__3J__(_1_nindex))
    def _inst_alt_I_3J(self,_t__0_offset,_t__1_nindex):
      _0_offset=numpy.int32(_t__0_offset)
      _1_nindex=numpy.array(_t__1_nindex,dtype=numpy.dtype(numpy.int64))
      _1 = self._inst_I_3J(_0_offset,_1_nindex)
      try:
        _t__1_nindex[:] = _1_nindex
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _inst_I_3J(self,_0_offset,_1_nindex):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1069:6-8
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1069:6-8
    @staticmethod
    def _match_set_1values__3DZ(*args):
      if len(args) != 2: return False
      _0_target,_1_primal, = args
      return (    __arg_match__3D__(_0_target)
              and __arg_match_Z__(_1_primal))
    @staticmethod
    def _match_alt_set_1values__3DZ(*args):
      if len(args) != 2: return False
      _0_target,_1_primal, = args
      return (    __arg_alt_match__3D__(_0_target)
              and __arg_alt_match_Z__(_1_primal))
    def _set_1values_alt__3DZ(self,_t__0_target,_t__1_primal):
      _0_target=numpy.array(_t__0_target,dtype=numpy.dtype(numpy.float64))
      _1_primal=_t__1_primal
      _1 = self._set_1values__3DZ(_0_target,_1_primal)
      try:
        _t__0_target[:] = _0_target
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _set_1values__3DZ(self,_0_target,_1_primal):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1064:6-8
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1064:6-8
    @staticmethod
    def _match_values_I_3DZ(*args):
      if len(args) != 3: return False
      _0_offset,_1_target,_2_primal, = args
      return (    __arg_match_I__(_0_offset)
              and __arg_match__3D__(_1_target)
              and __arg_match_Z__(_2_primal))
    @staticmethod
    def _match_alt_values_I_3DZ(*args):
      if len(args) != 3: return False
      _0_offset,_1_target,_2_primal, = args
      return (    __arg_alt_match_I__(_0_offset)
              and __arg_alt_match__3D__(_1_target)
              and __arg_alt_match_Z__(_2_primal))
    def _values_alt_I_3DZ(self,_t__0_offset,_t__1_target,_t__2_primal):
      _0_offset=numpy.int32(_t__0_offset)
      _1_target=numpy.array(_t__1_target,dtype=numpy.dtype(numpy.float64))
      _2_primal=_t__2_primal
      _1 = self._values_I_3DZ(_0_offset,_1_target,_2_primal)
      try:
        _t__1_target[:] = _1_target
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _values_I_3DZ(self,_0_offset,_1_target,_2_primal):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1059:6-8
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1059:6-8
    @staticmethod
    def _match_make_1continuous_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_make_1continuous_(*args):
      if len(args) != 0: return False
      return True
    def _make_1continuous_alt_(self,):
      return self._make_1continuous_()
    def _make_1continuous_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1053:38-40
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1053:38-40
    @staticmethod
    def _match_make_1integer_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_make_1integer_(*args):
      if len(args) != 0: return False
      return True
    def _make_1integer_alt_(self,):
      return self._make_1integer_()
    def _make_1integer_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1052:35-37
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1052:35-37
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1050:38-63
      return ("NilVariable") # bld/herlev/final/default/src/fusion/BaseVariable.monty:1050:40-61
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1050:38-63
    @staticmethod
    def _match_index__3I(*args):
      if len(args) != 1: return False
      _0_first, = args
      return (    __arg_match__3I__(_0_first))
    @staticmethod
    def _match_alt_index__3I(*args):
      if len(args) != 1: return False
      _0_first, = args
      return (    __arg_alt_match__3I__(_0_first))
    def _index_alt__3I(self,_t__0_first):
      _0_first=numpy.array(_t__0_first,dtype=numpy.dtype(numpy.int32))
      _1 = self._index__3I(_0_first)
      try:
        _t__0_first[:] = _0_first
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _index__3I(self,_0_first):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1046:6-1048:7
      return (mosek_fusion_NilVariable._ctor__3I(numpy.array([1 for _1_i in range(0,int((self.__shape).shape[0]))], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:1047:8-64
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1046:6-1048:7
    @staticmethod
    def _match_index_I(*args):
      if len(args) != 1: return False
      _0_first, = args
      return (    __arg_match_I__(_0_first))
    @staticmethod
    def _match_alt_index_I(*args):
      if len(args) != 1: return False
      _0_first, = args
      return (    __arg_alt_match_I__(_0_first))
    def _index_alt_I(self,_t__0_first):
      return self._index_I(numpy.int32(__0_first))
    def _index_I(self,_0_first):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1040:6-1042:7
      return (mosek_fusion_NilVariable._ctor__3I(numpy.array([1 for _1_i in range(0,int((self.__shape).shape[0]))], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:1041:8-64
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1040:6-1042:7
    @staticmethod
    def _match_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_match__3I__(_0_first)
              and __arg_match__3I__(_1_last))
    @staticmethod
    def _match_alt_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_alt_match__3I__(_0_first)
              and __arg_alt_match__3I__(_1_last))
    def _slice_alt__3I_3I(self,_t__0_first,_t__1_last):
      _0_first=numpy.array(_t__0_first,dtype=numpy.dtype(numpy.int32))
      _1_last=numpy.array(_t__1_last,dtype=numpy.dtype(numpy.int32))
      _1 = self._slice__3I_3I(_0_first,_1_last)
      try:
        _t__0_first[:] = _0_first
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_last[:] = _1_last
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _slice__3I_3I(self,_0_first,_1_last):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1029:6-1036:7
      if ((int((self.__shape).shape[0])!=int((_0_first).shape[0])) or (int((self.__shape).shape[0])!=int((_1_last).shape[0]))): # bld/herlev/final/default/src/fusion/BaseVariable.monty:1030:12-63
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1031:10-62
        raise mosek_fusion_DimensionError._ctor_S("Mismatching slice shape") # bld/herlev/final/default/src/fusion/BaseVariable.monty:1031:10-62
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1031:10-62
      for _2_i in range(0,int((_0_first).shape[0])): # bld/herlev/final/default/src/fusion/BaseVariable.monty:1032:8-1034:59
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1033:10-1034:59
        if ((_1_last[_2_i] > _0_first[_2_i]) or ((_0_first[_2_i] < 0) or (_1_last[_2_i] >= self.__shape[_2_i]))): # bld/herlev/final/default/src/fusion/BaseVariable.monty:1033:14-71
          # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1034:12-59
          raise mosek_fusion_SliceError._ctor_S("Slice is out of bounds") # bld/herlev/final/default/src/fusion/BaseVariable.monty:1034:12-59
          # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1034:12-59
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1033:10-1034:59
      return (mosek_fusion_NilVariable._ctor__3I(numpy.array([(_1_last[_3_i] - _0_first[_3_i]) for _3_i in range(0,int((self.__shape).shape[0]))], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:1035:8-81
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1029:6-1036:7
    @staticmethod
    def _match_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_match_I__(_0_first)
              and __arg_match_I__(_1_last))
    @staticmethod
    def _match_alt_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_alt_match_I__(_0_first)
              and __arg_alt_match_I__(_1_last))
    def _slice_alt_II(self,_t__0_first,_t__1_last):
      return self._slice_II(numpy.int32(__0_first),numpy.int32(__1_last))
    def _slice_II(self,_0_first,_1_last):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1017:6-1024:7
      if ((_1_last > _0_first) or ((_0_first < 0) or (_1_last > self.__shape[0]))): # bld/herlev/final/default/src/fusion/BaseVariable.monty:1018:12-56
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1019:10-57
        raise mosek_fusion_SliceError._ctor_S("Slice is out of bounds") # bld/herlev/final/default/src/fusion/BaseVariable.monty:1019:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1019:10-57
      elif (int((self.__shape).shape[0])!=1): # bld/herlev/final/default/src/fusion/BaseVariable.monty:1020:16-31
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1021:10-62
        raise mosek_fusion_DimensionError._ctor_S("Mismatching slice shape") # bld/herlev/final/default/src/fusion/BaseVariable.monty:1021:10-62
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1021:10-62
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1023:10-52
        return (mosek_fusion_NilVariable._ctor__3I(numpy.array([(_1_last - _0_first)], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/BaseVariable.monty:1023:10-52
        # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1023:10-52
      # End   scope @ bld/herlev/final/default/src/fusion/BaseVariable.monty:1017:6-1024:7
  return NilVariable
mosek_fusion_NilVariable=__mk_mosek_fusion_NilVariable()
del __mk_mosek_fusion_NilVariable

# origin: bld/herlev/final/default/src/fusion/Var.monty:144:4-814:5
#BEFORE CLASS
def __mk_mosek_fusion_Var():
  class Var(object):
    @staticmethod
    def stack(*args):
      if False: pass
      elif mosek_fusion_Var._match_stack__3_3Lmosek_4fusion_4Variable_2(*args): # [][]mosek.fusion.Variable
        return mosek_fusion_Var._stack__3_3Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_alt_stack__3_3Lmosek_4fusion_4Variable_2(*args): # [][]mosek.fusion.Variable
        return mosek_fusion_Var._stack_alt__3_3Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_stack__3Lmosek_4fusion_4Variable_2I(*args): # []mosek.fusion.Variable,int32
        return mosek_fusion_Var._stack__3Lmosek_4fusion_4Variable_2I(*args)
      elif mosek_fusion_Var._match_alt_stack__3Lmosek_4fusion_4Variable_2I(*args): # []mosek.fusion.Variable,int32
        return mosek_fusion_Var._stack_alt__3Lmosek_4fusion_4Variable_2I(*args)
      elif mosek_fusion_Var._match_stack_I_3Lmosek_4fusion_4Variable_2(*args): # int32,[]mosek.fusion.Variable
        return mosek_fusion_Var._stack_I_3Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_alt_stack_I_3Lmosek_4fusion_4Variable_2(*args): # int32,[]mosek.fusion.Variable
        return mosek_fusion_Var._stack_alt_I_3Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_stack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(*args): # mosek.fusion.Variable,mosek.fusion.Variable,int32
        return mosek_fusion_Var._stack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(*args)
      elif mosek_fusion_Var._match_alt_stack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(*args): # mosek.fusion.Variable,mosek.fusion.Variable,int32
        return mosek_fusion_Var._stack_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(*args)
      elif mosek_fusion_Var._match_stack_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args): # int32,mosek.fusion.Variable,mosek.fusion.Variable
        return mosek_fusion_Var._stack_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_alt_stack_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args): # int32,mosek.fusion.Variable,mosek.fusion.Variable
        return mosek_fusion_Var._stack_alt_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_stack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(*args): # mosek.fusion.Variable,mosek.fusion.Variable,mosek.fusion.Variable,int32
        return mosek_fusion_Var._stack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(*args)
      elif mosek_fusion_Var._match_alt_stack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(*args): # mosek.fusion.Variable,mosek.fusion.Variable,mosek.fusion.Variable,int32
        return mosek_fusion_Var._stack_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(*args)
      elif mosek_fusion_Var._match_stack_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args): # int32,mosek.fusion.Variable,mosek.fusion.Variable,mosek.fusion.Variable
        return mosek_fusion_Var._stack_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_alt_stack_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args): # int32,mosek.fusion.Variable,mosek.fusion.Variable,mosek.fusion.Variable
        return mosek_fusion_Var._stack_alt_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args)
      else:
        raise ValueError('Invalid argument list stack('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Var.stack(array(array(mosek.fusion.Variable,ndim=1),ndim=1))\n\tmosek.fusion.Var.stack(array(mosek.fusion.Variable,ndim=1),int32)\n\tmosek.fusion.Var.stack(int32,array(mosek.fusion.Variable,ndim=1))\n\tmosek.fusion.Var.stack(mosek.fusion.Variable,mosek.fusion.Variable,int32)\n\tmosek.fusion.Var.stack(int32,mosek.fusion.Variable,mosek.fusion.Variable)\n\tmosek.fusion.Var.stack(mosek.fusion.Variable,mosek.fusion.Variable,mosek.fusion.Variable,int32)\n\tmosek.fusion.Var.stack(int32,mosek.fusion.Variable,mosek.fusion.Variable,mosek.fusion.Variable)')

    @staticmethod
    def vrepeat(*args):
      if False: pass
      elif mosek_fusion_Var._match_vrepeat_Lmosek_4fusion_4Variable_2I(*args): # mosek.fusion.Variable,int32
        return mosek_fusion_Var._vrepeat_Lmosek_4fusion_4Variable_2I(*args)
      elif mosek_fusion_Var._match_alt_vrepeat_Lmosek_4fusion_4Variable_2I(*args): # mosek.fusion.Variable,int32
        return mosek_fusion_Var._vrepeat_alt_Lmosek_4fusion_4Variable_2I(*args)
      else:
        raise ValueError('Invalid argument list vrepeat('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Var.vrepeat(mosek.fusion.Variable,int32)')

    @staticmethod
    def repeat(*args):
      if False: pass
      elif mosek_fusion_Var._match_repeat_Lmosek_4fusion_4Variable_2I(*args): # mosek.fusion.Variable,int32
        return mosek_fusion_Var._repeat_Lmosek_4fusion_4Variable_2I(*args)
      elif mosek_fusion_Var._match_alt_repeat_Lmosek_4fusion_4Variable_2I(*args): # mosek.fusion.Variable,int32
        return mosek_fusion_Var._repeat_alt_Lmosek_4fusion_4Variable_2I(*args)
      elif mosek_fusion_Var._match_repeat_Lmosek_4fusion_4Variable_2II(*args): # mosek.fusion.Variable,int32,int32
        return mosek_fusion_Var._repeat_Lmosek_4fusion_4Variable_2II(*args)
      elif mosek_fusion_Var._match_alt_repeat_Lmosek_4fusion_4Variable_2II(*args): # mosek.fusion.Variable,int32,int32
        return mosek_fusion_Var._repeat_alt_Lmosek_4fusion_4Variable_2II(*args)
      else:
        raise ValueError('Invalid argument list repeat('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Var.repeat(mosek.fusion.Variable,int32)\n\tmosek.fusion.Var.repeat(mosek.fusion.Variable,int32,int32)')

    @staticmethod
    def promote(*args):
      if False: pass
      elif mosek_fusion_Var._match_promote_Lmosek_4fusion_4Variable_2I(*args): # mosek.fusion.Variable,int32
        return mosek_fusion_Var._promote_Lmosek_4fusion_4Variable_2I(*args)
      elif mosek_fusion_Var._match_alt_promote_Lmosek_4fusion_4Variable_2I(*args): # mosek.fusion.Variable,int32
        return mosek_fusion_Var._promote_alt_Lmosek_4fusion_4Variable_2I(*args)
      else:
        raise ValueError('Invalid argument list promote('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Var.promote(mosek.fusion.Variable,int32)')

    @staticmethod
    def reshape(*args):
      if False: pass
      elif mosek_fusion_Var._match_reshape_Lmosek_4fusion_4Variable_2_3I(*args): # mosek.fusion.Variable,[]int32
        return mosek_fusion_Var._reshape_Lmosek_4fusion_4Variable_2_3I(*args)
      elif mosek_fusion_Var._match_alt_reshape_Lmosek_4fusion_4Variable_2_3I(*args): # mosek.fusion.Variable,[]int32
        return mosek_fusion_Var._reshape_alt_Lmosek_4fusion_4Variable_2_3I(*args)
      elif mosek_fusion_Var._match_reshape_Lmosek_4fusion_4Variable_2I(*args): # mosek.fusion.Variable,int32
        return mosek_fusion_Var._reshape_Lmosek_4fusion_4Variable_2I(*args)
      elif mosek_fusion_Var._match_alt_reshape_Lmosek_4fusion_4Variable_2I(*args): # mosek.fusion.Variable,int32
        return mosek_fusion_Var._reshape_alt_Lmosek_4fusion_4Variable_2I(*args)
      elif mosek_fusion_Var._match_reshape_Lmosek_4fusion_4Variable_2II(*args): # mosek.fusion.Variable,int32,int32
        return mosek_fusion_Var._reshape_Lmosek_4fusion_4Variable_2II(*args)
      elif mosek_fusion_Var._match_alt_reshape_Lmosek_4fusion_4Variable_2II(*args): # mosek.fusion.Variable,int32,int32
        return mosek_fusion_Var._reshape_alt_Lmosek_4fusion_4Variable_2II(*args)
      else:
        raise ValueError('Invalid argument list reshape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Var.reshape(mosek.fusion.Variable,array(int32,ndim=1))\n\tmosek.fusion.Var.reshape(mosek.fusion.Variable,int32)\n\tmosek.fusion.Var.reshape(mosek.fusion.Variable,int32,int32)')

    @staticmethod
    def empty(*args):
      if False: pass
      elif mosek_fusion_Var._match_empty__3I(*args): # []int32
        return mosek_fusion_Var._empty__3I(*args)
      elif mosek_fusion_Var._match_alt_empty__3I(*args): # []int32
        return mosek_fusion_Var._empty_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list empty('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Var.empty(array(int32,ndim=1))')

    @staticmethod
    def compress(*args):
      if False: pass
      elif mosek_fusion_Var._match_compress_Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Variable
        return mosek_fusion_Var._compress_Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_alt_compress_Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Variable
        return mosek_fusion_Var._compress_alt_Lmosek_4fusion_4Variable_2(*args)
      else:
        raise ValueError('Invalid argument list compress('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Var.compress(mosek.fusion.Variable)')

    @staticmethod
    def flatten(*args):
      if False: pass
      elif mosek_fusion_Var._match_flatten_Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Variable
        return mosek_fusion_Var._flatten_Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_alt_flatten_Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Variable
        return mosek_fusion_Var._flatten_alt_Lmosek_4fusion_4Variable_2(*args)
      else:
        raise ValueError('Invalid argument list flatten('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Var.flatten(mosek.fusion.Variable)')

    @staticmethod
    def hstack(*args):
      if False: pass
      elif mosek_fusion_Var._match_hstack__3Lmosek_4fusion_4Variable_2(*args): # []mosek.fusion.Variable
        return mosek_fusion_Var._hstack__3Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_alt_hstack__3Lmosek_4fusion_4Variable_2(*args): # []mosek.fusion.Variable
        return mosek_fusion_Var._hstack_alt__3Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_hstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Variable,mosek.fusion.Variable
        return mosek_fusion_Var._hstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_alt_hstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Variable,mosek.fusion.Variable
        return mosek_fusion_Var._hstack_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_hstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Variable,mosek.fusion.Variable,mosek.fusion.Variable
        return mosek_fusion_Var._hstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_alt_hstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Variable,mosek.fusion.Variable,mosek.fusion.Variable
        return mosek_fusion_Var._hstack_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args)
      else:
        raise ValueError('Invalid argument list hstack('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Var.hstack(array(mosek.fusion.Variable,ndim=1))\n\tmosek.fusion.Var.hstack(mosek.fusion.Variable,mosek.fusion.Variable)\n\tmosek.fusion.Var.hstack(mosek.fusion.Variable,mosek.fusion.Variable,mosek.fusion.Variable)')

    @staticmethod
    def hrepeat(*args):
      if False: pass
      elif mosek_fusion_Var._match_hrepeat_Lmosek_4fusion_4Variable_2I(*args): # mosek.fusion.Variable,int32
        return mosek_fusion_Var._hrepeat_Lmosek_4fusion_4Variable_2I(*args)
      elif mosek_fusion_Var._match_alt_hrepeat_Lmosek_4fusion_4Variable_2I(*args): # mosek.fusion.Variable,int32
        return mosek_fusion_Var._hrepeat_alt_Lmosek_4fusion_4Variable_2I(*args)
      else:
        raise ValueError('Invalid argument list hrepeat('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Var.hrepeat(mosek.fusion.Variable,int32)')

    @staticmethod
    def vstack(*args):
      if False: pass
      elif mosek_fusion_Var._match_vstack__3Lmosek_4fusion_4Variable_2(*args): # []mosek.fusion.Variable
        return mosek_fusion_Var._vstack__3Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_alt_vstack__3Lmosek_4fusion_4Variable_2(*args): # []mosek.fusion.Variable
        return mosek_fusion_Var._vstack_alt__3Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_vstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Variable,mosek.fusion.Variable
        return mosek_fusion_Var._vstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_alt_vstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Variable,mosek.fusion.Variable
        return mosek_fusion_Var._vstack_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_vstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Variable,mosek.fusion.Variable,mosek.fusion.Variable
        return mosek_fusion_Var._vstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Var._match_alt_vstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Variable,mosek.fusion.Variable,mosek.fusion.Variable
        return mosek_fusion_Var._vstack_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args)
      else:
        raise ValueError('Invalid argument list vstack('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Var.vstack(array(mosek.fusion.Variable,ndim=1))\n\tmosek.fusion.Var.vstack(mosek.fusion.Variable,mosek.fusion.Variable)\n\tmosek.fusion.Var.vstack(mosek.fusion.Variable,mosek.fusion.Variable,mosek.fusion.Variable)')

    def __repr__(self): return 'mosek.fusion.Var'
    @staticmethod
    def _match_empty__3I(*args):
      if len(args) != 1: return False
      _0_shape, = args
      return (    __arg_match__3I__(_0_shape))
    @staticmethod
    def _match_alt_empty__3I(*args):
      if len(args) != 1: return False
      _0_shape, = args
      return (    __arg_alt_match__3I__(_0_shape))
    @staticmethod
    def _empty_alt__3I(_t__0_shape):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Var._empty__3I(_0_shape)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _empty__3I(_0_shape):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:808:56-813:7
      for _1_i in range(0,int((_0_shape).shape[0])): # bld/herlev/final/default/src/fusion/Var.monty:809:8-811:54
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:810:10-811:54
        if (_0_shape[_1_i] < 0): # bld/herlev/final/default/src/fusion/Var.monty:810:14-26
          # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:811:12-54
          raise mosek_fusion_DimensionError._ctor_S("Invalid shape") # bld/herlev/final/default/src/fusion/Var.monty:811:12-54
          # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:811:12-54
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:810:10-811:54
      return (mosek_fusion_NilVariable._ctor__3I(_0_shape)) # bld/herlev/final/default/src/fusion/Var.monty:812:8-38
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:808:56-813:7
    @staticmethod
    def _match_compress_Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v))
    @staticmethod
    def _match_alt_compress_Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v))
    @staticmethod
    def _compress_alt_Lmosek_4fusion_4Variable_2(_t__0_v):
      return mosek_fusion_Var._compress_Lmosek_4fusion_4Variable_2(_0_v)
    @staticmethod
    def _compress_Lmosek_4fusion_4Variable_2(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:783:6-800:7
      _1_shape=_0_v._getShape_() # bld/herlev/final/default/src/fusion/Var.monty:784:12-17
      _2_nd=int((_1_shape).shape[0]) # bld/herlev/final/default/src/fusion/Var.monty:785:12-14
      _3_realnd=0 # bld/herlev/final/default/src/fusion/Var.monty:786:12-18
      _3_realnd = fragments._c_closure_198(_2_nd,_3_realnd,_1_shape) # bld/herlev/final/default/src/fusion/Var.monty:787:8-788:38
      _3_realnd = numpy.int32(_3_realnd) # postprocess
      _4_realshape=numpy.zeros((_3_realnd,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Var.monty:789:12-21
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:790:8-797:9
      fragments._c_closure_199(_2_nd,_4_realshape,_1_shape) # bld/herlev/final/default/src/fusion/Var.monty:790:8-797:9
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:790:8-797:9
      return (mosek.fusion.Var._reshape_Lmosek_4fusion_4Variable_2_3I(_0_v,_4_realshape)) # bld/herlev/final/default/src/fusion/Var.monty:799:8-36
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:783:6-800:7
    @staticmethod
    def _match_reshape_Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 2: return False
      _0_v,_1_d1, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_match_I__(_1_d1))
    @staticmethod
    def _match_alt_reshape_Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 2: return False
      _0_v,_1_d1, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_alt_match_I__(_1_d1))
    @staticmethod
    def _reshape_alt_Lmosek_4fusion_4Variable_2I(_t__0_v,_t__1_d1):
      return mosek_fusion_Var._reshape_Lmosek_4fusion_4Variable_2I(_0_v,numpy.int32(__1_d1))
    @staticmethod
    def _reshape_Lmosek_4fusion_4Variable_2I(_0_v,_1_d1):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:766:6-768:7
      return (mosek.fusion.Var._reshape_Lmosek_4fusion_4Variable_2_3I(_0_v,numpy.array([_1_d1], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/Var.monty:767:8-36
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:766:6-768:7
    @staticmethod
    def _match_reshape_Lmosek_4fusion_4Variable_2II(*args):
      if len(args) != 3: return False
      _0_v,_1_d1,_2_d2, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_match_I__(_1_d1)
              and __arg_match_I__(_2_d2))
    @staticmethod
    def _match_alt_reshape_Lmosek_4fusion_4Variable_2II(*args):
      if len(args) != 3: return False
      _0_v,_1_d1,_2_d2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_alt_match_I__(_1_d1)
              and __arg_alt_match_I__(_2_d2))
    @staticmethod
    def _reshape_alt_Lmosek_4fusion_4Variable_2II(_t__0_v,_t__1_d1,_t__2_d2):
      return mosek_fusion_Var._reshape_Lmosek_4fusion_4Variable_2II(_0_v,numpy.int32(__1_d1),numpy.int32(__2_d2))
    @staticmethod
    def _reshape_Lmosek_4fusion_4Variable_2II(_0_v,_1_d1,_2_d2):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:752:6-754:7
      return (mosek.fusion.Var._reshape_Lmosek_4fusion_4Variable_2_3I(_0_v,numpy.array([_1_d1,_2_d2], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/Var.monty:753:8-39
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:752:6-754:7
    @staticmethod
    def _match_flatten_Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v))
    @staticmethod
    def _match_alt_flatten_Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v))
    @staticmethod
    def _flatten_alt_Lmosek_4fusion_4Variable_2(_t__0_v):
      return mosek_fusion_Var._flatten_Lmosek_4fusion_4Variable_2(_0_v)
    @staticmethod
    def _flatten_Lmosek_4fusion_4Variable_2(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:739:6-741:7
      return (mosek.fusion.Var._reshape_Lmosek_4fusion_4Variable_2_3I(_0_v,numpy.array([numpy.int32(mosek.fusion.Set._size__3I(_0_v._getShape_()))], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/Var.monty:740:8-65
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:739:6-741:7
    @staticmethod
    def _match_reshape_Lmosek_4fusion_4Variable_2_3I(*args):
      if len(args) != 2: return False
      _0_v,_1_shape, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_match__3I__(_1_shape))
    @staticmethod
    def _match_alt_reshape_Lmosek_4fusion_4Variable_2_3I(*args):
      if len(args) != 2: return False
      _0_v,_1_shape, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_alt_match__3I__(_1_shape))
    @staticmethod
    def _reshape_alt_Lmosek_4fusion_4Variable_2_3I(_t__0_v,_t__1_shape):
      _0_v=_t__0_v
      _1_shape=numpy.array(_t__1_shape,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Var._reshape_Lmosek_4fusion_4Variable_2_3I(_0_v,_1_shape)
      try:
        _t__1_shape[:] = _1_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _reshape_Lmosek_4fusion_4Variable_2_3I(_0_v,_1_shape):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:707:70-709:7
      return (_0_v._reshape__3I(_1_shape)) # bld/herlev/final/default/src/fusion/Var.monty:708:8-32
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:707:70-709:7
    @staticmethod
    def _index_1permute_1_alt_Lmosek_4fusion_4Variable_2_3I(_t__0_v,_t__1_perm):
      _0_v=_t__0_v
      _1_perm=numpy.array(_t__1_perm,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Var._index_1permute_1_Lmosek_4fusion_4Variable_2_3I(_0_v,_1_perm)
      try:
        _t__1_perm[:] = _1_perm
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _index_1permute_1_Lmosek_4fusion_4Variable_2_3I(_0_v,_1_perm):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:619:79-672:7
      # var _2_sparsity @ bld/herlev/final/default/src/fusion/Var.monty:620:12-28
      # var _3_nativeidxs @ bld/herlev/final/default/src/fusion/Var.monty:621:12-30
      _4_shape=_0_v._getShape_() # bld/herlev/final/default/src/fusion/Var.monty:622:12-17
      _5_nd=int((_4_shape).shape[0]) # bld/herlev/final/default/src/fusion/Var.monty:623:12-14
      _6_shapesize=1 # bld/herlev/final/default/src/fusion/Var.monty:624:12-21
      _6_shapesize = fragments._c_closure_200(_5_nd,_4_shape,_6_shapesize) # bld/herlev/final/default/src/fusion/Var.monty:624:27-69
      _6_shapesize = numpy.int32(_6_shapesize) # postprocess
      _7_nnz=_0_v._numInst_() # bld/herlev/final/default/src/fusion/Var.monty:625:12-15
      _8_pstrides=numpy.zeros((_5_nd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:627:12-20
      _8_pstrides[(_5_nd - 1)] = 1 # bld/herlev/final/default/src/fusion/Var.monty:627:37-56
      fragments._c_closure_201(_5_nd,_1_perm,_8_pstrides,_4_shape) # bld/herlev/final/default/src/fusion/Var.monty:627:57-131
      if (_7_nnz < _6_shapesize): # bld/herlev/final/default/src/fusion/Var.monty:629:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:629:29-633:9
        _2_sparsity = numpy.zeros((_7_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:630:10-30
        _3_nativeidxs = numpy.zeros((_7_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:631:10-32
        _0_v._inst_I_3JI_3J(0,_2_sparsity,0,_3_nativeidxs) # bld/herlev/final/default/src/fusion/Var.monty:632:10-42
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:629:29-633:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:634:13-638:9
        _2_sparsity = None # bld/herlev/final/default/src/fusion/Var.monty:635:10-26
        _3_nativeidxs = numpy.zeros((_7_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:636:10-32
        _0_v._inst_I_3J(0,_3_nativeidxs) # bld/herlev/final/default/src/fusion/Var.monty:637:10-31
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:634:13-638:9
      if (_2_sparsity is None): # bld/herlev/final/default/src/fusion/Var.monty:640:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:640:30-651:9
        _9_residxs=numpy.zeros((_7_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:641:14-21
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:642:10-649:11
        fragments._c_closure_202(_3_nativeidxs,_5_nd,_7_nnz,_1_perm,_8_pstrides,_9_residxs,_4_shape) # bld/herlev/final/default/src/fusion/Var.monty:642:10-649:11
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:642:10-649:11
        _3_nativeidxs = _9_residxs # bld/herlev/final/default/src/fusion/Var.monty:650:10-31
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:640:30-651:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:652:13-666:9
        _10_ressp=numpy.zeros((_7_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:653:14-19
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:654:10-661:11
        fragments._c_closure_203(_5_nd,_7_nnz,_1_perm,_8_pstrides,_10_ressp,_4_shape) # bld/herlev/final/default/src/fusion/Var.monty:654:10-661:11
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:654:10-661:11
        _11_spperm=numpy.array([_12_i for _12_i in range(0,_7_nnz)], dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:662:14-20
        mosek.fusion.CommonTools._argQsort__3J_3J_3JJJ(_11_spperm,_10_ressp,None,0,_7_nnz) # bld/herlev/final/default/src/fusion/Var.monty:663:10-59
        _2_sparsity = numpy.array([_2_sparsity[_11_spperm[_13_i]] for _13_i in range(0,_7_nnz)], dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:664:10-64
        _3_nativeidxs = numpy.array([_3_nativeidxs[_11_spperm[_14_i]] for _14_i in range(0,_7_nnz)], dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:665:10-68
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:652:13-666:9
      return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(_0_v._getModel_(),numpy.array([_4_shape[_1_perm[_15_i]] for _15_i in range(0,_5_nd)], dtype=numpy.dtype(numpy.int32)),_2_sparsity,_3_nativeidxs)) # bld/herlev/final/default/src/fusion/Var.monty:668:8-671:45
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:619:79-672:7
    @staticmethod
    def _match_hrepeat_Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 2: return False
      _0_v,_1_n, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_match_I__(_1_n))
    @staticmethod
    def _match_alt_hrepeat_Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 2: return False
      _0_v,_1_n, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_alt_match_I__(_1_n))
    @staticmethod
    def _hrepeat_alt_Lmosek_4fusion_4Variable_2I(_t__0_v,_t__1_n):
      return mosek_fusion_Var._hrepeat_Lmosek_4fusion_4Variable_2I(_0_v,numpy.int32(__1_n))
    @staticmethod
    def _hrepeat_Lmosek_4fusion_4Variable_2I(_0_v,_1_n):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:611:80-108
      return (mosek.fusion.Var.__drepeat_Lmosek_4fusion_4Variable_2II(_0_v,1,_1_n)) # bld/herlev/final/default/src/fusion/Var.monty:611:82-106
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:611:80-108
    @staticmethod
    def _match_vrepeat_Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 2: return False
      _0_v,_1_n, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_match_I__(_1_n))
    @staticmethod
    def _match_alt_vrepeat_Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 2: return False
      _0_v,_1_n, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_alt_match_I__(_1_n))
    @staticmethod
    def _vrepeat_alt_Lmosek_4fusion_4Variable_2I(_t__0_v,_t__1_n):
      return mosek_fusion_Var._vrepeat_Lmosek_4fusion_4Variable_2I(_0_v,numpy.int32(__1_n))
    @staticmethod
    def _vrepeat_Lmosek_4fusion_4Variable_2I(_0_v,_1_n):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:610:80-108
      return (mosek.fusion.Var.__drepeat_Lmosek_4fusion_4Variable_2II(_0_v,0,_1_n)) # bld/herlev/final/default/src/fusion/Var.monty:610:82-106
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:610:80-108
    @staticmethod
    def _match_repeat_Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 2: return False
      _0_v,_1_n, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_match_I__(_1_n))
    @staticmethod
    def _match_alt_repeat_Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 2: return False
      _0_v,_1_n, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_alt_match_I__(_1_n))
    @staticmethod
    def _repeat_alt_Lmosek_4fusion_4Variable_2I(_t__0_v,_t__1_n):
      return mosek_fusion_Var._repeat_Lmosek_4fusion_4Variable_2I(_0_v,numpy.int32(__1_n))
    @staticmethod
    def _repeat_Lmosek_4fusion_4Variable_2I(_0_v,_1_n):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:609:80-108
      return (mosek.fusion.Var.__drepeat_Lmosek_4fusion_4Variable_2II(_0_v,0,_1_n)) # bld/herlev/final/default/src/fusion/Var.monty:609:82-106
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:609:80-108
    @staticmethod
    def _match_repeat_Lmosek_4fusion_4Variable_2II(*args):
      if len(args) != 3: return False
      _0_v,_1_dim,_2_n, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_match_I__(_1_dim)
              and __arg_match_I__(_2_n))
    @staticmethod
    def _match_alt_repeat_Lmosek_4fusion_4Variable_2II(*args):
      if len(args) != 3: return False
      _0_v,_1_dim,_2_n, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_alt_match_I__(_1_dim)
              and __arg_alt_match_I__(_2_n))
    @staticmethod
    def _repeat_alt_Lmosek_4fusion_4Variable_2II(_t__0_v,_t__1_dim,_t__2_n):
      return mosek_fusion_Var._repeat_Lmosek_4fusion_4Variable_2II(_0_v,numpy.int32(__1_dim),numpy.int32(__2_n))
    @staticmethod
    def _repeat_Lmosek_4fusion_4Variable_2II(_0_v,_1_dim,_2_n):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:608:80-108
      return (mosek.fusion.Var.__drepeat_Lmosek_4fusion_4Variable_2II(_0_v,_1_dim,_2_n)) # bld/herlev/final/default/src/fusion/Var.monty:608:82-106
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:608:80-108
    @staticmethod
    def __drepeat_alt_Lmosek_4fusion_4Variable_2II(_t__0_v,_t__1_dim,_t__2_n):
      return mosek_fusion_Var.__drepeat_Lmosek_4fusion_4Variable_2II(_0_v,numpy.int32(__1_dim),numpy.int32(__2_n))
    @staticmethod
    def __drepeat_Lmosek_4fusion_4Variable_2II(_0_v,_1_dim,_2_n):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:476:6-606:7
      if (_2_n < 0): # bld/herlev/final/default/src/fusion/Var.monty:477:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:478:10-67
        raise mosek_fusion_LengthError._ctor_S("Cannot repeat less than 0 times") # bld/herlev/final/default/src/fusion/Var.monty:478:10-67
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:478:10-67
      elif (_2_n==0): # bld/herlev/final/default/src/fusion/Var.monty:479:16-22
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:480:10-35
        return (mosek_fusion_NilVariable._ctor_()) # bld/herlev/final/default/src/fusion/Var.monty:480:10-35
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:480:10-35
      elif (_2_n==1): # bld/herlev/final/default/src/fusion/Var.monty:481:16-22
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:482:10-19
        return (_0_v) # bld/herlev/final/default/src/fusion/Var.monty:482:10-19
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:482:10-19
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:483:13-605:9
        _3_model=_0_v._getModel_() # bld/herlev/final/default/src/fusion/Var.monty:484:14-19
        _4_shape=_0_v._getShape_() # bld/herlev/final/default/src/fusion/Var.monty:485:14-19
        _5_nd=int((_4_shape).shape[0]) # bld/herlev/final/default/src/fusion/Var.monty:486:14-16
        if ((_1_dim < 0) or (_1_dim > _5_nd)): # bld/herlev/final/default/src/fusion/Var.monty:488:14-33
          # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:489:12-67
          raise mosek_fusion_DimensionError._ctor_S("Invalid stacking dimension") # bld/herlev/final/default/src/fusion/Var.monty:489:12-67
          # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:489:12-67
        _6_domsize=mosek.fusion.Set._size__3I(_4_shape) # bld/herlev/final/default/src/fusion/Var.monty:490:14-21
        _7_nnz=_0_v._numInst_() # bld/herlev/final/default/src/fusion/Var.monty:491:14-17
        _8_rnnz=(_7_nnz * _2_n) # bld/herlev/final/default/src/fusion/Var.monty:492:14-18
        _9_d0=1 # bld/herlev/final/default/src/fusion/Var.monty:494:14-16
        _9_d0 = fragments._c_closure_204(_9_d0,_1_dim,_4_shape) # bld/herlev/final/default/src/fusion/Var.monty:494:22-58
        _9_d0 = numpy.int32(_9_d0) # postprocess
        _10_d1=(_4_shape[_1_dim] if ((_1_dim < _5_nd) ) else 1) # bld/herlev/final/default/src/fusion/Var.monty:495:14-16
        _11_nd1=(_10_d1 * _2_n) # bld/herlev/final/default/src/fusion/Var.monty:496:14-17
        _12_d2=1 # bld/herlev/final/default/src/fusion/Var.monty:497:14-16
        _12_d2 = fragments._c_closure_205(_12_d2,_1_dim,_5_nd,_4_shape) # bld/herlev/final/default/src/fusion/Var.monty:497:22-61
        _12_d2 = numpy.int32(_12_d2) # postprocess
        _13_rnd=(_5_nd if ((_1_dim < _5_nd) ) else (_1_dim + 1)) # bld/herlev/final/default/src/fusion/Var.monty:499:14-17
        _14_rshape=numpy.zeros((_13_rnd,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Var.monty:500:14-20
        fragments._c_closure_206(_5_nd,_14_rshape,_4_shape) # bld/herlev/final/default/src/fusion/Var.monty:501:10-51
        fragments._c_closure_207(_5_nd,_13_rnd,_14_rshape) # bld/herlev/final/default/src/fusion/Var.monty:502:10-46
        _14_rshape[_1_dim] = _11_nd1 # bld/herlev/final/default/src/fusion/Var.monty:503:10-28
        if (_7_nnz < _6_domsize): # bld/herlev/final/default/src/fusion/Var.monty:505:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:505:29-584:11
          _15_tnativeidxs=numpy.zeros((_7_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:506:16-27
          _16_tsp=numpy.zeros((_7_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:507:16-19
          _17_rnativeidxs=numpy.zeros((_8_rnnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:508:16-27
          _18_rsp=numpy.zeros((_8_rnnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:509:16-19
          _0_v._inst_I_3JI_3J(0,_16_tsp,0,_15_tnativeidxs) # bld/herlev/final/default/src/fusion/Var.monty:511:12-41
          # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:513:12-583:13
          _19_ns0=(_11_nd1 * _12_d2) # bld/herlev/final/default/src/fusion/Var.monty:514:18-21
          _20_s0=(_10_d1 * _12_d2) # bld/herlev/final/default/src/fusion/Var.monty:515:18-20
          _21_s1=_12_d2 # bld/herlev/final/default/src/fusion/Var.monty:516:18-20
          if (_1_dim==0): # bld/herlev/final/default/src/fusion/Var.monty:518:18-26
            # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:518:28-527:15
            _22_k=0 # bld/herlev/final/default/src/fusion/Var.monty:519:20-21
            _22_k = fragments._c_closure_208(_6_domsize,_22_k,_2_n,_7_nnz,_17_rnativeidxs,_18_rsp,_15_tnativeidxs,_16_tsp) # bld/herlev/final/default/src/fusion/Var.monty:520:16-525:19
            _22_k = numpy.int32(_22_k) # postprocess
            return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(_3_model,_14_rshape,_18_rsp,_17_rnativeidxs)) # bld/herlev/final/default/src/fusion/Var.monty:526:16-71
            # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:518:28-527:15
          elif (_1_dim >= _5_nd): # bld/herlev/final/default/src/fusion/Var.monty:528:22-31
            # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:528:33-538:15
            _23_k=0 # bld/herlev/final/default/src/fusion/Var.monty:529:20-21
            _23_k = fragments._c_closure_209(_23_k,_2_n,_7_nnz,_17_rnativeidxs,_18_rsp,_15_tnativeidxs,_16_tsp) # bld/herlev/final/default/src/fusion/Var.monty:530:16-535:19
            _23_k = numpy.int32(_23_k) # postprocess
            return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(_3_model,_14_rshape,_18_rsp,_17_rnativeidxs)) # bld/herlev/final/default/src/fusion/Var.monty:536:16-71
            # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:528:33-538:15
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:539:19-582:15
            _24_k=0 # bld/herlev/final/default/src/fusion/Var.monty:540:20-21
            _24_k = fragments._c_closure_210(_10_d1,_12_d2,_24_k,_2_n,_7_nnz,_19_ns0,_17_rnativeidxs,_18_rsp,_20_s0,_21_s1,_15_tnativeidxs,_16_tsp) # bld/herlev/final/default/src/fusion/Var.monty:541:16-551:17
            _24_k = numpy.int32(_24_k) # postprocess
            _25_maxdim=1 # bld/herlev/final/default/src/fusion/Var.monty:554:20-26
            _25_maxdim = fragments._c_closure_211(_25_maxdim,_13_rnd,_14_rshape) # bld/herlev/final/default/src/fusion/Var.monty:554:32-96
            _25_maxdim = numpy.int32(_25_maxdim) # postprocess
            _26_curperm=numpy.zeros((_8_rnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Var.monty:555:20-27
            _27_tgtperm=numpy.zeros((_8_rnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Var.monty:556:20-27
            # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:558:16-577:17
            _28_ptr=numpy.zeros(((_25_maxdim + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Var.monty:559:22-25
            _29_s=numpy.zeros((_13_rnd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:560:22-23
            _29_s[(_13_rnd - 1)] = 1 # bld/herlev/final/default/src/fusion/Var.monty:560:41-54
            fragments._c_closure_212(_13_rnd,_14_rshape,_29_s) # bld/herlev/final/default/src/fusion/Var.monty:560:55-114
            fragments._c_closure_213(_26_curperm,_8_rnnz) # bld/herlev/final/default/src/fusion/Var.monty:561:18-55
            for _30_ii in range(0,_13_rnd): # bld/herlev/final/default/src/fusion/Var.monty:562:18-576:19
              # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:562:40-576:19
              _31_i=((_13_rnd - _30_ii) - 1) # bld/herlev/final/default/src/fusion/Var.monty:563:24-25
              fragments._c_closure_214(_31_i,_28_ptr,_14_rshape) # bld/herlev/final/default/src/fusion/Var.monty:565:20-60
              fragments._c_closure_215(_31_i,_28_ptr,_8_rnnz,_14_rshape,_18_rsp,_29_s) # bld/herlev/final/default/src/fusion/Var.monty:566:20-79
              fragments._c_closure_216(_31_i,_28_ptr,_14_rshape) # bld/herlev/final/default/src/fusion/Var.monty:567:20-66
              fragments._c_closure_217(_26_curperm,_31_i,_28_ptr,_8_rnnz,_14_rshape,_18_rsp,_29_s,_27_tgtperm) # bld/herlev/final/default/src/fusion/Var.monty:568:20-573:21
              _32_tmp=_26_curperm # bld/herlev/final/default/src/fusion/Var.monty:575:24-27
              _26_curperm = _27_tgtperm # bld/herlev/final/default/src/fusion/Var.monty:575:39-57
              _27_tgtperm = _32_tmp # bld/herlev/final/default/src/fusion/Var.monty:575:58-72
              # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:562:40-576:19
            # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:558:16-577:17
            return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(_3_model,_14_rshape,numpy.array([_18_rsp[_26_curperm[_33_i]] for _33_i in range(0,_8_rnnz)], dtype=numpy.dtype(numpy.int64)),numpy.array([_17_rnativeidxs[_26_curperm[_34_i]] for _34_i in range(0,_8_rnnz)], dtype=numpy.dtype(numpy.int64)))) # bld/herlev/final/default/src/fusion/Var.monty:579:16-581:89
            # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:539:19-582:15
          # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:513:12-583:13
          # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:505:29-584:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:585:15-604:11
          _35_tnativeidxs=numpy.zeros((_7_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:586:16-27
          _36_rnativeidxs=numpy.zeros(((_7_nnz * _2_n),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:587:16-27
          _0_v._inst_I_3J(0,_35_tnativeidxs) # bld/herlev/final/default/src/fusion/Var.monty:588:12-34
          _37_s0=(_11_nd1 * _12_d2) # bld/herlev/final/default/src/fusion/Var.monty:590:16-18
          _38_s1=_12_d2 # bld/herlev/final/default/src/fusion/Var.monty:591:16-18
          _39_k=0 # bld/herlev/final/default/src/fusion/Var.monty:594:16-17
          _39_k = fragments._c_closure_218(_9_d0,_10_d1,_12_d2,_39_k,_2_n,_36_rnativeidxs,_37_s0,_38_s1,_35_tnativeidxs) # bld/herlev/final/default/src/fusion/Var.monty:595:12-601:17
          _39_k = numpy.int32(_39_k) # postprocess
          return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(_3_model,_14_rshape,None,_36_rnativeidxs)) # bld/herlev/final/default/src/fusion/Var.monty:603:12-68
          # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:585:15-604:11
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:483:13-605:9
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:476:6-606:7
    @staticmethod
    def _match_stack__3_3Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 1: return False
      _0_vlist, = args
      return (    __arg_match__3_3Lmosek_4fusion_4Variable_2__(_0_vlist))
    @staticmethod
    def _match_alt_stack__3_3Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 1: return False
      _0_vlist, = args
      return (    __arg_alt_match__3_3Lmosek_4fusion_4Variable_2__(_0_vlist))
    @staticmethod
    def _stack_alt__3_3Lmosek_4fusion_4Variable_2(_t__0_vlist):
      _0_vlist=_monty.makeJaggedArray(_t__0_vlist,(1,1),numpy.dtype(object))
      _1 = mosek_fusion_Var._stack__3_3Lmosek_4fusion_4Variable_2(_0_vlist)
      try:
        _t__0_vlist[:] = _0_vlist
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _stack__3_3Lmosek_4fusion_4Variable_2(_0_vlist):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:452:6-454:7
      return (mosek.fusion.Var._dstack__3Lmosek_4fusion_4Variable_2I(numpy.array([mosek.fusion.Var._dstack__3Lmosek_4fusion_4Variable_2I(_0_vlist[_1_i],1) for _1_i in range(0,int((_0_vlist).shape[0]))], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Var.monty:453:8-78
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:452:6-454:7
    @staticmethod
    def _match_vstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 3: return False
      _0_v1,_1_v2,_2_v3, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v1)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_v2)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_2_v3))
    @staticmethod
    def _match_alt_vstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 3: return False
      _0_v1,_1_v2,_2_v3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v1)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_v2)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_2_v3))
    @staticmethod
    def _vstack_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_t__0_v1,_t__1_v2,_t__2_v3):
      return mosek_fusion_Var._vstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_0_v1,_1_v2,_2_v3)
    @staticmethod
    def _vstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_0_v1,_1_v2,_2_v3):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:418:6-420:7
      return (mosek.fusion.Var._dstack__3Lmosek_4fusion_4Variable_2I(numpy.array([_0_v1,_1_v2,_2_v3], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Var.monty:419:8-42
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:418:6-420:7
    @staticmethod
    def _match_vstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_v1,_1_v2, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v1)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_v2))
    @staticmethod
    def _match_alt_vstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_v1,_1_v2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v1)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_v2))
    @staticmethod
    def _vstack_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_t__0_v1,_t__1_v2):
      return mosek_fusion_Var._vstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_0_v1,_1_v2)
    @staticmethod
    def _vstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_0_v1,_1_v2):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:399:6-401:7
      return (mosek.fusion.Var._dstack__3Lmosek_4fusion_4Variable_2I(numpy.array([_0_v1,_1_v2], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Var.monty:400:8-39
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:399:6-401:7
    @staticmethod
    def _match_vstack__3Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_match__3Lmosek_4fusion_4Variable_2__(_0_v))
    @staticmethod
    def _match_alt_vstack__3Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Variable_2__(_0_v))
    @staticmethod
    def _vstack_alt__3Lmosek_4fusion_4Variable_2(_t__0_v):
      _0_v=numpy.array(_t__0_v,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Var._vstack__3Lmosek_4fusion_4Variable_2(_0_v)
      try:
        _t__0_v[:] = _0_v
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _vstack__3Lmosek_4fusion_4Variable_2(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:379:6-381:7
      return (mosek.fusion.Var._dstack__3Lmosek_4fusion_4Variable_2I(_0_v,0)) # bld/herlev/final/default/src/fusion/Var.monty:380:8-27
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:379:6-381:7
    @staticmethod
    def _match_hstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 3: return False
      _0_v1,_1_v2,_2_v3, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v1)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_v2)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_2_v3))
    @staticmethod
    def _match_alt_hstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 3: return False
      _0_v1,_1_v2,_2_v3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v1)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_v2)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_2_v3))
    @staticmethod
    def _hstack_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_t__0_v1,_t__1_v2,_t__2_v3):
      return mosek_fusion_Var._hstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_0_v1,_1_v2,_2_v3)
    @staticmethod
    def _hstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_0_v1,_1_v2,_2_v3):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:361:6-363:7
      return (mosek.fusion.Var._dstack__3Lmosek_4fusion_4Variable_2I(numpy.array([_0_v1,_1_v2,_2_v3], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Var.monty:362:8-42
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:361:6-363:7
    @staticmethod
    def _match_hstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_v1,_1_v2, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v1)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_v2))
    @staticmethod
    def _match_alt_hstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_v1,_1_v2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v1)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_v2))
    @staticmethod
    def _hstack_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_t__0_v1,_t__1_v2):
      return mosek_fusion_Var._hstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_0_v1,_1_v2)
    @staticmethod
    def _hstack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_0_v1,_1_v2):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:339:6-341:7
      return (mosek.fusion.Var._dstack__3Lmosek_4fusion_4Variable_2I(numpy.array([_0_v1,_1_v2], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Var.monty:340:8-39
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:339:6-341:7
    @staticmethod
    def _match_hstack__3Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_match__3Lmosek_4fusion_4Variable_2__(_0_v))
    @staticmethod
    def _match_alt_hstack__3Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Variable_2__(_0_v))
    @staticmethod
    def _hstack_alt__3Lmosek_4fusion_4Variable_2(_t__0_v):
      _0_v=numpy.array(_t__0_v,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Var._hstack__3Lmosek_4fusion_4Variable_2(_0_v)
      try:
        _t__0_v[:] = _0_v
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _hstack__3Lmosek_4fusion_4Variable_2(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:317:6-319:7
      return (mosek.fusion.Var._dstack__3Lmosek_4fusion_4Variable_2I(_0_v,1)) # bld/herlev/final/default/src/fusion/Var.monty:318:8-27
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:317:6-319:7
    @staticmethod
    def _match_stack__3Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 2: return False
      _0_v,_1_dim, = args
      return (    __arg_match__3Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_match_I__(_1_dim))
    @staticmethod
    def _match_alt_stack__3Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 2: return False
      _0_v,_1_dim, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_alt_match_I__(_1_dim))
    @staticmethod
    def _stack_alt__3Lmosek_4fusion_4Variable_2I(_t__0_v,_t__1_dim):
      _0_v=numpy.array(_t__0_v,dtype=numpy.dtype(object))
      _1_dim=numpy.int32(_t__1_dim)
      _1 = mosek_fusion_Var._stack__3Lmosek_4fusion_4Variable_2I(_0_v,_1_dim)
      try:
        _t__0_v[:] = _0_v
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _stack__3Lmosek_4fusion_4Variable_2I(_0_v,_1_dim):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:298:67-91
      return (mosek.fusion.Var._stack_I_3Lmosek_4fusion_4Variable_2(_1_dim,_0_v)) # bld/herlev/final/default/src/fusion/Var.monty:298:69-89
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:298:67-91
    @staticmethod
    def _match_stack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 4: return False
      _0_v1,_1_v2,_2_v3,_3_dim, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v1)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_v2)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_2_v3)
              and __arg_match_I__(_3_dim))
    @staticmethod
    def _match_alt_stack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 4: return False
      _0_v1,_1_v2,_2_v3,_3_dim, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v1)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_v2)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_2_v3)
              and __arg_alt_match_I__(_3_dim))
    @staticmethod
    def _stack_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(_t__0_v1,_t__1_v2,_t__2_v3,_t__3_dim):
      return mosek_fusion_Var._stack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(_0_v1,_1_v2,_2_v3,numpy.int32(__3_dim))
    @staticmethod
    def _stack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(_0_v1,_1_v2,_2_v3,_3_dim):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:297:93-130
      return (mosek.fusion.Var._stack_I_3Lmosek_4fusion_4Variable_2(_3_dim,numpy.array([_0_v1,_1_v2,_2_v3], dtype=numpy.dtype(object)))) # bld/herlev/final/default/src/fusion/Var.monty:297:95-129
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:297:93-130
    @staticmethod
    def _match_stack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 3: return False
      _0_v1,_1_v2,_2_dim, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v1)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_v2)
              and __arg_match_I__(_2_dim))
    @staticmethod
    def _match_alt_stack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 3: return False
      _0_v1,_1_v2,_2_dim, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v1)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_v2)
              and __arg_alt_match_I__(_2_dim))
    @staticmethod
    def _stack_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(_t__0_v1,_t__1_v2,_t__2_dim):
      return mosek_fusion_Var._stack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(_0_v1,_1_v2,numpy.int32(__2_dim))
    @staticmethod
    def _stack_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2I(_0_v1,_1_v2,_2_dim):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:296:80-114
      return (mosek.fusion.Var._stack_I_3Lmosek_4fusion_4Variable_2(_2_dim,numpy.array([_0_v1,_1_v2], dtype=numpy.dtype(object)))) # bld/herlev/final/default/src/fusion/Var.monty:296:82-113
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:296:80-114
    @staticmethod
    def _match_stack_I_3Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_dim,_1_v, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match__3Lmosek_4fusion_4Variable_2__(_1_v))
    @staticmethod
    def _match_alt_stack_I_3Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_dim,_1_v, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match__3Lmosek_4fusion_4Variable_2__(_1_v))
    @staticmethod
    def _stack_alt_I_3Lmosek_4fusion_4Variable_2(_t__0_dim,_t__1_v):
      _0_dim=numpy.int32(_t__0_dim)
      _1_v=numpy.array(_t__1_v,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Var._stack_I_3Lmosek_4fusion_4Variable_2(_0_dim,_1_v)
      try:
        _t__1_v[:] = _1_v
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _stack_I_3Lmosek_4fusion_4Variable_2(_0_dim,_1_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:290:67-293:7
      _2_maxnd=_0_dim # bld/herlev/final/default/src/fusion/Var.monty:291:12-17
      for _3_i in range(0,int((_1_v).shape[0])): # bld/herlev/final/default/src/fusion/Var.monty:291:25-96
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:291:49-96
        if (_2_maxnd < _1_v[_3_i]._getND_()): # bld/herlev/final/default/src/fusion/Var.monty:291:53-73
          # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:291:75-96
          _2_maxnd = _1_v[_3_i]._getND_() # bld/herlev/final/default/src/fusion/Var.monty:291:75-96
          # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:291:75-96
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:291:49-96
      return (mosek.fusion.Var._dstack__3Lmosek_4fusion_4Variable_2I(_1_v,_0_dim)) # bld/herlev/final/default/src/fusion/Var.monty:292:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:290:67-293:7
    @staticmethod
    def _match_stack_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 4: return False
      _0_dim,_1_v1,_2_v2,_3_v3, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_v1)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_2_v2)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_3_v3))
    @staticmethod
    def _match_alt_stack_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 4: return False
      _0_dim,_1_v1,_2_v2,_3_v3, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_v1)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_2_v2)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_3_v3))
    @staticmethod
    def _stack_alt_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_t__0_dim,_t__1_v1,_t__2_v2,_t__3_v3):
      return mosek_fusion_Var._stack_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(numpy.int32(__0_dim),_1_v1,_2_v2,_3_v3)
    @staticmethod
    def _stack_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_0_dim,_1_v1,_2_v2,_3_v3):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:289:93-131
      return (mosek.fusion.Var._dstack__3Lmosek_4fusion_4Variable_2I(numpy.array([_1_v1,_2_v2,_3_v3], dtype=numpy.dtype(object)),_0_dim)) # bld/herlev/final/default/src/fusion/Var.monty:289:95-130
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:289:93-131
    @staticmethod
    def _match_stack_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 3: return False
      _0_dim,_1_v1,_2_v2, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_v1)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_2_v2))
    @staticmethod
    def _match_alt_stack_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 3: return False
      _0_dim,_1_v1,_2_v2, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_v1)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_2_v2))
    @staticmethod
    def _stack_alt_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_t__0_dim,_t__1_v1,_t__2_v2):
      return mosek_fusion_Var._stack_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(numpy.int32(__0_dim),_1_v1,_2_v2)
    @staticmethod
    def _stack_ILmosek_4fusion_4Variable_2Lmosek_4fusion_4Variable_2(_0_dim,_1_v1,_2_v2):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:288:80-115
      return (mosek.fusion.Var._dstack__3Lmosek_4fusion_4Variable_2I(numpy.array([_1_v1,_2_v2], dtype=numpy.dtype(object)),_0_dim)) # bld/herlev/final/default/src/fusion/Var.monty:288:82-114
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:288:80-115
    @staticmethod
    def _match_promote_Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 2: return False
      _0_v,_1_nd, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_match_I__(_1_nd))
    @staticmethod
    def _match_alt_promote_Lmosek_4fusion_4Variable_2I(*args):
      if len(args) != 2: return False
      _0_v,_1_nd, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_alt_match_I__(_1_nd))
    @staticmethod
    def _promote_alt_Lmosek_4fusion_4Variable_2I(_t__0_v,_t__1_nd):
      return mosek_fusion_Var._promote_Lmosek_4fusion_4Variable_2I(_0_v,numpy.int32(__1_nd))
    @staticmethod
    def _promote_Lmosek_4fusion_4Variable_2I(_0_v,_1_nd):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:275:67-285:7
      if (_1_nd > _0_v._getND_()): # bld/herlev/final/default/src/fusion/Var.monty:276:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:276:28-282:9
        _2_shape=numpy.zeros((_1_nd,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Var.monty:277:14-19
        _3_sh=_0_v._getShape_() # bld/herlev/final/default/src/fusion/Var.monty:278:14-16
        fragments._c_closure_219(_3_sh,_2_shape) # bld/herlev/final/default/src/fusion/Var.monty:279:10-52
        fragments._c_closure_220(_1_nd,_3_sh,_2_shape) # bld/herlev/final/default/src/fusion/Var.monty:280:10-49
        return (_0_v._reshape__3I(_2_shape)) # bld/herlev/final/default/src/fusion/Var.monty:281:10-34
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:276:28-282:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:284:10-19
        return (_0_v) # bld/herlev/final/default/src/fusion/Var.monty:284:10-19
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:284:10-19
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:275:67-285:7
    @staticmethod
    def _dstack_alt__3Lmosek_4fusion_4Variable_2I(_t__0_v,_t__1_dim):
      _0_v=numpy.array(_t__0_v,dtype=numpy.dtype(object))
      _1_dim=numpy.int32(_t__1_dim)
      _1 = mosek_fusion_Var._dstack__3Lmosek_4fusion_4Variable_2I(_0_v,_1_dim)
      try:
        _t__0_v[:] = _0_v
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _dstack__3Lmosek_4fusion_4Variable_2I(_0_v,_1_dim):
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:154:6-267:7
      if (_1_dim < 0): # bld/herlev/final/default/src/fusion/Var.monty:155:12-19
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:156:10-65
        raise mosek_fusion_DimensionError._ctor_S("Invalid stacking dimension") # bld/herlev/final/default/src/fusion/Var.monty:156:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:156:10-65
      _2_m0=None # bld/herlev/final/default/src/fusion/Var.monty:158:12-20
      # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:159:8-171:9
      for _3_i in range(0,int((_0_v).shape[0])): # bld/herlev/final/default/src/fusion/Var.monty:160:10-170:13
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:161:12-170:13
        if (_2_m0 is None): # bld/herlev/final/default/src/fusion/Var.monty:161:16-26
          # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:161:28-53
          _2_m0 = _0_v[_3_i]._getModel_() # bld/herlev/final/default/src/fusion/Var.monty:161:30-51
          # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:161:28-53
        elif ((_0_v[_3_i]._getModel_() is not None) and (_0_v[_3_i]._getModel_() is not _2_m0)): # bld/herlev/final/default/src/fusion/Var.monty:162:20-69
          # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:163:12-170:13
          _4_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Var.monty:164:18-20
          _5_m1name=(_2_m0._getName_() if ((int(len(_2_m0._getName_())) > 0) ) else "?") # bld/herlev/final/default/src/fusion/Var.monty:165:18-24
          _6_m2name=(_0_v[_3_i]._getModel_()._getName_() if ((int(len(_0_v[_3_i]._getModel_()._getName_())) > 0) ) else "?") # bld/herlev/final/default/src/fusion/Var.monty:166:18-24
          _4_sb._a_S("Variables belong to different models: '")._a_S(_5_m1name)._a_S("' and '")._a_S(_6_m2name)._a_S("'") # bld/herlev/final/default/src/fusion/Var.monty:168:14-102
          raise mosek_fusion_ModelError._ctor_S(_4_sb._toString_()) # bld/herlev/final/default/src/fusion/Var.monty:169:14-50
          # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:163:12-170:13
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:161:12-170:13
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:159:8-171:9
      if (int((_0_v).shape[0])==0): # bld/herlev/final/default/src/fusion/Var.monty:173:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:173:25-50
        return (mosek_fusion_NilVariable._ctor_()) # bld/herlev/final/default/src/fusion/Var.monty:173:25-50
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:173:25-50
      elif (int((_0_v).shape[0])==1): # bld/herlev/final/default/src/fusion/Var.monty:174:16-27
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:174:29-41
        return (_0_v[0]) # bld/herlev/final/default/src/fusion/Var.monty:174:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:174:29-41
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:175:13-266:9
        _7_n=int((_0_v).shape[0]) # bld/herlev/final/default/src/fusion/Var.monty:176:14-15
        _8_numnz=numpy.array([_0_v[_9_i]._numInst_() for _9_i in range(0,_7_n)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Var.monty:177:14-19
        _10_shapes=_monty.initJaggedArray([_0_v[_11_i]._getShape_() for _11_i in range(0,_7_n)], 1) # bld/herlev/final/default/src/fusion/Var.monty:178:14-20
        _12_nds=numpy.array([int((_10_shapes[_13_i]).shape[0]) for _13_i in range(0,_7_n)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Var.monty:179:14-17
        _14_shape0=_10_shapes[0] # bld/herlev/final/default/src/fusion/Var.monty:180:14-20
        _15_nd0=_12_nds[0] # bld/herlev/final/default/src/fusion/Var.monty:181:14-17
        _16_rnnz=0 # bld/herlev/final/default/src/fusion/Var.monty:182:14-18
        _16_rnnz = fragments._c_closure_221(_7_n,_8_numnz,_16_rnnz) # bld/herlev/final/default/src/fusion/Var.monty:182:24-60
        _16_rnnz = numpy.int32(_16_rnnz) # postprocess
        _17_rnd=(_1_dim + 1) # bld/herlev/final/default/src/fusion/Var.monty:184:14-17
        _17_rnd = fragments._c_closure_222(_7_n,_12_nds,_17_rnd) # bld/herlev/final/default/src/fusion/Var.monty:184:27-77
        _17_rnd = numpy.int32(_17_rnd) # postprocess
        _18_rshape=numpy.zeros((_17_rnd,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Var.monty:185:14-20
        fragments._c_closure_223(_15_nd0,_18_rshape,_14_shape0) # bld/herlev/final/default/src/fusion/Var.monty:186:10-53
        fragments._c_closure_224(_15_nd0,_17_rnd,_18_rshape) # bld/herlev/final/default/src/fusion/Var.monty:186:54-91
        _18_rshape[_1_dim] = 0 # bld/herlev/final/default/src/fusion/Var.monty:187:10-26
        fragments._c_closure_225(_1_dim,_7_n,_18_rshape,_10_shapes) # bld/herlev/final/default/src/fusion/Var.monty:187:27-109
        for _19_i in range(0,_7_n): # bld/herlev/final/default/src/fusion/Var.monty:189:10-196:11
          # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:189:29-196:11
          for _20_j in range(0,int((_10_shapes[_19_i]).shape[0])): # bld/herlev/final/default/src/fusion/Var.monty:190:12-192:77
            # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:191:14-192:77
            if ((_20_j!=_1_dim) and (_10_shapes[_19_i][_20_j]!=_18_rshape[_20_j])): # bld/herlev/final/default/src/fusion/Var.monty:191:18-56
              # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:192:16-77
              raise mosek_fusion_DimensionError._ctor_S("Variable dimensions do not match") # bld/herlev/final/default/src/fusion/Var.monty:192:16-77
              # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:192:16-77
            # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:191:14-192:77
          for _21_j in range(int((_10_shapes[_19_i]).shape[0]),_17_rnd): # bld/herlev/final/default/src/fusion/Var.monty:193:12-195:77
            # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:194:14-195:77
            if ((_21_j!=_1_dim) and (1!=_18_rshape[_21_j])): # bld/herlev/final/default/src/fusion/Var.monty:194:18-45
              # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:195:16-77
              raise mosek_fusion_DimensionError._ctor_S("Variable dimensions do not match") # bld/herlev/final/default/src/fusion/Var.monty:195:16-77
              # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:195:16-77
            # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:194:14-195:77
          # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:189:29-196:11
        _22_rnidxs=numpy.zeros((_16_rnnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:198:14-20
        _23_rsp=numpy.zeros((_16_rnnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:199:14-17
        _24_sdims=numpy.array([(_10_shapes[_25_i][_1_dim] if ((_1_dim < int((_10_shapes[_25_i]).shape[0])) ) else 1) for _25_i in range(0,int((_0_v).shape[0]))], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Var.monty:201:14-19
        _26_d0=1 # bld/herlev/final/default/src/fusion/Var.monty:202:14-16
        _26_d0 = fragments._c_closure_226(_26_d0,_1_dim,_14_shape0) # bld/herlev/final/default/src/fusion/Var.monty:202:22-88
        _26_d0 = numpy.int32(_26_d0) # postprocess
        _27_d1=0 # bld/herlev/final/default/src/fusion/Var.monty:203:14-16
        _27_d1 = fragments._c_closure_227(_27_d1,_7_n,_24_sdims) # bld/herlev/final/default/src/fusion/Var.monty:203:22-56
        _27_d1 = numpy.int32(_27_d1) # postprocess
        _28_d2=1 # bld/herlev/final/default/src/fusion/Var.monty:204:14-16
        _28_d2 = fragments._c_closure_228(_28_d2,_1_dim,_14_shape0) # bld/herlev/final/default/src/fusion/Var.monty:204:22-71
        _28_d2 = numpy.int32(_28_d2) # postprocess
        if (_26_d0==1): # bld/herlev/final/default/src/fusion/Var.monty:206:14-21
          # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:206:23-217:11
          _29_k=0 # bld/herlev/final/default/src/fusion/Var.monty:207:34-35
          _30_kspofs=0 # bld/herlev/final/default/src/fusion/Var.monty:207:16-28
          for _31_i in range(0,_7_n): # bld/herlev/final/default/src/fusion/Var.monty:208:12-215:13
            # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:208:31-215:13
            _0_v[_31_i]._inst_I_3JI_3J(_29_k,_23_rsp,_29_k,_22_rnidxs) # bld/herlev/final/default/src/fusion/Var.monty:209:14-40
            _29_k = fragments._c_closure_229(_31_i,_29_k,_30_kspofs,_8_numnz,_23_rsp) # bld/herlev/final/default/src/fusion/Var.monty:210:14-213:15
            _29_k = numpy.int32(_29_k) # postprocess
            _30_kspofs += mosek.fusion.Set._size__3I(_10_shapes[_31_i]) # bld/herlev/final/default/src/fusion/Var.monty:214:14-44
            # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:208:31-215:13
          return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(_2_m0,_18_rshape,(_23_rsp if ((_16_rnnz < ((_26_d0 * _27_d1) * _28_d2)) ) else None),_22_rnidxs)) # bld/herlev/final/default/src/fusion/Var.monty:216:12-93
          # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:206:23-217:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:218:15-264:11
          _32_b=0 # bld/herlev/final/default/src/fusion/Var.monty:219:16-17
          for _33_i in range(0,_7_n): # bld/herlev/final/default/src/fusion/Var.monty:220:12-221:48
            # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:221:14-48
            _32_b += _0_v[_33_i]._inst_I_3JI_3J(_32_b,_23_rsp,_32_b,_22_rnidxs) # bld/herlev/final/default/src/fusion/Var.monty:221:14-48
            # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:221:14-48
          _34_curperm=numpy.zeros((_16_rnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Var.monty:223:16-23
          _35_tgtperm=numpy.zeros((_16_rnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Var.monty:224:16-23
          _36_offset=numpy.zeros((_7_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Var.monty:226:16-22
          fragments._c_closure_230(_7_n,_36_offset,_24_sdims) # bld/herlev/final/default/src/fusion/Var.monty:226:38-92
          fragments._c_closure_231(_34_curperm,_16_rnnz) # bld/herlev/final/default/src/fusion/Var.monty:228:12-49
          _37_k=0 # bld/herlev/final/default/src/fusion/Var.monty:230:16-17
          _37_k = fragments._c_closure_232(_27_d1,_28_d2,_37_k,_7_n,_8_numnz,_36_offset,_23_rsp,_24_sdims) # bld/herlev/final/default/src/fusion/Var.monty:231:12-241:13
          _37_k = numpy.int32(_37_k) # postprocess
          _38_maxdim=1 # bld/herlev/final/default/src/fusion/Var.monty:243:16-22
          _38_maxdim = fragments._c_closure_233(_38_maxdim,_17_rnd,_18_rshape) # bld/herlev/final/default/src/fusion/Var.monty:243:28-104
          _38_maxdim = numpy.int32(_38_maxdim) # postprocess
          _39_s=numpy.zeros((_17_rnd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Var.monty:244:16-17
          _39_s[(_17_rnd - 1)] = 1 # bld/herlev/final/default/src/fusion/Var.monty:244:35-48
          fragments._c_closure_234(_17_rnd,_18_rshape,_39_s) # bld/herlev/final/default/src/fusion/Var.monty:244:49-106
          _40_ptr=numpy.zeros(((_38_maxdim + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Var.monty:245:16-19
          for _41_ii in range(0,_17_rnd): # bld/herlev/final/default/src/fusion/Var.monty:247:12-259:13
            # Start scope @ bld/herlev/final/default/src/fusion/Var.monty:247:34-259:13
            _42_i=((_17_rnd - _41_ii) - 1) # bld/herlev/final/default/src/fusion/Var.monty:248:18-19
            fragments._c_closure_235(_42_i,_40_ptr,_18_rshape) # bld/herlev/final/default/src/fusion/Var.monty:249:14-54
            fragments._c_closure_236(_42_i,_40_ptr,_16_rnnz,_18_rshape,_23_rsp,_39_s) # bld/herlev/final/default/src/fusion/Var.monty:250:14-69
            fragments._c_closure_237(_42_i,_40_ptr,_18_rshape) # bld/herlev/final/default/src/fusion/Var.monty:251:14-60
            fragments._c_closure_238(_34_curperm,_42_i,_40_ptr,_16_rnnz,_18_rshape,_23_rsp,_39_s,_35_tgtperm) # bld/herlev/final/default/src/fusion/Var.monty:252:14-257:15
            _43_tmp=_34_curperm # bld/herlev/final/default/src/fusion/Var.monty:258:18-21
            _34_curperm = _35_tgtperm # bld/herlev/final/default/src/fusion/Var.monty:258:33-51
            _35_tgtperm = _43_tmp # bld/herlev/final/default/src/fusion/Var.monty:258:52-66
            # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:247:34-259:13
          return (mosek_fusion_SliceVariable._ctor_Lmosek_4fusion_4Model_2_3I_3J_3J(_2_m0,_18_rshape,(numpy.array([_23_rsp[_34_curperm[_44_i]] for _44_i in range(0,_16_rnnz)], dtype=numpy.dtype(numpy.int64)) if ((_16_rnnz < ((_26_d0 * _27_d1) * _28_d2)) ) else None),numpy.array([_22_rnidxs[_34_curperm[_45_i]] for _45_i in range(0,_16_rnnz)], dtype=numpy.dtype(numpy.int64)))) # bld/herlev/final/default/src/fusion/Var.monty:261:12-263:80
          # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:218:15-264:11
        # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:175:13-266:9
      # End   scope @ bld/herlev/final/default/src/fusion/Var.monty:154:6-267:7
  return Var
mosek_fusion_Var=__mk_mosek_fusion_Var()
del __mk_mosek_fusion_Var

# origin: bld/herlev/final/default/src/fusion/Constraint.mbi:110:4-680:5
#BEFORE CLASS
def __mk_mosek_fusion_Constraint():
  class Constraint(object):
    __slots__ = ['_Constraint__con_nativeidxs','_Constraint__shape','_Constraint__model']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Model_2(*args): # mosek.fusion.Constraint,mosek.fusion.Model
        self._ctor_init_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Model_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Model_2(*args):# mosek.fusion.Constraint,mosek.fusion.Model
        self._ctor_alt_init_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Model_2(*args)
      elif self.__match_ctor_Lmosek_4fusion_4Model_2_3I_3I(*args): # mosek.fusion.Model,[]int32,[]int32
        self._ctor_init_Lmosek_4fusion_4Model_2_3I_3I(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Model_2_3I_3I(*args):# mosek.fusion.Model,[]int32,[]int32
        self._ctor_alt_init_Lmosek_4fusion_4Model_2_3I_3I(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.Constraint.ctor(mosek.fusion.Constraint,mosek.fusion.Model)\n\tmosek.fusion.Constraint.ctor(mosek.fusion.Model,array(int32,ndim=1),array(int32,ndim=1))')

    @staticmethod
    def hstack(*args):
      if False: pass
      elif mosek_fusion_Constraint._match_hstack__3Lmosek_4fusion_4Constraint_2(*args): # []mosek.fusion.Constraint
        return mosek_fusion_Constraint._hstack__3Lmosek_4fusion_4Constraint_2(*args)
      elif mosek_fusion_Constraint._match_alt_hstack__3Lmosek_4fusion_4Constraint_2(*args): # []mosek.fusion.Constraint
        return mosek_fusion_Constraint._hstack_alt__3Lmosek_4fusion_4Constraint_2(*args)
      elif mosek_fusion_Constraint._match_hstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args): # mosek.fusion.Constraint,mosek.fusion.Constraint
        return mosek_fusion_Constraint._hstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args)
      elif mosek_fusion_Constraint._match_alt_hstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args): # mosek.fusion.Constraint,mosek.fusion.Constraint
        return mosek_fusion_Constraint._hstack_alt_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args)
      elif mosek_fusion_Constraint._match_hstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args): # mosek.fusion.Constraint,mosek.fusion.Constraint,mosek.fusion.Constraint
        return mosek_fusion_Constraint._hstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args)
      elif mosek_fusion_Constraint._match_alt_hstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args): # mosek.fusion.Constraint,mosek.fusion.Constraint,mosek.fusion.Constraint
        return mosek_fusion_Constraint._hstack_alt_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args)
      else:
        raise ValueError('Invalid argument list hstack('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.hstack(array(mosek.fusion.Constraint,ndim=1))\n\tmosek.fusion.Constraint.hstack(mosek.fusion.Constraint,mosek.fusion.Constraint)\n\tmosek.fusion.Constraint.hstack(mosek.fusion.Constraint,mosek.fusion.Constraint,mosek.fusion.Constraint)')

    def index(self,*args):
      if False: pass
      elif mosek_fusion_Constraint._match_index_I(*args): # int32
        return self._index_I(*args)
      elif mosek_fusion_Constraint._match_alt_index_I(*args): # int32
        return self._index_alt_I(*args)
      elif mosek_fusion_Constraint._match_index__3I(*args): # []int32
        return self._index__3I(*args)
      elif mosek_fusion_Constraint._match_alt_index__3I(*args): # []int32
        return self._index_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list index('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.index(int32)\n\tmosek.fusion.Constraint.index(array(int32,ndim=1))')

    def remove(self,*args):
      if False: pass
      elif mosek_fusion_Constraint._match_remove_(*args): # 
        return self._remove_(*args)
      elif mosek_fusion_Constraint._match_alt_remove_(*args): # 
        return self._remove_alt_(*args)
      else:
        raise ValueError('Invalid argument list remove('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.remove()')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_Constraint._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_Constraint._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.toString()')

    def getModel(self,*args):
      if False: pass
      elif mosek_fusion_Constraint._match_getModel_(*args): # 
        return self._getModel_(*args)
      elif mosek_fusion_Constraint._match_alt_getModel_(*args): # 
        return self._getModel_alt_(*args)
      else:
        raise ValueError('Invalid argument list getModel('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.getModel()')

    def level(self,*args):
      if False: pass
      elif mosek_fusion_Constraint._match_level_(*args): # 
        return self._level_(*args)
      elif mosek_fusion_Constraint._match_alt_level_(*args): # 
        return self._level_alt_(*args)
      else:
        raise ValueError('Invalid argument list level('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.level()')

    def getSize(self,*args):
      if False: pass
      elif mosek_fusion_Constraint._match_getSize_(*args): # 
        return self._getSize_(*args)
      elif mosek_fusion_Constraint._match_alt_getSize_(*args): # 
        return self._getSize_alt_(*args)
      else:
        raise ValueError('Invalid argument list getSize('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.getSize()')

    @staticmethod
    def stack(*args):
      if False: pass
      elif mosek_fusion_Constraint._match_stack__3Lmosek_4fusion_4Constraint_2I(*args): # []mosek.fusion.Constraint,int32
        return mosek_fusion_Constraint._stack__3Lmosek_4fusion_4Constraint_2I(*args)
      elif mosek_fusion_Constraint._match_alt_stack__3Lmosek_4fusion_4Constraint_2I(*args): # []mosek.fusion.Constraint,int32
        return mosek_fusion_Constraint._stack_alt__3Lmosek_4fusion_4Constraint_2I(*args)
      elif mosek_fusion_Constraint._match_stack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(*args): # mosek.fusion.Constraint,mosek.fusion.Constraint,int32
        return mosek_fusion_Constraint._stack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(*args)
      elif mosek_fusion_Constraint._match_alt_stack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(*args): # mosek.fusion.Constraint,mosek.fusion.Constraint,int32
        return mosek_fusion_Constraint._stack_alt_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(*args)
      elif mosek_fusion_Constraint._match_stack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(*args): # mosek.fusion.Constraint,mosek.fusion.Constraint,mosek.fusion.Constraint,int32
        return mosek_fusion_Constraint._stack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(*args)
      elif mosek_fusion_Constraint._match_alt_stack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(*args): # mosek.fusion.Constraint,mosek.fusion.Constraint,mosek.fusion.Constraint,int32
        return mosek_fusion_Constraint._stack_alt_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(*args)
      else:
        raise ValueError('Invalid argument list stack('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.stack(array(mosek.fusion.Constraint,ndim=1),int32)\n\tmosek.fusion.Constraint.stack(mosek.fusion.Constraint,mosek.fusion.Constraint,int32)\n\tmosek.fusion.Constraint.stack(mosek.fusion.Constraint,mosek.fusion.Constraint,mosek.fusion.Constraint,int32)')

    def get_model(self,*args):
      if False: pass
      elif mosek_fusion_Constraint._match_get_1model_(*args): # 
        return self._get_1model_(*args)
      elif mosek_fusion_Constraint._match_alt_get_1model_(*args): # 
        return self._get_1model_alt_(*args)
      else:
        raise ValueError('Invalid argument list get_model('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.get_model()')

    def slice(self,*args):
      if False: pass
      elif mosek_fusion_Constraint._match_slice_II(*args): # int32,int32
        return self._slice_II(*args)
      elif mosek_fusion_Constraint._match_alt_slice_II(*args): # int32,int32
        return self._slice_alt_II(*args)
      elif mosek_fusion_Constraint._match_slice__3I_3I(*args): # []int32,[]int32
        return self._slice__3I_3I(*args)
      elif mosek_fusion_Constraint._match_alt_slice__3I_3I(*args): # []int32,[]int32
        return self._slice_alt__3I_3I(*args)
      else:
        raise ValueError('Invalid argument list slice('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.slice(int32,int32)\n\tmosek.fusion.Constraint.slice(array(int32,ndim=1),array(int32,ndim=1))')

    def dual(self,*args):
      if False: pass
      elif mosek_fusion_Constraint._match_dual_(*args): # 
        return self._dual_(*args)
      elif mosek_fusion_Constraint._match_alt_dual_(*args): # 
        return self._dual_alt_(*args)
      else:
        raise ValueError('Invalid argument list dual('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.dual()')

    def getND(self,*args):
      if False: pass
      elif mosek_fusion_Constraint._match_getND_(*args): # 
        return self._getND_(*args)
      elif mosek_fusion_Constraint._match_alt_getND_(*args): # 
        return self._getND_alt_(*args)
      else:
        raise ValueError('Invalid argument list getND('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.getND()')

    @staticmethod
    def vstack(*args):
      if False: pass
      elif mosek_fusion_Constraint._match_vstack__3Lmosek_4fusion_4Constraint_2(*args): # []mosek.fusion.Constraint
        return mosek_fusion_Constraint._vstack__3Lmosek_4fusion_4Constraint_2(*args)
      elif mosek_fusion_Constraint._match_alt_vstack__3Lmosek_4fusion_4Constraint_2(*args): # []mosek.fusion.Constraint
        return mosek_fusion_Constraint._vstack_alt__3Lmosek_4fusion_4Constraint_2(*args)
      elif mosek_fusion_Constraint._match_vstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args): # mosek.fusion.Constraint,mosek.fusion.Constraint
        return mosek_fusion_Constraint._vstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args)
      elif mosek_fusion_Constraint._match_alt_vstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args): # mosek.fusion.Constraint,mosek.fusion.Constraint
        return mosek_fusion_Constraint._vstack_alt_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args)
      elif mosek_fusion_Constraint._match_vstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args): # mosek.fusion.Constraint,mosek.fusion.Constraint,mosek.fusion.Constraint
        return mosek_fusion_Constraint._vstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args)
      elif mosek_fusion_Constraint._match_alt_vstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args): # mosek.fusion.Constraint,mosek.fusion.Constraint,mosek.fusion.Constraint
        return mosek_fusion_Constraint._vstack_alt_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args)
      else:
        raise ValueError('Invalid argument list vstack('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.vstack(array(mosek.fusion.Constraint,ndim=1))\n\tmosek.fusion.Constraint.vstack(mosek.fusion.Constraint,mosek.fusion.Constraint)\n\tmosek.fusion.Constraint.vstack(mosek.fusion.Constraint,mosek.fusion.Constraint,mosek.fusion.Constraint)')

    def get_nd(self,*args):
      if False: pass
      elif mosek_fusion_Constraint._match_get_1nd_(*args): # 
        return self._get_1nd_(*args)
      elif mosek_fusion_Constraint._match_alt_get_1nd_(*args): # 
        return self._get_1nd_alt_(*args)
      else:
        raise ValueError('Invalid argument list get_nd('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.get_nd()')

    def update(self,*args):
      if False: pass
      elif mosek_fusion_Constraint._match_update_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        return self._update_Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Constraint._match_alt_update_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        return self._update_alt_Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Constraint._match_update__3D(*args): # []double
        return self._update__3D(*args)
      elif mosek_fusion_Constraint._match_alt_update__3D(*args): # []double
        return self._update_alt__3D(*args)
      elif mosek_fusion_Constraint._match_update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Expression,mosek.fusion.Variable
        return self._update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Constraint._match_alt_update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Expression,mosek.fusion.Variable
        return self._update_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Constraint._match_update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2Z(*args): # mosek.fusion.Expression,mosek.fusion.Variable,bool
        return self._update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2Z(*args)
      elif mosek_fusion_Constraint._match_alt_update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2Z(*args): # mosek.fusion.Expression,mosek.fusion.Variable,bool
        return self._update_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2Z(*args)
      else:
        raise ValueError('Invalid argument list update('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.update(mosek.fusion.Expression)\n\tmosek.fusion.Constraint.update(array(double,ndim=1))\n\tmosek.fusion.Constraint.update(mosek.fusion.Expression,mosek.fusion.Variable)\n\tmosek.fusion.Constraint.update(mosek.fusion.Expression,mosek.fusion.Variable,bool)')

    def size(self,*args):
      if False: pass
      elif mosek_fusion_Constraint._match_size_(*args): # 
        return self._size_(*args)
      elif mosek_fusion_Constraint._match_alt_size_(*args): # 
        return self._size_alt_(*args)
      else:
        raise ValueError('Invalid argument list size('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.size()')

    def getShape(self,*args):
      if False: pass
      elif mosek_fusion_Constraint._match_getShape_(*args): # 
        return self._getShape_(*args)
      elif mosek_fusion_Constraint._match_alt_getShape_(*args): # 
        return self._getShape_alt_(*args)
      else:
        raise ValueError('Invalid argument list getShape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Constraint.getShape()')

    def __repr__(self): return 'mosek.fusion.Constraint'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Model_2(c,m):
      o = Constraint.__new__(Constraint)
      o._ctor_init_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Model_2(c,m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      c,m, = args
      return (    __arg_match_Lmosek_4fusion_4Constraint_2__(c)
              and __arg_match_Lmosek_4fusion_4Model_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      c,m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Constraint_2__(c)
              and __arg_alt_match_Lmosek_4fusion_4Model_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/Constraint.mbi:135:6-140:7
    def _ctor_alt_init_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Model_2(self,c,m):
      self._ctor_init_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Model_2(c,m)
    def _ctor_init_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Model_2(self,c,m):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:136:6-140:7
      self.__model = m # bld/herlev/final/default/src/fusion/Constraint.mbi:137:8-18
      self.__shape = (c.__shape) # bld/herlev/final/default/src/fusion/Constraint.mbi:138:8-24
      self.__con_nativeidxs = (c.__con_nativeidxs) # bld/herlev/final/default/src/fusion/Constraint.mbi:139:8-42
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:136:6-140:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2_3I_3I(model,shape,con_nativeidxs):
      o = Constraint.__new__(Constraint)
      o._ctor_init_Lmosek_4fusion_4Model_2_3I_3I(model,shape,con_nativeidxs)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2_3I_3I(*args):
      if len(args) != 3: return False
      model,shape,con_nativeidxs, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_match__3I__(shape)
              and __arg_match__3I__(con_nativeidxs))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2_3I_3I(*args):
      if len(args) != 3: return False
      model,shape,con_nativeidxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match__3I__(con_nativeidxs))
    # Origin: bld/herlev/final/default/src/fusion/Constraint.mbi:124:6-132:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2_3I_3I(self,model,shape,con_nativeidxs):
      self._ctor_init_Lmosek_4fusion_4Model_2_3I_3I(model,numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(con_nativeidxs,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_Lmosek_4fusion_4Model_2_3I_3I(self,model,shape,con_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:128:6-132:7
      (self.__model) = model # bld/herlev/final/default/src/fusion/Constraint.mbi:129:10-29
      (self.__shape) = shape # bld/herlev/final/default/src/fusion/Constraint.mbi:130:10-29
      (self.__con_nativeidxs) = con_nativeidxs # bld/herlev/final/default/src/fusion/Constraint.mbi:131:10-47
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:128:6-132:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:663:6-679:7
      raise mosek_fusion_UnimplementedError._ctor_S("Constraint.toString") # bld/herlev/final/default/src/fusion/Constraint.mbi:678:8-60
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:663:6-679:7
    def _toStringArray_alt__3JJ_3S(self,_t__0_subi,_t__1_dstidx,_t__2_result):
      _0_subi=numpy.array(_t__0_subi,dtype=numpy.dtype(numpy.int64))
      _1_dstidx=numpy.int64(_t__1_dstidx)
      _2_result=numpy.array(_t__2_result,dtype=numpy.dtype(object))
      _1 = self._toStringArray__3JJ_3S(_0_subi,_1_dstidx,_2_result)
      try:
        _t__0_subi[:] = _0_subi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_result[:] = _2_result
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _toStringArray__3JJ_3S(self,_0_subi,_1_dstidx,_2_result):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:655:6-657:7
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:655:6-657:7
    def _dual_1lu_alt_I_3DZ(self,_t__0_offset,_t__1_target,_t__2_islower):
      _0_offset=numpy.int32(_t__0_offset)
      _1_target=numpy.array(_t__1_target,dtype=numpy.dtype(numpy.float64))
      _2_islower=_t__2_islower
      _1 = self._dual_1lu_I_3DZ(_0_offset,_1_target,_2_islower)
      try:
        _t__1_target[:] = _1_target
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _dual_1lu_I_3DZ(self,_0_offset,_1_target,_2_islower):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:642:76-644:7
      self.__model._getConstraintDuals_Z_3I_3DI(_2_islower,self.__con_nativeidxs,_1_target,_0_offset) # bld/herlev/final/default/src/fusion/Constraint.mbi:643:8-71
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:642:76-644:7
    @staticmethod
    def _match_dual_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_dual_(*args):
      if len(args) != 0: return False
      return True
    def _dual_alt_(self,):
      return self._dual_()
    def _dual_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:636:36-640:7
      _0_res=numpy.zeros((int((self.__con_nativeidxs).shape[0]),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Constraint.mbi:637:12-15
      self.__values_ZI_3D(False,0,_0_res) # bld/herlev/final/default/src/fusion/Constraint.mbi:638:8-28
      return (_0_res) # bld/herlev/final/default/src/fusion/Constraint.mbi:639:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:636:36-640:7
    @staticmethod
    def _match_level_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_level_(*args):
      if len(args) != 0: return False
      return True
    def _level_alt_(self,):
      return self._level_()
    def _level_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:623:37-627:7
      _0_res=numpy.zeros((int((self.__con_nativeidxs).shape[0]),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Constraint.mbi:624:12-15
      self.__values_ZI_3D(True,0,_0_res) # bld/herlev/final/default/src/fusion/Constraint.mbi:625:8-27
      return (_0_res) # bld/herlev/final/default/src/fusion/Constraint.mbi:626:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:623:37-627:7
    def __values_alt_ZI_3D(self,_t__0_primal,_t__1_offset,_t__2_target):
      _0_primal=_t__0_primal
      _1_offset=numpy.int32(_t__1_offset)
      _2_target=numpy.array(_t__2_target,dtype=numpy.dtype(numpy.float64))
      _1 = self.__values_ZI_3D(_0_primal,_1_offset,_2_target)
      try:
        _t__2_target[:] = _2_target
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __values_ZI_3D(self,_0_primal,_1_offset,_2_target):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:610:25-613:7
      self.__model._getConstraintValues_Z_3I_3DI(_0_primal,self.__con_nativeidxs,_2_target,_1_offset) # bld/herlev/final/default/src/fusion/Constraint.mbi:612:8-74
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:610:25-613:7
    @staticmethod
    def _match_remove_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_remove_(*args):
      if len(args) != 0: return False
      return True
    def _remove_alt_(self,):
      return self._remove_()
    def _remove_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:601:29-603:7
      raise mosek_fusion_DeletionError._ctor_S("Only original constraints can be removed") # bld/herlev/final/default/src/fusion/Constraint.mbi:602:8-76
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:601:29-603:7
    @staticmethod
    def _match_update__3D(*args):
      if len(args) != 1: return False
      _0_bfix, = args
      return (    __arg_match__3D__(_0_bfix))
    @staticmethod
    def _match_alt_update__3D(*args):
      if len(args) != 1: return False
      _0_bfix, = args
      return (    __arg_alt_match__3D__(_0_bfix))
    def _update_alt__3D(self,_t__0_bfix):
      _0_bfix=numpy.array(_t__0_bfix,dtype=numpy.dtype(numpy.float64))
      _1 = self._update__3D(_0_bfix)
      try:
        _t__0_bfix[:] = _0_bfix
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _update__3D(self,_0_bfix):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:592:42-594:7
      self._update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2Z(mosek.fusion.Expr._reshape_Lmosek_4fusion_4Expression_2_3I(mosek.fusion.Expr._constTerm__3D(_0_bfix),self._getShape_()),mosek_fusion_NilVariable._ctor_(),True) # bld/herlev/final/default/src/fusion/Constraint.mbi:593:8-87
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:592:42-594:7
    @staticmethod
    def _match_update_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_expr, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr))
    @staticmethod
    def _match_alt_update_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_expr, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr))
    def _update_alt_Lmosek_4fusion_4Expression_2(self,_t__0_expr):
      return self._update_Lmosek_4fusion_4Expression_2(_0_expr)
    def _update_Lmosek_4fusion_4Expression_2(self,_0_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:577:44-590:7
      _1_eshape=_0_expr._getShape_() # bld/herlev/final/default/src/fusion/Constraint.mbi:578:12-18
      if (int((self.__shape).shape[0]) < int((_1_eshape).shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:579:12-36
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:580:10-81
        raise mosek_fusion_DimensionError._ctor_S("Expression shape does not match constraint") # bld/herlev/final/default/src/fusion/Constraint.mbi:580:10-81
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:580:10-81
      for _2_i in range(0,int((_1_eshape).shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:581:8-583:83
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:582:10-583:83
        if (_1_eshape[_2_i]!=self.__shape[_2_i]): # bld/herlev/final/default/src/fusion/Constraint.mbi:582:14-35
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:583:12-83
          raise mosek_fusion_DimensionError._ctor_S("Expression shape does not match constraint") # bld/herlev/final/default/src/fusion/Constraint.mbi:583:12-83
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:583:12-83
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:582:10-583:83
      for _3_i in range(int((_1_eshape).shape[0]),int((self.__shape).shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:584:8-586:83
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:585:10-586:83
        if (self.__shape[_3_i]!=1): # bld/herlev/final/default/src/fusion/Constraint.mbi:585:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:586:12-83
          raise mosek_fusion_DimensionError._ctor_S("Expression shape does not match constraint") # bld/herlev/final/default/src/fusion/Constraint.mbi:586:12-83
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:586:12-83
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:585:10-586:83
      self.__model._update__3ILmosek_4fusion_4Expression_2(self.__con_nativeidxs,_0_expr) # bld/herlev/final/default/src/fusion/Constraint.mbi:589:8-43
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:577:44-590:7
    @staticmethod
    def _match_update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2Z(*args):
      if len(args) != 3: return False
      _0_expr,_1_x,_2_bfixupdate, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_x)
              and __arg_match_Z__(_2_bfixupdate))
    @staticmethod
    def _match_alt_update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2Z(*args):
      if len(args) != 3: return False
      _0_expr,_1_x,_2_bfixupdate, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_x)
              and __arg_alt_match_Z__(_2_bfixupdate))
    def _update_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2Z(self,_t__0_expr,_t__1_x,_t__2_bfixupdate):
      return self._update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2Z(_0_expr,_1_x,_2_bfixupdate)
    def _update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2Z(self,_0_expr,_1_x,_2_bfixupdate):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:517:73-574:7
      _3_nd=self._getND_() # bld/herlev/final/default/src/fusion/Constraint.mbi:518:12-14
      _4_eshape=_0_expr._getShape_() # bld/herlev/final/default/src/fusion/Constraint.mbi:519:12-18
      if (_3_nd < int((_4_eshape).shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:520:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:521:10-81
        raise mosek_fusion_DimensionError._ctor_S("Expression shape does not match constraint") # bld/herlev/final/default/src/fusion/Constraint.mbi:521:10-81
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:521:10-81
      for _5_i in range(0,int((_4_eshape).shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:522:8-524:83
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:523:10-524:83
        if (_4_eshape[_5_i]!=self.__shape[_5_i]): # bld/herlev/final/default/src/fusion/Constraint.mbi:523:14-35
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:524:12-83
          raise mosek_fusion_DimensionError._ctor_S("Expression shape does not match constraint") # bld/herlev/final/default/src/fusion/Constraint.mbi:524:12-83
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:524:12-83
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:523:10-524:83
      for _6_i in range(int((_4_eshape).shape[0]),int((self.__shape).shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:525:8-527:83
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:526:10-527:83
        if (self.__shape[_6_i]!=1): # bld/herlev/final/default/src/fusion/Constraint.mbi:526:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:527:12-83
          raise mosek_fusion_DimensionError._ctor_S("Expression shape does not match constraint") # bld/herlev/final/default/src/fusion/Constraint.mbi:527:12-83
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:527:12-83
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:526:10-527:83
      _7_ni=_1_x._numInst_() # bld/herlev/final/default/src/fusion/Constraint.mbi:529:12-14
      _8_varidxs=numpy.zeros((_7_ni,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Constraint.mbi:530:12-19
      if (_7_ni < _1_x._getSize_()): # bld/herlev/final/default/src/fusion/Constraint.mbi:531:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:531:30-534:9
        _9_sp=numpy.zeros((_7_ni,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Constraint.mbi:532:14-16
        _1_x._inst_I_3JI_3J(0,_9_sp,0,_8_varidxs) # bld/herlev/final/default/src/fusion/Constraint.mbi:533:10-33
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:531:30-534:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:536:10-28
        _1_x._inst_I_3J(0,_8_varidxs) # bld/herlev/final/default/src/fusion/Constraint.mbi:536:10-28
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:536:10-28
      for _10_i in range(0,_7_ni): # bld/herlev/final/default/src/fusion/Constraint.mbi:538:8-540:74
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:539:10-540:74
        if (_8_varidxs[_10_i] < 0): # bld/herlev/final/default/src/fusion/Constraint.mbi:539:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:540:12-74
          raise mosek_fusion_UpdateError._ctor_S("Semidefinite terms cannot be updated") # bld/herlev/final/default/src/fusion/Constraint.mbi:540:12-74
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:540:12-74
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:539:10-540:74
      # var _11_varidxs32 @ bld/herlev/final/default/src/fusion/Constraint.mbi:543:12-29
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:544:8-571:9
      _12_issorted=True # bld/herlev/final/default/src/fusion/Constraint.mbi:545:14-22
      _12_issorted = fragments._c_closure_239(_12_issorted,_7_ni,_8_varidxs) # bld/herlev/final/default/src/fusion/Constraint.mbi:546:10-82
      if _12_issorted: # bld/herlev/final/default/src/fusion/Constraint.mbi:547:14-22
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:547:24-555:11
        if (not _2_bfixupdate): # bld/herlev/final/default/src/fusion/Constraint.mbi:548:16-30
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:549:14-65
          _11_varidxs32 = numpy.array([numpy.int32(_8_varidxs[_13_i]) for _13_i in range(0,_7_ni)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Constraint.mbi:549:14-65
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:549:14-65
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:550:17-554:13
          _11_varidxs32 = numpy.zeros(((_7_ni + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Constraint.mbi:551:14-36
          _11_varidxs32[0] = 0 # bld/herlev/final/default/src/fusion/Constraint.mbi:552:14-31
          fragments._c_closure_240(_7_ni,_8_varidxs,_11_varidxs32) # bld/herlev/final/default/src/fusion/Constraint.mbi:553:14-69
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:550:17-554:13
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:547:24-555:11
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:556:15-570:11
        _14_perm=numpy.array([_15_i for _15_i in range(0,_7_ni)], dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Constraint.mbi:557:16-20
        mosek.fusion.CommonTools._argQsort__3J_3J_3JJJ(_14_perm,_8_varidxs,None,0,_7_ni) # bld/herlev/final/default/src/fusion/Constraint.mbi:558:12-57
        _16_nunique=1 # bld/herlev/final/default/src/fusion/Constraint.mbi:559:16-23
        _16_nunique = fragments._c_closure_241(_7_ni,_16_nunique,_14_perm,_8_varidxs) # bld/herlev/final/default/src/fusion/Constraint.mbi:560:12-85
        _16_nunique = numpy.int32(_16_nunique) # postprocess
        if _2_bfixupdate: # bld/herlev/final/default/src/fusion/Constraint.mbi:561:16-26
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:561:28-41
          _16_nunique += 1 # bld/herlev/final/default/src/fusion/Constraint.mbi:561:28-41
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:561:28-41
        _11_varidxs32 = numpy.zeros((_16_nunique,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Constraint.mbi:562:12-42
        _17_k=0 # bld/herlev/final/default/src/fusion/Constraint.mbi:563:16-17
        if _2_bfixupdate: # bld/herlev/final/default/src/fusion/Constraint.mbi:564:16-26
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:564:28-54
          _11_varidxs32[0] = 0 # bld/herlev/final/default/src/fusion/Constraint.mbi:564:30-47
          _17_k += 1 # bld/herlev/final/default/src/fusion/Constraint.mbi:564:48-52
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:564:28-54
        _11_varidxs32[_17_k] = numpy.int32(_8_varidxs[_14_perm[0]]) # bld/herlev/final/default/src/fusion/Constraint.mbi:565:12-51
        _17_k = fragments._c_closure_242(_17_k,_7_ni,_14_perm,_8_varidxs,_11_varidxs32) # bld/herlev/final/default/src/fusion/Constraint.mbi:566:12-569:13
        _17_k = numpy.int32(_17_k) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:556:15-570:11
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:544:8-571:9
      self.__model._update__3ILmosek_4fusion_4Expression_2_3I(self.__con_nativeidxs,_0_expr,_11_varidxs32) # bld/herlev/final/default/src/fusion/Constraint.mbi:573:8-54
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:517:73-574:7
    @staticmethod
    def _match_update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_x, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_x))
    @staticmethod
    def _match_alt_update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_x, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_x))
    def _update_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(self,_t__0_expr,_t__1_x):
      return self._update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(_0_expr,_1_x)
    def _update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2(self,_0_expr,_1_x):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:513:56-515:7
      self._update_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Variable_2Z(_0_expr,_1_x,False) # bld/herlev/final/default/src/fusion/Constraint.mbi:514:8-31
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:513:56-515:7
    @staticmethod
    def _match_get_1model_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_get_1model_(*args):
      if len(args) != 0: return False
      return True
    def _get_1model_alt_(self,):
      return self._get_1model_()
    def _get_1model_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:506:6-508:7
      return (self.__model) # bld/herlev/final/default/src/fusion/Constraint.mbi:507:8-21
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:506:6-508:7
    @staticmethod
    def _match_get_1nd_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_get_1nd_(*args):
      if len(args) != 0: return False
      return True
    def _get_1nd_alt_(self,):
      return self._get_1nd_()
    def _get_1nd_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:499:6-501:7
      return numpy.int32(int((self.__shape).shape[0])) # bld/herlev/final/default/src/fusion/Constraint.mbi:500:8-26
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:499:6-501:7
    @staticmethod
    def _match_size_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_size_(*args):
      if len(args) != 0: return False
      return True
    def _size_alt_(self,):
      return self._size_()
    def _size_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:492:6-494:7
      _0_sz=1 # bld/herlev/final/default/src/fusion/Constraint.mbi:493:12-20
      _0_sz = fragments._c_closure_243(self.__shape,_0_sz) # bld/herlev/final/default/src/fusion/Constraint.mbi:493:26-69
      _0_sz = numpy.int64(_0_sz) # postprocess
      return numpy.int64(_0_sz) # bld/herlev/final/default/src/fusion/Constraint.mbi:493:70-80
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:492:6-494:7
    @staticmethod
    def _match_stack__3Lmosek_4fusion_4Constraint_2I(*args):
      if len(args) != 2: return False
      _0_clist,_1_dim, = args
      return (    __arg_match__3Lmosek_4fusion_4Constraint_2__(_0_clist)
              and __arg_match_I__(_1_dim))
    @staticmethod
    def _match_alt_stack__3Lmosek_4fusion_4Constraint_2I(*args):
      if len(args) != 2: return False
      _0_clist,_1_dim, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Constraint_2__(_0_clist)
              and __arg_alt_match_I__(_1_dim))
    @staticmethod
    def _stack_alt__3Lmosek_4fusion_4Constraint_2I(_t__0_clist,_t__1_dim):
      _0_clist=numpy.array(_t__0_clist,dtype=numpy.dtype(object))
      _1_dim=numpy.int32(_t__1_dim)
      _1 = mosek_fusion_Constraint._stack__3Lmosek_4fusion_4Constraint_2I(_0_clist,_1_dim)
      try:
        _t__0_clist[:] = _0_clist
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _stack__3Lmosek_4fusion_4Constraint_2I(_0_clist,_1_dim):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:482:6-484:7
      return (mosek.fusion.Constraint._dstack__3Lmosek_4fusion_4Constraint_2I(_0_clist,_1_dim)) # bld/herlev/final/default/src/fusion/Constraint.mbi:483:10-35
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:482:6-484:7
    @staticmethod
    def _match_stack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(*args):
      if len(args) != 4: return False
      _0_v1,_1_v2,_2_v3,_3_dim, = args
      return (    __arg_match_Lmosek_4fusion_4Constraint_2__(_0_v1)
              and __arg_match_Lmosek_4fusion_4Constraint_2__(_1_v2)
              and __arg_match_Lmosek_4fusion_4Constraint_2__(_2_v3)
              and __arg_match_I__(_3_dim))
    @staticmethod
    def _match_alt_stack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(*args):
      if len(args) != 4: return False
      _0_v1,_1_v2,_2_v3,_3_dim, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Constraint_2__(_0_v1)
              and __arg_alt_match_Lmosek_4fusion_4Constraint_2__(_1_v2)
              and __arg_alt_match_Lmosek_4fusion_4Constraint_2__(_2_v3)
              and __arg_alt_match_I__(_3_dim))
    @staticmethod
    def _stack_alt_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(_t__0_v1,_t__1_v2,_t__2_v3,_t__3_dim):
      return mosek_fusion_Constraint._stack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(_0_v1,_1_v2,_2_v3,numpy.int32(__3_dim))
    @staticmethod
    def _stack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(_0_v1,_1_v2,_2_v3,_3_dim):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:476:6-478:7
      return (mosek.fusion.Constraint._dstack__3Lmosek_4fusion_4Constraint_2I(numpy.array([_0_v1,_1_v2,_2_v3], dtype=numpy.dtype(object)),_3_dim)) # bld/herlev/final/default/src/fusion/Constraint.mbi:477:8-43
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:476:6-478:7
    @staticmethod
    def _match_stack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(*args):
      if len(args) != 3: return False
      _0_v1,_1_v2,_2_dim, = args
      return (    __arg_match_Lmosek_4fusion_4Constraint_2__(_0_v1)
              and __arg_match_Lmosek_4fusion_4Constraint_2__(_1_v2)
              and __arg_match_I__(_2_dim))
    @staticmethod
    def _match_alt_stack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(*args):
      if len(args) != 3: return False
      _0_v1,_1_v2,_2_dim, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Constraint_2__(_0_v1)
              and __arg_alt_match_Lmosek_4fusion_4Constraint_2__(_1_v2)
              and __arg_alt_match_I__(_2_dim))
    @staticmethod
    def _stack_alt_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(_t__0_v1,_t__1_v2,_t__2_dim):
      return mosek_fusion_Constraint._stack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(_0_v1,_1_v2,numpy.int32(__2_dim))
    @staticmethod
    def _stack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2I(_0_v1,_1_v2,_2_dim):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:467:6-469:7
      return (mosek.fusion.Constraint._dstack__3Lmosek_4fusion_4Constraint_2I(numpy.array([_0_v1,_1_v2], dtype=numpy.dtype(object)),_2_dim)) # bld/herlev/final/default/src/fusion/Constraint.mbi:468:8-40
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:467:6-469:7
    @staticmethod
    def _match_hstack__3Lmosek_4fusion_4Constraint_2(*args):
      if len(args) != 1: return False
      _0_clist, = args
      return (    __arg_match__3Lmosek_4fusion_4Constraint_2__(_0_clist))
    @staticmethod
    def _match_alt_hstack__3Lmosek_4fusion_4Constraint_2(*args):
      if len(args) != 1: return False
      _0_clist, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Constraint_2__(_0_clist))
    @staticmethod
    def _hstack_alt__3Lmosek_4fusion_4Constraint_2(_t__0_clist):
      _0_clist=numpy.array(_t__0_clist,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Constraint._hstack__3Lmosek_4fusion_4Constraint_2(_0_clist)
      try:
        _t__0_clist[:] = _0_clist
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _hstack__3Lmosek_4fusion_4Constraint_2(_0_clist):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:458:6-460:7
      return (mosek.fusion.Constraint._dstack__3Lmosek_4fusion_4Constraint_2I(_0_clist,1)) # bld/herlev/final/default/src/fusion/Constraint.mbi:459:8-31
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:458:6-460:7
    @staticmethod
    def _match_vstack__3Lmosek_4fusion_4Constraint_2(*args):
      if len(args) != 1: return False
      _0_clist, = args
      return (    __arg_match__3Lmosek_4fusion_4Constraint_2__(_0_clist))
    @staticmethod
    def _match_alt_vstack__3Lmosek_4fusion_4Constraint_2(*args):
      if len(args) != 1: return False
      _0_clist, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Constraint_2__(_0_clist))
    @staticmethod
    def _vstack_alt__3Lmosek_4fusion_4Constraint_2(_t__0_clist):
      _0_clist=numpy.array(_t__0_clist,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Constraint._vstack__3Lmosek_4fusion_4Constraint_2(_0_clist)
      try:
        _t__0_clist[:] = _0_clist
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _vstack__3Lmosek_4fusion_4Constraint_2(_0_clist):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:453:6-455:7
      return (mosek.fusion.Constraint._dstack__3Lmosek_4fusion_4Constraint_2I(_0_clist,0)) # bld/herlev/final/default/src/fusion/Constraint.mbi:454:8-31
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:453:6-455:7
    @staticmethod
    def _match_hstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args):
      if len(args) != 3: return False
      _0_v1,_1_v2,_2_v3, = args
      return (    __arg_match_Lmosek_4fusion_4Constraint_2__(_0_v1)
              and __arg_match_Lmosek_4fusion_4Constraint_2__(_1_v2)
              and __arg_match_Lmosek_4fusion_4Constraint_2__(_2_v3))
    @staticmethod
    def _match_alt_hstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args):
      if len(args) != 3: return False
      _0_v1,_1_v2,_2_v3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Constraint_2__(_0_v1)
              and __arg_alt_match_Lmosek_4fusion_4Constraint_2__(_1_v2)
              and __arg_alt_match_Lmosek_4fusion_4Constraint_2__(_2_v3))
    @staticmethod
    def _hstack_alt_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(_t__0_v1,_t__1_v2,_t__2_v3):
      return mosek_fusion_Constraint._hstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(_0_v1,_1_v2,_2_v3)
    @staticmethod
    def _hstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(_0_v1,_1_v2,_2_v3):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:436:6-438:7
      return (mosek.fusion.Constraint._dstack__3Lmosek_4fusion_4Constraint_2I(numpy.array([_0_v1,_1_v2,_2_v3], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Constraint.mbi:437:8-41
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:436:6-438:7
    @staticmethod
    def _match_vstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args):
      if len(args) != 3: return False
      _0_v1,_1_v2,_2_v3, = args
      return (    __arg_match_Lmosek_4fusion_4Constraint_2__(_0_v1)
              and __arg_match_Lmosek_4fusion_4Constraint_2__(_1_v2)
              and __arg_match_Lmosek_4fusion_4Constraint_2__(_2_v3))
    @staticmethod
    def _match_alt_vstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args):
      if len(args) != 3: return False
      _0_v1,_1_v2,_2_v3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Constraint_2__(_0_v1)
              and __arg_alt_match_Lmosek_4fusion_4Constraint_2__(_1_v2)
              and __arg_alt_match_Lmosek_4fusion_4Constraint_2__(_2_v3))
    @staticmethod
    def _vstack_alt_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(_t__0_v1,_t__1_v2,_t__2_v3):
      return mosek_fusion_Constraint._vstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(_0_v1,_1_v2,_2_v3)
    @staticmethod
    def _vstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(_0_v1,_1_v2,_2_v3):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:429:6-431:7
      return (mosek.fusion.Constraint._dstack__3Lmosek_4fusion_4Constraint_2I(numpy.array([_0_v1,_1_v2,_2_v3], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Constraint.mbi:430:8-41
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:429:6-431:7
    @staticmethod
    def _match_hstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args):
      if len(args) != 2: return False
      _0_v1,_1_v2, = args
      return (    __arg_match_Lmosek_4fusion_4Constraint_2__(_0_v1)
              and __arg_match_Lmosek_4fusion_4Constraint_2__(_1_v2))
    @staticmethod
    def _match_alt_hstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args):
      if len(args) != 2: return False
      _0_v1,_1_v2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Constraint_2__(_0_v1)
              and __arg_alt_match_Lmosek_4fusion_4Constraint_2__(_1_v2))
    @staticmethod
    def _hstack_alt_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(_t__0_v1,_t__1_v2):
      return mosek_fusion_Constraint._hstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(_0_v1,_1_v2)
    @staticmethod
    def _hstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(_0_v1,_1_v2):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:409:6-411:7
      return (mosek.fusion.Constraint._dstack__3Lmosek_4fusion_4Constraint_2I(numpy.array([_0_v1,_1_v2], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Constraint.mbi:410:8-38
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:409:6-411:7
    @staticmethod
    def _match_vstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args):
      if len(args) != 2: return False
      _0_v1,_1_v2, = args
      return (    __arg_match_Lmosek_4fusion_4Constraint_2__(_0_v1)
              and __arg_match_Lmosek_4fusion_4Constraint_2__(_1_v2))
    @staticmethod
    def _match_alt_vstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(*args):
      if len(args) != 2: return False
      _0_v1,_1_v2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Constraint_2__(_0_v1)
              and __arg_alt_match_Lmosek_4fusion_4Constraint_2__(_1_v2))
    @staticmethod
    def _vstack_alt_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(_t__0_v1,_t__1_v2):
      return mosek_fusion_Constraint._vstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(_0_v1,_1_v2)
    @staticmethod
    def _vstack_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Constraint_2(_0_v1,_1_v2):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:402:6-404:7
      return (mosek.fusion.Constraint._dstack__3Lmosek_4fusion_4Constraint_2I(numpy.array([_0_v1,_1_v2], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Constraint.mbi:403:8-38
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:402:6-404:7
    @staticmethod
    def _dstack_alt__3Lmosek_4fusion_4Constraint_2I(_t__0_c,_t__1_dim):
      _0_c=numpy.array(_t__0_c,dtype=numpy.dtype(object))
      _1_dim=numpy.int32(_t__1_dim)
      _1 = mosek_fusion_Constraint._dstack__3Lmosek_4fusion_4Constraint_2I(_0_c,_1_dim)
      try:
        _t__0_c[:] = _0_c
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _dstack__3Lmosek_4fusion_4Constraint_2I(_0_c,_1_dim):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:280:6-386:7
      _2_m0=None # bld/herlev/final/default/src/fusion/Constraint.mbi:281:12-20
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:282:8-294:9
      for _3_i in range(0,int((_0_c).shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:283:10-293:13
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:284:12-293:13
        if (_2_m0 is None): # bld/herlev/final/default/src/fusion/Constraint.mbi:284:16-26
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:284:28-53
          _2_m0 = _0_c[_3_i]._getModel_() # bld/herlev/final/default/src/fusion/Constraint.mbi:284:30-51
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:284:28-53
        elif (((_0_c[_3_i].__model) is not None) and ((_0_c[_3_i].__model) is not _2_m0)): # bld/herlev/final/default/src/fusion/Constraint.mbi:285:20-59
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:286:12-293:13
          _4_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Constraint.mbi:287:18-20
          _5_m1name=(_2_m0._getName_() if ((int(len(_2_m0._getName_())) > 0) ) else "?") # bld/herlev/final/default/src/fusion/Constraint.mbi:288:18-24
          _6_m2name=(_0_c[_3_i]._getModel_()._getName_() if ((int(len(_0_c[_3_i]._getModel_()._getName_())) > 0) ) else "?") # bld/herlev/final/default/src/fusion/Constraint.mbi:289:18-24
          _4_sb._a_S("Constraints belong to different models: '")._a_S(_5_m1name)._a_S("' and '")._a_S(_6_m2name)._a_S("'") # bld/herlev/final/default/src/fusion/Constraint.mbi:291:14-104
          raise mosek_fusion_ModelError._ctor_S(_4_sb._toString_()) # bld/herlev/final/default/src/fusion/Constraint.mbi:292:14-50
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:286:12-293:13
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:284:12-293:13
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:282:8-294:9
      if (int((_0_c).shape[0])==0): # bld/herlev/final/default/src/fusion/Constraint.mbi:296:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:296:25-81
        return (mosek_fusion_SliceConstraint._ctor_Lmosek_4fusion_4Model_2_3I_3I(None,numpy.array([0], dtype=numpy.dtype(numpy.int32)),numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/Constraint.mbi:296:25-81
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:296:25-81
      elif (int((_0_c).shape[0])==1): # bld/herlev/final/default/src/fusion/Constraint.mbi:297:16-27
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:297:29-41
        return (_0_c[1]) # bld/herlev/final/default/src/fusion/Constraint.mbi:297:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:297:29-41
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:299:8-385:9
        _7_n=int((_0_c).shape[0]) # bld/herlev/final/default/src/fusion/Constraint.mbi:300:14-15
        _8_nd=1 # bld/herlev/final/default/src/fusion/Constraint.mbi:301:14-16
        for _9_i in range(0,_7_n): # bld/herlev/final/default/src/fusion/Constraint.mbi:301:22-90
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:301:41-90
          _8_nd = (_0_c[_9_i]._getND_() if ((_0_c[_9_i]._getND_() > _8_nd) ) else _8_nd) # bld/herlev/final/default/src/fusion/Constraint.mbi:301:41-90
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:301:41-90
        if (_1_dim==_8_nd): # bld/herlev/final/default/src/fusion/Constraint.mbi:302:14-23
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:302:25-30
          _8_nd += 1 # bld/herlev/final/default/src/fusion/Constraint.mbi:302:25-30
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:302:25-30
        _10_shape=numpy.zeros((_7_n,_8_nd,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Constraint.mbi:303:14-19
        fragments._c_closure_244(_7_n,_8_nd,_10_shape) # bld/herlev/final/default/src/fusion/Constraint.mbi:303:38-92
        _11_numnz=numpy.array([_0_c[_12_i]._getSize_() for _12_i in range(0,_7_n)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Constraint.mbi:304:14-19
        _13_totalnnz=0 # bld/herlev/final/default/src/fusion/Constraint.mbi:306:14-22
        _13_totalnnz = fragments._c_closure_245(_7_n,_11_numnz,_13_totalnnz) # bld/herlev/final/default/src/fusion/Constraint.mbi:306:28-68
        _13_totalnnz = numpy.int32(_13_totalnnz) # postprocess
        for _14_i in range(0,_7_n): # bld/herlev/final/default/src/fusion/Constraint.mbi:308:10-312:11
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:308:29-312:11
          _15_shpi=_0_c[_14_i]._getShape_() # bld/herlev/final/default/src/fusion/Constraint.mbi:309:16-20
          fragments._c_closure_246(_14_i,_10_shape,_15_shpi) # bld/herlev/final/default/src/fusion/Constraint.mbi:310:12-311:35
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:308:29-312:11
        if ((_1_dim < 0) or (_1_dim > _8_nd)): # bld/herlev/final/default/src/fusion/Constraint.mbi:314:14-33
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:315:12-67
          raise mosek_fusion_DimensionError._ctor_S("Invalid stacking dimension") # bld/herlev/final/default/src/fusion/Constraint.mbi:315:12-67
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:315:12-67
        for _16_i in range(0,_1_dim): # bld/herlev/final/default/src/fusion/Constraint.mbi:317:10-320:79
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:318:12-320:79
          for _17_j in range(1,_7_n): # bld/herlev/final/default/src/fusion/Constraint.mbi:318:12-320:79
            # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:319:14-320:79
            if (_10_shape[0,_16_i]!=_10_shape[_17_j,_16_i]): # bld/herlev/final/default/src/fusion/Constraint.mbi:319:18-42
              # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:320:16-79
              raise mosek_fusion_DimensionError._ctor_S("Constraint dimensions do not match") # bld/herlev/final/default/src/fusion/Constraint.mbi:320:16-79
              # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:320:16-79
            # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:319:14-320:79
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:318:12-320:79
        for _18_i in range((_1_dim + 1),_8_nd): # bld/herlev/final/default/src/fusion/Constraint.mbi:322:10-325:79
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:323:12-325:79
          for _19_j in range(1,_7_n): # bld/herlev/final/default/src/fusion/Constraint.mbi:323:12-325:79
            # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:324:14-325:79
            if (_10_shape[0,_18_i]!=_10_shape[_19_j,_18_i]): # bld/herlev/final/default/src/fusion/Constraint.mbi:324:18-42
              # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:325:16-79
              raise mosek_fusion_DimensionError._ctor_S("Constraint dimensions do not match") # bld/herlev/final/default/src/fusion/Constraint.mbi:325:16-79
              # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:325:16-79
            # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:324:14-325:79
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:323:12-325:79
        _20_con_nativeidxs=numpy.zeros((_13_totalnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Constraint.mbi:331:14-28
        _21_resshape=numpy.array([_10_shape[0,_22_i] for _22_i in range(0,_8_nd)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Constraint.mbi:332:14-22
        fragments._c_closure_247(_1_dim,_7_n,_21_resshape,_10_shape) # bld/herlev/final/default/src/fusion/Constraint.mbi:333:10-59
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:335:10-382:11
        _23_rnd=int((_21_resshape).shape[0]) # bld/herlev/final/default/src/fusion/Constraint.mbi:336:16-19
        _24_cumdims=numpy.zeros(((int((_0_c).shape[0]) + 1),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Constraint.mbi:337:16-23
        for _25_i in range(0,int((_0_c).shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:338:12-77
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:338:36-77
          _24_cumdims[(_25_i + 1)] = (_24_cumdims[_25_i] + _10_shape[_25_i,_1_dim]) # bld/herlev/final/default/src/fusion/Constraint.mbi:338:36-77
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:338:36-77
        if (_1_dim==0): # bld/herlev/final/default/src/fusion/Constraint.mbi:341:16-24
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:341:26-348:13
          _26_b=0 # bld/herlev/final/default/src/fusion/Constraint.mbi:342:18-19
          for _27_i in range(0,_7_n): # bld/herlev/final/default/src/fusion/Constraint.mbi:343:14-347:15
            # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:343:33-347:15
            _28_nnz=int(((_0_c[_27_i].__con_nativeidxs)).shape[0]) # bld/herlev/final/default/src/fusion/Constraint.mbi:344:20-23
            mosek.fusion.Utils.Tools._arraycopy__3II_3III((_0_c[_27_i].__con_nativeidxs),0,_20_con_nativeidxs,_26_b,_28_nnz) # bld/herlev/final/default/src/fusion/Constraint.mbi:345:16-82
            _26_b += _28_nnz # bld/herlev/final/default/src/fusion/Constraint.mbi:346:16-25
            # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:343:33-347:15
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:341:26-348:13
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:349:17-381:13
          _29_nidxlist=_monty.initJaggedArray([(_0_c[_30_i].__con_nativeidxs) for _30_i in range(0,_7_n)], 1) # bld/herlev/final/default/src/fusion/Constraint.mbi:350:18-26
          if (_1_dim < _8_nd): # bld/herlev/final/default/src/fusion/Constraint.mbi:352:18-26
            # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:352:28-370:15
            _31_d0=1 # bld/herlev/final/default/src/fusion/Constraint.mbi:354:20-22
            _31_d0 = fragments._c_closure_248(_31_d0,_1_dim,_21_resshape) # bld/herlev/final/default/src/fusion/Constraint.mbi:354:28-70
            _31_d0 = numpy.int32(_31_d0) # postprocess
            _32_d2=1 # bld/herlev/final/default/src/fusion/Constraint.mbi:355:20-22
            _32_d2 = fragments._c_closure_249(_32_d2,_1_dim,_8_nd,_21_resshape) # bld/herlev/final/default/src/fusion/Constraint.mbi:355:28-70
            _32_d2 = numpy.int32(_32_d2) # postprocess
            _33_k=0 # bld/herlev/final/default/src/fusion/Constraint.mbi:357:20-21
            for _34_i0 in range(0,_31_d0): # bld/herlev/final/default/src/fusion/Constraint.mbi:359:16-369:19
              # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:360:18-369:19
              for _35_j in range(0,_7_n): # bld/herlev/final/default/src/fusion/Constraint.mbi:360:18-369:19
                # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:360:37-369:19
                _36_l=0 # bld/herlev/final/default/src/fusion/Constraint.mbi:361:24-25
                _37_d1=_10_shape[_35_j,_1_dim] # bld/herlev/final/default/src/fusion/Constraint.mbi:362:24-26
                for _38_i1 in range(0,_37_d1): # bld/herlev/final/default/src/fusion/Constraint.mbi:363:20-368:23
                  # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:364:22-368:23
                  for _39_i2 in range(0,_32_d2): # bld/herlev/final/default/src/fusion/Constraint.mbi:364:22-368:23
                    # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:364:43-368:23
                    _20_con_nativeidxs[_33_k] = (_0_c[_7_n].__con_nativeidxs)[(((_34_i0 * _32_d2) * _37_d1) + _36_l)] # bld/herlev/final/default/src/fusion/Constraint.mbi:365:24-76
                    _33_k += 1 # bld/herlev/final/default/src/fusion/Constraint.mbi:366:24-28
                    _36_l += 1 # bld/herlev/final/default/src/fusion/Constraint.mbi:367:24-28
                    # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:364:43-368:23
                  # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:364:22-368:23
                # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:360:37-369:19
              # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:360:18-369:19
            # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:352:28-370:15
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:372:19-380:15
            fragments._c_closure_250(_20_con_nativeidxs,_7_n,_8_nd,_29_nidxlist,_21_resshape) # bld/herlev/final/default/src/fusion/Constraint.mbi:372:19-380:15
            # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:372:19-380:15
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:349:17-381:13
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:335:10-382:11
        return (mosek_fusion_SliceConstraint._ctor_Lmosek_4fusion_4Model_2_3I_3I(_2_m0,_21_resshape,_20_con_nativeidxs)) # bld/herlev/final/default/src/fusion/Constraint.mbi:384:10-67
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:299:8-385:9
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:280:6-386:7
    @staticmethod
    def _match_index__3I(*args):
      if len(args) != 1: return False
      _0_idxa, = args
      return (    __arg_match__3I__(_0_idxa))
    @staticmethod
    def _match_alt_index__3I(*args):
      if len(args) != 1: return False
      _0_idxa, = args
      return (    __arg_alt_match__3I__(_0_idxa))
    def _index_alt__3I(self,_t__0_idxa):
      _0_idxa=numpy.array(_t__0_idxa,dtype=numpy.dtype(numpy.int32))
      _1 = self._index__3I(_0_idxa)
      try:
        _t__0_idxa[:] = _0_idxa
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _index__3I(self,_0_idxa):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:252:6-266:7
      if (int((_0_idxa).shape[0])!=int((self.__shape).shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:253:12-35
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:254:10-76
        raise mosek_fusion_DimensionError._ctor_S("variable shape and slice do not match") # bld/herlev/final/default/src/fusion/Constraint.mbi:254:10-76
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:254:10-76
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:255:13-265:9
        for _1_i in range(0,int((self.__shape).shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:256:10-258:61
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:257:12-258:61
          if ((_0_idxa[_1_i] < 0) or (_0_idxa[_1_i] > self.__shape[_1_i])): # bld/herlev/final/default/src/fusion/Constraint.mbi:257:16-49
            # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:258:14-61
            raise mosek_fusion_IndexError._ctor_S("index is out of bounds") # bld/herlev/final/default/src/fusion/Constraint.mbi:258:14-61
            # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:258:14-61
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:257:12-258:61
        _2_nd=int((self.__shape).shape[0]) # bld/herlev/final/default/src/fusion/Constraint.mbi:260:14-16
        _3_strides=numpy.zeros((_2_nd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Constraint.mbi:261:14-21
        _3_strides[(_2_nd - 1)] = 1 # bld/herlev/final/default/src/fusion/Constraint.mbi:261:38-56
        fragments._c_closure_251(_2_nd,self.__shape,_3_strides) # bld/herlev/final/default/src/fusion/Constraint.mbi:261:57-123
        _4_ii=0 # bld/herlev/final/default/src/fusion/Constraint.mbi:262:14-16
        _4_ii = fragments._c_closure_252(_0_idxa,_4_ii,_2_nd,_3_strides) # bld/herlev/final/default/src/fusion/Constraint.mbi:262:22-76
        _4_ii = numpy.int32(_4_ii) # postprocess
        return (mosek_fusion_SliceConstraint._ctor_Lmosek_4fusion_4Model_2_3I_3I(self.__model,numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)),numpy.array([self.__con_nativeidxs[_4_ii]], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/Constraint.mbi:264:10-83
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:255:13-265:9
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:252:6-266:7
    @staticmethod
    def _match_index_I(*args):
      if len(args) != 1: return False
      _0_idx, = args
      return (    __arg_match_I__(_0_idx))
    @staticmethod
    def _match_alt_index_I(*args):
      if len(args) != 1: return False
      _0_idx, = args
      return (    __arg_alt_match_I__(_0_idx))
    def _index_alt_I(self,_t__0_idx):
      return self._index_I(numpy.int32(__0_idx))
    def _index_I(self,_0_idx):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:237:6-246:7
      if ((int((self.__shape).shape[0])==0) and (_0_idx==0)): # bld/herlev/final/default/src/fusion/Constraint.mbi:238:12-40
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:239:10-22
        return (self) # bld/herlev/final/default/src/fusion/Constraint.mbi:239:10-22
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:239:10-22
      elif (int((self.__shape).shape[0])!=1): # bld/herlev/final/default/src/fusion/Constraint.mbi:240:16-31
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:241:10-76
        raise mosek_fusion_DimensionError._ctor_S("Variable shape and slice do not match") # bld/herlev/final/default/src/fusion/Constraint.mbi:241:10-76
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:241:10-76
      elif ((_0_idx < 0) or (_0_idx > self.__shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:242:16-41
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:243:10-57
        raise mosek_fusion_IndexError._ctor_S("Index is out of bounds") # bld/herlev/final/default/src/fusion/Constraint.mbi:243:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:243:10-57
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:245:10-86
        return (mosek_fusion_SliceConstraint._ctor_Lmosek_4fusion_4Model_2_3I_3I(self.__model,numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)),numpy.array([self.__con_nativeidxs[_0_idx]], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/Constraint.mbi:245:10-86
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:245:10-86
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:237:6-246:7
    @staticmethod
    def _match_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_firsta,_1_lasta, = args
      return (    __arg_match__3I__(_0_firsta)
              and __arg_match__3I__(_1_lasta))
    @staticmethod
    def _match_alt_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_firsta,_1_lasta, = args
      return (    __arg_alt_match__3I__(_0_firsta)
              and __arg_alt_match__3I__(_1_lasta))
    def _slice_alt__3I_3I(self,_t__0_firsta,_t__1_lasta):
      _0_firsta=numpy.array(_t__0_firsta,dtype=numpy.dtype(numpy.int32))
      _1_lasta=numpy.array(_t__1_lasta,dtype=numpy.dtype(numpy.int32))
      _1 = self._slice__3I_3I(_0_firsta,_1_lasta)
      try:
        _t__0_firsta[:] = _0_firsta
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_lasta[:] = _1_lasta
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _slice__3I_3I(self,_0_firsta,_1_lasta):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:179:69-231:7
      if (int((_0_firsta).shape[0])!=int((_1_lasta).shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:180:12-37
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:181:10-48
        raise mosek_fusion_SliceError._ctor_S("invalid slice") # bld/herlev/final/default/src/fusion/Constraint.mbi:181:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:181:10-48
      elif (int((_0_firsta).shape[0])!=int((self.__shape).shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:182:16-41
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:183:10-76
        raise mosek_fusion_DimensionError._ctor_S("variable shape and slice do not match") # bld/herlev/final/default/src/fusion/Constraint.mbi:183:10-76
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:183:10-76
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:184:13-230:9
        for _2_i in range(0,int((self.__shape).shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:185:10-189:52
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:186:12-189:52
          if ((_0_firsta[_2_i] < 0) or (_1_lasta[_2_i] > self.__shape[_2_i])): # bld/herlev/final/default/src/fusion/Constraint.mbi:186:16-52
            # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:187:14-61
            raise mosek_fusion_IndexError._ctor_S("slice is out of bounds") # bld/herlev/final/default/src/fusion/Constraint.mbi:187:14-61
            # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:187:14-61
          elif (_0_firsta[_2_i] > _1_lasta[_2_i]): # bld/herlev/final/default/src/fusion/Constraint.mbi:188:20-40
            # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:189:14-52
            raise mosek_fusion_SliceError._ctor_S("invalid slice") # bld/herlev/final/default/src/fusion/Constraint.mbi:189:14-52
            # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:189:14-52
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:186:12-189:52
        _3_nd=int((self.__shape).shape[0]) # bld/herlev/final/default/src/fusion/Constraint.mbi:191:14-16
        _4_sliceshape=numpy.array([(_1_lasta[_5_i] - _0_firsta[_5_i]) for _5_i in range(0,_3_nd)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Constraint.mbi:192:14-24
        _6_slicesize=1 # bld/herlev/final/default/src/fusion/Constraint.mbi:194:14-23
        _6_slicesize = fragments._c_closure_253(_0_firsta,_1_lasta,_3_nd,_6_slicesize) # bld/herlev/final/default/src/fusion/Constraint.mbi:194:29-81
        _6_slicesize = numpy.int32(_6_slicesize) # postprocess
        if (_6_slicesize==0): # bld/herlev/final/default/src/fusion/Constraint.mbi:195:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:196:12-71
          return (mosek_fusion_SliceConstraint._ctor_Lmosek_4fusion_4Model_2_3I_3I(self.__model,_4_sliceshape,numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/Constraint.mbi:196:12-71
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:196:12-71
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:197:15-229:11
          _7_sliceidxs=numpy.zeros((_6_slicesize,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Constraint.mbi:198:16-25
          # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:199:12-226:13
          fragments._c_closure_254(self.__con_nativeidxs,_0_firsta,_1_lasta,_3_nd,self.__shape,_7_sliceidxs,_6_slicesize) # bld/herlev/final/default/src/fusion/Constraint.mbi:199:12-226:13
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:199:12-226:13
          return (mosek_fusion_SliceConstraint._ctor_Lmosek_4fusion_4Model_2_3I_3I(self._getModel_(),_4_sliceshape,_7_sliceidxs)) # bld/herlev/final/default/src/fusion/Constraint.mbi:228:12-73
          # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:197:15-229:11
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:184:13-230:9
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:179:69-231:7
    @staticmethod
    def _match_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_match_I__(_0_first)
              and __arg_match_I__(_1_last))
    @staticmethod
    def _match_alt_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_alt_match_I__(_0_first)
              and __arg_alt_match_I__(_1_last))
    def _slice_alt_II(self,_t__0_first,_t__1_last):
      return self._slice_II(numpy.int32(__0_first),numpy.int32(__1_last))
    def _slice_II(self,_0_first,_1_last):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:166:62-177:7
      if (int((self.__shape).shape[0])!=1): # bld/herlev/final/default/src/fusion/Constraint.mbi:167:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:168:10-76
        raise mosek_fusion_DimensionError._ctor_S("Variable shape and slice do not match") # bld/herlev/final/default/src/fusion/Constraint.mbi:168:10-76
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:168:10-76
      if ((_0_first==0) and (_1_last==self.__shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:169:12-43
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:170:10-22
        return (self) # bld/herlev/final/default/src/fusion/Constraint.mbi:170:10-22
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:170:10-22
      elif ((_0_first < 0) or (_1_last > self.__shape[0])): # bld/herlev/final/default/src/fusion/Constraint.mbi:171:16-44
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:172:10-57
        raise mosek_fusion_IndexError._ctor_S("Slice is out of bounds") # bld/herlev/final/default/src/fusion/Constraint.mbi:172:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:172:10-57
      elif (_0_first > _1_last): # bld/herlev/final/default/src/fusion/Constraint.mbi:173:16-28
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:174:10-48
        raise mosek_fusion_SliceError._ctor_S("Invalid slice") # bld/herlev/final/default/src/fusion/Constraint.mbi:174:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:174:10-48
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:176:10-110
        return (mosek_fusion_SliceConstraint._ctor_Lmosek_4fusion_4Model_2_3I_3I(self.__model,numpy.array([(_1_last - _0_first)], dtype=numpy.dtype(numpy.int32)),numpy.array([self.__con_nativeidxs[_2_i] for _2_i in range(_0_first,_1_last)], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/Constraint.mbi:176:10-110
        # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:176:10-110
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:166:62-177:7
    @staticmethod
    def _match_getND_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getND_(*args):
      if len(args) != 0: return False
      return True
    def _getND_alt_(self,):
      return self._getND_()
    def _getND_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:162:34-164:7
      return numpy.int32(int((self.__shape).shape[0])) # bld/herlev/final/default/src/fusion/Constraint.mbi:163:8-26
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:162:34-164:7
    @staticmethod
    def _match_getSize_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getSize_(*args):
      if len(args) != 0: return False
      return True
    def _getSize_alt_(self,):
      return self._getSize_()
    def _getSize_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:156:36-159:7
      _0_sz=1 # bld/herlev/final/default/src/fusion/Constraint.mbi:157:12-14
      _0_sz = fragments._c_closure_255(self.__shape,_0_sz) # bld/herlev/final/default/src/fusion/Constraint.mbi:157:20-63
      _0_sz = numpy.int32(_0_sz) # postprocess
      return numpy.int32(_0_sz) # bld/herlev/final/default/src/fusion/Constraint.mbi:158:8-18
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:156:36-159:7
    @staticmethod
    def _match_getModel_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getModel_(*args):
      if len(args) != 0: return False
      return True
    def _getModel_alt_(self,):
      return self._getModel_()
    def _getModel_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:153:38-55
      return (self.__model) # bld/herlev/final/default/src/fusion/Constraint.mbi:153:40-53
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:153:38-55
    @staticmethod
    def _match_getShape_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getShape_(*args):
      if len(args) != 0: return False
      return True
    def _getShape_alt_(self,):
      return self._getShape_()
    def _getShape_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:148:6-150:7
      return (numpy.array([self.__shape[_0_i] for _0_i in range(0,int((self.__shape).shape[0]))], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/Constraint.mbi:149:8-54
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:148:6-150:7
    def _getNativeidxs_alt_(self,):
      return self._getNativeidxs_()
    def _getNativeidxs_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:142:47-144:7
      return (self.__con_nativeidxs) # bld/herlev/final/default/src/fusion/Constraint.mbi:143:8-30
      # End   scope @ bld/herlev/final/default/src/fusion/Constraint.mbi:142:47-144:7
  return Constraint
mosek_fusion_Constraint=__mk_mosek_fusion_Constraint()
del __mk_mosek_fusion_Constraint

# origin: bld/herlev/final/default/src/fusion/SliceConstraint.mbi:23:4-43:5
#BEFORE CLASS
def __mk_mosek_fusion_SliceConstraint():
  class SliceConstraint(mosek_fusion_Constraint):
    def toString(self,*args):
      if False: pass
      elif mosek_fusion_SliceConstraint._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_SliceConstraint._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SliceConstraint.toString()')

    def __repr__(self): return 'mosek.fusion.SliceConstraint'
    @staticmethod
    def _ctor_Lmosek_4fusion_4SliceConstraint_2(c):
      o = SliceConstraint.__new__(SliceConstraint)
      o._ctor_init_Lmosek_4fusion_4SliceConstraint_2(c)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4SliceConstraint_2(*args):
      if len(args) != 1: return False
      c, = args
      return (    __arg_match_Lmosek_4fusion_4SliceConstraint_2__(c))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4SliceConstraint_2(*args):
      if len(args) != 1: return False
      c, = args
      return (    __arg_alt_match_Lmosek_4fusion_4SliceConstraint_2__(c))
    # Origin: bld/herlev/final/default/src/fusion/SliceConstraint.mbi:33:6-36:7
    def _ctor_alt_init_Lmosek_4fusion_4SliceConstraint_2(self,c):
      self._ctor_init_Lmosek_4fusion_4SliceConstraint_2(c)
    def _ctor_init_Lmosek_4fusion_4SliceConstraint_2(self,c):
      # Start scope @ bld/herlev/final/default/src/fusion/SliceConstraint.mbi:34:29-36:7
      mosek_fusion_Constraint._ctor_init_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Model_2(self,c,c._getModel_())# ctor @ bld/herlev/final/default/src/fusion/SliceConstraint.mbi:35:8-31
      # End   scope @ bld/herlev/final/default/src/fusion/SliceConstraint.mbi:34:29-36:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2_3I_3I(model,shape,nativeidxs):
      o = SliceConstraint.__new__(SliceConstraint)
      o._ctor_init_Lmosek_4fusion_4Model_2_3I_3I(model,shape,nativeidxs)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2_3I_3I(*args):
      if len(args) != 3: return False
      model,shape,nativeidxs, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_match__3I__(shape)
              and __arg_match__3I__(nativeidxs))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2_3I_3I(*args):
      if len(args) != 3: return False
      model,shape,nativeidxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match__3I__(nativeidxs))
    # Origin: bld/herlev/final/default/src/fusion/SliceConstraint.mbi:26:6-31:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2_3I_3I(self,model,shape,nativeidxs):
      self._ctor_init_Lmosek_4fusion_4Model_2_3I_3I(model,numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(nativeidxs,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_Lmosek_4fusion_4Model_2_3I_3I(self,model,shape,nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/SliceConstraint.mbi:29:30-31:7
      mosek_fusion_Constraint._ctor_init_Lmosek_4fusion_4Model_2_3I_3I(self,model,shape,nativeidxs)# ctor @ bld/herlev/final/default/src/fusion/SliceConstraint.mbi:30:8-38
      # End   scope @ bld/herlev/final/default/src/fusion/SliceConstraint.mbi:29:30-31:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/SliceConstraint.mbi:38:38-42:7
      _0_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/SliceConstraint.mbi:39:12-14
      _0_sb._a_S("SliceConstraint()") # bld/herlev/final/default/src/fusion/SliceConstraint.mbi:40:8-34
      return (_0_sb._toString_()) # bld/herlev/final/default/src/fusion/SliceConstraint.mbi:41:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/SliceConstraint.mbi:38:38-42:7
  return SliceConstraint
mosek_fusion_SliceConstraint=__mk_mosek_fusion_SliceConstraint()
del __mk_mosek_fusion_SliceConstraint

# origin: bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:26:4-69:5
#BEFORE CLASS
def __mk_mosek_fusion_BoundInterfaceConstraint():
  class BoundInterfaceConstraint(mosek_fusion_SliceConstraint):
    __slots__ = ['_BoundInterfaceConstraint__islower']
    def dual(self,*args):
      if False: pass
      elif mosek_fusion_BoundInterfaceConstraint._match_dual_(*args): # 
        return self._dual_(*args)
      elif mosek_fusion_BoundInterfaceConstraint._match_alt_dual_(*args): # 
        return self._dual_alt_(*args)
      else:
        raise ValueError('Invalid argument list dual('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BoundInterfaceConstraint.dual()')

    def slice(self,*args):
      if False: pass
      elif mosek_fusion_BoundInterfaceConstraint._match_slice_II(*args): # int32,int32
        return self._slice_II(*args)
      elif mosek_fusion_BoundInterfaceConstraint._match_alt_slice_II(*args): # int32,int32
        return self._slice_alt_II(*args)
      elif mosek_fusion_BoundInterfaceConstraint._match_slice__3I_3I(*args): # []int32,[]int32
        return self._slice__3I_3I(*args)
      elif mosek_fusion_BoundInterfaceConstraint._match_alt_slice__3I_3I(*args): # []int32,[]int32
        return self._slice_alt__3I_3I(*args)
      else:
        raise ValueError('Invalid argument list slice('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BoundInterfaceConstraint.slice(int32,int32)\n\tmosek.fusion.BoundInterfaceConstraint.slice(array(int32,ndim=1),array(int32,ndim=1))')

    def index(self,*args):
      if False: pass
      elif mosek_fusion_BoundInterfaceConstraint._match_index_I(*args): # int32
        return self._index_I(*args)
      elif mosek_fusion_BoundInterfaceConstraint._match_alt_index_I(*args): # int32
        return self._index_alt_I(*args)
      elif mosek_fusion_BoundInterfaceConstraint._match_index__3I(*args): # []int32
        return self._index__3I(*args)
      elif mosek_fusion_BoundInterfaceConstraint._match_alt_index__3I(*args): # []int32
        return self._index_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list index('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BoundInterfaceConstraint.index(int32)\n\tmosek.fusion.BoundInterfaceConstraint.index(array(int32,ndim=1))')

    def __repr__(self): return 'mosek.fusion.BoundInterfaceConstraint'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2_3I_3IZ(m,shape,nativeidxs,islower):
      o = BoundInterfaceConstraint.__new__(BoundInterfaceConstraint)
      o._ctor_init_Lmosek_4fusion_4Model_2_3I_3IZ(m,shape,nativeidxs,islower)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2_3I_3IZ(*args):
      if len(args) != 4: return False
      m,shape,nativeidxs,islower, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(m)
              and __arg_match__3I__(shape)
              and __arg_match__3I__(nativeidxs)
              and __arg_match_Z__(islower))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2_3I_3IZ(*args):
      if len(args) != 4: return False
      m,shape,nativeidxs,islower, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(m)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match__3I__(nativeidxs)
              and __arg_alt_match_Z__(islower))
    # Origin: bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:39:6-47:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2_3I_3IZ(self,m,shape,nativeidxs,islower):
      self._ctor_init_Lmosek_4fusion_4Model_2_3I_3IZ(m,numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(nativeidxs,dtype=numpy.dtype(numpy.int32)),islower)
    def _ctor_init_Lmosek_4fusion_4Model_2_3I_3IZ(self,m,shape,nativeidxs,islower):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:44:6-47:7
      mosek_fusion_SliceConstraint._ctor_init_Lmosek_4fusion_4Model_2_3I_3I(self,m,shape,nativeidxs)# ctor @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:45:8-34
      (self.__islower) = islower # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:46:8-31
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:44:6-47:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4SliceConstraint_2Z(c,islower):
      o = BoundInterfaceConstraint.__new__(BoundInterfaceConstraint)
      o._ctor_init_Lmosek_4fusion_4SliceConstraint_2Z(c,islower)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4SliceConstraint_2Z(*args):
      if len(args) != 2: return False
      c,islower, = args
      return (    __arg_match_Lmosek_4fusion_4SliceConstraint_2__(c)
              and __arg_match_Z__(islower))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4SliceConstraint_2Z(*args):
      if len(args) != 2: return False
      c,islower, = args
      return (    __arg_alt_match_Lmosek_4fusion_4SliceConstraint_2__(c)
              and __arg_alt_match_Z__(islower))
    # Origin: bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:31:6-37:7
    def _ctor_alt_init_Lmosek_4fusion_4SliceConstraint_2Z(self,c,islower):
      self._ctor_init_Lmosek_4fusion_4SliceConstraint_2Z(c,islower)
    def _ctor_init_Lmosek_4fusion_4SliceConstraint_2Z(self,c,islower):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:34:6-37:7
      mosek_fusion_SliceConstraint._ctor_init_Lmosek_4fusion_4SliceConstraint_2(self,c)# ctor @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:35:8-17
      (self.__islower) = islower # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:36:8-31
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:34:6-37:7
    @staticmethod
    def _match_dual_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_dual_(*args):
      if len(args) != 0: return False
      return True
    def _dual_alt_(self,):
      return self._dual_()
    def _dual_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:64:37-68:7
      _0_target=numpy.zeros((self._getSize_(),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:65:12-18
      self._dual_1lu_I_3DZ(0,_0_target,self.__islower) # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:66:8-34
      return (_0_target) # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:67:8-22
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:64:37-68:7
    @staticmethod
    def _match_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_firsta,_1_lasta, = args
      return (    __arg_match__3I__(_0_firsta)
              and __arg_match__3I__(_1_lasta))
    @staticmethod
    def _match_alt_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_firsta,_1_lasta, = args
      return (    __arg_alt_match__3I__(_0_firsta)
              and __arg_alt_match__3I__(_1_lasta))
    def _slice_alt__3I_3I(self,_t__0_firsta,_t__1_lasta):
      _0_firsta=numpy.array(_t__0_firsta,dtype=numpy.dtype(numpy.int32))
      _1_lasta=numpy.array(_t__1_lasta,dtype=numpy.dtype(numpy.int32))
      _1 = self._slice__3I_3I(_0_firsta,_1_lasta)
      try:
        _t__0_firsta[:] = _0_firsta
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_lasta[:] = _1_lasta
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _slice__3I_3I(self,_0_firsta,_1_lasta):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:62:69-124
      _2_c=mosek_fusion_Constraint._slice__3I_3I(self,_0_firsta,_1_lasta) # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:62:75-76
      return (self.__from_1_Lmosek_4fusion_4Constraint_2(_2_c)) # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:62:106-122
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:62:69-124
    @staticmethod
    def _match_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_match_I__(_0_first)
              and __arg_match_I__(_1_last))
    @staticmethod
    def _match_alt_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_alt_match_I__(_0_first)
              and __arg_alt_match_I__(_1_last))
    def _slice_alt_II(self,_t__0_first,_t__1_last):
      return self._slice_II(numpy.int32(__0_first),numpy.int32(__1_last))
    def _slice_II(self,_0_first,_1_last):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:61:69-122
      _2_c=mosek_fusion_Constraint._slice_II(self,_0_first,_1_last) # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:61:75-76
      return (self.__from_1_Lmosek_4fusion_4Constraint_2(_2_c)) # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:61:104-120
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:61:69-122
    @staticmethod
    def _match_index__3I(*args):
      if len(args) != 1: return False
      _0_idxa, = args
      return (    __arg_match__3I__(_0_idxa))
    @staticmethod
    def _match_alt_index__3I(*args):
      if len(args) != 1: return False
      _0_idxa, = args
      return (    __arg_alt_match__3I__(_0_idxa))
    def _index_alt__3I(self,_t__0_idxa):
      _0_idxa=numpy.array(_t__0_idxa,dtype=numpy.dtype(numpy.int32))
      _1 = self._index__3I(_0_idxa)
      try:
        _t__0_idxa[:] = _0_idxa
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _index__3I(self,_0_idxa):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:60:69-115
      _1_c=mosek_fusion_Constraint._index__3I(self,_0_idxa) # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:60:75-76
      return (self.__from_1_Lmosek_4fusion_4Constraint_2(_1_c)) # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:60:98-114
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:60:69-115
    @staticmethod
    def _match_index_I(*args):
      if len(args) != 1: return False
      _0_idx, = args
      return (    __arg_match_I__(_0_idx))
    @staticmethod
    def _match_alt_index_I(*args):
      if len(args) != 1: return False
      _0_idx, = args
      return (    __arg_alt_match_I__(_0_idx))
    def _index_alt_I(self,_t__0_idx):
      return self._index_I(numpy.int32(__0_idx))
    def _index_I(self,_0_idx):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:59:69-114
      _1_c=mosek_fusion_Constraint._index_I(self,_0_idx) # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:59:75-76
      return (self.__from_1_Lmosek_4fusion_4Constraint_2(_1_c)) # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:59:97-113
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:59:69-114
    def __from_1_alt_Lmosek_4fusion_4Constraint_2(self,_t__0_c):
      return self.__from_1_Lmosek_4fusion_4Constraint_2(_0_c)
    def __from_1_Lmosek_4fusion_4Constraint_2(self,_0_c):
      # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:49:66-57:7
      _2_typecase=_0_c # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:50:17-18
      if   isinstance(_2_typecase,mosek_fusion_SliceConstraint):
        cc=_2_typecase
        # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:51:32-53:11
        return (mosek_fusion_BoundInterfaceConstraint._ctor_Lmosek_4fusion_4SliceConstraint_2Z(cc,self.__islower)) # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:52:12-60
        # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:51:32-53:11
      else:
        cc=_2_typecase
        # Start scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:54:16-56:11
        return (None) # bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:55:12-24
        # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:54:16-56:11
      # End   scope @ bld/herlev/final/default/src/fusion/BoundInterfaceConstraint.mbi:49:66-57:7
  return BoundInterfaceConstraint
mosek_fusion_BoundInterfaceConstraint=__mk_mosek_fusion_BoundInterfaceConstraint()
del __mk_mosek_fusion_BoundInterfaceConstraint

# origin: bld/herlev/final/default/src/fusion/ModelConstraint.mbi:19:4-84:5
#BEFORE CLASS
def __mk_mosek_fusion_ModelConstraint():
  class ModelConstraint(mosek_fusion_Constraint):
    __slots__ = ['_ModelConstraint__conid','_ModelConstraint__shape','_ModelConstraint__modelcon_nativeidxs','_ModelConstraint__name']
    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ModelConstraint._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ModelConstraint._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ModelConstraint.toString()')

    def remove(self,*args):
      if False: pass
      elif mosek_fusion_ModelConstraint._match_remove_(*args): # 
        return self._remove_(*args)
      elif mosek_fusion_ModelConstraint._match_alt_remove_(*args): # 
        return self._remove_alt_(*args)
      else:
        raise ValueError('Invalid argument list remove('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ModelConstraint.remove()')

    def __repr__(self): return 'mosek.fusion.ModelConstraint'
    @staticmethod
    def _ctor_Lmosek_4fusion_4ModelConstraint_2Lmosek_4fusion_4Model_2(c,m):
      o = ModelConstraint.__new__(ModelConstraint)
      o._ctor_init_Lmosek_4fusion_4ModelConstraint_2Lmosek_4fusion_4Model_2(c,m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4ModelConstraint_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      c,m, = args
      return (    __arg_match_Lmosek_4fusion_4ModelConstraint_2__(c)
              and __arg_match_Lmosek_4fusion_4Model_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4ModelConstraint_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      c,m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4ModelConstraint_2__(c)
              and __arg_alt_match_Lmosek_4fusion_4Model_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/ModelConstraint.mbi:57:6-66:7
    def _ctor_alt_init_Lmosek_4fusion_4ModelConstraint_2Lmosek_4fusion_4Model_2(self,c,m):
      self._ctor_init_Lmosek_4fusion_4ModelConstraint_2Lmosek_4fusion_4Model_2(c,m)
    def _ctor_init_Lmosek_4fusion_4ModelConstraint_2Lmosek_4fusion_4Model_2(self,c,m):
      # Start scope @ bld/herlev/final/default/src/fusion/ModelConstraint.mbi:60:6-66:7
      mosek_fusion_Constraint._ctor_init_Lmosek_4fusion_4Constraint_2Lmosek_4fusion_4Model_2(self,c,m)# ctor @ bld/herlev/final/default/src/fusion/ModelConstraint.mbi:61:8-19
      (self.__conid) = (c.__conid) # bld/herlev/final/default/src/fusion/ModelConstraint.mbi:62:8-30
      self.__name = (c.__name) # bld/herlev/final/default/src/fusion/ModelConstraint.mbi:63:8-22
      self.__modelcon_nativeidxs = (c.__modelcon_nativeidxs) # bld/herlev/final/default/src/fusion/ModelConstraint.mbi:64:8-52
      self.__shape = (c.__shape) # bld/herlev/final/default/src/fusion/ModelConstraint.mbi:65:8-24
      # End   scope @ bld/herlev/final/default/src/fusion/ModelConstraint.mbi:60:6-66:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2S_3I_3II(model,name,shape,nidxs,conid):
      o = ModelConstraint.__new__(ModelConstraint)
      o._ctor_init_Lmosek_4fusion_4Model_2S_3I_3II(model,name,shape,nidxs,conid)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2S_3I_3II(*args):
      if len(args) != 5: return False
      model,name,shape,nidxs,conid, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_match_S__(name)
              and __arg_match__3I__(shape)
              and __arg_match__3I__(nidxs)
              and __arg_match_I__(conid))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2S_3I_3II(*args):
      if len(args) != 5: return False
      model,name,shape,nidxs,conid, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_alt_match_S__(name)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match__3I__(nidxs)
              and __arg_alt_match_I__(conid))
    # Origin: bld/herlev/final/default/src/fusion/ModelConstraint.mbi:42:6-55:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2S_3I_3II(self,model,name,shape,nidxs,conid):
      self._ctor_init_Lmosek_4fusion_4Model_2S_3I_3II(model,name,numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(nidxs,dtype=numpy.dtype(numpy.int32)),numpy.int32(conid))
    def _ctor_init_Lmosek_4fusion_4Model_2S_3I_3II(self,model,name,shape,nidxs,conid):
      # Start scope @ bld/herlev/final/default/src/fusion/ModelConstraint.mbi:48:6-55:7
      mosek_fusion_Constraint._ctor_init_Lmosek_4fusion_4Model_2_3I_3I(self,model,shape,nidxs)# ctor @ bld/herlev/final/default/src/fusion/ModelConstraint.mbi:49:8-33
      (self.__name) = name # bld/herlev/final/default/src/fusion/ModelConstraint.mbi:51:8-26
      (self.__modelcon_nativeidxs) = nidxs # bld/herlev/final/default/src/fusion/ModelConstraint.mbi:52:8-41
      (self.__shape) = shape # bld/herlev/final/default/src/fusion/ModelConstraint.mbi:53:8-27
      (self.__conid) = conid # bld/herlev/final/default/src/fusion/ModelConstraint.mbi:54:8-28
      # End   scope @ bld/herlev/final/default/src/fusion/ModelConstraint.mbi:48:6-55:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ModelConstraint.mbi:79:38-83:7
      _0_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/ModelConstraint.mbi:80:12-14
      _0_sb._a_S("Constraint('")._a_S(self.__name)._a_S("')") # bld/herlev/final/default/src/fusion/ModelConstraint.mbi:81:8-45
      return (_0_sb._toString_()) # bld/herlev/final/default/src/fusion/ModelConstraint.mbi:82:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/ModelConstraint.mbi:79:38-83:7
    def _flushNames_alt_(self,):
      return self._flushNames_()
    def _flushNames_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ModelConstraint.mbi:75:36-77:7
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/ModelConstraint.mbi:75:36-77:7
    def _clone_alt_Lmosek_4fusion_4Model_2(self,_t__0_m):
      return self._clone_Lmosek_4fusion_4Model_2(_0_m)
    def _clone_Lmosek_4fusion_4Model_2(self,_0_m):
      pass
    @staticmethod
    def _match_remove_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_remove_(*args):
      if len(args) != 0: return False
      return True
    def _remove_alt_(self,):
      return self._remove_()
    def _remove_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ModelConstraint.mbi:68:29-70:7
      self._getModel_()._removeConstraintBlock_I(self.__conid) # bld/herlev/final/default/src/fusion/ModelConstraint.mbi:69:8-48
      # End   scope @ bld/herlev/final/default/src/fusion/ModelConstraint.mbi:68:29-70:7
  return ModelConstraint
mosek_fusion_ModelConstraint=__mk_mosek_fusion_ModelConstraint()
del __mk_mosek_fusion_ModelConstraint

# origin: bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:17:4-183:5
#BEFORE CLASS
def __mk_mosek_fusion_LinearPSDConstraint():
  class LinearPSDConstraint(mosek_fusion_ModelConstraint):
    __slots__ = ['_LinearPSDConstraint__conedim','_LinearPSDConstraint__shape','_LinearPSDConstraint__conid','_LinearPSDConstraint__slackidxs','_LinearPSDConstraint__nativeidxs']
    def __repr__(self): return 'mosek.fusion.LinearPSDConstraint'
    @staticmethod
    def _ctor_Lmosek_4fusion_4LinearPSDConstraint_2Lmosek_4fusion_4Model_2(c,m):
      o = LinearPSDConstraint.__new__(LinearPSDConstraint)
      o._ctor_init_Lmosek_4fusion_4LinearPSDConstraint_2Lmosek_4fusion_4Model_2(c,m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4LinearPSDConstraint_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      c,m, = args
      return (    __arg_match_Lmosek_4fusion_4LinearPSDConstraint_2__(c)
              and __arg_match_Lmosek_4fusion_4Model_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4LinearPSDConstraint_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      c,m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4LinearPSDConstraint_2__(c)
              and __arg_alt_match_Lmosek_4fusion_4Model_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:48:6-58:7
    def _ctor_alt_init_Lmosek_4fusion_4LinearPSDConstraint_2Lmosek_4fusion_4Model_2(self,c,m):
      self._ctor_init_Lmosek_4fusion_4LinearPSDConstraint_2Lmosek_4fusion_4Model_2(c,m)
    def _ctor_init_Lmosek_4fusion_4LinearPSDConstraint_2Lmosek_4fusion_4Model_2(self,c,m):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:51:6-58:7
      mosek_fusion_ModelConstraint._ctor_init_Lmosek_4fusion_4ModelConstraint_2Lmosek_4fusion_4Model_2(self,c,m)# ctor @ bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:52:8-19
      self.__conid = (c.__conid) # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:53:8-29
      self.__slackidxs = (c.__slackidxs) # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:54:8-33
      self.__nativeidxs = (c.__nativeidxs) # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:55:8-34
      self.__conedim = (c.__conedim) # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:56:8-31
      self.__shape = (c.__shape) # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:57:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:51:6-58:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2SI_3II_3I_3J(model,name,conid,shape,conedim,nativeidxs,slackidxs):
      o = LinearPSDConstraint.__new__(LinearPSDConstraint)
      o._ctor_init_Lmosek_4fusion_4Model_2SI_3II_3I_3J(model,name,conid,shape,conedim,nativeidxs,slackidxs)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2SI_3II_3I_3J(*args):
      if len(args) != 7: return False
      model,name,conid,shape,conedim,nativeidxs,slackidxs, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_match_S__(name)
              and __arg_match_I__(conid)
              and __arg_match__3I__(shape)
              and __arg_match_I__(conedim)
              and __arg_match__3I__(nativeidxs)
              and __arg_match__3J__(slackidxs))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2SI_3II_3I_3J(*args):
      if len(args) != 7: return False
      model,name,conid,shape,conedim,nativeidxs,slackidxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_alt_match_S__(name)
              and __arg_alt_match_I__(conid)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match_I__(conedim)
              and __arg_alt_match__3I__(nativeidxs)
              and __arg_alt_match__3J__(slackidxs))
    # Origin: bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:27:6-46:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2SI_3II_3I_3J(self,model,name,conid,shape,conedim,nativeidxs,slackidxs):
      self._ctor_init_Lmosek_4fusion_4Model_2SI_3II_3I_3J(model,name,numpy.int32(conid),numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.int32(conedim),numpy.array(nativeidxs,dtype=numpy.dtype(numpy.int32)),numpy.array(slackidxs,dtype=numpy.dtype(numpy.int64)))
    def _ctor_init_Lmosek_4fusion_4Model_2SI_3II_3I_3J(self,model,name,conid,shape,conedim,nativeidxs,slackidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:35:6-46:7
      mosek_fusion_ModelConstraint._ctor_init_Lmosek_4fusion_4Model_2S_3I_3II(self,model,name,shape,nativeidxs,conid)# ctor @ bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:36:8-40:21
      (self.__conid) = conid # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:41:8-32
      (self.__slackidxs) = slackidxs # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:42:8-36
      (self.__nativeidxs) = nativeidxs # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:43:8-37
      (self.__conedim) = conedim # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:44:8-34
      (self.__shape) = shape # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:45:8-32
      # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:35:6-46:7
    def _domainToString_alt_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_t__0_i,_t__1_sb):
      return self._domainToString_JLmosek_4fusion_4Utils_4StringBuffer_2(numpy.int64(__0_i),_1_sb)
    def _domainToString_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_0_i,_1_sb):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:175:6-182:7
      _2_k=mosek.fusion.Set._idxtokey__3IJ(self.__shape,_0_i) # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:176:12-13
      _1_sb._a_S(" : element (")._a_I(_2_k[0]) # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:177:8-37
      for _3_j in range(1,int((_2_k).shape[0])): # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:178:8-50
        # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:178:32-50
        _1_sb._a_S(",")._a_I(_2_k[_3_j]) # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:178:32-50
        # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:178:32-50
      _1_sb._a_S(") in a positive semi-definite cone of size (")._a_I(self.__shape[0]) # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:179:8-73
      for _4_j in range(1,int((_2_k).shape[0])): # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:180:8-54
        # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:180:32-54
        _1_sb._a_S(",")._a_I(self.__shape[_4_j]) # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:180:32-54
        # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:180:32-54
      _1_sb._a_S(")") # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:181:8-18
      # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:175:6-182:7
    def _clone_alt_Lmosek_4fusion_4Model_2(self,_t__0_m):
      return self._clone_Lmosek_4fusion_4Model_2(_0_m)
    def _clone_Lmosek_4fusion_4Model_2(self,_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:61:6-63:7
      return (mosek_fusion_LinearPSDConstraint._ctor_Lmosek_4fusion_4LinearPSDConstraint_2Lmosek_4fusion_4Model_2(self,_0_m)) # bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:62:8-47
      # End   scope @ bld/herlev/final/default/src/fusion/LinearPSDConstraint.monty:61:6-63:7
  return LinearPSDConstraint
mosek_fusion_LinearPSDConstraint=__mk_mosek_fusion_LinearPSDConstraint()
del __mk_mosek_fusion_LinearPSDConstraint

# origin: bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:17:4-146:5
#BEFORE CLASS
def __mk_mosek_fusion_PSDConstraint():
  class PSDConstraint(mosek_fusion_ModelConstraint):
    __slots__ = ['_PSDConstraint__names_flushed','_PSDConstraint__conedim1','_PSDConstraint__conedim0','_PSDConstraint__shape','_PSDConstraint__name','_PSDConstraint__slackidxs','_PSDConstraint__nativeidxs','_PSDConstraint__conid']
    def toString(self,*args):
      if False: pass
      elif mosek_fusion_PSDConstraint._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_PSDConstraint._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.PSDConstraint.toString()')

    def __repr__(self): return 'mosek.fusion.PSDConstraint'
    @staticmethod
    def _ctor_Lmosek_4fusion_4PSDConstraint_2Lmosek_4fusion_4Model_2(c,m):
      o = PSDConstraint.__new__(PSDConstraint)
      o._ctor_init_Lmosek_4fusion_4PSDConstraint_2Lmosek_4fusion_4Model_2(c,m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4PSDConstraint_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      c,m, = args
      return (    __arg_match_Lmosek_4fusion_4PSDConstraint_2__(c)
              and __arg_match_Lmosek_4fusion_4Model_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4PSDConstraint_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      c,m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4PSDConstraint_2__(c)
              and __arg_alt_match_Lmosek_4fusion_4Model_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:104:6-117:7
    def _ctor_alt_init_Lmosek_4fusion_4PSDConstraint_2Lmosek_4fusion_4Model_2(self,c,m):
      self._ctor_init_Lmosek_4fusion_4PSDConstraint_2Lmosek_4fusion_4Model_2(c,m)
    def _ctor_init_Lmosek_4fusion_4PSDConstraint_2Lmosek_4fusion_4Model_2(self,c,m):
      # Start scope @ bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:107:6-117:7
      mosek_fusion_ModelConstraint._ctor_init_Lmosek_4fusion_4ModelConstraint_2Lmosek_4fusion_4Model_2(self,c,m)# ctor @ bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:108:8-19
      self.__conid = (c.__conid) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:109:8-32
      self.__name = (c.__name) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:110:8-31
      self.__shape = (c.__shape) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:111:8-32
      self.__slackidxs = (c.__slackidxs) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:112:8-36
      self.__nativeidxs = (c.__nativeidxs) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:113:8-37
      self.__names_flushed = (c.__names_flushed) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:114:8-40
      self.__conedim0 = (c.__conedim0) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:115:8-30
      self.__conedim1 = (c.__conedim1) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:116:8-30
      # End   scope @ bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:107:6-117:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2SI_3III_3J_3I(model,name,conid,shape,conedim0,conedim1,slackidxs,nativeidxs):
      o = PSDConstraint.__new__(PSDConstraint)
      o._ctor_init_Lmosek_4fusion_4Model_2SI_3III_3J_3I(model,name,conid,shape,conedim0,conedim1,slackidxs,nativeidxs)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2SI_3III_3J_3I(*args):
      if len(args) != 8: return False
      model,name,conid,shape,conedim0,conedim1,slackidxs,nativeidxs, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_match_S__(name)
              and __arg_match_I__(conid)
              and __arg_match__3I__(shape)
              and __arg_match_I__(conedim0)
              and __arg_match_I__(conedim1)
              and __arg_match__3J__(slackidxs)
              and __arg_match__3I__(nativeidxs))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2SI_3III_3J_3I(*args):
      if len(args) != 8: return False
      model,name,conid,shape,conedim0,conedim1,slackidxs,nativeidxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_alt_match_S__(name)
              and __arg_alt_match_I__(conid)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match_I__(conedim0)
              and __arg_alt_match_I__(conedim1)
              and __arg_alt_match__3J__(slackidxs)
              and __arg_alt_match__3I__(nativeidxs))
    # Origin: bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:78:6-102:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2SI_3III_3J_3I(self,model,name,conid,shape,conedim0,conedim1,slackidxs,nativeidxs):
      self._ctor_init_Lmosek_4fusion_4Model_2SI_3III_3J_3I(model,name,numpy.int32(conid),numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.int32(conedim0),numpy.int32(conedim1),numpy.array(slackidxs,dtype=numpy.dtype(numpy.int64)),numpy.array(nativeidxs,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_Lmosek_4fusion_4Model_2SI_3III_3J_3I(self,model,name,conid,shape,conedim0,conedim1,slackidxs,nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:87:6-102:7
      mosek_fusion_ModelConstraint._ctor_init_Lmosek_4fusion_4Model_2S_3I_3II(self,model,name,shape,mosek.fusion.PSDConstraint.__computenidxs__3III_3I(shape,conedim0,conedim1,nativeidxs),conid)# ctor @ bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:88:8-92:21
      (self.__conid) = conid # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:93:8-27
      (self.__nativeidxs) = nativeidxs # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:94:8-37
      (self.__slackidxs) = slackidxs # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:95:8-36
      (self.__name) = name # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:96:8-31
      (self.__shape) = shape # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:97:8-27
      (self.__conedim0) = conedim0 # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:98:8-33
      (self.__conedim1) = conedim1 # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:99:8-33
      self.__names_flushed = False # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:101:8-30
      # End   scope @ bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:87:6-102:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:134:6-145:7
      raise mosek_fusion_UnimplementedError._ctor_S("PSDConstraint.toString not implemented") # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:144:8-79
      # End   scope @ bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:134:6-145:7
    def _clone_alt_Lmosek_4fusion_4Model_2(self,_t__0_m):
      return self._clone_Lmosek_4fusion_4Model_2(_0_m)
    def _clone_Lmosek_4fusion_4Model_2(self,_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:120:6-122:7
      return (mosek_fusion_PSDConstraint._ctor_Lmosek_4fusion_4PSDConstraint_2Lmosek_4fusion_4Model_2(self,_0_m)) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:121:8-41
      # End   scope @ bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:120:6-122:7
    @staticmethod
    def __computenidxs_alt__3III_3I(_t__0_shape,_t__1_d0,_t__2_d1,_t__3_nativeidxs):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1_d0=numpy.int32(_t__1_d0)
      _2_d1=numpy.int32(_t__2_d1)
      _3_nativeidxs=numpy.array(_t__3_nativeidxs,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_PSDConstraint.__computenidxs__3III_3I(_0_shape,_1_d0,_2_d1,_3_nativeidxs)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_nativeidxs[:] = _3_nativeidxs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __computenidxs__3III_3I(_0_shape,_1_d0,_2_d1,_3_nativeidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:31:103-72:7
      _4_nd=int((_0_shape).shape[0]) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:32:12-14
      _5_tril=(_1_d0 < _2_d1) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:33:12-16
      _6_conedim0=(_1_d0 if (_5_tril ) else _2_d1) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:34:12-20
      _7_conedim1=(_2_d1 if (_5_tril ) else _1_d0) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:35:12-20
      _8_dim=numpy.array([1,1,1,1,1], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:37:12-15
      _9_stride=numpy.zeros((5,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:38:12-18
      _10_size=1 # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:39:12-16
      _10_size = fragments._c_closure_256(_0_shape,_10_size) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:39:22-67
      _10_size = numpy.int32(_10_size) # postprocess
      fragments._c_closure_257(_6_conedim0,_8_dim,_0_shape) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:41:8-53
      _8_dim[1] = _0_shape[_6_conedim0] # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:42:8-33
      fragments._c_closure_258(_6_conedim0,_7_conedim1,_8_dim,_0_shape) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:43:8-62
      _8_dim[3] = _0_shape[_7_conedim1] # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:44:8-33
      fragments._c_closure_259(_7_conedim1,_8_dim,_4_nd,_0_shape) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:45:8-56
      _9_stride[4] = 1 # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:46:8-22
      fragments._c_closure_260(_8_dim,_9_stride) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:46:23-81
      _11_nidxs=numpy.zeros((_10_size,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:48:12-17
      _12_k=0 # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:50:12-13
      _12_k = fragments._c_closure_261(_8_dim,_12_k,_3_nativeidxs,_11_nidxs,_9_stride,_5_tril) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:51:8-70:19
      _12_k = numpy.int32(_12_k) # postprocess
      return (_11_nidxs) # bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:71:8-21
      # End   scope @ bld/herlev/final/default/src/fusion/SemidefiniteConstraint.mbi:31:103-72:7
  return PSDConstraint
mosek_fusion_PSDConstraint=__mk_mosek_fusion_PSDConstraint()
del __mk_mosek_fusion_PSDConstraint

# origin: bld/herlev/final/default/src/fusion/RangedConstraint.mbi:13:4-204:5
#BEFORE CLASS
def __mk_mosek_fusion_RangedConstraint():
  class RangedConstraint(mosek_fusion_ModelConstraint):
    __slots__ = ['_RangedConstraint__nativeidxs','_RangedConstraint__shape']
    def upperBoundCon(self,*args):
      if False: pass
      elif mosek_fusion_RangedConstraint._match_upperBoundCon_(*args): # 
        return self._upperBoundCon_(*args)
      elif mosek_fusion_RangedConstraint._match_alt_upperBoundCon_(*args): # 
        return self._upperBoundCon_alt_(*args)
      else:
        raise ValueError('Invalid argument list upperBoundCon('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RangedConstraint.upperBoundCon()')

    def lowerBoundCon(self,*args):
      if False: pass
      elif mosek_fusion_RangedConstraint._match_lowerBoundCon_(*args): # 
        return self._lowerBoundCon_(*args)
      elif mosek_fusion_RangedConstraint._match_alt_lowerBoundCon_(*args): # 
        return self._lowerBoundCon_alt_(*args)
      else:
        raise ValueError('Invalid argument list lowerBoundCon('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RangedConstraint.lowerBoundCon()')

    def __repr__(self): return 'mosek.fusion.RangedConstraint'
    @staticmethod
    def _ctor_Lmosek_4fusion_4RangedConstraint_2Lmosek_4fusion_4Model_2(c,m):
      o = RangedConstraint.__new__(RangedConstraint)
      o._ctor_init_Lmosek_4fusion_4RangedConstraint_2Lmosek_4fusion_4Model_2(c,m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4RangedConstraint_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      c,m, = args
      return (    __arg_match_Lmosek_4fusion_4RangedConstraint_2__(c)
              and __arg_match_Lmosek_4fusion_4Model_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4RangedConstraint_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      c,m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4RangedConstraint_2__(c)
              and __arg_alt_match_Lmosek_4fusion_4Model_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/RangedConstraint.mbi:32:6-39:7
    def _ctor_alt_init_Lmosek_4fusion_4RangedConstraint_2Lmosek_4fusion_4Model_2(self,c,m):
      self._ctor_init_Lmosek_4fusion_4RangedConstraint_2Lmosek_4fusion_4Model_2(c,m)
    def _ctor_init_Lmosek_4fusion_4RangedConstraint_2Lmosek_4fusion_4Model_2(self,c,m):
      # Start scope @ bld/herlev/final/default/src/fusion/RangedConstraint.mbi:35:6-39:7
      mosek_fusion_ModelConstraint._ctor_init_Lmosek_4fusion_4ModelConstraint_2Lmosek_4fusion_4Model_2(self,c,m)# ctor @ bld/herlev/final/default/src/fusion/RangedConstraint.mbi:36:8-19
      self.__shape = (c.__shape) # bld/herlev/final/default/src/fusion/RangedConstraint.mbi:37:8-24
      self.__nativeidxs = (c.__nativeidxs) # bld/herlev/final/default/src/fusion/RangedConstraint.mbi:38:8-34
      # End   scope @ bld/herlev/final/default/src/fusion/RangedConstraint.mbi:35:6-39:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2S_3I_3II(model,name,shape,nativeidxs,conid):
      o = RangedConstraint.__new__(RangedConstraint)
      o._ctor_init_Lmosek_4fusion_4Model_2S_3I_3II(model,name,shape,nativeidxs,conid)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2S_3I_3II(*args):
      if len(args) != 5: return False
      model,name,shape,nativeidxs,conid, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_match_S__(name)
              and __arg_match__3I__(shape)
              and __arg_match__3I__(nativeidxs)
              and __arg_match_I__(conid))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2S_3I_3II(*args):
      if len(args) != 5: return False
      model,name,shape,nativeidxs,conid, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_alt_match_S__(name)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match__3I__(nativeidxs)
              and __arg_alt_match_I__(conid))
    # Origin: bld/herlev/final/default/src/fusion/RangedConstraint.mbi:19:6-29:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2S_3I_3II(self,model,name,shape,nativeidxs,conid):
      self._ctor_init_Lmosek_4fusion_4Model_2S_3I_3II(model,name,numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(nativeidxs,dtype=numpy.dtype(numpy.int32)),numpy.int32(conid))
    def _ctor_init_Lmosek_4fusion_4Model_2S_3I_3II(self,model,name,shape,nativeidxs,conid):
      # Start scope @ bld/herlev/final/default/src/fusion/RangedConstraint.mbi:25:6-29:7
      mosek_fusion_ModelConstraint._ctor_init_Lmosek_4fusion_4Model_2S_3I_3II(self,model,name,shape,nativeidxs,conid)# ctor @ bld/herlev/final/default/src/fusion/RangedConstraint.mbi:26:8-49
      (self.__shape) = shape # bld/herlev/final/default/src/fusion/RangedConstraint.mbi:27:8-27
      (self.__nativeidxs) = nativeidxs # bld/herlev/final/default/src/fusion/RangedConstraint.mbi:28:8-37
      # End   scope @ bld/herlev/final/default/src/fusion/RangedConstraint.mbi:25:6-29:7
    @staticmethod
    def _match_upperBoundCon_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_upperBoundCon_(*args):
      if len(args) != 0: return False
      return True
    def _upperBoundCon_alt_(self,):
      return self._upperBoundCon_()
    def _upperBoundCon_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/RangedConstraint.mbi:55:61-57:7
      return (mosek_fusion_BoundInterfaceConstraint._ctor_Lmosek_4fusion_4Model_2_3I_3IZ(self._getModel_(),self.__shape,self.__nativeidxs,False)) # bld/herlev/final/default/src/fusion/RangedConstraint.mbi:56:8-79
      # End   scope @ bld/herlev/final/default/src/fusion/RangedConstraint.mbi:55:61-57:7
    @staticmethod
    def _match_lowerBoundCon_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_lowerBoundCon_(*args):
      if len(args) != 0: return False
      return True
    def _lowerBoundCon_alt_(self,):
      return self._lowerBoundCon_()
    def _lowerBoundCon_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/RangedConstraint.mbi:49:61-51:7
      return (mosek_fusion_BoundInterfaceConstraint._ctor_Lmosek_4fusion_4Model_2_3I_3IZ(self._getModel_(),self.__shape,self.__nativeidxs,True)) # bld/herlev/final/default/src/fusion/RangedConstraint.mbi:50:8-78
      # End   scope @ bld/herlev/final/default/src/fusion/RangedConstraint.mbi:49:61-51:7
    def _clone_alt_Lmosek_4fusion_4Model_2(self,_t__0_m):
      return self._clone_Lmosek_4fusion_4Model_2(_0_m)
    def _clone_Lmosek_4fusion_4Model_2(self,_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/RangedConstraint.mbi:42:6-44:7
      return (mosek_fusion_RangedConstraint._ctor_Lmosek_4fusion_4RangedConstraint_2Lmosek_4fusion_4Model_2(self,_0_m)) # bld/herlev/final/default/src/fusion/RangedConstraint.mbi:43:8-44
      # End   scope @ bld/herlev/final/default/src/fusion/RangedConstraint.mbi:42:6-44:7
  return RangedConstraint
mosek_fusion_RangedConstraint=__mk_mosek_fusion_RangedConstraint()
del __mk_mosek_fusion_RangedConstraint

# origin: bld/herlev/final/default/src/fusion/ConicConstraint.mbi:22:4-94:5
#BEFORE CLASS
def __mk_mosek_fusion_ConicConstraint():
  class ConicConstraint(mosek_fusion_ModelConstraint):
    __slots__ = ['_ConicConstraint__indexnames','_ConicConstraint__nativeidxs','_ConicConstraint__names_flushed','_ConicConstraint__name','_ConicConstraint__shape','_ConicConstraint__dom','_ConicConstraint__conid']
    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ConicConstraint._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ConicConstraint._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ConicConstraint.toString()')

    def __repr__(self): return 'mosek.fusion.ConicConstraint'
    @staticmethod
    def _ctor_Lmosek_4fusion_4ConicConstraint_2Lmosek_4fusion_4Model_2(c,m):
      o = ConicConstraint.__new__(ConicConstraint)
      o._ctor_init_Lmosek_4fusion_4ConicConstraint_2Lmosek_4fusion_4Model_2(c,m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4ConicConstraint_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      c,m, = args
      return (    __arg_match_Lmosek_4fusion_4ConicConstraint_2__(c)
              and __arg_match_Lmosek_4fusion_4Model_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4ConicConstraint_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      c,m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4ConicConstraint_2__(c)
              and __arg_alt_match_Lmosek_4fusion_4Model_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/ConicConstraint.mbi:65:6-75:7
    def _ctor_alt_init_Lmosek_4fusion_4ConicConstraint_2Lmosek_4fusion_4Model_2(self,c,m):
      self._ctor_init_Lmosek_4fusion_4ConicConstraint_2Lmosek_4fusion_4Model_2(c,m)
    def _ctor_init_Lmosek_4fusion_4ConicConstraint_2Lmosek_4fusion_4Model_2(self,c,m):
      # Start scope @ bld/herlev/final/default/src/fusion/ConicConstraint.mbi:66:6-75:7
      mosek_fusion_ModelConstraint._ctor_init_Lmosek_4fusion_4ModelConstraint_2Lmosek_4fusion_4Model_2(self,c,m)# ctor @ bld/herlev/final/default/src/fusion/ConicConstraint.mbi:67:8-19
      self.__dom = (c.__dom) # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:68:8-20
      self.__conid = (c.__conid) # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:69:8-25
      self.__shape = (c.__shape) # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:70:8-24
      self.__name = (c.__name) # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:71:8-22
      self.__nativeidxs = (c.__nativeidxs) # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:72:8-34
      self.__names_flushed = (c.__names_flushed) # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:73:8-40
      self.__indexnames = (c.__indexnames) # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:74:8-34
      # End   scope @ bld/herlev/final/default/src/fusion/ConicConstraint.mbi:66:6-75:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2SLmosek_4fusion_4ConeDomain_2_3II_3I_3_3S(model,name,dom,shape,conid,nativeidxs,indexnames):
      o = ConicConstraint.__new__(ConicConstraint)
      o._ctor_init_Lmosek_4fusion_4Model_2SLmosek_4fusion_4ConeDomain_2_3II_3I_3_3S(model,name,dom,shape,conid,nativeidxs,indexnames)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2SLmosek_4fusion_4ConeDomain_2_3II_3I_3_3S(*args):
      if len(args) != 7: return False
      model,name,dom,shape,conid,nativeidxs,indexnames, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_match_S__(name)
              and __arg_match_Lmosek_4fusion_4ConeDomain_2__(dom)
              and __arg_match__3I__(shape)
              and __arg_match_I__(conid)
              and __arg_match__3I__(nativeidxs)
              and __arg_match__3_3S__(indexnames))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2SLmosek_4fusion_4ConeDomain_2_3II_3I_3_3S(*args):
      if len(args) != 7: return False
      model,name,dom,shape,conid,nativeidxs,indexnames, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_alt_match_S__(name)
              and __arg_alt_match_Lmosek_4fusion_4ConeDomain_2__(dom)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match_I__(conid)
              and __arg_alt_match__3I__(nativeidxs)
              and __arg_alt_match__3_3S__(indexnames))
    # Origin: bld/herlev/final/default/src/fusion/ConicConstraint.mbi:38:6-62:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2SLmosek_4fusion_4ConeDomain_2_3II_3I_3_3S(self,model,name,dom,shape,conid,nativeidxs,indexnames):
      self._ctor_init_Lmosek_4fusion_4Model_2SLmosek_4fusion_4ConeDomain_2_3II_3I_3_3S(model,name,dom,numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.int32(conid),numpy.array(nativeidxs,dtype=numpy.dtype(numpy.int32)),numpy.array(indexnames,dtype=numpy.dtype(object)))
    def _ctor_init_Lmosek_4fusion_4Model_2SLmosek_4fusion_4ConeDomain_2_3II_3I_3_3S(self,model,name,dom,shape,conid,nativeidxs,indexnames):
      # Start scope @ bld/herlev/final/default/src/fusion/ConicConstraint.mbi:46:6-62:7
      mosek_fusion_ModelConstraint._ctor_init_Lmosek_4fusion_4Model_2S_3I_3II(self,model,name,shape,numpy.array([(- (1 + nativeidxs[_0_i])) for _0_i in range(0,int((nativeidxs).shape[0]))], dtype=numpy.dtype(numpy.int32)),(- (1 + conid)))# ctor @ bld/herlev/final/default/src/fusion/ConicConstraint.mbi:47:8-51:26
      (self.__dom) = dom # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:52:8-23
      (self.__shape) = shape # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:53:8-27
      (self.__name) = name # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:54:8-25
      (self.__nativeidxs) = nativeidxs # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:55:8-37
      (self.__indexnames) = indexnames # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:57:8-37
      (self.__conid) = conid # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:59:8-27
      self.__names_flushed = False # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:61:8-30
      # End   scope @ bld/herlev/final/default/src/fusion/ConicConstraint.mbi:46:6-62:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ConicConstraint.mbi:88:39-92:7
      _0_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:89:12-14
      _0_sb._a_S("ConicConstraint('")._a_S(self.__name)._a_S("')") # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:90:8-50
      return (_0_sb._toString_()) # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:91:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/ConicConstraint.mbi:88:39-92:7
    def _domainToString_alt_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_t__0_i,_t__1_sb):
      return self._domainToString_JLmosek_4fusion_4Utils_4StringBuffer_2(numpy.int64(__0_i),_1_sb)
    def _domainToString_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_0_i,_1_sb):
      # Start scope @ bld/herlev/final/default/src/fusion/ConicConstraint.mbi:83:71-85:7
      raise mosek_fusion_UnimplementedError._ctor_S("ConicConstraint.domainToString") # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:84:8-71
      # End   scope @ bld/herlev/final/default/src/fusion/ConicConstraint.mbi:83:71-85:7
    def _clone_alt_Lmosek_4fusion_4Model_2(self,_t__0_m):
      return self._clone_Lmosek_4fusion_4Model_2(_0_m)
    def _clone_Lmosek_4fusion_4Model_2(self,_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/ConicConstraint.mbi:78:6-80:7
      return (mosek_fusion_ConicConstraint._ctor_Lmosek_4fusion_4ConicConstraint_2Lmosek_4fusion_4Model_2(self,_0_m)) # bld/herlev/final/default/src/fusion/ConicConstraint.mbi:79:8-43
      # End   scope @ bld/herlev/final/default/src/fusion/ConicConstraint.mbi:78:6-80:7
  return ConicConstraint
mosek_fusion_ConicConstraint=__mk_mosek_fusion_ConicConstraint()
del __mk_mosek_fusion_ConicConstraint

# origin: bld/herlev/final/default/src/fusion/LinearConstraint.mbi:24:4-119:5
#BEFORE CLASS
def __mk_mosek_fusion_LinearConstraint():
  class LinearConstraint(mosek_fusion_ModelConstraint):
    __slots__ = ['_LinearConstraint__indexnames','_LinearConstraint__names_flushed','_LinearConstraint__nidxs','_LinearConstraint__name','_LinearConstraint__conid']
    def toString(self,*args):
      if False: pass
      elif mosek_fusion_LinearConstraint._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_LinearConstraint._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinearConstraint.toString()')

    def __repr__(self): return 'mosek.fusion.LinearConstraint'
    @staticmethod
    def _ctor_Lmosek_4fusion_4LinearConstraint_2Lmosek_4fusion_4Model_2(c,m):
      o = LinearConstraint.__new__(LinearConstraint)
      o._ctor_init_Lmosek_4fusion_4LinearConstraint_2Lmosek_4fusion_4Model_2(c,m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4LinearConstraint_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      c,m, = args
      return (    __arg_match_Lmosek_4fusion_4LinearConstraint_2__(c)
              and __arg_match_Lmosek_4fusion_4Model_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4LinearConstraint_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      c,m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4LinearConstraint_2__(c)
              and __arg_alt_match_Lmosek_4fusion_4Model_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/LinearConstraint.mbi:53:6-63:7
    def _ctor_alt_init_Lmosek_4fusion_4LinearConstraint_2Lmosek_4fusion_4Model_2(self,c,m):
      self._ctor_init_Lmosek_4fusion_4LinearConstraint_2Lmosek_4fusion_4Model_2(c,m)
    def _ctor_init_Lmosek_4fusion_4LinearConstraint_2Lmosek_4fusion_4Model_2(self,c,m):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearConstraint.mbi:56:6-63:7
      mosek_fusion_ModelConstraint._ctor_init_Lmosek_4fusion_4ModelConstraint_2Lmosek_4fusion_4Model_2(self,c,m)# ctor @ bld/herlev/final/default/src/fusion/LinearConstraint.mbi:57:8-19
      self.__conid = (c.__conid) # bld/herlev/final/default/src/fusion/LinearConstraint.mbi:58:8-24
      self.__name = (c.__name) # bld/herlev/final/default/src/fusion/LinearConstraint.mbi:59:8-22
      self.__nidxs = mosek.fusion.Utils.Tools._arraycopy__3I((c.__nidxs)) # bld/herlev/final/default/src/fusion/LinearConstraint.mbi:60:8-47
      self.__names_flushed = (c.__names_flushed) # bld/herlev/final/default/src/fusion/LinearConstraint.mbi:61:8-40
      self.__indexnames = (c.__indexnames) # bld/herlev/final/default/src/fusion/LinearConstraint.mbi:62:8-34
      # End   scope @ bld/herlev/final/default/src/fusion/LinearConstraint.mbi:56:6-63:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2SI_3I_3I_3_3S(model,name,conid,shape,nidxs,indexnames):
      o = LinearConstraint.__new__(LinearConstraint)
      o._ctor_init_Lmosek_4fusion_4Model_2SI_3I_3I_3_3S(model,name,conid,shape,nidxs,indexnames)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2SI_3I_3I_3_3S(*args):
      if len(args) != 6: return False
      model,name,conid,shape,nidxs,indexnames, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_match_S__(name)
              and __arg_match_I__(conid)
              and __arg_match__3I__(shape)
              and __arg_match__3I__(nidxs)
              and __arg_match__3_3S__(indexnames))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2SI_3I_3I_3_3S(*args):
      if len(args) != 6: return False
      model,name,conid,shape,nidxs,indexnames, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_alt_match_S__(name)
              and __arg_alt_match_I__(conid)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match__3I__(nidxs)
              and __arg_alt_match__3_3S__(indexnames))
    # Origin: bld/herlev/final/default/src/fusion/LinearConstraint.mbi:37:6-51:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2SI_3I_3I_3_3S(self,model,name,conid,shape,nidxs,indexnames):
      self._ctor_init_Lmosek_4fusion_4Model_2SI_3I_3I_3_3S(model,name,numpy.int32(conid),numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(nidxs,dtype=numpy.dtype(numpy.int32)),numpy.array(indexnames,dtype=numpy.dtype(object)))
    def _ctor_init_Lmosek_4fusion_4Model_2SI_3I_3I_3_3S(self,model,name,conid,shape,nidxs,indexnames):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearConstraint.mbi:44:6-51:7
      mosek_fusion_ModelConstraint._ctor_init_Lmosek_4fusion_4Model_2S_3I_3II(self,model,name,shape,nidxs,conid)# ctor @ bld/herlev/final/default/src/fusion/LinearConstraint.mbi:45:8-44
      (self.__nidxs) = nidxs # bld/herlev/final/default/src/fusion/LinearConstraint.mbi:46:8-27
      (self.__conid) = conid # bld/herlev/final/default/src/fusion/LinearConstraint.mbi:47:8-27
      (self.__name) = name # bld/herlev/final/default/src/fusion/LinearConstraint.mbi:48:8-25
      (self.__names_flushed) = False # bld/herlev/final/default/src/fusion/LinearConstraint.mbi:49:8-35
      (self.__indexnames) = indexnames # bld/herlev/final/default/src/fusion/LinearConstraint.mbi:50:8-37
      # End   scope @ bld/herlev/final/default/src/fusion/LinearConstraint.mbi:44:6-51:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearConstraint.mbi:105:6-117:7
      _0_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/LinearConstraint.mbi:114:12-14
      _0_sb._a_S("LinearConstraint('")._a_S(self.__name)._a_S("')") # bld/herlev/final/default/src/fusion/LinearConstraint.mbi:115:8-51
      return (_0_sb._toString_()) # bld/herlev/final/default/src/fusion/LinearConstraint.mbi:116:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/LinearConstraint.mbi:105:6-117:7
    def _flushNames_alt_(self,):
      return self._flushNames_()
    def _flushNames_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearConstraint.mbi:75:36-102:7
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/LinearConstraint.mbi:75:36-102:7
    def _domainToString_alt_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_t__0_i,_t__1_sb):
      return self._domainToString_JLmosek_4fusion_4Utils_4StringBuffer_2(numpy.int64(__0_i),_1_sb)
    def _domainToString_JLmosek_4fusion_4Utils_4StringBuffer_2(self,_0_i,_1_sb):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearConstraint.mbi:71:6-73:7
      pass
      # End   scope @ bld/herlev/final/default/src/fusion/LinearConstraint.mbi:71:6-73:7
    def _clone_alt_Lmosek_4fusion_4Model_2(self,_t__0_m):
      return self._clone_Lmosek_4fusion_4Model_2(_0_m)
    def _clone_Lmosek_4fusion_4Model_2(self,_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/LinearConstraint.mbi:66:6-68:7
      return (mosek_fusion_LinearConstraint._ctor_Lmosek_4fusion_4LinearConstraint_2Lmosek_4fusion_4Model_2(self,_0_m)) # bld/herlev/final/default/src/fusion/LinearConstraint.mbi:67:8-44
      # End   scope @ bld/herlev/final/default/src/fusion/LinearConstraint.mbi:66:6-68:7
  return LinearConstraint
mosek_fusion_LinearConstraint=__mk_mosek_fusion_LinearConstraint()
del __mk_mosek_fusion_LinearConstraint

# origin: bld/herlev/final/default/src/fusion/Set.mbi:34:4-207:5
#BEFORE CLASS
def __mk_mosek_fusion_Set():
  class Set(object):
    @staticmethod
    def make(*args):
      if False: pass
      elif mosek_fusion_Set._match_make__3S(*args): # []string
        return mosek_fusion_Set._make__3S(*args)
      elif mosek_fusion_Set._match_alt_make__3S(*args): # []string
        return mosek_fusion_Set._make_alt__3S(*args)
      elif mosek_fusion_Set._match_make_I(*args): # int32
        return mosek_fusion_Set._make_I(*args)
      elif mosek_fusion_Set._match_alt_make_I(*args): # int32
        return mosek_fusion_Set._make_alt_I(*args)
      elif mosek_fusion_Set._match_make__3I(*args): # []int32
        return mosek_fusion_Set._make__3I(*args)
      elif mosek_fusion_Set._match_alt_make__3I(*args): # []int32
        return mosek_fusion_Set._make_alt__3I(*args)
      elif mosek_fusion_Set._match_make__3I_3I(*args): # []int32,[]int32
        return mosek_fusion_Set._make__3I_3I(*args)
      elif mosek_fusion_Set._match_alt_make__3I_3I(*args): # []int32,[]int32
        return mosek_fusion_Set._make_alt__3I_3I(*args)
      elif mosek_fusion_Set._match_make_II(*args): # int32,int32
        return mosek_fusion_Set._make_II(*args)
      elif mosek_fusion_Set._match_alt_make_II(*args): # int32,int32
        return mosek_fusion_Set._make_alt_II(*args)
      elif mosek_fusion_Set._match_make_III(*args): # int32,int32,int32
        return mosek_fusion_Set._make_III(*args)
      elif mosek_fusion_Set._match_alt_make_III(*args): # int32,int32,int32
        return mosek_fusion_Set._make_alt_III(*args)
      else:
        raise ValueError('Invalid argument list make('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Set.make(array(string,ndim=1))\n\tmosek.fusion.Set.make(int32)\n\tmosek.fusion.Set.make(array(int32,ndim=1))\n\tmosek.fusion.Set.make(array(int32,ndim=1),array(int32,ndim=1))\n\tmosek.fusion.Set.make(int32,int32)\n\tmosek.fusion.Set.make(int32,int32,int32)')

    @staticmethod
    def keyToString(*args):
      if False: pass
      elif mosek_fusion_Set._match_keyToString__3I(*args): # []int32
        return mosek_fusion_Set._keyToString__3I(*args)
      elif mosek_fusion_Set._match_alt_keyToString__3I(*args): # []int32
        return mosek_fusion_Set._keyToString_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list keyToString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Set.keyToString(array(int32,ndim=1))')

    @staticmethod
    def size(*args):
      if False: pass
      elif mosek_fusion_Set._match_size__3I(*args): # []int32
        return mosek_fusion_Set._size__3I(*args)
      elif mosek_fusion_Set._match_alt_size__3I(*args): # []int32
        return mosek_fusion_Set._size_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list size('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Set.size(array(int32,ndim=1))')

    @staticmethod
    def indexToString(*args):
      if False: pass
      elif mosek_fusion_Set._match_indexToString__3IJ(*args): # []int32,int64
        return mosek_fusion_Set._indexToString__3IJ(*args)
      elif mosek_fusion_Set._match_alt_indexToString__3IJ(*args): # []int32,int64
        return mosek_fusion_Set._indexToString_alt__3IJ(*args)
      else:
        raise ValueError('Invalid argument list indexToString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Set.indexToString(array(int32,ndim=1),int64)')

    @staticmethod
    def indexToKey(*args):
      if False: pass
      elif mosek_fusion_Set._match_indexToKey__3IJ_3I(*args): # []int32,int64,[]int32
        return mosek_fusion_Set._indexToKey__3IJ_3I(*args)
      elif mosek_fusion_Set._match_alt_indexToKey__3IJ_3I(*args): # []int32,int64,[]int32
        return mosek_fusion_Set._indexToKey_alt__3IJ_3I(*args)
      else:
        raise ValueError('Invalid argument list indexToKey('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Set.indexToKey(array(int32,ndim=1),int64,array(int32,ndim=1))')

    @staticmethod
    def match(*args):
      if False: pass
      elif mosek_fusion_Set._match_match__3I_3I(*args): # []int32,[]int32
        return mosek_fusion_Set._match__3I_3I(*args)
      elif mosek_fusion_Set._match_alt_match__3I_3I(*args): # []int32,[]int32
        return mosek_fusion_Set._match_alt__3I_3I(*args)
      else:
        raise ValueError('Invalid argument list match('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Set.match(array(int32,ndim=1),array(int32,ndim=1))')

    @staticmethod
    def idxtokey(*args):
      if False: pass
      elif mosek_fusion_Set._match_idxtokey__3IJ(*args): # []int32,int64
        return mosek_fusion_Set._idxtokey__3IJ(*args)
      elif mosek_fusion_Set._match_alt_idxtokey__3IJ(*args): # []int32,int64
        return mosek_fusion_Set._idxtokey_alt__3IJ(*args)
      elif mosek_fusion_Set._match_idxtokey__3IJ_3I(*args): # []int32,int64,[]int32
        return mosek_fusion_Set._idxtokey__3IJ_3I(*args)
      elif mosek_fusion_Set._match_alt_idxtokey__3IJ_3I(*args): # []int32,int64,[]int32
        return mosek_fusion_Set._idxtokey_alt__3IJ_3I(*args)
      else:
        raise ValueError('Invalid argument list idxtokey('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Set.idxtokey(array(int32,ndim=1),int64)\n\tmosek.fusion.Set.idxtokey(array(int32,ndim=1),int64,array(int32,ndim=1))')

    @staticmethod
    def scalar(*args):
      if False: pass
      elif mosek_fusion_Set._match_scalar_(*args): # 
        return mosek_fusion_Set._scalar_(*args)
      elif mosek_fusion_Set._match_alt_scalar_(*args): # 
        return mosek_fusion_Set._scalar_alt_(*args)
      else:
        raise ValueError('Invalid argument list scalar('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Set.scalar()')

    @staticmethod
    def linearidx(*args):
      if False: pass
      elif mosek_fusion_Set._match_linearidx__3I_3I(*args): # []int32,[]int32
        return mosek_fusion_Set._linearidx__3I_3I(*args)
      elif mosek_fusion_Set._match_alt_linearidx__3I_3I(*args): # []int32,[]int32
        return mosek_fusion_Set._linearidx_alt__3I_3I(*args)
      else:
        raise ValueError('Invalid argument list linearidx('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Set.linearidx(array(int32,ndim=1),array(int32,ndim=1))')

    @staticmethod
    def strides(*args):
      if False: pass
      elif mosek_fusion_Set._match_strides__3I(*args): # []int32
        return mosek_fusion_Set._strides__3I(*args)
      elif mosek_fusion_Set._match_alt_strides__3I(*args): # []int32
        return mosek_fusion_Set._strides_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list strides('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Set.strides(array(int32,ndim=1))')

    def __repr__(self): return 'mosek.fusion.Set'
    @staticmethod
    def _match_size__3I(*args):
      if len(args) != 1: return False
      _0_shape, = args
      return (    __arg_match__3I__(_0_shape))
    @staticmethod
    def _match_alt_size__3I(*args):
      if len(args) != 1: return False
      _0_shape, = args
      return (    __arg_alt_match__3I__(_0_shape))
    @staticmethod
    def _size_alt__3I(_t__0_shape):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Set._size__3I(_0_shape)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _size__3I(_0_shape):
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:204:52-206:7
      _1_sz=1 # bld/herlev/final/default/src/fusion/Set.mbi:205:12-14
      _1_sz = fragments._c_closure_262(_0_shape,_1_sz) # bld/herlev/final/default/src/fusion/Set.mbi:205:21-64
      _1_sz = numpy.int64(_1_sz) # postprocess
      return numpy.int64(_1_sz) # bld/herlev/final/default/src/fusion/Set.mbi:205:65-75
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:204:52-206:7
    @staticmethod
    def _match_match__3I_3I(*args):
      if len(args) != 2: return False
      _0_s1,_1_s2, = args
      return (    __arg_match__3I__(_0_s1)
              and __arg_match__3I__(_1_s2))
    @staticmethod
    def _match_alt_match__3I_3I(*args):
      if len(args) != 2: return False
      _0_s1,_1_s2, = args
      return (    __arg_alt_match__3I__(_0_s1)
              and __arg_alt_match__3I__(_1_s2))
    @staticmethod
    def _match_alt__3I_3I(_t__0_s1,_t__1_s2):
      _0_s1=numpy.array(_t__0_s1,dtype=numpy.dtype(numpy.int32))
      _1_s2=numpy.array(_t__1_s2,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Set._match__3I_3I(_0_s1,_1_s2)
      try:
        _t__0_s1[:] = _0_s1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_s2[:] = _1_s2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _match__3I_3I(_0_s1,_1_s2):
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:195:60-201:7
      if (int((_0_s1).shape[0])!=int((_1_s2).shape[0])): # bld/herlev/final/default/src/fusion/Set.mbi:196:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:196:32-45
        return (False) # bld/herlev/final/default/src/fusion/Set.mbi:196:32-45
        # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:196:32-45
      for _2_i in range(0,int((_0_s1).shape[0])): # bld/herlev/final/default/src/fusion/Set.mbi:197:8-199:25
        # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:198:10-199:25
        if (_0_s1[_2_i]!=_1_s2[_2_i]): # bld/herlev/final/default/src/fusion/Set.mbi:198:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:199:12-25
          return (False) # bld/herlev/final/default/src/fusion/Set.mbi:199:12-25
          # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:199:12-25
        # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:198:10-199:25
      return (True) # bld/herlev/final/default/src/fusion/Set.mbi:200:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:195:60-201:7
    @staticmethod
    def _match_linearidx__3I_3I(*args):
      if len(args) != 2: return False
      _0_shape,_1_key, = args
      return (    __arg_match__3I__(_0_shape)
              and __arg_match__3I__(_1_key))
    @staticmethod
    def _match_alt_linearidx__3I_3I(*args):
      if len(args) != 2: return False
      _0_shape,_1_key, = args
      return (    __arg_alt_match__3I__(_0_shape)
              and __arg_alt_match__3I__(_1_key))
    @staticmethod
    def _linearidx_alt__3I_3I(_t__0_shape,_t__1_key):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1_key=numpy.array(_t__1_key,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Set._linearidx__3I_3I(_0_shape,_1_key)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_key[:] = _1_key
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _linearidx__3I_3I(_0_shape,_1_key):
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:187:6-192:7
      _2_res=_1_key[0] # bld/herlev/final/default/src/fusion/Set.mbi:188:12-21
      _2_res = fragments._c_closure_263(_1_key,_2_res,_0_shape) # bld/herlev/final/default/src/fusion/Set.mbi:189:8-190:40
      _2_res = numpy.int64(_2_res) # postprocess
      return numpy.int64(_2_res) # bld/herlev/final/default/src/fusion/Set.mbi:191:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:187:6-192:7
    @staticmethod
    def _match_idxtokey__3IJ(*args):
      if len(args) != 2: return False
      _0_shape,_1_idx, = args
      return (    __arg_match__3I__(_0_shape)
              and __arg_match_J__(_1_idx))
    @staticmethod
    def _match_alt_idxtokey__3IJ(*args):
      if len(args) != 2: return False
      _0_shape,_1_idx, = args
      return (    __arg_alt_match__3I__(_0_shape)
              and __arg_alt_match_J__(_1_idx))
    @staticmethod
    def _idxtokey_alt__3IJ(_t__0_shape,_t__1_idx):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1_idx=numpy.int64(_t__1_idx)
      _1 = mosek_fusion_Set._idxtokey__3IJ(_0_shape,_1_idx)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _idxtokey__3IJ(_0_shape,_1_idx):
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:170:6-174:7
      _2_res=numpy.zeros((int((_0_shape).shape[0]),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Set.mbi:171:12-15
      mosek.fusion.Set._idxtokey__3IJ_3I(_0_shape,_1_idx,_2_res) # bld/herlev/final/default/src/fusion/Set.mbi:172:8-32
      return (_2_res) # bld/herlev/final/default/src/fusion/Set.mbi:173:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:170:6-174:7
    @staticmethod
    def _match_idxtokey__3IJ_3I(*args):
      if len(args) != 3: return False
      _0_shape,_1_idx,_2_dest, = args
      return (    __arg_match__3I__(_0_shape)
              and __arg_match_J__(_1_idx)
              and __arg_match__3I__(_2_dest))
    @staticmethod
    def _match_alt_idxtokey__3IJ_3I(*args):
      if len(args) != 3: return False
      _0_shape,_1_idx,_2_dest, = args
      return (    __arg_alt_match__3I__(_0_shape)
              and __arg_alt_match_J__(_1_idx)
              and __arg_alt_match__3I__(_2_dest))
    @staticmethod
    def _idxtokey_alt__3IJ_3I(_t__0_shape,_t__1_idx,_t__2_dest):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1_idx=numpy.int64(_t__1_idx)
      _2_dest=numpy.array(_t__2_dest,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Set._idxtokey__3IJ_3I(_0_shape,_1_idx,_2_dest)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_dest[:] = _2_dest
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _idxtokey__3IJ_3I(_0_shape,_1_idx,_2_dest):
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:155:6-167:7
      fragments._c_closure_264(_2_dest,_1_idx,_0_shape) # bld/herlev/final/default/src/fusion/Set.mbi:155:6-167:7
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:155:6-167:7
    @staticmethod
    def _match_indexToString__3IJ(*args):
      if len(args) != 2: return False
      _0_shape,_1_key, = args
      return (    __arg_match__3I__(_0_shape)
              and __arg_match_J__(_1_key))
    @staticmethod
    def _match_alt_indexToString__3IJ(*args):
      if len(args) != 2: return False
      _0_shape,_1_key, = args
      return (    __arg_alt_match__3I__(_0_shape)
              and __arg_alt_match_J__(_1_key))
    @staticmethod
    def _indexToString_alt__3IJ(_t__0_shape,_t__1_key):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1_key=numpy.int64(_t__1_key)
      _1 = mosek_fusion_Set._indexToString__3IJ(_0_shape,_1_key)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _indexToString__3IJ(_0_shape,_1_key):
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:125:6-148:7
      _2_nd=int((_0_shape).shape[0]) # bld/herlev/final/default/src/fusion/Set.mbi:126:12-14
      _3_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Set.mbi:127:12-14
      if (_2_nd==0): # bld/herlev/final/default/src/fusion/Set.mbi:128:12-19
        # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:129:10-21
        return ("0") # bld/herlev/final/default/src/fusion/Set.mbi:129:10-21
        # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:129:10-21
      elif (_2_nd==1): # bld/herlev/final/default/src/fusion/Set.mbi:130:16-23
        # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:131:10-38
        return (_3_sb._a_J(_1_key)._toString_()) # bld/herlev/final/default/src/fusion/Set.mbi:131:10-38
        # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:131:10-38
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:132:13-147:9
        _4_rem=_1_key # bld/herlev/final/default/src/fusion/Set.mbi:133:14-17
        _5_k=numpy.zeros((_2_nd,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Set.mbi:134:14-15
        _4_rem = fragments._c_closure_265(_5_k,_2_nd,_4_rem,_0_shape) # bld/herlev/final/default/src/fusion/Set.mbi:136:10-139:11
        _4_rem = numpy.int64(_4_rem) # postprocess
        _5_k[0] = numpy.int32(_4_rem) # bld/herlev/final/default/src/fusion/Set.mbi:140:10-28
        _3_sb._a_I(_5_k[0]) # bld/herlev/final/default/src/fusion/Set.mbi:142:10-21
        for _6_i in range(1,_2_nd): # bld/herlev/final/default/src/fusion/Set.mbi:143:10-144:30
          # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:144:12-30
          _3_sb._a_S(",")._a_I(_5_k[_6_i]) # bld/herlev/final/default/src/fusion/Set.mbi:144:12-30
          # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:144:12-30
        return (_3_sb._toString_()) # bld/herlev/final/default/src/fusion/Set.mbi:146:10-31
        # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:132:13-147:9
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:125:6-148:7
    @staticmethod
    def _match_keyToString__3I(*args):
      if len(args) != 1: return False
      _0_key, = args
      return (    __arg_match__3I__(_0_key))
    @staticmethod
    def _match_alt_keyToString__3I(*args):
      if len(args) != 1: return False
      _0_key, = args
      return (    __arg_alt_match__3I__(_0_key))
    @staticmethod
    def _keyToString_alt__3I(_t__0_key):
      _0_key=numpy.array(_t__0_key,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Set._keyToString__3I(_0_key)
      try:
        _t__0_key[:] = _0_key
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _keyToString__3I(_0_key):
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:112:59-119:7
      _1_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Set.mbi:113:12-14
      _1_sb._a_I(_0_key[0]) # bld/herlev/final/default/src/fusion/Set.mbi:114:8-21
      for _2_i in range(1,int((_0_key).shape[0])): # bld/herlev/final/default/src/fusion/Set.mbi:115:8-116:30
        # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:116:10-30
        _1_sb._a_S(",")._a_I(_0_key[_2_i]) # bld/herlev/final/default/src/fusion/Set.mbi:116:10-30
        # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:116:10-30
      return (_1_sb._toString_()) # bld/herlev/final/default/src/fusion/Set.mbi:117:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:112:59-119:7
    @staticmethod
    def _match_indexToKey__3IJ_3I(*args):
      if len(args) != 3: return False
      _0_shape,_1_key,_2_res, = args
      return (    __arg_match__3I__(_0_shape)
              and __arg_match_J__(_1_key)
              and __arg_match__3I__(_2_res))
    @staticmethod
    def _match_alt_indexToKey__3IJ_3I(*args):
      if len(args) != 3: return False
      _0_shape,_1_key,_2_res, = args
      return (    __arg_alt_match__3I__(_0_shape)
              and __arg_alt_match_J__(_1_key)
              and __arg_alt_match__3I__(_2_res))
    @staticmethod
    def _indexToKey_alt__3IJ_3I(_t__0_shape,_t__1_key,_t__2_res):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1_key=numpy.int64(_t__1_key)
      _2_res=numpy.array(_t__2_res,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Set._indexToKey__3IJ_3I(_0_shape,_1_key,_2_res)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_res[:] = _2_res
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _indexToKey__3IJ_3I(_0_shape,_1_key,_2_res):
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:93:6-107:7
      fragments._c_closure_266(_1_key,_2_res,_0_shape) # bld/herlev/final/default/src/fusion/Set.mbi:93:6-107:7
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:93:6-107:7
    @staticmethod
    def _match_strides__3I(*args):
      if len(args) != 1: return False
      _0_shape, = args
      return (    __arg_match__3I__(_0_shape))
    @staticmethod
    def _match_alt_strides__3I(*args):
      if len(args) != 1: return False
      _0_shape, = args
      return (    __arg_alt_match__3I__(_0_shape))
    @staticmethod
    def _strides_alt__3I(_t__0_shape):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Set._strides__3I(_0_shape)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _strides__3I(_0_shape):
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:81:58-87:7
      _1_nd=int((_0_shape).shape[0]) # bld/herlev/final/default/src/fusion/Set.mbi:82:12-14
      _2_st=numpy.zeros((_1_nd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Set.mbi:83:12-14
      _2_st[(_1_nd - 1)] = 1 # bld/herlev/final/default/src/fusion/Set.mbi:84:8-21
      fragments._c_closure_267(_1_nd,_0_shape,_2_st) # bld/herlev/final/default/src/fusion/Set.mbi:85:8-64
      return (_2_st) # bld/herlev/final/default/src/fusion/Set.mbi:86:8-18
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:81:58-87:7
    @staticmethod
    def _match_make__3I_3I(*args):
      if len(args) != 2: return False
      _0_set1,_1_set2, = args
      return (    __arg_match__3I__(_0_set1)
              and __arg_match__3I__(_1_set2))
    @staticmethod
    def _match_alt_make__3I_3I(*args):
      if len(args) != 2: return False
      _0_set1,_1_set2, = args
      return (    __arg_alt_match__3I__(_0_set1)
              and __arg_alt_match__3I__(_1_set2))
    @staticmethod
    def _make_alt__3I_3I(_t__0_set1,_t__1_set2):
      _0_set1=numpy.array(_t__0_set1,dtype=numpy.dtype(numpy.int32))
      _1_set2=numpy.array(_t__1_set2,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Set._make__3I_3I(_0_set1,_1_set2)
      try:
        _t__0_set1[:] = _0_set1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_set2[:] = _1_set2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _make__3I_3I(_0_set1,_1_set2):
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:67:6-72:7
      _2_r=numpy.zeros(((int((_0_set1).shape[0]) + int((_1_set2).shape[0])),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Set.mbi:68:12-13
      fragments._c_closure_268(_2_r,_0_set1) # bld/herlev/final/default/src/fusion/Set.mbi:69:8-50
      fragments._c_closure_269(_2_r,_0_set1,_1_set2) # bld/herlev/final/default/src/fusion/Set.mbi:70:8-60
      return (_2_r) # bld/herlev/final/default/src/fusion/Set.mbi:71:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:67:6-72:7
    @staticmethod
    def _match_make__3I(*args):
      if len(args) != 1: return False
      _0_sizes, = args
      return (    __arg_match__3I__(_0_sizes))
    @staticmethod
    def _match_alt_make__3I(*args):
      if len(args) != 1: return False
      _0_sizes, = args
      return (    __arg_alt_match__3I__(_0_sizes))
    @staticmethod
    def _make_alt__3I(_t__0_sizes):
      _0_sizes=numpy.array(_t__0_sizes,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Set._make__3I(_0_sizes)
      try:
        _t__0_sizes[:] = _0_sizes
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _make__3I(_0_sizes):
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:62:6-64:7
      return (numpy.array([_0_sizes[_1_i] for _1_i in range(0,int((_0_sizes).shape[0]))], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/Set.mbi:63:8-54
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:62:6-64:7
    @staticmethod
    def _match_make_III(*args):
      if len(args) != 3: return False
      _0_s1,_1_s2,_2_s3, = args
      return (    __arg_match_I__(_0_s1)
              and __arg_match_I__(_1_s2)
              and __arg_match_I__(_2_s3))
    @staticmethod
    def _match_alt_make_III(*args):
      if len(args) != 3: return False
      _0_s1,_1_s2,_2_s3, = args
      return (    __arg_alt_match_I__(_0_s1)
              and __arg_alt_match_I__(_1_s2)
              and __arg_alt_match_I__(_2_s3))
    @staticmethod
    def _make_alt_III(_t__0_s1,_t__1_s2,_t__2_s3):
      return mosek_fusion_Set._make_III(numpy.int32(__0_s1),numpy.int32(__1_s2),numpy.int32(__2_s3))
    @staticmethod
    def _make_III(_0_s1,_1_s2,_2_s3):
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:57:6-59:7
      return (numpy.array([_0_s1,_1_s2,_2_s3], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/Set.mbi:58:8-32
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:57:6-59:7
    @staticmethod
    def _match_make_II(*args):
      if len(args) != 2: return False
      _0_s1,_1_s2, = args
      return (    __arg_match_I__(_0_s1)
              and __arg_match_I__(_1_s2))
    @staticmethod
    def _match_alt_make_II(*args):
      if len(args) != 2: return False
      _0_s1,_1_s2, = args
      return (    __arg_alt_match_I__(_0_s1)
              and __arg_alt_match_I__(_1_s2))
    @staticmethod
    def _make_alt_II(_t__0_s1,_t__1_s2):
      return mosek_fusion_Set._make_II(numpy.int32(__0_s1),numpy.int32(__1_s2))
    @staticmethod
    def _make_II(_0_s1,_1_s2):
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:52:6-54:7
      return (numpy.array([_0_s1,_1_s2], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/Set.mbi:53:8-30
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:52:6-54:7
    @staticmethod
    def _match_make_I(*args):
      if len(args) != 1: return False
      _0_sz, = args
      return (    __arg_match_I__(_0_sz))
    @staticmethod
    def _match_alt_make_I(*args):
      if len(args) != 1: return False
      _0_sz, = args
      return (    __arg_alt_match_I__(_0_sz))
    @staticmethod
    def _make_alt_I(_t__0_sz):
      return mosek_fusion_Set._make_I(numpy.int32(__0_sz))
    @staticmethod
    def _make_I(_0_sz):
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:47:6-49:7
      return (numpy.array([_0_sz], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/Set.mbi:48:8-26
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:47:6-49:7
    @staticmethod
    def _match_scalar_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_scalar_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _scalar_alt_():
      return mosek_fusion_Set._scalar_()
    @staticmethod
    def _scalar_():
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:44:44-67
      return (numpy.zeros((0,), dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/Set.mbi:44:46-65
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:44:44-67
    @staticmethod
    def _match_make__3S(*args):
      if len(args) != 1: return False
      _0_names, = args
      return (    __arg_match__3S__(_0_names))
    @staticmethod
    def _match_alt_make__3S(*args):
      if len(args) != 1: return False
      _0_names, = args
      return (    __arg_alt_match__3S__(_0_names))
    @staticmethod
    def _make_alt__3S(_t__0_names):
      _0_names=numpy.array(_t__0_names,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Set._make__3S(_0_names)
      try:
        _t__0_names[:] = _0_names
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _make__3S(_0_names):
      # Start scope @ bld/herlev/final/default/src/fusion/Set.mbi:37:6-39:7
      return (numpy.array([int((_0_names).shape[0])], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/Set.mbi:38:8-33
      # End   scope @ bld/herlev/final/default/src/fusion/Set.mbi:37:6-39:7
  return Set
mosek_fusion_Set=__mk_mosek_fusion_Set()
del __mk_mosek_fusion_Set

# origin: bld/herlev/final/default/src/fusion/domain.mbi:1631:4-1786:5
#BEFORE CLASS
def __mk_mosek_fusion_ConeDomain():
  class ConeDomain(object):
    __slots__ = ['_indexnames','_domsize','_domofs','_alpha','_shape','_int_flag','_axisset','_axisidx','_key']
    def integral(self,*args):
      if False: pass
      elif mosek_fusion_ConeDomain._match_integral_(*args): # 
        return self._integral_(*args)
      elif mosek_fusion_ConeDomain._match_alt_integral_(*args): # 
        return self._integral_alt_(*args)
      else:
        raise ValueError('Invalid argument list integral('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ConeDomain.integral()')

    def axis(self,*args):
      if False: pass
      elif mosek_fusion_ConeDomain._match_axis_I(*args): # int32
        return self._axis_I(*args)
      elif mosek_fusion_ConeDomain._match_alt_axis_I(*args): # int32
        return self._axis_alt_I(*args)
      else:
        raise ValueError('Invalid argument list axis('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ConeDomain.axis(int32)')

    def withShape(self,*args):
      if False: pass
      elif mosek_fusion_ConeDomain._match_withShape__3I(*args): # []int32
        return self._withShape__3I(*args)
      elif mosek_fusion_ConeDomain._match_alt_withShape__3I(*args): # []int32
        return self._withShape_alt__3I(*args)
      elif mosek_fusion_ConeDomain._match_withShape_I(*args): # int32
        return self._withShape_I(*args)
      elif mosek_fusion_ConeDomain._match_alt_withShape_I(*args): # int32
        return self._withShape_alt_I(*args)
      elif mosek_fusion_ConeDomain._match_withShape_II(*args): # int32,int32
        return self._withShape_II(*args)
      elif mosek_fusion_ConeDomain._match_alt_withShape_II(*args): # int32,int32
        return self._withShape_alt_II(*args)
      elif mosek_fusion_ConeDomain._match_withShape_III(*args): # int32,int32,int32
        return self._withShape_III(*args)
      elif mosek_fusion_ConeDomain._match_alt_withShape_III(*args): # int32,int32,int32
        return self._withShape_alt_III(*args)
      else:
        raise ValueError('Invalid argument list withShape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ConeDomain.withShape(array(int32,ndim=1))\n\tmosek.fusion.ConeDomain.withShape(int32)\n\tmosek.fusion.ConeDomain.withShape(int32,int32)\n\tmosek.fusion.ConeDomain.withShape(int32,int32,int32)')

    def withNamesOnAxis(self,*args):
      if False: pass
      elif mosek_fusion_ConeDomain._match_withNamesOnAxis__3SI(*args): # []string,int32
        return self._withNamesOnAxis__3SI(*args)
      elif mosek_fusion_ConeDomain._match_alt_withNamesOnAxis__3SI(*args): # []string,int32
        return self._withNamesOnAxis_alt__3SI(*args)
      else:
        raise ValueError('Invalid argument list withNamesOnAxis('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ConeDomain.withNamesOnAxis(array(string,ndim=1),int32)')

    def axisIsSet(self,*args):
      if False: pass
      elif mosek_fusion_ConeDomain._match_axisIsSet_(*args): # 
        return self._axisIsSet_(*args)
      elif mosek_fusion_ConeDomain._match_alt_axisIsSet_(*args): # 
        return self._axisIsSet_alt_(*args)
      else:
        raise ValueError('Invalid argument list axisIsSet('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ConeDomain.axisIsSet()')

    def getAxis(self,*args):
      if False: pass
      elif mosek_fusion_ConeDomain._match_getAxis_(*args): # 
        return self._getAxis_(*args)
      elif mosek_fusion_ConeDomain._match_alt_getAxis_(*args): # 
        return self._getAxis_alt_(*args)
      else:
        raise ValueError('Invalid argument list getAxis('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ConeDomain.getAxis()')

    def __repr__(self): return 'mosek.fusion.ConeDomain'
    @staticmethod
    def _ctor_Emosek_4fusion_4QConeKey_2_3D_3I(k,alpha,d):
      o = ConeDomain.__new__(ConeDomain)
      o._ctor_init_Emosek_4fusion_4QConeKey_2_3D_3I(k,alpha,d)
      return o

    @staticmethod
    def __match_ctor_Emosek_4fusion_4QConeKey_2_3D_3I(*args):
      if len(args) != 3: return False
      k,alpha,d, = args
      return (    __arg_match_Emosek_4fusion_4QConeKey_2__(k)
              and __arg_match__3D__(alpha)
              and __arg_match__3I__(d))
    @staticmethod
    def __match_alt_ctor_Emosek_4fusion_4QConeKey_2_3D_3I(*args):
      if len(args) != 3: return False
      k,alpha,d, = args
      return (    __arg_alt_match_Emosek_4fusion_4QConeKey_2__(k)
              and __arg_alt_match__3D__(alpha)
              and __arg_alt_match__3I__(d))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:1725:6-1736:7
    def _ctor_alt_init_Emosek_4fusion_4QConeKey_2_3D_3I(self,k,alpha,d):
      self._ctor_init_Emosek_4fusion_4QConeKey_2_3D_3I(k,numpy.array(alpha,dtype=numpy.dtype(numpy.float64)),numpy.array(d,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_Emosek_4fusion_4QConeKey_2_3D_3I(self,k,alpha,d):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1726:6-1736:7
      self._shape = (mosek.fusion.Utils.Tools._arraycopy__3I(d) if ((d is not None) ) else None) # bld/herlev/final/default/src/fusion/domain.mbi:1727:8-69
      self._domsize = 0 # bld/herlev/final/default/src/fusion/domain.mbi:1728:8-20
      (self._alpha) = alpha # bld/herlev/final/default/src/fusion/domain.mbi:1729:8-27
      self._key = k # bld/herlev/final/default/src/fusion/domain.mbi:1730:8-21
      self._axisidx = 0 # bld/herlev/final/default/src/fusion/domain.mbi:1731:8-21
      self._axisset = False # bld/herlev/final/default/src/fusion/domain.mbi:1732:8-25
      self._int_flag = False # bld/herlev/final/default/src/fusion/domain.mbi:1733:8-25
      self._domofs = None # bld/herlev/final/default/src/fusion/domain.mbi:1734:8-22
      self._indexnames = None # bld/herlev/final/default/src/fusion/domain.mbi:1735:8-26
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1726:6-1736:7
    @staticmethod
    def _ctor_Emosek_4fusion_4QConeKey_2_3I(k,d):
      o = ConeDomain.__new__(ConeDomain)
      o._ctor_init_Emosek_4fusion_4QConeKey_2_3I(k,d)
      return o

    @staticmethod
    def __match_ctor_Emosek_4fusion_4QConeKey_2_3I(*args):
      if len(args) != 2: return False
      k,d, = args
      return (    __arg_match_Emosek_4fusion_4QConeKey_2__(k)
              and __arg_match__3I__(d))
    @staticmethod
    def __match_alt_ctor_Emosek_4fusion_4QConeKey_2_3I(*args):
      if len(args) != 2: return False
      k,d, = args
      return (    __arg_alt_match_Emosek_4fusion_4QConeKey_2__(k)
              and __arg_alt_match__3I__(d))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:1699:6-1701:7
    def _ctor_alt_init_Emosek_4fusion_4QConeKey_2_3I(self,k,d):
      self._ctor_init_Emosek_4fusion_4QConeKey_2_3I(k,numpy.array(d,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_Emosek_4fusion_4QConeKey_2_3I(self,k,d):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1699:51-1701:7
      mosek_fusion_ConeDomain._ctor_init_Emosek_4fusion_4QConeKey_2_3D_3I(self,k,None,d)# ctor @ bld/herlev/final/default/src/fusion/domain.mbi:1700:8-23
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1699:51-1701:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4ConeDomain_2(other):
      o = ConeDomain.__new__(ConeDomain)
      o._ctor_init_Lmosek_4fusion_4ConeDomain_2(other)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_match_Lmosek_4fusion_4ConeDomain_2__(other))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_alt_match_Lmosek_4fusion_4ConeDomain_2__(other))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:1645:6-1655:7
    def _ctor_alt_init_Lmosek_4fusion_4ConeDomain_2(self,other):
      self._ctor_init_Lmosek_4fusion_4ConeDomain_2(other)
    def _ctor_init_Lmosek_4fusion_4ConeDomain_2(self,other):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1645:37-1655:7
      self._key = (other._key) # bld/herlev/final/default/src/fusion/domain.mbi:1646:8-31
      self._axisidx = (other._axisidx) # bld/herlev/final/default/src/fusion/domain.mbi:1647:8-35
      self._axisset = (other._axisset) # bld/herlev/final/default/src/fusion/domain.mbi:1648:8-35
      self._int_flag = (other._int_flag) # bld/herlev/final/default/src/fusion/domain.mbi:1649:8-36
      self._shape = (other._shape) # bld/herlev/final/default/src/fusion/domain.mbi:1650:8-33
      self._alpha = (other._alpha) # bld/herlev/final/default/src/fusion/domain.mbi:1651:8-33
      self._domofs = (other._domofs) # bld/herlev/final/default/src/fusion/domain.mbi:1652:8-34
      self._domsize = (other._domsize) # bld/herlev/final/default/src/fusion/domain.mbi:1653:8-35
      self._indexnames = (other._indexnames) # bld/herlev/final/default/src/fusion/domain.mbi:1654:8-38
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1645:37-1655:7
    def _match_1shape_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self._match_1shape__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _match_1shape__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1783:6-1785:7
      return (((self._shape is None) or mosek.fusion.Set._match__3I_3I(_0_shp,self._shape))) # bld/herlev/final/default/src/fusion/domain.mbi:1784:8-53
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1783:6-1785:7
    @staticmethod
    def _match_integral_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_integral_(*args):
      if len(args) != 0: return False
      return True
    def _integral_alt_(self,):
      return self._integral_()
    def _integral_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1779:42-76
      self._int_flag = True # bld/herlev/final/default/src/fusion/domain.mbi:1779:44-60
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1779:61-73
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1779:42-76
    @staticmethod
    def _match_axisIsSet_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_axisIsSet_(*args):
      if len(args) != 0: return False
      return True
    def _axisIsSet_alt_(self,):
      return self._axisIsSet_()
    def _axisIsSet_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1772:47-66
      return (self._axisset) # bld/herlev/final/default/src/fusion/domain.mbi:1772:49-64
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1772:47-66
    @staticmethod
    def _match_getAxis_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getAxis_(*args):
      if len(args) != 0: return False
      return True
    def _getAxis_alt_(self,):
      return self._getAxis_()
    def _getAxis_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1769:47-66
      return numpy.int32(self._axisidx) # bld/herlev/final/default/src/fusion/domain.mbi:1769:49-64
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1769:47-66
    @staticmethod
    def _match_axis_I(*args):
      if len(args) != 1: return False
      _0_a, = args
      return (    __arg_match_I__(_0_a))
    @staticmethod
    def _match_alt_axis_I(*args):
      if len(args) != 1: return False
      _0_a, = args
      return (    __arg_alt_match_I__(_0_a))
    def _axis_alt_I(self,_t__0_a):
      return self._axis_I(numpy.int32(__0_a))
    def _axis_I(self,_0_a):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1766:49-94
      self._axisidx = _0_a # bld/herlev/final/default/src/fusion/domain.mbi:1766:51-63
      self._axisset = True # bld/herlev/final/default/src/fusion/domain.mbi:1766:64-79
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1766:80-92
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1766:49-94
    @staticmethod
    def _match_withShape_III(*args):
      if len(args) != 3: return False
      _0_dim0,_1_dim1,_2_dim2, = args
      return (    __arg_match_I__(_0_dim0)
              and __arg_match_I__(_1_dim1)
              and __arg_match_I__(_2_dim2))
    @staticmethod
    def _match_alt_withShape_III(*args):
      if len(args) != 3: return False
      _0_dim0,_1_dim1,_2_dim2, = args
      return (    __arg_alt_match_I__(_0_dim0)
              and __arg_alt_match_I__(_1_dim1)
              and __arg_alt_match_I__(_2_dim2))
    def _withShape_alt_III(self,_t__0_dim0,_t__1_dim1,_t__2_dim2):
      return self._withShape_III(numpy.int32(__0_dim0),numpy.int32(__1_dim1),numpy.int32(__2_dim2))
    def _withShape_III(self,_0_dim0,_1_dim1,_2_dim2):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1762:76-121
      return (self.__withShape_1__3I(numpy.array([_0_dim0,_1_dim1,_2_dim2], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:1762:78-119
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1762:76-121
    @staticmethod
    def _match_withShape_II(*args):
      if len(args) != 2: return False
      _0_dim0,_1_dim1, = args
      return (    __arg_match_I__(_0_dim0)
              and __arg_match_I__(_1_dim1))
    @staticmethod
    def _match_alt_withShape_II(*args):
      if len(args) != 2: return False
      _0_dim0,_1_dim1, = args
      return (    __arg_alt_match_I__(_0_dim0)
              and __arg_alt_match_I__(_1_dim1))
    def _withShape_alt_II(self,_t__0_dim0,_t__1_dim1):
      return self._withShape_II(numpy.int32(__0_dim0),numpy.int32(__1_dim1))
    def _withShape_II(self,_0_dim0,_1_dim1):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1761:65-105
      return (self.__withShape_1__3I(numpy.array([_0_dim0,_1_dim1], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:1761:67-103
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1761:65-105
    @staticmethod
    def _match_withShape_I(*args):
      if len(args) != 1: return False
      _0_dim0, = args
      return (    __arg_match_I__(_0_dim0))
    @staticmethod
    def _match_alt_withShape_I(*args):
      if len(args) != 1: return False
      _0_dim0, = args
      return (    __arg_alt_match_I__(_0_dim0))
    def _withShape_alt_I(self,_t__0_dim0):
      return self._withShape_I(numpy.int32(__0_dim0))
    def _withShape_I(self,_0_dim0):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1760:54-89
      return (self.__withShape_1__3I(numpy.array([_0_dim0], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:1760:56-87
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1760:54-89
    @staticmethod
    def _match_withShape__3I(*args):
      if len(args) != 1: return False
      _0_shp, = args
      return (    __arg_match__3I__(_0_shp))
    @staticmethod
    def _match_alt_withShape__3I(*args):
      if len(args) != 1: return False
      _0_shp, = args
      return (    __arg_alt_match__3I__(_0_shp))
    def _withShape_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self._withShape__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _withShape__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1759:54-104
      return (self.__withShape_1__3I(mosek.fusion.Utils.Tools._arraycopy__3I(_0_shp))) # bld/herlev/final/default/src/fusion/domain.mbi:1759:56-102
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1759:54-104
    def __withShape_1_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self.__withShape_1__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __withShape_1__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1758:56-85
      self._shape = _0_shp # bld/herlev/final/default/src/fusion/domain.mbi:1758:58-70
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1758:71-83
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1758:56-85
    @staticmethod
    def _match_withNamesOnAxis__3SI(*args):
      if len(args) != 2: return False
      _0_names,_1_axis, = args
      return (    __arg_match__3S__(_0_names)
              and __arg_match_I__(_1_axis))
    @staticmethod
    def _match_alt_withNamesOnAxis__3SI(*args):
      if len(args) != 2: return False
      _0_names,_1_axis, = args
      return (    __arg_alt_match__3S__(_0_names)
              and __arg_alt_match_I__(_1_axis))
    def _withNamesOnAxis_alt__3SI(self,_t__0_names,_t__1_axis):
      _0_names=numpy.array(_t__0_names,dtype=numpy.dtype(object))
      _1_axis=numpy.int32(_t__1_axis)
      _1 = self._withNamesOnAxis__3SI(_0_names,_1_axis)
      try:
        _t__0_names[:] = _0_names
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _withNamesOnAxis__3SI(self,_0_names,_1_axis):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1738:76-1751:7
      if (_0_names is None): # bld/herlev/final/default/src/fusion/domain.mbi:1739:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1739:27-1742:9
        self._indexnames = numpy.zeros(((_1_axis + 1),), dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/domain.mbi:1740:10-35
        self._indexnames[_1_axis] = numpy.array([_0_names[_2_i] for _2_i in range(0,int((_0_names).shape[0]))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/domain.mbi:1741:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1739:27-1742:9
      if (int((self._indexnames).shape[0]) < (_1_axis + 1)): # bld/herlev/final/default/src/fusion/domain.mbi:1744:12-36
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1744:38-1748:9
        _3_ixnames=numpy.ndarray((_1_axis,), dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/domain.mbi:1745:14-21
        for _4_i in range(0,int((self._indexnames).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1746:10-70
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1746:43-70
          _3_ixnames[_4_i] = self._indexnames[_4_i] # bld/herlev/final/default/src/fusion/domain.mbi:1746:43-70
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1746:43-70
        self._indexnames = _3_ixnames # bld/herlev/final/default/src/fusion/domain.mbi:1747:10-31
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1744:38-1748:9
      self._indexnames[_1_axis] = numpy.array([_0_names[_5_i] for _5_i in range(0,int((_0_names).shape[0]))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/domain.mbi:1749:8-67
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1750:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1738:76-1751:7
    def __finalize_1and_1validate_1inplace_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self.__finalize_1and_1validate_1inplace__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __finalize_1and_1validate_1inplace__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1663:64-1697:7
      self._domsize = 1 # bld/herlev/final/default/src/fusion/domain.mbi:1664:8-20
      if (self._shape is None): # bld/herlev/final/default/src/fusion/domain.mbi:1665:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1665:27-1670:9
        if (_0_shp is not None): # bld/herlev/final/default/src/fusion/domain.mbi:1666:14-25
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1667:12-24
          self._shape = _0_shp # bld/herlev/final/default/src/fusion/domain.mbi:1667:12-24
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1667:12-24
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1669:12-61
          raise mosek_fusion_DimensionError._ctor_S("Missing domain shape") # bld/herlev/final/default/src/fusion/domain.mbi:1669:12-61
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1669:12-61
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1665:27-1670:9
      elif (_0_shp is not None): # bld/herlev/final/default/src/fusion/domain.mbi:1671:16-27
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1671:29-1677:9
        if (int((_0_shp).shape[0])!=int((self._shape).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1672:14-36
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1673:12-70
          raise mosek_fusion_DimensionError._ctor_S("Conflicting shape definitions") # bld/herlev/final/default/src/fusion/domain.mbi:1673:12-70
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1673:12-70
        for _1_i in range(0,int((_0_shp).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1674:10-1676:72
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1675:12-1676:72
          if (_0_shp[_1_i]!=self._shape[_1_i]): # bld/herlev/final/default/src/fusion/domain.mbi:1675:16-34
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1676:14-72
            raise mosek_fusion_DimensionError._ctor_S("Conflicting shape definitions") # bld/herlev/final/default/src/fusion/domain.mbi:1676:14-72
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1676:14-72
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1675:12-1676:72
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1671:29-1677:9
      self._domsize = fragments._c_closure_270(self._domsize,self._shape) # bld/herlev/final/default/src/fusion/domain.mbi:1678:8-56
      self._domsize = numpy.int64(self._domsize) # postprocess
      if (self._indexnames is not None): # bld/herlev/final/default/src/fusion/domain.mbi:1680:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1680:32-1686:9
        if (int((self._indexnames).shape[0])!=int((self._shape).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1681:14-43
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1682:12-71
          raise mosek_fusion_DimensionError._ctor_S("Index names do not match shape") # bld/herlev/final/default/src/fusion/domain.mbi:1682:12-71
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1682:12-71
        for _2_i in range(0,int((self._shape).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1683:10-1685:73
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1684:12-1685:73
          if ((self._indexnames[_2_i] is not None) and (int((self._indexnames[_2_i]).shape[0])!=self._shape[_2_i])): # bld/herlev/final/default/src/fusion/domain.mbi:1684:16-72
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1685:14-73
            raise mosek_fusion_DimensionError._ctor_S("Index names do not match shape") # bld/herlev/final/default/src/fusion/domain.mbi:1685:14-73
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1685:14-73
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1684:12-1685:73
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1680:32-1686:9
      if (not self._axisset): # bld/herlev/final/default/src/fusion/domain.mbi:1688:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1688:25-1691:9
        self._axisset = True # bld/herlev/final/default/src/fusion/domain.mbi:1689:10-25
        self._axisidx = (int((self._shape).shape[0]) - 1) # bld/herlev/final/default/src/fusion/domain.mbi:1690:10-33
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1688:25-1691:9
      elif ((self._axisidx < 0) or (self._axisidx >= int((self._shape).shape[0]))): # bld/herlev/final/default/src/fusion/domain.mbi:1692:16-52
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1693:10-59
        raise mosek_fusion_DimensionError._ctor_S("Cone axis is invalid") # bld/herlev/final/default/src/fusion/domain.mbi:1693:10-59
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1693:10-59
      if ((self._domofs is not None) and (int((self._domofs).shape[0])!=self._domsize)): # bld/herlev/final/default/src/fusion/domain.mbi:1695:12-53
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1696:10-73
        raise mosek_fusion_DimensionError._ctor_S("Domain offset does not match shape") # bld/herlev/final/default/src/fusion/domain.mbi:1696:10-73
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1696:10-73
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1663:64-1697:7
    def _finalize_1and_1validate_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self._finalize_1and_1validate__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _finalize_1and_1validate__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1658:69-1662:7
      _1_res=mosek_fusion_ConeDomain._ctor_Lmosek_4fusion_4ConeDomain_2(self) # bld/herlev/final/default/src/fusion/domain.mbi:1659:12-15
      _1_res.__finalize_1and_1validate_1inplace__3I(_0_shp) # bld/herlev/final/default/src/fusion/domain.mbi:1660:8-47
      return (_1_res) # bld/herlev/final/default/src/fusion/domain.mbi:1661:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1658:69-1662:7
  return ConeDomain
mosek_fusion_ConeDomain=__mk_mosek_fusion_ConeDomain()
del __mk_mosek_fusion_ConeDomain

# origin: bld/herlev/final/default/src/fusion/domain.mbi:1429:4-1585:5
#BEFORE CLASS
def __mk_mosek_fusion_PSDDomain():
  class PSDDomain(object):
    __slots__ = ['_indexnames','_axisIsSet','_conedim2','_conedim1','_key','_shape']
    def axis(self,*args):
      if False: pass
      elif mosek_fusion_PSDDomain._match_axis_II(*args): # int32,int32
        return self._axis_II(*args)
      elif mosek_fusion_PSDDomain._match_alt_axis_II(*args): # int32,int32
        return self._axis_alt_II(*args)
      else:
        raise ValueError('Invalid argument list axis('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.PSDDomain.axis(int32,int32)')

    def withNamesOnAxis(self,*args):
      if False: pass
      elif mosek_fusion_PSDDomain._match_withNamesOnAxis__3SI(*args): # []string,int32
        return self._withNamesOnAxis__3SI(*args)
      elif mosek_fusion_PSDDomain._match_alt_withNamesOnAxis__3SI(*args): # []string,int32
        return self._withNamesOnAxis_alt__3SI(*args)
      else:
        raise ValueError('Invalid argument list withNamesOnAxis('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.PSDDomain.withNamesOnAxis(array(string,ndim=1),int32)')

    def __repr__(self): return 'mosek.fusion.PSDDomain'
    @staticmethod
    def _ctor_Emosek_4fusion_4PSDKey_2_3III(k,shp,conedim1,conedim2):
      o = PSDDomain.__new__(PSDDomain)
      o._ctor_init_Emosek_4fusion_4PSDKey_2_3III(k,shp,conedim1,conedim2)
      return o

    @staticmethod
    def __match_ctor_Emosek_4fusion_4PSDKey_2_3III(*args):
      if len(args) != 4: return False
      k,shp,conedim1,conedim2, = args
      return (    __arg_match_Emosek_4fusion_4PSDKey_2__(k)
              and __arg_match__3I__(shp)
              and __arg_match_I__(conedim1)
              and __arg_match_I__(conedim2))
    @staticmethod
    def __match_alt_ctor_Emosek_4fusion_4PSDKey_2_3III(*args):
      if len(args) != 4: return False
      k,shp,conedim1,conedim2, = args
      return (    __arg_alt_match_Emosek_4fusion_4PSDKey_2__(k)
              and __arg_alt_match__3I__(shp)
              and __arg_alt_match_I__(conedim1)
              and __arg_alt_match_I__(conedim2))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:1502:6-1519:7
    def _ctor_alt_init_Emosek_4fusion_4PSDKey_2_3III(self,k,shp,conedim1,conedim2):
      self._ctor_init_Emosek_4fusion_4PSDKey_2_3III(k,numpy.array(shp,dtype=numpy.dtype(numpy.int32)),numpy.int32(conedim1),numpy.int32(conedim2))
    def _ctor_init_Emosek_4fusion_4PSDKey_2_3III(self,k,shp,conedim1,conedim2):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1503:6-1519:7
      self._axisIsSet = True # bld/herlev/final/default/src/fusion/domain.mbi:1504:8-25
      self._shape = shp # bld/herlev/final/default/src/fusion/domain.mbi:1505:8-23
      self._key = k # bld/herlev/final/default/src/fusion/domain.mbi:1506:8-21
      (self._conedim1) = conedim1 # bld/herlev/final/default/src/fusion/domain.mbi:1507:8-33
      (self._conedim2) = conedim2 # bld/herlev/final/default/src/fusion/domain.mbi:1508:8-33
      self._indexnames = None # bld/herlev/final/default/src/fusion/domain.mbi:1509:8-26
      _0_nd=int((self._shape).shape[0]) # bld/herlev/final/default/src/fusion/domain.mbi:1510:12-14
      if ((not ((int((self._shape).shape[0]) > conedim1) and ((int((self._shape).shape[0]) > conedim2) and ((conedim1 >= 0) and ((conedim2 >= 0) and (conedim1!=conedim2)))))) and (self._shape[conedim1]==self._shape[conedim2])): # bld/herlev/final/default/src/fusion/domain.mbi:1512:13-1517:47
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1518:11-76
        raise mosek_fusion_DimensionError._ctor_S("Mismatching shape or cone dimensions") # bld/herlev/final/default/src/fusion/domain.mbi:1518:11-76
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1518:11-76
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1503:6-1519:7
    @staticmethod
    def _ctor_Emosek_4fusion_4PSDKey_2_3I(k,shp):
      o = PSDDomain.__new__(PSDDomain)
      o._ctor_init_Emosek_4fusion_4PSDKey_2_3I(k,shp)
      return o

    @staticmethod
    def __match_ctor_Emosek_4fusion_4PSDKey_2_3I(*args):
      if len(args) != 2: return False
      k,shp, = args
      return (    __arg_match_Emosek_4fusion_4PSDKey_2__(k)
              and __arg_match__3I__(shp))
    @staticmethod
    def __match_alt_ctor_Emosek_4fusion_4PSDKey_2_3I(*args):
      if len(args) != 2: return False
      k,shp, = args
      return (    __arg_alt_match_Emosek_4fusion_4PSDKey_2__(k)
              and __arg_alt_match__3I__(shp))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:1498:6-1500:7
    def _ctor_alt_init_Emosek_4fusion_4PSDKey_2_3I(self,k,shp):
      self._ctor_init_Emosek_4fusion_4PSDKey_2_3I(k,numpy.array(shp,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_Emosek_4fusion_4PSDKey_2_3I(self,k,shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1498:51-1500:7
      mosek_fusion_PSDDomain._ctor_init_Emosek_4fusion_4PSDKey_2_3III(self,k,shp,(int((shp).shape[0]) - 2),(int((shp).shape[0]) - 1))# ctor @ bld/herlev/final/default/src/fusion/domain.mbi:1499:8-42
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1498:51-1500:7
    @staticmethod
    def _ctor_Emosek_4fusion_4PSDKey_2(k):
      o = PSDDomain.__new__(PSDDomain)
      o._ctor_init_Emosek_4fusion_4PSDKey_2(k)
      return o

    @staticmethod
    def __match_ctor_Emosek_4fusion_4PSDKey_2(*args):
      if len(args) != 1: return False
      k, = args
      return (    __arg_match_Emosek_4fusion_4PSDKey_2__(k))
    @staticmethod
    def __match_alt_ctor_Emosek_4fusion_4PSDKey_2(*args):
      if len(args) != 1: return False
      k, = args
      return (    __arg_alt_match_Emosek_4fusion_4PSDKey_2__(k))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:1490:6-1497:7
    def _ctor_alt_init_Emosek_4fusion_4PSDKey_2(self,k):
      self._ctor_init_Emosek_4fusion_4PSDKey_2(k)
    def _ctor_init_Emosek_4fusion_4PSDKey_2(self,k):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1490:39-1497:7
      self._shape = None # bld/herlev/final/default/src/fusion/domain.mbi:1491:8-21
      self._key = k # bld/herlev/final/default/src/fusion/domain.mbi:1492:8-16
      self._conedim1 = 0 # bld/herlev/final/default/src/fusion/domain.mbi:1493:8-21
      self._conedim2 = 0 # bld/herlev/final/default/src/fusion/domain.mbi:1494:8-21
      self._axisIsSet = False # bld/herlev/final/default/src/fusion/domain.mbi:1495:8-26
      self._indexnames = None # bld/herlev/final/default/src/fusion/domain.mbi:1496:8-26
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1490:39-1497:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4PSDDomain_2(other):
      o = PSDDomain.__new__(PSDDomain)
      o._ctor_init_Lmosek_4fusion_4PSDDomain_2(other)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_match_Lmosek_4fusion_4PSDDomain_2__(other))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4PSDDomain_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_alt_match_Lmosek_4fusion_4PSDDomain_2__(other))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:1437:6-1444:7
    def _ctor_alt_init_Lmosek_4fusion_4PSDDomain_2(self,other):
      self._ctor_init_Lmosek_4fusion_4PSDDomain_2(other)
    def _ctor_init_Lmosek_4fusion_4PSDDomain_2(self,other):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1437:44-1444:7
      self._shape = (other._shape) # bld/herlev/final/default/src/fusion/domain.mbi:1438:8-28
      self._key = (other._key) # bld/herlev/final/default/src/fusion/domain.mbi:1439:8-24
      self._conedim1 = (other._conedim1) # bld/herlev/final/default/src/fusion/domain.mbi:1440:8-34
      self._conedim2 = (other._conedim2) # bld/herlev/final/default/src/fusion/domain.mbi:1441:8-34
      self._axisIsSet = (other._axisIsSet) # bld/herlev/final/default/src/fusion/domain.mbi:1442:8-36
      self._indexnames = (other._indexnames) # bld/herlev/final/default/src/fusion/domain.mbi:1443:8-38
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1437:44-1444:7
    @staticmethod
    def _match_axis_II(*args):
      if len(args) != 2: return False
      _0_conedim1,_1_conedim2, = args
      return (    __arg_match_I__(_0_conedim1)
              and __arg_match_I__(_1_conedim2))
    @staticmethod
    def _match_alt_axis_II(*args):
      if len(args) != 2: return False
      _0_conedim1,_1_conedim2, = args
      return (    __arg_alt_match_I__(_0_conedim1)
              and __arg_alt_match_I__(_1_conedim2))
    def _axis_alt_II(self,_t__0_conedim1,_t__1_conedim2):
      return self._axis_II(numpy.int32(__0_conedim1),numpy.int32(__1_conedim2))
    def _axis_II(self,_0_conedim1,_1_conedim2):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1547:71-1566:7
      (self._conedim1) = _0_conedim1 # bld/herlev/final/default/src/fusion/domain.mbi:1548:8-33
      (self._conedim2) = _1_conedim2 # bld/herlev/final/default/src/fusion/domain.mbi:1549:8-33
      self._axisIsSet = True # bld/herlev/final/default/src/fusion/domain.mbi:1550:8-25
      if ((self._shape is None) and (not ((_0_conedim1 >= 0) and ((_1_conedim2 >= 0) and (_0_conedim1!=_1_conedim2))))): # bld/herlev/final/default/src/fusion/domain.mbi:1551:17-1554:43
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1555:10-75
        raise mosek_fusion_DimensionError._ctor_S("Mismatching shape or cone dimensions") # bld/herlev/final/default/src/fusion/domain.mbi:1555:10-75
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1555:10-75
      elif ((self._shape is not None) and ((not ((int((self._shape).shape[0]) > _0_conedim1) and ((int((self._shape).shape[0]) > _1_conedim2) and ((_0_conedim1 >= 0) and ((_1_conedim2 >= 0) and (_0_conedim1!=_1_conedim2)))))) and (self._shape[_0_conedim1]==self._shape[_1_conedim2]))): # bld/herlev/final/default/src/fusion/domain.mbi:1556:17-1562:51
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1563:8-73
        raise mosek_fusion_DimensionError._ctor_S("Mismatching shape or cone dimensions") # bld/herlev/final/default/src/fusion/domain.mbi:1563:8-73
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1563:8-73
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1565:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1547:71-1566:7
    @staticmethod
    def _match_withNamesOnAxis__3SI(*args):
      if len(args) != 2: return False
      _0_names,_1_axis, = args
      return (    __arg_match__3S__(_0_names)
              and __arg_match_I__(_1_axis))
    @staticmethod
    def _match_alt_withNamesOnAxis__3SI(*args):
      if len(args) != 2: return False
      _0_names,_1_axis, = args
      return (    __arg_alt_match__3S__(_0_names)
              and __arg_alt_match_I__(_1_axis))
    def _withNamesOnAxis_alt__3SI(self,_t__0_names,_t__1_axis):
      _0_names=numpy.array(_t__0_names,dtype=numpy.dtype(object))
      _1_axis=numpy.int32(_t__1_axis)
      _1 = self._withNamesOnAxis__3SI(_0_names,_1_axis)
      try:
        _t__0_names[:] = _0_names
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _withNamesOnAxis__3SI(self,_0_names,_1_axis):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1523:75-1536:7
      if (self._indexnames is None): # bld/herlev/final/default/src/fusion/domain.mbi:1524:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1524:32-1527:9
        self._indexnames = _monty.initJaggedArray([None for _2_i in range(0,(_1_axis + 1))], 1) # bld/herlev/final/default/src/fusion/domain.mbi:1525:10-63
        self._indexnames[_1_axis] = numpy.array([_0_names[_3_i] for _3_i in range(0,int((_0_names).shape[0]))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/domain.mbi:1526:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1524:32-1527:9
      if (int((self._indexnames).shape[0]) < (_1_axis + 1)): # bld/herlev/final/default/src/fusion/domain.mbi:1529:12-36
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1529:38-1533:9
        _4_ixnames=_monty.initJaggedArray([None for _5_i in range(0,(_1_axis + 1))], 1) # bld/herlev/final/default/src/fusion/domain.mbi:1530:14-21
        for _6_i in range(0,int((self._indexnames).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1531:10-70
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1531:43-70
          _4_ixnames[_6_i] = self._indexnames[_6_i] # bld/herlev/final/default/src/fusion/domain.mbi:1531:43-70
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1531:43-70
        self._indexnames = _4_ixnames # bld/herlev/final/default/src/fusion/domain.mbi:1532:10-31
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1529:38-1533:9
      self._indexnames[_1_axis] = numpy.array([_0_names[_7_i] for _7_i in range(0,int((_0_names).shape[0]))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/domain.mbi:1534:8-67
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1535:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1523:75-1536:7
    def __finalize_1and_1validate_1inplace_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self.__finalize_1and_1validate_1inplace__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __finalize_1and_1validate_1inplace__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1451:64-1487:7
      if (_0_shp is not None): # bld/herlev/final/default/src/fusion/domain.mbi:1452:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1452:25-1462:9
        if (self._shape is None): # bld/herlev/final/default/src/fusion/domain.mbi:1453:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1454:12-24
          self._shape = _0_shp # bld/herlev/final/default/src/fusion/domain.mbi:1454:12-24
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1454:12-24
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1455:15-1461:11
          if (int((_0_shp).shape[0])!=int((self._shape).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1456:16-38
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1457:14-72
            raise mosek_fusion_DimensionError._ctor_S("Conflicting shape definitions") # bld/herlev/final/default/src/fusion/domain.mbi:1457:14-72
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1457:14-72
          for _1_i in range(0,int((_0_shp).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1458:12-1460:74
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1459:14-1460:74
            if (_0_shp[_1_i]!=self._shape[_1_i]): # bld/herlev/final/default/src/fusion/domain.mbi:1459:18-36
              # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1460:16-74
              raise mosek_fusion_DimensionError._ctor_S("Conflicting shape definitions") # bld/herlev/final/default/src/fusion/domain.mbi:1460:16-74
              # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1460:16-74
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1459:14-1460:74
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1455:15-1461:11
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1452:25-1462:9
      if (int((self._shape).shape[0]) < 2): # bld/herlev/final/default/src/fusion/domain.mbi:1463:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1464:10-101
        raise mosek_fusion_DimensionError._ctor_S("Positive semidefinite domain must have at least two dimensions") # bld/herlev/final/default/src/fusion/domain.mbi:1464:10-101
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1464:10-101
      if (not self._axisIsSet): # bld/herlev/final/default/src/fusion/domain.mbi:1466:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1466:27-1469:9
        self._conedim1 = (int((self._shape).shape[0]) - 2) # bld/herlev/final/default/src/fusion/domain.mbi:1467:10-34
        self._conedim2 = (int((self._shape).shape[0]) - 1) # bld/herlev/final/default/src/fusion/domain.mbi:1468:10-34
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1466:27-1469:9
      if ((self._conedim1 < 0) or ((self._conedim1 >= int((self._shape).shape[0])) or ((self._conedim2 < 0) or ((self._conedim2 >= int((self._shape).shape[0])) or (self._conedim1==self._conedim2))))): # bld/herlev/final/default/src/fusion/domain.mbi:1471:12-1473:32
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1474:10-75
        raise mosek_fusion_DimensionError._ctor_S("Invalid cone dimension specification") # bld/herlev/final/default/src/fusion/domain.mbi:1474:10-75
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1474:10-75
      if (self._shape[self._conedim1]!=self._shape[self._conedim2]): # bld/herlev/final/default/src/fusion/domain.mbi:1476:12-46
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1477:10-74
        raise mosek_fusion_DimensionError._ctor_S("Cone dimensions must have same size") # bld/herlev/final/default/src/fusion/domain.mbi:1477:10-74
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1477:10-74
      if (self._indexnames is not None): # bld/herlev/final/default/src/fusion/domain.mbi:1479:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1479:32-1486:9
        if (int((self._indexnames).shape[0])!=int((self._shape).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1480:14-43
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1481:12-82
          raise mosek_fusion_DimensionError._ctor_S("Index names do not match the domain shape") # bld/herlev/final/default/src/fusion/domain.mbi:1481:12-82
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1481:12-82
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1483:12-1485:86
          for _2_i in range(0,int((self._shape).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1483:12-1485:86
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1484:14-1485:86
            if ((self._indexnames[_2_i] is not None) and (int((self._indexnames[_2_i]).shape[0])!=self._shape[_2_i])): # bld/herlev/final/default/src/fusion/domain.mbi:1484:18-74
              # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1485:16-86
              raise mosek_fusion_DimensionError._ctor_S("Index names do not match the domain shape") # bld/herlev/final/default/src/fusion/domain.mbi:1485:16-86
              # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1485:16-86
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1484:14-1485:86
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1483:12-1485:86
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1479:32-1486:9
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1451:64-1487:7
    def _finalize_1and_1validate_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self._finalize_1and_1validate__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _finalize_1and_1validate__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1446:68-1450:7
      _1_res=mosek_fusion_PSDDomain._ctor_Lmosek_4fusion_4PSDDomain_2(self) # bld/herlev/final/default/src/fusion/domain.mbi:1447:12-15
      _1_res.__finalize_1and_1validate_1inplace__3I(_0_shp) # bld/herlev/final/default/src/fusion/domain.mbi:1448:8-47
      return (_1_res) # bld/herlev/final/default/src/fusion/domain.mbi:1449:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1446:68-1450:7
  return PSDDomain
mosek_fusion_PSDDomain=__mk_mosek_fusion_PSDDomain()
del __mk_mosek_fusion_PSDDomain

# origin: bld/herlev/final/default/src/fusion/domain.mbi:1120:4-1376:5
#BEFORE CLASS
def __mk_mosek_fusion_RangeDomain():
  class RangeDomain(object):
    __slots__ = ['_domsize','_nelements','_indexnames','_cardinal_flag','_scalable','_ub','_lb','_sparsity','_empty','_shape']
    def symmetric(self,*args):
      if False: pass
      elif mosek_fusion_RangeDomain._match_symmetric_(*args): # 
        return self._symmetric_(*args)
      elif mosek_fusion_RangeDomain._match_alt_symmetric_(*args): # 
        return self._symmetric_alt_(*args)
      else:
        raise ValueError('Invalid argument list symmetric('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RangeDomain.symmetric()')

    def withShape(self,*args):
      if False: pass
      elif mosek_fusion_RangeDomain._match_withShape__3I(*args): # []int32
        return self._withShape__3I(*args)
      elif mosek_fusion_RangeDomain._match_alt_withShape__3I(*args): # []int32
        return self._withShape_alt__3I(*args)
      elif mosek_fusion_RangeDomain._match_withShape_I(*args): # int32
        return self._withShape_I(*args)
      elif mosek_fusion_RangeDomain._match_alt_withShape_I(*args): # int32
        return self._withShape_alt_I(*args)
      elif mosek_fusion_RangeDomain._match_withShape_II(*args): # int32,int32
        return self._withShape_II(*args)
      elif mosek_fusion_RangeDomain._match_alt_withShape_II(*args): # int32,int32
        return self._withShape_alt_II(*args)
      elif mosek_fusion_RangeDomain._match_withShape_III(*args): # int32,int32,int32
        return self._withShape_III(*args)
      elif mosek_fusion_RangeDomain._match_alt_withShape_III(*args): # int32,int32,int32
        return self._withShape_alt_III(*args)
      else:
        raise ValueError('Invalid argument list withShape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RangeDomain.withShape(array(int32,ndim=1))\n\tmosek.fusion.RangeDomain.withShape(int32)\n\tmosek.fusion.RangeDomain.withShape(int32,int32)\n\tmosek.fusion.RangeDomain.withShape(int32,int32,int32)')

    def integral(self,*args):
      if False: pass
      elif mosek_fusion_RangeDomain._match_integral_(*args): # 
        return self._integral_(*args)
      elif mosek_fusion_RangeDomain._match_alt_integral_(*args): # 
        return self._integral_alt_(*args)
      else:
        raise ValueError('Invalid argument list integral('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RangeDomain.integral()')

    def sparse(self,*args):
      if False: pass
      elif mosek_fusion_RangeDomain._match_sparse_(*args): # 
        return self._sparse_(*args)
      elif mosek_fusion_RangeDomain._match_alt_sparse_(*args): # 
        return self._sparse_alt_(*args)
      elif mosek_fusion_RangeDomain._match_sparse__3I(*args): # []int32
        return self._sparse__3I(*args)
      elif mosek_fusion_RangeDomain._match_alt_sparse__3I(*args): # []int32
        return self._sparse_alt__3I(*args)
      elif mosek_fusion_RangeDomain._match_sparse__3_5I(*args): # [,]int32
        return self._sparse__3_5I(*args)
      elif mosek_fusion_RangeDomain._match_alt_sparse__3_5I(*args): # [,]int32
        return self._sparse_alt__3_5I(*args)
      else:
        raise ValueError('Invalid argument list sparse('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RangeDomain.sparse()\n\tmosek.fusion.RangeDomain.sparse(array(int32,ndim=1))\n\tmosek.fusion.RangeDomain.sparse(array(int32,ndim=2))')

    def withNamesOnAxis(self,*args):
      if False: pass
      elif mosek_fusion_RangeDomain._match_withNamesOnAxis__3SI(*args): # []string,int32
        return self._withNamesOnAxis__3SI(*args)
      elif mosek_fusion_RangeDomain._match_alt_withNamesOnAxis__3SI(*args): # []string,int32
        return self._withNamesOnAxis_alt__3SI(*args)
      else:
        raise ValueError('Invalid argument list withNamesOnAxis('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.RangeDomain.withNamesOnAxis(array(string,ndim=1),int32)')

    def __repr__(self): return 'mosek.fusion.RangeDomain'
    @staticmethod
    def _ctor_Z_3D_3D_3I(scalable,lb,ub,dims):
      o = RangeDomain.__new__(RangeDomain)
      o._ctor_init_Z_3D_3D_3I(scalable,lb,ub,dims)
      return o

    @staticmethod
    def __match_ctor_Z_3D_3D_3I(*args):
      if len(args) != 4: return False
      scalable,lb,ub,dims, = args
      return (    __arg_match_Z__(scalable)
              and __arg_match__3D__(lb)
              and __arg_match__3D__(ub)
              and __arg_match__3I__(dims))
    @staticmethod
    def __match_alt_ctor_Z_3D_3D_3I(*args):
      if len(args) != 4: return False
      scalable,lb,ub,dims, = args
      return (    __arg_alt_match_Z__(scalable)
              and __arg_alt_match__3D__(lb)
              and __arg_alt_match__3D__(ub)
              and __arg_alt_match__3I__(dims))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:1268:6-1275:7
    def _ctor_alt_init_Z_3D_3D_3I(self,scalable,lb,ub,dims):
      self._ctor_init_Z_3D_3D_3I(scalable,numpy.array(lb,dtype=numpy.dtype(numpy.float64)),numpy.array(ub,dtype=numpy.dtype(numpy.float64)),numpy.array(dims,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_Z_3D_3D_3I(self,scalable,lb,ub,dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1273:6-1275:7
      mosek_fusion_RangeDomain._ctor_init_Z_3D_3D_3I_3_5II(self,scalable,lb,ub,dims,None,1)# ctor @ bld/herlev/final/default/src/fusion/domain.mbi:1274:8-41
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1273:6-1275:7
    @staticmethod
    def _ctor_Z_3D_3D_3I_3_5I(scalable,lb,ub,dims,sp):
      o = RangeDomain.__new__(RangeDomain)
      o._ctor_init_Z_3D_3D_3I_3_5I(scalable,lb,ub,dims,sp)
      return o

    @staticmethod
    def __match_ctor_Z_3D_3D_3I_3_5I(*args):
      if len(args) != 5: return False
      scalable,lb,ub,dims,sp, = args
      return (    __arg_match_Z__(scalable)
              and __arg_match__3D__(lb)
              and __arg_match__3D__(ub)
              and __arg_match__3I__(dims)
              and __arg_match__3_5I__(sp))
    @staticmethod
    def __match_alt_ctor_Z_3D_3D_3I_3_5I(*args):
      if len(args) != 5: return False
      scalable,lb,ub,dims,sp, = args
      return (    __arg_alt_match_Z__(scalable)
              and __arg_alt_match__3D__(lb)
              and __arg_alt_match__3D__(ub)
              and __arg_alt_match__3I__(dims)
              and __arg_alt_match__3_5I__(sp))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:1258:6-1266:7
    def _ctor_alt_init_Z_3D_3D_3I_3_5I(self,scalable,lb,ub,dims,sp):
      self._ctor_init_Z_3D_3D_3I_3_5I(scalable,numpy.array(lb,dtype=numpy.dtype(numpy.float64)),numpy.array(ub,dtype=numpy.dtype(numpy.float64)),numpy.array(dims,dtype=numpy.dtype(numpy.int32)),numpy.array(sp,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_Z_3D_3D_3I_3_5I(self,scalable,lb,ub,dims,sp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1264:6-1266:7
      mosek_fusion_RangeDomain._ctor_init_Z_3D_3D_3I_3_5II(self,scalable,lb,ub,dims,sp,1)# ctor @ bld/herlev/final/default/src/fusion/domain.mbi:1265:8-39
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1264:6-1266:7
    @staticmethod
    def _ctor_Z_3D_3D_3I_3_5II(scalable,lb,ub,dims,sp,steal):
      o = RangeDomain.__new__(RangeDomain)
      o._ctor_init_Z_3D_3D_3I_3_5II(scalable,lb,ub,dims,sp,steal)
      return o

    @staticmethod
    def __match_ctor_Z_3D_3D_3I_3_5II(*args):
      if len(args) != 6: return False
      scalable,lb,ub,dims,sp,steal, = args
      return (    __arg_match_Z__(scalable)
              and __arg_match__3D__(lb)
              and __arg_match__3D__(ub)
              and __arg_match__3I__(dims)
              and __arg_match__3_5I__(sp)
              and __arg_match_I__(steal))
    @staticmethod
    def __match_alt_ctor_Z_3D_3D_3I_3_5II(*args):
      if len(args) != 6: return False
      scalable,lb,ub,dims,sp,steal, = args
      return (    __arg_alt_match_Z__(scalable)
              and __arg_alt_match__3D__(lb)
              and __arg_alt_match__3D__(ub)
              and __arg_alt_match__3I__(dims)
              and __arg_alt_match__3_5I__(sp)
              and __arg_alt_match_I__(steal))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:1237:6-1256:7
    def _ctor_alt_init_Z_3D_3D_3I_3_5II(self,scalable,lb,ub,dims,sp,steal):
      self._ctor_init_Z_3D_3D_3I_3_5II(scalable,numpy.array(lb,dtype=numpy.dtype(numpy.float64)),numpy.array(ub,dtype=numpy.dtype(numpy.float64)),numpy.array(dims,dtype=numpy.dtype(numpy.int32)),numpy.array(sp,dtype=numpy.dtype(numpy.int32)),numpy.int32(steal))
    def _ctor_init_Z_3D_3D_3I_3_5II(self,scalable,lb,ub,dims,sp,steal):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1244:6-1256:7
      self._cardinal_flag = False # bld/herlev/final/default/src/fusion/domain.mbi:1245:8-30
      self._shape = dims # bld/herlev/final/default/src/fusion/domain.mbi:1246:8-29
      self._sparsity = None # bld/herlev/final/default/src/fusion/domain.mbi:1247:8-29
      (self._scalable) = scalable # bld/herlev/final/default/src/fusion/domain.mbi:1248:8-33
      (self._ub) = ub # bld/herlev/final/default/src/fusion/domain.mbi:1249:8-27
      (self._lb) = lb # bld/herlev/final/default/src/fusion/domain.mbi:1250:8-27
      (self._sparsity) = sp # bld/herlev/final/default/src/fusion/domain.mbi:1251:8-27
      (self._empty) = False # bld/herlev/final/default/src/fusion/domain.mbi:1252:8-30
      (self._indexnames) = None # bld/herlev/final/default/src/fusion/domain.mbi:1253:8-31
      (self._domsize) = 0 # bld/herlev/final/default/src/fusion/domain.mbi:1254:8-26
      (self._nelements) = 0 # bld/herlev/final/default/src/fusion/domain.mbi:1255:8-27
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1244:6-1256:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4RangeDomain_2(other):
      o = RangeDomain.__new__(RangeDomain)
      o._ctor_init_Lmosek_4fusion_4RangeDomain_2(other)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_match_Lmosek_4fusion_4RangeDomain_2__(other))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(other))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:1222:6-1235:7
    def _ctor_alt_init_Lmosek_4fusion_4RangeDomain_2(self,other):
      self._ctor_init_Lmosek_4fusion_4RangeDomain_2(other)
    def _ctor_init_Lmosek_4fusion_4RangeDomain_2(self,other):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1224:6-1235:7
      self._cardinal_flag = (other._cardinal_flag) # bld/herlev/final/default/src/fusion/domain.mbi:1225:8-44
      self._sparsity = (other._sparsity) # bld/herlev/final/default/src/fusion/domain.mbi:1226:8-39
      self._scalable = (other._scalable) # bld/herlev/final/default/src/fusion/domain.mbi:1227:8-39
      self._shape = (other._shape) # bld/herlev/final/default/src/fusion/domain.mbi:1228:8-36
      self._ub = (other._ub) # bld/herlev/final/default/src/fusion/domain.mbi:1229:8-33
      self._lb = (other._lb) # bld/herlev/final/default/src/fusion/domain.mbi:1230:8-33
      self._domsize = (other._domsize) # bld/herlev/final/default/src/fusion/domain.mbi:1231:8-38
      self._nelements = (other._nelements) # bld/herlev/final/default/src/fusion/domain.mbi:1232:8-40
      self._empty = (other._empty) # bld/herlev/final/default/src/fusion/domain.mbi:1233:8-28
      self._indexnames = (_monty.initJaggedArray([(other._indexnames)[_0_i] for _0_i in range(0,int(((other._indexnames)).shape[0]))], 1) if (((other._indexnames) is not None) ) else None) # bld/herlev/final/default/src/fusion/domain.mbi:1234:8-123
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1224:6-1235:7
    @staticmethod
    def _match_symmetric_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_symmetric_(*args):
      if len(args) != 0: return False
      return True
    def _symmetric_alt_(self,):
      return self._symmetric_()
    def _symmetric_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1375:54-96
      return (mosek_fusion_SymmetricRangeDomain._ctor_Lmosek_4fusion_4RangeDomain_2(self)) # bld/herlev/final/default/src/fusion/domain.mbi:1375:56-94
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1375:54-96
    @staticmethod
    def _match_sparse__3_5I(*args):
      if len(args) != 1: return False
      _0_sparsity, = args
      return (    __arg_match__3_5I__(_0_sparsity))
    @staticmethod
    def _match_alt_sparse__3_5I(*args):
      if len(args) != 1: return False
      _0_sparsity, = args
      return (    __arg_alt_match__3_5I__(_0_sparsity))
    def _sparse_alt__3_5I(self,_t__0_sparsity):
      _0_sparsity=numpy.array(_t__0_sparsity,ndmin=_monty.checkShape(_t__0_sparsity,2),dtype=numpy.dtype(numpy.int32))
      _1 = self._sparse__3_5I(_0_sparsity)
      return _1
    def _sparse__3_5I(self,_0_sparsity):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1364:61-1371:7
      (self._sparsity) = numpy.zeros((int((_0_sparsity).shape[0]),int((_0_sparsity).shape[1]),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:1365:8-62
      _1_i=0 # bld/herlev/final/default/src/fusion/domain.mbi:1366:17-18
      while (_1_i < int((_0_sparsity).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1366:8-1368:47
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1367:10-1368:47
        _2_j=0 # bld/herlev/final/default/src/fusion/domain.mbi:1367:19-20
        while (_2_j < int((_0_sparsity).shape[1])): # bld/herlev/final/default/src/fusion/domain.mbi:1367:10-1368:47
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1368:12-47
          (self._sparsity)[_1_i,_2_j] = _0_sparsity[_1_i,_2_j] # bld/herlev/final/default/src/fusion/domain.mbi:1368:12-47
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1368:12-47
          _2_j += 1
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1367:10-1368:47
        _1_i += 1
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1370:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1364:61-1371:7
    @staticmethod
    def _match_sparse__3I(*args):
      if len(args) != 1: return False
      _0_sparsity, = args
      return (    __arg_match__3I__(_0_sparsity))
    @staticmethod
    def _match_alt_sparse__3I(*args):
      if len(args) != 1: return False
      _0_sparsity, = args
      return (    __arg_alt_match__3I__(_0_sparsity))
    def _sparse_alt__3I(self,_t__0_sparsity):
      _0_sparsity=numpy.array(_t__0_sparsity,dtype=numpy.dtype(numpy.int32))
      _1 = self._sparse__3I(_0_sparsity)
      try:
        _t__0_sparsity[:] = _0_sparsity
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _sparse__3I(self,_0_sparsity):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1350:60-1356:7
      (self._sparsity) = numpy.zeros((int((_0_sparsity).shape[0]),1,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:1351:8-45
      for _1_i in range(0,int((_0_sparsity).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1352:8-1353:43
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1353:10-43
        (self._sparsity)[_1_i,0] = _0_sparsity[_1_i] # bld/herlev/final/default/src/fusion/domain.mbi:1353:10-43
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1353:10-43
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1355:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1350:60-1356:7
    @staticmethod
    def _match_sparse_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_sparse_(*args):
      if len(args) != 0: return False
      return True
    def _sparse_alt_(self,):
      return self._sparse_()
    def _sparse_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1338:43-1343:7
      (self._empty) = True # bld/herlev/final/default/src/fusion/domain.mbi:1339:8-26
      (self._sparsity) = None # bld/herlev/final/default/src/fusion/domain.mbi:1340:8-29
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1342:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1338:43-1343:7
    @staticmethod
    def _match_integral_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_integral_(*args):
      if len(args) != 0: return False
      return True
    def _integral_alt_(self,):
      return self._integral_()
    def _integral_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1330:45-83
      self._cardinal_flag = True # bld/herlev/final/default/src/fusion/domain.mbi:1330:47-68
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1330:69-81
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1330:45-83
    @staticmethod
    def _match_withShape_III(*args):
      if len(args) != 3: return False
      _0_dim0,_1_dim1,_2_dim2, = args
      return (    __arg_match_I__(_0_dim0)
              and __arg_match_I__(_1_dim1)
              and __arg_match_I__(_2_dim2))
    @staticmethod
    def _match_alt_withShape_III(*args):
      if len(args) != 3: return False
      _0_dim0,_1_dim1,_2_dim2, = args
      return (    __arg_alt_match_I__(_0_dim0)
              and __arg_alt_match_I__(_1_dim1)
              and __arg_alt_match_I__(_2_dim2))
    def _withShape_alt_III(self,_t__0_dim0,_t__1_dim1,_t__2_dim2):
      return self._withShape_III(numpy.int32(__0_dim0),numpy.int32(__1_dim1),numpy.int32(__2_dim2))
    def _withShape_III(self,_0_dim0,_1_dim1,_2_dim2):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1317:77-124
      self._shape = numpy.array([_0_dim0,_1_dim1,_2_dim2], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:1317:79-109
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1317:110-122
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1317:77-124
    @staticmethod
    def _match_withShape_II(*args):
      if len(args) != 2: return False
      _0_dim0,_1_dim1, = args
      return (    __arg_match_I__(_0_dim0)
              and __arg_match_I__(_1_dim1))
    @staticmethod
    def _match_alt_withShape_II(*args):
      if len(args) != 2: return False
      _0_dim0,_1_dim1, = args
      return (    __arg_alt_match_I__(_0_dim0)
              and __arg_alt_match_I__(_1_dim1))
    def _withShape_alt_II(self,_t__0_dim0,_t__1_dim1):
      return self._withShape_II(numpy.int32(__0_dim0),numpy.int32(__1_dim1))
    def _withShape_II(self,_0_dim0,_1_dim1):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1316:66-108
      self._shape = numpy.array([_0_dim0,_1_dim1], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:1316:68-93
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1316:94-106
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1316:66-108
    @staticmethod
    def _match_withShape_I(*args):
      if len(args) != 1: return False
      _0_dim0, = args
      return (    __arg_match_I__(_0_dim0))
    @staticmethod
    def _match_alt_withShape_I(*args):
      if len(args) != 1: return False
      _0_dim0, = args
      return (    __arg_alt_match_I__(_0_dim0))
    def _withShape_alt_I(self,_t__0_dim0):
      return self._withShape_I(numpy.int32(__0_dim0))
    def _withShape_I(self,_0_dim0):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1315:55-92
      self._shape = numpy.array([_0_dim0], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:1315:57-77
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1315:78-90
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1315:55-92
    @staticmethod
    def _match_withShape__3I(*args):
      if len(args) != 1: return False
      _0_shp, = args
      return (    __arg_match__3I__(_0_shp))
    @staticmethod
    def _match_alt_withShape__3I(*args):
      if len(args) != 1: return False
      _0_shp, = args
      return (    __arg_alt_match__3I__(_0_shp))
    def _withShape_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self._withShape__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _withShape__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1314:55-83
      self._shape = _0_shp # bld/herlev/final/default/src/fusion/domain.mbi:1314:57-69
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1314:70-82
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1314:55-83
    @staticmethod
    def _match_withNamesOnAxis__3SI(*args):
      if len(args) != 2: return False
      _0_names,_1_axis, = args
      return (    __arg_match__3S__(_0_names)
              and __arg_match_I__(_1_axis))
    @staticmethod
    def _match_alt_withNamesOnAxis__3SI(*args):
      if len(args) != 2: return False
      _0_names,_1_axis, = args
      return (    __arg_alt_match__3S__(_0_names)
              and __arg_alt_match_I__(_1_axis))
    def _withNamesOnAxis_alt__3SI(self,_t__0_names,_t__1_axis):
      _0_names=numpy.array(_t__0_names,dtype=numpy.dtype(object))
      _1_axis=numpy.int32(_t__1_axis)
      _1 = self._withNamesOnAxis__3SI(_0_names,_1_axis)
      try:
        _t__0_names[:] = _0_names
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _withNamesOnAxis__3SI(self,_0_names,_1_axis):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1290:77-1303:7
      if (self._indexnames is None): # bld/herlev/final/default/src/fusion/domain.mbi:1291:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1291:32-1294:9
        self._indexnames = _monty.initJaggedArray([None for _2_i in range(0,(_1_axis + 1))], 1) # bld/herlev/final/default/src/fusion/domain.mbi:1292:10-63
        self._indexnames[_1_axis] = numpy.array([_0_names[_3_i] for _3_i in range(0,int((_0_names).shape[0]))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/domain.mbi:1293:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1291:32-1294:9
      if (int((self._indexnames).shape[0]) < (_1_axis + 1)): # bld/herlev/final/default/src/fusion/domain.mbi:1296:12-36
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1296:38-1300:9
        _4_ixnames=_monty.initJaggedArray([None for _5_i in range(0,(_1_axis + 1))], 1) # bld/herlev/final/default/src/fusion/domain.mbi:1297:14-21
        for _6_i in range(0,int((self._indexnames).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1298:10-70
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1298:43-70
          _4_ixnames[_6_i] = self._indexnames[_6_i] # bld/herlev/final/default/src/fusion/domain.mbi:1298:43-70
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1298:43-70
        self._indexnames = _4_ixnames # bld/herlev/final/default/src/fusion/domain.mbi:1299:10-31
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1296:38-1300:9
      self._indexnames[_1_axis] = numpy.array([_0_names[_7_i] for _7_i in range(0,int((_0_names).shape[0]))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/domain.mbi:1301:8-67
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1302:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1290:77-1303:7
    def _match_1shape_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self._match_1shape__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _match_1shape__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1278:6-1288:7
      if self._scalable: # bld/herlev/final/default/src/fusion/domain.mbi:1279:17-25
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1280:10-22
        return (True) # bld/herlev/final/default/src/fusion/domain.mbi:1280:10-22
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1280:10-22
      elif (int((self._shape).shape[0])!=int((_0_shp).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1281:17-39
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1282:10-23
        return (False) # bld/herlev/final/default/src/fusion/domain.mbi:1282:10-23
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1282:10-23
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1284:10-1286:27
        for _1_i in range(0,int((self._shape).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1284:10-1286:27
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1285:12-1286:27
          if (self._shape[_1_i]!=_0_shp[_1_i]): # bld/herlev/final/default/src/fusion/domain.mbi:1285:16-34
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1286:14-27
            return (False) # bld/herlev/final/default/src/fusion/domain.mbi:1286:14-27
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1286:14-27
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1285:12-1286:27
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1284:10-1286:27
      return (True) # bld/herlev/final/default/src/fusion/domain.mbi:1287:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1278:6-1288:7
    def __finalize_1and_1validate_1inplace_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self.__finalize_1and_1validate_1inplace__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __finalize_1and_1validate_1inplace__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1156:64-1220:7
      self._domsize = 1 # bld/herlev/final/default/src/fusion/domain.mbi:1157:8-20
      if self._scalable: # bld/herlev/final/default/src/fusion/domain.mbi:1158:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1158:22-1166:9
        if (_0_shp is not None): # bld/herlev/final/default/src/fusion/domain.mbi:1159:14-25
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1159:27-1161:11
          self._shape = _0_shp # bld/herlev/final/default/src/fusion/domain.mbi:1160:12-24
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1159:27-1161:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1162:15-1164:11
          self._shape = numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:1163:12-32
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1162:15-1164:11
        self._domsize = fragments._c_closure_271(self._domsize,self._shape) # bld/herlev/final/default/src/fusion/domain.mbi:1165:10-58
        self._domsize = numpy.int64(self._domsize) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1158:22-1166:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1167:13-1174:9
        if (_0_shp is not None): # bld/herlev/final/default/src/fusion/domain.mbi:1167:17-28
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1167:30-1174:9
          if (int((_0_shp).shape[0])!=int((self._shape).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1168:14-36
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1169:12-70
            raise mosek_fusion_DimensionError._ctor_S("Conflicting shape definitions") # bld/herlev/final/default/src/fusion/domain.mbi:1169:12-70
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1169:12-70
          for _1_i in range(0,int((_0_shp).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1170:10-1172:72
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1171:12-1172:72
            if (_0_shp[_1_i]!=self._shape[_1_i]): # bld/herlev/final/default/src/fusion/domain.mbi:1171:16-34
              # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1172:14-72
              raise mosek_fusion_DimensionError._ctor_S("Conflicting shape definitions") # bld/herlev/final/default/src/fusion/domain.mbi:1172:14-72
              # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1172:14-72
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1171:12-1172:72
          self._domsize = fragments._c_closure_272(self._domsize,self._shape) # bld/herlev/final/default/src/fusion/domain.mbi:1173:10-58
          self._domsize = numpy.int64(self._domsize) # postprocess
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1167:30-1174:9
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1167:13-1174:9
      if (self._indexnames is not None): # bld/herlev/final/default/src/fusion/domain.mbi:1182:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1182:32-1188:9
        if (int((self._indexnames).shape[0])!=int((self._shape).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1183:14-43
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1184:12-71
          raise mosek_fusion_DimensionError._ctor_S("Index names do not match shape") # bld/herlev/final/default/src/fusion/domain.mbi:1184:12-71
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1184:12-71
        for _2_i in range(0,int((self._shape).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1185:10-1187:73
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1186:12-1187:73
          if ((self._indexnames[_2_i] is not None) and (int((self._indexnames[_2_i]).shape[0])!=self._shape[_2_i])): # bld/herlev/final/default/src/fusion/domain.mbi:1186:16-72
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1187:14-73
            raise mosek_fusion_DimensionError._ctor_S("Index names do not match shape") # bld/herlev/final/default/src/fusion/domain.mbi:1187:14-73
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1187:14-73
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1186:12-1187:73
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1182:32-1188:9
      if (self._sparsity is not None): # bld/herlev/final/default/src/fusion/domain.mbi:1190:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1190:30-1208:9
        self._nelements = int((self._sparsity).shape[0]) # bld/herlev/final/default/src/fusion/domain.mbi:1191:10-38
        if (int((self._shape).shape[0])!=int((self._sparsity).shape[1])): # bld/herlev/final/default/src/fusion/domain.mbi:1192:14-43
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1193:12-79
          raise mosek_fusion_DimensionError._ctor_S("Mismatching shape and sparsity pattern") # bld/herlev/final/default/src/fusion/domain.mbi:1193:12-79
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1193:12-79
        for _3_i in range(0,self._nelements): # bld/herlev/final/default/src/fusion/domain.mbi:1194:10-1198:11
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1194:37-1198:11
          for _4_j in range(0,int((self._sparsity).shape[1])): # bld/herlev/final/default/src/fusion/domain.mbi:1195:12-1197:84
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1196:14-1197:84
            if ((self._sparsity[_3_i,_4_j] < 0) or (self._sparsity[_3_i,_4_j] >= self._shape[_4_j])): # bld/herlev/final/default/src/fusion/domain.mbi:1196:18-64
              # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1197:16-84
              raise mosek_fusion_DimensionError._ctor_S("Sparsity pattern entry is out of bounds") # bld/herlev/final/default/src/fusion/domain.mbi:1197:16-84
              # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1197:16-84
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1196:14-1197:84
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1194:37-1198:11
        if ((not self._scalable) and ((self._lb is not None) and (int((self._lb).shape[0])!=self._nelements))): # bld/herlev/final/default/src/fusion/domain.mbi:1200:14-1202:34
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1203:12-78
          raise mosek_fusion_DimensionError._ctor_S("Sparsity pattern does not match bound") # bld/herlev/final/default/src/fusion/domain.mbi:1203:12-78
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1203:12-78
        if ((not self._scalable) and ((self._ub is not None) and (int((self._ub).shape[0])!=self._nelements))): # bld/herlev/final/default/src/fusion/domain.mbi:1204:14-1206:34
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1207:12-78
          raise mosek_fusion_DimensionError._ctor_S("Sparsity pattern does not match bound") # bld/herlev/final/default/src/fusion/domain.mbi:1207:12-78
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1207:12-78
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1190:30-1208:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1209:13-1219:9
        self._nelements = self._domsize # bld/herlev/final/default/src/fusion/domain.mbi:1210:10-30
        if ((self._lb is not None) and (not self._scalable)): # bld/herlev/final/default/src/fusion/domain.mbi:1211:14-41
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1211:43-1214:11
          if (int((self._lb).shape[0])!=self._nelements): # bld/herlev/final/default/src/fusion/domain.mbi:1212:16-36
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1213:14-76
            raise mosek_fusion_DimensionError._ctor_S("Domain bound does not match shape") # bld/herlev/final/default/src/fusion/domain.mbi:1213:14-76
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1213:14-76
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1211:43-1214:11
        if ((self._ub is not None) and (not self._scalable)): # bld/herlev/final/default/src/fusion/domain.mbi:1215:14-41
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1215:43-1218:11
          if (int((self._ub).shape[0])!=self._nelements): # bld/herlev/final/default/src/fusion/domain.mbi:1216:16-36
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1217:14-76
            raise mosek_fusion_DimensionError._ctor_S("Domain bound does not match shape") # bld/herlev/final/default/src/fusion/domain.mbi:1217:14-76
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1217:14-76
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1215:43-1218:11
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1209:13-1219:9
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1156:64-1220:7
    def _finalize_1and_1validate_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self._finalize_1and_1validate__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _finalize_1and_1validate__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1151:70-1155:7
      _1_res=mosek_fusion_RangeDomain._ctor_Lmosek_4fusion_4RangeDomain_2(self) # bld/herlev/final/default/src/fusion/domain.mbi:1152:12-15
      _1_res.__finalize_1and_1validate_1inplace__3I(_0_shp) # bld/herlev/final/default/src/fusion/domain.mbi:1153:8-47
      return (_1_res) # bld/herlev/final/default/src/fusion/domain.mbi:1154:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1151:70-1155:7
  return RangeDomain
mosek_fusion_RangeDomain=__mk_mosek_fusion_RangeDomain()
del __mk_mosek_fusion_RangeDomain

# origin: bld/herlev/final/default/src/fusion/domain.mbi:1384:4-1399:5
#BEFORE CLASS
def __mk_mosek_fusion_SymmetricRangeDomain():
  class SymmetricRangeDomain(mosek_fusion_RangeDomain):
    __slots__ = ['_dim']
    def __repr__(self): return 'mosek.fusion.SymmetricRangeDomain'
    @staticmethod
    def _ctor_Lmosek_4fusion_4RangeDomain_2(other):
      o = SymmetricRangeDomain.__new__(SymmetricRangeDomain)
      o._ctor_init_Lmosek_4fusion_4RangeDomain_2(other)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_match_Lmosek_4fusion_4RangeDomain_2__(other))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(other))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:1388:6-1397:7
    def _ctor_alt_init_Lmosek_4fusion_4RangeDomain_2(self,other):
      self._ctor_init_Lmosek_4fusion_4RangeDomain_2(other)
    def _ctor_init_Lmosek_4fusion_4RangeDomain_2(self,other):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1389:6-1397:7
      mosek_fusion_RangeDomain._ctor_init_Lmosek_4fusion_4RangeDomain_2(self,other)# ctor @ bld/herlev/final/default/src/fusion/domain.mbi:1390:8-21
      if ((self._shape is not None) and ((int((self._shape).shape[0])!=2) or (self._shape[0]!=self._shape[1]))): # bld/herlev/final/default/src/fusion/domain.mbi:1391:13-1393:37
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1394:10-75
        raise mosek_fusion_DimensionError._ctor_S("Only square domains can be symmetric") # bld/herlev/final/default/src/fusion/domain.mbi:1394:10-75
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1394:10-75
      self._dim = (0 if ((self._shape is None) ) else self._shape[0]) # bld/herlev/final/default/src/fusion/domain.mbi:1396:8-49
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1389:6-1397:7
  return SymmetricRangeDomain
mosek_fusion_SymmetricRangeDomain=__mk_mosek_fusion_SymmetricRangeDomain()
del __mk_mosek_fusion_SymmetricRangeDomain

# origin: bld/herlev/final/default/src/fusion/domain.mbi:1023:4-1093:5
#BEFORE CLASS
def __mk_mosek_fusion_SymmetricLinearDomain():
  class SymmetricLinearDomain(object):
    __slots__ = ['_sparsity','_cardinal_flag','_key','_shape','_dom','_dim']
    def sparse(self,*args):
      if False: pass
      elif mosek_fusion_SymmetricLinearDomain._match_sparse__3I(*args): # []int32
        return self._sparse__3I(*args)
      elif mosek_fusion_SymmetricLinearDomain._match_alt_sparse__3I(*args): # []int32
        return self._sparse_alt__3I(*args)
      elif mosek_fusion_SymmetricLinearDomain._match_sparse__3_5I(*args): # [,]int32
        return self._sparse__3_5I(*args)
      elif mosek_fusion_SymmetricLinearDomain._match_alt_sparse__3_5I(*args): # [,]int32
        return self._sparse_alt__3_5I(*args)
      else:
        raise ValueError('Invalid argument list sparse('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SymmetricLinearDomain.sparse(array(int32,ndim=1))\n\tmosek.fusion.SymmetricLinearDomain.sparse(array(int32,ndim=2))')

    def integral(self,*args):
      if False: pass
      elif mosek_fusion_SymmetricLinearDomain._match_integral_(*args): # 
        return self._integral_(*args)
      elif mosek_fusion_SymmetricLinearDomain._match_alt_integral_(*args): # 
        return self._integral_alt_(*args)
      else:
        raise ValueError('Invalid argument list integral('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SymmetricLinearDomain.integral()')

    def __repr__(self): return 'mosek.fusion.SymmetricLinearDomain'
    @staticmethod
    def _ctor_Lmosek_4fusion_4LinearDomain_2(other):
      o = SymmetricLinearDomain.__new__(SymmetricLinearDomain)
      o._ctor_init_Lmosek_4fusion_4LinearDomain_2(other)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_match_Lmosek_4fusion_4LinearDomain_2__(other))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(other))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:1034:6-1048:7
    def _ctor_alt_init_Lmosek_4fusion_4LinearDomain_2(self,other):
      self._ctor_init_Lmosek_4fusion_4LinearDomain_2(other)
    def _ctor_init_Lmosek_4fusion_4LinearDomain_2(self,other):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1035:6-1048:7
      self._dom = other # bld/herlev/final/default/src/fusion/domain.mbi:1036:8-30
      self._shape = (other._shape) # bld/herlev/final/default/src/fusion/domain.mbi:1037:8-36
      self._key = (other._key) # bld/herlev/final/default/src/fusion/domain.mbi:1038:8-34
      self._cardinal_flag = (other._cardinal_flag) # bld/herlev/final/default/src/fusion/domain.mbi:1039:8-44
      self._sparsity = (other._sparsity) # bld/herlev/final/default/src/fusion/domain.mbi:1040:8-39
      if ((self._shape is not None) and ((int((self._shape).shape[0])!=2) or (self._shape[0]!=self._shape[1]))): # bld/herlev/final/default/src/fusion/domain.mbi:1042:13-1044:36
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1045:10-75
        raise mosek_fusion_DimensionError._ctor_S("Only square domains can be symmetric") # bld/herlev/final/default/src/fusion/domain.mbi:1045:10-75
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1045:10-75
      self._dim = (0 if ((self._shape is None) ) else self._shape[0]) # bld/herlev/final/default/src/fusion/domain.mbi:1047:8-49
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1035:6-1048:7
    @staticmethod
    def _match_sparse__3_5I(*args):
      if len(args) != 1: return False
      _0_sparsity, = args
      return (    __arg_match__3_5I__(_0_sparsity))
    @staticmethod
    def _match_alt_sparse__3_5I(*args):
      if len(args) != 1: return False
      _0_sparsity, = args
      return (    __arg_alt_match__3_5I__(_0_sparsity))
    def _sparse_alt__3_5I(self,_t__0_sparsity):
      _0_sparsity=numpy.array(_t__0_sparsity,ndmin=_monty.checkShape(_t__0_sparsity,2),dtype=numpy.dtype(numpy.int32))
      _1 = self._sparse__3_5I(_0_sparsity)
      return _1
    def _sparse__3_5I(self,_0_sparsity):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1085:71-1092:7
      (self._sparsity) = numpy.zeros((int((_0_sparsity).shape[0]),int((_0_sparsity).shape[1]),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:1086:8-62
      _1_i=0 # bld/herlev/final/default/src/fusion/domain.mbi:1087:17-18
      while (_1_i < int((_0_sparsity).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1087:8-1089:47
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1088:10-1089:47
        _2_j=0 # bld/herlev/final/default/src/fusion/domain.mbi:1088:19-20
        while (_2_j < int((_0_sparsity).shape[1])): # bld/herlev/final/default/src/fusion/domain.mbi:1088:10-1089:47
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1089:12-47
          (self._sparsity)[_1_i,_2_j] = _0_sparsity[_1_i,_2_j] # bld/herlev/final/default/src/fusion/domain.mbi:1089:12-47
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1089:12-47
          _2_j += 1
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1088:10-1089:47
        _1_i += 1
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1091:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1085:71-1092:7
    @staticmethod
    def _match_sparse__3I(*args):
      if len(args) != 1: return False
      _0_sparsity, = args
      return (    __arg_match__3I__(_0_sparsity))
    @staticmethod
    def _match_alt_sparse__3I(*args):
      if len(args) != 1: return False
      _0_sparsity, = args
      return (    __arg_alt_match__3I__(_0_sparsity))
    def _sparse_alt__3I(self,_t__0_sparsity):
      _0_sparsity=numpy.array(_t__0_sparsity,dtype=numpy.dtype(numpy.int32))
      _1 = self._sparse__3I(_0_sparsity)
      try:
        _t__0_sparsity[:] = _0_sparsity
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _sparse__3I(self,_0_sparsity):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1071:70-1077:7
      (self._sparsity) = numpy.zeros((int((_0_sparsity).shape[0]),1,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:1072:8-45
      for _1_i in range(0,int((_0_sparsity).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1073:8-1074:43
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1074:10-43
        (self._sparsity)[_1_i,0] = _0_sparsity[_1_i] # bld/herlev/final/default/src/fusion/domain.mbi:1074:10-43
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1074:10-43
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1076:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1071:70-1077:7
    @staticmethod
    def _match_integral_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_integral_(*args):
      if len(args) != 0: return False
      return True
    def _integral_alt_(self,):
      return self._integral_()
    def _integral_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1063:54-92
      self._cardinal_flag = True # bld/herlev/final/default/src/fusion/domain.mbi:1063:56-77
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1063:78-90
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1063:54-92
    def _match_1shape_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self._match_1shape__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _match_1shape__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1050:56-1055:7
      for _1_i in range(0,int((_0_shp).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1051:8-1053:25
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1052:10-1053:25
        if (_0_shp[_1_i]==self._shape[_1_i]): # bld/herlev/final/default/src/fusion/domain.mbi:1052:14-32
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1053:12-25
          return (False) # bld/herlev/final/default/src/fusion/domain.mbi:1053:12-25
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1053:12-25
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1052:10-1053:25
      return (True) # bld/herlev/final/default/src/fusion/domain.mbi:1054:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1050:56-1055:7
  return SymmetricLinearDomain
mosek_fusion_SymmetricLinearDomain=__mk_mosek_fusion_SymmetricLinearDomain()
del __mk_mosek_fusion_SymmetricLinearDomain

# origin: bld/herlev/final/default/src/fusion/domain.mbi:765:4-1016:5
#BEFORE CLASS
def __mk_mosek_fusion_LinearDomain():
  class LinearDomain(object):
    __slots__ = ['_nelements','_domsize','_indexnames','_empty','_scalable','_sparsity','_cardinal_flag','_key','_bnd','_shape']
    def sparse(self,*args):
      if False: pass
      elif mosek_fusion_LinearDomain._match_sparse_(*args): # 
        return self._sparse_(*args)
      elif mosek_fusion_LinearDomain._match_alt_sparse_(*args): # 
        return self._sparse_alt_(*args)
      elif mosek_fusion_LinearDomain._match_sparse__3I(*args): # []int32
        return self._sparse__3I(*args)
      elif mosek_fusion_LinearDomain._match_alt_sparse__3I(*args): # []int32
        return self._sparse_alt__3I(*args)
      elif mosek_fusion_LinearDomain._match_sparse__3_5I(*args): # [,]int32
        return self._sparse__3_5I(*args)
      elif mosek_fusion_LinearDomain._match_alt_sparse__3_5I(*args): # [,]int32
        return self._sparse_alt__3_5I(*args)
      else:
        raise ValueError('Invalid argument list sparse('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinearDomain.sparse()\n\tmosek.fusion.LinearDomain.sparse(array(int32,ndim=1))\n\tmosek.fusion.LinearDomain.sparse(array(int32,ndim=2))')

    def symmetric(self,*args):
      if False: pass
      elif mosek_fusion_LinearDomain._match_symmetric_(*args): # 
        return self._symmetric_(*args)
      elif mosek_fusion_LinearDomain._match_alt_symmetric_(*args): # 
        return self._symmetric_alt_(*args)
      else:
        raise ValueError('Invalid argument list symmetric('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinearDomain.symmetric()')

    def withShape(self,*args):
      if False: pass
      elif mosek_fusion_LinearDomain._match_withShape__3I(*args): # []int32
        return self._withShape__3I(*args)
      elif mosek_fusion_LinearDomain._match_alt_withShape__3I(*args): # []int32
        return self._withShape_alt__3I(*args)
      elif mosek_fusion_LinearDomain._match_withShape_I(*args): # int32
        return self._withShape_I(*args)
      elif mosek_fusion_LinearDomain._match_alt_withShape_I(*args): # int32
        return self._withShape_alt_I(*args)
      elif mosek_fusion_LinearDomain._match_withShape_II(*args): # int32,int32
        return self._withShape_II(*args)
      elif mosek_fusion_LinearDomain._match_alt_withShape_II(*args): # int32,int32
        return self._withShape_alt_II(*args)
      elif mosek_fusion_LinearDomain._match_withShape_III(*args): # int32,int32,int32
        return self._withShape_III(*args)
      elif mosek_fusion_LinearDomain._match_alt_withShape_III(*args): # int32,int32,int32
        return self._withShape_alt_III(*args)
      else:
        raise ValueError('Invalid argument list withShape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinearDomain.withShape(array(int32,ndim=1))\n\tmosek.fusion.LinearDomain.withShape(int32)\n\tmosek.fusion.LinearDomain.withShape(int32,int32)\n\tmosek.fusion.LinearDomain.withShape(int32,int32,int32)')

    def integral(self,*args):
      if False: pass
      elif mosek_fusion_LinearDomain._match_integral_(*args): # 
        return self._integral_(*args)
      elif mosek_fusion_LinearDomain._match_alt_integral_(*args): # 
        return self._integral_alt_(*args)
      else:
        raise ValueError('Invalid argument list integral('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinearDomain.integral()')

    def withNamesOnAxis(self,*args):
      if False: pass
      elif mosek_fusion_LinearDomain._match_withNamesOnAxis__3SI(*args): # []string,int32
        return self._withNamesOnAxis__3SI(*args)
      elif mosek_fusion_LinearDomain._match_alt_withNamesOnAxis__3SI(*args): # []string,int32
        return self._withNamesOnAxis_alt__3SI(*args)
      else:
        raise ValueError('Invalid argument list withNamesOnAxis('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinearDomain.withNamesOnAxis(array(string,ndim=1),int32)')

    def __repr__(self): return 'mosek.fusion.LinearDomain'
    @staticmethod
    def _ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(k,scalable,rhs,dims):
      o = LinearDomain.__new__(LinearDomain)
      o._ctor_init_Emosek_4fusion_4RelationKey_2Z_3D_3I(k,scalable,rhs,dims)
      return o

    @staticmethod
    def __match_ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(*args):
      if len(args) != 4: return False
      k,scalable,rhs,dims, = args
      return (    __arg_match_Emosek_4fusion_4RelationKey_2__(k)
              and __arg_match_Z__(scalable)
              and __arg_match__3D__(rhs)
              and __arg_match__3I__(dims))
    @staticmethod
    def __match_alt_ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(*args):
      if len(args) != 4: return False
      k,scalable,rhs,dims, = args
      return (    __arg_alt_match_Emosek_4fusion_4RelationKey_2__(k)
              and __arg_alt_match_Z__(scalable)
              and __arg_alt_match__3D__(rhs)
              and __arg_alt_match__3I__(dims))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:909:6-915:6
    def _ctor_alt_init_Emosek_4fusion_4RelationKey_2Z_3D_3I(self,k,scalable,rhs,dims):
      self._ctor_init_Emosek_4fusion_4RelationKey_2Z_3D_3I(k,scalable,numpy.array(rhs,dtype=numpy.dtype(numpy.float64)),numpy.array(dims,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_Emosek_4fusion_4RelationKey_2Z_3D_3I(self,k,scalable,rhs,dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:913:6-915:6
      mosek_fusion_LinearDomain._ctor_init_Emosek_4fusion_4RelationKey_2Z_3D_3I_3_5II(self,k,scalable,rhs,dims,None,1)# ctor @ bld/herlev/final/default/src/fusion/domain.mbi:914:8-41
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:913:6-915:6
    @staticmethod
    def _ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I_3_5II(k,scalable,rhs,dims,sp,steal):
      o = LinearDomain.__new__(LinearDomain)
      o._ctor_init_Emosek_4fusion_4RelationKey_2Z_3D_3I_3_5II(k,scalable,rhs,dims,sp,steal)
      return o

    @staticmethod
    def __match_ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I_3_5II(*args):
      if len(args) != 6: return False
      k,scalable,rhs,dims,sp,steal, = args
      return (    __arg_match_Emosek_4fusion_4RelationKey_2__(k)
              and __arg_match_Z__(scalable)
              and __arg_match__3D__(rhs)
              and __arg_match__3I__(dims)
              and __arg_match__3_5I__(sp)
              and __arg_match_I__(steal))
    @staticmethod
    def __match_alt_ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I_3_5II(*args):
      if len(args) != 6: return False
      k,scalable,rhs,dims,sp,steal, = args
      return (    __arg_alt_match_Emosek_4fusion_4RelationKey_2__(k)
              and __arg_alt_match_Z__(scalable)
              and __arg_alt_match__3D__(rhs)
              and __arg_alt_match__3I__(dims)
              and __arg_alt_match__3_5I__(sp)
              and __arg_alt_match_I__(steal))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:890:6-907:7
    def _ctor_alt_init_Emosek_4fusion_4RelationKey_2Z_3D_3I_3_5II(self,k,scalable,rhs,dims,sp,steal):
      self._ctor_init_Emosek_4fusion_4RelationKey_2Z_3D_3I_3_5II(k,scalable,numpy.array(rhs,dtype=numpy.dtype(numpy.float64)),numpy.array(dims,dtype=numpy.dtype(numpy.int32)),numpy.array(sp,dtype=numpy.dtype(numpy.int32)),numpy.int32(steal))
    def _ctor_init_Emosek_4fusion_4RelationKey_2Z_3D_3I_3_5II(self,k,scalable,rhs,dims,sp,steal):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:896:6-907:7
      (self._scalable) = scalable # bld/herlev/final/default/src/fusion/domain.mbi:897:8-38
      (self._shape) = dims # bld/herlev/final/default/src/fusion/domain.mbi:898:8-34
      (self._key) = k # bld/herlev/final/default/src/fusion/domain.mbi:899:8-31
      (self._bnd) = rhs # bld/herlev/final/default/src/fusion/domain.mbi:900:8-33
      (self._sparsity) = sp # bld/herlev/final/default/src/fusion/domain.mbi:901:8-32
      (self._cardinal_flag) = False # bld/herlev/final/default/src/fusion/domain.mbi:902:8-35
      (self._empty) = False # bld/herlev/final/default/src/fusion/domain.mbi:903:8-27
      self._indexnames = None # bld/herlev/final/default/src/fusion/domain.mbi:904:8-26
      (self._domsize) = 0 # bld/herlev/final/default/src/fusion/domain.mbi:905:8-25
      (self._nelements) = 0 # bld/herlev/final/default/src/fusion/domain.mbi:906:8-27
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:896:6-907:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4LinearDomain_2(other):
      o = LinearDomain.__new__(LinearDomain)
      o._ctor_init_Lmosek_4fusion_4LinearDomain_2(other)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_match_Lmosek_4fusion_4LinearDomain_2__(other))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(other))
    # Origin: bld/herlev/final/default/src/fusion/domain.mbi:875:6-888:7
    def _ctor_alt_init_Lmosek_4fusion_4LinearDomain_2(self,other):
      self._ctor_init_Lmosek_4fusion_4LinearDomain_2(other)
    def _ctor_init_Lmosek_4fusion_4LinearDomain_2(self,other):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:876:6-888:7
      self._scalable = (other._scalable) # bld/herlev/final/default/src/fusion/domain.mbi:877:8-34
      self._nelements = (other._nelements) # bld/herlev/final/default/src/fusion/domain.mbi:878:8-36
      self._domsize = (other._domsize) # bld/herlev/final/default/src/fusion/domain.mbi:879:8-32
      self._shape = (other._shape) # bld/herlev/final/default/src/fusion/domain.mbi:880:8-28
      self._key = (other._key) # bld/herlev/final/default/src/fusion/domain.mbi:881:8-26
      self._bnd = (other._bnd) # bld/herlev/final/default/src/fusion/domain.mbi:882:8-26
      self._sparsity = (other._sparsity) # bld/herlev/final/default/src/fusion/domain.mbi:883:8-34
      self._cardinal_flag = (other._cardinal_flag) # bld/herlev/final/default/src/fusion/domain.mbi:884:8-44
      self._empty = (other._empty) # bld/herlev/final/default/src/fusion/domain.mbi:885:8-28
      self._indexnames = (other._indexnames) # bld/herlev/final/default/src/fusion/domain.mbi:887:8-38
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:876:6-888:7
    @staticmethod
    def _match_symmetric_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_symmetric_(*args):
      if len(args) != 0: return False
      return True
    def _symmetric_alt_(self,):
      return self._symmetric_()
    def _symmetric_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1015:55-98
      return (mosek_fusion_SymmetricLinearDomain._ctor_Lmosek_4fusion_4LinearDomain_2(self)) # bld/herlev/final/default/src/fusion/domain.mbi:1015:57-96
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1015:55-98
    @staticmethod
    def _match_sparse__3_5I(*args):
      if len(args) != 1: return False
      _0_sparsity, = args
      return (    __arg_match__3_5I__(_0_sparsity))
    @staticmethod
    def _match_alt_sparse__3_5I(*args):
      if len(args) != 1: return False
      _0_sparsity, = args
      return (    __arg_alt_match__3_5I__(_0_sparsity))
    def _sparse_alt__3_5I(self,_t__0_sparsity):
      _0_sparsity=numpy.array(_t__0_sparsity,ndmin=_monty.checkShape(_t__0_sparsity,2),dtype=numpy.dtype(numpy.int32))
      _1 = self._sparse__3_5I(_0_sparsity)
      return _1
    def _sparse__3_5I(self,_0_sparsity):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1003:62-1011:7
      (self._sparsity) = numpy.zeros((int((_0_sparsity).shape[0]),int((_0_sparsity).shape[1]),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:1004:8-62
      (self._empty) = False # bld/herlev/final/default/src/fusion/domain.mbi:1005:8-27
      _1_i=0 # bld/herlev/final/default/src/fusion/domain.mbi:1006:17-18
      while (_1_i < int((_0_sparsity).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:1006:8-1008:47
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1007:10-1008:47
        _2_j=0 # bld/herlev/final/default/src/fusion/domain.mbi:1007:19-20
        while (_2_j < int((_0_sparsity).shape[1])): # bld/herlev/final/default/src/fusion/domain.mbi:1007:10-1008:47
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:1008:12-47
          (self._sparsity)[_1_i,_2_j] = _0_sparsity[_1_i,_2_j] # bld/herlev/final/default/src/fusion/domain.mbi:1008:12-47
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1008:12-47
          _2_j += 1
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1007:10-1008:47
        _1_i += 1
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:1010:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:1003:62-1011:7
    @staticmethod
    def _match_sparse__3I(*args):
      if len(args) != 1: return False
      _0_sparsity, = args
      return (    __arg_match__3I__(_0_sparsity))
    @staticmethod
    def _match_alt_sparse__3I(*args):
      if len(args) != 1: return False
      _0_sparsity, = args
      return (    __arg_alt_match__3I__(_0_sparsity))
    def _sparse_alt__3I(self,_t__0_sparsity):
      _0_sparsity=numpy.array(_t__0_sparsity,dtype=numpy.dtype(numpy.int32))
      _1 = self._sparse__3I(_0_sparsity)
      try:
        _t__0_sparsity[:] = _0_sparsity
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _sparse__3I(self,_0_sparsity):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:988:61-995:7
      (self._sparsity) = numpy.zeros((int((_0_sparsity).shape[0]),1,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:989:8-45
      (self._empty) = False # bld/herlev/final/default/src/fusion/domain.mbi:990:8-27
      for _1_i in range(0,int((_0_sparsity).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:991:8-992:43
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:992:10-43
        (self._sparsity)[_1_i,0] = _0_sparsity[_1_i] # bld/herlev/final/default/src/fusion/domain.mbi:992:10-43
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:992:10-43
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:994:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:988:61-995:7
    @staticmethod
    def _match_sparse_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_sparse_(*args):
      if len(args) != 0: return False
      return True
    def _sparse_alt_(self,):
      return self._sparse_()
    def _sparse_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:976:44-981:7
      (self._empty) = True # bld/herlev/final/default/src/fusion/domain.mbi:977:8-26
      (self._sparsity) = None # bld/herlev/final/default/src/fusion/domain.mbi:978:8-29
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:980:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:976:44-981:7
    @staticmethod
    def _match_integral_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_integral_(*args):
      if len(args) != 0: return False
      return True
    def _integral_alt_(self,):
      return self._integral_()
    def _integral_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:966:45-83
      self._cardinal_flag = True # bld/herlev/final/default/src/fusion/domain.mbi:966:47-68
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:966:69-81
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:966:45-83
    @staticmethod
    def _match_withShape_III(*args):
      if len(args) != 3: return False
      _0_dim0,_1_dim1,_2_dim2, = args
      return (    __arg_match_I__(_0_dim0)
              and __arg_match_I__(_1_dim1)
              and __arg_match_I__(_2_dim2))
    @staticmethod
    def _match_alt_withShape_III(*args):
      if len(args) != 3: return False
      _0_dim0,_1_dim1,_2_dim2, = args
      return (    __arg_alt_match_I__(_0_dim0)
              and __arg_alt_match_I__(_1_dim1)
              and __arg_alt_match_I__(_2_dim2))
    def _withShape_alt_III(self,_t__0_dim0,_t__1_dim1,_t__2_dim2):
      return self._withShape_III(numpy.int32(__0_dim0),numpy.int32(__1_dim1),numpy.int32(__2_dim2))
    def _withShape_III(self,_0_dim0,_1_dim1,_2_dim2):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:958:78-125
      self._shape = numpy.array([_0_dim0,_1_dim1,_2_dim2], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:958:80-110
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:958:111-123
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:958:78-125
    @staticmethod
    def _match_withShape_II(*args):
      if len(args) != 2: return False
      _0_dim0,_1_dim1, = args
      return (    __arg_match_I__(_0_dim0)
              and __arg_match_I__(_1_dim1))
    @staticmethod
    def _match_alt_withShape_II(*args):
      if len(args) != 2: return False
      _0_dim0,_1_dim1, = args
      return (    __arg_alt_match_I__(_0_dim0)
              and __arg_alt_match_I__(_1_dim1))
    def _withShape_alt_II(self,_t__0_dim0,_t__1_dim1):
      return self._withShape_II(numpy.int32(__0_dim0),numpy.int32(__1_dim1))
    def _withShape_II(self,_0_dim0,_1_dim1):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:957:67-109
      self._shape = numpy.array([_0_dim0,_1_dim1], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:957:69-94
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:957:95-107
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:957:67-109
    @staticmethod
    def _match_withShape_I(*args):
      if len(args) != 1: return False
      _0_dim0, = args
      return (    __arg_match_I__(_0_dim0))
    @staticmethod
    def _match_alt_withShape_I(*args):
      if len(args) != 1: return False
      _0_dim0, = args
      return (    __arg_alt_match_I__(_0_dim0))
    def _withShape_alt_I(self,_t__0_dim0):
      return self._withShape_I(numpy.int32(__0_dim0))
    def _withShape_I(self,_0_dim0):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:956:56-93
      self._shape = numpy.array([_0_dim0], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:956:58-78
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:956:79-91
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:956:56-93
    @staticmethod
    def _match_withShape__3I(*args):
      if len(args) != 1: return False
      _0_shp, = args
      return (    __arg_match__3I__(_0_shp))
    @staticmethod
    def _match_alt_withShape__3I(*args):
      if len(args) != 1: return False
      _0_shp, = args
      return (    __arg_alt_match__3I__(_0_shp))
    def _withShape_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self._withShape__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _withShape__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:955:56-85
      self._shape = _0_shp # bld/herlev/final/default/src/fusion/domain.mbi:955:58-70
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:955:71-83
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:955:56-85
    @staticmethod
    def _match_withNamesOnAxis__3SI(*args):
      if len(args) != 2: return False
      _0_names,_1_axis, = args
      return (    __arg_match__3S__(_0_names)
              and __arg_match_I__(_1_axis))
    @staticmethod
    def _match_alt_withNamesOnAxis__3SI(*args):
      if len(args) != 2: return False
      _0_names,_1_axis, = args
      return (    __arg_alt_match__3S__(_0_names)
              and __arg_alt_match_I__(_1_axis))
    def _withNamesOnAxis_alt__3SI(self,_t__0_names,_t__1_axis):
      _0_names=numpy.array(_t__0_names,dtype=numpy.dtype(object))
      _1_axis=numpy.int32(_t__1_axis)
      _1 = self._withNamesOnAxis__3SI(_0_names,_1_axis)
      try:
        _t__0_names[:] = _0_names
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _withNamesOnAxis__3SI(self,_0_names,_1_axis):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:929:78-942:7
      if (self._indexnames is None): # bld/herlev/final/default/src/fusion/domain.mbi:930:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:930:32-933:9
        self._indexnames = _monty.initJaggedArray([None for _2_i in range(0,(_1_axis + 1))], 1) # bld/herlev/final/default/src/fusion/domain.mbi:931:10-63
        self._indexnames[_1_axis] = numpy.array([_0_names[_3_i] for _3_i in range(0,int((_0_names).shape[0]))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/domain.mbi:932:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:930:32-933:9
      if (int((self._indexnames).shape[0]) < (_1_axis + 1)): # bld/herlev/final/default/src/fusion/domain.mbi:935:12-36
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:935:38-939:9
        _4_ixnames=_monty.initJaggedArray([None for _5_i in range(0,(_1_axis + 1))], 1) # bld/herlev/final/default/src/fusion/domain.mbi:936:14-21
        for _6_i in range(0,int((self._indexnames).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:937:10-70
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:937:43-70
          _4_ixnames[_6_i] = self._indexnames[_6_i] # bld/herlev/final/default/src/fusion/domain.mbi:937:43-70
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:937:43-70
        self._indexnames = _4_ixnames # bld/herlev/final/default/src/fusion/domain.mbi:938:10-31
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:935:38-939:9
      self._indexnames[_1_axis] = numpy.array([_0_names[_7_i] for _7_i in range(0,int((_0_names).shape[0]))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/domain.mbi:940:8-67
      return (self) # bld/herlev/final/default/src/fusion/domain.mbi:941:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:929:78-942:7
    def _match_1shape_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self._match_1shape__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _match_1shape__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:919:6-925:7
      if (not self._scalable): # bld/herlev/final/default/src/fusion/domain.mbi:920:12-24
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:921:10-923:27
        for _1_i in range(0,int((_0_shp).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:921:10-923:27
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:922:12-923:27
          if (_0_shp[_1_i]==self._shape[_1_i]): # bld/herlev/final/default/src/fusion/domain.mbi:922:16-34
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:923:14-27
            return (False) # bld/herlev/final/default/src/fusion/domain.mbi:923:14-27
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:923:14-27
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:922:12-923:27
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:921:10-923:27
      return (True) # bld/herlev/final/default/src/fusion/domain.mbi:924:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:919:6-925:7
    def __finalize_1and_1validate_1inplace_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self.__finalize_1and_1validate_1inplace__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __finalize_1and_1validate_1inplace__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:804:64-872:7
      if self._scalable: # bld/herlev/final/default/src/fusion/domain.mbi:805:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:805:22-817:9
        if (self._shape is None): # bld/herlev/final/default/src/fusion/domain.mbi:806:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:806:29-816:11
          if ((self._sparsity is not None) and (_0_shp is None)): # bld/herlev/final/default/src/fusion/domain.mbi:807:16-48
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:808:16-81
            raise mosek_fusion_DimensionError._ctor_S("Sparse domain requires a fixed shape") # bld/herlev/final/default/src/fusion/domain.mbi:808:16-81
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:808:16-81
          if (_0_shp is not None): # bld/herlev/final/default/src/fusion/domain.mbi:810:16-27
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:810:29-812:13
            self._shape = _0_shp # bld/herlev/final/default/src/fusion/domain.mbi:811:14-26
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:810:29-812:13
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:813:17-815:13
            self._shape = numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:814:14-34
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:813:17-815:13
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:806:29-816:11
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:805:22-817:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:818:13-824:9
        if (_0_shp is not None): # bld/herlev/final/default/src/fusion/domain.mbi:818:17-28
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:818:30-824:9
          if (int((_0_shp).shape[0])!=int((self._shape).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:819:14-36
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:820:12-70
            raise mosek_fusion_DimensionError._ctor_S("Conflicting shape definitions") # bld/herlev/final/default/src/fusion/domain.mbi:820:12-70
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:820:12-70
          for _1_i in range(0,int((_0_shp).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:821:10-823:72
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:822:12-823:72
            if (_0_shp[_1_i]!=self._shape[_1_i]): # bld/herlev/final/default/src/fusion/domain.mbi:822:16-34
              # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:823:14-72
              raise mosek_fusion_DimensionError._ctor_S("Conflicting shape definitions") # bld/herlev/final/default/src/fusion/domain.mbi:823:14-72
              # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:823:14-72
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:822:12-823:72
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:818:30-824:9
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:818:13-824:9
      if (self._indexnames is not None): # bld/herlev/final/default/src/fusion/domain.mbi:832:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:832:32-844:9
        if (int((self._indexnames).shape[0]) > int((self._shape).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:833:14-42
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:834:12-71
          raise mosek_fusion_DimensionError._ctor_S("Index names do not match shape") # bld/herlev/final/default/src/fusion/domain.mbi:834:12-71
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:834:12-71
        for _2_i in range(0,int((self._indexnames).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:835:10-837:73
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:836:12-837:73
          if ((self._indexnames[_2_i] is not None) and (int((self._indexnames[_2_i]).shape[0])!=self._shape[_2_i])): # bld/herlev/final/default/src/fusion/domain.mbi:836:16-72
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:837:14-73
            raise mosek_fusion_DimensionError._ctor_S("Index names do not match shape") # bld/herlev/final/default/src/fusion/domain.mbi:837:14-73
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:837:14-73
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:836:12-837:73
        if (int((self._indexnames).shape[0]) < int((self._shape).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:838:14-42
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:838:44-843:11
          _3_tmpindexnames=numpy.ndarray((int((self._shape).shape[0]),), dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/domain.mbi:840:16-29
          for _4_i in range(0,int((self._indexnames).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:841:12-78
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:841:45-78
            _3_tmpindexnames[_4_i] = self._indexnames[_4_i] # bld/herlev/final/default/src/fusion/domain.mbi:841:45-78
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:841:45-78
          self._indexnames = _3_tmpindexnames # bld/herlev/final/default/src/fusion/domain.mbi:842:12-39
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:838:44-843:11
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:832:32-844:9
      self._domsize = 1 # bld/herlev/final/default/src/fusion/domain.mbi:846:8-20
      self._domsize = fragments._c_closure_273(self._domsize,self._shape) # bld/herlev/final/default/src/fusion/domain.mbi:847:8-56
      self._domsize = numpy.int64(self._domsize) # postprocess
      if (self._sparsity is not None): # bld/herlev/final/default/src/fusion/domain.mbi:849:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:849:30-863:9
        self._nelements = int((self._sparsity).shape[0]) # bld/herlev/final/default/src/fusion/domain.mbi:850:10-38
        if (int((self._shape).shape[0])!=int((self._sparsity).shape[1])): # bld/herlev/final/default/src/fusion/domain.mbi:851:14-43
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:852:12-79
          raise mosek_fusion_DimensionError._ctor_S("Mismatching shape and sparsity pattern") # bld/herlev/final/default/src/fusion/domain.mbi:852:12-79
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:852:12-79
        for _5_i in range(0,self._nelements): # bld/herlev/final/default/src/fusion/domain.mbi:853:10-857:11
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:853:37-857:11
          for _6_j in range(0,int((self._sparsity).shape[1])): # bld/herlev/final/default/src/fusion/domain.mbi:854:12-856:84
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:855:14-856:84
            if ((self._sparsity[_5_i,_6_j] < 0) or (self._sparsity[_5_i,_6_j] >= self._shape[_6_j])): # bld/herlev/final/default/src/fusion/domain.mbi:855:18-64
              # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:856:16-84
              raise mosek_fusion_DimensionError._ctor_S("Sparsity pattern entry is out of bounds") # bld/herlev/final/default/src/fusion/domain.mbi:856:16-84
              # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:856:16-84
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:855:14-856:84
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:853:37-857:11
        if ((not self._scalable) and ((self._bnd is not None) and (int((self._bnd).shape[0])!=self._nelements))): # bld/herlev/final/default/src/fusion/domain.mbi:859:14-861:35
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:862:12-78
          raise mosek_fusion_DimensionError._ctor_S("Sparsity pattern does not match bound") # bld/herlev/final/default/src/fusion/domain.mbi:862:12-78
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:862:12-78
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:849:30-863:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:864:13-871:9
        self._nelements = self._domsize # bld/herlev/final/default/src/fusion/domain.mbi:865:10-30
        if ((self._bnd is not None) and (not self._scalable)): # bld/herlev/final/default/src/fusion/domain.mbi:866:14-42
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:866:44-870:11
          if (int((self._bnd).shape[0])!=self._nelements): # bld/herlev/final/default/src/fusion/domain.mbi:867:16-37
            # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:867:39-869:13
            raise mosek_fusion_DimensionError._ctor_S("Domain bound does not match shape") # bld/herlev/final/default/src/fusion/domain.mbi:868:14-76
            # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:867:39-869:13
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:866:44-870:11
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:864:13-871:9
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:804:64-872:7
    def _finalize_1and_1validate_alt__3I(self,_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = self._finalize_1and_1validate__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _finalize_1and_1validate__3I(self,_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:799:71-803:7
      _1_res=mosek_fusion_LinearDomain._ctor_Lmosek_4fusion_4LinearDomain_2(self) # bld/herlev/final/default/src/fusion/domain.mbi:800:12-15
      _1_res.__finalize_1and_1validate_1inplace__3I(_0_shp) # bld/herlev/final/default/src/fusion/domain.mbi:801:8-47
      return (_1_res) # bld/herlev/final/default/src/fusion/domain.mbi:802:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:799:71-803:7
  return LinearDomain
mosek_fusion_LinearDomain=__mk_mosek_fusion_LinearDomain()
del __mk_mosek_fusion_LinearDomain

# origin: bld/herlev/final/default/src/fusion/domain.mbi:402:4-744:5
#BEFORE CLASS
def __mk_mosek_fusion_Domain():
  class Domain(object):
    @staticmethod
    def inDPowerCone(*args):
      if False: pass
      elif mosek_fusion_Domain._match_inDPowerCone__3D(*args): # []double
        return mosek_fusion_Domain._inDPowerCone__3D(*args)
      elif mosek_fusion_Domain._match_alt_inDPowerCone__3D(*args): # []double
        return mosek_fusion_Domain._inDPowerCone_alt__3D(*args)
      elif mosek_fusion_Domain._match_inDPowerCone_D(*args): # double
        return mosek_fusion_Domain._inDPowerCone_D(*args)
      elif mosek_fusion_Domain._match_alt_inDPowerCone_D(*args): # double
        return mosek_fusion_Domain._inDPowerCone_alt_D(*args)
      elif mosek_fusion_Domain._match_inDPowerCone_D_3I(*args): # double,[]int32
        return mosek_fusion_Domain._inDPowerCone_D_3I(*args)
      elif mosek_fusion_Domain._match_alt_inDPowerCone_D_3I(*args): # double,[]int32
        return mosek_fusion_Domain._inDPowerCone_alt_D_3I(*args)
      elif mosek_fusion_Domain._match_inDPowerCone__3DI(*args): # []double,int32
        return mosek_fusion_Domain._inDPowerCone__3DI(*args)
      elif mosek_fusion_Domain._match_alt_inDPowerCone__3DI(*args): # []double,int32
        return mosek_fusion_Domain._inDPowerCone_alt__3DI(*args)
      elif mosek_fusion_Domain._match_inDPowerCone_DI(*args): # double,int32
        return mosek_fusion_Domain._inDPowerCone_DI(*args)
      elif mosek_fusion_Domain._match_alt_inDPowerCone_DI(*args): # double,int32
        return mosek_fusion_Domain._inDPowerCone_alt_DI(*args)
      elif mosek_fusion_Domain._match_inDPowerCone__3D_3I(*args): # []double,[]int32
        return mosek_fusion_Domain._inDPowerCone__3D_3I(*args)
      elif mosek_fusion_Domain._match_alt_inDPowerCone__3D_3I(*args): # []double,[]int32
        return mosek_fusion_Domain._inDPowerCone_alt__3D_3I(*args)
      else:
        raise ValueError('Invalid argument list inDPowerCone('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.inDPowerCone(array(double,ndim=1))\n\tmosek.fusion.Domain.inDPowerCone(double)\n\tmosek.fusion.Domain.inDPowerCone(double,array(int32,ndim=1))\n\tmosek.fusion.Domain.inDPowerCone(array(double,ndim=1),int32)\n\tmosek.fusion.Domain.inDPowerCone(double,int32)\n\tmosek.fusion.Domain.inDPowerCone(array(double,ndim=1),array(int32,ndim=1))')

    @staticmethod
    def unbounded(*args):
      if False: pass
      elif mosek_fusion_Domain._match_unbounded_(*args): # 
        return mosek_fusion_Domain._unbounded_(*args)
      elif mosek_fusion_Domain._match_alt_unbounded_(*args): # 
        return mosek_fusion_Domain._unbounded_alt_(*args)
      elif mosek_fusion_Domain._match_unbounded_I(*args): # int32
        return mosek_fusion_Domain._unbounded_I(*args)
      elif mosek_fusion_Domain._match_alt_unbounded_I(*args): # int32
        return mosek_fusion_Domain._unbounded_alt_I(*args)
      elif mosek_fusion_Domain._match_unbounded__3I(*args): # []int32
        return mosek_fusion_Domain._unbounded__3I(*args)
      elif mosek_fusion_Domain._match_alt_unbounded__3I(*args): # []int32
        return mosek_fusion_Domain._unbounded_alt__3I(*args)
      elif mosek_fusion_Domain._match_unbounded_II(*args): # int32,int32
        return mosek_fusion_Domain._unbounded_II(*args)
      elif mosek_fusion_Domain._match_alt_unbounded_II(*args): # int32,int32
        return mosek_fusion_Domain._unbounded_alt_II(*args)
      else:
        raise ValueError('Invalid argument list unbounded('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.unbounded()\n\tmosek.fusion.Domain.unbounded(int32)\n\tmosek.fusion.Domain.unbounded(array(int32,ndim=1))\n\tmosek.fusion.Domain.unbounded(int32,int32)')

    @staticmethod
    def inPGeoMeanCone(*args):
      if False: pass
      elif mosek_fusion_Domain._match_inPGeoMeanCone_(*args): # 
        return mosek_fusion_Domain._inPGeoMeanCone_(*args)
      elif mosek_fusion_Domain._match_alt_inPGeoMeanCone_(*args): # 
        return mosek_fusion_Domain._inPGeoMeanCone_alt_(*args)
      elif mosek_fusion_Domain._match_inPGeoMeanCone_I(*args): # int32
        return mosek_fusion_Domain._inPGeoMeanCone_I(*args)
      elif mosek_fusion_Domain._match_alt_inPGeoMeanCone_I(*args): # int32
        return mosek_fusion_Domain._inPGeoMeanCone_alt_I(*args)
      elif mosek_fusion_Domain._match_inPGeoMeanCone__3I(*args): # []int32
        return mosek_fusion_Domain._inPGeoMeanCone__3I(*args)
      elif mosek_fusion_Domain._match_alt_inPGeoMeanCone__3I(*args): # []int32
        return mosek_fusion_Domain._inPGeoMeanCone_alt__3I(*args)
      elif mosek_fusion_Domain._match_inPGeoMeanCone_II(*args): # int32,int32
        return mosek_fusion_Domain._inPGeoMeanCone_II(*args)
      elif mosek_fusion_Domain._match_alt_inPGeoMeanCone_II(*args): # int32,int32
        return mosek_fusion_Domain._inPGeoMeanCone_alt_II(*args)
      else:
        raise ValueError('Invalid argument list inPGeoMeanCone('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.inPGeoMeanCone()\n\tmosek.fusion.Domain.inPGeoMeanCone(int32)\n\tmosek.fusion.Domain.inPGeoMeanCone(array(int32,ndim=1))\n\tmosek.fusion.Domain.inPGeoMeanCone(int32,int32)')

    @staticmethod
    def greaterThan(*args):
      if False: pass
      elif mosek_fusion_Domain._match_greaterThan__3D(*args): # []double
        return mosek_fusion_Domain._greaterThan__3D(*args)
      elif mosek_fusion_Domain._match_alt_greaterThan__3D(*args): # []double
        return mosek_fusion_Domain._greaterThan_alt__3D(*args)
      elif mosek_fusion_Domain._match_greaterThan_Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix
        return mosek_fusion_Domain._greaterThan_Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Domain._match_alt_greaterThan_Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix
        return mosek_fusion_Domain._greaterThan_alt_Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Domain._match_greaterThan__3_5D(*args): # [,]double
        return mosek_fusion_Domain._greaterThan__3_5D(*args)
      elif mosek_fusion_Domain._match_alt_greaterThan__3_5D(*args): # [,]double
        return mosek_fusion_Domain._greaterThan_alt__3_5D(*args)
      elif mosek_fusion_Domain._match_greaterThan_D(*args): # double
        return mosek_fusion_Domain._greaterThan_D(*args)
      elif mosek_fusion_Domain._match_alt_greaterThan_D(*args): # double
        return mosek_fusion_Domain._greaterThan_alt_D(*args)
      elif mosek_fusion_Domain._match_greaterThan_D_3I(*args): # double,[]int32
        return mosek_fusion_Domain._greaterThan_D_3I(*args)
      elif mosek_fusion_Domain._match_alt_greaterThan_D_3I(*args): # double,[]int32
        return mosek_fusion_Domain._greaterThan_alt_D_3I(*args)
      elif mosek_fusion_Domain._match_greaterThan__3D_3I(*args): # []double,[]int32
        return mosek_fusion_Domain._greaterThan__3D_3I(*args)
      elif mosek_fusion_Domain._match_alt_greaterThan__3D_3I(*args): # []double,[]int32
        return mosek_fusion_Domain._greaterThan_alt__3D_3I(*args)
      elif mosek_fusion_Domain._match_greaterThan_DI(*args): # double,int32
        return mosek_fusion_Domain._greaterThan_DI(*args)
      elif mosek_fusion_Domain._match_alt_greaterThan_DI(*args): # double,int32
        return mosek_fusion_Domain._greaterThan_alt_DI(*args)
      elif mosek_fusion_Domain._match_greaterThan_DII(*args): # double,int32,int32
        return mosek_fusion_Domain._greaterThan_DII(*args)
      elif mosek_fusion_Domain._match_alt_greaterThan_DII(*args): # double,int32,int32
        return mosek_fusion_Domain._greaterThan_alt_DII(*args)
      else:
        raise ValueError('Invalid argument list greaterThan('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.greaterThan(array(double,ndim=1))\n\tmosek.fusion.Domain.greaterThan(mosek.fusion.Matrix)\n\tmosek.fusion.Domain.greaterThan(array(double,ndim=2))\n\tmosek.fusion.Domain.greaterThan(double)\n\tmosek.fusion.Domain.greaterThan(double,array(int32,ndim=1))\n\tmosek.fusion.Domain.greaterThan(array(double,ndim=1),array(int32,ndim=1))\n\tmosek.fusion.Domain.greaterThan(double,int32)\n\tmosek.fusion.Domain.greaterThan(double,int32,int32)')

    @staticmethod
    def axis(*args):
      if False: pass
      elif mosek_fusion_Domain._match_axis_Lmosek_4fusion_4ConeDomain_2I(*args): # mosek.fusion.ConeDomain,int32
        return mosek_fusion_Domain._axis_Lmosek_4fusion_4ConeDomain_2I(*args)
      elif mosek_fusion_Domain._match_alt_axis_Lmosek_4fusion_4ConeDomain_2I(*args): # mosek.fusion.ConeDomain,int32
        return mosek_fusion_Domain._axis_alt_Lmosek_4fusion_4ConeDomain_2I(*args)
      else:
        raise ValueError('Invalid argument list axis('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.axis(mosek.fusion.ConeDomain,int32)')

    @staticmethod
    def inPPowerCone(*args):
      if False: pass
      elif mosek_fusion_Domain._match_inPPowerCone__3D(*args): # []double
        return mosek_fusion_Domain._inPPowerCone__3D(*args)
      elif mosek_fusion_Domain._match_alt_inPPowerCone__3D(*args): # []double
        return mosek_fusion_Domain._inPPowerCone_alt__3D(*args)
      elif mosek_fusion_Domain._match_inPPowerCone_D(*args): # double
        return mosek_fusion_Domain._inPPowerCone_D(*args)
      elif mosek_fusion_Domain._match_alt_inPPowerCone_D(*args): # double
        return mosek_fusion_Domain._inPPowerCone_alt_D(*args)
      elif mosek_fusion_Domain._match_inPPowerCone_D_3I(*args): # double,[]int32
        return mosek_fusion_Domain._inPPowerCone_D_3I(*args)
      elif mosek_fusion_Domain._match_alt_inPPowerCone_D_3I(*args): # double,[]int32
        return mosek_fusion_Domain._inPPowerCone_alt_D_3I(*args)
      elif mosek_fusion_Domain._match_inPPowerCone__3DI(*args): # []double,int32
        return mosek_fusion_Domain._inPPowerCone__3DI(*args)
      elif mosek_fusion_Domain._match_alt_inPPowerCone__3DI(*args): # []double,int32
        return mosek_fusion_Domain._inPPowerCone_alt__3DI(*args)
      elif mosek_fusion_Domain._match_inPPowerCone_DI(*args): # double,int32
        return mosek_fusion_Domain._inPPowerCone_DI(*args)
      elif mosek_fusion_Domain._match_alt_inPPowerCone_DI(*args): # double,int32
        return mosek_fusion_Domain._inPPowerCone_alt_DI(*args)
      elif mosek_fusion_Domain._match_inPPowerCone__3D_3I(*args): # []double,[]int32
        return mosek_fusion_Domain._inPPowerCone__3D_3I(*args)
      elif mosek_fusion_Domain._match_alt_inPPowerCone__3D_3I(*args): # []double,[]int32
        return mosek_fusion_Domain._inPPowerCone_alt__3D_3I(*args)
      else:
        raise ValueError('Invalid argument list inPPowerCone('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.inPPowerCone(array(double,ndim=1))\n\tmosek.fusion.Domain.inPPowerCone(double)\n\tmosek.fusion.Domain.inPPowerCone(double,array(int32,ndim=1))\n\tmosek.fusion.Domain.inPPowerCone(array(double,ndim=1),int32)\n\tmosek.fusion.Domain.inPPowerCone(double,int32)\n\tmosek.fusion.Domain.inPPowerCone(array(double,ndim=1),array(int32,ndim=1))')

    @staticmethod
    def integral(*args):
      if False: pass
      elif mosek_fusion_Domain._match_integral_Lmosek_4fusion_4ConeDomain_2(*args): # mosek.fusion.ConeDomain
        return mosek_fusion_Domain._integral_Lmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Domain._match_alt_integral_Lmosek_4fusion_4ConeDomain_2(*args): # mosek.fusion.ConeDomain
        return mosek_fusion_Domain._integral_alt_Lmosek_4fusion_4ConeDomain_2(*args)
      elif mosek_fusion_Domain._match_integral_Lmosek_4fusion_4LinearDomain_2(*args): # mosek.fusion.LinearDomain
        return mosek_fusion_Domain._integral_Lmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Domain._match_alt_integral_Lmosek_4fusion_4LinearDomain_2(*args): # mosek.fusion.LinearDomain
        return mosek_fusion_Domain._integral_alt_Lmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Domain._match_integral_Lmosek_4fusion_4RangeDomain_2(*args): # mosek.fusion.RangeDomain
        return mosek_fusion_Domain._integral_Lmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Domain._match_alt_integral_Lmosek_4fusion_4RangeDomain_2(*args): # mosek.fusion.RangeDomain
        return mosek_fusion_Domain._integral_alt_Lmosek_4fusion_4RangeDomain_2(*args)
      else:
        raise ValueError('Invalid argument list integral('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.integral(mosek.fusion.ConeDomain)\n\tmosek.fusion.Domain.integral(mosek.fusion.LinearDomain)\n\tmosek.fusion.Domain.integral(mosek.fusion.RangeDomain)')

    @staticmethod
    def inQCone(*args):
      if False: pass
      elif mosek_fusion_Domain._match_inQCone_(*args): # 
        return mosek_fusion_Domain._inQCone_(*args)
      elif mosek_fusion_Domain._match_alt_inQCone_(*args): # 
        return mosek_fusion_Domain._inQCone_alt_(*args)
      elif mosek_fusion_Domain._match_inQCone_I(*args): # int32
        return mosek_fusion_Domain._inQCone_I(*args)
      elif mosek_fusion_Domain._match_alt_inQCone_I(*args): # int32
        return mosek_fusion_Domain._inQCone_alt_I(*args)
      elif mosek_fusion_Domain._match_inQCone__3I(*args): # []int32
        return mosek_fusion_Domain._inQCone__3I(*args)
      elif mosek_fusion_Domain._match_alt_inQCone__3I(*args): # []int32
        return mosek_fusion_Domain._inQCone_alt__3I(*args)
      elif mosek_fusion_Domain._match_inQCone_II(*args): # int32,int32
        return mosek_fusion_Domain._inQCone_II(*args)
      elif mosek_fusion_Domain._match_alt_inQCone_II(*args): # int32,int32
        return mosek_fusion_Domain._inQCone_alt_II(*args)
      else:
        raise ValueError('Invalid argument list inQCone('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.inQCone()\n\tmosek.fusion.Domain.inQCone(int32)\n\tmosek.fusion.Domain.inQCone(array(int32,ndim=1))\n\tmosek.fusion.Domain.inQCone(int32,int32)')

    @staticmethod
    def inDExpCone(*args):
      if False: pass
      elif mosek_fusion_Domain._match_inDExpCone_(*args): # 
        return mosek_fusion_Domain._inDExpCone_(*args)
      elif mosek_fusion_Domain._match_alt_inDExpCone_(*args): # 
        return mosek_fusion_Domain._inDExpCone_alt_(*args)
      elif mosek_fusion_Domain._match_inDExpCone_I(*args): # int32
        return mosek_fusion_Domain._inDExpCone_I(*args)
      elif mosek_fusion_Domain._match_alt_inDExpCone_I(*args): # int32
        return mosek_fusion_Domain._inDExpCone_alt_I(*args)
      elif mosek_fusion_Domain._match_inDExpCone__3I(*args): # []int32
        return mosek_fusion_Domain._inDExpCone__3I(*args)
      elif mosek_fusion_Domain._match_alt_inDExpCone__3I(*args): # []int32
        return mosek_fusion_Domain._inDExpCone_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list inDExpCone('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.inDExpCone()\n\tmosek.fusion.Domain.inDExpCone(int32)\n\tmosek.fusion.Domain.inDExpCone(array(int32,ndim=1))')

    @staticmethod
    def inPExpCone(*args):
      if False: pass
      elif mosek_fusion_Domain._match_inPExpCone_(*args): # 
        return mosek_fusion_Domain._inPExpCone_(*args)
      elif mosek_fusion_Domain._match_alt_inPExpCone_(*args): # 
        return mosek_fusion_Domain._inPExpCone_alt_(*args)
      elif mosek_fusion_Domain._match_inPExpCone_I(*args): # int32
        return mosek_fusion_Domain._inPExpCone_I(*args)
      elif mosek_fusion_Domain._match_alt_inPExpCone_I(*args): # int32
        return mosek_fusion_Domain._inPExpCone_alt_I(*args)
      elif mosek_fusion_Domain._match_inPExpCone__3I(*args): # []int32
        return mosek_fusion_Domain._inPExpCone__3I(*args)
      elif mosek_fusion_Domain._match_alt_inPExpCone__3I(*args): # []int32
        return mosek_fusion_Domain._inPExpCone_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list inPExpCone('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.inPExpCone()\n\tmosek.fusion.Domain.inPExpCone(int32)\n\tmosek.fusion.Domain.inPExpCone(array(int32,ndim=1))')

    @staticmethod
    def inDGeoMeanCone(*args):
      if False: pass
      elif mosek_fusion_Domain._match_inDGeoMeanCone_(*args): # 
        return mosek_fusion_Domain._inDGeoMeanCone_(*args)
      elif mosek_fusion_Domain._match_alt_inDGeoMeanCone_(*args): # 
        return mosek_fusion_Domain._inDGeoMeanCone_alt_(*args)
      elif mosek_fusion_Domain._match_inDGeoMeanCone_I(*args): # int32
        return mosek_fusion_Domain._inDGeoMeanCone_I(*args)
      elif mosek_fusion_Domain._match_alt_inDGeoMeanCone_I(*args): # int32
        return mosek_fusion_Domain._inDGeoMeanCone_alt_I(*args)
      elif mosek_fusion_Domain._match_inDGeoMeanCone__3I(*args): # []int32
        return mosek_fusion_Domain._inDGeoMeanCone__3I(*args)
      elif mosek_fusion_Domain._match_alt_inDGeoMeanCone__3I(*args): # []int32
        return mosek_fusion_Domain._inDGeoMeanCone_alt__3I(*args)
      elif mosek_fusion_Domain._match_inDGeoMeanCone_II(*args): # int32,int32
        return mosek_fusion_Domain._inDGeoMeanCone_II(*args)
      elif mosek_fusion_Domain._match_alt_inDGeoMeanCone_II(*args): # int32,int32
        return mosek_fusion_Domain._inDGeoMeanCone_alt_II(*args)
      else:
        raise ValueError('Invalid argument list inDGeoMeanCone('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.inDGeoMeanCone()\n\tmosek.fusion.Domain.inDGeoMeanCone(int32)\n\tmosek.fusion.Domain.inDGeoMeanCone(array(int32,ndim=1))\n\tmosek.fusion.Domain.inDGeoMeanCone(int32,int32)')

    @staticmethod
    def inRange(*args):
      if False: pass
      elif mosek_fusion_Domain._match_inRange__3D_3D(*args): # []double,[]double
        return mosek_fusion_Domain._inRange__3D_3D(*args)
      elif mosek_fusion_Domain._match_alt_inRange__3D_3D(*args): # []double,[]double
        return mosek_fusion_Domain._inRange_alt__3D_3D(*args)
      elif mosek_fusion_Domain._match_inRange__3DD(*args): # []double,double
        return mosek_fusion_Domain._inRange__3DD(*args)
      elif mosek_fusion_Domain._match_alt_inRange__3DD(*args): # []double,double
        return mosek_fusion_Domain._inRange_alt__3DD(*args)
      elif mosek_fusion_Domain._match_inRange_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix,mosek.fusion.Matrix
        return mosek_fusion_Domain._inRange_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Domain._match_alt_inRange_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix,mosek.fusion.Matrix
        return mosek_fusion_Domain._inRange_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Domain._match_inRange_D_3D(*args): # double,[]double
        return mosek_fusion_Domain._inRange_D_3D(*args)
      elif mosek_fusion_Domain._match_alt_inRange_D_3D(*args): # double,[]double
        return mosek_fusion_Domain._inRange_alt_D_3D(*args)
      elif mosek_fusion_Domain._match_inRange__3_5D_3_5D(*args): # [,]double,[,]double
        return mosek_fusion_Domain._inRange__3_5D_3_5D(*args)
      elif mosek_fusion_Domain._match_alt_inRange__3_5D_3_5D(*args): # [,]double,[,]double
        return mosek_fusion_Domain._inRange_alt__3_5D_3_5D(*args)
      elif mosek_fusion_Domain._match_inRange_DD(*args): # double,double
        return mosek_fusion_Domain._inRange_DD(*args)
      elif mosek_fusion_Domain._match_alt_inRange_DD(*args): # double,double
        return mosek_fusion_Domain._inRange_alt_DD(*args)
      elif mosek_fusion_Domain._match_inRange_D_3D_3I(*args): # double,[]double,[]int32
        return mosek_fusion_Domain._inRange_D_3D_3I(*args)
      elif mosek_fusion_Domain._match_alt_inRange_D_3D_3I(*args): # double,[]double,[]int32
        return mosek_fusion_Domain._inRange_alt_D_3D_3I(*args)
      elif mosek_fusion_Domain._match_inRange__3DD_3I(*args): # []double,double,[]int32
        return mosek_fusion_Domain._inRange__3DD_3I(*args)
      elif mosek_fusion_Domain._match_alt_inRange__3DD_3I(*args): # []double,double,[]int32
        return mosek_fusion_Domain._inRange_alt__3DD_3I(*args)
      elif mosek_fusion_Domain._match_inRange__3D_3D_3I(*args): # []double,[]double,[]int32
        return mosek_fusion_Domain._inRange__3D_3D_3I(*args)
      elif mosek_fusion_Domain._match_alt_inRange__3D_3D_3I(*args): # []double,[]double,[]int32
        return mosek_fusion_Domain._inRange_alt__3D_3D_3I(*args)
      elif mosek_fusion_Domain._match_inRange_DD_3I(*args): # double,double,[]int32
        return mosek_fusion_Domain._inRange_DD_3I(*args)
      elif mosek_fusion_Domain._match_alt_inRange_DD_3I(*args): # double,double,[]int32
        return mosek_fusion_Domain._inRange_alt_DD_3I(*args)
      else:
        raise ValueError('Invalid argument list inRange('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.inRange(array(double,ndim=1),array(double,ndim=1))\n\tmosek.fusion.Domain.inRange(array(double,ndim=1),double)\n\tmosek.fusion.Domain.inRange(mosek.fusion.Matrix,mosek.fusion.Matrix)\n\tmosek.fusion.Domain.inRange(double,array(double,ndim=1))\n\tmosek.fusion.Domain.inRange(array(double,ndim=2),array(double,ndim=2))\n\tmosek.fusion.Domain.inRange(double,double)\n\tmosek.fusion.Domain.inRange(double,array(double,ndim=1),array(int32,ndim=1))\n\tmosek.fusion.Domain.inRange(array(double,ndim=1),double,array(int32,ndim=1))\n\tmosek.fusion.Domain.inRange(array(double,ndim=1),array(double,ndim=1),array(int32,ndim=1))\n\tmosek.fusion.Domain.inRange(double,double,array(int32,ndim=1))')

    @staticmethod
    def inPSDCone(*args):
      if False: pass
      elif mosek_fusion_Domain._match_inPSDCone_(*args): # 
        return mosek_fusion_Domain._inPSDCone_(*args)
      elif mosek_fusion_Domain._match_alt_inPSDCone_(*args): # 
        return mosek_fusion_Domain._inPSDCone_alt_(*args)
      elif mosek_fusion_Domain._match_inPSDCone_I(*args): # int32
        return mosek_fusion_Domain._inPSDCone_I(*args)
      elif mosek_fusion_Domain._match_alt_inPSDCone_I(*args): # int32
        return mosek_fusion_Domain._inPSDCone_alt_I(*args)
      elif mosek_fusion_Domain._match_inPSDCone_II(*args): # int32,int32
        return mosek_fusion_Domain._inPSDCone_II(*args)
      elif mosek_fusion_Domain._match_alt_inPSDCone_II(*args): # int32,int32
        return mosek_fusion_Domain._inPSDCone_alt_II(*args)
      else:
        raise ValueError('Invalid argument list inPSDCone('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.inPSDCone()\n\tmosek.fusion.Domain.inPSDCone(int32)\n\tmosek.fusion.Domain.inPSDCone(int32,int32)')

    @staticmethod
    def sparse(*args):
      if False: pass
      elif mosek_fusion_Domain._match_sparse_Lmosek_4fusion_4LinearDomain_2_3I(*args): # mosek.fusion.LinearDomain,[]int32
        return mosek_fusion_Domain._sparse_Lmosek_4fusion_4LinearDomain_2_3I(*args)
      elif mosek_fusion_Domain._match_alt_sparse_Lmosek_4fusion_4LinearDomain_2_3I(*args): # mosek.fusion.LinearDomain,[]int32
        return mosek_fusion_Domain._sparse_alt_Lmosek_4fusion_4LinearDomain_2_3I(*args)
      elif mosek_fusion_Domain._match_sparse_Lmosek_4fusion_4LinearDomain_2_3_5I(*args): # mosek.fusion.LinearDomain,[,]int32
        return mosek_fusion_Domain._sparse_Lmosek_4fusion_4LinearDomain_2_3_5I(*args)
      elif mosek_fusion_Domain._match_alt_sparse_Lmosek_4fusion_4LinearDomain_2_3_5I(*args): # mosek.fusion.LinearDomain,[,]int32
        return mosek_fusion_Domain._sparse_alt_Lmosek_4fusion_4LinearDomain_2_3_5I(*args)
      elif mosek_fusion_Domain._match_sparse_Lmosek_4fusion_4RangeDomain_2_3I(*args): # mosek.fusion.RangeDomain,[]int32
        return mosek_fusion_Domain._sparse_Lmosek_4fusion_4RangeDomain_2_3I(*args)
      elif mosek_fusion_Domain._match_alt_sparse_Lmosek_4fusion_4RangeDomain_2_3I(*args): # mosek.fusion.RangeDomain,[]int32
        return mosek_fusion_Domain._sparse_alt_Lmosek_4fusion_4RangeDomain_2_3I(*args)
      elif mosek_fusion_Domain._match_sparse_Lmosek_4fusion_4RangeDomain_2_3_5I(*args): # mosek.fusion.RangeDomain,[,]int32
        return mosek_fusion_Domain._sparse_Lmosek_4fusion_4RangeDomain_2_3_5I(*args)
      elif mosek_fusion_Domain._match_alt_sparse_Lmosek_4fusion_4RangeDomain_2_3_5I(*args): # mosek.fusion.RangeDomain,[,]int32
        return mosek_fusion_Domain._sparse_alt_Lmosek_4fusion_4RangeDomain_2_3_5I(*args)
      else:
        raise ValueError('Invalid argument list sparse('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.sparse(mosek.fusion.LinearDomain,array(int32,ndim=1))\n\tmosek.fusion.Domain.sparse(mosek.fusion.LinearDomain,array(int32,ndim=2))\n\tmosek.fusion.Domain.sparse(mosek.fusion.RangeDomain,array(int32,ndim=1))\n\tmosek.fusion.Domain.sparse(mosek.fusion.RangeDomain,array(int32,ndim=2))')

    @staticmethod
    def lessThan(*args):
      if False: pass
      elif mosek_fusion_Domain._match_lessThan__3D(*args): # []double
        return mosek_fusion_Domain._lessThan__3D(*args)
      elif mosek_fusion_Domain._match_alt_lessThan__3D(*args): # []double
        return mosek_fusion_Domain._lessThan_alt__3D(*args)
      elif mosek_fusion_Domain._match_lessThan_Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix
        return mosek_fusion_Domain._lessThan_Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Domain._match_alt_lessThan_Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix
        return mosek_fusion_Domain._lessThan_alt_Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Domain._match_lessThan__3_5D(*args): # [,]double
        return mosek_fusion_Domain._lessThan__3_5D(*args)
      elif mosek_fusion_Domain._match_alt_lessThan__3_5D(*args): # [,]double
        return mosek_fusion_Domain._lessThan_alt__3_5D(*args)
      elif mosek_fusion_Domain._match_lessThan_D(*args): # double
        return mosek_fusion_Domain._lessThan_D(*args)
      elif mosek_fusion_Domain._match_alt_lessThan_D(*args): # double
        return mosek_fusion_Domain._lessThan_alt_D(*args)
      elif mosek_fusion_Domain._match_lessThan_D_3I(*args): # double,[]int32
        return mosek_fusion_Domain._lessThan_D_3I(*args)
      elif mosek_fusion_Domain._match_alt_lessThan_D_3I(*args): # double,[]int32
        return mosek_fusion_Domain._lessThan_alt_D_3I(*args)
      elif mosek_fusion_Domain._match_lessThan__3D_3I(*args): # []double,[]int32
        return mosek_fusion_Domain._lessThan__3D_3I(*args)
      elif mosek_fusion_Domain._match_alt_lessThan__3D_3I(*args): # []double,[]int32
        return mosek_fusion_Domain._lessThan_alt__3D_3I(*args)
      elif mosek_fusion_Domain._match_lessThan_DI(*args): # double,int32
        return mosek_fusion_Domain._lessThan_DI(*args)
      elif mosek_fusion_Domain._match_alt_lessThan_DI(*args): # double,int32
        return mosek_fusion_Domain._lessThan_alt_DI(*args)
      elif mosek_fusion_Domain._match_lessThan_DII(*args): # double,int32,int32
        return mosek_fusion_Domain._lessThan_DII(*args)
      elif mosek_fusion_Domain._match_alt_lessThan_DII(*args): # double,int32,int32
        return mosek_fusion_Domain._lessThan_alt_DII(*args)
      else:
        raise ValueError('Invalid argument list lessThan('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.lessThan(array(double,ndim=1))\n\tmosek.fusion.Domain.lessThan(mosek.fusion.Matrix)\n\tmosek.fusion.Domain.lessThan(array(double,ndim=2))\n\tmosek.fusion.Domain.lessThan(double)\n\tmosek.fusion.Domain.lessThan(double,array(int32,ndim=1))\n\tmosek.fusion.Domain.lessThan(array(double,ndim=1),array(int32,ndim=1))\n\tmosek.fusion.Domain.lessThan(double,int32)\n\tmosek.fusion.Domain.lessThan(double,int32,int32)')

    @staticmethod
    def isTrilPSD(*args):
      if False: pass
      elif mosek_fusion_Domain._match_isTrilPSD_(*args): # 
        return mosek_fusion_Domain._isTrilPSD_(*args)
      elif mosek_fusion_Domain._match_alt_isTrilPSD_(*args): # 
        return mosek_fusion_Domain._isTrilPSD_alt_(*args)
      elif mosek_fusion_Domain._match_isTrilPSD_I(*args): # int32
        return mosek_fusion_Domain._isTrilPSD_I(*args)
      elif mosek_fusion_Domain._match_alt_isTrilPSD_I(*args): # int32
        return mosek_fusion_Domain._isTrilPSD_alt_I(*args)
      elif mosek_fusion_Domain._match_isTrilPSD_II(*args): # int32,int32
        return mosek_fusion_Domain._isTrilPSD_II(*args)
      elif mosek_fusion_Domain._match_alt_isTrilPSD_II(*args): # int32,int32
        return mosek_fusion_Domain._isTrilPSD_alt_II(*args)
      else:
        raise ValueError('Invalid argument list isTrilPSD('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.isTrilPSD()\n\tmosek.fusion.Domain.isTrilPSD(int32)\n\tmosek.fusion.Domain.isTrilPSD(int32,int32)')

    @staticmethod
    def symmetric(*args):
      if False: pass
      elif mosek_fusion_Domain._match_symmetric_Lmosek_4fusion_4LinearDomain_2(*args): # mosek.fusion.LinearDomain
        return mosek_fusion_Domain._symmetric_Lmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Domain._match_alt_symmetric_Lmosek_4fusion_4LinearDomain_2(*args): # mosek.fusion.LinearDomain
        return mosek_fusion_Domain._symmetric_alt_Lmosek_4fusion_4LinearDomain_2(*args)
      elif mosek_fusion_Domain._match_symmetric_Lmosek_4fusion_4RangeDomain_2(*args): # mosek.fusion.RangeDomain
        return mosek_fusion_Domain._symmetric_Lmosek_4fusion_4RangeDomain_2(*args)
      elif mosek_fusion_Domain._match_alt_symmetric_Lmosek_4fusion_4RangeDomain_2(*args): # mosek.fusion.RangeDomain
        return mosek_fusion_Domain._symmetric_alt_Lmosek_4fusion_4RangeDomain_2(*args)
      else:
        raise ValueError('Invalid argument list symmetric('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.symmetric(mosek.fusion.LinearDomain)\n\tmosek.fusion.Domain.symmetric(mosek.fusion.RangeDomain)')

    @staticmethod
    def inRotatedQCone(*args):
      if False: pass
      elif mosek_fusion_Domain._match_inRotatedQCone_(*args): # 
        return mosek_fusion_Domain._inRotatedQCone_(*args)
      elif mosek_fusion_Domain._match_alt_inRotatedQCone_(*args): # 
        return mosek_fusion_Domain._inRotatedQCone_alt_(*args)
      elif mosek_fusion_Domain._match_inRotatedQCone_I(*args): # int32
        return mosek_fusion_Domain._inRotatedQCone_I(*args)
      elif mosek_fusion_Domain._match_alt_inRotatedQCone_I(*args): # int32
        return mosek_fusion_Domain._inRotatedQCone_alt_I(*args)
      elif mosek_fusion_Domain._match_inRotatedQCone__3I(*args): # []int32
        return mosek_fusion_Domain._inRotatedQCone__3I(*args)
      elif mosek_fusion_Domain._match_alt_inRotatedQCone__3I(*args): # []int32
        return mosek_fusion_Domain._inRotatedQCone_alt__3I(*args)
      elif mosek_fusion_Domain._match_inRotatedQCone_II(*args): # int32,int32
        return mosek_fusion_Domain._inRotatedQCone_II(*args)
      elif mosek_fusion_Domain._match_alt_inRotatedQCone_II(*args): # int32,int32
        return mosek_fusion_Domain._inRotatedQCone_alt_II(*args)
      else:
        raise ValueError('Invalid argument list inRotatedQCone('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.inRotatedQCone()\n\tmosek.fusion.Domain.inRotatedQCone(int32)\n\tmosek.fusion.Domain.inRotatedQCone(array(int32,ndim=1))\n\tmosek.fusion.Domain.inRotatedQCone(int32,int32)')

    @staticmethod
    def inSVecPSDCone(*args):
      if False: pass
      elif mosek_fusion_Domain._match_inSVecPSDCone_(*args): # 
        return mosek_fusion_Domain._inSVecPSDCone_(*args)
      elif mosek_fusion_Domain._match_alt_inSVecPSDCone_(*args): # 
        return mosek_fusion_Domain._inSVecPSDCone_alt_(*args)
      elif mosek_fusion_Domain._match_inSVecPSDCone_I(*args): # int32
        return mosek_fusion_Domain._inSVecPSDCone_I(*args)
      elif mosek_fusion_Domain._match_alt_inSVecPSDCone_I(*args): # int32
        return mosek_fusion_Domain._inSVecPSDCone_alt_I(*args)
      elif mosek_fusion_Domain._match_inSVecPSDCone__3I(*args): # []int32
        return mosek_fusion_Domain._inSVecPSDCone__3I(*args)
      elif mosek_fusion_Domain._match_alt_inSVecPSDCone__3I(*args): # []int32
        return mosek_fusion_Domain._inSVecPSDCone_alt__3I(*args)
      elif mosek_fusion_Domain._match_inSVecPSDCone_II(*args): # int32,int32
        return mosek_fusion_Domain._inSVecPSDCone_II(*args)
      elif mosek_fusion_Domain._match_alt_inSVecPSDCone_II(*args): # int32,int32
        return mosek_fusion_Domain._inSVecPSDCone_alt_II(*args)
      else:
        raise ValueError('Invalid argument list inSVecPSDCone('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.inSVecPSDCone()\n\tmosek.fusion.Domain.inSVecPSDCone(int32)\n\tmosek.fusion.Domain.inSVecPSDCone(array(int32,ndim=1))\n\tmosek.fusion.Domain.inSVecPSDCone(int32,int32)')

    @staticmethod
    def equalsTo(*args):
      if False: pass
      elif mosek_fusion_Domain._match_equalsTo__3D(*args): # []double
        return mosek_fusion_Domain._equalsTo__3D(*args)
      elif mosek_fusion_Domain._match_alt_equalsTo__3D(*args): # []double
        return mosek_fusion_Domain._equalsTo_alt__3D(*args)
      elif mosek_fusion_Domain._match_equalsTo_Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix
        return mosek_fusion_Domain._equalsTo_Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Domain._match_alt_equalsTo_Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix
        return mosek_fusion_Domain._equalsTo_alt_Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Domain._match_equalsTo__3_5D(*args): # [,]double
        return mosek_fusion_Domain._equalsTo__3_5D(*args)
      elif mosek_fusion_Domain._match_alt_equalsTo__3_5D(*args): # [,]double
        return mosek_fusion_Domain._equalsTo_alt__3_5D(*args)
      elif mosek_fusion_Domain._match_equalsTo_D(*args): # double
        return mosek_fusion_Domain._equalsTo_D(*args)
      elif mosek_fusion_Domain._match_alt_equalsTo_D(*args): # double
        return mosek_fusion_Domain._equalsTo_alt_D(*args)
      elif mosek_fusion_Domain._match_equalsTo_D_3I(*args): # double,[]int32
        return mosek_fusion_Domain._equalsTo_D_3I(*args)
      elif mosek_fusion_Domain._match_alt_equalsTo_D_3I(*args): # double,[]int32
        return mosek_fusion_Domain._equalsTo_alt_D_3I(*args)
      elif mosek_fusion_Domain._match_equalsTo__3D_3I(*args): # []double,[]int32
        return mosek_fusion_Domain._equalsTo__3D_3I(*args)
      elif mosek_fusion_Domain._match_alt_equalsTo__3D_3I(*args): # []double,[]int32
        return mosek_fusion_Domain._equalsTo_alt__3D_3I(*args)
      elif mosek_fusion_Domain._match_equalsTo_DI(*args): # double,int32
        return mosek_fusion_Domain._equalsTo_DI(*args)
      elif mosek_fusion_Domain._match_alt_equalsTo_DI(*args): # double,int32
        return mosek_fusion_Domain._equalsTo_alt_DI(*args)
      elif mosek_fusion_Domain._match_equalsTo_DII(*args): # double,int32,int32
        return mosek_fusion_Domain._equalsTo_DII(*args)
      elif mosek_fusion_Domain._match_alt_equalsTo_DII(*args): # double,int32,int32
        return mosek_fusion_Domain._equalsTo_alt_DII(*args)
      else:
        raise ValueError('Invalid argument list equalsTo('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.equalsTo(array(double,ndim=1))\n\tmosek.fusion.Domain.equalsTo(mosek.fusion.Matrix)\n\tmosek.fusion.Domain.equalsTo(array(double,ndim=2))\n\tmosek.fusion.Domain.equalsTo(double)\n\tmosek.fusion.Domain.equalsTo(double,array(int32,ndim=1))\n\tmosek.fusion.Domain.equalsTo(array(double,ndim=1),array(int32,ndim=1))\n\tmosek.fusion.Domain.equalsTo(double,int32)\n\tmosek.fusion.Domain.equalsTo(double,int32,int32)')

    @staticmethod
    def binary(*args):
      if False: pass
      elif mosek_fusion_Domain._match_binary_(*args): # 
        return mosek_fusion_Domain._binary_(*args)
      elif mosek_fusion_Domain._match_alt_binary_(*args): # 
        return mosek_fusion_Domain._binary_alt_(*args)
      elif mosek_fusion_Domain._match_binary__3I(*args): # []int32
        return mosek_fusion_Domain._binary__3I(*args)
      elif mosek_fusion_Domain._match_alt_binary__3I(*args): # []int32
        return mosek_fusion_Domain._binary_alt__3I(*args)
      elif mosek_fusion_Domain._match_binary_I(*args): # int32
        return mosek_fusion_Domain._binary_I(*args)
      elif mosek_fusion_Domain._match_alt_binary_I(*args): # int32
        return mosek_fusion_Domain._binary_alt_I(*args)
      elif mosek_fusion_Domain._match_binary_II(*args): # int32,int32
        return mosek_fusion_Domain._binary_II(*args)
      elif mosek_fusion_Domain._match_alt_binary_II(*args): # int32,int32
        return mosek_fusion_Domain._binary_alt_II(*args)
      else:
        raise ValueError('Invalid argument list binary('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Domain.binary()\n\tmosek.fusion.Domain.binary(array(int32,ndim=1))\n\tmosek.fusion.Domain.binary(int32)\n\tmosek.fusion.Domain.binary(int32,int32)')

    def __repr__(self): return 'mosek.fusion.Domain'
    @staticmethod
    def __dimsize_alt__3I(_t__0_dims):
      _0_dims=numpy.array(_t__0_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain.__dimsize__3I(_0_dims)
      try:
        _t__0_dims[:] = _0_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __dimsize__3I(_0_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:743:57-126
      _1_sz=1 # bld/herlev/final/default/src/fusion/domain.mbi:743:63-65
      _1_sz = fragments._c_closure_274(_0_dims,_1_sz) # bld/herlev/final/default/src/fusion/domain.mbi:743:72-113
      _1_sz = numpy.int64(_1_sz) # postprocess
      return numpy.int64(_1_sz) # bld/herlev/final/default/src/fusion/domain.mbi:743:114-124
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:743:57-126
    @staticmethod
    def __mkRangedDomain_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Matrix_2(_t__0_lb,_t__1_ub):
      return mosek_fusion_Domain.__mkRangedDomain_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Matrix_2(_0_lb,_1_ub)
    @staticmethod
    def __mkRangedDomain_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Matrix_2(_0_lb,_1_ub):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:624:79-741:7
      if (((_0_lb._dimi)!=(_1_ub._dimi)) or ((_0_lb._dimj)!=(_1_ub._dimj))): # bld/herlev/final/default/src/fusion/domain.mbi:625:12-52
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:626:10-71
        raise mosek_fusion_DimensionError._ctor_S("Mismatching dimensions in domain") # bld/herlev/final/default/src/fusion/domain.mbi:626:10-71
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:626:10-71
      if (_0_lb._isSparse_() and _1_ub._isSparse_()): # bld/herlev/final/default/src/fusion/domain.mbi:628:12-43
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:628:45-703:9
        _2_lsubi=numpy.zeros((_0_lb._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:629:14-19
        _3_lsubj=numpy.zeros((_0_lb._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:630:14-19
        _4_lval=numpy.zeros((_0_lb._numNonzeros_(),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/domain.mbi:631:14-18
        _5_usubi=numpy.zeros((_1_ub._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:632:14-19
        _6_usubj=numpy.zeros((_1_ub._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:633:14-19
        _7_uval=numpy.zeros((_1_ub._numNonzeros_(),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/domain.mbi:634:14-18
        _0_lb._getDataAsTriplets__3I_3I_3D(_2_lsubi,_3_lsubj,_4_lval) # bld/herlev/final/default/src/fusion/domain.mbi:635:10-49
        _1_ub._getDataAsTriplets__3I_3I_3D(_5_usubi,_6_usubj,_7_uval) # bld/herlev/final/default/src/fusion/domain.mbi:636:10-49
        _8_n=0 # bld/herlev/final/default/src/fusion/domain.mbi:638:14-21
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:639:10-654:11
        _8_n = fragments._c_closure_275(_2_lsubi,_3_lsubj,_8_n,_5_usubi,_6_usubj) # bld/herlev/final/default/src/fusion/domain.mbi:639:10-654:11
        _8_n = numpy.int64(_8_n) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:639:10-654:11
        _9_inst=numpy.zeros((_8_n,2,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:655:14-18
        _10_lbv=numpy.zeros((_8_n,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/domain.mbi:656:14-17
        _11_ubv=numpy.zeros((_8_n,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/domain.mbi:657:14-17
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:659:10-700:11
        fragments._c_closure_276(_9_inst,_10_lbv,_2_lsubi,_3_lsubj,_4_lval,_11_ubv,_5_usubi,_6_usubj,_7_uval) # bld/herlev/final/default/src/fusion/domain.mbi:659:10-700:11
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:659:10-700:11
        return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I_3_5II(False,_10_lbv,_11_ubv,numpy.array([(_0_lb._dimi),(_0_lb._dimj)], dtype=numpy.dtype(numpy.int32)),_9_inst,1)) # bld/herlev/final/default/src/fusion/domain.mbi:702:10-79
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:628:45-703:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:704:13-740:9
        _12_dimj=(_0_lb._dimj) # bld/herlev/final/default/src/fusion/domain.mbi:705:30-34
        _13_dimi=(_0_lb._dimi) # bld/herlev/final/default/src/fusion/domain.mbi:705:14-18
        _14_n=(_13_dimi * _12_dimj) # bld/herlev/final/default/src/fusion/domain.mbi:706:14-15
        # var _15_lval @ bld/herlev/final/default/src/fusion/domain.mbi:708:14-28
        # var _16_uval @ bld/herlev/final/default/src/fusion/domain.mbi:709:14-28
        if _0_lb._isSparse_(): # bld/herlev/final/default/src/fusion/domain.mbi:711:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:711:29-720:11
          _15_lval = numpy.zeros((_14_n,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/domain.mbi:712:12-36
          _17_subi=numpy.zeros((_0_lb._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:713:16-20
          _18_subj=numpy.zeros((_0_lb._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:714:16-20
          _19_v=numpy.zeros((_0_lb._numNonzeros_(),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/domain.mbi:715:16-17
          _0_lb._getDataAsTriplets__3I_3I_3D(_17_subi,_18_subj,_19_v) # bld/herlev/final/default/src/fusion/domain.mbi:717:12-46
          fragments._c_closure_277(_12_dimj,_15_lval,_17_subi,_18_subj,_19_v) # bld/herlev/final/default/src/fusion/domain.mbi:718:12-719:48
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:711:29-720:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:721:15-723:11
          _15_lval = _0_lb._getDataAsArray_() # bld/herlev/final/default/src/fusion/domain.mbi:722:12-39
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:721:15-723:11
        if _1_ub._isSparse_(): # bld/herlev/final/default/src/fusion/domain.mbi:725:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:725:29-734:11
          _16_uval = numpy.zeros((_14_n,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/domain.mbi:726:12-36
          _20_subi=numpy.zeros((_1_ub._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:727:16-20
          _21_subj=numpy.zeros((_1_ub._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:728:16-20
          _22_v=numpy.zeros((_1_ub._numNonzeros_(),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/domain.mbi:729:16-17
          _1_ub._getDataAsTriplets__3I_3I_3D(_20_subi,_21_subj,_22_v) # bld/herlev/final/default/src/fusion/domain.mbi:731:12-46
          fragments._c_closure_278(_12_dimj,_20_subi,_21_subj,_16_uval,_22_v) # bld/herlev/final/default/src/fusion/domain.mbi:732:12-733:48
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:725:29-734:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:735:15-737:11
          _16_uval = _1_ub._getDataAsArray_() # bld/herlev/final/default/src/fusion/domain.mbi:736:12-39
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:735:15-737:11
        return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I_3_5II(False,_15_lval,_16_uval,numpy.array([(_0_lb._dimi),(_0_lb._dimj)], dtype=numpy.dtype(numpy.int32)),None,1)) # bld/herlev/final/default/src/fusion/domain.mbi:739:10-80
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:704:13-740:9
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:624:79-741:7
    @staticmethod
    def __mkRangedDomain_alt__3_5D_3_5D(_t__0_lb,_t__1_ub):
      _0_lb=numpy.array(_t__0_lb,ndmin=_monty.checkShape(_t__0_lb,2),dtype=numpy.dtype(numpy.float64))
      _1_ub=numpy.array(_t__1_ub,ndmin=_monty.checkShape(_t__1_ub,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Domain.__mkRangedDomain__3_5D_3_5D(_0_lb,_1_ub)
      return _1
    @staticmethod
    def __mkRangedDomain__3_5D_3_5D(_0_lb,_1_ub):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:603:85-622:7
      if ((int((_0_lb).shape[0])!=int((_1_ub).shape[0])) or (int((_0_lb).shape[1])!=int((_1_ub).shape[1]))): # bld/herlev/final/default/src/fusion/domain.mbi:604:12-60
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:605:10-71
        raise mosek_fusion_DimensionError._ctor_S("Mismatching dimensions in domain") # bld/herlev/final/default/src/fusion/domain.mbi:605:10-71
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:605:10-71
      _2_dimj=int((_0_lb).shape[1]) # bld/herlev/final/default/src/fusion/domain.mbi:607:30-34
      _3_dimi=int((_0_lb).shape[0]) # bld/herlev/final/default/src/fusion/domain.mbi:607:12-16
      _4_n=(_3_dimi * _2_dimj) # bld/herlev/final/default/src/fusion/domain.mbi:608:12-13
      _5_lval=numpy.zeros((_4_n,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/domain.mbi:610:12-16
      _6_uval=numpy.zeros((_4_n,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/domain.mbi:611:12-16
      _7_k=0 # bld/herlev/final/default/src/fusion/domain.mbi:612:12-13
      _7_k = fragments._c_closure_279(_3_dimi,_2_dimj,_7_k,_0_lb,_5_lval,_1_ub,_6_uval) # bld/herlev/final/default/src/fusion/domain.mbi:613:8-618:11
      _7_k = numpy.int32(_7_k) # postprocess
      return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I_3_5II(False,_5_lval,_6_uval,numpy.array([_3_dimi,_2_dimj], dtype=numpy.dtype(numpy.int32)),None,1)) # bld/herlev/final/default/src/fusion/domain.mbi:620:8-72
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:603:85-622:7
    @staticmethod
    def __mkLinearDomain_alt_Emosek_4fusion_4RelationKey_2Lmosek_4fusion_4Matrix_2(_t__0_k,_t__1_mx):
      return mosek_fusion_Domain.__mkLinearDomain_Emosek_4fusion_4RelationKey_2Lmosek_4fusion_4Matrix_2(__0_k,_1_mx)
    @staticmethod
    def __mkLinearDomain_Emosek_4fusion_4RelationKey_2Lmosek_4fusion_4Matrix_2(_0_k,_1_mx):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:584:6-601:7
      if _1_mx._isSparse_(): # bld/herlev/final/default/src/fusion/domain.mbi:585:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:586:8-598:9
        _2_msubi=numpy.zeros((_1_mx._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:587:14-19
        _3_msubj=numpy.zeros((_1_mx._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:588:14-19
        _4_mval=numpy.zeros((_1_mx._numNonzeros_(),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/domain.mbi:589:14-18
        _1_mx._getDataAsTriplets__3I_3I_3D(_2_msubi,_3_msubj,_4_mval) # bld/herlev/final/default/src/fusion/domain.mbi:590:10-49
        _5_inst=numpy.zeros((int((_2_msubi).shape[0]),2,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/domain.mbi:591:14-18
        fragments._c_closure_280(_5_inst,_2_msubi,_3_msubj) # bld/herlev/final/default/src/fusion/domain.mbi:592:10-595:11
        return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I_3_5II(_0_k,False,_4_mval,numpy.array([(_1_mx._dimi),(_1_mx._dimj)], dtype=numpy.dtype(numpy.int32)),_5_inst,1)) # bld/herlev/final/default/src/fusion/domain.mbi:597:10-81
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:586:8-598:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:600:10-96
        return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I_3_5II(_0_k,False,_1_mx._getDataAsArray_(),numpy.array([(_1_mx._dimi),(_1_mx._dimj)], dtype=numpy.dtype(numpy.int32)),None,1)) # bld/herlev/final/default/src/fusion/domain.mbi:600:10-96
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:600:10-96
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:584:6-601:7
    @staticmethod
    def __prod_alt__3I(_t__0_dim):
      _0_dim=numpy.array(_t__0_dim,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain.__prod__3I(_0_dim)
      try:
        _t__0_dim[:] = _0_dim
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __prod__3I(_0_dim):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:581:52-121
      _1_r=1 # bld/herlev/final/default/src/fusion/domain.mbi:581:58-65
      _1_r = fragments._c_closure_281(_0_dim,_1_r) # bld/herlev/final/default/src/fusion/domain.mbi:581:71-109
      _1_r = numpy.int64(_1_r) # postprocess
      return numpy.int64(_1_r) # bld/herlev/final/default/src/fusion/domain.mbi:581:110-119
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:581:52-121
    @staticmethod
    def __inRange_alt_Z_3D_3D_3_5I_3I(_t__0_scalable,_t__1_lb,_t__2_ub,_t__3_sp,_t__4_dims):
      _0_scalable=_t__0_scalable
      _1_lb=numpy.array(_t__1_lb,dtype=numpy.dtype(numpy.float64))
      _2_ub=numpy.array(_t__2_ub,dtype=numpy.dtype(numpy.float64))
      _3_sp=numpy.array(_t__3_sp,ndmin=_monty.checkShape(_t__3_sp,2),dtype=numpy.dtype(numpy.int32))
      _4_dims=numpy.array(_t__4_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain.__inRange_Z_3D_3D_3_5I_3I(_0_scalable,_1_lb,_2_ub,_3_sp,_4_dims)
      try:
        _t__1_lb[:] = _1_lb
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_ub[:] = _2_ub
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_dims[:] = _4_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __inRange_Z_3D_3D_3_5I_3I(_0_scalable,_1_lb,_2_ub,_3_sp,_4_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:565:6-579:7
      if ((not _0_scalable) and (int((_1_lb).shape[0])!=int((_2_ub).shape[0]))): # bld/herlev/final/default/src/fusion/domain.mbi:566:12-47
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:567:10-82
        raise mosek_fusion_LengthError._ctor_S("Mismatching lengths of upper and lower bounds.") # bld/herlev/final/default/src/fusion/domain.mbi:567:10-82
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:567:10-82
      if ((_3_sp is not None) and (int((_3_sp).shape[0])!=int((_1_lb).shape[0]))): # bld/herlev/final/default/src/fusion/domain.mbi:568:12-47
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:569:10-91
        raise mosek_fusion_LengthError._ctor_S("Mismatching lengths of upper/lower bounds and sparsity.") # bld/herlev/final/default/src/fusion/domain.mbi:569:10-91
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:569:10-91
      for _5_i in range(0,int((_2_ub).shape[0])): # bld/herlev/final/default/src/fusion/domain.mbi:571:8-573:61
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:572:10-573:61
        if (_1_lb[_5_i] > _2_ub[_5_i]): # bld/herlev/final/default/src/fusion/domain.mbi:572:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:573:12-61
          raise mosek_fusion_DomainError._ctor_S("Invalid range specified") # bld/herlev/final/default/src/fusion/domain.mbi:573:12-61
          # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:573:12-61
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:572:10-573:61
      if ((_4_dims is not None) and (mosek.fusion.Domain.__dimsize__3I(_4_dims)!=int((_1_lb).shape[0]))): # bld/herlev/final/default/src/fusion/domain.mbi:575:12-53
        # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:576:10-59
        raise mosek_fusion_LengthError._ctor_S("Mismatching dimensions.") # bld/herlev/final/default/src/fusion/domain.mbi:576:10-59
        # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:576:10-59
      return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I(_0_scalable,_1_lb,_2_ub,_4_dims)._sparse__3_5I(_3_sp)) # bld/herlev/final/default/src/fusion/domain.mbi:578:8-63
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:565:6-579:7
    @staticmethod
    def _match_symmetric_Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 1: return False
      _0_rd, = args
      return (    __arg_match_Lmosek_4fusion_4RangeDomain_2__(_0_rd))
    @staticmethod
    def _match_alt_symmetric_Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 1: return False
      _0_rd, = args
      return (    __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(_0_rd))
    @staticmethod
    def _symmetric_alt_Lmosek_4fusion_4RangeDomain_2(_t__0_rd):
      return mosek_fusion_Domain._symmetric_Lmosek_4fusion_4RangeDomain_2(_0_rd)
    @staticmethod
    def _symmetric_Lmosek_4fusion_4RangeDomain_2(_0_rd):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:561:77-103
      return (_0_rd._symmetric_()) # bld/herlev/final/default/src/fusion/domain.mbi:561:79-101
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:561:77-103
    @staticmethod
    def _match_symmetric_Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 1: return False
      _0_ld, = args
      return (    __arg_match_Lmosek_4fusion_4LinearDomain_2__(_0_ld))
    @staticmethod
    def _match_alt_symmetric_Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 1: return False
      _0_ld, = args
      return (    __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(_0_ld))
    @staticmethod
    def _symmetric_alt_Lmosek_4fusion_4LinearDomain_2(_t__0_ld):
      return mosek_fusion_Domain._symmetric_Lmosek_4fusion_4LinearDomain_2(_0_ld)
    @staticmethod
    def _symmetric_Lmosek_4fusion_4LinearDomain_2(_0_ld):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:560:77-103
      return (_0_ld._symmetric_()) # bld/herlev/final/default/src/fusion/domain.mbi:560:79-101
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:560:77-103
    @staticmethod
    def _match_sparse_Lmosek_4fusion_4RangeDomain_2_3_5I(*args):
      if len(args) != 2: return False
      _0_rd,_1_sparsity, = args
      return (    __arg_match_Lmosek_4fusion_4RangeDomain_2__(_0_rd)
              and __arg_match__3_5I__(_1_sparsity))
    @staticmethod
    def _match_alt_sparse_Lmosek_4fusion_4RangeDomain_2_3_5I(*args):
      if len(args) != 2: return False
      _0_rd,_1_sparsity, = args
      return (    __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(_0_rd)
              and __arg_alt_match__3_5I__(_1_sparsity))
    @staticmethod
    def _sparse_alt_Lmosek_4fusion_4RangeDomain_2_3_5I(_t__0_rd,_t__1_sparsity):
      _0_rd=_t__0_rd
      _1_sparsity=numpy.array(_t__1_sparsity,ndmin=_monty.checkShape(_t__1_sparsity,2),dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._sparse_Lmosek_4fusion_4RangeDomain_2_3_5I(_0_rd,_1_sparsity)
      return _1
    @staticmethod
    def _sparse_Lmosek_4fusion_4RangeDomain_2_3_5I(_0_rd,_1_sparsity):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:557:87-118
      return (_0_rd._sparse__3_5I(_1_sparsity)) # bld/herlev/final/default/src/fusion/domain.mbi:557:89-116
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:557:87-118
    @staticmethod
    def _match_sparse_Lmosek_4fusion_4RangeDomain_2_3I(*args):
      if len(args) != 2: return False
      _0_rd,_1_sparsity, = args
      return (    __arg_match_Lmosek_4fusion_4RangeDomain_2__(_0_rd)
              and __arg_match__3I__(_1_sparsity))
    @staticmethod
    def _match_alt_sparse_Lmosek_4fusion_4RangeDomain_2_3I(*args):
      if len(args) != 2: return False
      _0_rd,_1_sparsity, = args
      return (    __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(_0_rd)
              and __arg_alt_match__3I__(_1_sparsity))
    @staticmethod
    def _sparse_alt_Lmosek_4fusion_4RangeDomain_2_3I(_t__0_rd,_t__1_sparsity):
      _0_rd=_t__0_rd
      _1_sparsity=numpy.array(_t__1_sparsity,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._sparse_Lmosek_4fusion_4RangeDomain_2_3I(_0_rd,_1_sparsity)
      try:
        _t__1_sparsity[:] = _1_sparsity
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _sparse_Lmosek_4fusion_4RangeDomain_2_3I(_0_rd,_1_sparsity):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:556:87-118
      return (_0_rd._sparse__3I(_1_sparsity)) # bld/herlev/final/default/src/fusion/domain.mbi:556:89-116
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:556:87-118
    @staticmethod
    def _match_sparse_Lmosek_4fusion_4LinearDomain_2_3_5I(*args):
      if len(args) != 2: return False
      _0_ld,_1_sparsity, = args
      return (    __arg_match_Lmosek_4fusion_4LinearDomain_2__(_0_ld)
              and __arg_match__3_5I__(_1_sparsity))
    @staticmethod
    def _match_alt_sparse_Lmosek_4fusion_4LinearDomain_2_3_5I(*args):
      if len(args) != 2: return False
      _0_ld,_1_sparsity, = args
      return (    __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(_0_ld)
              and __arg_alt_match__3_5I__(_1_sparsity))
    @staticmethod
    def _sparse_alt_Lmosek_4fusion_4LinearDomain_2_3_5I(_t__0_ld,_t__1_sparsity):
      _0_ld=_t__0_ld
      _1_sparsity=numpy.array(_t__1_sparsity,ndmin=_monty.checkShape(_t__1_sparsity,2),dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._sparse_Lmosek_4fusion_4LinearDomain_2_3_5I(_0_ld,_1_sparsity)
      return _1
    @staticmethod
    def _sparse_Lmosek_4fusion_4LinearDomain_2_3_5I(_0_ld,_1_sparsity):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:555:87-118
      return (_0_ld._sparse__3_5I(_1_sparsity)) # bld/herlev/final/default/src/fusion/domain.mbi:555:89-116
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:555:87-118
    @staticmethod
    def _match_sparse_Lmosek_4fusion_4LinearDomain_2_3I(*args):
      if len(args) != 2: return False
      _0_ld,_1_sparsity, = args
      return (    __arg_match_Lmosek_4fusion_4LinearDomain_2__(_0_ld)
              and __arg_match__3I__(_1_sparsity))
    @staticmethod
    def _match_alt_sparse_Lmosek_4fusion_4LinearDomain_2_3I(*args):
      if len(args) != 2: return False
      _0_ld,_1_sparsity, = args
      return (    __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(_0_ld)
              and __arg_alt_match__3I__(_1_sparsity))
    @staticmethod
    def _sparse_alt_Lmosek_4fusion_4LinearDomain_2_3I(_t__0_ld,_t__1_sparsity):
      _0_ld=_t__0_ld
      _1_sparsity=numpy.array(_t__1_sparsity,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._sparse_Lmosek_4fusion_4LinearDomain_2_3I(_0_ld,_1_sparsity)
      try:
        _t__1_sparsity[:] = _1_sparsity
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _sparse_Lmosek_4fusion_4LinearDomain_2_3I(_0_ld,_1_sparsity):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:554:87-118
      return (_0_ld._sparse__3I(_1_sparsity)) # bld/herlev/final/default/src/fusion/domain.mbi:554:89-116
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:554:87-118
    @staticmethod
    def _match_integral_Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 1: return False
      _0_rd, = args
      return (    __arg_match_Lmosek_4fusion_4RangeDomain_2__(_0_rd))
    @staticmethod
    def _match_alt_integral_Lmosek_4fusion_4RangeDomain_2(*args):
      if len(args) != 1: return False
      _0_rd, = args
      return (    __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(_0_rd))
    @staticmethod
    def _integral_alt_Lmosek_4fusion_4RangeDomain_2(_t__0_rd):
      return mosek_fusion_Domain._integral_Lmosek_4fusion_4RangeDomain_2(_0_rd)
    @staticmethod
    def _integral_Lmosek_4fusion_4RangeDomain_2(_0_rd):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:552:67-92
      return (_0_rd._integral_()) # bld/herlev/final/default/src/fusion/domain.mbi:552:69-90
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:552:67-92
    @staticmethod
    def _match_integral_Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 1: return False
      _0_ld, = args
      return (    __arg_match_Lmosek_4fusion_4LinearDomain_2__(_0_ld))
    @staticmethod
    def _match_alt_integral_Lmosek_4fusion_4LinearDomain_2(*args):
      if len(args) != 1: return False
      _0_ld, = args
      return (    __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(_0_ld))
    @staticmethod
    def _integral_alt_Lmosek_4fusion_4LinearDomain_2(_t__0_ld):
      return mosek_fusion_Domain._integral_Lmosek_4fusion_4LinearDomain_2(_0_ld)
    @staticmethod
    def _integral_Lmosek_4fusion_4LinearDomain_2(_0_ld):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:551:67-92
      return (_0_ld._integral_()) # bld/herlev/final/default/src/fusion/domain.mbi:551:69-90
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:551:67-92
    @staticmethod
    def _match_integral_Lmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 1: return False
      _0_c, = args
      return (    __arg_match_Lmosek_4fusion_4ConeDomain_2__(_0_c))
    @staticmethod
    def _match_alt_integral_Lmosek_4fusion_4ConeDomain_2(*args):
      if len(args) != 1: return False
      _0_c, = args
      return (    __arg_alt_match_Lmosek_4fusion_4ConeDomain_2__(_0_c))
    @staticmethod
    def _integral_alt_Lmosek_4fusion_4ConeDomain_2(_t__0_c):
      return mosek_fusion_Domain._integral_Lmosek_4fusion_4ConeDomain_2(_0_c)
    @staticmethod
    def _integral_Lmosek_4fusion_4ConeDomain_2(_0_c):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:550:64-88
      return (_0_c._integral_()) # bld/herlev/final/default/src/fusion/domain.mbi:550:66-86
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:550:64-88
    @staticmethod
    def _match_axis_Lmosek_4fusion_4ConeDomain_2I(*args):
      if len(args) != 2: return False
      _0_c,_1_a, = args
      return (    __arg_match_Lmosek_4fusion_4ConeDomain_2__(_0_c)
              and __arg_match_I__(_1_a))
    @staticmethod
    def _match_alt_axis_Lmosek_4fusion_4ConeDomain_2I(*args):
      if len(args) != 2: return False
      _0_c,_1_a, = args
      return (    __arg_alt_match_Lmosek_4fusion_4ConeDomain_2__(_0_c)
              and __arg_alt_match_I__(_1_a))
    @staticmethod
    def _axis_alt_Lmosek_4fusion_4ConeDomain_2I(_t__0_c,_t__1_a):
      return mosek_fusion_Domain._axis_Lmosek_4fusion_4ConeDomain_2I(_0_c,numpy.int32(__1_a))
    @staticmethod
    def _axis_Lmosek_4fusion_4ConeDomain_2I(_0_c,_1_a):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:548:72-93
      return (_0_c._axis_I(_1_a)) # bld/herlev/final/default/src/fusion/domain.mbi:548:74-91
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:548:72-93
    @staticmethod
    def _match_inDPowerCone__3D_3I(*args):
      if len(args) != 2: return False
      _0_alphas,_1_dims, = args
      return (    __arg_match__3D__(_0_alphas)
              and __arg_match__3I__(_1_dims))
    @staticmethod
    def _match_alt_inDPowerCone__3D_3I(*args):
      if len(args) != 2: return False
      _0_alphas,_1_dims, = args
      return (    __arg_alt_match__3D__(_0_alphas)
              and __arg_alt_match__3I__(_1_dims))
    @staticmethod
    def _inDPowerCone_alt__3D_3I(_t__0_alphas,_t__1_dims):
      _0_alphas=numpy.array(_t__0_alphas,dtype=numpy.dtype(numpy.float64))
      _1_dims=numpy.array(_t__1_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._inDPowerCone__3D_3I(_0_alphas,_1_dims)
      try:
        _t__0_alphas[:] = _0_alphas
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_dims[:] = _1_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inDPowerCone__3D_3I(_0_alphas,_1_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:545:87-178
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3D_3I(mosek.fusion.QConeKey.InDPowCone,_0_alphas,numpy.array([_1_dims[_2_i] for _2_i in range(0,int((_1_dims).shape[0]))], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:545:89-176
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:545:87-178
    @staticmethod
    def _match_inDPowerCone__3DI(*args):
      if len(args) != 2: return False
      _0_alphas,_1_m, = args
      return (    __arg_match__3D__(_0_alphas)
              and __arg_match_I__(_1_m))
    @staticmethod
    def _match_alt_inDPowerCone__3DI(*args):
      if len(args) != 2: return False
      _0_alphas,_1_m, = args
      return (    __arg_alt_match__3D__(_0_alphas)
              and __arg_alt_match_I__(_1_m))
    @staticmethod
    def _inDPowerCone_alt__3DI(_t__0_alphas,_t__1_m):
      _0_alphas=numpy.array(_t__0_alphas,dtype=numpy.dtype(numpy.float64))
      _1_m=numpy.int32(_t__1_m)
      _1 = mosek_fusion_Domain._inDPowerCone__3DI(_0_alphas,_1_m)
      try:
        _t__0_alphas[:] = _0_alphas
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inDPowerCone__3DI(_0_alphas,_1_m):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:544:87-153
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3D_3I(mosek.fusion.QConeKey.InDPowCone,_0_alphas,numpy.array([_1_m,3], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:544:89-151
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:544:87-153
    @staticmethod
    def _match_inDPowerCone__3D(*args):
      if len(args) != 1: return False
      _0_alphas, = args
      return (    __arg_match__3D__(_0_alphas))
    @staticmethod
    def _match_alt_inDPowerCone__3D(*args):
      if len(args) != 1: return False
      _0_alphas, = args
      return (    __arg_alt_match__3D__(_0_alphas))
    @staticmethod
    def _inDPowerCone_alt__3D(_t__0_alphas):
      _0_alphas=numpy.array(_t__0_alphas,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Domain._inDPowerCone__3D(_0_alphas)
      try:
        _t__0_alphas[:] = _0_alphas
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inDPowerCone__3D(_0_alphas):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:543:87-147
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3D_3I(mosek.fusion.QConeKey.InDPowCone,_0_alphas,None)) # bld/herlev/final/default/src/fusion/domain.mbi:543:89-145
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:543:87-147
    @staticmethod
    def _match_inDPowerCone_D_3I(*args):
      if len(args) != 2: return False
      _0_alpha,_1_dims, = args
      return (    __arg_match_D__(_0_alpha)
              and __arg_match__3I__(_1_dims))
    @staticmethod
    def _match_alt_inDPowerCone_D_3I(*args):
      if len(args) != 2: return False
      _0_alpha,_1_dims, = args
      return (    __arg_alt_match_D__(_0_alpha)
              and __arg_alt_match__3I__(_1_dims))
    @staticmethod
    def _inDPowerCone_alt_D_3I(_t__0_alpha,_t__1_dims):
      _0_alpha=numpy.float64(_t__0_alpha)
      _1_dims=numpy.array(_t__1_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._inDPowerCone_D_3I(_0_alpha,_1_dims)
      try:
        _t__1_dims[:] = _1_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inDPowerCone_D_3I(_0_alpha,_1_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:541:84-191
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3D_3I(mosek.fusion.QConeKey.InDPowCone,numpy.array([_0_alpha,(1.0 - _0_alpha)], dtype=numpy.dtype(numpy.float64)),numpy.array([_1_dims[_2_i] for _2_i in range(0,int((_1_dims).shape[0]))], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:541:86-189
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:541:84-191
    @staticmethod
    def _match_inDPowerCone_DI(*args):
      if len(args) != 2: return False
      _0_alpha,_1_m, = args
      return (    __arg_match_D__(_0_alpha)
              and __arg_match_I__(_1_m))
    @staticmethod
    def _match_alt_inDPowerCone_DI(*args):
      if len(args) != 2: return False
      _0_alpha,_1_m, = args
      return (    __arg_alt_match_D__(_0_alpha)
              and __arg_alt_match_I__(_1_m))
    @staticmethod
    def _inDPowerCone_alt_DI(_t__0_alpha,_t__1_m):
      return mosek_fusion_Domain._inDPowerCone_DI(numpy.float64(__0_alpha),numpy.int32(__1_m))
    @staticmethod
    def _inDPowerCone_DI(_0_alpha,_1_m):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:540:84-166
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3D_3I(mosek.fusion.QConeKey.InDPowCone,numpy.array([_0_alpha,(1.0 - _0_alpha)], dtype=numpy.dtype(numpy.float64)),numpy.array([_1_m,3], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:540:86-164
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:540:84-166
    @staticmethod
    def _match_inDPowerCone_D(*args):
      if len(args) != 1: return False
      _0_alpha, = args
      return (    __arg_match_D__(_0_alpha))
    @staticmethod
    def _match_alt_inDPowerCone_D(*args):
      if len(args) != 1: return False
      _0_alpha, = args
      return (    __arg_alt_match_D__(_0_alpha))
    @staticmethod
    def _inDPowerCone_alt_D(_t__0_alpha):
      return mosek_fusion_Domain._inDPowerCone_D(numpy.float64(__0_alpha))
    @staticmethod
    def _inDPowerCone_D(_0_alpha):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:539:84-160
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3D_3I(mosek.fusion.QConeKey.InDPowCone,numpy.array([_0_alpha,(1.0 - _0_alpha)], dtype=numpy.dtype(numpy.float64)),None)) # bld/herlev/final/default/src/fusion/domain.mbi:539:86-158
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:539:84-160
    @staticmethod
    def _match_inPPowerCone__3D_3I(*args):
      if len(args) != 2: return False
      _0_alphas,_1_dims, = args
      return (    __arg_match__3D__(_0_alphas)
              and __arg_match__3I__(_1_dims))
    @staticmethod
    def _match_alt_inPPowerCone__3D_3I(*args):
      if len(args) != 2: return False
      _0_alphas,_1_dims, = args
      return (    __arg_alt_match__3D__(_0_alphas)
              and __arg_alt_match__3I__(_1_dims))
    @staticmethod
    def _inPPowerCone_alt__3D_3I(_t__0_alphas,_t__1_dims):
      _0_alphas=numpy.array(_t__0_alphas,dtype=numpy.dtype(numpy.float64))
      _1_dims=numpy.array(_t__1_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._inPPowerCone__3D_3I(_0_alphas,_1_dims)
      try:
        _t__0_alphas[:] = _0_alphas
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_dims[:] = _1_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inPPowerCone__3D_3I(_0_alphas,_1_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:536:87-178
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3D_3I(mosek.fusion.QConeKey.InPPowCone,_0_alphas,numpy.array([_1_dims[_2_i] for _2_i in range(0,int((_1_dims).shape[0]))], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:536:89-176
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:536:87-178
    @staticmethod
    def _match_inPPowerCone__3DI(*args):
      if len(args) != 2: return False
      _0_alphas,_1_m, = args
      return (    __arg_match__3D__(_0_alphas)
              and __arg_match_I__(_1_m))
    @staticmethod
    def _match_alt_inPPowerCone__3DI(*args):
      if len(args) != 2: return False
      _0_alphas,_1_m, = args
      return (    __arg_alt_match__3D__(_0_alphas)
              and __arg_alt_match_I__(_1_m))
    @staticmethod
    def _inPPowerCone_alt__3DI(_t__0_alphas,_t__1_m):
      _0_alphas=numpy.array(_t__0_alphas,dtype=numpy.dtype(numpy.float64))
      _1_m=numpy.int32(_t__1_m)
      _1 = mosek_fusion_Domain._inPPowerCone__3DI(_0_alphas,_1_m)
      try:
        _t__0_alphas[:] = _0_alphas
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inPPowerCone__3DI(_0_alphas,_1_m):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:535:87-153
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3D_3I(mosek.fusion.QConeKey.InPPowCone,_0_alphas,numpy.array([_1_m,3], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:535:89-151
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:535:87-153
    @staticmethod
    def _match_inPPowerCone__3D(*args):
      if len(args) != 1: return False
      _0_alphas, = args
      return (    __arg_match__3D__(_0_alphas))
    @staticmethod
    def _match_alt_inPPowerCone__3D(*args):
      if len(args) != 1: return False
      _0_alphas, = args
      return (    __arg_alt_match__3D__(_0_alphas))
    @staticmethod
    def _inPPowerCone_alt__3D(_t__0_alphas):
      _0_alphas=numpy.array(_t__0_alphas,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Domain._inPPowerCone__3D(_0_alphas)
      try:
        _t__0_alphas[:] = _0_alphas
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inPPowerCone__3D(_0_alphas):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:534:87-147
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3D_3I(mosek.fusion.QConeKey.InPPowCone,_0_alphas,None)) # bld/herlev/final/default/src/fusion/domain.mbi:534:89-145
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:534:87-147
    @staticmethod
    def _match_inPPowerCone_D_3I(*args):
      if len(args) != 2: return False
      _0_alpha,_1_dims, = args
      return (    __arg_match_D__(_0_alpha)
              and __arg_match__3I__(_1_dims))
    @staticmethod
    def _match_alt_inPPowerCone_D_3I(*args):
      if len(args) != 2: return False
      _0_alpha,_1_dims, = args
      return (    __arg_alt_match_D__(_0_alpha)
              and __arg_alt_match__3I__(_1_dims))
    @staticmethod
    def _inPPowerCone_alt_D_3I(_t__0_alpha,_t__1_dims):
      _0_alpha=numpy.float64(_t__0_alpha)
      _1_dims=numpy.array(_t__1_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._inPPowerCone_D_3I(_0_alpha,_1_dims)
      try:
        _t__1_dims[:] = _1_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inPPowerCone_D_3I(_0_alpha,_1_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:532:84-191
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3D_3I(mosek.fusion.QConeKey.InPPowCone,numpy.array([_0_alpha,(1.0 - _0_alpha)], dtype=numpy.dtype(numpy.float64)),numpy.array([_1_dims[_2_i] for _2_i in range(0,int((_1_dims).shape[0]))], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:532:86-189
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:532:84-191
    @staticmethod
    def _match_inPPowerCone_DI(*args):
      if len(args) != 2: return False
      _0_alpha,_1_m, = args
      return (    __arg_match_D__(_0_alpha)
              and __arg_match_I__(_1_m))
    @staticmethod
    def _match_alt_inPPowerCone_DI(*args):
      if len(args) != 2: return False
      _0_alpha,_1_m, = args
      return (    __arg_alt_match_D__(_0_alpha)
              and __arg_alt_match_I__(_1_m))
    @staticmethod
    def _inPPowerCone_alt_DI(_t__0_alpha,_t__1_m):
      return mosek_fusion_Domain._inPPowerCone_DI(numpy.float64(__0_alpha),numpy.int32(__1_m))
    @staticmethod
    def _inPPowerCone_DI(_0_alpha,_1_m):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:531:84-166
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3D_3I(mosek.fusion.QConeKey.InPPowCone,numpy.array([_0_alpha,(1.0 - _0_alpha)], dtype=numpy.dtype(numpy.float64)),numpy.array([_1_m,3], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:531:86-164
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:531:84-166
    @staticmethod
    def _match_inPPowerCone_D(*args):
      if len(args) != 1: return False
      _0_alpha, = args
      return (    __arg_match_D__(_0_alpha))
    @staticmethod
    def _match_alt_inPPowerCone_D(*args):
      if len(args) != 1: return False
      _0_alpha, = args
      return (    __arg_alt_match_D__(_0_alpha))
    @staticmethod
    def _inPPowerCone_alt_D(_t__0_alpha):
      return mosek_fusion_Domain._inPPowerCone_D(numpy.float64(__0_alpha))
    @staticmethod
    def _inPPowerCone_D(_0_alpha):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:530:84-160
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3D_3I(mosek.fusion.QConeKey.InPPowCone,numpy.array([_0_alpha,(1.0 - _0_alpha)], dtype=numpy.dtype(numpy.float64)),None)) # bld/herlev/final/default/src/fusion/domain.mbi:530:86-158
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:530:84-160
    @staticmethod
    def _match_inDExpCone__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_match__3I__(_0_dims))
    @staticmethod
    def _match_alt_inDExpCone__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_alt_match__3I__(_0_dims))
    @staticmethod
    def _inDExpCone_alt__3I(_t__0_dims):
      _0_dims=numpy.array(_t__0_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._inDExpCone__3I(_0_dims)
      try:
        _t__0_dims[:] = _0_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inDExpCone__3I(_0_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:527:72-160
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InDExpCone,numpy.array([_0_dims[_1_i] for _1_i in range(0,int((_0_dims).shape[0]))], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:527:74-158
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:527:72-160
    @staticmethod
    def _match_inDExpCone_I(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_match_I__(_0_m))
    @staticmethod
    def _match_alt_inDExpCone_I(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_alt_match_I__(_0_m))
    @staticmethod
    def _inDExpCone_alt_I(_t__0_m):
      return mosek_fusion_Domain._inDExpCone_I(numpy.int32(__0_m))
    @staticmethod
    def _inDExpCone_I(_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:526:72-135
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InDExpCone,numpy.array([_0_m,3], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:526:74-133
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:526:72-135
    @staticmethod
    def _match_inDExpCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_inDExpCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _inDExpCone_alt_():
      return mosek_fusion_Domain._inDExpCone_()
    @staticmethod
    def _inDExpCone_():
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:525:72-129
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InDExpCone,None)) # bld/herlev/final/default/src/fusion/domain.mbi:525:74-127
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:525:72-129
    @staticmethod
    def _match_inPExpCone__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_match__3I__(_0_dims))
    @staticmethod
    def _match_alt_inPExpCone__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_alt_match__3I__(_0_dims))
    @staticmethod
    def _inPExpCone_alt__3I(_t__0_dims):
      _0_dims=numpy.array(_t__0_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._inPExpCone__3I(_0_dims)
      try:
        _t__0_dims[:] = _0_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inPExpCone__3I(_0_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:522:72-160
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InPExpCone,numpy.array([_0_dims[_1_i] for _1_i in range(0,int((_0_dims).shape[0]))], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:522:74-158
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:522:72-160
    @staticmethod
    def _match_inPExpCone_I(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_match_I__(_0_m))
    @staticmethod
    def _match_alt_inPExpCone_I(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_alt_match_I__(_0_m))
    @staticmethod
    def _inPExpCone_alt_I(_t__0_m):
      return mosek_fusion_Domain._inPExpCone_I(numpy.int32(__0_m))
    @staticmethod
    def _inPExpCone_I(_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:521:72-135
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InPExpCone,numpy.array([_0_m,3], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:521:74-133
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:521:72-135
    @staticmethod
    def _match_inPExpCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_inPExpCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _inPExpCone_alt_():
      return mosek_fusion_Domain._inPExpCone_()
    @staticmethod
    def _inPExpCone_():
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:520:72-129
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InPExpCone,None)) # bld/herlev/final/default/src/fusion/domain.mbi:520:74-127
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:520:72-129
    @staticmethod
    def _match_inDGeoMeanCone__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_match__3I__(_0_dims))
    @staticmethod
    def _match_alt_inDGeoMeanCone__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_alt_match__3I__(_0_dims))
    @staticmethod
    def _inDGeoMeanCone_alt__3I(_t__0_dims):
      _0_dims=numpy.array(_t__0_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._inDGeoMeanCone__3I(_0_dims)
      try:
        _t__0_dims[:] = _0_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inDGeoMeanCone__3I(_0_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:516:72-160
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InDGeoMeanCone,numpy.array([_0_dims[_1_i] for _1_i in range(0,int((_0_dims).shape[0]))], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:516:74-158
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:516:72-160
    @staticmethod
    def _match_inDGeoMeanCone_II(*args):
      if len(args) != 2: return False
      _0_m,_1_n, = args
      return (    __arg_match_I__(_0_m)
              and __arg_match_I__(_1_n))
    @staticmethod
    def _match_alt_inDGeoMeanCone_II(*args):
      if len(args) != 2: return False
      _0_m,_1_n, = args
      return (    __arg_alt_match_I__(_0_m)
              and __arg_alt_match_I__(_1_n))
    @staticmethod
    def _inDGeoMeanCone_alt_II(_t__0_m,_t__1_n):
      return mosek_fusion_Domain._inDGeoMeanCone_II(numpy.int32(__0_m),numpy.int32(__1_n))
    @staticmethod
    def _inDGeoMeanCone_II(_0_m,_1_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:515:72-135
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InDGeoMeanCone,numpy.array([_0_m,_1_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:515:74-133
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:515:72-135
    @staticmethod
    def _match_inDGeoMeanCone_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_inDGeoMeanCone_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    @staticmethod
    def _inDGeoMeanCone_alt_I(_t__0_n):
      return mosek_fusion_Domain._inDGeoMeanCone_I(numpy.int32(__0_n))
    @staticmethod
    def _inDGeoMeanCone_I(_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:514:72-133
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InDGeoMeanCone,numpy.array([_0_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:514:74-131
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:514:72-133
    @staticmethod
    def _match_inDGeoMeanCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_inDGeoMeanCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _inDGeoMeanCone_alt_():
      return mosek_fusion_Domain._inDGeoMeanCone_()
    @staticmethod
    def _inDGeoMeanCone_():
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:513:72-129
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InDGeoMeanCone,None)) # bld/herlev/final/default/src/fusion/domain.mbi:513:74-127
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:513:72-129
    @staticmethod
    def _match_inPGeoMeanCone__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_match__3I__(_0_dims))
    @staticmethod
    def _match_alt_inPGeoMeanCone__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_alt_match__3I__(_0_dims))
    @staticmethod
    def _inPGeoMeanCone_alt__3I(_t__0_dims):
      _0_dims=numpy.array(_t__0_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._inPGeoMeanCone__3I(_0_dims)
      try:
        _t__0_dims[:] = _0_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inPGeoMeanCone__3I(_0_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:511:72-160
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InPGeoMeanCone,numpy.array([_0_dims[_1_i] for _1_i in range(0,int((_0_dims).shape[0]))], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:511:74-158
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:511:72-160
    @staticmethod
    def _match_inPGeoMeanCone_II(*args):
      if len(args) != 2: return False
      _0_m,_1_n, = args
      return (    __arg_match_I__(_0_m)
              and __arg_match_I__(_1_n))
    @staticmethod
    def _match_alt_inPGeoMeanCone_II(*args):
      if len(args) != 2: return False
      _0_m,_1_n, = args
      return (    __arg_alt_match_I__(_0_m)
              and __arg_alt_match_I__(_1_n))
    @staticmethod
    def _inPGeoMeanCone_alt_II(_t__0_m,_t__1_n):
      return mosek_fusion_Domain._inPGeoMeanCone_II(numpy.int32(__0_m),numpy.int32(__1_n))
    @staticmethod
    def _inPGeoMeanCone_II(_0_m,_1_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:510:72-135
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InPGeoMeanCone,numpy.array([_0_m,_1_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:510:74-133
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:510:72-135
    @staticmethod
    def _match_inPGeoMeanCone_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_inPGeoMeanCone_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    @staticmethod
    def _inPGeoMeanCone_alt_I(_t__0_n):
      return mosek_fusion_Domain._inPGeoMeanCone_I(numpy.int32(__0_n))
    @staticmethod
    def _inPGeoMeanCone_I(_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:509:72-133
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InPGeoMeanCone,numpy.array([_0_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:509:74-131
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:509:72-133
    @staticmethod
    def _match_inPGeoMeanCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_inPGeoMeanCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _inPGeoMeanCone_alt_():
      return mosek_fusion_Domain._inPGeoMeanCone_()
    @staticmethod
    def _inPGeoMeanCone_():
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:508:72-129
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InPGeoMeanCone,None)) # bld/herlev/final/default/src/fusion/domain.mbi:508:74-127
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:508:72-129
    @staticmethod
    def _match_inRotatedQCone__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_match__3I__(_0_dims))
    @staticmethod
    def _match_alt_inRotatedQCone__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_alt_match__3I__(_0_dims))
    @staticmethod
    def _inRotatedQCone_alt__3I(_t__0_dims):
      _0_dims=numpy.array(_t__0_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._inRotatedQCone__3I(_0_dims)
      try:
        _t__0_dims[:] = _0_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inRotatedQCone__3I(_0_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:493:72-160
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InRotatedQCone,numpy.array([_0_dims[_1_i] for _1_i in range(0,int((_0_dims).shape[0]))], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:493:74-158
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:493:72-160
    @staticmethod
    def _match_inRotatedQCone_II(*args):
      if len(args) != 2: return False
      _0_m,_1_n, = args
      return (    __arg_match_I__(_0_m)
              and __arg_match_I__(_1_n))
    @staticmethod
    def _match_alt_inRotatedQCone_II(*args):
      if len(args) != 2: return False
      _0_m,_1_n, = args
      return (    __arg_alt_match_I__(_0_m)
              and __arg_alt_match_I__(_1_n))
    @staticmethod
    def _inRotatedQCone_alt_II(_t__0_m,_t__1_n):
      return mosek_fusion_Domain._inRotatedQCone_II(numpy.int32(__0_m),numpy.int32(__1_n))
    @staticmethod
    def _inRotatedQCone_II(_0_m,_1_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:492:72-135
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InRotatedQCone,numpy.array([_0_m,_1_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:492:74-133
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:492:72-135
    @staticmethod
    def _match_inRotatedQCone_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_inRotatedQCone_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    @staticmethod
    def _inRotatedQCone_alt_I(_t__0_n):
      return mosek_fusion_Domain._inRotatedQCone_I(numpy.int32(__0_n))
    @staticmethod
    def _inRotatedQCone_I(_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:491:72-133
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InRotatedQCone,numpy.array([_0_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:491:74-131
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:491:72-133
    @staticmethod
    def _match_inRotatedQCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_inRotatedQCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _inRotatedQCone_alt_():
      return mosek_fusion_Domain._inRotatedQCone_()
    @staticmethod
    def _inRotatedQCone_():
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:490:72-129
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InRotatedQCone,None)) # bld/herlev/final/default/src/fusion/domain.mbi:490:74-127
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:490:72-129
    @staticmethod
    def _match_inQCone__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_match__3I__(_0_dims))
    @staticmethod
    def _match_alt_inQCone__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_alt_match__3I__(_0_dims))
    @staticmethod
    def _inQCone_alt__3I(_t__0_dims):
      _0_dims=numpy.array(_t__0_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._inQCone__3I(_0_dims)
      try:
        _t__0_dims[:] = _0_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inQCone__3I(_0_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:488:72-160
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InQCone,numpy.array([_0_dims[_1_i] for _1_i in range(0,int((_0_dims).shape[0]))], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:488:74-158
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:488:72-160
    @staticmethod
    def _match_inQCone_II(*args):
      if len(args) != 2: return False
      _0_m,_1_n, = args
      return (    __arg_match_I__(_0_m)
              and __arg_match_I__(_1_n))
    @staticmethod
    def _match_alt_inQCone_II(*args):
      if len(args) != 2: return False
      _0_m,_1_n, = args
      return (    __arg_alt_match_I__(_0_m)
              and __arg_alt_match_I__(_1_n))
    @staticmethod
    def _inQCone_alt_II(_t__0_m,_t__1_n):
      return mosek_fusion_Domain._inQCone_II(numpy.int32(__0_m),numpy.int32(__1_n))
    @staticmethod
    def _inQCone_II(_0_m,_1_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:487:72-135
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InQCone,numpy.array([_0_m,_1_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:487:74-133
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:487:72-135
    @staticmethod
    def _match_inQCone_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_inQCone_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    @staticmethod
    def _inQCone_alt_I(_t__0_n):
      return mosek_fusion_Domain._inQCone_I(numpy.int32(__0_n))
    @staticmethod
    def _inQCone_I(_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:486:72-133
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InQCone,numpy.array([_0_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:486:74-131
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:486:72-133
    @staticmethod
    def _match_inQCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_inQCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _inQCone_alt_():
      return mosek_fusion_Domain._inQCone_()
    @staticmethod
    def _inQCone_():
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:485:72-129
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InQCone,None)) # bld/herlev/final/default/src/fusion/domain.mbi:485:74-127
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:485:72-129
    @staticmethod
    def _match_inSVecPSDCone__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_match__3I__(_0_dims))
    @staticmethod
    def _match_alt_inSVecPSDCone__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_alt_match__3I__(_0_dims))
    @staticmethod
    def _inSVecPSDCone_alt__3I(_t__0_dims):
      _0_dims=numpy.array(_t__0_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._inSVecPSDCone__3I(_0_dims)
      try:
        _t__0_dims[:] = _0_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inSVecPSDCone__3I(_0_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:482:73-128
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InSVecPSDCone,_0_dims)) # bld/herlev/final/default/src/fusion/domain.mbi:482:75-126
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:482:73-128
    @staticmethod
    def _match_inSVecPSDCone_II(*args):
      if len(args) != 2: return False
      _0_d1,_1_d2, = args
      return (    __arg_match_I__(_0_d1)
              and __arg_match_I__(_1_d2))
    @staticmethod
    def _match_alt_inSVecPSDCone_II(*args):
      if len(args) != 2: return False
      _0_d1,_1_d2, = args
      return (    __arg_alt_match_I__(_0_d1)
              and __arg_alt_match_I__(_1_d2))
    @staticmethod
    def _inSVecPSDCone_alt_II(_t__0_d1,_t__1_d2):
      return mosek_fusion_Domain._inSVecPSDCone_II(numpy.int32(__0_d1),numpy.int32(__1_d2))
    @staticmethod
    def _inSVecPSDCone_II(_0_d1,_1_d2):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:481:73-136
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InSVecPSDCone,numpy.array([_0_d1,_1_d2], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:481:75-134
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:481:73-136
    @staticmethod
    def _match_inSVecPSDCone_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_inSVecPSDCone_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    @staticmethod
    def _inSVecPSDCone_alt_I(_t__0_n):
      return mosek_fusion_Domain._inSVecPSDCone_I(numpy.int32(__0_n))
    @staticmethod
    def _inSVecPSDCone_I(_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:480:73-132
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InSVecPSDCone,numpy.array([_0_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:480:75-130
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:480:73-132
    @staticmethod
    def _match_inSVecPSDCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_inSVecPSDCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _inSVecPSDCone_alt_():
      return mosek_fusion_Domain._inSVecPSDCone_()
    @staticmethod
    def _inSVecPSDCone_():
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:479:73-128
      return (mosek_fusion_ConeDomain._ctor_Emosek_4fusion_4QConeKey_2_3I(mosek.fusion.QConeKey.InSVecPSDCone,None)) # bld/herlev/final/default/src/fusion/domain.mbi:479:75-126
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:479:73-128
    @staticmethod
    def _match_isTrilPSD_II(*args):
      if len(args) != 2: return False
      _0_n,_1_m, = args
      return (    __arg_match_I__(_0_n)
              and __arg_match_I__(_1_m))
    @staticmethod
    def _match_alt_isTrilPSD_II(*args):
      if len(args) != 2: return False
      _0_n,_1_m, = args
      return (    __arg_alt_match_I__(_0_n)
              and __arg_alt_match_I__(_1_m))
    @staticmethod
    def _isTrilPSD_alt_II(_t__0_n,_t__1_m):
      return mosek_fusion_Domain._isTrilPSD_II(numpy.int32(__0_n),numpy.int32(__1_m))
    @staticmethod
    def _isTrilPSD_II(_0_n,_1_m):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:469:69-130
      return (mosek_fusion_PSDDomain._ctor_Emosek_4fusion_4PSDKey_2_3III(mosek.fusion.PSDKey.IsTrilPSD,numpy.array([_1_m,_0_n,_0_n], dtype=numpy.dtype(numpy.int32)),1,2)) # bld/herlev/final/default/src/fusion/domain.mbi:469:71-128
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:469:69-130
    @staticmethod
    def _match_isTrilPSD_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_isTrilPSD_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    @staticmethod
    def _isTrilPSD_alt_I(_t__0_n):
      return mosek_fusion_Domain._isTrilPSD_I(numpy.int32(__0_n))
    @staticmethod
    def _isTrilPSD_I(_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:468:69-128
      return (mosek_fusion_PSDDomain._ctor_Emosek_4fusion_4PSDKey_2_3III(mosek.fusion.PSDKey.IsTrilPSD,numpy.array([_0_n,_0_n], dtype=numpy.dtype(numpy.int32)),0,1)) # bld/herlev/final/default/src/fusion/domain.mbi:468:71-126
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:468:69-128
    @staticmethod
    def _match_isTrilPSD_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_isTrilPSD_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _isTrilPSD_alt_():
      return mosek_fusion_Domain._isTrilPSD_()
    @staticmethod
    def _isTrilPSD_():
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:467:69-112
      return (mosek_fusion_PSDDomain._ctor_Emosek_4fusion_4PSDKey_2(mosek.fusion.PSDKey.IsTrilPSD)) # bld/herlev/final/default/src/fusion/domain.mbi:467:71-110
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:467:69-112
    @staticmethod
    def _match_inPSDCone_II(*args):
      if len(args) != 2: return False
      _0_n,_1_m, = args
      return (    __arg_match_I__(_0_n)
              and __arg_match_I__(_1_m))
    @staticmethod
    def _match_alt_inPSDCone_II(*args):
      if len(args) != 2: return False
      _0_n,_1_m, = args
      return (    __arg_alt_match_I__(_0_n)
              and __arg_alt_match_I__(_1_m))
    @staticmethod
    def _inPSDCone_alt_II(_t__0_n,_t__1_m):
      return mosek_fusion_Domain._inPSDCone_II(numpy.int32(__0_n),numpy.int32(__1_m))
    @staticmethod
    def _inPSDCone_II(_0_n,_1_m):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:465:69-126
      return (mosek_fusion_PSDDomain._ctor_Emosek_4fusion_4PSDKey_2_3I(mosek.fusion.PSDKey.IsSymPSD,numpy.array([_1_m,_0_n,_0_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:465:71-124
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:465:69-126
    @staticmethod
    def _match_inPSDCone_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_inPSDCone_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    @staticmethod
    def _inPSDCone_alt_I(_t__0_n):
      return mosek_fusion_Domain._inPSDCone_I(numpy.int32(__0_n))
    @staticmethod
    def _inPSDCone_I(_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:464:69-124
      return (mosek_fusion_PSDDomain._ctor_Emosek_4fusion_4PSDKey_2_3I(mosek.fusion.PSDKey.IsSymPSD,numpy.array([_0_n,_0_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:464:71-122
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:464:69-124
    @staticmethod
    def _match_inPSDCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_inPSDCone_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _inPSDCone_alt_():
      return mosek_fusion_Domain._inPSDCone_()
    @staticmethod
    def _inPSDCone_():
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:463:69-111
      return (mosek_fusion_PSDDomain._ctor_Emosek_4fusion_4PSDKey_2(mosek.fusion.PSDKey.IsSymPSD)) # bld/herlev/final/default/src/fusion/domain.mbi:463:71-109
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:463:69-111
    @staticmethod
    def _match_binary_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_binary_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _binary_alt_():
      return mosek_fusion_Domain._binary_()
    @staticmethod
    def _binary_():
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:460:84-160
      return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I(True,numpy.array([0.0], dtype=numpy.dtype(numpy.float64)),numpy.array([1.0], dtype=numpy.dtype(numpy.float64)),None)._integral_()) # bld/herlev/final/default/src/fusion/domain.mbi:460:86-158
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:460:84-160
    @staticmethod
    def _match_binary__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_match__3I__(_0_dims))
    @staticmethod
    def _match_alt_binary__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_alt_match__3I__(_0_dims))
    @staticmethod
    def _binary_alt__3I(_t__0_dims):
      _0_dims=numpy.array(_t__0_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._binary__3I(_0_dims)
      try:
        _t__0_dims[:] = _0_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _binary__3I(_0_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:459:84-160
      return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I(False,numpy.array([0.0], dtype=numpy.dtype(numpy.float64)),numpy.array([1.0], dtype=numpy.dtype(numpy.float64)),_0_dims)._integral_()) # bld/herlev/final/default/src/fusion/domain.mbi:459:86-158
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:459:84-160
    @staticmethod
    def _match_binary_II(*args):
      if len(args) != 2: return False
      _0_m,_1_n, = args
      return (    __arg_match_I__(_0_m)
              and __arg_match_I__(_1_n))
    @staticmethod
    def _match_alt_binary_II(*args):
      if len(args) != 2: return False
      _0_m,_1_n, = args
      return (    __arg_alt_match_I__(_0_m)
              and __arg_alt_match_I__(_1_n))
    @staticmethod
    def _binary_alt_II(_t__0_m,_t__1_n):
      return mosek_fusion_Domain._binary_II(numpy.int32(__0_m),numpy.int32(__1_n))
    @staticmethod
    def _binary_II(_0_m,_1_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:458:84-166
      return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I(False,numpy.array([0.0], dtype=numpy.dtype(numpy.float64)),numpy.array([1.0], dtype=numpy.dtype(numpy.float64)),numpy.array([_0_m,_1_n], dtype=numpy.dtype(numpy.int32)))._integral_()) # bld/herlev/final/default/src/fusion/domain.mbi:458:86-164
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:458:84-166
    @staticmethod
    def _match_binary_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_binary_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    @staticmethod
    def _binary_alt_I(_t__0_n):
      return mosek_fusion_Domain._binary_I(numpy.int32(__0_n))
    @staticmethod
    def _binary_I(_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:457:84-164
      return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I(False,numpy.array([0.0], dtype=numpy.dtype(numpy.float64)),numpy.array([1.0], dtype=numpy.dtype(numpy.float64)),numpy.array([_0_n], dtype=numpy.dtype(numpy.int32)))._integral_()) # bld/herlev/final/default/src/fusion/domain.mbi:457:86-162
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:457:84-164
    @staticmethod
    def _match_inRange_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_lbm,_1_ubm, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_lbm)
              and __arg_match_Lmosek_4fusion_4Matrix_2__(_1_ubm))
    @staticmethod
    def _match_alt_inRange_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_lbm,_1_ubm, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_lbm)
              and __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_1_ubm))
    @staticmethod
    def _inRange_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Matrix_2(_t__0_lbm,_t__1_ubm):
      return mosek_fusion_Domain._inRange_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Matrix_2(_0_lbm,_1_ubm)
    @staticmethod
    def _inRange_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Matrix_2(_0_lbm,_1_ubm):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:451:85-120
      return (mosek.fusion.Domain.__mkRangedDomain_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Matrix_2(_0_lbm,_1_ubm)) # bld/herlev/final/default/src/fusion/domain.mbi:451:87-118
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:451:85-120
    @staticmethod
    def _match_inRange__3_5D_3_5D(*args):
      if len(args) != 2: return False
      _0_lba,_1_uba, = args
      return (    __arg_match__3_5D__(_0_lba)
              and __arg_match__3_5D__(_1_uba))
    @staticmethod
    def _match_alt_inRange__3_5D_3_5D(*args):
      if len(args) != 2: return False
      _0_lba,_1_uba, = args
      return (    __arg_alt_match__3_5D__(_0_lba)
              and __arg_alt_match__3_5D__(_1_uba))
    @staticmethod
    def _inRange_alt__3_5D_3_5D(_t__0_lba,_t__1_uba):
      _0_lba=numpy.array(_t__0_lba,ndmin=_monty.checkShape(_t__0_lba,2),dtype=numpy.dtype(numpy.float64))
      _1_uba=numpy.array(_t__1_uba,ndmin=_monty.checkShape(_t__1_uba,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Domain._inRange__3_5D_3_5D(_0_lba,_1_uba)
      return _1
    @staticmethod
    def _inRange__3_5D_3_5D(_0_lba,_1_uba):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:450:85-120
      return (mosek.fusion.Domain.__mkRangedDomain__3_5D_3_5D(_0_lba,_1_uba)) # bld/herlev/final/default/src/fusion/domain.mbi:450:87-118
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:450:85-120
    @staticmethod
    def _match_inRange__3D_3D_3I(*args):
      if len(args) != 3: return False
      _0_lba,_1_uba,_2_dims, = args
      return (    __arg_match__3D__(_0_lba)
              and __arg_match__3D__(_1_uba)
              and __arg_match__3I__(_2_dims))
    @staticmethod
    def _match_alt_inRange__3D_3D_3I(*args):
      if len(args) != 3: return False
      _0_lba,_1_uba,_2_dims, = args
      return (    __arg_alt_match__3D__(_0_lba)
              and __arg_alt_match__3D__(_1_uba)
              and __arg_alt_match__3I__(_2_dims))
    @staticmethod
    def _inRange_alt__3D_3D_3I(_t__0_lba,_t__1_uba,_t__2_dims):
      _0_lba=numpy.array(_t__0_lba,dtype=numpy.dtype(numpy.float64))
      _1_uba=numpy.array(_t__1_uba,dtype=numpy.dtype(numpy.float64))
      _2_dims=numpy.array(_t__2_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._inRange__3D_3D_3I(_0_lba,_1_uba,_2_dims)
      try:
        _t__0_lba[:] = _0_lba
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_uba[:] = _1_uba
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_dims[:] = _2_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inRange__3D_3D_3I(_0_lba,_1_uba,_2_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:448:97-201
      return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I(False,_0_lba,_1_uba,_2_dims)) # bld/herlev/final/default/src/fusion/domain.mbi:448:99-199
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:448:97-201
    @staticmethod
    def _match_inRange__3DD_3I(*args):
      if len(args) != 3: return False
      _0_lba,_1_ub,_2_dims, = args
      return (    __arg_match__3D__(_0_lba)
              and __arg_match_D__(_1_ub)
              and __arg_match__3I__(_2_dims))
    @staticmethod
    def _match_alt_inRange__3DD_3I(*args):
      if len(args) != 3: return False
      _0_lba,_1_ub,_2_dims, = args
      return (    __arg_alt_match__3D__(_0_lba)
              and __arg_alt_match_D__(_1_ub)
              and __arg_alt_match__3I__(_2_dims))
    @staticmethod
    def _inRange_alt__3DD_3I(_t__0_lba,_t__1_ub,_t__2_dims):
      _0_lba=numpy.array(_t__0_lba,dtype=numpy.dtype(numpy.float64))
      _1_ub=numpy.float64(_t__1_ub)
      _2_dims=numpy.array(_t__2_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._inRange__3DD_3I(_0_lba,_1_ub,_2_dims)
      try:
        _t__0_lba[:] = _0_lba
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_dims[:] = _2_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inRange__3DD_3I(_0_lba,_1_ub,_2_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:447:97-201
      return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I(False,_0_lba,numpy.array([_1_ub for _3_i in range(0,int((_0_lba).shape[0]))], dtype=numpy.dtype(numpy.float64)),_2_dims)) # bld/herlev/final/default/src/fusion/domain.mbi:447:99-199
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:447:97-201
    @staticmethod
    def _match_inRange_D_3D_3I(*args):
      if len(args) != 3: return False
      _0_lb,_1_uba,_2_dims, = args
      return (    __arg_match_D__(_0_lb)
              and __arg_match__3D__(_1_uba)
              and __arg_match__3I__(_2_dims))
    @staticmethod
    def _match_alt_inRange_D_3D_3I(*args):
      if len(args) != 3: return False
      _0_lb,_1_uba,_2_dims, = args
      return (    __arg_alt_match_D__(_0_lb)
              and __arg_alt_match__3D__(_1_uba)
              and __arg_alt_match__3I__(_2_dims))
    @staticmethod
    def _inRange_alt_D_3D_3I(_t__0_lb,_t__1_uba,_t__2_dims):
      _0_lb=numpy.float64(_t__0_lb)
      _1_uba=numpy.array(_t__1_uba,dtype=numpy.dtype(numpy.float64))
      _2_dims=numpy.array(_t__2_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._inRange_D_3D_3I(_0_lb,_1_uba,_2_dims)
      try:
        _t__1_uba[:] = _1_uba
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_dims[:] = _2_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inRange_D_3D_3I(_0_lb,_1_uba,_2_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:446:97-201
      return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I(False,numpy.array([_0_lb for _3_i in range(0,int((_1_uba).shape[0]))], dtype=numpy.dtype(numpy.float64)),_1_uba,_2_dims)) # bld/herlev/final/default/src/fusion/domain.mbi:446:99-199
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:446:97-201
    @staticmethod
    def _match_inRange_DD_3I(*args):
      if len(args) != 3: return False
      _0_lb,_1_ub,_2_dims, = args
      return (    __arg_match_D__(_0_lb)
              and __arg_match_D__(_1_ub)
              and __arg_match__3I__(_2_dims))
    @staticmethod
    def _match_alt_inRange_DD_3I(*args):
      if len(args) != 3: return False
      _0_lb,_1_ub,_2_dims, = args
      return (    __arg_alt_match_D__(_0_lb)
              and __arg_alt_match_D__(_1_ub)
              and __arg_alt_match__3I__(_2_dims))
    @staticmethod
    def _inRange_alt_DD_3I(_t__0_lb,_t__1_ub,_t__2_dims):
      _0_lb=numpy.float64(_t__0_lb)
      _1_ub=numpy.float64(_t__1_ub)
      _2_dims=numpy.array(_t__2_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._inRange_DD_3I(_0_lb,_1_ub,_2_dims)
      try:
        _t__2_dims[:] = _2_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inRange_DD_3I(_0_lb,_1_ub,_2_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:445:97-202
      return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I(False,numpy.array([_0_lb], dtype=numpy.dtype(numpy.float64)),numpy.array([_1_ub], dtype=numpy.dtype(numpy.float64)),_2_dims)) # bld/herlev/final/default/src/fusion/domain.mbi:445:99-200
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:445:97-202
    @staticmethod
    def _match_inRange__3D_3D(*args):
      if len(args) != 2: return False
      _0_lba,_1_uba, = args
      return (    __arg_match__3D__(_0_lba)
              and __arg_match__3D__(_1_uba))
    @staticmethod
    def _match_alt_inRange__3D_3D(*args):
      if len(args) != 2: return False
      _0_lba,_1_uba, = args
      return (    __arg_alt_match__3D__(_0_lba)
              and __arg_alt_match__3D__(_1_uba))
    @staticmethod
    def _inRange_alt__3D_3D(_t__0_lba,_t__1_uba):
      _0_lba=numpy.array(_t__0_lba,dtype=numpy.dtype(numpy.float64))
      _1_uba=numpy.array(_t__1_uba,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Domain._inRange__3D_3D(_0_lba,_1_uba)
      try:
        _t__0_lba[:] = _0_lba
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_uba[:] = _1_uba
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inRange__3D_3D(_0_lba,_1_uba):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:443:84-198
      return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I(False,_0_lba,_1_uba,numpy.array([int((_0_lba).shape[0])], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:443:86-196
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:443:84-198
    @staticmethod
    def _match_inRange__3DD(*args):
      if len(args) != 2: return False
      _0_lba,_1_ub, = args
      return (    __arg_match__3D__(_0_lba)
              and __arg_match_D__(_1_ub))
    @staticmethod
    def _match_alt_inRange__3DD(*args):
      if len(args) != 2: return False
      _0_lba,_1_ub, = args
      return (    __arg_alt_match__3D__(_0_lba)
              and __arg_alt_match_D__(_1_ub))
    @staticmethod
    def _inRange_alt__3DD(_t__0_lba,_t__1_ub):
      _0_lba=numpy.array(_t__0_lba,dtype=numpy.dtype(numpy.float64))
      _1_ub=numpy.float64(_t__1_ub)
      _1 = mosek_fusion_Domain._inRange__3DD(_0_lba,_1_ub)
      try:
        _t__0_lba[:] = _0_lba
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inRange__3DD(_0_lba,_1_ub):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:442:84-198
      return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I(False,_0_lba,numpy.array([_1_ub for _2_i in range(0,int((_0_lba).shape[0]))], dtype=numpy.dtype(numpy.float64)),numpy.array([int((_0_lba).shape[0])], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:442:86-196
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:442:84-198
    @staticmethod
    def _match_inRange_D_3D(*args):
      if len(args) != 2: return False
      _0_lb,_1_uba, = args
      return (    __arg_match_D__(_0_lb)
              and __arg_match__3D__(_1_uba))
    @staticmethod
    def _match_alt_inRange_D_3D(*args):
      if len(args) != 2: return False
      _0_lb,_1_uba, = args
      return (    __arg_alt_match_D__(_0_lb)
              and __arg_alt_match__3D__(_1_uba))
    @staticmethod
    def _inRange_alt_D_3D(_t__0_lb,_t__1_uba):
      _0_lb=numpy.float64(_t__0_lb)
      _1_uba=numpy.array(_t__1_uba,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Domain._inRange_D_3D(_0_lb,_1_uba)
      try:
        _t__1_uba[:] = _1_uba
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inRange_D_3D(_0_lb,_1_uba):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:441:84-198
      return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I(False,numpy.array([_0_lb for _2_i in range(0,int((_1_uba).shape[0]))], dtype=numpy.dtype(numpy.float64)),_1_uba,numpy.array([int((_1_uba).shape[0])], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:441:86-196
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:441:84-198
    @staticmethod
    def _match_inRange_DD(*args):
      if len(args) != 2: return False
      _0_lb,_1_ub, = args
      return (    __arg_match_D__(_0_lb)
              and __arg_match_D__(_1_ub))
    @staticmethod
    def _match_alt_inRange_DD(*args):
      if len(args) != 2: return False
      _0_lb,_1_ub, = args
      return (    __arg_alt_match_D__(_0_lb)
              and __arg_alt_match_D__(_1_ub))
    @staticmethod
    def _inRange_alt_DD(_t__0_lb,_t__1_ub):
      return mosek_fusion_Domain._inRange_DD(numpy.float64(__0_lb),numpy.float64(__1_ub))
    @staticmethod
    def _inRange_DD(_0_lb,_1_ub):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:440:84-187
      return (mosek_fusion_RangeDomain._ctor_Z_3D_3D_3I(True,numpy.array([_0_lb], dtype=numpy.dtype(numpy.float64)),numpy.array([_1_ub], dtype=numpy.dtype(numpy.float64)),None)) # bld/herlev/final/default/src/fusion/domain.mbi:440:86-185
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:440:84-187
    @staticmethod
    def _match_greaterThan_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_mx, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_mx))
    @staticmethod
    def _match_alt_greaterThan_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_mx, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_mx))
    @staticmethod
    def _greaterThan_alt_Lmosek_4fusion_4Matrix_2(_t__0_mx):
      return mosek_fusion_Domain._greaterThan_Lmosek_4fusion_4Matrix_2(_0_mx)
    @staticmethod
    def _greaterThan_Lmosek_4fusion_4Matrix_2(_0_mx):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:437:84-138
      return (mosek.fusion.Domain.__mkLinearDomain_Emosek_4fusion_4RelationKey_2Lmosek_4fusion_4Matrix_2(mosek.fusion.RelationKey.GreaterThan,_0_mx)) # bld/herlev/final/default/src/fusion/domain.mbi:437:86-136
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:437:84-138
    @staticmethod
    def _match_greaterThan__3D_3I(*args):
      if len(args) != 2: return False
      _0_a1,_1_dims, = args
      return (    __arg_match__3D__(_0_a1)
              and __arg_match__3I__(_1_dims))
    @staticmethod
    def _match_alt_greaterThan__3D_3I(*args):
      if len(args) != 2: return False
      _0_a1,_1_dims, = args
      return (    __arg_alt_match__3D__(_0_a1)
              and __arg_alt_match__3I__(_1_dims))
    @staticmethod
    def _greaterThan_alt__3D_3I(_t__0_a1,_t__1_dims):
      _0_a1=numpy.array(_t__0_a1,dtype=numpy.dtype(numpy.float64))
      _1_dims=numpy.array(_t__1_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._greaterThan__3D_3I(_0_a1,_1_dims)
      try:
        _t__0_a1[:] = _0_a1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_dims[:] = _1_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _greaterThan__3D_3I(_0_a1,_1_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:436:84-177
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.GreaterThan,False,mosek.fusion.Utils.Tools._arraycopy__3D(_0_a1),_1_dims)) # bld/herlev/final/default/src/fusion/domain.mbi:436:86-175
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:436:84-177
    @staticmethod
    def _match_greaterThan__3_5D(*args):
      if len(args) != 1: return False
      _0_a2, = args
      return (    __arg_match__3_5D__(_0_a2))
    @staticmethod
    def _match_alt_greaterThan__3_5D(*args):
      if len(args) != 1: return False
      _0_a2, = args
      return (    __arg_alt_match__3_5D__(_0_a2))
    @staticmethod
    def _greaterThan_alt__3_5D(_t__0_a2):
      _0_a2=numpy.array(_t__0_a2,ndmin=_monty.checkShape(_t__0_a2,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Domain._greaterThan__3_5D(_0_a2)
      return _1
    @staticmethod
    def _greaterThan__3_5D(_0_a2):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:435:84-230
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.GreaterThan,False,numpy.array([_0_a2[_1_i,_2_j] for _1_i in range(0,int((_0_a2).shape[0])) for _2_j in range(0,int((_0_a2).shape[1]))], dtype=numpy.dtype(numpy.float64)),numpy.array([int((_0_a2).shape[0]),int((_0_a2).shape[1])], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:435:86-228
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:435:84-230
    @staticmethod
    def _match_greaterThan__3D(*args):
      if len(args) != 1: return False
      _0_a1, = args
      return (    __arg_match__3D__(_0_a1))
    @staticmethod
    def _match_alt_greaterThan__3D(*args):
      if len(args) != 1: return False
      _0_a1, = args
      return (    __arg_alt_match__3D__(_0_a1))
    @staticmethod
    def _greaterThan_alt__3D(_t__0_a1):
      _0_a1=numpy.array(_t__0_a1,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Domain._greaterThan__3D(_0_a1)
      try:
        _t__0_a1[:] = _0_a1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _greaterThan__3D(_0_a1):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:434:84-187
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.GreaterThan,False,mosek.fusion.Utils.Tools._arraycopy__3D(_0_a1),numpy.array([int((_0_a1).shape[0])], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:434:86-185
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:434:84-187
    @staticmethod
    def _match_greaterThan_D_3I(*args):
      if len(args) != 2: return False
      _0_b,_1_dims, = args
      return (    __arg_match_D__(_0_b)
              and __arg_match__3I__(_1_dims))
    @staticmethod
    def _match_alt_greaterThan_D_3I(*args):
      if len(args) != 2: return False
      _0_b,_1_dims, = args
      return (    __arg_alt_match_D__(_0_b)
              and __arg_alt_match__3I__(_1_dims))
    @staticmethod
    def _greaterThan_alt_D_3I(_t__0_b,_t__1_dims):
      _0_b=numpy.float64(_t__0_b)
      _1_dims=numpy.array(_t__1_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._greaterThan_D_3I(_0_b,_1_dims)
      try:
        _t__1_dims[:] = _1_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _greaterThan_D_3I(_0_b,_1_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:433:84-184
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.GreaterThan,False,numpy.array([_0_b for _2_i in range(0,mosek.fusion.Domain.__prod__3I(_1_dims))], dtype=numpy.dtype(numpy.float64)),_1_dims)) # bld/herlev/final/default/src/fusion/domain.mbi:433:86-182
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:433:84-184
    @staticmethod
    def _match_greaterThan_DII(*args):
      if len(args) != 3: return False
      _0_b,_1_m,_2_n, = args
      return (    __arg_match_D__(_0_b)
              and __arg_match_I__(_1_m)
              and __arg_match_I__(_2_n))
    @staticmethod
    def _match_alt_greaterThan_DII(*args):
      if len(args) != 3: return False
      _0_b,_1_m,_2_n, = args
      return (    __arg_alt_match_D__(_0_b)
              and __arg_alt_match_I__(_1_m)
              and __arg_alt_match_I__(_2_n))
    @staticmethod
    def _greaterThan_alt_DII(_t__0_b,_t__1_m,_t__2_n):
      return mosek_fusion_Domain._greaterThan_DII(numpy.float64(__0_b),numpy.int32(__1_m),numpy.int32(__2_n))
    @staticmethod
    def _greaterThan_DII(_0_b,_1_m,_2_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:432:84-183
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.GreaterThan,False,numpy.array([_0_b for _3_i in range(0,(_2_n * _1_m))], dtype=numpy.dtype(numpy.float64)),numpy.array([_1_m,_2_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:432:86-181
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:432:84-183
    @staticmethod
    def _match_greaterThan_DI(*args):
      if len(args) != 2: return False
      _0_b,_1_n, = args
      return (    __arg_match_D__(_0_b)
              and __arg_match_I__(_1_n))
    @staticmethod
    def _match_alt_greaterThan_DI(*args):
      if len(args) != 2: return False
      _0_b,_1_n, = args
      return (    __arg_alt_match_D__(_0_b)
              and __arg_alt_match_I__(_1_n))
    @staticmethod
    def _greaterThan_alt_DI(_t__0_b,_t__1_n):
      return mosek_fusion_Domain._greaterThan_DI(numpy.float64(__0_b),numpy.int32(__1_n))
    @staticmethod
    def _greaterThan_DI(_0_b,_1_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:431:84-179
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.GreaterThan,False,numpy.array([_0_b for _2_i in range(0,_1_n)], dtype=numpy.dtype(numpy.float64)),numpy.array([_1_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:431:86-177
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:431:84-179
    @staticmethod
    def _match_greaterThan_D(*args):
      if len(args) != 1: return False
      _0_b, = args
      return (    __arg_match_D__(_0_b))
    @staticmethod
    def _match_alt_greaterThan_D(*args):
      if len(args) != 1: return False
      _0_b, = args
      return (    __arg_alt_match_D__(_0_b))
    @staticmethod
    def _greaterThan_alt_D(_t__0_b):
      return mosek_fusion_Domain._greaterThan_D(numpy.float64(__0_b))
    @staticmethod
    def _greaterThan_D(_0_b):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:430:84-161
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.GreaterThan,True,numpy.array([_0_b], dtype=numpy.dtype(numpy.float64)),None)) # bld/herlev/final/default/src/fusion/domain.mbi:430:86-159
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:430:84-161
    @staticmethod
    def _match_lessThan_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_mx, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_mx))
    @staticmethod
    def _match_alt_lessThan_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_mx, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_mx))
    @staticmethod
    def _lessThan_alt_Lmosek_4fusion_4Matrix_2(_t__0_mx):
      return mosek_fusion_Domain._lessThan_Lmosek_4fusion_4Matrix_2(_0_mx)
    @staticmethod
    def _lessThan_Lmosek_4fusion_4Matrix_2(_0_mx):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:428:84-135
      return (mosek.fusion.Domain.__mkLinearDomain_Emosek_4fusion_4RelationKey_2Lmosek_4fusion_4Matrix_2(mosek.fusion.RelationKey.LessThan,_0_mx)) # bld/herlev/final/default/src/fusion/domain.mbi:428:86-133
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:428:84-135
    @staticmethod
    def _match_lessThan__3D_3I(*args):
      if len(args) != 2: return False
      _0_a1,_1_dims, = args
      return (    __arg_match__3D__(_0_a1)
              and __arg_match__3I__(_1_dims))
    @staticmethod
    def _match_alt_lessThan__3D_3I(*args):
      if len(args) != 2: return False
      _0_a1,_1_dims, = args
      return (    __arg_alt_match__3D__(_0_a1)
              and __arg_alt_match__3I__(_1_dims))
    @staticmethod
    def _lessThan_alt__3D_3I(_t__0_a1,_t__1_dims):
      _0_a1=numpy.array(_t__0_a1,dtype=numpy.dtype(numpy.float64))
      _1_dims=numpy.array(_t__1_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._lessThan__3D_3I(_0_a1,_1_dims)
      try:
        _t__0_a1[:] = _0_a1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_dims[:] = _1_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _lessThan__3D_3I(_0_a1,_1_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:427:84-177
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.LessThan,False,mosek.fusion.Utils.Tools._arraycopy__3D(_0_a1),_1_dims)) # bld/herlev/final/default/src/fusion/domain.mbi:427:86-175
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:427:84-177
    @staticmethod
    def _match_lessThan__3_5D(*args):
      if len(args) != 1: return False
      _0_a2, = args
      return (    __arg_match__3_5D__(_0_a2))
    @staticmethod
    def _match_alt_lessThan__3_5D(*args):
      if len(args) != 1: return False
      _0_a2, = args
      return (    __arg_alt_match__3_5D__(_0_a2))
    @staticmethod
    def _lessThan_alt__3_5D(_t__0_a2):
      _0_a2=numpy.array(_t__0_a2,ndmin=_monty.checkShape(_t__0_a2,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Domain._lessThan__3_5D(_0_a2)
      return _1
    @staticmethod
    def _lessThan__3_5D(_0_a2):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:426:84-230
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.LessThan,False,numpy.array([_0_a2[_1_i,_2_j] for _1_i in range(0,int((_0_a2).shape[0])) for _2_j in range(0,int((_0_a2).shape[1]))], dtype=numpy.dtype(numpy.float64)),numpy.array([int((_0_a2).shape[0]),int((_0_a2).shape[1])], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:426:86-228
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:426:84-230
    @staticmethod
    def _match_lessThan__3D(*args):
      if len(args) != 1: return False
      _0_a1, = args
      return (    __arg_match__3D__(_0_a1))
    @staticmethod
    def _match_alt_lessThan__3D(*args):
      if len(args) != 1: return False
      _0_a1, = args
      return (    __arg_alt_match__3D__(_0_a1))
    @staticmethod
    def _lessThan_alt__3D(_t__0_a1):
      _0_a1=numpy.array(_t__0_a1,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Domain._lessThan__3D(_0_a1)
      try:
        _t__0_a1[:] = _0_a1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _lessThan__3D(_0_a1):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:425:84-187
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.LessThan,False,mosek.fusion.Utils.Tools._arraycopy__3D(_0_a1),numpy.array([int((_0_a1).shape[0])], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:425:86-185
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:425:84-187
    @staticmethod
    def _match_lessThan_D_3I(*args):
      if len(args) != 2: return False
      _0_b,_1_dims, = args
      return (    __arg_match_D__(_0_b)
              and __arg_match__3I__(_1_dims))
    @staticmethod
    def _match_alt_lessThan_D_3I(*args):
      if len(args) != 2: return False
      _0_b,_1_dims, = args
      return (    __arg_alt_match_D__(_0_b)
              and __arg_alt_match__3I__(_1_dims))
    @staticmethod
    def _lessThan_alt_D_3I(_t__0_b,_t__1_dims):
      _0_b=numpy.float64(_t__0_b)
      _1_dims=numpy.array(_t__1_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._lessThan_D_3I(_0_b,_1_dims)
      try:
        _t__1_dims[:] = _1_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _lessThan_D_3I(_0_b,_1_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:424:84-160
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.LessThan,False,numpy.array([_0_b], dtype=numpy.dtype(numpy.float64)),_1_dims)) # bld/herlev/final/default/src/fusion/domain.mbi:424:86-158
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:424:84-160
    @staticmethod
    def _match_lessThan_DII(*args):
      if len(args) != 3: return False
      _0_b,_1_m,_2_n, = args
      return (    __arg_match_D__(_0_b)
              and __arg_match_I__(_1_m)
              and __arg_match_I__(_2_n))
    @staticmethod
    def _match_alt_lessThan_DII(*args):
      if len(args) != 3: return False
      _0_b,_1_m,_2_n, = args
      return (    __arg_alt_match_D__(_0_b)
              and __arg_alt_match_I__(_1_m)
              and __arg_alt_match_I__(_2_n))
    @staticmethod
    def _lessThan_alt_DII(_t__0_b,_t__1_m,_t__2_n):
      return mosek_fusion_Domain._lessThan_DII(numpy.float64(__0_b),numpy.int32(__1_m),numpy.int32(__2_n))
    @staticmethod
    def _lessThan_DII(_0_b,_1_m,_2_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:423:84-166
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.LessThan,False,numpy.array([_0_b], dtype=numpy.dtype(numpy.float64)),numpy.array([_1_m,_2_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:423:86-164
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:423:84-166
    @staticmethod
    def _match_lessThan_DI(*args):
      if len(args) != 2: return False
      _0_b,_1_n, = args
      return (    __arg_match_D__(_0_b)
              and __arg_match_I__(_1_n))
    @staticmethod
    def _match_alt_lessThan_DI(*args):
      if len(args) != 2: return False
      _0_b,_1_n, = args
      return (    __arg_alt_match_D__(_0_b)
              and __arg_alt_match_I__(_1_n))
    @staticmethod
    def _lessThan_alt_DI(_t__0_b,_t__1_n):
      return mosek_fusion_Domain._lessThan_DI(numpy.float64(__0_b),numpy.int32(__1_n))
    @staticmethod
    def _lessThan_DI(_0_b,_1_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:422:84-164
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.LessThan,False,numpy.array([_0_b], dtype=numpy.dtype(numpy.float64)),numpy.array([_1_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:422:86-162
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:422:84-164
    @staticmethod
    def _match_lessThan_D(*args):
      if len(args) != 1: return False
      _0_b, = args
      return (    __arg_match_D__(_0_b))
    @staticmethod
    def _match_alt_lessThan_D(*args):
      if len(args) != 1: return False
      _0_b, = args
      return (    __arg_alt_match_D__(_0_b))
    @staticmethod
    def _lessThan_alt_D(_t__0_b):
      return mosek_fusion_Domain._lessThan_D(numpy.float64(__0_b))
    @staticmethod
    def _lessThan_D(_0_b):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:421:84-159
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.LessThan,True,numpy.array([_0_b], dtype=numpy.dtype(numpy.float64)),None)) # bld/herlev/final/default/src/fusion/domain.mbi:421:86-157
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:421:84-159
    @staticmethod
    def _match_equalsTo_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_mx, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_mx))
    @staticmethod
    def _match_alt_equalsTo_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_mx, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_mx))
    @staticmethod
    def _equalsTo_alt_Lmosek_4fusion_4Matrix_2(_t__0_mx):
      return mosek_fusion_Domain._equalsTo_Lmosek_4fusion_4Matrix_2(_0_mx)
    @staticmethod
    def _equalsTo_Lmosek_4fusion_4Matrix_2(_0_mx):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:418:84-137
      return (mosek.fusion.Domain.__mkLinearDomain_Emosek_4fusion_4RelationKey_2Lmosek_4fusion_4Matrix_2(mosek.fusion.RelationKey.EqualsTo,_0_mx)) # bld/herlev/final/default/src/fusion/domain.mbi:418:86-135
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:418:84-137
    @staticmethod
    def _match_equalsTo__3D_3I(*args):
      if len(args) != 2: return False
      _0_a1,_1_dims, = args
      return (    __arg_match__3D__(_0_a1)
              and __arg_match__3I__(_1_dims))
    @staticmethod
    def _match_alt_equalsTo__3D_3I(*args):
      if len(args) != 2: return False
      _0_a1,_1_dims, = args
      return (    __arg_alt_match__3D__(_0_a1)
              and __arg_alt_match__3I__(_1_dims))
    @staticmethod
    def _equalsTo_alt__3D_3I(_t__0_a1,_t__1_dims):
      _0_a1=numpy.array(_t__0_a1,dtype=numpy.dtype(numpy.float64))
      _1_dims=numpy.array(_t__1_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._equalsTo__3D_3I(_0_a1,_1_dims)
      try:
        _t__0_a1[:] = _0_a1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_dims[:] = _1_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _equalsTo__3D_3I(_0_a1,_1_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:417:84-177
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.EqualsTo,False,mosek.fusion.Utils.Tools._arraycopy__3D(_0_a1),_1_dims)) # bld/herlev/final/default/src/fusion/domain.mbi:417:86-175
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:417:84-177
    @staticmethod
    def _match_equalsTo__3_5D(*args):
      if len(args) != 1: return False
      _0_a2, = args
      return (    __arg_match__3_5D__(_0_a2))
    @staticmethod
    def _match_alt_equalsTo__3_5D(*args):
      if len(args) != 1: return False
      _0_a2, = args
      return (    __arg_alt_match__3_5D__(_0_a2))
    @staticmethod
    def _equalsTo_alt__3_5D(_t__0_a2):
      _0_a2=numpy.array(_t__0_a2,ndmin=_monty.checkShape(_t__0_a2,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Domain._equalsTo__3_5D(_0_a2)
      return _1
    @staticmethod
    def _equalsTo__3_5D(_0_a2):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:416:84-230
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.EqualsTo,False,numpy.array([_0_a2[_1_i,_2_j] for _1_i in range(0,int((_0_a2).shape[0])) for _2_j in range(0,int((_0_a2).shape[1]))], dtype=numpy.dtype(numpy.float64)),numpy.array([int((_0_a2).shape[0]),int((_0_a2).shape[1])], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:416:86-228
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:416:84-230
    @staticmethod
    def _match_equalsTo__3D(*args):
      if len(args) != 1: return False
      _0_a1, = args
      return (    __arg_match__3D__(_0_a1))
    @staticmethod
    def _match_alt_equalsTo__3D(*args):
      if len(args) != 1: return False
      _0_a1, = args
      return (    __arg_alt_match__3D__(_0_a1))
    @staticmethod
    def _equalsTo_alt__3D(_t__0_a1):
      _0_a1=numpy.array(_t__0_a1,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Domain._equalsTo__3D(_0_a1)
      try:
        _t__0_a1[:] = _0_a1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _equalsTo__3D(_0_a1):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:415:84-187
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.EqualsTo,False,mosek.fusion.Utils.Tools._arraycopy__3D(_0_a1),numpy.array([int((_0_a1).shape[0])], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:415:86-185
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:415:84-187
    @staticmethod
    def _match_equalsTo_D_3I(*args):
      if len(args) != 2: return False
      _0_b,_1_dims, = args
      return (    __arg_match_D__(_0_b)
              and __arg_match__3I__(_1_dims))
    @staticmethod
    def _match_alt_equalsTo_D_3I(*args):
      if len(args) != 2: return False
      _0_b,_1_dims, = args
      return (    __arg_alt_match_D__(_0_b)
              and __arg_alt_match__3I__(_1_dims))
    @staticmethod
    def _equalsTo_alt_D_3I(_t__0_b,_t__1_dims):
      _0_b=numpy.float64(_t__0_b)
      _1_dims=numpy.array(_t__1_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._equalsTo_D_3I(_0_b,_1_dims)
      try:
        _t__1_dims[:] = _1_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _equalsTo_D_3I(_0_b,_1_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:414:84-160
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.EqualsTo,False,numpy.array([_0_b], dtype=numpy.dtype(numpy.float64)),_1_dims)) # bld/herlev/final/default/src/fusion/domain.mbi:414:86-158
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:414:84-160
    @staticmethod
    def _match_equalsTo_DII(*args):
      if len(args) != 3: return False
      _0_b,_1_m,_2_n, = args
      return (    __arg_match_D__(_0_b)
              and __arg_match_I__(_1_m)
              and __arg_match_I__(_2_n))
    @staticmethod
    def _match_alt_equalsTo_DII(*args):
      if len(args) != 3: return False
      _0_b,_1_m,_2_n, = args
      return (    __arg_alt_match_D__(_0_b)
              and __arg_alt_match_I__(_1_m)
              and __arg_alt_match_I__(_2_n))
    @staticmethod
    def _equalsTo_alt_DII(_t__0_b,_t__1_m,_t__2_n):
      return mosek_fusion_Domain._equalsTo_DII(numpy.float64(__0_b),numpy.int32(__1_m),numpy.int32(__2_n))
    @staticmethod
    def _equalsTo_DII(_0_b,_1_m,_2_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:413:84-166
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.EqualsTo,False,numpy.array([_0_b], dtype=numpy.dtype(numpy.float64)),numpy.array([_1_m,_2_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:413:86-164
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:413:84-166
    @staticmethod
    def _match_equalsTo_DI(*args):
      if len(args) != 2: return False
      _0_b,_1_n, = args
      return (    __arg_match_D__(_0_b)
              and __arg_match_I__(_1_n))
    @staticmethod
    def _match_alt_equalsTo_DI(*args):
      if len(args) != 2: return False
      _0_b,_1_n, = args
      return (    __arg_alt_match_D__(_0_b)
              and __arg_alt_match_I__(_1_n))
    @staticmethod
    def _equalsTo_alt_DI(_t__0_b,_t__1_n):
      return mosek_fusion_Domain._equalsTo_DI(numpy.float64(__0_b),numpy.int32(__1_n))
    @staticmethod
    def _equalsTo_DI(_0_b,_1_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:412:84-164
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.EqualsTo,False,numpy.array([_0_b], dtype=numpy.dtype(numpy.float64)),numpy.array([_1_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:412:86-162
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:412:84-164
    @staticmethod
    def _match_equalsTo_D(*args):
      if len(args) != 1: return False
      _0_b, = args
      return (    __arg_match_D__(_0_b))
    @staticmethod
    def _match_alt_equalsTo_D(*args):
      if len(args) != 1: return False
      _0_b, = args
      return (    __arg_alt_match_D__(_0_b))
    @staticmethod
    def _equalsTo_alt_D(_t__0_b):
      return mosek_fusion_Domain._equalsTo_D(numpy.float64(__0_b))
    @staticmethod
    def _equalsTo_D(_0_b):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:411:84-159
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.EqualsTo,True,numpy.array([_0_b], dtype=numpy.dtype(numpy.float64)),None)) # bld/herlev/final/default/src/fusion/domain.mbi:411:86-157
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:411:84-159
    @staticmethod
    def _match_unbounded__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_match__3I__(_0_dims))
    @staticmethod
    def _match_alt_unbounded__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_alt_match__3I__(_0_dims))
    @staticmethod
    def _unbounded_alt__3I(_t__0_dims):
      _0_dims=numpy.array(_t__0_dims,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Domain._unbounded__3I(_0_dims)
      try:
        _t__0_dims[:] = _0_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _unbounded__3I(_0_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:408:84-188
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.IsFree,False,None,numpy.array([_0_dims[_1_i] for _1_i in range(0,int((_0_dims).shape[0]))], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:408:86-186
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:408:84-188
    @staticmethod
    def _match_unbounded_II(*args):
      if len(args) != 2: return False
      _0_m,_1_n, = args
      return (    __arg_match_I__(_0_m)
              and __arg_match_I__(_1_n))
    @staticmethod
    def _match_alt_unbounded_II(*args):
      if len(args) != 2: return False
      _0_m,_1_n, = args
      return (    __arg_alt_match_I__(_0_m)
              and __arg_alt_match_I__(_1_n))
    @staticmethod
    def _unbounded_alt_II(_t__0_m,_t__1_n):
      return mosek_fusion_Domain._unbounded_II(numpy.int32(__0_m),numpy.int32(__1_n))
    @staticmethod
    def _unbounded_II(_0_m,_1_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:407:84-163
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.IsFree,False,None,numpy.array([_0_m,_1_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:407:86-161
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:407:84-163
    @staticmethod
    def _match_unbounded_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_unbounded_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    @staticmethod
    def _unbounded_alt_I(_t__0_n):
      return mosek_fusion_Domain._unbounded_I(numpy.int32(__0_n))
    @staticmethod
    def _unbounded_I(_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:406:84-161
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.IsFree,False,None,numpy.array([_0_n], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/domain.mbi:406:86-159
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:406:84-161
    @staticmethod
    def _match_unbounded_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_unbounded_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _unbounded_alt_():
      return mosek_fusion_Domain._unbounded_()
    @staticmethod
    def _unbounded_():
      # Start scope @ bld/herlev/final/default/src/fusion/domain.mbi:405:84-156
      return (mosek_fusion_LinearDomain._ctor_Emosek_4fusion_4RelationKey_2Z_3D_3I(mosek.fusion.RelationKey.IsFree,True,None,None)) # bld/herlev/final/default/src/fusion/domain.mbi:405:86-154
      # End   scope @ bld/herlev/final/default/src/fusion/domain.mbi:405:84-156
  return Domain
mosek_fusion_Domain=__mk_mosek_fusion_Domain()
del __mk_mosek_fusion_Domain

# origin: bld/herlev/final/default/src/fusion/Parameter.monty:3001:4-3121:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprCode():
  class ExprCode(object):
    @staticmethod
    def inplace_relocate(*args):
      if False: pass
      elif mosek_fusion_ExprCode._match_inplace_1relocate__3IIII(*args): # []int32,int32,int32,int32
        return mosek_fusion_ExprCode._inplace_1relocate__3IIII(*args)
      elif mosek_fusion_ExprCode._match_alt_inplace_1relocate__3IIII(*args): # []int32,int32,int32,int32
        return mosek_fusion_ExprCode._inplace_1relocate_alt__3IIII(*args)
      else:
        raise ValueError('Invalid argument list inplace_relocate('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCode.inplace_relocate(array(int32,ndim=1),int32,int32,int32)')

    @staticmethod
    def emit_mul(*args):
      if False: pass
      elif mosek_fusion_ExprCode._match_emit_1mul__3II(*args): # []int32,int32
        return mosek_fusion_ExprCode._emit_1mul__3II(*args)
      elif mosek_fusion_ExprCode._match_alt_emit_1mul__3II(*args): # []int32,int32
        return mosek_fusion_ExprCode._emit_1mul_alt__3II(*args)
      else:
        raise ValueError('Invalid argument list emit_mul('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCode.emit_mul(array(int32,ndim=1),int32)')

    @staticmethod
    def emit_add(*args):
      if False: pass
      elif mosek_fusion_ExprCode._match_emit_1add__3II(*args): # []int32,int32
        return mosek_fusion_ExprCode._emit_1add__3II(*args)
      elif mosek_fusion_ExprCode._match_alt_emit_1add__3II(*args): # []int32,int32
        return mosek_fusion_ExprCode._emit_1add_alt__3II(*args)
      else:
        raise ValueError('Invalid argument list emit_add('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCode.emit_add(array(int32,ndim=1),int32)')

    @staticmethod
    def emit_sum(*args):
      if False: pass
      elif mosek_fusion_ExprCode._match_emit_1sum__3III(*args): # []int32,int32,int32
        return mosek_fusion_ExprCode._emit_1sum__3III(*args)
      elif mosek_fusion_ExprCode._match_alt_emit_1sum__3III(*args): # []int32,int32,int32
        return mosek_fusion_ExprCode._emit_1sum_alt__3III(*args)
      else:
        raise ValueError('Invalid argument list emit_sum('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCode.emit_sum(array(int32,ndim=1),int32,int32)')

    @staticmethod
    def emit_paramref(*args):
      if False: pass
      elif mosek_fusion_ExprCode._match_emit_1paramref__3III(*args): # []int32,int32,int32
        return mosek_fusion_ExprCode._emit_1paramref__3III(*args)
      elif mosek_fusion_ExprCode._match_alt_emit_1paramref__3III(*args): # []int32,int32,int32
        return mosek_fusion_ExprCode._emit_1paramref_alt__3III(*args)
      else:
        raise ValueError('Invalid argument list emit_paramref('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCode.emit_paramref(array(int32,ndim=1),int32,int32)')

    @staticmethod
    def emit_inv(*args):
      if False: pass
      elif mosek_fusion_ExprCode._match_emit_1inv__3II(*args): # []int32,int32
        return mosek_fusion_ExprCode._emit_1inv__3II(*args)
      elif mosek_fusion_ExprCode._match_alt_emit_1inv__3II(*args): # []int32,int32
        return mosek_fusion_ExprCode._emit_1inv_alt__3II(*args)
      else:
        raise ValueError('Invalid argument list emit_inv('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCode.emit_inv(array(int32,ndim=1),int32)')

    @staticmethod
    def emit_nop(*args):
      if False: pass
      elif mosek_fusion_ExprCode._match_emit_1nop__3II(*args): # []int32,int32
        return mosek_fusion_ExprCode._emit_1nop__3II(*args)
      elif mosek_fusion_ExprCode._match_alt_emit_1nop__3II(*args): # []int32,int32
        return mosek_fusion_ExprCode._emit_1nop_alt__3II(*args)
      else:
        raise ValueError('Invalid argument list emit_nop('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCode.emit_nop(array(int32,ndim=1),int32)')

    @staticmethod
    def eval_add_list(*args):
      if False: pass
      elif mosek_fusion_ExprCode._match_eval_1add_1list__3I_3I_3D_3D_3DLmosek_4fusion_4WorkStack_2(*args): # []int32,[]int32,[]double,[]double,[]double,mosek.fusion.WorkStack
        return mosek_fusion_ExprCode._eval_1add_1list__3I_3I_3D_3D_3DLmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprCode._match_alt_eval_1add_1list__3I_3I_3D_3D_3DLmosek_4fusion_4WorkStack_2(*args): # []int32,[]int32,[]double,[]double,[]double,mosek.fusion.WorkStack
        return mosek_fusion_ExprCode._eval_1add_1list_alt__3I_3I_3D_3D_3DLmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprCode._match_eval_1add_1list__3I_3I_3DI_3D_3DLmosek_4fusion_4WorkStack_2(*args): # []int32,[]int32,[]double,int32,[]double,[]double,mosek.fusion.WorkStack
        return mosek_fusion_ExprCode._eval_1add_1list__3I_3I_3DI_3D_3DLmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprCode._match_alt_eval_1add_1list__3I_3I_3DI_3D_3DLmosek_4fusion_4WorkStack_2(*args): # []int32,[]int32,[]double,int32,[]double,[]double,mosek.fusion.WorkStack
        return mosek_fusion_ExprCode._eval_1add_1list_alt__3I_3I_3DI_3D_3DLmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval_add_list('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCode.eval_add_list(array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1),array(double,ndim=1),array(double,ndim=1),mosek.fusion.WorkStack)\n\tmosek.fusion.ExprCode.eval_add_list(array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1),int32,array(double,ndim=1),array(double,ndim=1),mosek.fusion.WorkStack)')

    @staticmethod
    def op2str(*args):
      if False: pass
      elif mosek_fusion_ExprCode._match_op2str_I(*args): # int32
        return mosek_fusion_ExprCode._op2str_I(*args)
      elif mosek_fusion_ExprCode._match_alt_op2str_I(*args): # int32
        return mosek_fusion_ExprCode._op2str_alt_I(*args)
      else:
        raise ValueError('Invalid argument list op2str('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCode.op2str(int32)')

    @staticmethod
    def emit_constref(*args):
      if False: pass
      elif mosek_fusion_ExprCode._match_emit_1constref__3III(*args): # []int32,int32,int32
        return mosek_fusion_ExprCode._emit_1constref__3III(*args)
      elif mosek_fusion_ExprCode._match_alt_emit_1constref__3III(*args): # []int32,int32,int32
        return mosek_fusion_ExprCode._emit_1constref_alt__3III(*args)
      else:
        raise ValueError('Invalid argument list emit_constref('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCode.emit_constref(array(int32,ndim=1),int32,int32)')

    @staticmethod
    def emit_neg(*args):
      if False: pass
      elif mosek_fusion_ExprCode._match_emit_1neg__3II(*args): # []int32,int32
        return mosek_fusion_ExprCode._emit_1neg__3II(*args)
      elif mosek_fusion_ExprCode._match_alt_emit_1neg__3II(*args): # []int32,int32
        return mosek_fusion_ExprCode._emit_1neg_alt__3II(*args)
      else:
        raise ValueError('Invalid argument list emit_neg('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCode.emit_neg(array(int32,ndim=1),int32)')

    def __repr__(self): return 'mosek.fusion.ExprCode'
    @staticmethod
    def _match_inplace_1relocate__3IIII(*args):
      if len(args) != 4: return False
      _0_code,_1_from_offset,_2_num,_3_const_base, = args
      return (    __arg_match__3I__(_0_code)
              and __arg_match_I__(_1_from_offset)
              and __arg_match_I__(_2_num)
              and __arg_match_I__(_3_const_base))
    @staticmethod
    def _match_alt_inplace_1relocate__3IIII(*args):
      if len(args) != 4: return False
      _0_code,_1_from_offset,_2_num,_3_const_base, = args
      return (    __arg_alt_match__3I__(_0_code)
              and __arg_alt_match_I__(_1_from_offset)
              and __arg_alt_match_I__(_2_num)
              and __arg_alt_match_I__(_3_const_base))
    @staticmethod
    def _inplace_1relocate_alt__3IIII(_t__0_code,_t__1_from_offset,_t__2_num,_t__3_const_base):
      _0_code=numpy.array(_t__0_code,dtype=numpy.dtype(numpy.int32))
      _1_from_offset=numpy.int32(_t__1_from_offset)
      _2_num=numpy.int32(_t__2_num)
      _3_const_base=numpy.int32(_t__3_const_base)
      _1 = mosek_fusion_ExprCode._inplace_1relocate__3IIII(_0_code,_1_from_offset,_2_num,_3_const_base)
      try:
        _t__0_code[:] = _0_code
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _inplace_1relocate__3IIII(_0_code,_1_from_offset,_2_num,_3_const_base):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3115:106-3120:7
      fragments._c_closure_282(_0_code,_3_const_base,_2_num) # bld/herlev/final/default/src/fusion/Parameter.monty:3115:106-3120:7
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3115:106-3120:7
    @staticmethod
    def _match_op2str_I(*args):
      if len(args) != 1: return False
      _0_op, = args
      return (    __arg_match_I__(_0_op))
    @staticmethod
    def _match_alt_op2str_I(*args):
      if len(args) != 1: return False
      _0_op, = args
      return (    __arg_alt_match_I__(_0_op))
    @staticmethod
    def _op2str_alt_I(_t__0_op):
      return mosek_fusion_ExprCode._op2str_I(numpy.int32(__0_op))
    @staticmethod
    def _op2str_I(_0_op):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3102:51-3112:7
      if (_0_op==0): # bld/herlev/final/default/src/fusion/Parameter.monty:3103:16-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3103:36-49
        return ("NOP") # bld/herlev/final/default/src/fusion/Parameter.monty:3103:36-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3103:36-49
      elif (_0_op==1): # bld/herlev/final/default/src/fusion/Parameter.monty:3104:16-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3104:36-54
        return ("PARAMREF") # bld/herlev/final/default/src/fusion/Parameter.monty:3104:36-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3104:36-54
      elif (_0_op==2): # bld/herlev/final/default/src/fusion/Parameter.monty:3105:16-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3105:36-51
        return ("CONST") # bld/herlev/final/default/src/fusion/Parameter.monty:3105:36-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3105:36-51
      elif (_0_op==3): # bld/herlev/final/default/src/fusion/Parameter.monty:3106:16-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3106:36-49
        return ("ADD") # bld/herlev/final/default/src/fusion/Parameter.monty:3106:36-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3106:36-49
      elif (_0_op==4): # bld/herlev/final/default/src/fusion/Parameter.monty:3107:16-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3107:36-49
        return ("NEG") # bld/herlev/final/default/src/fusion/Parameter.monty:3107:36-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3107:36-49
      elif (_0_op==5): # bld/herlev/final/default/src/fusion/Parameter.monty:3108:16-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3108:36-49
        return ("MUL") # bld/herlev/final/default/src/fusion/Parameter.monty:3108:36-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3108:36-49
      elif (_0_op==6): # bld/herlev/final/default/src/fusion/Parameter.monty:3109:16-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3109:36-49
        return ("INV") # bld/herlev/final/default/src/fusion/Parameter.monty:3109:36-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3109:36-49
      elif (_0_op==8): # bld/herlev/final/default/src/fusion/Parameter.monty:3110:16-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3110:36-49
        return ("SUM") # bld/herlev/final/default/src/fusion/Parameter.monty:3110:36-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3110:36-49
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3111:13-77
        return (mosek.fusion.Utils.StringBuffer()._a_S("?(")._a_I(_0_op)._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/Parameter.monty:3111:13-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3111:13-77
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3102:51-3112:7
    @staticmethod
    def _match_eval_1add_1list__3I_3I_3DI_3D_3DLmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 7: return False
      _0_code,_1_ptr,_2_consts,_3_offset,_4_target,_5_P,_6_xs, = args
      return (    __arg_match__3I__(_0_code)
              and __arg_match__3I__(_1_ptr)
              and __arg_match__3D__(_2_consts)
              and __arg_match_I__(_3_offset)
              and __arg_match__3D__(_4_target)
              and __arg_match__3D__(_5_P)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_6_xs))
    @staticmethod
    def _match_alt_eval_1add_1list__3I_3I_3DI_3D_3DLmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 7: return False
      _0_code,_1_ptr,_2_consts,_3_offset,_4_target,_5_P,_6_xs, = args
      return (    __arg_alt_match__3I__(_0_code)
              and __arg_alt_match__3I__(_1_ptr)
              and __arg_alt_match__3D__(_2_consts)
              and __arg_alt_match_I__(_3_offset)
              and __arg_alt_match__3D__(_4_target)
              and __arg_alt_match__3D__(_5_P)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_6_xs))
    @staticmethod
    def _eval_1add_1list_alt__3I_3I_3DI_3D_3DLmosek_4fusion_4WorkStack_2(_t__0_code,_t__1_ptr,_t__2_consts,_t__3_offset,_t__4_target,_t__5_P,_t__6_xs):
      _0_code=numpy.array(_t__0_code,dtype=numpy.dtype(numpy.int32))
      _1_ptr=numpy.array(_t__1_ptr,dtype=numpy.dtype(numpy.int32))
      _2_consts=numpy.array(_t__2_consts,dtype=numpy.dtype(numpy.float64))
      _3_offset=numpy.int32(_t__3_offset)
      _4_target=numpy.array(_t__4_target,dtype=numpy.dtype(numpy.float64))
      _5_P=numpy.array(_t__5_P,dtype=numpy.dtype(numpy.float64))
      _6_xs=_t__6_xs
      _1 = mosek_fusion_ExprCode._eval_1add_1list__3I_3I_3DI_3D_3DLmosek_4fusion_4WorkStack_2(_0_code,_1_ptr,_2_consts,_3_offset,_4_target,_5_P,_6_xs)
      try:
        _t__0_code[:] = _0_code
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_ptr[:] = _1_ptr
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_consts[:] = _2_consts
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_target[:] = _4_target
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__5_P[:] = _5_P
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _eval_1add_1list__3I_3I_3DI_3D_3DLmosek_4fusion_4WorkStack_2(_0_code,_1_ptr,_2_consts,_3_offset,_4_target,_5_P,_6_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3048:141-3099:7
      _7_stack=_6_xs._allocf64_I(int((_0_code).shape[0])) # bld/herlev/final/default/src/fusion/Parameter.monty:3049:12-17
      _8_stackp=0 # bld/herlev/final/default/src/fusion/Parameter.monty:3050:12-18
      _9_xf64=(_6_xs.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:3051:12-16
      _8_stackp = fragments._c_closure_283(_5_P,_0_code,_2_consts,_3_offset,_1_ptr,_7_stack,_8_stackp,_4_target,_9_xf64) # bld/herlev/final/default/src/fusion/Parameter.monty:3059:8-3097:9
      _8_stackp = numpy.int32(_8_stackp) # postprocess
      _6_xs._clear_() # bld/herlev/final/default/src/fusion/Parameter.monty:3098:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3048:141-3099:7
    @staticmethod
    def _match_eval_1add_1list__3I_3I_3D_3D_3DLmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 6: return False
      _0_code,_1_ptr,_2_consts,_3_target,_4_P,_5_xs, = args
      return (    __arg_match__3I__(_0_code)
              and __arg_match__3I__(_1_ptr)
              and __arg_match__3D__(_2_consts)
              and __arg_match__3D__(_3_target)
              and __arg_match__3D__(_4_P)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_5_xs))
    @staticmethod
    def _match_alt_eval_1add_1list__3I_3I_3D_3D_3DLmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 6: return False
      _0_code,_1_ptr,_2_consts,_3_target,_4_P,_5_xs, = args
      return (    __arg_alt_match__3I__(_0_code)
              and __arg_alt_match__3I__(_1_ptr)
              and __arg_alt_match__3D__(_2_consts)
              and __arg_alt_match__3D__(_3_target)
              and __arg_alt_match__3D__(_4_P)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_5_xs))
    @staticmethod
    def _eval_1add_1list_alt__3I_3I_3D_3D_3DLmosek_4fusion_4WorkStack_2(_t__0_code,_t__1_ptr,_t__2_consts,_t__3_target,_t__4_P,_t__5_xs):
      _0_code=numpy.array(_t__0_code,dtype=numpy.dtype(numpy.int32))
      _1_ptr=numpy.array(_t__1_ptr,dtype=numpy.dtype(numpy.int32))
      _2_consts=numpy.array(_t__2_consts,dtype=numpy.dtype(numpy.float64))
      _3_target=numpy.array(_t__3_target,dtype=numpy.dtype(numpy.float64))
      _4_P=numpy.array(_t__4_P,dtype=numpy.dtype(numpy.float64))
      _5_xs=_t__5_xs
      _1 = mosek_fusion_ExprCode._eval_1add_1list__3I_3I_3D_3D_3DLmosek_4fusion_4WorkStack_2(_0_code,_1_ptr,_2_consts,_3_target,_4_P,_5_xs)
      try:
        _t__0_code[:] = _0_code
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_ptr[:] = _1_ptr
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_consts[:] = _2_consts
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_target[:] = _3_target
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_P[:] = _4_P
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _eval_1add_1list__3I_3I_3D_3D_3DLmosek_4fusion_4WorkStack_2(_0_code,_1_ptr,_2_consts,_3_target,_4_P,_5_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3044:128-3046:7
      mosek.fusion.ExprCode._eval_1add_1list__3I_3I_3DI_3D_3DLmosek_4fusion_4WorkStack_2(_0_code,_1_ptr,_2_consts,0,_3_target,_4_P,_5_xs) # bld/herlev/final/default/src/fusion/Parameter.monty:3045:8-58
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3044:128-3046:7
    @staticmethod
    def _match_emit_1sum__3III(*args):
      if len(args) != 3: return False
      _0_tgt,_1_ofs,_2_num, = args
      return (    __arg_match__3I__(_0_tgt)
              and __arg_match_I__(_1_ofs)
              and __arg_match_I__(_2_num))
    @staticmethod
    def _match_alt_emit_1sum__3III(*args):
      if len(args) != 3: return False
      _0_tgt,_1_ofs,_2_num, = args
      return (    __arg_alt_match__3I__(_0_tgt)
              and __arg_alt_match_I__(_1_ofs)
              and __arg_alt_match_I__(_2_num))
    @staticmethod
    def _emit_1sum_alt__3III(_t__0_tgt,_t__1_ofs,_t__2_num):
      _0_tgt=numpy.array(_t__0_tgt,dtype=numpy.dtype(numpy.int32))
      _1_ofs=numpy.int32(_t__1_ofs)
      _2_num=numpy.int32(_t__2_num)
      _1 = mosek_fusion_ExprCode._emit_1sum__3III(_0_tgt,_1_ofs,_2_num)
      try:
        _t__0_tgt[:] = _0_tgt
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _emit_1sum__3III(_0_tgt,_1_ofs,_2_num):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3037:78-3041:7
      _0_tgt[_1_ofs] = 8 # bld/herlev/final/default/src/fusion/Parameter.monty:3038:8-42
      _0_tgt[(_1_ofs + 1)] = _2_num # bld/herlev/final/default/src/fusion/Parameter.monty:3039:8-25
      return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameter.monty:3040:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3037:78-3041:7
    @staticmethod
    def _match_emit_1inv__3II(*args):
      if len(args) != 2: return False
      _0_tgt,_1_ofs, = args
      return (    __arg_match__3I__(_0_tgt)
              and __arg_match_I__(_1_ofs))
    @staticmethod
    def _match_alt_emit_1inv__3II(*args):
      if len(args) != 2: return False
      _0_tgt,_1_ofs, = args
      return (    __arg_alt_match__3I__(_0_tgt)
              and __arg_alt_match_I__(_1_ofs))
    @staticmethod
    def _emit_1inv_alt__3II(_t__0_tgt,_t__1_ofs):
      _0_tgt=numpy.array(_t__0_tgt,dtype=numpy.dtype(numpy.int32))
      _1_ofs=numpy.int32(_t__1_ofs)
      _1 = mosek_fusion_ExprCode._emit_1inv__3II(_0_tgt,_1_ofs)
      try:
        _t__0_tgt[:] = _0_tgt
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _emit_1inv__3II(_0_tgt,_1_ofs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3032:67-3036:7
      _0_tgt[_1_ofs] = 6 # bld/herlev/final/default/src/fusion/Parameter.monty:3033:8-42
      _0_tgt[(_1_ofs + 1)] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:3034:8-23
      return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameter.monty:3035:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3032:67-3036:7
    @staticmethod
    def _match_emit_1mul__3II(*args):
      if len(args) != 2: return False
      _0_tgt,_1_ofs, = args
      return (    __arg_match__3I__(_0_tgt)
              and __arg_match_I__(_1_ofs))
    @staticmethod
    def _match_alt_emit_1mul__3II(*args):
      if len(args) != 2: return False
      _0_tgt,_1_ofs, = args
      return (    __arg_alt_match__3I__(_0_tgt)
              and __arg_alt_match_I__(_1_ofs))
    @staticmethod
    def _emit_1mul_alt__3II(_t__0_tgt,_t__1_ofs):
      _0_tgt=numpy.array(_t__0_tgt,dtype=numpy.dtype(numpy.int32))
      _1_ofs=numpy.int32(_t__1_ofs)
      _1 = mosek_fusion_ExprCode._emit_1mul__3II(_0_tgt,_1_ofs)
      try:
        _t__0_tgt[:] = _0_tgt
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _emit_1mul__3II(_0_tgt,_1_ofs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3027:67-3031:7
      _0_tgt[_1_ofs] = 5 # bld/herlev/final/default/src/fusion/Parameter.monty:3028:8-42
      _0_tgt[(_1_ofs + 1)] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:3029:8-23
      return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameter.monty:3030:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3027:67-3031:7
    @staticmethod
    def _match_emit_1neg__3II(*args):
      if len(args) != 2: return False
      _0_tgt,_1_ofs, = args
      return (    __arg_match__3I__(_0_tgt)
              and __arg_match_I__(_1_ofs))
    @staticmethod
    def _match_alt_emit_1neg__3II(*args):
      if len(args) != 2: return False
      _0_tgt,_1_ofs, = args
      return (    __arg_alt_match__3I__(_0_tgt)
              and __arg_alt_match_I__(_1_ofs))
    @staticmethod
    def _emit_1neg_alt__3II(_t__0_tgt,_t__1_ofs):
      _0_tgt=numpy.array(_t__0_tgt,dtype=numpy.dtype(numpy.int32))
      _1_ofs=numpy.int32(_t__1_ofs)
      _1 = mosek_fusion_ExprCode._emit_1neg__3II(_0_tgt,_1_ofs)
      try:
        _t__0_tgt[:] = _0_tgt
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _emit_1neg__3II(_0_tgt,_1_ofs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3022:67-3026:7
      _0_tgt[_1_ofs] = 4 # bld/herlev/final/default/src/fusion/Parameter.monty:3023:8-42
      _0_tgt[(_1_ofs + 1)] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:3024:8-23
      return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameter.monty:3025:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3022:67-3026:7
    @staticmethod
    def _match_emit_1add__3II(*args):
      if len(args) != 2: return False
      _0_tgt,_1_ofs, = args
      return (    __arg_match__3I__(_0_tgt)
              and __arg_match_I__(_1_ofs))
    @staticmethod
    def _match_alt_emit_1add__3II(*args):
      if len(args) != 2: return False
      _0_tgt,_1_ofs, = args
      return (    __arg_alt_match__3I__(_0_tgt)
              and __arg_alt_match_I__(_1_ofs))
    @staticmethod
    def _emit_1add_alt__3II(_t__0_tgt,_t__1_ofs):
      _0_tgt=numpy.array(_t__0_tgt,dtype=numpy.dtype(numpy.int32))
      _1_ofs=numpy.int32(_t__1_ofs)
      _1 = mosek_fusion_ExprCode._emit_1add__3II(_0_tgt,_1_ofs)
      try:
        _t__0_tgt[:] = _0_tgt
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _emit_1add__3II(_0_tgt,_1_ofs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3017:67-3021:7
      _0_tgt[_1_ofs] = 3 # bld/herlev/final/default/src/fusion/Parameter.monty:3018:8-42
      _0_tgt[(_1_ofs + 1)] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:3019:8-23
      return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameter.monty:3020:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3017:67-3021:7
    @staticmethod
    def _match_emit_1constref__3III(*args):
      if len(args) != 3: return False
      _0_tgt,_1_ofs,_2_i, = args
      return (    __arg_match__3I__(_0_tgt)
              and __arg_match_I__(_1_ofs)
              and __arg_match_I__(_2_i))
    @staticmethod
    def _match_alt_emit_1constref__3III(*args):
      if len(args) != 3: return False
      _0_tgt,_1_ofs,_2_i, = args
      return (    __arg_alt_match__3I__(_0_tgt)
              and __arg_alt_match_I__(_1_ofs)
              and __arg_alt_match_I__(_2_i))
    @staticmethod
    def _emit_1constref_alt__3III(_t__0_tgt,_t__1_ofs,_t__2_i):
      _0_tgt=numpy.array(_t__0_tgt,dtype=numpy.dtype(numpy.int32))
      _1_ofs=numpy.int32(_t__1_ofs)
      _2_i=numpy.int32(_t__2_i)
      _1 = mosek_fusion_ExprCode._emit_1constref__3III(_0_tgt,_1_ofs,_2_i)
      try:
        _t__0_tgt[:] = _0_tgt
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _emit_1constref__3III(_0_tgt,_1_ofs,_2_i):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3012:81-3016:7
      _0_tgt[_1_ofs] = 2 # bld/herlev/final/default/src/fusion/Parameter.monty:3013:8-46
      _0_tgt[(_1_ofs + 1)] = _2_i # bld/herlev/final/default/src/fusion/Parameter.monty:3014:8-23
      return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameter.monty:3015:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3012:81-3016:7
    @staticmethod
    def _match_emit_1paramref__3III(*args):
      if len(args) != 3: return False
      _0_tgt,_1_ofs,_2_i, = args
      return (    __arg_match__3I__(_0_tgt)
              and __arg_match_I__(_1_ofs)
              and __arg_match_I__(_2_i))
    @staticmethod
    def _match_alt_emit_1paramref__3III(*args):
      if len(args) != 3: return False
      _0_tgt,_1_ofs,_2_i, = args
      return (    __arg_alt_match__3I__(_0_tgt)
              and __arg_alt_match_I__(_1_ofs)
              and __arg_alt_match_I__(_2_i))
    @staticmethod
    def _emit_1paramref_alt__3III(_t__0_tgt,_t__1_ofs,_t__2_i):
      _0_tgt=numpy.array(_t__0_tgt,dtype=numpy.dtype(numpy.int32))
      _1_ofs=numpy.int32(_t__1_ofs)
      _2_i=numpy.int32(_t__2_i)
      _1 = mosek_fusion_ExprCode._emit_1paramref__3III(_0_tgt,_1_ofs,_2_i)
      try:
        _t__0_tgt[:] = _0_tgt
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _emit_1paramref__3III(_0_tgt,_1_ofs,_2_i):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3007:81-3011:7
      _0_tgt[_1_ofs] = 1 # bld/herlev/final/default/src/fusion/Parameter.monty:3008:8-50
      _0_tgt[(_1_ofs + 1)] = _2_i # bld/herlev/final/default/src/fusion/Parameter.monty:3009:8-23
      return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameter.monty:3010:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3007:81-3011:7
    @staticmethod
    def _match_emit_1nop__3II(*args):
      if len(args) != 2: return False
      _0_tgt,_1_ofs, = args
      return (    __arg_match__3I__(_0_tgt)
              and __arg_match_I__(_1_ofs))
    @staticmethod
    def _match_alt_emit_1nop__3II(*args):
      if len(args) != 2: return False
      _0_tgt,_1_ofs, = args
      return (    __arg_alt_match__3I__(_0_tgt)
              and __arg_alt_match_I__(_1_ofs))
    @staticmethod
    def _emit_1nop_alt__3II(_t__0_tgt,_t__1_ofs):
      _0_tgt=numpy.array(_t__0_tgt,dtype=numpy.dtype(numpy.int32))
      _1_ofs=numpy.int32(_t__1_ofs)
      _1 = mosek_fusion_ExprCode._emit_1nop__3II(_0_tgt,_1_ofs)
      try:
        _t__0_tgt[:] = _0_tgt
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _emit_1nop__3II(_0_tgt,_1_ofs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3002:67-3006:7
      _0_tgt[_1_ofs] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:3003:8-42
      _0_tgt[(_1_ofs + 1)] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:3004:8-23
      return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameter.monty:3005:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:3002:67-3006:7
  return ExprCode
mosek_fusion_ExprCode=__mk_mosek_fusion_ExprCode()
del __mk_mosek_fusion_ExprCode

# origin: bld/herlev/final/default/src/fusion/Parameter.monty:2855:4-2978:5
#BEFORE CLASS
def __mk_mosek_fusion_Param():
  class Param(object):
    @staticmethod
    def vstack(*args):
      if False: pass
      elif mosek_fusion_Param._match_vstack__3Lmosek_4fusion_4Parameter_2(*args): # []mosek.fusion.Parameter
        return mosek_fusion_Param._vstack__3Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_alt_vstack__3Lmosek_4fusion_4Parameter_2(*args): # []mosek.fusion.Parameter
        return mosek_fusion_Param._vstack_alt__3Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_vstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Parameter,mosek.fusion.Parameter
        return mosek_fusion_Param._vstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_alt_vstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Parameter,mosek.fusion.Parameter
        return mosek_fusion_Param._vstack_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_vstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Parameter,mosek.fusion.Parameter,mosek.fusion.Parameter
        return mosek_fusion_Param._vstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_alt_vstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Parameter,mosek.fusion.Parameter,mosek.fusion.Parameter
        return mosek_fusion_Param._vstack_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args)
      else:
        raise ValueError('Invalid argument list vstack('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Param.vstack(array(mosek.fusion.Parameter,ndim=1))\n\tmosek.fusion.Param.vstack(mosek.fusion.Parameter,mosek.fusion.Parameter)\n\tmosek.fusion.Param.vstack(mosek.fusion.Parameter,mosek.fusion.Parameter,mosek.fusion.Parameter)')

    @staticmethod
    def stack(*args):
      if False: pass
      elif mosek_fusion_Param._match_stack__3_3Lmosek_4fusion_4Parameter_2(*args): # [][]mosek.fusion.Parameter
        return mosek_fusion_Param._stack__3_3Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_alt_stack__3_3Lmosek_4fusion_4Parameter_2(*args): # [][]mosek.fusion.Parameter
        return mosek_fusion_Param._stack_alt__3_3Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_stack_I_3Lmosek_4fusion_4Parameter_2(*args): # int32,[]mosek.fusion.Parameter
        return mosek_fusion_Param._stack_I_3Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_alt_stack_I_3Lmosek_4fusion_4Parameter_2(*args): # int32,[]mosek.fusion.Parameter
        return mosek_fusion_Param._stack_alt_I_3Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_stack_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args): # int32,mosek.fusion.Parameter,mosek.fusion.Parameter
        return mosek_fusion_Param._stack_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_alt_stack_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args): # int32,mosek.fusion.Parameter,mosek.fusion.Parameter
        return mosek_fusion_Param._stack_alt_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_stack_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args): # int32,mosek.fusion.Parameter,mosek.fusion.Parameter,mosek.fusion.Parameter
        return mosek_fusion_Param._stack_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_alt_stack_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args): # int32,mosek.fusion.Parameter,mosek.fusion.Parameter,mosek.fusion.Parameter
        return mosek_fusion_Param._stack_alt_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args)
      else:
        raise ValueError('Invalid argument list stack('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Param.stack(array(array(mosek.fusion.Parameter,ndim=1),ndim=1))\n\tmosek.fusion.Param.stack(int32,array(mosek.fusion.Parameter,ndim=1))\n\tmosek.fusion.Param.stack(int32,mosek.fusion.Parameter,mosek.fusion.Parameter)\n\tmosek.fusion.Param.stack(int32,mosek.fusion.Parameter,mosek.fusion.Parameter,mosek.fusion.Parameter)')

    @staticmethod
    def repeat(*args):
      if False: pass
      elif mosek_fusion_Param._match_repeat_Lmosek_4fusion_4Parameter_2II(*args): # mosek.fusion.Parameter,int32,int32
        return mosek_fusion_Param._repeat_Lmosek_4fusion_4Parameter_2II(*args)
      elif mosek_fusion_Param._match_alt_repeat_Lmosek_4fusion_4Parameter_2II(*args): # mosek.fusion.Parameter,int32,int32
        return mosek_fusion_Param._repeat_alt_Lmosek_4fusion_4Parameter_2II(*args)
      else:
        raise ValueError('Invalid argument list repeat('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Param.repeat(mosek.fusion.Parameter,int32,int32)')

    @staticmethod
    def hstack(*args):
      if False: pass
      elif mosek_fusion_Param._match_hstack__3Lmosek_4fusion_4Parameter_2(*args): # []mosek.fusion.Parameter
        return mosek_fusion_Param._hstack__3Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_alt_hstack__3Lmosek_4fusion_4Parameter_2(*args): # []mosek.fusion.Parameter
        return mosek_fusion_Param._hstack_alt__3Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_hstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Parameter,mosek.fusion.Parameter
        return mosek_fusion_Param._hstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_alt_hstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Parameter,mosek.fusion.Parameter
        return mosek_fusion_Param._hstack_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_hstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Parameter,mosek.fusion.Parameter,mosek.fusion.Parameter
        return mosek_fusion_Param._hstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Param._match_alt_hstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Parameter,mosek.fusion.Parameter,mosek.fusion.Parameter
        return mosek_fusion_Param._hstack_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args)
      else:
        raise ValueError('Invalid argument list hstack('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Param.hstack(array(mosek.fusion.Parameter,ndim=1))\n\tmosek.fusion.Param.hstack(mosek.fusion.Parameter,mosek.fusion.Parameter)\n\tmosek.fusion.Param.hstack(mosek.fusion.Parameter,mosek.fusion.Parameter,mosek.fusion.Parameter)')

    def __repr__(self): return 'mosek.fusion.Param'
    @staticmethod
    def _match_repeat_Lmosek_4fusion_4Parameter_2II(*args):
      if len(args) != 3: return False
      _0_p,_1_n,_2_dim, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(_0_p)
              and __arg_match_I__(_1_n)
              and __arg_match_I__(_2_dim))
    @staticmethod
    def _match_alt_repeat_Lmosek_4fusion_4Parameter_2II(*args):
      if len(args) != 3: return False
      _0_p,_1_n,_2_dim, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_0_p)
              and __arg_alt_match_I__(_1_n)
              and __arg_alt_match_I__(_2_dim))
    @staticmethod
    def _repeat_alt_Lmosek_4fusion_4Parameter_2II(_t__0_p,_t__1_n,_t__2_dim):
      return mosek_fusion_Param._repeat_Lmosek_4fusion_4Parameter_2II(_0_p,numpy.int32(__1_n),numpy.int32(__2_dim))
    @staticmethod
    def _repeat_Lmosek_4fusion_4Parameter_2II(_0_p,_1_n,_2_dim):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2977:77-122
      return (mosek.fusion.Param._stack_I_3Lmosek_4fusion_4Parameter_2(_2_dim,numpy.array([_0_p for _3_i in range(0,_1_n)], dtype=numpy.dtype(object)))) # bld/herlev/final/default/src/fusion/Parameter.monty:2977:79-120
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2977:77-122
    @staticmethod
    def _match_stack_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 4: return False
      _0_dim,_1_p1,_2_p2,_3_p3, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_1_p1)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_2_p2)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_3_p3))
    @staticmethod
    def _match_alt_stack_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 4: return False
      _0_dim,_1_p1,_2_p2,_3_p3, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_1_p1)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_2_p2)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_3_p3))
    @staticmethod
    def _stack_alt_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_t__0_dim,_t__1_p1,_t__2_p2,_t__3_p3):
      return mosek_fusion_Param._stack_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(numpy.int32(__0_dim),_1_p1,_2_p2,_3_p3)
    @staticmethod
    def _stack_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_0_dim,_1_p1,_2_p2,_3_p3):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2976:97-136
      return (mosek.fusion.Param._dstack__3Lmosek_4fusion_4Parameter_2I(numpy.array([_1_p1,_2_p2,_3_p3], dtype=numpy.dtype(object)),_0_dim)) # bld/herlev/final/default/src/fusion/Parameter.monty:2976:99-134
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2976:97-136
    @staticmethod
    def _match_stack_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 3: return False
      _0_dim,_1_p1,_2_p2, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_1_p1)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_2_p2))
    @staticmethod
    def _match_alt_stack_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 3: return False
      _0_dim,_1_p1,_2_p2, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_1_p1)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_2_p2))
    @staticmethod
    def _stack_alt_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_t__0_dim,_t__1_p1,_t__2_p2):
      return mosek_fusion_Param._stack_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(numpy.int32(__0_dim),_1_p1,_2_p2)
    @staticmethod
    def _stack_ILmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_0_dim,_1_p1,_2_p2):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2975:83-119
      return (mosek.fusion.Param._dstack__3Lmosek_4fusion_4Parameter_2I(numpy.array([_1_p1,_2_p2], dtype=numpy.dtype(object)),_0_dim)) # bld/herlev/final/default/src/fusion/Parameter.monty:2975:85-117
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2975:83-119
    @staticmethod
    def _match_stack_I_3Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_dim,_1_p, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match__3Lmosek_4fusion_4Parameter_2__(_1_p))
    @staticmethod
    def _match_alt_stack_I_3Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_dim,_1_p, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match__3Lmosek_4fusion_4Parameter_2__(_1_p))
    @staticmethod
    def _stack_alt_I_3Lmosek_4fusion_4Parameter_2(_t__0_dim,_t__1_p):
      _0_dim=numpy.int32(_t__0_dim)
      _1_p=numpy.array(_t__1_p,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Param._stack_I_3Lmosek_4fusion_4Parameter_2(_0_dim,_1_p)
      try:
        _t__1_p[:] = _1_p
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _stack_I_3Lmosek_4fusion_4Parameter_2(_0_dim,_1_p):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2974:70-95
      return (mosek.fusion.Param._dstack__3Lmosek_4fusion_4Parameter_2I(_1_p,_0_dim)) # bld/herlev/final/default/src/fusion/Parameter.monty:2974:72-93
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2974:70-95
    @staticmethod
    def _match_stack__3_3Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 1: return False
      _0_p, = args
      return (    __arg_match__3_3Lmosek_4fusion_4Parameter_2__(_0_p))
    @staticmethod
    def _match_alt_stack__3_3Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 1: return False
      _0_p, = args
      return (    __arg_alt_match__3_3Lmosek_4fusion_4Parameter_2__(_0_p))
    @staticmethod
    def _stack_alt__3_3Lmosek_4fusion_4Parameter_2(_t__0_p):
      _0_p=_monty.makeJaggedArray(_t__0_p,(1,1),numpy.dtype(object))
      _1 = mosek_fusion_Param._stack__3_3Lmosek_4fusion_4Parameter_2(_0_p)
      try:
        _t__0_p[:] = _0_p
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _stack__3_3Lmosek_4fusion_4Parameter_2(_0_p):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2973:60-119
      return (mosek.fusion.Param._vstack__3Lmosek_4fusion_4Parameter_2(numpy.array([mosek.fusion.Param._hstack__3Lmosek_4fusion_4Parameter_2(_0_p[_1_i]) for _1_i in range(0,int((_0_p).shape[0]))], dtype=numpy.dtype(object)))) # bld/herlev/final/default/src/fusion/Parameter.monty:2973:62-117
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2973:60-119
    @staticmethod
    def _match_hstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 3: return False
      _0_p1,_1_p2,_2_p3, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(_0_p1)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_1_p2)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_2_p3))
    @staticmethod
    def _match_alt_hstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 3: return False
      _0_p1,_1_p2,_2_p3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_0_p1)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_1_p2)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_2_p3))
    @staticmethod
    def _hstack_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_t__0_p1,_t__1_p2,_t__2_p3):
      return mosek_fusion_Param._hstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_0_p1,_1_p2,_2_p3)
    @staticmethod
    def _hstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_0_p1,_1_p2,_2_p3):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2972:86-123
      return (mosek.fusion.Param._dstack__3Lmosek_4fusion_4Parameter_2I(numpy.array([_0_p1,_1_p2,_2_p3], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Parameter.monty:2972:88-121
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2972:86-123
    @staticmethod
    def _match_hstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_p1,_1_p2, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(_0_p1)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_1_p2))
    @staticmethod
    def _match_alt_hstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_p1,_1_p2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_0_p1)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_1_p2))
    @staticmethod
    def _hstack_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_t__0_p1,_t__1_p2):
      return mosek_fusion_Param._hstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_0_p1,_1_p2)
    @staticmethod
    def _hstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_0_p1,_1_p2):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2971:73-107
      return (mosek.fusion.Param._dstack__3Lmosek_4fusion_4Parameter_2I(numpy.array([_0_p1,_1_p2], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Parameter.monty:2971:75-105
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2971:73-107
    @staticmethod
    def _match_hstack__3Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 1: return False
      _0_p, = args
      return (    __arg_match__3Lmosek_4fusion_4Parameter_2__(_0_p))
    @staticmethod
    def _match_alt_hstack__3Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 1: return False
      _0_p, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Parameter_2__(_0_p))
    @staticmethod
    def _hstack_alt__3Lmosek_4fusion_4Parameter_2(_t__0_p):
      _0_p=numpy.array(_t__0_p,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Param._hstack__3Lmosek_4fusion_4Parameter_2(_0_p)
      try:
        _t__0_p[:] = _0_p
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _hstack__3Lmosek_4fusion_4Parameter_2(_0_p):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2970:60-83
      return (mosek.fusion.Param._dstack__3Lmosek_4fusion_4Parameter_2I(_0_p,1)) # bld/herlev/final/default/src/fusion/Parameter.monty:2970:62-81
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2970:60-83
    @staticmethod
    def _match_vstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 3: return False
      _0_p1,_1_p2,_2_p3, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(_0_p1)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_1_p2)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_2_p3))
    @staticmethod
    def _match_alt_vstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 3: return False
      _0_p1,_1_p2,_2_p3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_0_p1)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_1_p2)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_2_p3))
    @staticmethod
    def _vstack_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_t__0_p1,_t__1_p2,_t__2_p3):
      return mosek_fusion_Param._vstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_0_p1,_1_p2,_2_p3)
    @staticmethod
    def _vstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_0_p1,_1_p2,_2_p3):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2969:86-123
      return (mosek.fusion.Param._dstack__3Lmosek_4fusion_4Parameter_2I(numpy.array([_0_p1,_1_p2,_2_p3], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Parameter.monty:2969:88-121
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2969:86-123
    @staticmethod
    def _match_vstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_p1,_1_p2, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(_0_p1)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_1_p2))
    @staticmethod
    def _match_alt_vstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_p1,_1_p2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_0_p1)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_1_p2))
    @staticmethod
    def _vstack_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_t__0_p1,_t__1_p2):
      return mosek_fusion_Param._vstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_0_p1,_1_p2)
    @staticmethod
    def _vstack_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Parameter_2(_0_p1,_1_p2):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2968:73-107
      return (mosek.fusion.Param._dstack__3Lmosek_4fusion_4Parameter_2I(numpy.array([_0_p1,_1_p2], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Parameter.monty:2968:75-105
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2968:73-107
    @staticmethod
    def _match_vstack__3Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 1: return False
      _0_p, = args
      return (    __arg_match__3Lmosek_4fusion_4Parameter_2__(_0_p))
    @staticmethod
    def _match_alt_vstack__3Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 1: return False
      _0_p, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Parameter_2__(_0_p))
    @staticmethod
    def _vstack_alt__3Lmosek_4fusion_4Parameter_2(_t__0_p):
      _0_p=numpy.array(_t__0_p,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Param._vstack__3Lmosek_4fusion_4Parameter_2(_0_p)
      try:
        _t__0_p[:] = _0_p
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _vstack__3Lmosek_4fusion_4Parameter_2(_0_p):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2967:60-83
      return (mosek.fusion.Param._dstack__3Lmosek_4fusion_4Parameter_2I(_0_p,0)) # bld/herlev/final/default/src/fusion/Parameter.monty:2967:62-81
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2967:60-83
    @staticmethod
    def _dstack_alt__3Lmosek_4fusion_4Parameter_2I(_t__0_p,_t__1_dim):
      _0_p=numpy.array(_t__0_p,dtype=numpy.dtype(object))
      _1_dim=numpy.int32(_t__1_dim)
      _1 = mosek_fusion_Param._dstack__3Lmosek_4fusion_4Parameter_2I(_0_p,_1_dim)
      try:
        _t__0_p[:] = _0_p
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _dstack__3Lmosek_4fusion_4Parameter_2I(_0_p,_1_dim):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2856:73-2965:7
      if (_1_dim < 0): # bld/herlev/final/default/src/fusion/Parameter.monty:2857:12-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2858:10-61
        raise mosek_fusion_IndexError._ctor_S("Invalid stacking dimension") # bld/herlev/final/default/src/fusion/Parameter.monty:2858:10-61
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2858:10-61
      _2_dimsizes=numpy.zeros((int((_0_p).shape[0]),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Parameter.monty:2860:12-20
      _3_itemsizes=numpy.zeros((int((_0_p).shape[0]),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Parameter.monty:2861:12-21
      # var _4_rshape @ bld/herlev/final/default/src/fusion/Parameter.monty:2862:12-26
      _5_rnd=_0_p[0]._getND_() # bld/herlev/final/default/src/fusion/Parameter.monty:2863:12-15
      for _6_i in range(1,int((_0_p).shape[0])): # bld/herlev/final/default/src/fusion/Parameter.monty:2863:32-99
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2863:56-99
        if (_5_rnd < _0_p[_6_i]._getND_()): # bld/herlev/final/default/src/fusion/Parameter.monty:2863:60-78
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2863:80-99
          _5_rnd = _0_p[_6_i]._getND_() # bld/herlev/final/default/src/fusion/Parameter.monty:2863:80-99
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2863:80-99
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2863:56-99
      if (_1_dim < _5_rnd): # bld/herlev/final/default/src/fusion/Parameter.monty:2864:12-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2864:23-2871:9
        _7_i=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2865:14-15
        while ((_7_i < int((_0_p).shape[0])) and (_5_rnd!=_0_p[_7_i]._getND_())): # bld/herlev/final/default/src/fusion/Parameter.monty:2865:21-68
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2865:64-68
          _7_i += 1 # bld/herlev/final/default/src/fusion/Parameter.monty:2865:64-68
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2865:64-68
        _4_rshape = _0_p[_7_i]._getShape_() # bld/herlev/final/default/src/fusion/Parameter.monty:2865:69-94
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2867:10-2870:11
        _8_i=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2867:16-17
        while ((_8_i < int((_0_p).shape[0])) and (_5_rnd!=_0_p[_8_i]._getND_())): # bld/herlev/final/default/src/fusion/Parameter.monty:2868:12-59
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2868:55-59
          _8_i += 1 # bld/herlev/final/default/src/fusion/Parameter.monty:2868:55-59
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2868:55-59
        _4_rshape = _0_p[_8_i]._getShape_() # bld/herlev/final/default/src/fusion/Parameter.monty:2869:12-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2867:10-2870:11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2864:23-2871:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2872:13-2880:9
        _4_rshape = numpy.array([1 for _9_i in range(0,(_1_dim + 1))], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Parameter.monty:2873:10-52
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2874:10-2879:11
        _10_i=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2874:16-17
        while ((_10_i < int((_0_p).shape[0])) and (_5_rnd!=_0_p[_10_i]._getND_())): # bld/herlev/final/default/src/fusion/Parameter.monty:2875:12-59
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2875:55-59
          _10_i += 1 # bld/herlev/final/default/src/fusion/Parameter.monty:2875:55-59
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2875:55-59
        _11_ndi=_0_p[_10_i]._getND_() # bld/herlev/final/default/src/fusion/Parameter.monty:2876:16-19
        _12_shapei=_0_p[_10_i]._getShape_() # bld/herlev/final/default/src/fusion/Parameter.monty:2877:16-22
        fragments._c_closure_284(_11_ndi,_4_rshape,_12_shapei) # bld/herlev/final/default/src/fusion/Parameter.monty:2878:12-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2874:10-2879:11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2872:13-2880:9
      _5_rnd = int((_4_rshape).shape[0]) # bld/herlev/final/default/src/fusion/Parameter.monty:2881:8-26
      _13_dimsize=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2882:12-19
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2883:8-2903:9
      _14_dimerr=False # bld/herlev/final/default/src/fusion/Parameter.monty:2884:14-20
      for _15_i in range(0,int((_0_p).shape[0])): # bld/herlev/final/default/src/fusion/Parameter.monty:2885:10-2900:11
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2885:34-2900:11
        _16_shapei=_0_p[_15_i]._getShape_() # bld/herlev/final/default/src/fusion/Parameter.monty:2886:16-22
        _3_itemsizes[_15_i] = mosek.fusion.Set._size__3I(_16_shapei) # bld/herlev/final/default/src/fusion/Parameter.monty:2887:12-44
        _14_dimerr = fragments._c_closure_285(_1_dim,_14_dimerr,_4_rshape,_16_shapei) # bld/herlev/final/default/src/fusion/Parameter.monty:2888:12-2889:71
        _14_dimerr,_13_dimsize = fragments._c_closure_286(_1_dim,_14_dimerr,_13_dimsize,_2_dimsizes,_15_i,_5_rnd,_4_rshape,_16_shapei) # bld/herlev/final/default/src/fusion/Parameter.monty:2890:12-2899:13
        _13_dimsize = numpy.int32(_13_dimsize) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2885:34-2900:11
      if _14_dimerr: # bld/herlev/final/default/src/fusion/Parameter.monty:2901:14-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2902:12-76
        raise mosek_fusion_DimensionError._ctor_S("Mismatching dimensions for stacking") # bld/herlev/final/default/src/fusion/Parameter.monty:2902:12-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2902:12-76
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2883:8-2903:9
      _4_rshape[_1_dim] = _13_dimsize # bld/herlev/final/default/src/fusion/Parameter.monty:2904:8-30
      _17_nnzs=numpy.array([_0_p[_18_i]._getNumNonzero_() for _18_i in range(0,int((_0_p).shape[0]))], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Parameter.monty:2906:12-16
      _19_rnnz=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2907:12-16
      _19_rnnz = fragments._c_closure_287(_17_nnzs,_19_rnnz) # bld/herlev/final/default/src/fusion/Parameter.monty:2907:22-65
      _19_rnnz = numpy.int32(_19_rnnz) # postprocess
      _20_sp=numpy.zeros((_19_rnnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Parameter.monty:2909:12-14
      _21_idx=numpy.zeros((_19_rnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Parameter.monty:2910:12-15
      _22_dim0=1 # bld/herlev/final/default/src/fusion/Parameter.monty:2912:12-22
      _22_dim0 = fragments._c_closure_288(_1_dim,_22_dim0,_4_rshape) # bld/herlev/final/default/src/fusion/Parameter.monty:2912:28-67
      _22_dim0 = numpy.int64(_22_dim0) # postprocess
      _23_dim1=_13_dimsize # bld/herlev/final/default/src/fusion/Parameter.monty:2913:12-22
      _24_dim2=1 # bld/herlev/final/default/src/fusion/Parameter.monty:2914:12-22
      _24_dim2 = fragments._c_closure_289(_1_dim,_24_dim2,_5_rnd,_4_rshape) # bld/herlev/final/default/src/fusion/Parameter.monty:2914:28-71
      _24_dim2 = numpy.int64(_24_dim2) # postprocess
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2915:8-2941:9
      _25_ofs=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2916:14-23
      _26_ofsdim=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2917:14-26
      for _27_i in range(0,int((_0_p).shape[0])): # bld/herlev/final/default/src/fusion/Parameter.monty:2918:10-2940:11
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2918:34-2940:11
        _28_ni=_0_p[_27_i]._getNumNonzero_() # bld/herlev/final/default/src/fusion/Parameter.monty:2919:16-18
        _0_p[_27_i]._getSp__3JI(_20_sp,_25_ofs) # bld/herlev/final/default/src/fusion/Parameter.monty:2920:12-31
        _0_p[_27_i]._getAllIndexes__3II(_21_idx,_25_ofs) # bld/herlev/final/default/src/fusion/Parameter.monty:2921:12-40
        _26_ofsdim = fragments._c_closure_290(_1_dim,_24_dim2,_13_dimsize,_2_dimsizes,_27_i,_3_itemsizes,_28_ni,_25_ofs,_26_ofsdim,_20_sp) # bld/herlev/final/default/src/fusion/Parameter.monty:2923:12-2937:13
        _26_ofsdim = numpy.int64(_26_ofsdim) # postprocess
        _25_ofs += _28_ni # bld/herlev/final/default/src/fusion/Parameter.monty:2939:12-22
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2918:34-2940:11
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2915:8-2941:9
      _29_maxdim=_4_rshape[0] # bld/herlev/final/default/src/fusion/Parameter.monty:2945:12-18
      _29_maxdim = fragments._c_closure_291(_29_maxdim,_5_rnd,_4_rshape) # bld/herlev/final/default/src/fusion/Parameter.monty:2945:34-98
      _29_maxdim = numpy.int32(_29_maxdim) # postprocess
      _30_ptr=numpy.zeros(((_29_maxdim + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Parameter.monty:2946:12-15
      _31_perm=numpy.zeros((_19_rnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Parameter.monty:2947:12-16
      _32_perm2=numpy.zeros((_19_rnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Parameter.monty:2948:12-17
      _33_rstrides=numpy.zeros((_5_rnd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Parameter.monty:2949:12-20
      _33_rstrides[(_5_rnd - 1)] = 1 # bld/herlev/final/default/src/fusion/Parameter.monty:2949:38-58
      fragments._c_closure_292(_5_rnd,_4_rshape,_33_rstrides) # bld/herlev/final/default/src/fusion/Parameter.monty:2949:59-132
      fragments._c_closure_293(_31_perm,_19_rnnz) # bld/herlev/final/default/src/fusion/Parameter.monty:2950:8-42
      for _34_d_ in range(0,_5_rnd): # bld/herlev/final/default/src/fusion/Parameter.monty:2951:8-2959:9
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2951:30-2959:9
        _35_d=((_5_rnd - _34_d_) - 1) # bld/herlev/final/default/src/fusion/Parameter.monty:2952:14-15
        fragments._c_closure_294(_29_maxdim,_30_ptr) # bld/herlev/final/default/src/fusion/Parameter.monty:2953:10-48
        fragments._c_closure_295(_35_d,_30_ptr,_19_rnnz,_4_rshape,_33_rstrides,_20_sp) # bld/herlev/final/default/src/fusion/Parameter.monty:2954:10-73
        fragments._c_closure_296(_29_maxdim,_30_ptr) # bld/herlev/final/default/src/fusion/Parameter.monty:2955:10-54
        fragments._c_closure_297(_35_d,_31_perm,_32_perm2,_30_ptr,_19_rnnz,_4_rshape,_33_rstrides,_20_sp) # bld/herlev/final/default/src/fusion/Parameter.monty:2956:10-124
        _36_tmp=_32_perm2 # bld/herlev/final/default/src/fusion/Parameter.monty:2958:14-17
        _32_perm2 = _31_perm # bld/herlev/final/default/src/fusion/Parameter.monty:2958:27-40
        _31_perm = _36_tmp # bld/herlev/final/default/src/fusion/Parameter.monty:2958:41-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2951:30-2959:9
      _37_rsp=numpy.array([_20_sp[_31_perm[_38_i]] for _38_i in range(0,_19_rnnz)], dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Parameter.monty:2961:12-15
      _39_ridx=numpy.array([_21_idx[_31_perm[_40_i]] for _40_i in range(0,_19_rnnz)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Parameter.monty:2962:12-16
      return (mosek_fusion_ParameterImpl._ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(_0_p[0]._getModel_(),_4_rshape,_37_rsp,_39_ridx)) # bld/herlev/final/default/src/fusion/Parameter.monty:2964:8-66
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2856:73-2965:7
  return Param
mosek_fusion_Param=__mk_mosek_fusion_Param()
del __mk_mosek_fusion_Param

# origin: bld/herlev/final/default/src/fusion/Parameter.monty:105:4-418:5
#BEFORE CLASS
def __mk_mosek_fusion_ParameterImpl():
  class ParameterImpl(mosek_fusion_Parameter,object):
    __slots__ = ['_ParameterImpl__size','_ParameterImpl__nidxs','_ParameterImpl__sp','_ParameterImpl__shape','_ParameterImpl__model']
    def pick(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_pick__3I(*args): # []int32
        return self._pick__3I(*args)
      elif mosek_fusion_ParameterImpl._match_alt_pick__3I(*args): # []int32
        return self._pick_alt__3I(*args)
      elif mosek_fusion_ParameterImpl._match_pick__3_5I(*args): # [,]int32
        return self._pick__3_5I(*args)
      elif mosek_fusion_ParameterImpl._match_alt_pick__3_5I(*args): # [,]int32
        return self._pick_alt__3_5I(*args)
      else:
        raise ValueError('Invalid argument list pick('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.pick(array(int32,ndim=1))\n\tmosek.fusion.ParameterImpl.pick(array(int32,ndim=2))')

    def getSize(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_getSize_(*args): # 
        return self._getSize_(*args)
      elif mosek_fusion_ParameterImpl._match_alt_getSize_(*args): # 
        return self._getSize_alt_(*args)
      else:
        raise ValueError('Invalid argument list getSize('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.getSize()')

    def getIndex(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_getIndex_I(*args): # int32
        return self._getIndex_I(*args)
      elif mosek_fusion_ParameterImpl._match_alt_getIndex_I(*args): # int32
        return self._getIndex_alt_I(*args)
      else:
        raise ValueError('Invalid argument list getIndex('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.getIndex(int32)')

    def getShape(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_getShape_(*args): # 
        return self._getShape_(*args)
      elif mosek_fusion_ParameterImpl._match_alt_getShape_(*args): # 
        return self._getShape_alt_(*args)
      else:
        raise ValueError('Invalid argument list getShape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.getShape()')

    def getDim(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_getDim_I(*args): # int32
        return self._getDim_I(*args)
      elif mosek_fusion_ParameterImpl._match_alt_getDim_I(*args): # int32
        return self._getDim_alt_I(*args)
      else:
        raise ValueError('Invalid argument list getDim('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.getDim(int32)')

    def getND(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_getND_(*args): # 
        return self._getND_(*args)
      elif mosek_fusion_ParameterImpl._match_alt_getND_(*args): # 
        return self._getND_alt_(*args)
      else:
        raise ValueError('Invalid argument list getND('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.getND()')

    def clone(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_clone_Lmosek_4fusion_4Model_2(*args): # mosek.fusion.Model
        return self._clone_Lmosek_4fusion_4Model_2(*args)
      elif mosek_fusion_ParameterImpl._match_alt_clone_Lmosek_4fusion_4Model_2(*args): # mosek.fusion.Model
        return self._clone_alt_Lmosek_4fusion_4Model_2(*args)
      else:
        raise ValueError('Invalid argument list clone('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.clone(mosek.fusion.Model)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ParameterImpl._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def slice(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_slice_II(*args): # int32,int32
        return self._slice_II(*args)
      elif mosek_fusion_ParameterImpl._match_alt_slice_II(*args): # int32,int32
        return self._slice_alt_II(*args)
      elif mosek_fusion_ParameterImpl._match_slice__3I_3I(*args): # []int32,[]int32
        return self._slice__3I_3I(*args)
      elif mosek_fusion_ParameterImpl._match_alt_slice__3I_3I(*args): # []int32,[]int32
        return self._slice_alt__3I_3I(*args)
      else:
        raise ValueError('Invalid argument list slice('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.slice(int32,int32)\n\tmosek.fusion.ParameterImpl.slice(array(int32,ndim=1),array(int32,ndim=1))')

    def index(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_index_I(*args): # int32
        return self._index_I(*args)
      elif mosek_fusion_ParameterImpl._match_alt_index_I(*args): # int32
        return self._index_alt_I(*args)
      elif mosek_fusion_ParameterImpl._match_index__3I(*args): # []int32
        return self._index__3I(*args)
      elif mosek_fusion_ParameterImpl._match_alt_index__3I(*args): # []int32
        return self._index_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list index('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.index(int32)\n\tmosek.fusion.ParameterImpl.index(array(int32,ndim=1))')

    def getSp(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_getSp__3JI(*args): # []int64,int32
        return self._getSp__3JI(*args)
      elif mosek_fusion_ParameterImpl._match_alt_getSp__3JI(*args): # []int64,int32
        return self._getSp_alt__3JI(*args)
      else:
        raise ValueError('Invalid argument list getSp('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.getSp(array(int64,ndim=1),int32)')

    def getValue(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_getValue_(*args): # 
        return self._getValue_(*args)
      elif mosek_fusion_ParameterImpl._match_alt_getValue_(*args): # 
        return self._getValue_alt_(*args)
      else:
        raise ValueError('Invalid argument list getValue('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.getValue()')

    def getAllIndexes(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_getAllIndexes__3II(*args): # []int32,int32
        return self._getAllIndexes__3II(*args)
      elif mosek_fusion_ParameterImpl._match_alt_getAllIndexes__3II(*args): # []int32,int32
        return self._getAllIndexes_alt__3II(*args)
      else:
        raise ValueError('Invalid argument list getAllIndexes('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.getAllIndexes(array(int32,ndim=1),int32)')

    def getModel(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_getModel_(*args): # 
        return self._getModel_(*args)
      elif mosek_fusion_ParameterImpl._match_alt_getModel_(*args): # 
        return self._getModel_alt_(*args)
      else:
        raise ValueError('Invalid argument list getModel('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.getModel()')

    def isSparse(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_isSparse_(*args): # 
        return self._isSparse_(*args)
      elif mosek_fusion_ParameterImpl._match_alt_isSparse_(*args): # 
        return self._isSparse_alt_(*args)
      else:
        raise ValueError('Invalid argument list isSparse('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.isSparse()')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ParameterImpl._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.toString()')

    def reshape(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_reshape__3I(*args): # []int32
        return self._reshape__3I(*args)
      elif mosek_fusion_ParameterImpl._match_alt_reshape__3I(*args): # []int32
        return self._reshape_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list reshape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.reshape(array(int32,ndim=1))')

    def setValue(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_setValue_D(*args): # double
        return self._setValue_D(*args)
      elif mosek_fusion_ParameterImpl._match_alt_setValue_D(*args): # double
        return self._setValue_alt_D(*args)
      elif mosek_fusion_ParameterImpl._match_setValue__3D(*args): # []double
        return self._setValue__3D(*args)
      elif mosek_fusion_ParameterImpl._match_alt_setValue__3D(*args): # []double
        return self._setValue_alt__3D(*args)
      elif mosek_fusion_ParameterImpl._match_setValue__3_5D(*args): # [,]double
        return self._setValue__3_5D(*args)
      elif mosek_fusion_ParameterImpl._match_alt_setValue__3_5D(*args): # [,]double
        return self._setValue_alt__3_5D(*args)
      else:
        raise ValueError('Invalid argument list setValue('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.setValue(double)\n\tmosek.fusion.ParameterImpl.setValue(array(double,ndim=1))\n\tmosek.fusion.ParameterImpl.setValue(array(double,ndim=2))')

    def asExpr(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_asExpr_(*args): # 
        return self._asExpr_(*args)
      elif mosek_fusion_ParameterImpl._match_alt_asExpr_(*args): # 
        return self._asExpr_alt_(*args)
      else:
        raise ValueError('Invalid argument list asExpr('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.asExpr()')

    def getNumNonzero(self,*args):
      if False: pass
      elif mosek_fusion_ParameterImpl._match_getNumNonzero_(*args): # 
        return self._getNumNonzero_(*args)
      elif mosek_fusion_ParameterImpl._match_alt_getNumNonzero_(*args): # 
        return self._getNumNonzero_alt_(*args)
      else:
        raise ValueError('Invalid argument list getNumNonzero('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ParameterImpl.getNumNonzero()')

    def __repr__(self): return 'mosek.fusion.ParameterImpl'
    @staticmethod
    def _ctor_Lmosek_4fusion_4ParameterImpl_2Lmosek_4fusion_4Model_2(other,model):
      o = ParameterImpl.__new__(ParameterImpl)
      o._ctor_init_Lmosek_4fusion_4ParameterImpl_2Lmosek_4fusion_4Model_2(other,model)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4ParameterImpl_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      other,model, = args
      return (    __arg_match_Lmosek_4fusion_4ParameterImpl_2__(other)
              and __arg_match_Lmosek_4fusion_4Model_2__(model))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4ParameterImpl_2Lmosek_4fusion_4Model_2(*args):
      if len(args) != 2: return False
      other,model, = args
      return (    __arg_alt_match_Lmosek_4fusion_4ParameterImpl_2__(other)
              and __arg_alt_match_Lmosek_4fusion_4Model_2__(model))
    # Origin: bld/herlev/final/default/src/fusion/Parameter.monty:123:6-129:7
    def _ctor_alt_init_Lmosek_4fusion_4ParameterImpl_2Lmosek_4fusion_4Model_2(self,other,model):
      self._ctor_init_Lmosek_4fusion_4ParameterImpl_2Lmosek_4fusion_4Model_2(other,model)
    def _ctor_init_Lmosek_4fusion_4ParameterImpl_2Lmosek_4fusion_4Model_2(self,other,model):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:123:54-129:7
      (self.__model) = model # bld/herlev/final/default/src/fusion/Parameter.monty:124:8-27
      (self.__shape) = (other.__shape) # bld/herlev/final/default/src/fusion/Parameter.monty:125:8-33
      (self.__sp) = (other.__sp) # bld/herlev/final/default/src/fusion/Parameter.monty:126:8-30
      (self.__size) = (other.__size) # bld/herlev/final/default/src/fusion/Parameter.monty:127:8-32
      (self.__nidxs) = (other.__nidxs) # bld/herlev/final/default/src/fusion/Parameter.monty:128:8-33
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:123:54-129:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(model,shape,sp,nidxs):
      o = ParameterImpl.__new__(ParameterImpl)
      o._ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3I(model,shape,sp,nidxs)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(*args):
      if len(args) != 4: return False
      model,shape,sp,nidxs, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_match__3I__(shape)
              and __arg_match__3J__(sp)
              and __arg_match__3I__(nidxs))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(*args):
      if len(args) != 4: return False
      model,shape,sp,nidxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(model)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match__3J__(sp)
              and __arg_alt_match__3I__(nidxs))
    # Origin: bld/herlev/final/default/src/fusion/Parameter.monty:112:6-121:7
    def _ctor_alt_init_Lmosek_4fusion_4Model_2_3I_3J_3I(self,model,shape,sp,nidxs):
      self._ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3I(model,numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(sp,dtype=numpy.dtype(numpy.int64)),numpy.array(nidxs,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_Lmosek_4fusion_4Model_2_3I_3J_3I(self,model,shape,sp,nidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:115:36-121:7
      (self.__model) = model # bld/herlev/final/default/src/fusion/Parameter.monty:116:8-27
      (self.__shape) = mosek.fusion.Utils.Tools._arraycopy__3I(shape) # bld/herlev/final/default/src/fusion/Parameter.monty:117:8-50
      (self.__sp) = sp # bld/herlev/final/default/src/fusion/Parameter.monty:118:8-24
      (self.__size) = mosek.fusion.Set._size__3I(shape) # bld/herlev/final/default/src/fusion/Parameter.monty:119:8-37
      (self.__nidxs) = mosek.fusion.Utils.Tools._arraycopy__3I(nidxs) # bld/herlev/final/default/src/fusion/Parameter.monty:120:8-50
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:115:36-121:7
    @staticmethod
    def _match_clone_Lmosek_4fusion_4Model_2(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(_0_m))
    @staticmethod
    def _match_alt_clone_Lmosek_4fusion_4Model_2(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(_0_m))
    def _clone_alt_Lmosek_4fusion_4Model_2(self,_t__0_m):
      return self._clone_Lmosek_4fusion_4Model_2(_0_m)
    def _clone_Lmosek_4fusion_4Model_2(self,_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:415:45-417:7
      return (mosek_fusion_ParameterImpl._ctor_Lmosek_4fusion_4ParameterImpl_2Lmosek_4fusion_4Model_2(self,_0_m)) # bld/herlev/final/default/src/fusion/Parameter.monty:416:8-41
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:415:45-417:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:400:39-412:7
      _0_r=mosek.fusion.Utils.StringBuffer()._a_S("Parameter((") # bld/herlev/final/default/src/fusion/Parameter.monty:401:12-13
      if (int((self.__shape).shape[0]) > 0): # bld/herlev/final/default/src/fusion/Parameter.monty:402:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:402:28-406:9
        _0_r._a_I(self.__shape[0]) # bld/herlev/final/default/src/fusion/Parameter.monty:403:10-24
        for _1_i in range(1,int((self.__shape).shape[0])): # bld/herlev/final/default/src/fusion/Parameter.monty:404:10-405:33
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:405:12-33
          _0_r._a_S(",")._a_I(self.__shape[_1_i]) # bld/herlev/final/default/src/fusion/Parameter.monty:405:12-33
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:405:12-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:402:28-406:9
      _0_r._a_S(")") # bld/herlev/final/default/src/fusion/Parameter.monty:407:8-17
      if (self.__sp is not None): # bld/herlev/final/default/src/fusion/Parameter.monty:408:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:409:10-25
        _0_r._a_S(",sparse") # bld/herlev/final/default/src/fusion/Parameter.monty:409:10-25
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:409:10-25
      _0_r._a_S(")") # bld/herlev/final/default/src/fusion/Parameter.monty:410:8-17
      return (_0_r._toString_()) # bld/herlev/final/default/src/fusion/Parameter.monty:411:8-28
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:400:39-412:7
    @staticmethod
    def _match_pick__3_5I(*args):
      if len(args) != 1: return False
      _0_indexrows, = args
      return (    __arg_match__3_5I__(_0_indexrows))
    @staticmethod
    def _match_alt_pick__3_5I(*args):
      if len(args) != 1: return False
      _0_indexrows, = args
      return (    __arg_alt_match__3_5I__(_0_indexrows))
    def _pick_alt__3_5I(self,_t__0_indexrows):
      _0_indexrows=numpy.array(_t__0_indexrows,ndmin=_monty.checkShape(_t__0_indexrows,2),dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3_5I(_0_indexrows)
      return _1
    def _pick__3_5I(self,_0_indexrows):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:395:79-397:7
      raise mosek_fusion_UnimplementedError._ctor_S("Not implemented") # bld/herlev/final/default/src/fusion/Parameter.monty:396:8-56
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:395:79-397:7
    @staticmethod
    def _match_pick__3I(*args):
      if len(args) != 1: return False
      _0_indexes, = args
      return (    __arg_match__3I__(_0_indexes))
    @staticmethod
    def _match_alt_pick__3I(*args):
      if len(args) != 1: return False
      _0_indexes, = args
      return (    __arg_alt_match__3I__(_0_indexes))
    def _pick_alt__3I(self,_t__0_indexes):
      _0_indexes=numpy.array(_t__0_indexes,dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3I(_0_indexes)
      try:
        _t__0_indexes[:] = _0_indexes
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _pick__3I(self,_0_indexes):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:391:76-393:7
      raise mosek_fusion_UnimplementedError._ctor_S("Not implemented") # bld/herlev/final/default/src/fusion/Parameter.monty:392:8-56
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:391:76-393:7
    @staticmethod
    def _match_index__3I(*args):
      if len(args) != 1: return False
      _0_indexes, = args
      return (    __arg_match__3I__(_0_indexes))
    @staticmethod
    def _match_alt_index__3I(*args):
      if len(args) != 1: return False
      _0_indexes, = args
      return (    __arg_alt_match__3I__(_0_indexes))
    def _index_alt__3I(self,_t__0_indexes):
      _0_indexes=numpy.array(_t__0_indexes,dtype=numpy.dtype(numpy.int32))
      _1 = self._index__3I(_0_indexes)
      try:
        _t__0_indexes[:] = _0_indexes
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _index__3I(self,_0_indexes):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:363:78-389:7
      if (int((self.__shape).shape[0])!=int((_0_indexes).shape[0])): # bld/herlev/final/default/src/fusion/Parameter.monty:364:12-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:365:10-68
        raise mosek_fusion_DimensionError._ctor_S("Index has incorrect dimension") # bld/herlev/final/default/src/fusion/Parameter.monty:365:10-68
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:365:10-68
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:367:10-369:58
        for _1_i in range(0,int((_0_indexes).shape[0])): # bld/herlev/final/default/src/fusion/Parameter.monty:367:10-369:58
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:368:12-369:58
          if ((_0_indexes[_1_i] < 0) or (_0_indexes[_1_i] >= self.__shape[_1_i])): # bld/herlev/final/default/src/fusion/Parameter.monty:368:16-56
            # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:369:14-58
            raise mosek_fusion_IndexError._ctor_S("Index out of bounds") # bld/herlev/final/default/src/fusion/Parameter.monty:369:14-58
            # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:369:14-58
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:368:12-369:58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:367:10-369:58
      if (self.__sp is None): # bld/herlev/final/default/src/fusion/Parameter.monty:371:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:371:24-377:9
        _2_nd=int((_0_indexes).shape[0]) # bld/herlev/final/default/src/fusion/Parameter.monty:372:14-16
        _3_ix=_0_indexes[(_2_nd - 1)] # bld/herlev/final/default/src/fusion/Parameter.monty:373:14-22
        _3_ix = fragments._c_closure_298(_0_indexes,_3_ix,_2_nd,self.__shape) # bld/herlev/final/default/src/fusion/Parameter.monty:374:10-70
        _3_ix = numpy.int64(_3_ix) # postprocess
        return (mosek_fusion_ParameterImpl._ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(self.__model,numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)),None,numpy.array([self.__nidxs[_3_ix]], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/Parameter.monty:376:10-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:371:24-377:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:378:13-388:9
        _4_nd=int((_0_indexes).shape[0]) # bld/herlev/final/default/src/fusion/Parameter.monty:379:14-16
        _5_ix=_0_indexes[(_4_nd - 1)] # bld/herlev/final/default/src/fusion/Parameter.monty:380:14-22
        _5_ix = fragments._c_closure_299(_0_indexes,_5_ix,_4_nd,self.__shape) # bld/herlev/final/default/src/fusion/Parameter.monty:381:10-70
        _5_ix = numpy.int64(_5_ix) # postprocess
        _6_j=0 # bld/herlev/final/default/src/fusion/Parameter.monty:383:14-15
        _6_j = fragments._c_closure_300(_5_ix,_6_j,self.__sp) # bld/herlev/final/default/src/fusion/Parameter.monty:383:21-60
        _6_j = numpy.int32(_6_j) # postprocess
        if ((_6_j < int((self.__sp).shape[0])) and (self.__sp[_6_j]==_5_ix)): # bld/herlev/final/default/src/fusion/Parameter.monty:384:14-41
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:385:12-77
          return (mosek_fusion_ParameterImpl._ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(self.__model,numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)),None,numpy.array([self.__nidxs[_6_j]], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/Parameter.monty:385:12-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:385:12-77
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:387:12-80
          return (mosek_fusion_ParameterImpl._ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(self.__model,numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)),numpy.zeros((0,), dtype=numpy.dtype(numpy.int64)),numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/Parameter.monty:387:12-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:387:12-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:378:13-388:9
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:363:78-389:7
    @staticmethod
    def _match_index_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_match_I__(_0_i))
    @staticmethod
    def _match_alt_index_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_alt_match_I__(_0_i))
    def _index_alt_I(self,_t__0_i):
      return self._index_I(numpy.int32(__0_i))
    def _index_I(self,_0_i):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:345:71-361:7
      if (int((self.__shape).shape[0])!=1): # bld/herlev/final/default/src/fusion/Parameter.monty:346:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:347:10-68
        raise mosek_fusion_DimensionError._ctor_S("Index has incorrect dimension") # bld/herlev/final/default/src/fusion/Parameter.monty:347:10-68
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:347:10-68
      elif ((_0_i < 0) or (_0_i >= self.__shape[0])): # bld/herlev/final/default/src/fusion/Parameter.monty:348:16-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:349:10-54
        raise mosek_fusion_IndexError._ctor_S("Index out of bounds") # bld/herlev/final/default/src/fusion/Parameter.monty:349:10-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:349:10-54
      if (self.__sp is None): # bld/herlev/final/default/src/fusion/Parameter.monty:351:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:351:24-353:9
        return (mosek_fusion_ParameterImpl._ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(self.__model,numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)),None,numpy.array([self.__nidxs[_0_i]], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/Parameter.monty:352:10-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:351:24-353:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:354:13-360:9
        _1_j=0 # bld/herlev/final/default/src/fusion/Parameter.monty:355:14-15
        _1_j = fragments._c_closure_301(_0_i,_1_j,self.__sp) # bld/herlev/final/default/src/fusion/Parameter.monty:355:21-59
        _1_j = numpy.int32(_1_j) # postprocess
        if ((_1_j < int((self.__sp).shape[0])) and (self.__sp[_1_j]==_0_i)): # bld/herlev/final/default/src/fusion/Parameter.monty:356:14-40
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:357:12-77
          return (mosek_fusion_ParameterImpl._ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(self.__model,numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)),None,numpy.array([self.__nidxs[_1_j]], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/Parameter.monty:357:12-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:357:12-77
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:359:12-80
          return (mosek_fusion_ParameterImpl._ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(self.__model,numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)),numpy.zeros((0,), dtype=numpy.dtype(numpy.int64)),numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/Parameter.monty:359:12-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:359:12-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:354:13-360:9
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:345:71-361:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:304:68-342:7
      _3_nd=int((self.__shape).shape[0]) # bld/herlev/final/default/src/fusion/Parameter.monty:305:12-14
      _4_nelem=int((self.__nidxs).shape[0]) # bld/herlev/final/default/src/fusion/Parameter.monty:306:12-17
      _5_hassp=(self.__sp is not None) # bld/herlev/final/default/src/fusion/Parameter.monty:307:12-17
      _0_rs._alloc_1expr_IIIZI(_3_nd,_4_nelem,int((self.__nidxs).shape[0]),_5_hassp,int((self.__nidxs).shape[0])) # bld/herlev/final/default/src/fusion/Parameter.monty:308:8-312:34
      _6_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:313:12-16
      _7_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:314:12-16
      _8_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:315:12-16
      _9_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:317:12-16
      _10_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:318:12-18
      _11_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:319:12-16
      _12_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:320:12-18
      _13_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:321:12-20
      _14_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:322:12-17
      _15_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:323:12-19
      _16_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/Parameter.monty:324:12-15
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:326:8-341:9
      fragments._c_closure_302(_5_hassp,_3_nd,_4_nelem,self.__nidxs,_15_rcconst,_14_rcode,_13_rcodeptr,_11_rcof,_8_rf64,_6_ri32,_7_ri64,_10_rnidxs,_9_rptr,_12_rshape,_16_rsp,self.__shape,self.__sp) # bld/herlev/final/default/src/fusion/Parameter.monty:326:8-341:9
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:326:8-341:9
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:304:68-342:7
    @staticmethod
    def _match_getSp__3JI(*args):
      if len(args) != 2: return False
      _0_dest,_1_offset, = args
      return (    __arg_match__3J__(_0_dest)
              and __arg_match_I__(_1_offset))
    @staticmethod
    def _match_alt_getSp__3JI(*args):
      if len(args) != 2: return False
      _0_dest,_1_offset, = args
      return (    __arg_alt_match__3J__(_0_dest)
              and __arg_alt_match_I__(_1_offset))
    def _getSp_alt__3JI(self,_t__0_dest,_t__1_offset):
      _0_dest=numpy.array(_t__0_dest,dtype=numpy.dtype(numpy.int64))
      _1_offset=numpy.int32(_t__1_offset)
      _1 = self._getSp__3JI(_0_dest,_1_offset)
      try:
        _t__0_dest[:] = _0_dest
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _getSp__3JI(self,_0_dest,_1_offset):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:294:59-301:7
      fragments._c_closure_303(_0_dest,self.__nidxs,_1_offset,self.__sp) # bld/herlev/final/default/src/fusion/Parameter.monty:294:59-301:7
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:294:59-301:7
    @staticmethod
    def _match_isSparse_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_isSparse_(*args):
      if len(args) != 0: return False
      return True
    def _isSparse_alt_(self,):
      return self._isSparse_()
    def _isSparse_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:292:36-58
      return ((self.__sp is not None)) # bld/herlev/final/default/src/fusion/Parameter.monty:292:38-56
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:292:36-58
    @staticmethod
    def _match_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_astart,_1_astop, = args
      return (    __arg_match__3I__(_0_astart)
              and __arg_match__3I__(_1_astop))
    @staticmethod
    def _match_alt_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_astart,_1_astop, = args
      return (    __arg_alt_match__3I__(_0_astart)
              and __arg_alt_match__3I__(_1_astop))
    def _slice_alt__3I_3I(self,_t__0_astart,_t__1_astop):
      _0_astart=numpy.array(_t__0_astart,dtype=numpy.dtype(numpy.int32))
      _1_astop=numpy.array(_t__1_astop,dtype=numpy.dtype(numpy.int32))
      _1 = self._slice__3I_3I(_0_astart,_1_astop)
      try:
        _t__0_astart[:] = _0_astart
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_astop[:] = _1_astop
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _slice__3I_3I(self,_0_astart,_1_astop):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:234:67-290:7
      if ((int((_0_astart).shape[0])!=int((_1_astop).shape[0])) or (int((_0_astart).shape[0])!=int((self.__shape).shape[0]))): # bld/herlev/final/default/src/fusion/Parameter.monty:235:12-66
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:236:10-62
        raise mosek_fusion_DimensionError._ctor_S("Invalid index dimension") # bld/herlev/final/default/src/fusion/Parameter.monty:236:10-62
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:236:10-62
      _2_nd=int((_0_astart).shape[0]) # bld/herlev/final/default/src/fusion/Parameter.monty:237:12-14
      for _3_i in range(0,_2_nd): # bld/herlev/final/default/src/fusion/Parameter.monty:238:8-240:50
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:239:10-240:50
        if ((_0_astart[_3_i] < 0) or ((_0_astart[_3_i] >= _1_astop[_3_i]) or (_1_astop[_3_i] > self.__shape[_3_i]))): # bld/herlev/final/default/src/fusion/Parameter.monty:239:14-75
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:240:12-50
          raise mosek_fusion_IndexError._ctor_S("Invalid index") # bld/herlev/final/default/src/fusion/Parameter.monty:240:12-50
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:240:12-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:239:10-240:50
      _4_stride=numpy.zeros((_2_nd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Parameter.monty:241:12-18
      _4_stride[(_2_nd - 1)] = 1 # bld/herlev/final/default/src/fusion/Parameter.monty:241:35-52
      fragments._c_closure_304(_2_nd,self.__shape,_4_stride) # bld/herlev/final/default/src/fusion/Parameter.monty:241:53-114
      _5_index=numpy.zeros((_2_nd,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Parameter.monty:242:12-17
      _6_rshape=numpy.array([(_1_astop[_7_i] - _0_astart[_7_i]) for _7_i in range(0,_2_nd)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Parameter.monty:244:12-18
      if (self.__sp is None): # bld/herlev/final/default/src/fusion/Parameter.monty:245:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:245:24-261:9
        _8_count=1 # bld/herlev/final/default/src/fusion/Parameter.monty:246:14-19
        _8_count = fragments._c_closure_305(_8_count,_2_nd,_6_rshape) # bld/herlev/final/default/src/fusion/Parameter.monty:246:25-64
        _8_count = numpy.int32(_8_count) # postprocess
        _9_rnidxs=numpy.zeros((_8_count,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Parameter.monty:247:14-20
        _10_k=0 # bld/herlev/final/default/src/fusion/Parameter.monty:250:14-15
        _10_k = fragments._c_closure_306(_0_astart,_1_astop,_5_index,_10_k,_2_nd,self.__nidxs,_9_rnidxs,self.__shape,_4_stride) # bld/herlev/final/default/src/fusion/Parameter.monty:251:10-259:11
        _10_k = numpy.int32(_10_k) # postprocess
        return (mosek_fusion_ParameterImpl._ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(self.__model,_6_rshape,None,_9_rnidxs)) # bld/herlev/final/default/src/fusion/Parameter.monty:260:10-61
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:245:24-261:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:262:13-289:9
        _11_count=0 # bld/herlev/final/default/src/fusion/Parameter.monty:263:14-19
        _11_count = fragments._c_closure_307(_0_astart,_1_astop,_11_count,_5_index,_2_nd,self.__nidxs,self.__shape,self.__sp,_4_stride) # bld/herlev/final/default/src/fusion/Parameter.monty:264:10-269:11
        _11_count = numpy.int32(_11_count) # postprocess
        _12_rnidxs=numpy.zeros((_11_count,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Parameter.monty:271:14-20
        _13_rsp=numpy.zeros((_11_count,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Parameter.monty:272:14-17
        _14_rstride=numpy.zeros((_2_nd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Parameter.monty:274:14-21
        _14_rstride[(_2_nd - 1)] = 1 # bld/herlev/final/default/src/fusion/Parameter.monty:274:38-56
        fragments._c_closure_308(_2_nd,_6_rshape,_14_rstride) # bld/herlev/final/default/src/fusion/Parameter.monty:274:57-121
        _15_k=0 # bld/herlev/final/default/src/fusion/Parameter.monty:276:14-15
        _15_k = fragments._c_closure_309(_0_astart,_1_astop,_5_index,_15_k,_2_nd,self.__nidxs,_12_rnidxs,_13_rsp,_14_rstride,self.__shape,self.__sp,_4_stride) # bld/herlev/final/default/src/fusion/Parameter.monty:277:10-287:11
        _15_k = numpy.int32(_15_k) # postprocess
        return (mosek_fusion_ParameterImpl._ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(self.__model,_6_rshape,_13_rsp,_12_rnidxs)) # bld/herlev/final/default/src/fusion/Parameter.monty:288:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:262:13-289:9
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:234:67-290:7
    @staticmethod
    def _match_slice_II(*args):
      if len(args) != 2: return False
      _0_start,_1_stop, = args
      return (    __arg_match_I__(_0_start)
              and __arg_match_I__(_1_stop))
    @staticmethod
    def _match_alt_slice_II(*args):
      if len(args) != 2: return False
      _0_start,_1_stop, = args
      return (    __arg_alt_match_I__(_0_start)
              and __arg_alt_match_I__(_1_stop))
    def _slice_alt_II(self,_t__0_start,_t__1_stop):
      return self._slice_II(numpy.int32(__0_start),numpy.int32(__1_stop))
    def _slice_II(self,_0_start,_1_stop):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:207:61-232:7
      if (int((self.__shape).shape[0])!=1): # bld/herlev/final/default/src/fusion/Parameter.monty:208:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:209:10-62
        raise mosek_fusion_DimensionError._ctor_S("Invalid index dimension") # bld/herlev/final/default/src/fusion/Parameter.monty:209:10-62
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:209:10-62
      if ((_0_start < 0) or ((_0_start >= _1_stop) or (_1_stop > self.__size))): # bld/herlev/final/default/src/fusion/Parameter.monty:210:12-53
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:211:10-48
        raise mosek_fusion_IndexError._ctor_S("Invalid index") # bld/herlev/final/default/src/fusion/Parameter.monty:211:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:211:10-48
      if (self.__sp is None): # bld/herlev/final/default/src/fusion/Parameter.monty:213:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:213:24-215:9
        return (mosek_fusion_ParameterImpl._ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(self.__model,numpy.array([0,(_1_stop - _0_start)], dtype=numpy.dtype(numpy.int32)),None,numpy.array([self.__nidxs[_2_i] for _2_i in range(_0_start,_1_stop)], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/Parameter.monty:214:10-103
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:213:24-215:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:216:13-231:9
        _3_count=0 # bld/herlev/final/default/src/fusion/Parameter.monty:217:14-19
        _3_count = fragments._c_closure_310(_3_count,self.__sp,_0_start,_1_stop) # bld/herlev/final/default/src/fusion/Parameter.monty:218:10-220:22
        _3_count = numpy.int32(_3_count) # postprocess
        _4_rnidxs=numpy.zeros((_3_count,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Parameter.monty:221:14-20
        _5_rsp=numpy.zeros((_3_count,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Parameter.monty:222:14-17
        _6_k=0 # bld/herlev/final/default/src/fusion/Parameter.monty:223:14-15
        _6_k = fragments._c_closure_311(_6_k,self.__nidxs,_4_rnidxs,_5_rsp,self.__sp,_0_start,_1_stop) # bld/herlev/final/default/src/fusion/Parameter.monty:224:10-229:13
        _6_k = numpy.int32(_6_k) # postprocess
        return (mosek_fusion_ParameterImpl._ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(self.__model,numpy.array([0,(_1_stop - _0_start)], dtype=numpy.dtype(numpy.int32)),_5_rsp,_4_rnidxs)) # bld/herlev/final/default/src/fusion/Parameter.monty:230:10-73
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:216:13-231:9
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:207:61-232:7
    @staticmethod
    def _match_reshape__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_match__3I__(_0_dims))
    @staticmethod
    def _match_alt_reshape__3I(*args):
      if len(args) != 1: return False
      _0_dims, = args
      return (    __arg_alt_match__3I__(_0_dims))
    def _reshape_alt__3I(self,_t__0_dims):
      _0_dims=numpy.array(_t__0_dims,dtype=numpy.dtype(numpy.int32))
      _1 = self._reshape__3I(_0_dims)
      try:
        _t__0_dims[:] = _0_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _reshape__3I(self,_0_dims):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:201:52-205:7
      if (mosek.fusion.Set._size__3I(_0_dims)!=mosek.fusion.Set._size__3I(self.__shape)): # bld/herlev/final/default/src/fusion/Parameter.monty:202:12-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:203:10-68
        raise mosek_fusion_DimensionError._ctor_S("Incompatible shape for resize") # bld/herlev/final/default/src/fusion/Parameter.monty:203:10-68
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:203:10-68
      return (mosek_fusion_ParameterImpl._ctor_Lmosek_4fusion_4Model_2_3I_3J_3I(self.__model,_0_dims,self.__sp,self.__nidxs)) # bld/herlev/final/default/src/fusion/Parameter.monty:204:8-54
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:201:52-205:7
    @staticmethod
    def _match_asExpr_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_asExpr_(*args):
      if len(args) != 0: return False
      return True
    def _asExpr_alt_(self,):
      return self._asExpr_()
    def _asExpr_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:199:40-75
      return (mosek_fusion_ExprParameter._ctor_Lmosek_4fusion_4Parameter_2(self)) # bld/herlev/final/default/src/fusion/Parameter.monty:199:42-73
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:199:40-75
    @staticmethod
    def _match_getSize_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getSize_(*args):
      if len(args) != 0: return False
      return True
    def _getSize_alt_(self,):
      return self._getSize_()
    def _getSize_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:197:42-69
      return numpy.int64(mosek.fusion.Set._size__3I(self.__shape)) # bld/herlev/final/default/src/fusion/Parameter.monty:197:44-67
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:197:42-69
    @staticmethod
    def _match_getNumNonzero_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getNumNonzero_(*args):
      if len(args) != 0: return False
      return True
    def _getNumNonzero_alt_(self,):
      return self._getNumNonzero_()
    def _getNumNonzero_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:196:42-64
      return numpy.int32(int((self.__nidxs).shape[0])) # bld/herlev/final/default/src/fusion/Parameter.monty:196:44-62
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:196:42-64
    @staticmethod
    def _match_getND_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getND_(*args):
      if len(args) != 0: return False
      return True
    def _getND_alt_(self,):
      return self._getND_()
    def _getND_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:195:42-64
      return numpy.int32(int((self.__shape).shape[0])) # bld/herlev/final/default/src/fusion/Parameter.monty:195:44-62
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:195:42-64
    @staticmethod
    def _match_getShape_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getShape_(*args):
      if len(args) != 0: return False
      return True
    def _getShape_alt_(self,):
      return self._getShape_()
    def _getShape_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:194:42-82
      return (mosek.fusion.Utils.Tools._arraycopy__3I(self.__shape)) # bld/herlev/final/default/src/fusion/Parameter.monty:194:44-80
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:194:42-82
    @staticmethod
    def _match_getDim_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_match_I__(_0_i))
    @staticmethod
    def _match_alt_getDim_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_alt_match_I__(_0_i))
    def _getDim_alt_I(self,_t__0_i):
      return self._getDim_I(numpy.int32(__0_i))
    def _getDim_I(self,_0_i):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:193:49-69
      return numpy.int32(self.__shape[_0_i]) # bld/herlev/final/default/src/fusion/Parameter.monty:193:51-67
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:193:49-69
    @staticmethod
    def _match_getAllIndexes__3II(*args):
      if len(args) != 2: return False
      _0_dst,_1_ofs, = args
      return (    __arg_match__3I__(_0_dst)
              and __arg_match_I__(_1_ofs))
    @staticmethod
    def _match_alt_getAllIndexes__3II(*args):
      if len(args) != 2: return False
      _0_dst,_1_ofs, = args
      return (    __arg_alt_match__3I__(_0_dst)
              and __arg_alt_match_I__(_1_ofs))
    def _getAllIndexes_alt__3II(self,_t__0_dst,_t__1_ofs):
      _0_dst=numpy.array(_t__0_dst,dtype=numpy.dtype(numpy.int32))
      _1_ofs=numpy.int32(_t__1_ofs)
      _1 = self._getAllIndexes__3II(_0_dst,_1_ofs)
      try:
        _t__0_dst[:] = _0_dst
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _getAllIndexes__3II(self,_0_dst,_1_ofs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:188:58-191:7
      fragments._c_closure_312(_0_dst,self.__nidxs,_1_ofs) # bld/herlev/final/default/src/fusion/Parameter.monty:188:58-191:7
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:188:58-191:7
    @staticmethod
    def _match_getIndex_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_match_I__(_0_i))
    @staticmethod
    def _match_alt_getIndex_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_alt_match_I__(_0_i))
    def _getIndex_alt_I(self,_t__0_i):
      return self._getIndex_I(numpy.int32(__0_i))
    def _getIndex_I(self,_0_i):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:185:44-187:7
      return numpy.int32(self.__nidxs[_0_i]) # bld/herlev/final/default/src/fusion/Parameter.monty:186:8-24
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:185:44-187:7
    @staticmethod
    def _match_getValue_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getValue_(*args):
      if len(args) != 0: return False
      return True
    def _getValue_alt_(self,):
      return self._getValue_()
    def _getValue_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:180:41-182:7
      return (self.__model._getParameterValue__3I(self.__nidxs)) # bld/herlev/final/default/src/fusion/Parameter.monty:181:8-46
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:180:41-182:7
    @staticmethod
    def _match_setValue__3_5D(*args):
      if len(args) != 1: return False
      _0_values2, = args
      return (    __arg_match__3_5D__(_0_values2))
    @staticmethod
    def _match_alt_setValue__3_5D(*args):
      if len(args) != 1: return False
      _0_values2, = args
      return (    __arg_alt_match__3_5D__(_0_values2))
    def _setValue_alt__3_5D(self,_t__0_values2):
      _0_values2=numpy.array(_t__0_values2,ndmin=_monty.checkShape(_t__0_values2,2),dtype=numpy.dtype(numpy.float64))
      _1 = self._setValue__3_5D(_0_values2)
      return _1
    def _setValue__3_5D(self,_0_values2):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:158:48-176:7
      if ((self._getND_()!=2) or ((int((_0_values2).shape[0])!=self.__shape[0]) or (int((_0_values2).shape[1])!=self.__shape[1]))): # bld/herlev/final/default/src/fusion/Parameter.monty:159:12-84
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:160:10-59
        raise mosek_fusion_LengthError._ctor_S("Mismatching value shape") # bld/herlev/final/default/src/fusion/Parameter.monty:160:10-59
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:160:10-59
      if (self.__sp is None): # bld/herlev/final/default/src/fusion/Parameter.monty:162:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:162:24-168:9
        _1_vals=numpy.zeros(((self.__shape[0] * self.__shape[1]),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Parameter.monty:163:14-18
        fragments._c_closure_313(self.__shape,_1_vals,_0_values2) # bld/herlev/final/default/src/fusion/Parameter.monty:164:10-166:48
        self.__model._setParameterValue__3I_3D(self.__nidxs,_1_vals) # bld/herlev/final/default/src/fusion/Parameter.monty:167:10-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:162:24-168:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:169:13-175:9
        _2_vals=numpy.zeros((int((self.__sp).shape[0]),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Parameter.monty:170:14-18
        fragments._c_closure_314(self.__shape,self.__sp,_2_vals,_0_values2) # bld/herlev/final/default/src/fusion/Parameter.monty:171:10-173:11
        self.__model._setParameterValue__3I_3D(self.__nidxs,_2_vals) # bld/herlev/final/default/src/fusion/Parameter.monty:174:10-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:169:13-175:9
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:158:48-176:7
    @staticmethod
    def _match_setValue__3D(*args):
      if len(args) != 1: return False
      _0_values, = args
      return (    __arg_match__3D__(_0_values))
    @staticmethod
    def _match_alt_setValue__3D(*args):
      if len(args) != 1: return False
      _0_values, = args
      return (    __arg_alt_match__3D__(_0_values))
    def _setValue_alt__3D(self,_t__0_values):
      _0_values=numpy.array(_t__0_values,dtype=numpy.dtype(numpy.float64))
      _1 = self._setValue__3D(_0_values)
      try:
        _t__0_values[:] = _0_values
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _setValue__3D(self,_0_values):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:139:46-156:7
      if (self.__sp is None): # bld/herlev/final/default/src/fusion/Parameter.monty:140:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:140:24-145:9
        if (int((_0_values).shape[0])!=int((self.__nidxs).shape[0])): # bld/herlev/final/default/src/fusion/Parameter.monty:141:14-39
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:142:12-72
          raise mosek_fusion_LengthError._ctor_S("Length of value array is incorrect") # bld/herlev/final/default/src/fusion/Parameter.monty:142:12-72
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:142:12-72
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:144:12-51
          self.__model._setParameterValue__3I_3D(self.__nidxs,_0_values) # bld/herlev/final/default/src/fusion/Parameter.monty:144:12-51
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:144:12-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:140:24-145:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:146:13-155:9
        if (int((_0_values).shape[0])!=self._getSize_()): # bld/herlev/final/default/src/fusion/Parameter.monty:147:14-38
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:148:12-72
          raise mosek_fusion_LengthError._ctor_S("Length of value array is incorrect") # bld/herlev/final/default/src/fusion/Parameter.monty:148:12-72
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:148:12-72
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:149:15-154:11
          _1_cvals=numpy.zeros((int((self.__nidxs).shape[0]),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Parameter.monty:150:16-21
          fragments._c_closure_315(_1_cvals,self.__nidxs,self.__sp,_0_values) # bld/herlev/final/default/src/fusion/Parameter.monty:151:12-152:39
          self.__model._setParameterValue__3I_3D(self.__nidxs,_1_cvals) # bld/herlev/final/default/src/fusion/Parameter.monty:153:12-50
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:149:15-154:11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:146:13-155:9
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:139:46-156:7
    @staticmethod
    def _match_setValue_D(*args):
      if len(args) != 1: return False
      _0_value, = args
      return (    __arg_match_D__(_0_value))
    @staticmethod
    def _match_alt_setValue_D(*args):
      if len(args) != 1: return False
      _0_value, = args
      return (    __arg_alt_match_D__(_0_value))
    def _setValue_alt_D(self,_t__0_value):
      return self._setValue_D(numpy.float64(__0_value))
    def _setValue_D(self,_0_value):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:132:43-137:7
      _1_vals=numpy.zeros((self.__size,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Parameter.monty:133:12-16
      fragments._c_closure_316(self.__size,_1_vals,_0_value) # bld/herlev/final/default/src/fusion/Parameter.monty:134:8-135:26
      self.__model._setParameterValue__3I_3D(self.__nidxs,_1_vals) # bld/herlev/final/default/src/fusion/Parameter.monty:136:8-45
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:132:43-137:7
    @staticmethod
    def _match_getModel_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getModel_(*args):
      if len(args) != 0: return False
      return True
    def _getModel_alt_(self,):
      return self._getModel_()
    def _getModel_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:131:37-54
      return (self.__model) # bld/herlev/final/default/src/fusion/Parameter.monty:131:39-52
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:131:37-54
  return ParameterImpl
mosek_fusion_ParameterImpl=__mk_mosek_fusion_ParameterImpl()
del __mk_mosek_fusion_ParameterImpl

# origin: bld/herlev/final/default/src/fusion/BaseExpression.monty:400:4-485:5
#BEFORE CLASS
def __mk_mosek_fusion_BaseExpression():
  class BaseExpression(mosek_fusion_Expression,object):
    __slots__ = ['_BaseExpression__shape']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor__3I(*args): # []int32
        self._ctor_init__3I(*args)
      elif self.__match_alt_ctor__3I(*args):# []int32
        self._ctor_alt_init__3I(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.BaseExpression.ctor(array(int32,ndim=1))')

    def getND(self,*args):
      if False: pass
      elif mosek_fusion_BaseExpression._match_getND_(*args): # 
        return self._getND_(*args)
      elif mosek_fusion_BaseExpression._match_alt_getND_(*args): # 
        return self._getND_alt_(*args)
      else:
        raise ValueError('Invalid argument list getND('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseExpression.getND()')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_BaseExpression._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_BaseExpression._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseExpression.toString()')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_BaseExpression._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_BaseExpression._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseExpression.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def getShape(self,*args):
      if False: pass
      elif mosek_fusion_BaseExpression._match_getShape_(*args): # 
        return self._getShape_(*args)
      elif mosek_fusion_BaseExpression._match_alt_getShape_(*args): # 
        return self._getShape_alt_(*args)
      else:
        raise ValueError('Invalid argument list getShape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseExpression.getShape()')

    def pick(self,*args):
      if False: pass
      elif mosek_fusion_BaseExpression._match_pick__3I(*args): # []int32
        return self._pick__3I(*args)
      elif mosek_fusion_BaseExpression._match_alt_pick__3I(*args): # []int32
        return self._pick_alt__3I(*args)
      elif mosek_fusion_BaseExpression._match_pick__3_5I(*args): # [,]int32
        return self._pick__3_5I(*args)
      elif mosek_fusion_BaseExpression._match_alt_pick__3_5I(*args): # [,]int32
        return self._pick_alt__3_5I(*args)
      else:
        raise ValueError('Invalid argument list pick('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseExpression.pick(array(int32,ndim=1))\n\tmosek.fusion.BaseExpression.pick(array(int32,ndim=2))')

    def getSize(self,*args):
      if False: pass
      elif mosek_fusion_BaseExpression._match_getSize_(*args): # 
        return self._getSize_(*args)
      elif mosek_fusion_BaseExpression._match_alt_getSize_(*args): # 
        return self._getSize_alt_(*args)
      else:
        raise ValueError('Invalid argument list getSize('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseExpression.getSize()')

    def slice(self,*args):
      if False: pass
      elif mosek_fusion_BaseExpression._match_slice_II(*args): # int32,int32
        return self._slice_II(*args)
      elif mosek_fusion_BaseExpression._match_alt_slice_II(*args): # int32,int32
        return self._slice_alt_II(*args)
      elif mosek_fusion_BaseExpression._match_slice__3I_3I(*args): # []int32,[]int32
        return self._slice__3I_3I(*args)
      elif mosek_fusion_BaseExpression._match_alt_slice__3I_3I(*args): # []int32,[]int32
        return self._slice_alt__3I_3I(*args)
      else:
        raise ValueError('Invalid argument list slice('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseExpression.slice(int32,int32)\n\tmosek.fusion.BaseExpression.slice(array(int32,ndim=1),array(int32,ndim=1))')

    def getDim(self,*args):
      if False: pass
      elif mosek_fusion_BaseExpression._match_getDim_I(*args): # int32
        return self._getDim_I(*args)
      elif mosek_fusion_BaseExpression._match_alt_getDim_I(*args): # int32
        return self._getDim_alt_I(*args)
      else:
        raise ValueError('Invalid argument list getDim('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseExpression.getDim(int32)')

    def index(self,*args):
      if False: pass
      elif mosek_fusion_BaseExpression._match_index_I(*args): # int32
        return self._index_I(*args)
      elif mosek_fusion_BaseExpression._match_alt_index_I(*args): # int32
        return self._index_alt_I(*args)
      elif mosek_fusion_BaseExpression._match_index__3I(*args): # []int32
        return self._index__3I(*args)
      elif mosek_fusion_BaseExpression._match_alt_index__3I(*args): # []int32
        return self._index_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list index('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.BaseExpression.index(int32)\n\tmosek.fusion.BaseExpression.index(array(int32,ndim=1))')

    def __repr__(self): return 'mosek.fusion.BaseExpression'
    @staticmethod
    def _ctor__3I(shape):
      o = BaseExpression.__new__(BaseExpression)
      o._ctor_init__3I(shape)
      return o

    @staticmethod
    def __match_ctor__3I(*args):
      if len(args) != 1: return False
      shape, = args
      return (    __arg_match__3I__(shape))
    @staticmethod
    def __match_alt_ctor__3I(*args):
      if len(args) != 1: return False
      shape, = args
      return (    __arg_alt_match__3I__(shape))
    # Origin: bld/herlev/final/default/src/fusion/BaseExpression.monty:403:6-405:7
    def _ctor_alt_init__3I(self,shape):
      self._ctor_init__3I(numpy.array(shape,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init__3I(self,shape):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:403:34-405:7
      (self.__shape) = shape # bld/herlev/final/default/src/fusion/BaseExpression.monty:404:8-27
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:403:34-405:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:484:38-64
      return ("Expression()") # bld/herlev/final/default/src/fusion/BaseExpression.monty:484:40-62
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:484:38-64
    def _printStack_alt_Lmosek_4fusion_4WorkStack_2(self,_t__0_rs):
      return self._printStack_Lmosek_4fusion_4WorkStack_2(_0_rs)
    def _printStack_Lmosek_4fusion_4WorkStack_2(self,_0_rs):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:437:48-482:7
      _1_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/BaseExpression.monty:438:12-16
      _2_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/BaseExpression.monty:439:12-16
      _3_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/BaseExpression.monty:440:12-16
      _4_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/BaseExpression.monty:442:12-16
      _5_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/BaseExpression.monty:443:12-18
      _6_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/BaseExpression.monty:444:12-16
      _7_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/BaseExpression.monty:445:12-18
      _8_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/BaseExpression.monty:446:12-20
      _9_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/BaseExpression.monty:447:12-17
      _10_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/BaseExpression.monty:448:12-19
      _11_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/BaseExpression.monty:449:12-15
      _12_rnelem=(_0_rs.nelem) # bld/herlev/final/default/src/fusion/BaseExpression.monty:451:12-18
      _13_rnnz=(_0_rs.nnz) # bld/herlev/final/default/src/fusion/BaseExpression.monty:452:12-16
      _14_rncodeatom=(_0_rs.ncodeatom) # bld/herlev/final/default/src/fusion/BaseExpression.monty:453:12-22
      _15_rnd=(_0_rs.nd) # bld/herlev/final/default/src/fusion/BaseExpression.monty:454:12-15
      _16_rhassp=(_0_rs.hassp) # bld/herlev/final/default/src/fusion/BaseExpression.monty:455:12-18
      mosek.fusion.Debug._o_()._p_S("### ")._p_S(self._toString_())._p_S(" ###")._lf_()._p_S("  nelem     = ")._p_I(_12_rnelem)._lf_()._p_S("  nnz       = ")._p_I(_13_rnnz)._lf_()._p_S("  hassp     = ")._p_Z(_16_rhassp)._p_S(" / ")._p_I(_1_ri32[(((_0_rs.pi32) - _15_rnd) - 4)])._lf_()._p_S("  shape     = ")._p__3I(numpy.array([_1_ri32[(_7_rshape + _17_i)] for _17_i in range(0,_15_rnd)], dtype=numpy.dtype(numpy.int32)))._lf_()._p_S("  ptr       = ")._p__3I(numpy.array([_1_ri32[(_4_rptr + _18_i)] for _18_i in range(0,(_12_rnelem + 1))], dtype=numpy.dtype(numpy.int32)))._lf_() # bld/herlev/final/default/src/fusion/BaseExpression.monty:457:8-462:79
      if (_0_rs.hassp): # bld/herlev/final/default/src/fusion/BaseExpression.monty:463:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:464:10-465:77
        mosek.fusion.Debug._o_()._p_S("  sp       = ")._p__3J(numpy.array([_2_ri64[(_11_rsp + _19_i)] for _19_i in range(0,_12_rnelem)], dtype=numpy.dtype(numpy.int64)))._lf_() # bld/herlev/final/default/src/fusion/BaseExpression.monty:464:10-465:77
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:464:10-465:77
      for _20_i in range(0,_12_rnelem): # bld/herlev/final/default/src/fusion/BaseExpression.monty:467:8-481:9
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:467:32-481:9
        mosek.fusion.Debug._o_()._p_S("  row[")._p_I(_20_i)._p_S("]")._lf_() # bld/herlev/final/default/src/fusion/BaseExpression.monty:468:10-49
        mosek.fusion.Debug._o_()._p_S("    nidx : ")._p__3J(numpy.array([_2_ri64[(_5_rnidxs + _21_j)] for _21_j in range(_1_ri32[(_4_rptr + _20_i)],_1_ri32[((_4_rptr + _20_i) + 1)])], dtype=numpy.dtype(numpy.int64)))._lf_()._p_S("    cof  : ")._p__3D(numpy.array([_3_rf64[(_6_rcof + _22_j)] for _22_j in range(_1_ri32[(_4_rptr + _20_i)],_1_ri32[((_4_rptr + _20_i) + 1)])], dtype=numpy.dtype(numpy.float64)))._lf_() # bld/herlev/final/default/src/fusion/BaseExpression.monty:470:10-472:95
        if (_14_rncodeatom > 0): # bld/herlev/final/default/src/fusion/BaseExpression.monty:473:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:473:30-480:11
          for _23_j in range(_1_ri32[(_4_rptr + _20_i)],_1_ri32[((_4_rptr + _20_i) + 1)]): # bld/herlev/final/default/src/fusion/BaseExpression.monty:474:12-479:44
            # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:475:14-479:44
            mosek.fusion.Debug._o_()._p_S("      code[")._p_J(_2_ri64[(_5_rnidxs + _23_j)])._p_S("] ")._p__3I(numpy.array([_1_ri32[(_9_rcode + _24_k)] for _24_k in range(_1_ri32[(_8_rcodeptr + _23_j)],_1_ri32[((_8_rcodeptr + _23_j) + 1)])], dtype=numpy.dtype(numpy.int32)))._p__3D(numpy.array([_3_rf64[(_10_rcconst + _25_k)] for _25_k in range(_1_ri32[(_8_rcodeptr + _23_j)],_1_ri32[((_8_rcodeptr + _23_j) + 1)])], dtype=numpy.dtype(numpy.float64)))._lf_() # bld/herlev/final/default/src/fusion/BaseExpression.monty:475:14-479:44
            # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:475:14-479:44
          # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:473:30-480:11
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:467:32-481:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:437:48-482:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      pass
    @staticmethod
    def _match_pick__3_5I(*args):
      if len(args) != 1: return False
      _0_indexrows, = args
      return (    __arg_match__3_5I__(_0_indexrows))
    @staticmethod
    def _match_alt_pick__3_5I(*args):
      if len(args) != 1: return False
      _0_indexrows, = args
      return (    __arg_alt_match__3_5I__(_0_indexrows))
    def _pick_alt__3_5I(self,_t__0_indexrows):
      _0_indexrows=numpy.array(_t__0_indexrows,ndmin=_monty.checkShape(_t__0_indexrows,2),dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3_5I(_0_indexrows)
      return _1
    def _pick__3_5I(self,_0_indexrows):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:430:80-432:7
      return (mosek_fusion_ExprPick._ctor_Lmosek_4fusion_4Expression_2_3_5I(self,_0_indexrows)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:431:8-44
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:430:80-432:7
    @staticmethod
    def _match_pick__3I(*args):
      if len(args) != 1: return False
      _0_indexes, = args
      return (    __arg_match__3I__(_0_indexes))
    @staticmethod
    def _match_alt_pick__3I(*args):
      if len(args) != 1: return False
      _0_indexes, = args
      return (    __arg_alt_match__3I__(_0_indexes))
    def _pick_alt__3I(self,_t__0_indexes):
      _0_indexes=numpy.array(_t__0_indexes,dtype=numpy.dtype(numpy.int32))
      _1 = self._pick__3I(_0_indexes)
      try:
        _t__0_indexes[:] = _0_indexes
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _pick__3I(self,_0_indexes):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:426:77-429:7
      _1_idxs=numpy.zeros((int((_0_indexes).shape[0]),1,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:427:12-16
      fragments._c_closure_317(_1_idxs,_0_indexes) # bld/herlev/final/default/src/fusion/BaseExpression.monty:427:45-98
      return (mosek_fusion_ExprPick._ctor_Lmosek_4fusion_4Expression_2_3_5I(self,_1_idxs)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:428:8-39
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:426:77-429:7
    @staticmethod
    def _match_index__3I(*args):
      if len(args) != 1: return False
      _0_indexes, = args
      return (    __arg_match__3I__(_0_indexes))
    @staticmethod
    def _match_alt_index__3I(*args):
      if len(args) != 1: return False
      _0_indexes, = args
      return (    __arg_alt_match__3I__(_0_indexes))
    def _index_alt__3I(self,_t__0_indexes):
      _0_indexes=numpy.array(_t__0_indexes,dtype=numpy.dtype(numpy.int32))
      _1 = self._index__3I(_0_indexes)
      try:
        _t__0_indexes[:] = _0_indexes
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _index__3I(self,_0_indexes):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:422:78-425:7
      _1_idxs=numpy.zeros((1,int((_0_indexes).shape[0]),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:423:12-16
      fragments._c_closure_318(_1_idxs,_0_indexes) # bld/herlev/final/default/src/fusion/BaseExpression.monty:423:45-98
      return (mosek_fusion_ExprPick._ctor_Lmosek_4fusion_4Expression_2_3_5I(self,_1_idxs)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:424:8-39
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:422:78-425:7
    @staticmethod
    def _match_index_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_match_I__(_0_i))
    @staticmethod
    def _match_alt_index_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_alt_match_I__(_0_i))
    def _index_alt_I(self,_t__0_i):
      return self._index_I(numpy.int32(__0_i))
    def _index_I(self,_0_i):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:418:70-421:7
      _1_idxs=numpy.zeros((1,1,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:419:12-16
      _1_idxs[0,0] = _0_i # bld/herlev/final/default/src/fusion/BaseExpression.monty:419:34-48
      return (mosek_fusion_ExprPick._ctor_Lmosek_4fusion_4Expression_2_3_5I(self,_1_idxs)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:420:8-39
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:418:70-421:7
    @staticmethod
    def _match_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_firsta,_1_lasta, = args
      return (    __arg_match__3I__(_0_firsta)
              and __arg_match__3I__(_1_lasta))
    @staticmethod
    def _match_alt_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_firsta,_1_lasta, = args
      return (    __arg_alt_match__3I__(_0_firsta)
              and __arg_alt_match__3I__(_1_lasta))
    def _slice_alt__3I_3I(self,_t__0_firsta,_t__1_lasta):
      _0_firsta=numpy.array(_t__0_firsta,dtype=numpy.dtype(numpy.int32))
      _1_lasta=numpy.array(_t__1_lasta,dtype=numpy.dtype(numpy.int32))
      _1 = self._slice__3I_3I(_0_firsta,_1_lasta)
      try:
        _t__0_firsta[:] = _0_firsta
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_lasta[:] = _1_lasta
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _slice__3I_3I(self,_0_firsta,_1_lasta):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:415:116-417:7
      return (mosek_fusion_ExprSlice._ctor_Lmosek_4fusion_4Expression_2_3I_3I(self,_0_firsta,_1_lasta)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:416:8-48
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:415:116-417:7
    @staticmethod
    def _match_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_match_I__(_0_first)
              and __arg_match_I__(_1_last))
    @staticmethod
    def _match_alt_slice_II(*args):
      if len(args) != 2: return False
      _0_first,_1_last, = args
      return (    __arg_alt_match_I__(_0_first)
              and __arg_alt_match_I__(_1_last))
    def _slice_alt_II(self,_t__0_first,_t__1_last):
      return self._slice_II(numpy.int32(__0_first),numpy.int32(__1_last))
    def _slice_II(self,_0_first,_1_last):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:412:109-414:7
      return (mosek_fusion_ExprSlice._ctor_Lmosek_4fusion_4Expression_2_3I_3I(self,numpy.array([_0_first], dtype=numpy.dtype(numpy.int32)),numpy.array([_1_last], dtype=numpy.dtype(numpy.int32)))) # bld/herlev/final/default/src/fusion/BaseExpression.monty:413:8-60
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:412:109-414:7
    @staticmethod
    def _match_getSize_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getSize_(*args):
      if len(args) != 0: return False
      return True
    def _getSize_alt_(self,):
      return self._getSize_()
    def _getSize_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:410:37-64
      return numpy.int64(mosek.fusion.Set._size__3I(self.__shape)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:410:39-62
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:410:37-64
    @staticmethod
    def _match_getND_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getND_(*args):
      if len(args) != 0: return False
      return True
    def _getND_alt_(self,):
      return self._getND_()
    def _getND_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:409:37-59
      return numpy.int32(int((self.__shape).shape[0])) # bld/herlev/final/default/src/fusion/BaseExpression.monty:409:39-57
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:409:37-59
    @staticmethod
    def _match_getDim_I(*args):
      if len(args) != 1: return False
      _0_d, = args
      return (    __arg_match_I__(_0_d))
    @staticmethod
    def _match_alt_getDim_I(*args):
      if len(args) != 1: return False
      _0_d, = args
      return (    __arg_alt_match_I__(_0_d))
    def _getDim_alt_I(self,_t__0_d):
      return self._getDim_I(numpy.int32(__0_d))
    def _getDim_I(self,_0_d):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:408:44-64
      return numpy.int32(self.__shape[_0_d]) # bld/herlev/final/default/src/fusion/BaseExpression.monty:408:46-62
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:408:44-64
    @staticmethod
    def _match_getShape_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getShape_(*args):
      if len(args) != 0: return False
      return True
    def _getShape_alt_(self,):
      return self._getShape_()
    def _getShape_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:407:39-79
      return (mosek.fusion.Utils.Tools._arraycopy__3I(self.__shape)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:407:41-77
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:407:39-79
  return BaseExpression
mosek_fusion_BaseExpression=__mk_mosek_fusion_BaseExpression()
del __mk_mosek_fusion_BaseExpression

# origin: bld/herlev/final/default/src/fusion/Parameter.monty:2981:4-2998:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprParameter():
  class ExprParameter(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprParameter__p']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Parameter
        self._ctor_init_Lmosek_4fusion_4Parameter_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Parameter_2(*args):# mosek.fusion.Parameter
        self._ctor_alt_init_Lmosek_4fusion_4Parameter_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprParameter.ctor(mosek.fusion.Parameter)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprParameter._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprParameter._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprParameter.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def slice(self,*args):
      if False: pass
      elif mosek_fusion_ExprParameter._match_slice_II(*args): # int32,int32
        return self._slice_II(*args)
      elif mosek_fusion_ExprParameter._match_alt_slice_II(*args): # int32,int32
        return self._slice_alt_II(*args)
      elif mosek_fusion_ExprParameter._match_slice__3I_3I(*args): # []int32,[]int32
        return self._slice__3I_3I(*args)
      elif mosek_fusion_ExprParameter._match_alt_slice__3I_3I(*args): # []int32,[]int32
        return self._slice_alt__3I_3I(*args)
      else:
        raise ValueError('Invalid argument list slice('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprParameter.slice(int32,int32)\n\tmosek.fusion.ExprParameter.slice(array(int32,ndim=1),array(int32,ndim=1))')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprParameter._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprParameter._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprParameter.toString()')

    def __repr__(self): return 'mosek.fusion.ExprParameter'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Parameter_2(p):
      o = ExprParameter.__new__(ExprParameter)
      o._ctor_init_Lmosek_4fusion_4Parameter_2(p)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 1: return False
      p, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(p))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 1: return False
      p, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(p))
    # Origin: bld/herlev/final/default/src/fusion/Parameter.monty:2985:6-2988:7
    def _ctor_alt_init_Lmosek_4fusion_4Parameter_2(self,p):
      self._ctor_init_Lmosek_4fusion_4Parameter_2(p)
    def _ctor_init_Lmosek_4fusion_4Parameter_2(self,p):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2985:31-2988:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,p._getShape_())# ctor @ bld/herlev/final/default/src/fusion/Parameter.monty:2986:8-28
      (self.__p) = p # bld/herlev/final/default/src/fusion/Parameter.monty:2987:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2985:31-2988:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2995:67-2997:7
      self.__p._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs) # bld/herlev/final/default/src/fusion/Parameter.monty:2996:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2995:67-2997:7
    @staticmethod
    def _match_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_start,_1_stop, = args
      return (    __arg_match__3I__(_0_start)
              and __arg_match__3I__(_1_stop))
    @staticmethod
    def _match_alt_slice__3I_3I(*args):
      if len(args) != 2: return False
      _0_start,_1_stop, = args
      return (    __arg_alt_match__3I__(_0_start)
              and __arg_alt_match__3I__(_1_stop))
    def _slice_alt__3I_3I(self,_t__0_start,_t__1_stop):
      _0_start=numpy.array(_t__0_start,dtype=numpy.dtype(numpy.int32))
      _1_stop=numpy.array(_t__1_stop,dtype=numpy.dtype(numpy.int32))
      _1 = self._slice__3I_3I(_0_start,_1_stop)
      try:
        _t__0_start[:] = _0_start
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_stop[:] = _1_stop
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _slice__3I_3I(self,_0_start,_1_stop):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2993:66-116
      return (mosek_fusion_ExprParameter._ctor_Lmosek_4fusion_4Parameter_2(self.__p._slice__3I_3I(_0_start,_1_stop))) # bld/herlev/final/default/src/fusion/Parameter.monty:2993:68-114
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2993:66-116
    @staticmethod
    def _match_slice_II(*args):
      if len(args) != 2: return False
      _0_start,_1_stop, = args
      return (    __arg_match_I__(_0_start)
              and __arg_match_I__(_1_stop))
    @staticmethod
    def _match_alt_slice_II(*args):
      if len(args) != 2: return False
      _0_start,_1_stop, = args
      return (    __arg_alt_match_I__(_0_start)
              and __arg_alt_match_I__(_1_stop))
    def _slice_alt_II(self,_t__0_start,_t__1_stop):
      return self._slice_II(numpy.int32(__0_start),numpy.int32(__1_stop))
    def _slice_II(self,_0_start,_1_stop):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2992:62-112
      return (mosek_fusion_ExprParameter._ctor_Lmosek_4fusion_4Parameter_2(self.__p._slice_II(_0_start,_1_stop))) # bld/herlev/final/default/src/fusion/Parameter.monty:2992:64-110
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2992:62-112
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2990:38-128
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprParameter(")._a_S(self.__p._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/Parameter.monty:2990:40-126
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2990:38-128
  return ExprParameter
mosek_fusion_ExprParameter=__mk_mosek_fusion_ExprParameter()
del __mk_mosek_fusion_ExprParameter

# origin: bld/herlev/final/default/src/fusion/Parameter.monty:2623:4-2768:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulParamScalarExpr():
  class ExprMulParamScalarExpr(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulParamScalarExpr__e','_ExprMulParamScalarExpr__p']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        self._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):# mosek.fusion.Parameter,mosek.fusion.Expression
        self._ctor_alt_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulParamScalarExpr.ctor(mosek.fusion.Parameter,mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulParamScalarExpr._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulParamScalarExpr._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulParamScalarExpr.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulParamScalarExpr._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulParamScalarExpr._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulParamScalarExpr.toString()')

    def __repr__(self): return 'mosek.fusion.ExprMulParamScalarExpr'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e):
      o = ExprMulParamScalarExpr.__new__(ExprMulParamScalarExpr)
      o._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      p,e, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(p)
              and __arg_match_Lmosek_4fusion_4Expression_2__(e))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      p,e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(p)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(e))
    # Origin: bld/herlev/final/default/src/fusion/Parameter.monty:2627:6-2633:7
    def _ctor_alt_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(self,p,e):
      self._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e)
    def _ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(self,p,e):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2627:45-2633:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,p._getShape_())# ctor @ bld/herlev/final/default/src/fusion/Parameter.monty:2628:8-28
      (self.__p) = p # bld/herlev/final/default/src/fusion/Parameter.monty:2629:8-19
      (self.__e) = e # bld/herlev/final/default/src/fusion/Parameter.monty:2630:8-19
      if (e._getND_()!=0): # bld/herlev/final/default/src/fusion/Parameter.monty:2631:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2632:10-84
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions for multiplication") # bld/herlev/final/default/src/fusion/Parameter.monty:2632:10-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2632:10-84
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2627:45-2633:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2637:67-2767:7
      self.__e._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/Parameter.monty:2638:8-25
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/Parameter.monty:2640:8-22
      _3_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:2641:12-16
      _4_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:2642:12-16
      _5_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:2643:12-16
      _6_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/Parameter.monty:2645:12-14
      if (_6_nd!=0): # bld/herlev/final/default/src/fusion/Parameter.monty:2646:12-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2647:10-80
        raise mosek_fusion_DimensionError._ctor_S("Invalid operator shape for multiplication") # bld/herlev/final/default/src/fusion/Parameter.monty:2647:10-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2647:10-80
      _7_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/Parameter.monty:2649:12-17
      _8_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/Parameter.monty:2650:12-15
      _9_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:2651:12-17
      _10_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2652:12-15
      _11_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:2653:12-21
      _12_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2655:12-14
      _13_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2656:12-17
      _14_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2657:12-15
      _15_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2658:12-18
      _16_ptrcode=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2660:12-19
      _17_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2661:12-16
      _18_rnd=self.__p._getND_() # bld/herlev/final/default/src/fusion/Parameter.monty:2663:12-15
      _19_rnelem=self.__p._getNumNonzero_() # bld/herlev/final/default/src/fusion/Parameter.monty:2664:12-18
      _20_rnnz=(_8_nnz * self.__p._getNumNonzero_()) # bld/herlev/final/default/src/fusion/Parameter.monty:2665:12-16
      _21_rhassp=(self.__p._getNumNonzero_() < self.__p._getSize_()) # bld/herlev/final/default/src/fusion/Parameter.monty:2666:12-18
      _22_rncodeatom=(((_11_ncodeatom * _19_rnelem) + (_20_rnnz * 4)) if ((_11_ncodeatom > 0) ) else (_20_rnnz * 3)) # bld/herlev/final/default/src/fusion/Parameter.monty:2667:12-22
      _23_pidxs=_2_xs._alloci32_I(self.__p._getNumNonzero_()) # bld/herlev/final/default/src/fusion/Parameter.monty:2668:12-17
      _24_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:2669:12-16
      self.__p._getAllIndexes__3II(_24_xi32,_23_pidxs) # bld/herlev/final/default/src/fusion/Parameter.monty:2670:8-36
      _0_rs._alloc_1expr_IIIZI(_18_rnd,_19_rnelem,_20_rnnz,_21_rhassp,_22_rncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:2672:8-61
      _25_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:2674:12-16
      _26_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:2675:12-16
      _27_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:2676:12-16
      _28_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2678:12-16
      _29_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2679:12-18
      _30_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2680:12-15
      _31_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2681:12-16
      _32_rhassp=(_0_rs.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:2682:12-18
      _33_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2683:12-18
      _34_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2685:12-20
      _35_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2686:12-17
      _36_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2687:12-19
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2689:8-2765:9
      fragments._c_closure_319(_31_rcof,_26_rf64,_20_rnnz) # bld/herlev/final/default/src/fusion/Parameter.monty:2692:10-56
      fragments._c_closure_320(_8_nnz,_27_ri32,_19_rnelem,_28_rptr) # bld/herlev/final/default/src/fusion/Parameter.monty:2693:10-57
      for _37_i in range(0,_18_rnd): # bld/herlev/final/default/src/fusion/Parameter.monty:2694:10-60
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2694:31-60
        _27_ri32[(_33_rshape + _37_i)] = self.__p._getDim_I(_37_i) # bld/herlev/final/default/src/fusion/Parameter.monty:2694:31-60
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2694:31-60
      if _32_rhassp: # bld/herlev/final/default/src/fusion/Parameter.monty:2696:14-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2697:12-30
        self.__p._getSp__3JI(_25_ri64,_30_rsp) # bld/herlev/final/default/src/fusion/Parameter.monty:2697:12-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2697:12-30
      fragments._c_closure_321(_25_ri64,_29_rnidxs,_20_rnnz) # bld/herlev/final/default/src/fusion/Parameter.monty:2699:10-54
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2700:10-2707:11
      fragments._c_closure_322(_13_nidxs,_8_nnz,_25_ri64,_19_rnelem,_29_rnidxs,_4_wi64) # bld/herlev/final/default/src/fusion/Parameter.monty:2700:10-2707:11
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2700:10-2707:11
      if (_22_rncodeatom > 0): # bld/herlev/final/default/src/fusion/Parameter.monty:2709:14-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2709:30-49
        _27_ri32[_34_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:2709:30-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2709:30-49
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2712:10-2764:11
      fragments._c_closure_323(_15_cconst,_17_code,_14_cof,_11_ncodeatom,_8_nnz,_23_pidxs,_16_ptrcode,_36_rcconst,_35_rcode,_34_rcodeptr,_26_rf64,_27_ri32,_19_rnelem,_5_wf64,_3_wi32,_24_xi32) # bld/herlev/final/default/src/fusion/Parameter.monty:2712:10-2764:11
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2712:10-2764:11
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2689:8-2765:9
      _2_xs._clear_() # bld/herlev/final/default/src/fusion/Parameter.monty:2766:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2637:67-2767:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2635:38-160
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprMulParamScalarExpr(")._a_S(self.__p._toString_())._a_S(",")._a_S(self.__e._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/Parameter.monty:2635:40-158
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2635:38-160
  return ExprMulParamScalarExpr
mosek_fusion_ExprMulParamScalarExpr=__mk_mosek_fusion_ExprMulParamScalarExpr()
del __mk_mosek_fusion_ExprMulParamScalarExpr

# origin: bld/herlev/final/default/src/fusion/Parameter.monty:2496:4-2620:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulParamScalar():
  class ExprMulParamScalar(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulParamScalar__e','_ExprMulParamScalar__p']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        self._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):# mosek.fusion.Parameter,mosek.fusion.Expression
        self._ctor_alt_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulParamScalar.ctor(mosek.fusion.Parameter,mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulParamScalar._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulParamScalar._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulParamScalar.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulParamScalar._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulParamScalar._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulParamScalar.toString()')

    def __repr__(self): return 'mosek.fusion.ExprMulParamScalar'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e):
      o = ExprMulParamScalar.__new__(ExprMulParamScalar)
      o._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      p,e, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(p)
              and __arg_match_Lmosek_4fusion_4Expression_2__(e))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      p,e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(p)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(e))
    # Origin: bld/herlev/final/default/src/fusion/Parameter.monty:2500:6-2507:7
    def _ctor_alt_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(self,p,e):
      self._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e)
    def _ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(self,p,e):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2500:45-2507:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,e._getShape_())# ctor @ bld/herlev/final/default/src/fusion/Parameter.monty:2501:8-28
      (self.__p) = p # bld/herlev/final/default/src/fusion/Parameter.monty:2502:8-19
      (self.__e) = e # bld/herlev/final/default/src/fusion/Parameter.monty:2503:8-19
      if (p._getND_()!=0): # bld/herlev/final/default/src/fusion/Parameter.monty:2505:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2506:10-84
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions for multiplication") # bld/herlev/final/default/src/fusion/Parameter.monty:2506:10-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2506:10-84
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2500:45-2507:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2511:67-2619:7
      self.__e._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/Parameter.monty:2512:8-25
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/Parameter.monty:2513:8-22
      _3_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:2514:12-16
      _4_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:2515:12-16
      _5_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:2516:12-16
      _6_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/Parameter.monty:2518:12-14
      _7_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/Parameter.monty:2519:12-17
      _8_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/Parameter.monty:2520:12-15
      _9_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:2521:12-17
      _10_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2522:12-15
      _11_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:2523:12-21
      _12_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2525:12-17
      _13_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2526:12-14
      _14_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2527:12-17
      _15_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2528:12-15
      _16_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2529:12-18
      _17_ptrcode=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2531:12-19
      _18_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2532:12-16
      _19_rnd=_6_nd # bld/herlev/final/default/src/fusion/Parameter.monty:2545:12-15
      _20_rnelem=_7_nelem # bld/herlev/final/default/src/fusion/Parameter.monty:2546:12-18
      _21_rnnz=_8_nnz # bld/herlev/final/default/src/fusion/Parameter.monty:2547:12-16
      _22_rhassp=(self.__p._getNumNonzero_() < self.__p._getSize_()) # bld/herlev/final/default/src/fusion/Parameter.monty:2548:12-18
      _23_rncodeatom=((_8_nnz * 3) if ((_11_ncodeatom==0) ) else ((_8_nnz * 4) + _11_ncodeatom)) # bld/herlev/final/default/src/fusion/Parameter.monty:2549:12-22
      _0_rs._alloc_1expr_IIIZI(_19_rnd,_20_rnelem,_21_rnnz,_22_rhassp,_23_rncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:2551:8-61
      _24_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:2553:12-16
      _25_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:2554:12-16
      _26_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:2555:12-16
      _27_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2557:12-16
      _28_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2558:12-18
      _29_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2559:12-15
      _30_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2560:12-16
      _31_rhassp=(_0_rs.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:2561:12-18
      _32_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2562:12-18
      _33_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2564:12-20
      _34_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2565:12-17
      _35_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2566:12-19
      _36_pidx0=self.__p._getIndex_I(0) # bld/herlev/final/default/src/fusion/Parameter.monty:2569:12-17
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2570:8-2616:9
      fragments._c_closure_324(_16_cconst,_18_code,_15_cof,_11_ncodeatom,_14_nidxs,_8_nnz,_36_pidx0,_10_ptr,_17_ptrcode,_35_rcconst,_34_rcode,_33_rcodeptr,_30_rcof,_25_rf64,_31_rhassp,_26_ri32,_24_ri64,_23_rncodeatom,_19_rnd,_20_rnelem,_28_rnidxs,_21_rnnz,_27_rptr,_32_rshape,_29_rsp,_12_shape,_13_sp,_5_wf64,_3_wi32,_4_wi64) # bld/herlev/final/default/src/fusion/Parameter.monty:2570:8-2616:9
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2570:8-2616:9
      _2_xs._clear_() # bld/herlev/final/default/src/fusion/Parameter.monty:2618:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2511:67-2619:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2509:38-156
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprMulParamScalar(")._a_S(self.__p._toString_())._a_S(",")._a_S(self.__e._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/Parameter.monty:2509:40-154
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2509:38-156
  return ExprMulParamScalar
mosek_fusion_ExprMulParamScalar=__mk_mosek_fusion_ExprMulParamScalar()
del __mk_mosek_fusion_ExprMulParamScalar

# origin: bld/herlev/final/default/src/fusion/Parameter.monty:2127:4-2490:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulParamDiagLeft():
  class ExprMulParamDiagLeft(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulParamDiagLeft__e','_ExprMulParamDiagLeft__p']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        self._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):# mosek.fusion.Parameter,mosek.fusion.Expression
        self._ctor_alt_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulParamDiagLeft.ctor(mosek.fusion.Parameter,mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulParamDiagLeft._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulParamDiagLeft._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulParamDiagLeft.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulParamDiagLeft._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulParamDiagLeft._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulParamDiagLeft.toString()')

    def __repr__(self): return 'mosek.fusion.ExprMulParamDiagLeft'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e):
      o = ExprMulParamDiagLeft.__new__(ExprMulParamDiagLeft)
      o._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      p,e, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(p)
              and __arg_match_Lmosek_4fusion_4Expression_2__(e))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      p,e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(p)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(e))
    # Origin: bld/herlev/final/default/src/fusion/Parameter.monty:2131:6-2141:7
    def _ctor_alt_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(self,p,e):
      self._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e)
    def _ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(self,p,e):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2131:45-2141:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,numpy.array([e._getDim_I(1)], dtype=numpy.dtype(numpy.int32)))# ctor @ bld/herlev/final/default/src/fusion/Parameter.monty:2132:8-34
      (self.__p) = p # bld/herlev/final/default/src/fusion/Parameter.monty:2133:8-19
      (self.__e) = e # bld/herlev/final/default/src/fusion/Parameter.monty:2134:8-19
      if ((p._getND_()!=2) or (e._getND_()!=2)): # bld/herlev/final/default/src/fusion/Parameter.monty:2136:12-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2137:10-84
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions for multiplication") # bld/herlev/final/default/src/fusion/Parameter.monty:2137:10-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2137:10-84
      if ((p._getDim_I(1)!=e._getDim_I(0)) or (p._getDim_I(0)!=e._getDim_I(1))): # bld/herlev/final/default/src/fusion/Parameter.monty:2138:12-2139:38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2140:10-84
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions for multiplication") # bld/herlev/final/default/src/fusion/Parameter.monty:2140:10-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2140:10-84
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2131:45-2141:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2144:67-2489:7
      self.__e._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/Parameter.monty:2145:8-25
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/Parameter.monty:2146:8-22
      _3_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:2147:12-16
      _4_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:2148:12-16
      _5_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:2149:12-16
      _6_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/Parameter.monty:2151:12-14
      _7_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/Parameter.monty:2152:12-17
      _8_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/Parameter.monty:2153:12-15
      _9_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:2154:12-17
      _10_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2155:12-15
      _11_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:2156:12-21
      _12_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2158:12-17
      _13_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2159:12-14
      _14_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2160:12-17
      _15_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2161:12-15
      _16_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2162:12-18
      _17_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2163:12-19
      _18_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2164:12-16
      if ((_6_nd!=2) or ((_3_wi32[_12_shape]!=self.__p._getDim_I(1)) or (_3_wi32[(_12_shape + 1)]!=self.__p._getDim_I(0)))): # bld/herlev/final/default/src/fusion/Parameter.monty:2166:12-81
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2167:10-84
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions for multiplication") # bld/herlev/final/default/src/fusion/Parameter.monty:2167:10-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2167:10-84
      _19_pnnz=self.__p._getNumNonzero_() # bld/herlev/final/default/src/fusion/Parameter.monty:2169:12-16
      _20_psp=_2_xs._alloci64_I(_19_pnnz) # bld/herlev/final/default/src/fusion/Parameter.monty:2170:12-15
      _21_xi64=(_2_xs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:2171:12-16
      self.__p._getSp__3JI(_21_xi64,_20_psp) # bld/herlev/final/default/src/fusion/Parameter.monty:2173:8-26
      _22_pdim0=self.__p._getDim_I(0) # bld/herlev/final/default/src/fusion/Parameter.monty:2175:12-17
      _23_pdim1=self.__p._getDim_I(1) # bld/herlev/final/default/src/fusion/Parameter.monty:2176:12-17
      _24_edim0=_3_wi32[_12_shape] # bld/herlev/final/default/src/fusion/Parameter.monty:2177:12-17
      _25_edim1=_3_wi32[(_12_shape + 1)] # bld/herlev/final/default/src/fusion/Parameter.monty:2178:12-17
      _26_pidxs=_2_xs._alloci32_I(self.__p._getNumNonzero_()) # bld/herlev/final/default/src/fusion/Parameter.monty:2179:12-17
      _27_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:2180:12-16
      self.__p._getAllIndexes__3II(_27_xi32,_26_pidxs) # bld/herlev/final/default/src/fusion/Parameter.monty:2181:8-36
      if _9_hassp: # bld/herlev/final/default/src/fusion/Parameter.monty:2183:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2183:19-2357:9
        _28_eperm=_2_xs._alloci32_I(_7_nelem) # bld/herlev/final/default/src/fusion/Parameter.monty:2193:14-19
        _29_eptr=_2_xs._alloci32_I((_25_edim1 + 1)) # bld/herlev/final/default/src/fusion/Parameter.monty:2194:14-18
        _30_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:2195:14-18
        fragments._c_closure_325(_25_edim1,_29_eptr,_30_xi32) # bld/herlev/final/default/src/fusion/Parameter.monty:2196:10-52
        fragments._c_closure_326(_25_edim1,_29_eptr,_7_nelem,_13_sp,_4_wi64,_30_xi32) # bld/herlev/final/default/src/fusion/Parameter.monty:2197:10-65
        fragments._c_closure_327(_25_edim1,_29_eptr,_30_xi32) # bld/herlev/final/default/src/fusion/Parameter.monty:2198:3-57
        fragments._c_closure_328(_25_edim1,_28_eperm,_29_eptr,_7_nelem,_13_sp,_4_wi64,_30_xi32) # bld/herlev/final/default/src/fusion/Parameter.monty:2199:3-2203:4
        _31_rnelem=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2206:7-13
        _32_rnnz=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2207:7-11
        _33_rncodeatom=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2208:7-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2210:3-2248:4
        _33_rncodeatom,_31_rnelem,_32_rnnz = fragments._c_closure_329(_17_codeptr,_25_edim1,_28_eperm,_11_ncodeatom,_7_nelem,_23_pdim1,_19_pnnz,_20_psp,_10_ptr,_33_rncodeatom,_31_rnelem,_32_rnnz,_13_sp,_3_wi32,_4_wi64,_30_xi32,_21_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:2210:3-2248:4
        _33_rncodeatom = numpy.int32(_33_rncodeatom) # postprocess
        _31_rnelem = numpy.int32(_31_rnelem) # postprocess
        _32_rnnz = numpy.int32(_32_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2210:3-2248:4
        _34_rnd=1 # bld/herlev/final/default/src/fusion/Parameter.monty:2251:14-17
        _35_rhassp=(_31_rnelem < _22_pdim0) # bld/herlev/final/default/src/fusion/Parameter.monty:2252:14-20
        _0_rs._alloc_1expr_IIIZI(_34_rnd,_31_rnelem,_32_rnnz,_35_rhassp,_33_rncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:2253:10-63
        _36_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2261:14-18
        _37_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2262:14-20
        _38_rsp=((_0_rs.sp_base) if (_35_rhassp ) else _0_rs._alloci64_I(_31_rnelem)) # bld/herlev/final/default/src/fusion/Parameter.monty:2263:14-17
        _39_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2264:14-18
        _40_rhassp=(_0_rs.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:2265:14-20
        _41_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2266:14-20
        _42_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2268:14-22
        _43_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2269:14-19
        _44_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2270:14-21
        _45_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:2272:14-18
        _46_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:2273:14-18
        _47_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:2274:14-18
        fragments._c_closure_330(_16_cconst,_18_code,_17_codeptr,_15_cof,_25_edim1,_28_eperm,_11_ncodeatom,_7_nelem,_14_nidxs,_22_pdim0,_23_pdim1,_26_pidxs,_19_pnnz,_20_psp,_10_ptr,_44_rcconst,_43_rcode,_42_rcodeptr,_39_rcof,_46_rf64,_47_ri32,_45_ri64,_31_rnelem,_37_rnidxs,_32_rnnz,_36_rptr,_41_rshape,_38_rsp,_13_sp,_5_wf64,_3_wi32,_4_wi64,_30_xi32,_21_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:2277:10-2345:4
        if (not _40_rhassp): # bld/herlev/final/default/src/fusion/Parameter.monty:2354:7-17
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2355:12-30
          _0_rs._popi64_I(_31_rnelem) # bld/herlev/final/default/src/fusion/Parameter.monty:2355:12-30
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2355:12-30
        _2_xs._clear_() # bld/herlev/final/default/src/fusion/Parameter.monty:2356:10-21
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2183:19-2357:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2358:13-2488:9
        _48_rnelem=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2369:7-13
        _49_rnnz=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2370:7-11
        _50_rncodeatom=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2371:7-17
        _51_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:2373:14-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2374:3-2400:11
        _50_rncodeatom,_48_rnelem,_49_rnnz = fragments._c_closure_331(_17_codeptr,_25_edim1,_11_ncodeatom,_23_pdim1,_19_pnnz,_20_psp,_10_ptr,_50_rncodeatom,_48_rnelem,_49_rnnz,_3_wi32,_21_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:2374:3-2400:11
        _50_rncodeatom = numpy.int32(_50_rncodeatom) # postprocess
        _48_rnelem = numpy.int32(_48_rnelem) # postprocess
        _49_rnnz = numpy.int32(_49_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2374:3-2400:11
        _52_rnd=1 # bld/herlev/final/default/src/fusion/Parameter.monty:2403:14-17
        _53_rhassp=(_48_rnelem < _22_pdim0) # bld/herlev/final/default/src/fusion/Parameter.monty:2404:14-20
        _0_rs._alloc_1expr_IIIZI(_52_rnd,_48_rnelem,_49_rnnz,_53_rhassp,_50_rncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:2405:10-63
        _54_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2413:14-18
        _55_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2414:14-20
        _56_rsp=((_0_rs.sp_base) if (_53_rhassp ) else _0_rs._alloci64_I(_48_rnelem)) # bld/herlev/final/default/src/fusion/Parameter.monty:2415:14-17
        _57_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2416:14-18
        _58_rhassp=(_0_rs.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:2417:14-20
        _59_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2418:14-20
        _60_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2420:14-22
        _61_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2421:14-19
        _62_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2422:14-21
        _63_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:2424:14-18
        _64_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:2425:14-18
        _65_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:2426:14-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2429:3-2483:11
        fragments._c_closure_332(_16_cconst,_18_code,_17_codeptr,_15_cof,_25_edim1,_11_ncodeatom,_14_nidxs,_22_pdim0,_23_pdim1,_26_pidxs,_19_pnnz,_20_psp,_10_ptr,_62_rcconst,_61_rcode,_60_rcodeptr,_57_rcof,_64_rf64,_65_ri32,_63_ri64,_50_rncodeatom,_55_rnidxs,_54_rptr,_59_rshape,_56_rsp,_5_wf64,_3_wi32,_4_wi64,_51_xi32,_21_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:2429:3-2483:11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2429:3-2483:11
        if (not _58_rhassp): # bld/herlev/final/default/src/fusion/Parameter.monty:2485:7-17
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2486:12-30
          _0_rs._popi64_I(_48_rnelem) # bld/herlev/final/default/src/fusion/Parameter.monty:2486:12-30
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2486:12-30
        _2_xs._clear_() # bld/herlev/final/default/src/fusion/Parameter.monty:2487:10-21
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2358:13-2488:9
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2144:67-2489:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2142:38-158
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprMulParamDiagLeft(")._a_S(self.__p._toString_())._a_S(",")._a_S(self.__e._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/Parameter.monty:2142:40-156
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2142:38-158
  return ExprMulParamDiagLeft
mosek_fusion_ExprMulParamDiagLeft=__mk_mosek_fusion_ExprMulParamDiagLeft()
del __mk_mosek_fusion_ExprMulParamDiagLeft

# origin: bld/herlev/final/default/src/fusion/Parameter.monty:1746:4-2124:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulParamDiagRight():
  class ExprMulParamDiagRight(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulParamDiagRight__e','_ExprMulParamDiagRight__p']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Expression,mosek.fusion.Parameter
        self._ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):# mosek.fusion.Expression,mosek.fusion.Parameter
        self._ctor_alt_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulParamDiagRight.ctor(mosek.fusion.Expression,mosek.fusion.Parameter)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulParamDiagRight._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulParamDiagRight._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulParamDiagRight.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulParamDiagRight._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulParamDiagRight._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulParamDiagRight.toString()')

    def __repr__(self): return 'mosek.fusion.ExprMulParamDiagRight'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(e,p):
      o = ExprMulParamDiagRight.__new__(ExprMulParamDiagRight)
      o._ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(e,p)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      e,p, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(e)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(p))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      e,p, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(e)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(p))
    # Origin: bld/herlev/final/default/src/fusion/Parameter.monty:1750:6-1760:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(self,e,p):
      self._ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(e,p)
    def _ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(self,e,p):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1750:44-1760:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,numpy.array([e._getDim_I(0)], dtype=numpy.dtype(numpy.int32)))# ctor @ bld/herlev/final/default/src/fusion/Parameter.monty:1751:8-34
      (self.__p) = p # bld/herlev/final/default/src/fusion/Parameter.monty:1752:8-19
      (self.__e) = e # bld/herlev/final/default/src/fusion/Parameter.monty:1753:8-19
      if ((p._getND_()!=2) or (e._getND_()!=2)): # bld/herlev/final/default/src/fusion/Parameter.monty:1755:12-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1756:10-84
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions for multiplication") # bld/herlev/final/default/src/fusion/Parameter.monty:1756:10-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1756:10-84
      if ((p._getDim_I(1)!=e._getDim_I(0)) or (p._getDim_I(0)!=e._getDim_I(1))): # bld/herlev/final/default/src/fusion/Parameter.monty:1757:12-1758:38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1759:10-84
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions for multiplication") # bld/herlev/final/default/src/fusion/Parameter.monty:1759:10-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1759:10-84
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1750:44-1760:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1764:67-2123:7
      self.__e._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/Parameter.monty:1765:8-25
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/Parameter.monty:1766:8-22
      _3_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:1767:12-16
      _4_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:1768:12-16
      _5_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:1769:12-16
      _6_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/Parameter.monty:1771:12-14
      _7_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/Parameter.monty:1772:12-17
      _8_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/Parameter.monty:1773:12-15
      _9_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:1774:12-17
      _10_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1775:12-15
      _11_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:1776:12-21
      _12_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1778:12-17
      _13_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1779:12-14
      _14_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1780:12-17
      _15_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1781:12-15
      _16_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1783:12-18
      _17_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1784:12-19
      _18_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1785:12-16
      if ((_6_nd!=2) or ((_3_wi32[_12_shape]!=self.__p._getDim_I(1)) or (_3_wi32[(_12_shape + 1)]!=self.__p._getDim_I(0)))): # bld/herlev/final/default/src/fusion/Parameter.monty:1787:5-74
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1788:10-84
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions for multiplication") # bld/herlev/final/default/src/fusion/Parameter.monty:1788:10-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1788:10-84
      _19_pnnz=self.__p._getNumNonzero_() # bld/herlev/final/default/src/fusion/Parameter.monty:1790:12-16
      _20_psp=_2_xs._alloci64_I(_19_pnnz) # bld/herlev/final/default/src/fusion/Parameter.monty:1791:12-15
      _21_xi64=(_2_xs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:1792:12-16
      _22_pidxs=_2_xs._alloci32_I(self.__p._getNumNonzero_()) # bld/herlev/final/default/src/fusion/Parameter.monty:1793:12-17
      _23_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:1794:12-16
      self.__p._getAllIndexes__3II(_23_xi32,_22_pidxs) # bld/herlev/final/default/src/fusion/Parameter.monty:1795:8-36
      self.__p._getSp__3JI(_21_xi64,_20_psp) # bld/herlev/final/default/src/fusion/Parameter.monty:1797:8-26
      _24_pdim0=self.__p._getDim_I(0) # bld/herlev/final/default/src/fusion/Parameter.monty:1799:12-17
      _25_pdim1=self.__p._getDim_I(1) # bld/herlev/final/default/src/fusion/Parameter.monty:1800:12-17
      _26_edim0=_3_wi32[_12_shape] # bld/herlev/final/default/src/fusion/Parameter.monty:1801:12-17
      _27_edim1=_3_wi32[(_12_shape + 1)] # bld/herlev/final/default/src/fusion/Parameter.monty:1802:12-17
      _28_pperm=_2_xs._alloci32_I(_19_pnnz) # bld/herlev/final/default/src/fusion/Parameter.monty:1805:12-17
      _29_pptr=_2_xs._alloci32_I((_25_pdim1 + 1)) # bld/herlev/final/default/src/fusion/Parameter.monty:1806:12-16
      _30_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:1807:12-16
      fragments._c_closure_333(_25_pdim1,_29_pptr,_30_xi32) # bld/herlev/final/default/src/fusion/Parameter.monty:1808:8-50
      fragments._c_closure_334(_25_pdim1,_19_pnnz,_29_pptr,_20_psp,_30_xi32,_21_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:1809:8-63
      fragments._c_closure_335(_25_pdim1,_29_pptr,_30_xi32) # bld/herlev/final/default/src/fusion/Parameter.monty:1810:8-62
      fragments._c_closure_336(_25_pdim1,_19_pnnz,_28_pperm,_29_pptr,_20_psp,_30_xi32,_21_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:1811:8-1815:9
      if _9_hassp: # bld/herlev/final/default/src/fusion/Parameter.monty:1817:5-10
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1817:12-1986:2
        _31_rncodeatom=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1820:29-39
        _32_rnelem=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1820:17-23
        _33_rnnz=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1820:7-11
        _34_i1=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1821:15-17
        _35_i0=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1821:7-9
        _35_i0,_34_i1,_31_rncodeatom,_32_rnelem,_33_rnnz = fragments._c_closure_337(_17_codeptr,_27_edim1,_35_i0,_34_i1,_11_ncodeatom,_7_nelem,_25_pdim1,_19_pnnz,_28_pperm,_20_psp,_10_ptr,_31_rncodeatom,_32_rnelem,_33_rnnz,_13_sp,_3_wi32,_4_wi64,_30_xi32,_21_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:1822:3-1860:11
        _35_i0 = numpy.int32(_35_i0) # postprocess
        _34_i1 = numpy.int32(_34_i1) # postprocess
        _31_rncodeatom = numpy.int32(_31_rncodeatom) # postprocess
        _32_rnelem = numpy.int32(_32_rnelem) # postprocess
        _33_rnnz = numpy.int32(_33_rnnz) # postprocess
        _36_rnd=1 # bld/herlev/final/default/src/fusion/Parameter.monty:1863:14-17
        _37_rhassp=(_32_rnelem < _26_edim0) # bld/herlev/final/default/src/fusion/Parameter.monty:1864:14-20
        _0_rs._alloc_1expr_IIIZI(_36_rnd,_32_rnelem,_33_rnnz,_37_rhassp,_31_rncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:1865:10-63
        _38_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1872:14-18
        _39_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1873:14-20
        _40_rsp=((_0_rs.sp_base) if (_37_rhassp ) else _0_rs._alloci64_I(_32_rnelem)) # bld/herlev/final/default/src/fusion/Parameter.monty:1874:14-17
        _41_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1875:14-18
        _42_rhassp=(_0_rs.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:1876:14-20
        _43_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1877:14-20
        _44_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1880:14-22
        _45_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1881:14-19
        _46_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1882:14-21
        _47_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:1884:14-18
        _48_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:1885:14-18
        _49_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:1886:14-18
        if (_32_rnelem > 0): # bld/herlev/final/default/src/fusion/Parameter.monty:1897:14-24
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1897:26-1974:4
          _49_ri32[_38_rptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:1898:12-28
          if (_31_rncodeatom > 0): # bld/herlev/final/default/src/fusion/Parameter.monty:1899:16-30
            # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1900:14-33
            _49_ri32[_44_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:1900:14-33
            # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1900:14-33
          _49_ri32[_43_rshape] = numpy.int32(_26_edim0) # bld/herlev/final/default/src/fusion/Parameter.monty:1902:12-40
          _50_codei=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1904:35-40
          _51_elmi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1904:25-29
          _52_nzi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1904:16-19
          _53_i1=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1905:17-19
          _54_i0=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1905:9-11
          _50_codei,_51_elmi,_54_i0,_53_i1,_52_nzi = fragments._c_closure_338(_16_cconst,_18_code,_50_codei,_17_codeptr,_15_cof,_27_edim1,_51_elmi,_54_i0,_53_i1,_11_ncodeatom,_7_nelem,_14_nidxs,_52_nzi,_25_pdim1,_22_pidxs,_19_pnnz,_28_pperm,_20_psp,_10_ptr,_46_rcconst,_45_rcode,_44_rcodeptr,_41_rcof,_48_rf64,_49_ri32,_47_ri64,_39_rnidxs,_38_rptr,_40_rsp,_13_sp,_5_wf64,_3_wi32,_4_wi64,_30_xi32,_21_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:1906:5-1967:6
          _50_codei = numpy.int32(_50_codei) # postprocess
          _51_elmi = numpy.int32(_51_elmi) # postprocess
          _54_i0 = numpy.int32(_54_i0) # postprocess
          _53_i1 = numpy.int32(_53_i1) # postprocess
          _52_nzi = numpy.int32(_52_nzi) # postprocess
          if (_32_rnelem > _49_ri32[_43_rshape]): # bld/herlev/final/default/src/fusion/Parameter.monty:1971:16-37
            # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1971:39-92
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid shape") # bld/herlev/final/default/src/fusion/Parameter.monty:1971:39-92
            # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1971:39-92
          if (_51_elmi!=_32_rnelem): # bld/herlev/final/default/src/fusion/Parameter.monty:1972:16-30
            # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1972:32-92
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid num elements") # bld/herlev/final/default/src/fusion/Parameter.monty:1972:32-92
            # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1972:32-92
          if (_52_nzi!=_33_rnnz): # bld/herlev/final/default/src/fusion/Parameter.monty:1973:16-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1973:29-89
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid num nonzeros") # bld/herlev/final/default/src/fusion/Parameter.monty:1973:29-89
            # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1973:29-89
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1897:26-1974:4
        if (not _42_rhassp): # bld/herlev/final/default/src/fusion/Parameter.monty:1983:14-24
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1984:12-30
          _0_rs._popi64_I(_32_rnelem) # bld/herlev/final/default/src/fusion/Parameter.monty:1984:12-30
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1984:12-30
        _2_xs._clear_() # bld/herlev/final/default/src/fusion/Parameter.monty:1985:10-21
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1817:12-1986:2
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1987:6-2122:9
        _55_rncodeatom=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1995:36-46
        _56_rnelem=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1995:24-30
        _57_rnnz=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1995:14-18
        _58_i1=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1997:14-16
        _58_i1,_55_rncodeatom,_56_rnelem,_57_rnnz = fragments._c_closure_339(_17_codeptr,_27_edim1,_58_i1,_11_ncodeatom,_25_pdim1,_19_pnnz,_28_pperm,_20_psp,_10_ptr,_55_rncodeatom,_56_rnelem,_57_rnnz,_3_wi32,_30_xi32,_21_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:1998:10-2018:11
        _58_i1 = numpy.int32(_58_i1) # postprocess
        _55_rncodeatom = numpy.int32(_55_rncodeatom) # postprocess
        _56_rnelem = numpy.int32(_56_rnelem) # postprocess
        _57_rnnz = numpy.int32(_57_rnnz) # postprocess
        _59_rnd=1 # bld/herlev/final/default/src/fusion/Parameter.monty:2021:14-17
        _60_rhassp=(_56_rnelem < _26_edim0) # bld/herlev/final/default/src/fusion/Parameter.monty:2022:14-20
        _0_rs._alloc_1expr_IIIZI(_59_rnd,_56_rnelem,_57_rnnz,_60_rhassp,_55_rncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:2023:10-63
        _61_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2029:14-18
        _62_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2030:14-20
        _63_rsp=((_0_rs.sp_base) if (_60_rhassp ) else _0_rs._alloci64_I(_56_rnelem)) # bld/herlev/final/default/src/fusion/Parameter.monty:2031:14-17
        _64_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2032:14-18
        _65_rhassp=(_0_rs.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:2033:14-20
        _66_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2034:14-20
        _67_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2036:14-22
        _68_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2037:14-19
        _69_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:2038:14-21
        _70_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:2040:14-18
        _71_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:2041:14-18
        _72_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:2042:14-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2054:10-2112:11
        _72_ri32[_61_rptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:2055:12-31
        if (_55_rncodeatom > 0): # bld/herlev/final/default/src/fusion/Parameter.monty:2056:16-30
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2056:32-51
          _72_ri32[_67_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:2056:32-51
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2056:32-51
        _72_ri32[_66_rshape] = numpy.int32(_26_edim0) # bld/herlev/final/default/src/fusion/Parameter.monty:2057:12-42
        _73_codei=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2058:35-40
        _74_elmi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2058:25-29
        _75_nzi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2058:16-19
        _76_i1=0 # bld/herlev/final/default/src/fusion/Parameter.monty:2060:16-18
        _73_codei,_74_elmi,_76_i1,_75_nzi = fragments._c_closure_340(_16_cconst,_18_code,_73_codei,_17_codeptr,_15_cof,_27_edim1,_74_elmi,_76_i1,_11_ncodeatom,_14_nidxs,_75_nzi,_25_pdim1,_22_pidxs,_19_pnnz,_28_pperm,_20_psp,_10_ptr,_69_rcconst,_68_rcode,_67_rcodeptr,_64_rcof,_71_rf64,_72_ri32,_70_ri64,_62_rnidxs,_61_rptr,_63_rsp,_5_wf64,_3_wi32,_4_wi64,_30_xi32,_21_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:2061:12-2103:13
        _73_codei = numpy.int32(_73_codei) # postprocess
        _74_elmi = numpy.int32(_74_elmi) # postprocess
        _76_i1 = numpy.int32(_76_i1) # postprocess
        _75_nzi = numpy.int32(_75_nzi) # postprocess
        if (_56_rnelem > _72_ri32[_66_rshape]): # bld/herlev/final/default/src/fusion/Parameter.monty:2109:16-37
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2109:39-92
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid shape") # bld/herlev/final/default/src/fusion/Parameter.monty:2109:39-92
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2109:39-92
        if (_74_elmi!=_56_rnelem): # bld/herlev/final/default/src/fusion/Parameter.monty:2110:16-30
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2110:39-99
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid num elements") # bld/herlev/final/default/src/fusion/Parameter.monty:2110:39-99
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2110:39-99
        if (_75_nzi!=_57_rnnz): # bld/herlev/final/default/src/fusion/Parameter.monty:2111:16-27
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2111:39-99
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid num nonzeros") # bld/herlev/final/default/src/fusion/Parameter.monty:2111:39-99
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2111:39-99
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2054:10-2112:11
        if (not _65_rhassp): # bld/herlev/final/default/src/fusion/Parameter.monty:2119:14-24
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2120:12-30
          _0_rs._popi64_I(_56_rnelem) # bld/herlev/final/default/src/fusion/Parameter.monty:2120:12-30
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:2120:12-30
        _2_xs._clear_() # bld/herlev/final/default/src/fusion/Parameter.monty:2121:10-21
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1987:6-2122:9
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1764:67-2123:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1762:38-159
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprMulParamDiagRight(")._a_S(self.__e._toString_())._a_S(",")._a_S(self.__p._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/Parameter.monty:1762:40-157
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1762:38-159
  return ExprMulParamDiagRight
mosek_fusion_ExprMulParamDiagRight=__mk_mosek_fusion_ExprMulParamDiagRight()
del __mk_mosek_fusion_ExprMulParamDiagRight

# origin: bld/herlev/final/default/src/fusion/Parameter.monty:1545:4-1741:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprDotParam():
  class ExprDotParam(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprDotParam__e','_ExprDotParam__p']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        self._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):# mosek.fusion.Parameter,mosek.fusion.Expression
        self._ctor_alt_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprDotParam.ctor(mosek.fusion.Parameter,mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprDotParam._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprDotParam._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprDotParam.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprDotParam._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprDotParam._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprDotParam.toString()')

    def __repr__(self): return 'mosek.fusion.ExprDotParam'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e):
      o = ExprDotParam.__new__(ExprDotParam)
      o._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      p,e, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(p)
              and __arg_match_Lmosek_4fusion_4Expression_2__(e))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      p,e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(p)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(e))
    # Origin: bld/herlev/final/default/src/fusion/Parameter.monty:1549:6-1559:7
    def _ctor_alt_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(self,p,e):
      self._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e)
    def _ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(self,p,e):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1549:45-1559:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)))# ctor @ bld/herlev/final/default/src/fusion/Parameter.monty:1550:8-27
      (self.__p) = p # bld/herlev/final/default/src/fusion/Parameter.monty:1551:8-19
      (self.__e) = e # bld/herlev/final/default/src/fusion/Parameter.monty:1552:8-19
      if (p._getND_()!=e._getND_()): # bld/herlev/final/default/src/fusion/Parameter.monty:1554:12-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1555:10-69
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/Parameter.monty:1555:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1555:10-69
      for _0_i in range(0,p._getND_()): # bld/herlev/final/default/src/fusion/Parameter.monty:1556:8-1558:71
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1557:10-1558:71
        if (p._getDim_I(_0_i)!=e._getDim_I(_0_i)): # bld/herlev/final/default/src/fusion/Parameter.monty:1557:14-40
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1558:12-71
          raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/Parameter.monty:1558:12-71
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1558:12-71
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1557:10-1558:71
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1549:45-1559:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1563:67-1740:7
      self.__e._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/Parameter.monty:1564:8-25
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/Parameter.monty:1565:8-22
      _3_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:1566:12-16
      _4_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:1567:12-16
      _5_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:1568:12-16
      _6_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/Parameter.monty:1570:12-14
      _7_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/Parameter.monty:1571:12-17
      _8_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/Parameter.monty:1572:12-15
      _9_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:1573:12-17
      _10_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1574:12-15
      _11_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:1575:12-21
      _12_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1577:12-17
      _13_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1578:12-14
      _14_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1579:12-17
      _15_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1580:12-15
      _16_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1582:12-18
      _17_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1583:12-19
      _18_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1584:12-16
      _19_pnnz=self.__p._getNumNonzero_() # bld/herlev/final/default/src/fusion/Parameter.monty:1586:12-16
      _20_psp=_2_xs._alloci64_I(_19_pnnz) # bld/herlev/final/default/src/fusion/Parameter.monty:1587:12-15
      self.__p._getSp__3JI((_2_xs.i64),_20_psp) # bld/herlev/final/default/src/fusion/Parameter.monty:1588:8-28
      _21_pidxs=_2_xs._alloci32_I(self.__p._getNumNonzero_()) # bld/herlev/final/default/src/fusion/Parameter.monty:1589:12-17
      _22_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:1590:12-16
      self.__p._getAllIndexes__3II(_22_xi32,_21_pidxs) # bld/herlev/final/default/src/fusion/Parameter.monty:1591:8-36
      _23_xi64=(_2_xs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:1593:12-16
      _24_rnnz=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1594:12-16
      _25_rnelem=1 # bld/herlev/final/default/src/fusion/Parameter.monty:1595:12-18
      _26_rncodeatom=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1596:12-22
      _26_rncodeatom,_24_rnnz = fragments._c_closure_341(_17_codeptr,_9_hassp,_11_ncodeatom,_7_nelem,_19_pnnz,_20_psp,_10_ptr,_26_rncodeatom,_24_rnnz,_13_sp,_3_wi32,_4_wi64,_23_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:1599:8-1622:9
      _26_rncodeatom = numpy.int32(_26_rncodeatom) # postprocess
      _24_rnnz = numpy.int32(_24_rnnz) # postprocess
      _27_rsz=1 # bld/herlev/final/default/src/fusion/Parameter.monty:1625:12-21
      _27_rsz = fragments._c_closure_342(_6_nd,_27_rsz,_12_shape,_3_wi32) # bld/herlev/final/default/src/fusion/Parameter.monty:1625:27-68
      _27_rsz = numpy.int64(_27_rsz) # postprocess
      _0_rs._alloc_1expr_IIIZI(0,_25_rnelem,_24_rnnz,False,_26_rncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:1626:8-58
      _28_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1628:12-16
      _29_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1629:12-18
      _30_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1630:12-16
      _31_rhassp=(_0_rs.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:1631:12-18
      _32_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1632:12-18
      _33_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1634:12-20
      _34_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1635:12-17
      _35_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1636:12-19
      _36_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:1638:12-16
      _37_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:1639:12-16
      _38_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:1640:12-16
      _38_ri32[_28_rptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:1643:8-27
      _38_ri32[(_28_rptr + 1)] = _24_rnnz # bld/herlev/final/default/src/fusion/Parameter.monty:1644:8-30
      if (_26_rncodeatom > 0): # bld/herlev/final/default/src/fusion/Parameter.monty:1645:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1645:28-47
        _38_ri32[_33_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:1645:28-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1645:28-47
      if _9_hassp: # bld/herlev/final/default/src/fusion/Parameter.monty:1647:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1647:19-1692:9
        _39_codei=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1648:33-38
        _40_nzi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1648:24-27
        _41_elmi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1648:14-18
        _42_ei=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1649:22-24
        _43_pi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1649:14-16
        _39_codei,_42_ei,_40_nzi,_43_pi = fragments._c_closure_343(_16_cconst,_18_code,_39_codei,_17_codeptr,_15_cof,_42_ei,_11_ncodeatom,_7_nelem,_14_nidxs,_40_nzi,_43_pi,_21_pidxs,_19_pnnz,_20_psp,_10_ptr,_35_rcconst,_34_rcode,_33_rcodeptr,_30_rcof,_37_rf64,_38_ri32,_36_ri64,_29_rnidxs,_13_sp,_5_wf64,_3_wi32,_4_wi64,_22_xi32,_23_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:1650:10-1688:11
        _39_codei = numpy.int32(_39_codei) # postprocess
        _42_ei = numpy.int32(_42_ei) # postprocess
        _40_nzi = numpy.int32(_40_nzi) # postprocess
        _43_pi = numpy.int32(_43_pi) # postprocess
        if (_41_elmi!=_25_rnelem): # bld/herlev/final/default/src/fusion/Parameter.monty:1689:14-31
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1689:39-96
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: broken elmi") # bld/herlev/final/default/src/fusion/Parameter.monty:1689:41-92
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1689:39-96
        if (_40_nzi!=_24_rnnz): # bld/herlev/final/default/src/fusion/Parameter.monty:1690:14-29
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1690:39-96
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: broken nzi") # bld/herlev/final/default/src/fusion/Parameter.monty:1690:41-91
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1690:39-96
        if (_39_codei!=_26_rncodeatom): # bld/herlev/final/default/src/fusion/Parameter.monty:1691:14-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1691:37-93
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: broken codei") # bld/herlev/final/default/src/fusion/Parameter.monty:1691:39-91
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1691:37-93
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1647:19-1692:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1693:13-1737:9
        _44_codei=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1694:23-28
        _45_nzi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1694:14-17
        _44_codei,_45_nzi = fragments._c_closure_344(_16_cconst,_18_code,_44_codei,_17_codeptr,_15_cof,_11_ncodeatom,_14_nidxs,_45_nzi,_21_pidxs,_19_pnnz,_20_psp,_10_ptr,_35_rcconst,_34_rcode,_33_rcodeptr,_30_rcof,_37_rf64,_38_ri32,_36_ri64,_29_rnidxs,_5_wf64,_3_wi32,_4_wi64,_22_xi32,_23_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:1695:10-1727:11
        _44_codei = numpy.int32(_44_codei) # postprocess
        _45_nzi = numpy.int32(_45_nzi) # postprocess
        if (_45_nzi!=_24_rnnz): # bld/herlev/final/default/src/fusion/Parameter.monty:1735:14-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1735:27-78
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: invalid nzi") # bld/herlev/final/default/src/fusion/Parameter.monty:1735:27-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1735:27-78
        if (_44_codei!=_26_rncodeatom): # bld/herlev/final/default/src/fusion/Parameter.monty:1736:14-33
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1736:35-88
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: invalid codei") # bld/herlev/final/default/src/fusion/Parameter.monty:1736:35-88
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1736:35-88
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1693:13-1737:9
      _2_xs._clear_() # bld/herlev/final/default/src/fusion/Parameter.monty:1739:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1563:67-1740:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1561:38-150
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprDotParam(")._a_S(self.__p._toString_())._a_S(",")._a_S(self.__e._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/Parameter.monty:1561:40-148
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1561:38-150
  return ExprDotParam
mosek_fusion_ExprDotParam=__mk_mosek_fusion_ExprDotParam()
del __mk_mosek_fusion_ExprDotParam

# origin: bld/herlev/final/default/src/fusion/Parameter.monty:1314:4-1540:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulParamElem():
  class ExprMulParamElem(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulParamElem__e','_ExprMulParamElem__p']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        self._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):# mosek.fusion.Parameter,mosek.fusion.Expression
        self._ctor_alt_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulParamElem.ctor(mosek.fusion.Parameter,mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulParamElem._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulParamElem._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulParamElem.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulParamElem._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulParamElem._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulParamElem.toString()')

    def __repr__(self): return 'mosek.fusion.ExprMulParamElem'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e):
      o = ExprMulParamElem.__new__(ExprMulParamElem)
      o._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      p,e, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(p)
              and __arg_match_Lmosek_4fusion_4Expression_2__(e))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      p,e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(p)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(e))
    # Origin: bld/herlev/final/default/src/fusion/Parameter.monty:1318:6-1328:7
    def _ctor_alt_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(self,p,e):
      self._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e)
    def _ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(self,p,e):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1318:45-1328:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,e._getShape_())# ctor @ bld/herlev/final/default/src/fusion/Parameter.monty:1319:8-28
      (self.__p) = p # bld/herlev/final/default/src/fusion/Parameter.monty:1320:8-19
      (self.__e) = e # bld/herlev/final/default/src/fusion/Parameter.monty:1321:8-19
      if (p._getND_()!=e._getND_()): # bld/herlev/final/default/src/fusion/Parameter.monty:1323:12-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1324:10-69
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/Parameter.monty:1324:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1324:10-69
      for _0_i in range(0,p._getND_()): # bld/herlev/final/default/src/fusion/Parameter.monty:1325:8-1327:71
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1326:10-1327:71
        if (p._getDim_I(_0_i)!=e._getDim_I(_0_i)): # bld/herlev/final/default/src/fusion/Parameter.monty:1326:14-40
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1327:12-71
          raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/Parameter.monty:1327:12-71
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1327:12-71
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1326:10-1327:71
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1318:45-1328:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1332:67-1539:7
      self.__e._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/Parameter.monty:1333:8-25
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/Parameter.monty:1334:8-22
      _3_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:1335:12-16
      _4_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:1336:12-16
      _5_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:1337:12-16
      _6_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/Parameter.monty:1339:12-14
      _7_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/Parameter.monty:1340:12-17
      _8_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/Parameter.monty:1341:12-15
      _9_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:1342:12-17
      _10_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1343:12-15
      _11_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:1344:12-21
      _12_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1346:12-17
      _13_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1347:12-14
      _14_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1348:12-17
      _15_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1349:12-15
      _16_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1351:12-18
      _17_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1352:12-19
      _18_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1353:12-16
      _19_pnnz=self.__p._getNumNonzero_() # bld/herlev/final/default/src/fusion/Parameter.monty:1355:12-16
      _20_psp=_2_xs._alloci64_I(_19_pnnz) # bld/herlev/final/default/src/fusion/Parameter.monty:1356:12-15
      self.__p._getSp__3JI((_2_xs.i64),_20_psp) # bld/herlev/final/default/src/fusion/Parameter.monty:1357:8-28
      _21_pidxs=_2_xs._alloci32_I(self.__p._getNumNonzero_()) # bld/herlev/final/default/src/fusion/Parameter.monty:1358:12-17
      _22_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:1359:12-16
      self.__p._getAllIndexes__3II(_22_xi32,_21_pidxs) # bld/herlev/final/default/src/fusion/Parameter.monty:1360:8-36
      _23_xi64=(_2_xs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:1362:12-16
      _24_rnd=_6_nd # bld/herlev/final/default/src/fusion/Parameter.monty:1363:12-15
      _25_rnnz=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1364:12-16
      _26_rnelem=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1365:12-18
      _27_rncodeatom=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1366:12-22
      _27_rncodeatom,_26_rnelem,_25_rnnz = fragments._c_closure_345(_17_codeptr,_9_hassp,_11_ncodeatom,_7_nelem,_19_pnnz,_20_psp,_10_ptr,_27_rncodeatom,_26_rnelem,_25_rnnz,_13_sp,_3_wi32,_4_wi64,_23_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:1369:8-1396:9
      _27_rncodeatom = numpy.int32(_27_rncodeatom) # postprocess
      _26_rnelem = numpy.int32(_26_rnelem) # postprocess
      _25_rnnz = numpy.int32(_25_rnnz) # postprocess
      _28_rsz=1 # bld/herlev/final/default/src/fusion/Parameter.monty:1399:12-21
      _28_rsz = fragments._c_closure_346(_6_nd,_28_rsz,_12_shape,_3_wi32) # bld/herlev/final/default/src/fusion/Parameter.monty:1399:27-68
      _28_rsz = numpy.int64(_28_rsz) # postprocess
      _29_rhassp=(_26_rnelem < _28_rsz) # bld/herlev/final/default/src/fusion/Parameter.monty:1400:12-18
      _0_rs._alloc_1expr_IIIZI(_24_rnd,_26_rnelem,_25_rnnz,_29_rhassp,_27_rncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:1401:8-61
      _30_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1403:12-16
      _31_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1404:12-18
      _32_rsp=((_0_rs.sp_base) if (_29_rhassp ) else _0_rs._alloci64_I(_26_rnelem)) # bld/herlev/final/default/src/fusion/Parameter.monty:1405:12-15
      _33_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1406:12-16
      _34_rhassp=(_0_rs.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:1407:12-18
      _35_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1408:12-18
      _36_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1410:12-20
      _37_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1411:12-17
      _38_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1412:12-19
      _39_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:1414:12-16
      _40_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:1415:12-16
      _41_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:1416:12-16
      fragments._c_closure_347(_6_nd,_41_ri32,_35_rshape,_12_shape,_3_wi32) # bld/herlev/final/default/src/fusion/Parameter.monty:1420:8-1421:41
      _41_ri32[_30_rptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:1423:8-27
      if (_27_rncodeatom > 0): # bld/herlev/final/default/src/fusion/Parameter.monty:1424:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1424:28-47
        _41_ri32[_36_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:1424:28-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1424:28-47
      if _9_hassp: # bld/herlev/final/default/src/fusion/Parameter.monty:1426:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1426:19-1478:9
        _42_codei=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1427:33-38
        _43_nzi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1427:24-27
        _44_elmi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1427:14-18
        _45_ei=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1428:22-24
        _46_pi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1428:14-16
        _42_codei,_45_ei,_44_elmi,_43_nzi,_46_pi = fragments._c_closure_348(_16_cconst,_18_code,_42_codei,_17_codeptr,_15_cof,_45_ei,_44_elmi,_11_ncodeatom,_7_nelem,_14_nidxs,_43_nzi,_46_pi,_21_pidxs,_19_pnnz,_20_psp,_10_ptr,_38_rcconst,_37_rcode,_36_rcodeptr,_33_rcof,_40_rf64,_41_ri32,_39_ri64,_31_rnidxs,_30_rptr,_32_rsp,_13_sp,_5_wf64,_3_wi32,_4_wi64,_22_xi32,_23_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:1429:10-1474:11
        _42_codei = numpy.int32(_42_codei) # postprocess
        _45_ei = numpy.int32(_45_ei) # postprocess
        _44_elmi = numpy.int32(_44_elmi) # postprocess
        _43_nzi = numpy.int32(_43_nzi) # postprocess
        _46_pi = numpy.int32(_46_pi) # postprocess
        if (_44_elmi!=_26_rnelem): # bld/herlev/final/default/src/fusion/Parameter.monty:1475:14-31
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1475:37-94
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: broken elmi") # bld/herlev/final/default/src/fusion/Parameter.monty:1475:39-90
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1475:37-94
        if (_43_nzi!=_25_rnnz): # bld/herlev/final/default/src/fusion/Parameter.monty:1476:14-29
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1476:37-94
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: broken nzi") # bld/herlev/final/default/src/fusion/Parameter.monty:1476:39-89
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1476:37-94
        if (_42_codei!=_27_rncodeatom): # bld/herlev/final/default/src/fusion/Parameter.monty:1477:14-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1477:37-93
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: broken codei") # bld/herlev/final/default/src/fusion/Parameter.monty:1477:39-91
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1477:37-93
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1426:19-1478:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1479:13-1533:9
        _47_codei=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1480:23-28
        _48_nzi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1480:14-17
        _47_codei,_48_nzi = fragments._c_closure_349(_16_cconst,_18_code,_47_codei,_17_codeptr,_15_cof,_11_ncodeatom,_14_nidxs,_48_nzi,_21_pidxs,_19_pnnz,_20_psp,_10_ptr,_38_rcconst,_37_rcode,_36_rcodeptr,_33_rcof,_40_rf64,_41_ri32,_39_ri64,_31_rnidxs,_30_rptr,_32_rsp,_5_wf64,_3_wi32,_4_wi64,_22_xi32,_23_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:1481:10-1516:11
        _47_codei = numpy.int32(_47_codei) # postprocess
        _48_nzi = numpy.int32(_48_nzi) # postprocess
        if (_27_rncodeatom!=_47_codei): # bld/herlev/final/default/src/fusion/Parameter.monty:1517:14-33
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1517:35-1532:11
          raise mosek_fusion_UnexpectedError._ctor_S("Internal! Invalid code list result") # bld/herlev/final/default/src/fusion/Parameter.monty:1531:12-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1517:35-1532:11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1479:13-1533:9
      if (not _34_rhassp): # bld/herlev/final/default/src/fusion/Parameter.monty:1535:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1536:10-28
        _0_rs._popi64_I(_26_rnelem) # bld/herlev/final/default/src/fusion/Parameter.monty:1536:10-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1536:10-28
      _2_xs._clear_() # bld/herlev/final/default/src/fusion/Parameter.monty:1537:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1332:67-1539:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1330:38-154
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprMulParamElem(")._a_S(self.__p._toString_())._a_S(",")._a_S(self.__e._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/Parameter.monty:1330:40-152
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1330:38-154
  return ExprMulParamElem
mosek_fusion_ExprMulParamElem=__mk_mosek_fusion_ExprMulParamElem()
del __mk_mosek_fusion_ExprMulParamElem

# origin: bld/herlev/final/default/src/fusion/Parameter.monty:932:4-1310:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulParamRight():
  class ExprMulParamRight(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulParamRight__e','_ExprMulParamRight__p']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Expression,mosek.fusion.Parameter
        self._ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):# mosek.fusion.Expression,mosek.fusion.Parameter
        self._ctor_alt_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulParamRight.ctor(mosek.fusion.Expression,mosek.fusion.Parameter)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulParamRight._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulParamRight._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulParamRight.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulParamRight._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulParamRight._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulParamRight.toString()')

    def __repr__(self): return 'mosek.fusion.ExprMulParamRight'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(e,p):
      o = ExprMulParamRight.__new__(ExprMulParamRight)
      o._ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(e,p)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      e,p, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(e)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(p))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      e,p, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(e)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(p))
    # Origin: bld/herlev/final/default/src/fusion/Parameter.monty:936:6-945:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(self,e,p):
      self._ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(e,p)
    def _ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(self,e,p):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:936:44-945:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,numpy.array([e._getDim_I(0),p._getDim_I(1)], dtype=numpy.dtype(numpy.int32)))# ctor @ bld/herlev/final/default/src/fusion/Parameter.monty:937:8-51
      (self.__p) = p # bld/herlev/final/default/src/fusion/Parameter.monty:938:8-19
      (self.__e) = e # bld/herlev/final/default/src/fusion/Parameter.monty:939:8-19
      if ((p._getND_()!=2) or (e._getND_()!=2)): # bld/herlev/final/default/src/fusion/Parameter.monty:941:12-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:942:10-84
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions for multiplication") # bld/herlev/final/default/src/fusion/Parameter.monty:942:10-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:942:10-84
      if (p._getDim_I(0)!=e._getDim_I(1)): # bld/herlev/final/default/src/fusion/Parameter.monty:943:12-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:944:10-69
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/Parameter.monty:944:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:944:10-69
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:936:44-945:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:949:67-1309:7
      self.__e._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/Parameter.monty:950:8-25
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/Parameter.monty:951:8-22
      _3_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:952:12-16
      _4_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:953:12-16
      _5_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:954:12-16
      _6_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/Parameter.monty:956:12-14
      _7_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/Parameter.monty:957:12-17
      _8_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/Parameter.monty:958:12-15
      _9_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:959:12-17
      _10_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:960:12-15
      _11_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:961:12-21
      _12_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:963:12-17
      _13_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/Parameter.monty:964:12-14
      _14_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:965:12-17
      _15_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:966:12-15
      _16_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:968:12-18
      _17_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:969:12-19
      _18_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:970:12-16
      if ((_6_nd!=2) or (self.__p._getDim_I(0)!=_3_wi32[(_12_shape + 1)])): # bld/herlev/final/default/src/fusion/Parameter.monty:972:12-51
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:973:10-69
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/Parameter.monty:973:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:973:10-69
      _19_edim0=_3_wi32[_12_shape] # bld/herlev/final/default/src/fusion/Parameter.monty:975:12-17
      _20_edim1=_3_wi32[(_12_shape + 1)] # bld/herlev/final/default/src/fusion/Parameter.monty:976:12-17
      _21_pdim0=self.__p._getDim_I(0) # bld/herlev/final/default/src/fusion/Parameter.monty:977:12-17
      _22_pdim1=self.__p._getDim_I(1) # bld/herlev/final/default/src/fusion/Parameter.monty:978:12-17
      _23_pnnz=self.__p._getNumNonzero_() # bld/herlev/final/default/src/fusion/Parameter.monty:979:12-16
      _24_pidxs=_2_xs._alloci32_I(self.__p._getNumNonzero_()) # bld/herlev/final/default/src/fusion/Parameter.monty:980:12-17
      _25_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:981:12-16
      self.__p._getAllIndexes__3II(_25_xi32,_24_pidxs) # bld/herlev/final/default/src/fusion/Parameter.monty:982:8-36
      _26_pperm=_2_xs._alloci32_I(_23_pnnz) # bld/herlev/final/default/src/fusion/Parameter.monty:988:12-17
      _27_psp=_2_xs._alloci64_I(_23_pnnz) # bld/herlev/final/default/src/fusion/Parameter.monty:989:12-15
      self.__p._getSp__3JI((_2_xs.i64),_27_psp) # bld/herlev/final/default/src/fusion/Parameter.monty:991:8-28
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:992:8-1004:9
      _28_pptr=_2_xs._alloci32_I((_22_pdim1 + 1)) # bld/herlev/final/default/src/fusion/Parameter.monty:993:14-18
      _29_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:994:14-18
      _30_xi64=(_2_xs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:995:14-18
      fragments._c_closure_350(_22_pdim1,_28_pptr,_29_xi32) # bld/herlev/final/default/src/fusion/Parameter.monty:997:10-52
      fragments._c_closure_351(_22_pdim1,_23_pnnz,_28_pptr,_27_psp,_29_xi32,_30_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:998:10-69
      fragments._c_closure_352(_22_pdim1,_28_pptr,_29_xi32) # bld/herlev/final/default/src/fusion/Parameter.monty:999:10-64
      fragments._c_closure_353(_22_pdim1,_23_pnnz,_26_pperm,_28_pptr,_27_psp,_29_xi32,_30_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:1000:10-1003:11
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:992:8-1004:9
      _31_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:1005:12-16
      _32_xi64=(_2_xs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:1006:12-16
      _33_rncodeatom=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1009:34-44
      _34_rnelem=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1009:22-28
      _35_rnnz=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1009:12-16
      if ((not self.__p._isSparse_()) and (not _9_hassp)): # bld/herlev/final/default/src/fusion/Parameter.monty:1011:12-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1011:44-1015:9
        _35_rnnz = (_8_nnz * _22_pdim1) # bld/herlev/final/default/src/fusion/Parameter.monty:1012:10-37
        _34_rnelem = (_19_edim0 * _22_pdim1) # bld/herlev/final/default/src/fusion/Parameter.monty:1013:10-37
        _33_rncodeatom = (((_11_ncodeatom + (_8_nnz * 4)) * _22_pdim1) if ((_11_ncodeatom > 0) ) else ((_8_nnz * _22_pdim1) * 3)) # bld/herlev/final/default/src/fusion/Parameter.monty:1014:10-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1011:44-1015:9
      elif (not _9_hassp): # bld/herlev/final/default/src/fusion/Parameter.monty:1017:16-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1017:27-1040:9
        _33_rncodeatom,_34_rnelem,_35_rnnz = fragments._c_closure_354(_17_codeptr,_19_edim0,_20_edim1,_11_ncodeatom,_22_pdim1,_23_pnnz,_26_pperm,_27_psp,_10_ptr,_33_rncodeatom,_34_rnelem,_35_rnnz,_3_wi32,_31_xi32,_32_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:1017:27-1040:9
        _33_rncodeatom = numpy.int32(_33_rncodeatom) # postprocess
        _34_rnelem = numpy.int32(_34_rnelem) # postprocess
        _35_rnnz = numpy.int32(_35_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1017:27-1040:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1042:13-1122:9
        _33_rncodeatom,_34_rnelem,_35_rnnz = fragments._c_closure_355(_17_codeptr,_20_edim1,_11_ncodeatom,_7_nelem,_22_pdim1,_23_pnnz,_26_pperm,_27_psp,_10_ptr,_33_rncodeatom,_34_rnelem,_35_rnnz,_13_sp,_3_wi32,_4_wi64,_31_xi32,_32_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:1042:13-1122:9
        _33_rncodeatom = numpy.int32(_33_rncodeatom) # postprocess
        _34_rnelem = numpy.int32(_34_rnelem) # postprocess
        _35_rnnz = numpy.int32(_35_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1042:13-1122:9
      _36_rnd=2 # bld/herlev/final/default/src/fusion/Parameter.monty:1125:12-15
      _37_rhassp=(_34_rnelem < (_22_pdim1 * _19_edim0)) # bld/herlev/final/default/src/fusion/Parameter.monty:1126:12-18
      _0_rs._alloc_1expr_IIIZI(_36_rnd,_34_rnelem,_35_rnnz,_37_rhassp,_33_rncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:1127:8-61
      _38_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1135:12-16
      _39_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1136:12-18
      _40_rsp=((_0_rs.sp_base) if (_37_rhassp ) else _0_rs._alloci64_I(_34_rnelem)) # bld/herlev/final/default/src/fusion/Parameter.monty:1137:12-15
      _41_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1138:12-16
      _42_rhassp=(_0_rs.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:1139:12-18
      _43_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1140:12-18
      _44_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1142:12-20
      _45_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1143:12-17
      _46_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:1144:12-19
      _47_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:1146:12-16
      _48_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:1147:12-16
      _49_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:1148:12-16
      _49_ri32[_38_rptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:1150:8-23
      if (_33_rncodeatom > 0): # bld/herlev/final/default/src/fusion/Parameter.monty:1151:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1151:28-47
        _49_ri32[_44_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:1151:28-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1151:28-47
      _49_ri32[_43_rshape] = _19_edim0 # bld/herlev/final/default/src/fusion/Parameter.monty:1153:8-31
      _49_ri32[(_43_rshape + 1)] = _22_pdim1 # bld/herlev/final/default/src/fusion/Parameter.monty:1154:8-31
      _50_codei=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1162:31-36
      _51_elmi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1162:21-25
      _52_nzi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:1162:12-15
      _50_codei,_51_elmi,_52_nzi = fragments._c_closure_356(_16_cconst,_18_code,_50_codei,_17_codeptr,_15_cof,_19_edim0,_20_edim1,_51_elmi,_9_hassp,_11_ncodeatom,_7_nelem,_14_nidxs,_52_nzi,_22_pdim1,_24_pidxs,_23_pnnz,_26_pperm,_27_psp,_10_ptr,_46_rcconst,_45_rcode,_44_rcodeptr,_41_rcof,_48_rf64,_49_ri32,_47_ri64,_39_rnidxs,_38_rptr,_40_rsp,_13_sp,_5_wf64,_3_wi32,_4_wi64,_31_xi32,_32_xi64) # bld/herlev/final/default/src/fusion/Parameter.monty:1164:8-1292:9
      _50_codei = numpy.int32(_50_codei) # postprocess
      _51_elmi = numpy.int32(_51_elmi) # postprocess
      _52_nzi = numpy.int32(_52_nzi) # postprocess
      if (not _42_rhassp): # bld/herlev/final/default/src/fusion/Parameter.monty:1300:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1301:10-28
        _0_rs._popi64_I(_34_rnelem) # bld/herlev/final/default/src/fusion/Parameter.monty:1301:10-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1301:10-28
      if (_51_elmi!=_34_rnelem): # bld/herlev/final/default/src/fusion/Parameter.monty:1304:12-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1304:37-78
        raise mosek_fusion_UnexpectedError._ctor_S("broken elmi") # bld/herlev/final/default/src/fusion/Parameter.monty:1304:37-78
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1304:37-78
      if (_52_nzi!=_35_rnnz): # bld/herlev/final/default/src/fusion/Parameter.monty:1305:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1305:37-77
        raise mosek_fusion_UnexpectedError._ctor_S("broken nzi") # bld/herlev/final/default/src/fusion/Parameter.monty:1305:37-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1305:37-77
      if (_50_codei!=_33_rncodeatom): # bld/herlev/final/default/src/fusion/Parameter.monty:1306:12-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1306:35-81
        raise mosek_fusion_UnexpectedError._ctor_S("broken codei") # bld/herlev/final/default/src/fusion/Parameter.monty:1306:37-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:1306:35-81
      _2_xs._clear_() # bld/herlev/final/default/src/fusion/Parameter.monty:1308:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:949:67-1309:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:947:38-155
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprMulParamRight(")._a_S(self.__e._toString_())._a_S(",")._a_S(self.__p._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/Parameter.monty:947:40-153
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:947:38-155
  return ExprMulParamRight
mosek_fusion_ExprMulParamRight=__mk_mosek_fusion_ExprMulParamRight()
del __mk_mosek_fusion_ExprMulParamRight

# origin: bld/herlev/final/default/src/fusion/Parameter.monty:437:4-927:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulParamLeft():
  class ExprMulParamLeft(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulParamLeft__e','_ExprMulParamLeft__p']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        self._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):# mosek.fusion.Parameter,mosek.fusion.Expression
        self._ctor_alt_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulParamLeft.ctor(mosek.fusion.Parameter,mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulParamLeft._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulParamLeft._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulParamLeft.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulParamLeft._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulParamLeft._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulParamLeft.toString()')

    def __repr__(self): return 'mosek.fusion.ExprMulParamLeft'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e):
      o = ExprMulParamLeft.__new__(ExprMulParamLeft)
      o._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      p,e, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(p)
              and __arg_match_Lmosek_4fusion_4Expression_2__(e))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      p,e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(p)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(e))
    # Origin: bld/herlev/final/default/src/fusion/Parameter.monty:441:6-450:7
    def _ctor_alt_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(self,p,e):
      self._ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(p,e)
    def _ctor_init_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(self,p,e):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:441:45-450:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,numpy.array([p._getDim_I(0),e._getDim_I(1)], dtype=numpy.dtype(numpy.int32)))# ctor @ bld/herlev/final/default/src/fusion/Parameter.monty:442:8-52
      (self.__p) = p # bld/herlev/final/default/src/fusion/Parameter.monty:443:8-19
      (self.__e) = e # bld/herlev/final/default/src/fusion/Parameter.monty:444:8-19
      if ((p._getND_()!=2) or (e._getND_()!=2)): # bld/herlev/final/default/src/fusion/Parameter.monty:446:12-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:447:10-84
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions for multiplication") # bld/herlev/final/default/src/fusion/Parameter.monty:447:10-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:447:10-84
      if (p._getDim_I(1)!=e._getDim_I(0)): # bld/herlev/final/default/src/fusion/Parameter.monty:448:12-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:449:10-69
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/Parameter.monty:449:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:449:10-69
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:441:45-450:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:454:67-926:7
      self.__e._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/Parameter.monty:455:8-25
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/Parameter.monty:457:8-22
      _3_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:458:12-16
      _4_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:459:12-16
      _5_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:460:12-16
      _6_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/Parameter.monty:462:12-14
      _7_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/Parameter.monty:463:12-17
      _8_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/Parameter.monty:464:12-15
      _9_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:465:12-17
      _10_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:466:12-21
      _11_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:467:12-15
      _12_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:469:12-16
      _13_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:470:12-18
      _14_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:471:12-19
      _15_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:473:12-17
      _16_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/Parameter.monty:474:12-14
      _17_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:475:12-17
      _18_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:476:12-15
      _19_consts=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:477:12-18
      if ((_6_nd!=2) or (_3_wi32[_15_shape]!=self.__p._getDim_I(1))): # bld/herlev/final/default/src/fusion/Parameter.monty:479:12-49
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:480:10-69
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/Parameter.monty:480:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:480:10-69
      _20_pdim0=self.__p._getDim_I(0) # bld/herlev/final/default/src/fusion/Parameter.monty:482:12-17
      _21_pdim1=self.__p._getDim_I(1) # bld/herlev/final/default/src/fusion/Parameter.monty:483:12-17
      _22_edim0=_3_wi32[_15_shape] # bld/herlev/final/default/src/fusion/Parameter.monty:484:12-17
      _23_edim1=_3_wi32[(_15_shape + 1)] # bld/herlev/final/default/src/fusion/Parameter.monty:485:12-17
      _24_pnnz=self.__p._getNumNonzero_() # bld/herlev/final/default/src/fusion/Parameter.monty:486:12-16
      _25_pidxs=_2_xs._alloci32_I(self.__p._getNumNonzero_()) # bld/herlev/final/default/src/fusion/Parameter.monty:487:12-17
      _26_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:488:12-16
      self.__p._getAllIndexes__3II(_26_xi32,_25_pidxs) # bld/herlev/final/default/src/fusion/Parameter.monty:489:8-36
      if ((not _9_hassp) and (not self.__p._isSparse_())): # bld/herlev/final/default/src/fusion/Parameter.monty:494:12-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:494:44-574:9
        _27_rnd=2 # bld/herlev/final/default/src/fusion/Parameter.monty:496:14-17
        _28_rnelem=(_23_edim1 * self.__p._getDim_I(0)) # bld/herlev/final/default/src/fusion/Parameter.monty:497:14-20
        _29_rnnz=(_8_nnz * self.__p._getDim_I(0)) # bld/herlev/final/default/src/fusion/Parameter.monty:498:14-18
        _30_rncodeatom=(((self.__p._getDim_I(0) * _10_ncodeatom) + (4 * _29_rnnz)) if ((_10_ncodeatom > 0) ) else (3 * _29_rnnz)) # bld/herlev/final/default/src/fusion/Parameter.monty:499:14-24
        _31_rhassp=False # bld/herlev/final/default/src/fusion/Parameter.monty:500:14-20
        _0_rs._alloc_1expr_IIIZI(_27_rnd,_28_rnelem,_29_rnnz,_31_rhassp,_30_rncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:502:10-63
        _32_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:503:14-18
        _33_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:504:14-18
        _34_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:505:14-18
        _35_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:507:14-18
        _36_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:508:14-20
        _37_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:509:14-18
        _38_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:510:14-19
        _39_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:511:14-22
        _40_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:512:14-21
        _41_rhassp=(_0_rs.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:513:14-20
        _42_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:514:14-20
        _34_ri32[_42_rshape] = _20_pdim0 # bld/herlev/final/default/src/fusion/Parameter.monty:516:10-31
        _34_ri32[(_42_rshape + 1)] = _23_edim1 # bld/herlev/final/default/src/fusion/Parameter.monty:517:10-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:518:10-573:11
        _34_ri32[_35_rptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:519:12-27
        _34_ri32[_39_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:520:12-31
        _43_nzi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:522:16-19
        _44_elmi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:523:16-20
        _45_codei=0 # bld/herlev/final/default/src/fusion/Parameter.monty:524:16-21
        for _46_i in range(0,self.__p._getDim_I(0)): # bld/herlev/final/default/src/fusion/Parameter.monty:528:12-562:15
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:529:14-562:15
          for _47_j in range(0,self.__e._getDim_I(1)): # bld/herlev/final/default/src/fusion/Parameter.monty:529:14-562:15
            # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:529:43-562:15
            for _48_k in range(0,self.__p._getDim_I(1)): # bld/herlev/final/default/src/fusion/Parameter.monty:530:16-559:17
              # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:530:45-559:17
              _45_codei,_43_nzi = fragments._c_closure_357(_13_cconst,_12_code,_45_codei,_14_codeptr,_18_cof,_23_edim1,_46_i,_47_j,_48_k,_10_ncodeatom,_17_nidxs,_43_nzi,_21_pdim1,_25_pidxs,_11_ptr,_40_rcconst,_38_rcode,_39_rcodeptr,_37_rcof,_33_rf64,_34_ri32,_32_ri64,_36_rnidxs,_5_wf64,_3_wi32,_4_wi64,_26_xi32) # bld/herlev/final/default/src/fusion/Parameter.monty:530:45-559:17
              _45_codei = numpy.int32(_45_codei) # postprocess
              _43_nzi = numpy.int32(_43_nzi) # postprocess
              # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:530:45-559:17
            _34_ri32[((_35_rptr + _44_elmi) + 1)] = _43_nzi # bld/herlev/final/default/src/fusion/Parameter.monty:560:16-40
            _44_elmi += 1 # bld/herlev/final/default/src/fusion/Parameter.monty:561:16-23
            # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:529:43-562:15
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:529:14-562:15
        if (_45_codei!=_30_rncodeatom): # bld/herlev/final/default/src/fusion/Parameter.monty:569:16-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:569:37-100
          raise mosek_fusion_UnexpectedError._ctor_S("Internal! Incorrect a-code length") # bld/herlev/final/default/src/fusion/Parameter.monty:569:37-100
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:569:37-100
        if (_43_nzi!=_29_rnnz): # bld/herlev/final/default/src/fusion/Parameter.monty:570:16-29
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:570:37-97
          raise mosek_fusion_UnexpectedError._ctor_S("Internal! Incorrect nnz length") # bld/herlev/final/default/src/fusion/Parameter.monty:570:37-97
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:570:37-97
        if (_44_elmi!=_28_rnelem): # bld/herlev/final/default/src/fusion/Parameter.monty:571:16-31
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:571:37-99
          raise mosek_fusion_UnexpectedError._ctor_S("Internal! Incorrect nelem length") # bld/herlev/final/default/src/fusion/Parameter.monty:571:37-99
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:571:37-99
        for _49_i in range(0,_28_rnelem): # bld/herlev/final/default/src/fusion/Parameter.monty:572:12-132
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:572:36-132
          if (_34_ri32[(_35_rptr + _49_i)] > _34_ri32[((_35_rptr + _49_i) + 1)]): # bld/herlev/final/default/src/fusion/Parameter.monty:572:40-69
            # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:572:71-132
            raise mosek_fusion_UnexpectedError._ctor_S("Internal! Incorrect ptr indexes") # bld/herlev/final/default/src/fusion/Parameter.monty:572:71-132
            # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:572:71-132
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:572:36-132
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:518:10-573:11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:494:44-574:9
      elif (not _9_hassp): # bld/herlev/final/default/src/fusion/Parameter.monty:577:16-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:577:27-711:9
        _50_numpnz=_7_nelem # bld/herlev/final/default/src/fusion/Parameter.monty:579:14-20
        _51_pnelem=_24_pnnz # bld/herlev/final/default/src/fusion/Parameter.monty:580:14-20
        _52_xpsp=_2_xs._alloci64_I(_51_pnelem) # bld/herlev/final/default/src/fusion/Parameter.monty:581:14-18
        _53_xi64=(_2_xs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:582:14-18
        self.__p._getSp__3JI(_53_xi64,_52_xpsp) # bld/herlev/final/default/src/fusion/Parameter.monty:584:10-29
        _54_rnelem=0 # bld/herlev/final/default/src/fusion/Parameter.monty:587:14-20
        _55_rnnz=0 # bld/herlev/final/default/src/fusion/Parameter.monty:588:14-18
        _56_rncodeatom=0 # bld/herlev/final/default/src/fusion/Parameter.monty:589:14-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:590:10-614:11
        _56_rncodeatom,_54_rnelem,_55_rnnz = fragments._c_closure_358(_14_codeptr,_23_edim1,_10_ncodeatom,_21_pdim1,_24_pnnz,_11_ptr,_56_rncodeatom,_54_rnelem,_55_rnnz,_3_wi32,_53_xi64,_52_xpsp) # bld/herlev/final/default/src/fusion/Parameter.monty:590:10-614:11
        _56_rncodeatom = numpy.int32(_56_rncodeatom) # postprocess
        _54_rnelem = numpy.int32(_54_rnelem) # postprocess
        _55_rnnz = numpy.int32(_55_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:590:10-614:11
        _57_rhassp=(_54_rnelem < (_20_pdim0 * _23_edim1)) # bld/herlev/final/default/src/fusion/Parameter.monty:615:14-20
        _58_rnd=2 # bld/herlev/final/default/src/fusion/Parameter.monty:618:14-17
        _0_rs._alloc_1expr_IIIZI(_58_rnd,_54_rnelem,_55_rnnz,_57_rhassp,_56_rncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:619:10-63
        _59_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:621:14-18
        _60_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:622:14-20
        _61_rsp=((_0_rs.sp_base) if (_57_rhassp ) else _0_rs._alloci64_I(_54_rnelem)) # bld/herlev/final/default/src/fusion/Parameter.monty:623:14-17
        _62_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:624:14-18
        _63_rhassp=(_0_rs.hassp) # bld/herlev/final/default/src/fusion/Parameter.monty:625:14-20
        _64_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:626:14-20
        _65_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:628:14-22
        _66_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:629:14-19
        _67_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:630:14-21
        _68_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:632:14-18
        _69_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:633:14-18
        _70_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:634:14-18
        _70_ri32[_64_rshape] = _20_pdim0 # bld/herlev/final/default/src/fusion/Parameter.monty:637:10-31
        _70_ri32[(_64_rshape + 1)] = _23_edim1 # bld/herlev/final/default/src/fusion/Parameter.monty:638:10-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:639:10-706:11
        _71_nzi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:640:16-19
        _72_elmi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:641:16-20
        _73_codei=0 # bld/herlev/final/default/src/fusion/Parameter.monty:642:16-21
        if (_56_rncodeatom > 0): # bld/herlev/final/default/src/fusion/Parameter.monty:644:16-30
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:644:32-51
          _70_ri32[_65_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:644:32-51
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:644:32-51
        _70_ri32[_59_rptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:645:12-27
        fragments._c_closure_359(_62_rcof,_69_rf64,_55_rnnz) # bld/herlev/final/default/src/fusion/Parameter.monty:647:12-53
        _74_i0=0 # bld/herlev/final/default/src/fusion/Parameter.monty:649:16-18
        _73_codei,_72_elmi,_74_i0,_71_nzi = fragments._c_closure_360(_13_cconst,_12_code,_73_codei,_14_codeptr,_18_cof,_23_edim1,_72_elmi,_74_i0,_10_ncodeatom,_17_nidxs,_71_nzi,_21_pdim1,_25_pidxs,_24_pnnz,_11_ptr,_67_rcconst,_66_rcode,_65_rcodeptr,_69_rf64,_70_ri32,_68_ri64,_60_rnidxs,_59_rptr,_61_rsp,_5_wf64,_3_wi32,_4_wi64,_26_xi32,_53_xi64,_52_xpsp) # bld/herlev/final/default/src/fusion/Parameter.monty:650:12-691:13
        _73_codei = numpy.int32(_73_codei) # postprocess
        _72_elmi = numpy.int32(_72_elmi) # postprocess
        _74_i0 = numpy.int32(_74_i0) # postprocess
        _71_nzi = numpy.int32(_71_nzi) # postprocess
        if (_73_codei!=_56_rncodeatom): # bld/herlev/final/default/src/fusion/Parameter.monty:702:16-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:702:37-96
          raise mosek_fusion_UnexpectedError._ctor_S("Internal! Incorrect code list") # bld/herlev/final/default/src/fusion/Parameter.monty:702:37-96
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:702:37-96
        if (_71_nzi!=_55_rnnz): # bld/herlev/final/default/src/fusion/Parameter.monty:703:16-29
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:703:37-97
          raise mosek_fusion_UnexpectedError._ctor_S("Internal! Incorrect nnz length") # bld/herlev/final/default/src/fusion/Parameter.monty:703:37-97
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:703:37-97
        if (_72_elmi!=_54_rnelem): # bld/herlev/final/default/src/fusion/Parameter.monty:704:16-31
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:704:37-99
          raise mosek_fusion_UnexpectedError._ctor_S("Internal! Incorrect nelem length") # bld/herlev/final/default/src/fusion/Parameter.monty:704:37-99
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:704:37-99
        if (_70_ri32[(_59_rptr + _54_rnelem)]!=_55_rnnz): # bld/herlev/final/default/src/fusion/Parameter.monty:705:16-41
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:705:43-100
          raise mosek_fusion_UnexpectedError._ctor_S("Internal! Incorrect ptr") # bld/herlev/final/default/src/fusion/Parameter.monty:705:45-98
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:705:43-100
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:639:10-706:11
        if (not _63_rhassp): # bld/herlev/final/default/src/fusion/Parameter.monty:708:14-24
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:709:12-30
          _0_rs._popi64_I(_54_rnelem) # bld/herlev/final/default/src/fusion/Parameter.monty:709:12-30
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:709:12-30
        _2_xs._clear_() # bld/herlev/final/default/src/fusion/Parameter.monty:710:10-21
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:577:27-711:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:714:13-922:9
        _75_numpnz=_7_nelem # bld/herlev/final/default/src/fusion/Parameter.monty:716:14-20
        _76_xperm=_2_xs._alloci32_I(_75_numpnz) # bld/herlev/final/default/src/fusion/Parameter.monty:717:14-19
        _77_pnelem=self.__p._getNumNonzero_() # bld/herlev/final/default/src/fusion/Parameter.monty:718:14-20
        _78_xpsp=_2_xs._alloci64_I(_77_pnelem) # bld/herlev/final/default/src/fusion/Parameter.monty:719:14-18
        _79_xptr=_2_xs._alloci32_I((_3_wi32[(_15_shape + 1)] + 1)) # bld/herlev/final/default/src/fusion/Parameter.monty:720:14-18
        _80_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:722:14-18
        _81_xi64=(_2_xs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:723:14-18
        self.__p._getSp__3JI(_81_xi64,_78_xpsp) # bld/herlev/final/default/src/fusion/Parameter.monty:725:10-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:728:10-737:11
        fragments._c_closure_361(_7_nelem,_15_shape,_16_sp,_3_wi32,_4_wi64,_80_xi32,_76_xperm,_79_xptr) # bld/herlev/final/default/src/fusion/Parameter.monty:728:10-737:11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:728:10-737:11
        _82_rnelem=0 # bld/herlev/final/default/src/fusion/Parameter.monty:739:14-20
        _83_rnnz=0 # bld/herlev/final/default/src/fusion/Parameter.monty:740:14-18
        _84_rncodeatom=0 # bld/herlev/final/default/src/fusion/Parameter.monty:741:14-24
        _85_edim1=_3_wi32[(_15_shape + 1)] # bld/herlev/final/default/src/fusion/Parameter.monty:748:12-17
        _86_edim0=_3_wi32[_15_shape] # bld/herlev/final/default/src/fusion/Parameter.monty:747:12-17
        _87_pdim1=self.__p._getDim_I(1) # bld/herlev/final/default/src/fusion/Parameter.monty:746:12-17
        _88_pdim0=self.__p._getDim_I(0) # bld/herlev/final/default/src/fusion/Parameter.monty:745:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:749:10-793:11
        _84_rncodeatom,_82_rnelem,_83_rnnz = fragments._c_closure_362(_14_codeptr,_85_edim1,_10_ncodeatom,_7_nelem,_87_pdim1,_77_pnelem,_11_ptr,_84_rncodeatom,_82_rnelem,_83_rnnz,_16_sp,_3_wi32,_4_wi64,_80_xi32,_81_xi64,_76_xperm,_78_xpsp) # bld/herlev/final/default/src/fusion/Parameter.monty:749:10-793:11
        _84_rncodeatom = numpy.int32(_84_rncodeatom) # postprocess
        _82_rnelem = numpy.int32(_82_rnelem) # postprocess
        _83_rnnz = numpy.int32(_83_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:749:10-793:11
        _89_rnd=2 # bld/herlev/final/default/src/fusion/Parameter.monty:796:14-17
        _90_rhassp=(_82_rnelem < (_88_pdim0 * _85_edim1)) # bld/herlev/final/default/src/fusion/Parameter.monty:797:14-20
        _0_rs._alloc_1expr_IIIZI(_89_rnd,_82_rnelem,_83_rnnz,_90_rhassp,_84_rncodeatom) # bld/herlev/final/default/src/fusion/Parameter.monty:804:10-63
        _91_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:806:14-18
        _92_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/Parameter.monty:807:14-20
        _93_rsp=((_0_rs.sp_base) if (_90_rhassp ) else _0_rs._alloci64_I(_82_rnelem)) # bld/herlev/final/default/src/fusion/Parameter.monty:808:14-17
        _94_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/Parameter.monty:809:14-18
        _95_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/Parameter.monty:810:14-20
        _96_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/Parameter.monty:812:14-22
        _97_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/Parameter.monty:813:14-19
        _98_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/Parameter.monty:814:14-21
        _99_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/Parameter.monty:816:14-18
        _100_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/Parameter.monty:817:14-18
        _101_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/Parameter.monty:818:14-18
        fragments._c_closure_363(_101_ri32,_82_rnelem,_91_rptr) # bld/herlev/final/default/src/fusion/Parameter.monty:820:10-57
        # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:822:10-919:11
        _101_ri32[_91_rptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:823:12-31
        if (_84_rncodeatom > 0): # bld/herlev/final/default/src/fusion/Parameter.monty:824:16-30
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:824:32-51
          _101_ri32[_96_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/Parameter.monty:824:32-51
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:824:32-51
        _101_ri32[_95_rshape] = _88_pdim0 # bld/herlev/final/default/src/fusion/Parameter.monty:826:12-35
        _101_ri32[(_95_rshape + 1)] = _85_edim1 # bld/herlev/final/default/src/fusion/Parameter.monty:827:12-35
        _102_nzi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:830:16-19
        _103_elmi=0 # bld/herlev/final/default/src/fusion/Parameter.monty:831:16-20
        _104_codei=0 # bld/herlev/final/default/src/fusion/Parameter.monty:832:16-21
        fragments._c_closure_364(_94_rcof,_100_rf64,_83_rnnz) # bld/herlev/final/default/src/fusion/Parameter.monty:834:12-56
        _105_prowp=0 # bld/herlev/final/default/src/fusion/Parameter.monty:836:16-21
        _104_codei,_103_elmi,_102_nzi,_105_prowp = fragments._c_closure_365(_13_cconst,_12_code,_104_codei,_14_codeptr,_18_cof,_85_edim1,_103_elmi,_10_ncodeatom,_7_nelem,_17_nidxs,_102_nzi,_87_pdim1,_25_pidxs,_77_pnelem,_105_prowp,_11_ptr,_98_rcconst,_97_rcode,_96_rcodeptr,_100_rf64,_101_ri32,_99_ri64,_92_rnidxs,_91_rptr,_93_rsp,_16_sp,_5_wf64,_3_wi32,_4_wi64,_80_xi32,_81_xi64,_76_xperm,_78_xpsp) # bld/herlev/final/default/src/fusion/Parameter.monty:837:12-906:13
        _104_codei = numpy.int32(_104_codei) # postprocess
        _103_elmi = numpy.int32(_103_elmi) # postprocess
        _102_nzi = numpy.int32(_102_nzi) # postprocess
        _105_prowp = numpy.int32(_105_prowp) # postprocess
        if (_104_codei!=_84_rncodeatom): # bld/herlev/final/default/src/fusion/Parameter.monty:914:16-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:914:37-100
          raise mosek_fusion_UnexpectedError._ctor_S("Internal! Incorrect a-code length") # bld/herlev/final/default/src/fusion/Parameter.monty:914:37-100
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:914:37-100
        if (_102_nzi!=_83_rnnz): # bld/herlev/final/default/src/fusion/Parameter.monty:915:16-29
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:915:37-97
          raise mosek_fusion_UnexpectedError._ctor_S("Internal! Incorrect nnz length") # bld/herlev/final/default/src/fusion/Parameter.monty:915:37-97
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:915:37-97
        if (_103_elmi!=_82_rnelem): # bld/herlev/final/default/src/fusion/Parameter.monty:916:16-31
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:916:37-99
          raise mosek_fusion_UnexpectedError._ctor_S("Internal! Incorrect nelem length") # bld/herlev/final/default/src/fusion/Parameter.monty:916:37-99
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:916:37-99
        if (_101_ri32[(_91_rptr + _103_elmi)]!=_83_rnnz): # bld/herlev/final/default/src/fusion/Parameter.monty:918:16-39
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:918:41-94
          raise mosek_fusion_UnexpectedError._ctor_S("Internal! Incorrect ptr") # bld/herlev/final/default/src/fusion/Parameter.monty:918:41-94
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:918:41-94
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:822:10-919:11
        if (not _90_rhassp): # bld/herlev/final/default/src/fusion/Parameter.monty:920:14-24
          # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:921:12-30
          _0_rs._popi64_I(_82_rnelem) # bld/herlev/final/default/src/fusion/Parameter.monty:921:12-30
          # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:921:12-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:714:13-922:9
      _2_xs._clear_() # bld/herlev/final/default/src/fusion/Parameter.monty:923:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:454:67-926:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameter.monty:452:38-154
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprMulParamLeft(")._a_S(self.__p._toString_())._a_S(",")._a_S(self.__e._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/Parameter.monty:452:40-152
      # End   scope @ bld/herlev/final/default/src/fusion/Parameter.monty:452:38-154
  return ExprMulParamLeft
mosek_fusion_ExprMulParamLeft=__mk_mosek_fusion_ExprMulParamLeft()
del __mk_mosek_fusion_ExprMulParamLeft

# origin: bld/herlev/final/default/src/fusion/ExprCompress.monty:515:4-1220:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprOptimizeCode():
  class ExprOptimizeCode(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprOptimizeCode__expr']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        self._ctor_init_Lmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Expression_2(*args):# mosek.fusion.Expression
        self._ctor_alt_init_Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprOptimizeCode.ctor(mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprOptimizeCode._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprOptimizeCode._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprOptimizeCode.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprOptimizeCode._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprOptimizeCode._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprOptimizeCode.toString()')

    def __repr__(self): return 'mosek.fusion.ExprOptimizeCode'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2(expr):
      o = ExprOptimizeCode.__new__(ExprOptimizeCode)
      o._ctor_init_Lmosek_4fusion_4Expression_2(expr)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      expr, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      expr, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprCompress.monty:517:6-520:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2(self,expr):
      self._ctor_init_Lmosek_4fusion_4Expression_2(expr)
    def _ctor_init_Lmosek_4fusion_4Expression_2(self,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:517:35-520:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,expr._getShape_())# ctor @ bld/herlev/final/default/src/fusion/ExprCompress.monty:518:8-31
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprCompress.monty:519:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:517:35-520:7
    @staticmethod
    def __compress_1code_alt_Lmosek_4fusion_4WorkStack_2I_3II_3II_3DI_3DIIII(_t__0_xs,_t__1_n,_t__2_code,_t__3_code_base,_t__4_ptr,_t__5_ptr_base,_t__6_fixterm,_t__7_fixterm_base,_t__8_code_consts,_t__9_code_consts_base,_t__10_target_code_base,_t__11_target_const_base,_t__12_target_ptr_base):
      _0_xs=_t__0_xs
      _1_n=numpy.int32(_t__1_n)
      _2_code=numpy.array(_t__2_code,dtype=numpy.dtype(numpy.int32))
      _3_code_base=numpy.int32(_t__3_code_base)
      _4_ptr=numpy.array(_t__4_ptr,dtype=numpy.dtype(numpy.int32))
      _5_ptr_base=numpy.int32(_t__5_ptr_base)
      _6_fixterm=numpy.array(_t__6_fixterm,dtype=numpy.dtype(numpy.float64))
      _7_fixterm_base=numpy.int32(_t__7_fixterm_base)
      _8_code_consts=numpy.array(_t__8_code_consts,dtype=numpy.dtype(numpy.float64))
      _9_code_consts_base=numpy.int32(_t__9_code_consts_base)
      _10_target_code_base=numpy.int32(_t__10_target_code_base)
      _11_target_const_base=numpy.int32(_t__11_target_const_base)
      _12_target_ptr_base=numpy.int32(_t__12_target_ptr_base)
      _1 = mosek_fusion_ExprOptimizeCode.__compress_1code_Lmosek_4fusion_4WorkStack_2I_3II_3II_3DI_3DIIII(_0_xs,_1_n,_2_code,_3_code_base,_4_ptr,_5_ptr_base,_6_fixterm,_7_fixterm_base,_8_code_consts,_9_code_consts_base,_10_target_code_base,_11_target_const_base,_12_target_ptr_base)
      try:
        _t__2_code[:] = _2_code
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_ptr[:] = _4_ptr
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__6_fixterm[:] = _6_fixterm
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__8_code_consts[:] = _8_code_consts
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __compress_1code_Lmosek_4fusion_4WorkStack_2I_3II_3II_3DI_3DIIII(_0_xs,_1_n,_2_code,_3_code_base,_4_ptr,_5_ptr_base,_6_fixterm,_7_fixterm_base,_8_code_consts,_9_code_consts_base,_10_target_code_base,_11_target_const_base,_12_target_ptr_base):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:790:67-1219:7
      _13_ncodeatoms=_4_ptr[(_5_ptr_base + _1_n)] # bld/herlev/final/default/src/fusion/ExprCompress.monty:791:12-22
      _14_stack=_0_xs._alloci32_I((_13_ncodeatoms + 2)) # bld/herlev/final/default/src/fusion/ExprCompress.monty:792:12-17
      _15_stackp=0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:793:12-18
      _16_chld=_0_xs._alloci32_I((_13_ncodeatoms + 2)) # bld/herlev/final/default/src/fusion/ExprCompress.monty:794:12-16
      _17_chld_ptr=_0_xs._alloci32_I((_13_ncodeatoms + 3)) # bld/herlev/final/default/src/fusion/ExprCompress.monty:795:12-20
      _18_tcconst=_0_xs._allocf64_I((_13_ncodeatoms + 2)) # bld/herlev/final/default/src/fusion/ExprCompress.monty:797:12-19
      _19_tcode=_0_xs._alloci32_I((_13_ncodeatoms + 2)) # bld/herlev/final/default/src/fusion/ExprCompress.monty:798:12-17
      _20_tcodep=0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:799:12-18
      _21_error_at=(- 1) # bld/herlev/final/default/src/fusion/ExprCompress.monty:801:12-20
      _22_xi32=(_0_xs.i32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:802:12-16
      _23_xf64=(_0_xs.f64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:803:12-16
      _24_target_code=_22_xi32 # bld/herlev/final/default/src/fusion/ExprCompress.monty:805:12-23
      _25_target_const=_23_xf64 # bld/herlev/final/default/src/fusion/ExprCompress.monty:806:12-24
      _26_target_ptr=_22_xi32 # bld/herlev/final/default/src/fusion/ExprCompress.monty:807:12-22
      _27_xpi32=(_0_xs.pi32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:809:12-17
      _28_xpi64=(_0_xs.pi64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:810:12-17
      _29_xpf64=(_0_xs.pf64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:811:12-17
      _26_target_ptr[_12_target_ptr_base] = 0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:813:8-40
      _30_codei=0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:825:12-17
      _30_codei,_21_error_at,_15_stackp,_20_tcodep = fragments._c_closure_366(_16_chld,_17_chld_ptr,_2_code,_3_code_base,_8_code_consts,_9_code_consts_base,_30_codei,_21_error_at,_6_fixterm,_7_fixterm_base,_1_n,_4_ptr,_5_ptr_base,_14_stack,_15_stackp,_24_target_code,_10_target_code_base,_25_target_const,_11_target_const_base,_26_target_ptr,_12_target_ptr_base,_18_tcconst,_19_tcode,_20_tcodep,_23_xf64,_22_xi32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:826:8-1209:9
      _30_codei = numpy.int32(_30_codei) # postprocess
      _21_error_at = numpy.int32(_21_error_at) # postprocess
      _15_stackp = numpy.int32(_15_stackp) # postprocess
      _20_tcodep = numpy.int32(_20_tcodep) # postprocess
      (_0_xs.pi32) = _27_xpi32 # bld/herlev/final/default/src/fusion/ExprCompress.monty:1213:8-24
      (_0_xs.pi64) = _28_xpi64 # bld/herlev/final/default/src/fusion/ExprCompress.monty:1214:8-24
      (_0_xs.pf64) = _29_xpf64 # bld/herlev/final/default/src/fusion/ExprCompress.monty:1215:8-24
      if (_21_error_at >= 0): # bld/herlev/final/default/src/fusion/ExprCompress.monty:1216:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:1216:27-1218:9
        raise mosek_fusion_UnexpectedError._ctor_S("Internal error: Invalid parameterization code list") # bld/herlev/final/default/src/fusion/ExprCompress.monty:1217:10-90
        # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:1216:27-1218:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:790:67-1219:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:526:67-760:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprCompress.monty:527:8-28
      _1_ws._peek_1expr_() # bld/herlev/final/default/src/fusion/ExprCompress.monty:528:8-23
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprCompress.monty:532:8-22
      _3_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprCompress.monty:534:12-14
      _4_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:535:12-17
      _5_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprCompress.monty:536:12-17
      _6_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprCompress.monty:537:12-15
      _7_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprCompress.monty:538:12-17
      _8_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprCompress.monty:539:12-21
      _9_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:540:12-15
      _10_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:541:12-14
      _11_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:542:12-17
      _12_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:543:12-15
      _13_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:545:12-16
      _14_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:546:12-19
      _15_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:547:12-18
      _16_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:549:12-16
      _17_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:550:12-16
      _18_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:551:12-16
      if (_8_ncodeatom==0): # bld/herlev/final/default/src/fusion/ExprCompress.monty:553:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:553:28-572:9
        _0_rs._alloc_1expr_IIIZI(_3_nd,_5_nelem,_6_nnz,_7_hassp,0) # bld/herlev/final/default/src/fusion/ExprCompress.monty:554:10-46
        _19_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:555:14-18
        _20_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:556:14-17
        _21_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:557:14-20
        _22_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:558:14-18
        _23_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:559:14-20
        _24_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:561:14-18
        _25_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:562:14-18
        _26_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:563:14-18
        fragments._c_closure_367(_5_nelem,_9_ptr,_24_ri32,_19_rptr,_16_wi32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:565:10-64
        fragments._c_closure_368(_3_nd,_24_ri32,_23_rshape,_4_shape,_16_wi32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:566:10-66
        fragments._c_closure_369(_11_nidxs,_6_nnz,_25_ri64,_21_rnidxs,_17_wi64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:567:10-66
        fragments._c_closure_370(_12_cof,_6_nnz,_22_rcof,_26_rf64,_18_wf64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:568:10-64
        fragments._c_closure_371(_7_hassp,_5_nelem,_25_ri64,_20_rsp,_10_sp,_17_wi64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:569:10-570:63
        # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:553:28-572:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:573:13-755:9
        _27_xcode=_2_xs._alloci32_I((_8_ncodeatom + (_6_nnz * 2))) # bld/herlev/final/default/src/fusion/ExprCompress.monty:574:14-19
        _28_xcodeptr=_2_xs._alloci32_I((_6_nnz + 1)) # bld/herlev/final/default/src/fusion/ExprCompress.monty:575:14-22
        _29_xcconst=_2_xs._allocf64_I((_8_ncodeatom + (_6_nnz * 2))) # bld/herlev/final/default/src/fusion/ExprCompress.monty:576:14-21
        mosek.fusion.ExprOptimizeCode.__compress_1code_Lmosek_4fusion_4WorkStack_2I_3II_3II_3DI_3DIIII(_2_xs,_6_nnz,_16_wi32,_13_code,_16_wi32,_14_codeptr,_18_wf64,_12_cof,_18_wf64,_15_cconst,_27_xcode,_29_xcconst,_28_xcodeptr) # bld/herlev/final/default/src/fusion/ExprCompress.monty:578:10-587:34
        _30_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:589:14-18
        _31_xf64=(_2_xs.f64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:590:14-18
        _32_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:605:36-46
        _33_rnnz=0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:605:26-30
        _34_rnelem=0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:605:14-20
        _32_rncodeatom,_34_rnelem,_33_rnnz = fragments._c_closure_372(_12_cof,_5_nelem,_9_ptr,_32_rncodeatom,_34_rnelem,_33_rnnz,_18_wf64,_16_wi32,_27_xcode,_28_xcodeptr,_30_xi32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:606:10-627:11
        _32_rncodeatom = numpy.int32(_32_rncodeatom) # postprocess
        _34_rnelem = numpy.int32(_34_rnelem) # postprocess
        _33_rnnz = numpy.int32(_33_rnnz) # postprocess
        _35_rhassp=False # bld/herlev/final/default/src/fusion/ExprCompress.monty:630:14-20
        # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:631:10-636:11
        _35_rhassp = fragments._c_closure_373(_3_nd,_35_rhassp,_34_rnelem,_4_shape,_16_wi32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:631:10-636:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:631:10-636:11
        _0_rs._alloc_1expr_IIIZI(_3_nd,_34_rnelem,_33_rnnz,_35_rhassp,_32_rncodeatom) # bld/herlev/final/default/src/fusion/ExprCompress.monty:638:10-58
        _36_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:640:14-18
        _37_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:641:14-17
        _38_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:642:14-20
        _39_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:643:14-20
        _40_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:644:14-18
        _41_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:645:14-19
        _42_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:646:14-22
        _43_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:647:14-21
        _44_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:649:14-18
        _45_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:650:14-18
        _46_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:651:14-18
        fragments._c_closure_374(_3_nd,_44_ri32,_38_rshape,_4_shape,_16_wi32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:653:10-61
        if (_8_ncodeatom==0): # bld/herlev/final/default/src/fusion/ExprCompress.monty:655:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:655:30-661:11
          fragments._c_closure_375(_12_cof,_7_hassp,_5_nelem,_11_nidxs,_6_nnz,_9_ptr,_40_rcof,_46_rf64,_44_ri32,_45_ri64,_39_rnidxs,_36_rptr,_37_rsp,_10_sp,_18_wf64,_17_wi64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:655:30-661:11
          # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:655:30-661:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:662:15-754:11
          _47_codei=0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:663:35-40
          _48_elmi=0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:663:25-29
          _49_nzi=0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:663:16-19
          _44_ri32[_36_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:665:12-27
          if (_32_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprCompress.monty:666:16-30
            # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:667:14-33
            _44_ri32[_42_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:667:14-33
            # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:667:14-33
          _47_codei,_48_elmi,_49_nzi = fragments._c_closure_376(_47_codei,_12_cof,_48_elmi,_7_hassp,_5_nelem,_11_nidxs,_49_nzi,_9_ptr,_43_rcconst,_41_rcode,_42_rcodeptr,_40_rcof,_46_rf64,_35_rhassp,_44_ri32,_45_ri64,_39_rnidxs,_36_rptr,_37_rsp,_10_sp,_18_wf64,_16_wi32,_17_wi64,_29_xcconst,_27_xcode,_28_xcodeptr,_31_xf64,_30_xi32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:670:12-740:13
          _47_codei = numpy.int32(_47_codei) # postprocess
          _48_elmi = numpy.int32(_48_elmi) # postprocess
          _49_nzi = numpy.int32(_49_nzi) # postprocess
          if (_48_elmi!=_34_rnelem): # bld/herlev/final/default/src/fusion/ExprCompress.monty:746:16-31
            # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:746:37-99
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: Incorrect result nelem") # bld/herlev/final/default/src/fusion/ExprCompress.monty:746:37-99
            # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:746:37-99
          if (_49_nzi!=_33_rnnz): # bld/herlev/final/default/src/fusion/ExprCompress.monty:747:16-29
            # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:747:37-97
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: Incorrect result nnz") # bld/herlev/final/default/src/fusion/ExprCompress.monty:747:37-97
            # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:747:37-97
          if (_47_codei!=_32_rncodeatom): # bld/herlev/final/default/src/fusion/ExprCompress.monty:748:16-35
            # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:748:37-108
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: Incorrect result num code atoms") # bld/herlev/final/default/src/fusion/ExprCompress.monty:748:37-108
            # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:748:37-108
          if (_32_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprCompress.monty:749:16-30
            # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:749:32-753:13
            if (_44_ri32[(_42_rcodeptr + _33_rnnz)]!=_32_rncodeatom): # bld/herlev/final/default/src/fusion/ExprCompress.monty:750:18-51
              # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:750:53-110
              raise mosek_fusion_UnexpectedError._ctor_S("Internal: Incorrect codeptr") # bld/herlev/final/default/src/fusion/ExprCompress.monty:750:53-110
              # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:750:53-110
            # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:749:32-753:13
          # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:662:15-754:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:573:13-755:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:526:67-760:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:522:38-524:7
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprOptimizeCode(")._a_S(self.__expr._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprCompress.monty:523:8-100
      # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:522:38-524:7
  return ExprOptimizeCode
mosek_fusion_ExprOptimizeCode=__mk_mosek_fusion_ExprOptimizeCode()
del __mk_mosek_fusion_ExprOptimizeCode

# origin: bld/herlev/final/default/src/fusion/ExprCompress.monty:11:4-504:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprCompress():
  class ExprCompress(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprCompress__expr']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        self._ctor_init_Lmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Expression_2(*args):# mosek.fusion.Expression
        self._ctor_alt_init_Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprCompress.ctor(mosek.fusion.Expression)')

    @staticmethod
    def arg_sort(*args):
      if False: pass
      elif mosek_fusion_ExprCompress._match_arg_1sort_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2IIIII(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,int32,int32,int32,int32,int32
        return mosek_fusion_ExprCompress._arg_1sort_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2IIIII(*args)
      elif mosek_fusion_ExprCompress._match_alt_arg_1sort_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2IIIII(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,int32,int32,int32,int32,int32
        return mosek_fusion_ExprCompress._arg_1sort_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2IIIII(*args)
      else:
        raise ValueError('Invalid argument list arg_sort('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCompress.arg_sort(mosek.fusion.WorkStack,mosek.fusion.WorkStack,int32,int32,int32,int32,int32)')

    @staticmethod
    def merge_sort(*args):
      if False: pass
      elif mosek_fusion_ExprCompress._match_merge_1sort_IIIIII_3I_3J(*args): # int32,int32,int32,int32,int32,int32,[]int32,[]int64
        return mosek_fusion_ExprCompress._merge_1sort_IIIIII_3I_3J(*args)
      elif mosek_fusion_ExprCompress._match_alt_merge_1sort_IIIIII_3I_3J(*args): # int32,int32,int32,int32,int32,int32,[]int32,[]int64
        return mosek_fusion_ExprCompress._merge_1sort_alt_IIIIII_3I_3J(*args)
      else:
        raise ValueError('Invalid argument list merge_sort('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCompress.merge_sort(int32,int32,int32,int32,int32,int32,array(int32,ndim=1),array(int64,ndim=1))')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprCompress._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprCompress._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCompress.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprCompress._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprCompress._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCompress.toString()')

    def __repr__(self): return 'mosek.fusion.ExprCompress'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2(expr):
      o = ExprCompress.__new__(ExprCompress)
      o._ctor_init_Lmosek_4fusion_4Expression_2(expr)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      expr, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      expr, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprCompress.monty:16:6-19:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2(self,expr):
      self._ctor_init_Lmosek_4fusion_4Expression_2(expr)
    def _ctor_init_Lmosek_4fusion_4Expression_2(self,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:16:35-19:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,expr._getShape_())# ctor @ bld/herlev/final/default/src/fusion/ExprCompress.monty:17:8-31
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprCompress.monty:18:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:16:35-19:7
    @staticmethod
    def _match_arg_1sort_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2IIIII(*args):
      if len(args) != 7: return False
      _0_ws,_1_xs,_2_perm,_3_nelem,_4_nnz,_5_ptr,_6_nidxs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_xs)
              and __arg_match_I__(_2_perm)
              and __arg_match_I__(_3_nelem)
              and __arg_match_I__(_4_nnz)
              and __arg_match_I__(_5_ptr)
              and __arg_match_I__(_6_nidxs))
    @staticmethod
    def _match_alt_arg_1sort_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2IIIII(*args):
      if len(args) != 7: return False
      _0_ws,_1_xs,_2_perm,_3_nelem,_4_nnz,_5_ptr,_6_nidxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_xs)
              and __arg_alt_match_I__(_2_perm)
              and __arg_alt_match_I__(_3_nelem)
              and __arg_alt_match_I__(_4_nnz)
              and __arg_alt_match_I__(_5_ptr)
              and __arg_alt_match_I__(_6_nidxs))
    @staticmethod
    def _arg_1sort_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2IIIII(_t__0_ws,_t__1_xs,_t__2_perm,_t__3_nelem,_t__4_nnz,_t__5_ptr,_t__6_nidxs):
      return mosek_fusion_ExprCompress._arg_1sort_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2IIIII(_0_ws,_1_xs,numpy.int32(__2_perm),numpy.int32(__3_nelem),numpy.int32(__4_nnz),numpy.int32(__5_ptr),numpy.int32(__6_nidxs))
    @staticmethod
    def _arg_1sort_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2IIIII(_0_ws,_1_xs,_2_perm,_3_nelem,_4_nnz,_5_ptr,_6_nidxs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:378:23-503:7
      _7_maxrow=0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:380:12-18
      _8_wi32=(_0_ws.i32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:381:12-16
      _7_maxrow = fragments._c_closure_377(_7_maxrow,_3_nelem,_5_ptr,_8_wi32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:382:8-383:89
      _7_maxrow = numpy.int32(_7_maxrow) # postprocess
      _9_workspace=(_1_xs._alloci32_I((_7_maxrow * 2)) if ((_7_maxrow > 2) ) else 99999) # bld/herlev/final/default/src/fusion/ExprCompress.monty:385:12-21
      _10_xi32=(_1_xs.i32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:386:12-16
      _8_wi32 = (_0_ws.i32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:388:8-22
      _11_wi64=(_0_ws.i64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:389:12-16
      fragments._c_closure_378(_3_nelem,_6_nidxs,_2_perm,_5_ptr,_8_wi32,_11_wi64,_9_workspace,_10_xi32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:390:8-502:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:378:23-503:7
    @staticmethod
    def _match_merge_1sort_IIIIII_3I_3J(*args):
      if len(args) != 8: return False
      _0_origperm1,_1_origperm2,_2_nelem,_3_nnz,_4_ptr_base,_5_nidxs_base,_6_wi32,_7_wi64, = args
      return (    __arg_match_I__(_0_origperm1)
              and __arg_match_I__(_1_origperm2)
              and __arg_match_I__(_2_nelem)
              and __arg_match_I__(_3_nnz)
              and __arg_match_I__(_4_ptr_base)
              and __arg_match_I__(_5_nidxs_base)
              and __arg_match__3I__(_6_wi32)
              and __arg_match__3J__(_7_wi64))
    @staticmethod
    def _match_alt_merge_1sort_IIIIII_3I_3J(*args):
      if len(args) != 8: return False
      _0_origperm1,_1_origperm2,_2_nelem,_3_nnz,_4_ptr_base,_5_nidxs_base,_6_wi32,_7_wi64, = args
      return (    __arg_alt_match_I__(_0_origperm1)
              and __arg_alt_match_I__(_1_origperm2)
              and __arg_alt_match_I__(_2_nelem)
              and __arg_alt_match_I__(_3_nnz)
              and __arg_alt_match_I__(_4_ptr_base)
              and __arg_alt_match_I__(_5_nidxs_base)
              and __arg_alt_match__3I__(_6_wi32)
              and __arg_alt_match__3J__(_7_wi64))
    @staticmethod
    def _merge_1sort_alt_IIIIII_3I_3J(_t__0_origperm1,_t__1_origperm2,_t__2_nelem,_t__3_nnz,_t__4_ptr_base,_t__5_nidxs_base,_t__6_wi32,_t__7_wi64):
      _0_origperm1=numpy.int32(_t__0_origperm1)
      _1_origperm2=numpy.int32(_t__1_origperm2)
      _2_nelem=numpy.int32(_t__2_nelem)
      _3_nnz=numpy.int32(_t__3_nnz)
      _4_ptr_base=numpy.int32(_t__4_ptr_base)
      _5_nidxs_base=numpy.int32(_t__5_nidxs_base)
      _6_wi32=numpy.array(_t__6_wi32,dtype=numpy.dtype(numpy.int32))
      _7_wi64=numpy.array(_t__7_wi64,dtype=numpy.dtype(numpy.int64))
      _1 = mosek_fusion_ExprCompress._merge_1sort_IIIIII_3I_3J(_0_origperm1,_1_origperm2,_2_nelem,_3_nnz,_4_ptr_base,_5_nidxs_base,_6_wi32,_7_wi64)
      try:
        _t__6_wi32[:] = _6_wi32
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__7_wi64[:] = _7_wi64
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _merge_1sort_IIIIII_3I_3J(_0_origperm1,_1_origperm2,_2_nelem,_3_nnz,_4_ptr_base,_5_nidxs_base,_6_wi32,_7_wi64):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:315:36-369:7
      fragments._c_closure_379(_2_nelem,_5_nidxs_base,_3_nnz,_0_origperm1,_1_origperm2,_4_ptr_base,_6_wi32,_7_wi64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:315:36-369:7
      # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:315:36-369:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:21:67-306:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprCompress.monty:22:8-28
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprCompress.monty:30:8-22
      _3_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprCompress.monty:32:12-14
      _4_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:33:12-17
      _5_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprCompress.monty:34:12-17
      _6_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprCompress.monty:35:12-15
      _7_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprCompress.monty:36:12-17
      _8_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprCompress.monty:37:12-21
      _9_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:38:12-15
      _10_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:39:12-14
      _11_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:40:12-17
      _12_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:41:12-15
      _13_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:43:12-16
      _14_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:44:12-19
      _15_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:45:12-18
      _16_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:47:12-16
      _17_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:48:12-16
      _18_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:49:12-16
      _19_iscompact=True # bld/herlev/final/default/src/fusion/ExprCompress.monty:59:12-21
      # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:61:8-85:9
      _20_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:62:14-18
      _21_xi64=(_2_xs.i64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:63:14-18
      _22_xf64=(_2_xs.f64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:64:14-18
      _19_iscompact = fragments._c_closure_380(_19_iscompact,_5_nelem,_11_nidxs,_9_ptr,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:66:10-68:75
      _19_iscompact = fragments._c_closure_381(_15_cconst,_13_code,_14_codeptr,_12_cof,_19_iscompact,_8_ncodeatom,_6_nnz,_18_wf64,_16_wi32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:71:10-84:99
      # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:61:8-85:9
      if _19_iscompact: # bld/herlev/final/default/src/fusion/ExprCompress.monty:89:12-21
        # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:89:23-141:9
        _0_rs._alloc_1expr_IIIZI(_3_nd,_5_nelem,_6_nnz,_7_hassp,_8_ncodeatom) # bld/herlev/final/default/src/fusion/ExprCompress.monty:100:10-54
        _23_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:102:14-18
        _24_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:103:14-20
        _25_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:104:14-17
        _26_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:105:14-18
        _27_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:106:14-20
        _28_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:107:14-19
        _29_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:108:14-22
        _30_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:109:14-21
        _31_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:111:14-18
        _32_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:112:14-18
        _33_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:113:14-18
        # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:114:10-127:11
        fragments._c_closure_382(_15_cconst,_13_code,_14_codeptr,_12_cof,_7_hassp,_8_ncodeatom,_3_nd,_5_nelem,_11_nidxs,_6_nnz,_9_ptr,_30_rcconst,_28_rcode,_29_rcodeptr,_26_rcof,_33_rf64,_31_ri32,_32_ri64,_24_rnidxs,_23_rptr,_27_rshape,_25_rsp,_4_shape,_10_sp,_18_wf64,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:114:10-127:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:114:10-127:11
        if (_8_ncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprCompress.monty:136:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:136:29-140:11
          if (_31_ri32[(_29_rcodeptr + _6_nnz)]!=_8_ncodeatom): # bld/herlev/final/default/src/fusion/ExprCompress.monty:137:16-47
            # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:137:49-106
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: Incorrect codeptr") # bld/herlev/final/default/src/fusion/ExprCompress.monty:137:49-106
            # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:137:49-106
          # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:136:29-140:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:89:23-141:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:144:13-300:9
        _34_perm1=_2_xs._alloci32_I(_6_nnz) # bld/herlev/final/default/src/fusion/ExprCompress.monty:146:14-19
        mosek.fusion.ExprCompress._arg_1sort_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2IIIII(_1_ws,_2_xs,_34_perm1,_5_nelem,_6_nnz,_9_ptr,_11_nidxs) # bld/herlev/final/default/src/fusion/ExprCompress.monty:147:10-58
        _35_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:148:14-18
        _36_rnnz=0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:150:14-18
        _37_rncodeatom=_8_ncodeatom # bld/herlev/final/default/src/fusion/ExprCompress.monty:151:14-24
        # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:152:10-181:11
        _38_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:153:16-20
        _37_rncodeatom,_36_rnnz = fragments._c_closure_383(_12_cof,_8_ncodeatom,_5_nelem,_11_nidxs,_34_perm1,_9_ptr,_37_rncodeatom,_36_rnnz,_18_wf64,_16_wi32,_17_wi64,_35_xi32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:154:12-180:13
        _37_rncodeatom = numpy.int32(_37_rncodeatom) # postprocess
        _36_rnnz = numpy.int32(_36_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:152:10-181:11
        _0_rs._alloc_1expr_IIIZI(_3_nd,_5_nelem,_36_rnnz,_7_hassp,_37_rncodeatom) # bld/herlev/final/default/src/fusion/ExprCompress.monty:191:10-56
        _39_rnidx=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:193:14-19
        _40_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:194:14-20
        _41_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:195:14-17
        _42_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:196:14-18
        _43_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:197:14-18
        _44_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:199:14-19
        _45_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:200:14-22
        _46_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprCompress.monty:201:14-21
        _47_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:203:14-18
        _48_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:204:14-18
        _49_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:205:14-18
        # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:208:10-293:11
        fragments._c_closure_384(_3_nd,_47_ri32,_40_rshape,_4_shape,_16_wi32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:209:12-210:45
        fragments._c_closure_385(_7_hassp,_5_nelem,_48_ri64,_41_rsp,_10_sp,_17_wi64) # bld/herlev/final/default/src/fusion/ExprCompress.monty:211:12-212:62
        _50_nzi=0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:214:16-19
        _51_codei=0 # bld/herlev/final/default/src/fusion/ExprCompress.monty:215:16-21
        # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:216:12-281:13
        _51_codei,_50_nzi = fragments._c_closure_386(_15_cconst,_13_code,_51_codei,_14_codeptr,_12_cof,_8_ncodeatom,_5_nelem,_11_nidxs,_50_nzi,_34_perm1,_9_ptr,_46_rcconst,_44_rcode,_45_rcodeptr,_42_rcof,_49_rf64,_47_ri32,_48_ri64,_37_rncodeatom,_39_rnidx,_43_rptr,_18_wf64,_16_wi32,_17_wi64,_35_xi32) # bld/herlev/final/default/src/fusion/ExprCompress.monty:216:12-281:13
        _51_codei = numpy.int32(_51_codei) # postprocess
        _50_nzi = numpy.int32(_50_nzi) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:216:12-281:13
        if (_37_rncodeatom!=_51_codei): # bld/herlev/final/default/src/fusion/ExprCompress.monty:290:16-35
          # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:290:38-95
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid ncodeatom") # bld/herlev/final/default/src/fusion/ExprCompress.monty:290:38-95
          # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:290:38-95
        if (_50_nzi!=_36_rnnz): # bld/herlev/final/default/src/fusion/ExprCompress.monty:291:16-34
          # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:291:38-89
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid nnz") # bld/herlev/final/default/src/fusion/ExprCompress.monty:291:38-89
          # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:291:38-89
        if (_36_rnnz!=_47_ri32[(_43_rptr + _5_nelem)]): # bld/herlev/final/default/src/fusion/ExprCompress.monty:292:16-46
          # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:292:48-99
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid ptr") # bld/herlev/final/default/src/fusion/ExprCompress.monty:292:48-99
          # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:292:48-99
        # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:208:10-293:11
        if (_37_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprCompress.monty:295:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:295:30-299:11
          if (_47_ri32[(_45_rcodeptr + _36_rnnz)]!=_37_rncodeatom): # bld/herlev/final/default/src/fusion/ExprCompress.monty:296:16-49
            # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:296:51-108
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: Incorrect codeptr") # bld/herlev/final/default/src/fusion/ExprCompress.monty:296:51-108
            # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:296:51-108
          # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:295:30-299:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:144:13-300:9
      _2_xs._clear_() # bld/herlev/final/default/src/fusion/ExprCompress.monty:301:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:21:67-306:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:14:38-130
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprCompress(")._a_S(self.__expr._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprCompress.monty:14:40-128
      # End   scope @ bld/herlev/final/default/src/fusion/ExprCompress.monty:14:38-130
  return ExprCompress
mosek_fusion_ExprCompress=__mk_mosek_fusion_ExprCompress()
del __mk_mosek_fusion_ExprCompress

# origin: bld/herlev/final/default/src/fusion/ExprConst.monty:4:4-80:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprConst():
  class ExprConst(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprConst__sparsity','_ExprConst__bfix']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor__3I_3J_3D(*args): # []int32,[]int64,[]double
        self._ctor_init__3I_3J_3D(*args)
      elif self.__match_alt_ctor__3I_3J_3D(*args):# []int32,[]int64,[]double
        self._ctor_alt_init__3I_3J_3D(*args)
      elif self.__match_ctor__3I_3JD(*args): # []int32,[]int64,double
        self._ctor_init__3I_3JD(*args)
      elif self.__match_alt_ctor__3I_3JD(*args):# []int32,[]int64,double
        self._ctor_alt_init__3I_3JD(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprConst.ctor(array(int32,ndim=1),array(int64,ndim=1),array(double,ndim=1))\n\tmosek.fusion.ExprConst.ctor(array(int32,ndim=1),array(int64,ndim=1),double)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprConst._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprConst._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprConst.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprConst._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprConst._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprConst.toString()')

    def __repr__(self): return 'mosek.fusion.ExprConst'
    @staticmethod
    def _ctor__3I_3J_3D(shape,sparsity,bfix):
      o = ExprConst.__new__(ExprConst)
      o._ctor_init__3I_3J_3D(shape,sparsity,bfix)
      return o

    @staticmethod
    def __match_ctor__3I_3J_3D(*args):
      if len(args) != 3: return False
      shape,sparsity,bfix, = args
      return (    __arg_match__3I__(shape)
              and __arg_match__3J__(sparsity)
              and __arg_match__3D__(bfix))
    @staticmethod
    def __match_alt_ctor__3I_3J_3D(*args):
      if len(args) != 3: return False
      shape,sparsity,bfix, = args
      return (    __arg_alt_match__3I__(shape)
              and __arg_alt_match__3J__(sparsity)
              and __arg_alt_match__3D__(bfix))
    # Origin: bld/herlev/final/default/src/fusion/ExprConst.monty:37:6-42:7
    def _ctor_alt_init__3I_3J_3D(self,shape,sparsity,bfix):
      self._ctor_init__3I_3J_3D(numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(sparsity,dtype=numpy.dtype(numpy.int64)),numpy.array(bfix,dtype=numpy.dtype(numpy.float64)))
    def _ctor_init__3I_3J_3D(self,shape,sparsity,bfix):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:37:63-42:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,shape)# ctor @ bld/herlev/final/default/src/fusion/ExprConst.monty:38:8-21
      (self.__bfix) = mosek.fusion.Utils.Tools._arraycopy__3D(bfix) # bld/herlev/final/default/src/fusion/ExprConst.monty:39:8-48
      (self.__sparsity) = (mosek.fusion.Utils.Tools._arraycopy__3J(sparsity) if ((sparsity is not None) ) else None) # bld/herlev/final/default/src/fusion/ExprConst.monty:40:8-88
      mosek.fusion.ExprConst.__validate__3I_3D_3J(shape,bfix,sparsity) # bld/herlev/final/default/src/fusion/ExprConst.monty:41:8-38
      # End   scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:37:63-42:7
    @staticmethod
    def _ctor__3I_3JD(shape,sparsity,bfix):
      o = ExprConst.__new__(ExprConst)
      o._ctor_init__3I_3JD(shape,sparsity,bfix)
      return o

    @staticmethod
    def __match_ctor__3I_3JD(*args):
      if len(args) != 3: return False
      shape,sparsity,bfix, = args
      return (    __arg_match__3I__(shape)
              and __arg_match__3J__(sparsity)
              and __arg_match_D__(bfix))
    @staticmethod
    def __match_alt_ctor__3I_3JD(*args):
      if len(args) != 3: return False
      shape,sparsity,bfix, = args
      return (    __arg_alt_match__3I__(shape)
              and __arg_alt_match__3J__(sparsity)
              and __arg_alt_match_D__(bfix))
    # Origin: bld/herlev/final/default/src/fusion/ExprConst.monty:28:6-35:7
    def _ctor_alt_init__3I_3JD(self,shape,sparsity,bfix):
      self._ctor_init__3I_3JD(numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(sparsity,dtype=numpy.dtype(numpy.int64)),numpy.float64(bfix))
    def _ctor_init__3I_3JD(self,shape,sparsity,bfix):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:28:62-35:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,shape)# ctor @ bld/herlev/final/default/src/fusion/ExprConst.monty:29:8-21
      _0_n=(mosek.fusion.Set._size__3I(shape) if ((sparsity is None) ) else int((sparsity).shape[0])) # bld/herlev/final/default/src/fusion/ExprConst.monty:30:12-13
      (self.__bfix) = numpy.array([bfix for _1_i in range(0,_0_n)], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/ExprConst.monty:31:8-46
      (self.__sparsity) = (mosek.fusion.Utils.Tools._arraycopy__3J(sparsity) if ((sparsity is not None) ) else None) # bld/herlev/final/default/src/fusion/ExprConst.monty:32:8-88
      mosek.fusion.ExprConst.__validate__3I_3D_3J(shape,(self.__bfix),sparsity) # bld/herlev/final/default/src/fusion/ExprConst.monty:34:8-43
      # End   scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:28:62-35:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:44:68-79:7
      _3_shape=self._getShape_() # bld/herlev/final/default/src/fusion/ExprConst.monty:45:12-17
      _4_nd=int((_3_shape).shape[0]) # bld/herlev/final/default/src/fusion/ExprConst.monty:47:12-14
      _5_nnz=0 # bld/herlev/final/default/src/fusion/ExprConst.monty:48:12-15
      _5_nnz = fragments._c_closure_387(self.__bfix,_5_nnz) # bld/herlev/final/default/src/fusion/ExprConst.monty:48:23-101
      _5_nnz = numpy.int32(_5_nnz) # postprocess
      _6_nelem=int((self.__bfix).shape[0]) # bld/herlev/final/default/src/fusion/ExprConst.monty:49:12-17
      _7_hassp=((self.__sparsity is not None) and (int((self.__sparsity).shape[0]) < mosek.fusion.Set._size__3I(_3_shape))) # bld/herlev/final/default/src/fusion/ExprConst.monty:50:12-17
      _0_rs._alloc_1expr_IIIZI(_4_nd,_6_nelem,_5_nnz,_7_hassp,0) # bld/herlev/final/default/src/fusion/ExprConst.monty:52:8-44
      _8_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprConst.monty:53:12-18
      _9_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprConst.monty:54:12-16
      _10_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprConst.monty:55:12-15
      _11_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprConst.monty:56:12-18
      _12_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprConst.monty:57:12-16
      _13_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprConst.monty:59:12-16
      _14_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprConst.monty:60:12-16
      _15_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprConst.monty:61:12-16
      fragments._c_closure_388(_4_nd,_13_ri32,_8_rshape,_3_shape) # bld/herlev/final/default/src/fusion/ExprConst.monty:64:8-54
      _16_nzi=0 # bld/herlev/final/default/src/fusion/ExprConst.monty:65:12-15
      _13_ri32[_9_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprConst.monty:66:8-23
      fragments._c_closure_389(_7_hassp,_6_nelem,_14_ri64,_10_rsp,self.__sparsity) # bld/herlev/final/default/src/fusion/ExprConst.monty:67:8-69:38
      _16_nzi = fragments._c_closure_390(self.__bfix,_6_nelem,_16_nzi,_12_rcof,_15_rf64,_13_ri32,_14_ri64,_11_rnidxs,_9_rptr) # bld/herlev/final/default/src/fusion/ExprConst.monty:70:8-77:9
      _16_nzi = numpy.int32(_16_nzi) # postprocess
      # End   scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:44:68-79:7
    @staticmethod
    def __validate_alt__3I_3D_3J(_t__0_shape,_t__1_bfix,_t__2_sparsity):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1_bfix=numpy.array(_t__1_bfix,dtype=numpy.dtype(numpy.float64))
      _2_sparsity=numpy.array(_t__2_sparsity,dtype=numpy.dtype(numpy.int64))
      _1 = mosek_fusion_ExprConst.__validate__3I_3D_3J(_0_shape,_1_bfix,_2_sparsity)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_bfix[:] = _1_bfix
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_sparsity[:] = _2_sparsity
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __validate__3I_3D_3J(_0_shape,_1_bfix,_2_sparsity):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:10:85-26:7
      _3_sz=mosek.fusion.Set._size__3I(_0_shape) # bld/herlev/final/default/src/fusion/ExprConst.monty:11:12-14
      if (_2_sparsity is not None): # bld/herlev/final/default/src/fusion/ExprConst.monty:12:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:12:30-21:9
        if (int((_2_sparsity).shape[0])!=int((_1_bfix).shape[0])): # bld/herlev/final/default/src/fusion/ExprConst.monty:13:14-40
          # Start scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:14:12-62
          raise mosek_fusion_LengthError._ctor_S("Mismatching data lengths") # bld/herlev/final/default/src/fusion/ExprConst.monty:14:12-62
          # End   scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:14:12-62
        _4_err=False # bld/herlev/final/default/src/fusion/ExprConst.monty:15:14-17
        _4_err = fragments._c_closure_391(_4_err,_2_sparsity,_3_sz) # bld/herlev/final/default/src/fusion/ExprConst.monty:16:10-18:25
        if _4_err: # bld/herlev/final/default/src/fusion/ExprConst.monty:19:14-17
          # Start scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:20:12-59
          raise mosek_fusion_IndexError._ctor_S("Invalid sparsity index") # bld/herlev/final/default/src/fusion/ExprConst.monty:20:12-59
          # End   scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:20:12-59
        # End   scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:12:30-21:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:22:13-25:9
        if (int((_1_bfix).shape[0])!=_3_sz): # bld/herlev/final/default/src/fusion/ExprConst.monty:23:14-29
          # Start scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:24:12-61
          raise mosek_fusion_LengthError._ctor_S("Mismatching data length") # bld/herlev/final/default/src/fusion/ExprConst.monty:24:12-61
          # End   scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:24:12-61
        # End   scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:22:13-25:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:10:85-26:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:8:38-63
      return ("ExprConst()") # bld/herlev/final/default/src/fusion/ExprConst.monty:8:40-61
      # End   scope @ bld/herlev/final/default/src/fusion/ExprConst.monty:8:38-63
  return ExprConst
mosek_fusion_ExprConst=__mk_mosek_fusion_ExprConst()
del __mk_mosek_fusion_ExprConst

# origin: bld/herlev/final/default/src/fusion/ExprSlice.monty:186:4-385:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprPick():
  class ExprPick(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprPick__idxs','_ExprPick__expr']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Expression_2_3_5I(*args): # mosek.fusion.Expression,[,]int32
        self._ctor_init_Lmosek_4fusion_4Expression_2_3_5I(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Expression_2_3_5I(*args):# mosek.fusion.Expression,[,]int32
        self._ctor_alt_init_Lmosek_4fusion_4Expression_2_3_5I(*args)
      elif self.__match_ctor_Lmosek_4fusion_4Expression_2_3J(*args): # mosek.fusion.Expression,[]int64
        self._ctor_init_Lmosek_4fusion_4Expression_2_3J(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Expression_2_3J(*args):# mosek.fusion.Expression,[]int64
        self._ctor_alt_init_Lmosek_4fusion_4Expression_2_3J(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprPick.ctor(mosek.fusion.Expression,array(int32,ndim=2))\n\tmosek.fusion.ExprPick.ctor(mosek.fusion.Expression,array(int64,ndim=1))')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprPick._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprPick._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprPick.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprPick._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprPick._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprPick.toString()')

    def __repr__(self): return 'mosek.fusion.ExprPick'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2_3_5I(expr,idxs):
      o = ExprPick.__new__(ExprPick)
      o._ctor_init_Lmosek_4fusion_4Expression_2_3_5I(expr,idxs)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2_3_5I(*args):
      if len(args) != 2: return False
      expr,idxs, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_match__3_5I__(idxs))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2_3_5I(*args):
      if len(args) != 2: return False
      expr,idxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_alt_match__3_5I__(idxs))
    # Origin: bld/herlev/final/default/src/fusion/ExprSlice.monty:209:6-238:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2_3_5I(self,expr,idxs):
      self._ctor_init_Lmosek_4fusion_4Expression_2_3_5I(expr,numpy.array(idxs,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_Lmosek_4fusion_4Expression_2_3_5I(self,expr,idxs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:209:50-238:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,numpy.array([int((idxs).shape[0])], dtype=numpy.dtype(numpy.int32)))# ctor @ bld/herlev/final/default/src/fusion/ExprSlice.monty:210:8-32
      _0_shape=expr._getShape_() # bld/herlev/final/default/src/fusion/ExprSlice.monty:212:12-17
      _1_nd=int((_0_shape).shape[0]) # bld/herlev/final/default/src/fusion/ExprSlice.monty:213:12-14
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprSlice.monty:214:8-25
      (self.__idxs) = numpy.zeros((int((idxs).shape[0]),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/ExprSlice.monty:215:8-42
      _2_this_idxs=(self.__idxs) # bld/herlev/final/default/src/fusion/ExprSlice.monty:216:12-21
      if (int((idxs).shape[1])!=_1_nd): # bld/herlev/final/default/src/fusion/ExprSlice.monty:218:12-29
        # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:219:10-77
        raise mosek_fusion_DimensionError._ctor_S("Mismatching shape and index dimensions") # bld/herlev/final/default/src/fusion/ExprSlice.monty:219:10-77
        # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:219:10-77
      _3_wrongindex=False # bld/herlev/final/default/src/fusion/ExprSlice.monty:221:12-22
      _3_wrongindex = fragments._c_closure_392(idxs,_1_nd,_0_shape,_3_wrongindex) # bld/herlev/final/default/src/fusion/ExprSlice.monty:222:8-225:32
      if _3_wrongindex: # bld/herlev/final/default/src/fusion/ExprSlice.monty:226:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:227:10-59
        raise mosek_fusion_IndexError._ctor_S("Pick index out of bounds") # bld/herlev/final/default/src/fusion/ExprSlice.monty:227:10-59
        # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:227:10-59
      # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:229:8-237:9
      fragments._c_closure_393(idxs,_1_nd,_0_shape,_2_this_idxs) # bld/herlev/final/default/src/fusion/ExprSlice.monty:229:8-237:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:229:8-237:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:209:50-238:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2_3J(expr,idxs):
      o = ExprPick.__new__(ExprPick)
      o._ctor_init_Lmosek_4fusion_4Expression_2_3J(expr,idxs)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2_3J(*args):
      if len(args) != 2: return False
      expr,idxs, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_match__3J__(idxs))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2_3J(*args):
      if len(args) != 2: return False
      expr,idxs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_alt_match__3J__(idxs))
    # Origin: bld/herlev/final/default/src/fusion/ExprSlice.monty:190:6-205:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2_3J(self,expr,idxs):
      self._ctor_init_Lmosek_4fusion_4Expression_2_3J(expr,numpy.array(idxs,dtype=numpy.dtype(numpy.int64)))
    def _ctor_init_Lmosek_4fusion_4Expression_2_3J(self,expr,idxs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:190:50-205:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,numpy.array([int((idxs).shape[0])], dtype=numpy.dtype(numpy.int32)))# ctor @ bld/herlev/final/default/src/fusion/ExprSlice.monty:191:8-32
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprSlice.monty:193:8-25
      _0_shape=expr._getShape_() # bld/herlev/final/default/src/fusion/ExprSlice.monty:195:12-17
      _1_size=mosek.fusion.Set._size__3I(_0_shape) # bld/herlev/final/default/src/fusion/ExprSlice.monty:196:12-16
      _2_wrongindex=False # bld/herlev/final/default/src/fusion/ExprSlice.monty:197:12-22
      _2_wrongindex = fragments._c_closure_394(idxs,_1_size,_2_wrongindex) # bld/herlev/final/default/src/fusion/ExprSlice.monty:198:8-200:30
      if _2_wrongindex: # bld/herlev/final/default/src/fusion/ExprSlice.monty:201:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:202:10-59
        raise mosek_fusion_IndexError._ctor_S("Pick index out of bounds") # bld/herlev/final/default/src/fusion/ExprSlice.monty:202:10-59
        # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:202:10-59
      (self.__idxs) = mosek.fusion.Utils.Tools._arraycopy__3J(idxs) # bld/herlev/final/default/src/fusion/ExprSlice.monty:204:8-48
      # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:190:50-205:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:240:67-384:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprSlice.monty:241:8-28
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprSlice.monty:242:8-22
      _3_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprSlice.monty:244:12-14
      _4_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:245:12-17
      _5_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprSlice.monty:246:12-17
      _6_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprSlice.monty:247:12-15
      _7_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprSlice.monty:248:12-21
      _8_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprSlice.monty:249:12-17
      _9_ptr_base=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:250:12-20
      _10_sp_base=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:251:12-19
      _11_nidxs_base=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:252:12-22
      _12_cof_base=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:253:12-20
      _13_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:254:12-16
      _14_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:255:12-19
      _15_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:256:12-18
      _16_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprSlice.monty:258:12-16
      _17_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprSlice.monty:259:12-16
      _18_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprSlice.monty:260:12-16
      _19_idxs=(self.__idxs) # bld/herlev/final/default/src/fusion/ExprSlice.monty:262:12-16
      if (not _8_hassp): # bld/herlev/final/default/src/fusion/ExprSlice.monty:264:12-21
        # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:264:23-312:9
        _20_rnelem=int((_19_idxs).shape[0]) # bld/herlev/final/default/src/fusion/ExprSlice.monty:266:14-20
        _21_rnd=1 # bld/herlev/final/default/src/fusion/ExprSlice.monty:267:14-17
        _22_rnnz=0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:268:14-18
        _23_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:269:14-24
        _23_rncodeatom,_22_rnnz = fragments._c_closure_395(_14_codeptr,_19_idxs,_7_ncodeatom,_9_ptr_base,_23_rncodeatom,_22_rnnz,_16_wi32) # bld/herlev/final/default/src/fusion/ExprSlice.monty:270:10-274:11
        _23_rncodeatom = numpy.int32(_23_rncodeatom) # postprocess
        _22_rnnz = numpy.int32(_22_rnnz) # postprocess
        _0_rs._alloc_1expr_IIIZI(_21_rnd,_20_rnelem,_22_rnnz,False,_23_rncodeatom) # bld/herlev/final/default/src/fusion/ExprSlice.monty:276:10-58
        _24_rcof_base=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:278:14-23
        _25_rnidxs_base=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:279:14-25
        _26_rptr_base=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:280:14-23
        _27_rshape_base=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:281:14-25
        _28_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:282:14-19
        _29_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:283:14-22
        _30_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:284:14-21
        # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:284:43-44
        pass
        # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:284:43-44
        _31_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprSlice.monty:286:14-18
        _32_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprSlice.monty:287:14-18
        _33_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprSlice.monty:288:14-18
        _31_ri32[_27_rshape_base] = int((_19_idxs).shape[0]) # bld/herlev/final/default/src/fusion/ExprSlice.monty:290:10-40
        _34_codei=0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:292:23-28
        _35_knz=0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:292:14-17
        _31_ri32[_26_rptr_base] = 0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:293:10-30
        _34_codei,_35_knz = fragments._c_closure_396(_15_cconst,_13_code,_34_codei,_14_codeptr,_12_cof_base,_19_idxs,_35_knz,_7_ncodeatom,_11_nidxs_base,_9_ptr_base,_30_rcconst,_28_rcode,_29_rcodeptr,_24_rcof_base,_33_rf64,_31_ri32,_32_ri64,_25_rnidxs_base,_26_rptr_base,_18_wf64,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprSlice.monty:295:10-310:11
        _34_codei = numpy.int32(_34_codei) # postprocess
        _35_knz = numpy.int32(_35_knz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:264:23-312:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:313:13-383:9
        _36_rnd=1 # bld/herlev/final/default/src/fusion/ExprSlice.monty:315:14-17
        _37_rnelem=int((_19_idxs).shape[0]) # bld/herlev/final/default/src/fusion/ExprSlice.monty:316:14-20
        _38_rnnz=0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:317:14-18
        _39_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:318:14-24
        _40_idxs=(self.__idxs) # bld/herlev/final/default/src/fusion/ExprSlice.monty:319:14-18
        _41_tidxs=_2_xs._alloci32_I(int((_40_idxs).shape[0])) # bld/herlev/final/default/src/fusion/ExprSlice.monty:320:14-19
        _42_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprSlice.monty:321:14-18
        _39_rncodeatom,_38_rnnz = fragments._c_closure_397(_14_codeptr,_40_idxs,_7_ncodeatom,_5_nelem,_9_ptr_base,_39_rncodeatom,_38_rnnz,_10_sp_base,_41_tidxs,_16_wi32,_17_wi64,_42_xi32) # bld/herlev/final/default/src/fusion/ExprSlice.monty:323:10-340:11
        _39_rncodeatom = numpy.int32(_39_rncodeatom) # postprocess
        _38_rnnz = numpy.int32(_38_rnnz) # postprocess
        _0_rs._alloc_1expr_IIIZI(_36_rnd,_37_rnelem,_38_rnnz,False,_39_rncodeatom) # bld/herlev/final/default/src/fusion/ExprSlice.monty:343:10-61
        _43_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:344:14-18
        _44_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:345:14-20
        _45_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:346:14-18
        _46_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:347:14-20
        _47_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:348:14-19
        _48_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:349:14-22
        _49_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:350:14-21
        _50_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprSlice.monty:352:14-18
        _51_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprSlice.monty:353:14-18
        _52_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprSlice.monty:354:14-18
        _50_ri32[_46_rshape] = int((_40_idxs).shape[0]) # bld/herlev/final/default/src/fusion/ExprSlice.monty:356:10-35
        _50_ri32[_43_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:357:10-27
        _53_codei=0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:360:21-26
        _54_k=0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:360:14-15
        _53_codei,_54_k = fragments._c_closure_398(_15_cconst,_13_code,_53_codei,_14_codeptr,_12_cof_base,_40_idxs,_54_k,_7_ncodeatom,_11_nidxs_base,_9_ptr_base,_49_rcconst,_47_rcode,_48_rcodeptr,_45_rcof,_52_rf64,_50_ri32,_51_ri64,_44_rnidxs,_43_rptr,_41_tidxs,_18_wf64,_16_wi32,_17_wi64,_42_xi32) # bld/herlev/final/default/src/fusion/ExprSlice.monty:361:10-382:11
        _53_codei = numpy.int32(_53_codei) # postprocess
        _54_k = numpy.int32(_54_k) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:313:13-383:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:240:67-384:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:207:38-62
      return ("ExprPick()") # bld/herlev/final/default/src/fusion/ExprSlice.monty:207:40-60
      # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:207:38-62
  return ExprPick
mosek_fusion_ExprPick=__mk_mosek_fusion_ExprPick()
del __mk_mosek_fusion_ExprPick

# origin: bld/herlev/final/default/src/fusion/ExprSlice.monty:4:4-182:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprSlice():
  class ExprSlice(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprSlice__last','_ExprSlice__first','_ExprSlice__expr']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Expression_2_3I_3I(*args): # mosek.fusion.Expression,[]int32,[]int32
        self._ctor_init_Lmosek_4fusion_4Expression_2_3I_3I(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Expression_2_3I_3I(*args):# mosek.fusion.Expression,[]int32,[]int32
        self._ctor_alt_init_Lmosek_4fusion_4Expression_2_3I_3I(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprSlice.ctor(mosek.fusion.Expression,array(int32,ndim=1),array(int32,ndim=1))')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprSlice._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprSlice._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprSlice.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprSlice._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprSlice._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprSlice.toString()')

    def __repr__(self): return 'mosek.fusion.ExprSlice'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2_3I_3I(expr,first,last):
      o = ExprSlice.__new__(ExprSlice)
      o._ctor_init_Lmosek_4fusion_4Expression_2_3I_3I(expr,first,last)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2_3I_3I(*args):
      if len(args) != 3: return False
      expr,first,last, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_match__3I__(first)
              and __arg_match__3I__(last))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2_3I_3I(*args):
      if len(args) != 3: return False
      expr,first,last, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_alt_match__3I__(first)
              and __arg_alt_match__3I__(last))
    # Origin: bld/herlev/final/default/src/fusion/ExprSlice.monty:28:6-34:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2_3I_3I(self,expr,first,last):
      self._ctor_init_Lmosek_4fusion_4Expression_2_3I_3I(expr,numpy.array(first,dtype=numpy.dtype(numpy.int32)),numpy.array(last,dtype=numpy.dtype(numpy.int32)))
    def _ctor_init_Lmosek_4fusion_4Expression_2_3I_3I(self,expr,first,last):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:28:62-34:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,mosek.fusion.ExprSlice.__makeShape__3I_3I_3I(expr._getShape_(),first,last))# ctor @ bld/herlev/final/default/src/fusion/ExprSlice.monty:29:8-53
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprSlice.monty:31:8-25
      (self.__first) = first # bld/herlev/final/default/src/fusion/ExprSlice.monty:32:8-27
      (self.__last) = last # bld/herlev/final/default/src/fusion/ExprSlice.monty:33:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:28:62-34:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:36:67-181:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprSlice.monty:37:8-28
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprSlice.monty:39:8-22
      _3_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprSlice.monty:41:12-14
      _4_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprSlice.monty:42:12-17
      _5_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprSlice.monty:43:12-15
      _6_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprSlice.monty:44:12-21
      _7_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprSlice.monty:45:12-17
      _8_shape_base=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:47:12-22
      _9_ptr_base=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:48:12-20
      _10_sp_base=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:49:12-19
      _11_nidxs_base=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:50:12-22
      _12_cof_base=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:51:12-20
      _13_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:52:12-16
      _14_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:53:12-19
      _15_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:54:12-18
      _16_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprSlice.monty:56:12-16
      _17_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprSlice.monty:57:12-16
      _18_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprSlice.monty:58:12-16
      _19_st=numpy.zeros((_3_nd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/ExprSlice.monty:60:12-14
      _19_st[(_3_nd - 1)] = 1 # bld/herlev/final/default/src/fusion/ExprSlice.monty:60:31-44
      fragments._c_closure_399(_3_nd,_8_shape_base,_19_st,_16_wi32) # bld/herlev/final/default/src/fusion/ExprSlice.monty:60:45-111
      _20_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:63:34-44
      _21_rnelem=0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:63:22-28
      _22_rnnz=0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:63:12-16
      _20_rncodeatom,_21_rnelem,_22_rnnz = fragments._c_closure_400(_14_codeptr,self.__first,_7_hassp,self.__last,_6_ncodeatom,_3_nd,_4_nelem,_9_ptr_base,_20_rncodeatom,_21_rnelem,_22_rnnz,_8_shape_base,_10_sp_base,_19_st,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprSlice.monty:64:8-92:9
      _20_rncodeatom = numpy.int32(_20_rncodeatom) # postprocess
      _21_rnelem = numpy.int32(_21_rnelem) # postprocess
      _22_rnnz = numpy.int32(_22_rnnz) # postprocess
      _23_rshape=numpy.array([(self.__last[_24_i] - self.__first[_24_i]) for _24_i in range(0,_3_nd)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprSlice.monty:95:12-18
      _25_rhassp=(_21_rnelem < mosek.fusion.Set._size__3I(_23_rshape)) # bld/herlev/final/default/src/fusion/ExprSlice.monty:97:12-18
      _0_rs._alloc_1expr_IIIZI(_3_nd,_21_rnelem,_22_rnnz,_25_rhassp,_20_rncodeatom) # bld/herlev/final/default/src/fusion/ExprSlice.monty:98:8-56
      _26_rshape_base=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:100:12-23
      _27_rcof_base=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:101:12-21
      _28_rnidx_base=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:102:12-22
      _29_rsp_base=((_0_rs.sp_base) if (_25_rhassp ) else _0_rs._alloci64_I(_21_rnelem)) # bld/herlev/final/default/src/fusion/ExprSlice.monty:103:12-20
      _30_rptr_base=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:104:12-21
      _31_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:105:12-17
      _32_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:106:12-20
      _33_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:107:12-19
      _34_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprSlice.monty:109:12-16
      _35_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprSlice.monty:110:12-16
      _36_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprSlice.monty:111:12-16
      fragments._c_closure_401(_3_nd,_34_ri32,_23_rshape,_26_rshape_base) # bld/herlev/final/default/src/fusion/ExprSlice.monty:113:8-60
      _34_ri32[_30_rptr_base] = 0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:115:8-28
      if (_6_ncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprSlice.monty:116:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:117:10-29
        _34_ri32[_32_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:117:10-29
        # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:117:10-29
      _37_rst=numpy.zeros((_3_nd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/ExprSlice.monty:118:12-15
      _37_rst[(_3_nd - 1)] = 1 # bld/herlev/final/default/src/fusion/ExprSlice.monty:118:32-46
      fragments._c_closure_402(_3_nd,_23_rshape,_37_rst) # bld/herlev/final/default/src/fusion/ExprSlice.monty:118:47-106
      _38_codei=0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:121:32-37
      _39_kelem=0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:121:21-26
      _40_knz=0 # bld/herlev/final/default/src/fusion/ExprSlice.monty:121:12-15
      _38_codei,_39_kelem,_40_knz = fragments._c_closure_403(_15_cconst,_13_code,_38_codei,_14_codeptr,_12_cof_base,self.__first,_7_hassp,_39_kelem,_40_knz,self.__last,_6_ncodeatom,_3_nd,_4_nelem,_11_nidxs_base,_9_ptr_base,_33_rcconst,_31_rcode,_32_rcodeptr,_27_rcof_base,_36_rf64,_34_ri32,_35_ri64,_28_rnidx_base,_30_rptr_base,_29_rsp_base,_37_rst,_8_shape_base,_10_sp_base,_19_st,_18_wf64,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprSlice.monty:122:8-177:9
      _38_codei = numpy.int32(_38_codei) # postprocess
      _39_kelem = numpy.int32(_39_kelem) # postprocess
      _40_knz = numpy.int32(_40_knz) # postprocess
      if (not _25_rhassp): # bld/herlev/final/default/src/fusion/ExprSlice.monty:178:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:179:10-28
        _0_rs._popi64_I(_21_rnelem) # bld/herlev/final/default/src/fusion/ExprSlice.monty:179:10-28
        # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:179:10-28
      # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:36:67-181:7
    @staticmethod
    def __makeShape_alt__3I_3I_3I(_t__0_shape,_t__1_first,_t__2_last):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1_first=numpy.array(_t__1_first,dtype=numpy.dtype(numpy.int32))
      _2_last=numpy.array(_t__2_last,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_ExprSlice.__makeShape__3I_3I_3I(_0_shape,_1_first,_2_last)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_first[:] = _1_first
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_last[:] = _2_last
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __makeShape__3I_3I_3I(_0_shape,_1_first,_2_last):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:17:89-24:7
      if ((int((_0_shape).shape[0])!=int((_1_first).shape[0])) or (int((_0_shape).shape[0])!=int((_2_last).shape[0]))): # bld/herlev/final/default/src/fusion/ExprSlice.monty:18:12-63
        # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:19:10-72
        raise mosek_fusion_LengthError._ctor_S("Invalid or mismatching index lengths") # bld/herlev/final/default/src/fusion/ExprSlice.monty:19:10-72
        # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:19:10-72
      for _3_i in range(0,int((_0_shape).shape[0])): # bld/herlev/final/default/src/fusion/ExprSlice.monty:20:8-22:59
        # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:21:10-22:59
        if ((_1_first[_3_i] < 0) or ((_2_last[_3_i] < _1_first[_3_i]) or (_2_last[_3_i] > _0_shape[_3_i]))): # bld/herlev/final/default/src/fusion/ExprSlice.monty:21:14-70
          # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:22:12-59
          raise mosek_fusion_IndexError._ctor_S("Slice is out of bounds") # bld/herlev/final/default/src/fusion/ExprSlice.monty:22:12-59
          # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:22:12-59
        # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:21:10-22:59
      return (numpy.array([(_2_last[_4_i] - _1_first[_4_i]) for _4_i in range(0,int((_0_shape).shape[0]))], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/ExprSlice.monty:23:8-63
      # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:17:89-24:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:9:38-15:7
      _0_sb=mosek.fusion.Utils.StringBuffer()._a_S("ExprSlice([")._a_I(self.__first[0])._a_S(":")._a_I(self.__last[0]) # bld/herlev/final/default/src/fusion/ExprSlice.monty:10:12-14
      for _1_i in range(1,int((self.__first).shape[0])): # bld/herlev/final/default/src/fusion/ExprSlice.monty:11:8-12:50
        # Start scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:12:10-50
        _0_sb._a_S(",")._a_I(self.__first[_1_i])._a_S(":")._a_I(self.__last[_1_i]) # bld/herlev/final/default/src/fusion/ExprSlice.monty:12:10-50
        # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:12:10-50
      _0_sb._a_S("],")._a_S(self.__expr._toString_())._a_S(")") # bld/herlev/final/default/src/fusion/ExprSlice.monty:13:8-45
      return (_0_sb._toString_()) # bld/herlev/final/default/src/fusion/ExprSlice.monty:14:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/ExprSlice.monty:9:38-15:7
  return ExprSlice
mosek_fusion_ExprSlice=__mk_mosek_fusion_ExprSlice()
del __mk_mosek_fusion_ExprSlice

# origin: bld/herlev/final/default/src/fusion/ExprTranspose.monty:153:4-295:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprPermuteDims():
  class ExprPermuteDims(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprPermuteDims__dperm','_ExprPermuteDims__expr']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor__3ILmosek_4fusion_4Expression_2(*args): # []int32,mosek.fusion.Expression
        self._ctor_init__3ILmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor__3ILmosek_4fusion_4Expression_2(*args):# []int32,mosek.fusion.Expression
        self._ctor_alt_init__3ILmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprPermuteDims.ctor(array(int32,ndim=1),mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprPermuteDims._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprPermuteDims._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprPermuteDims.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def __repr__(self): return 'mosek.fusion.ExprPermuteDims'
    @staticmethod
    def _ctor__3ILmosek_4fusion_4Expression_2(perm,expr):
      o = ExprPermuteDims.__new__(ExprPermuteDims)
      o._ctor_init__3ILmosek_4fusion_4Expression_2(perm,expr)
      return o

    @staticmethod
    def __match_ctor__3ILmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      perm,expr, = args
      return (    __arg_match__3I__(perm)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor__3ILmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      perm,expr, = args
      return (    __arg_alt_match__3I__(perm)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprTranspose.monty:167:6-184:7
    def _ctor_alt_init__3ILmosek_4fusion_4Expression_2(self,perm,expr):
      self._ctor_init__3ILmosek_4fusion_4Expression_2(numpy.array(perm,dtype=numpy.dtype(numpy.int32)),expr)
    def _ctor_init__3ILmosek_4fusion_4Expression_2(self,perm,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:167:50-184:7
      mosek_fusion_ExprPermuteDims._ctor_init__3ILmosek_4fusion_4Expression_2I(self,perm,expr,1)# ctor @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:168:8-26
      _0_shape=expr._getShape_() # bld/herlev/final/default/src/fusion/ExprTranspose.monty:170:12-17
      if (int((perm).shape[0])!=int((_0_shape).shape[0])): # bld/herlev/final/default/src/fusion/ExprTranspose.monty:171:12-35
        # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:172:10-65
        raise mosek_fusion_LengthError._ctor_S("Invalid dimension permutation") # bld/herlev/final/default/src/fusion/ExprTranspose.monty:172:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:172:10-65
      _1_check=numpy.array([0 for _2_i in range(0,int((perm).shape[0]))], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:174:12-17
      for _3_i in range(0,int((_1_check).shape[0])): # bld/herlev/final/default/src/fusion/ExprTranspose.monty:175:8-180:9
        # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:175:36-180:9
        if ((perm[_3_i] < 0) or (perm[_3_i] > int((_0_shape).shape[0]))): # bld/herlev/final/default/src/fusion/ExprTranspose.monty:176:14-49
          # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:177:12-67
          raise mosek_fusion_LengthError._ctor_S("Invalid dimension permutation") # bld/herlev/final/default/src/fusion/ExprTranspose.monty:177:12-67
          # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:177:12-67
        _1_check[perm[_3_i]] += 1 # bld/herlev/final/default/src/fusion/ExprTranspose.monty:179:10-27
        # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:175:36-180:9
      for _4_i in range(0,int((_1_check).shape[0])): # bld/herlev/final/default/src/fusion/ExprTranspose.monty:181:8-183:67
        # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:182:10-183:67
        if ((_1_check[_4_i] < 1) or (_1_check[_4_i] > 1)): # bld/herlev/final/default/src/fusion/ExprTranspose.monty:182:14-42
          # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:183:12-67
          raise mosek_fusion_LengthError._ctor_S("Invalid dimension permutation") # bld/herlev/final/default/src/fusion/ExprTranspose.monty:183:12-67
          # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:183:12-67
        # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:182:10-183:67
      # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:167:50-184:7
    @staticmethod
    def _ctor__3ILmosek_4fusion_4Expression_2I(perm,expr,validated):
      o = ExprPermuteDims.__new__(ExprPermuteDims)
      o._ctor_init__3ILmosek_4fusion_4Expression_2I(perm,expr,validated)
      return o

    @staticmethod
    def __match_ctor__3ILmosek_4fusion_4Expression_2I(*args):
      if len(args) != 3: return False
      perm,expr,validated, = args
      return (    __arg_match__3I__(perm)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_match_I__(validated))
    @staticmethod
    def __match_alt_ctor__3ILmosek_4fusion_4Expression_2I(*args):
      if len(args) != 3: return False
      perm,expr,validated, = args
      return (    __arg_alt_match__3I__(perm)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_alt_match_I__(validated))
    # Origin: bld/herlev/final/default/src/fusion/ExprTranspose.monty:161:6-165:7
    def _ctor_alt_init__3ILmosek_4fusion_4Expression_2I(self,perm,expr,validated):
      self._ctor_init__3ILmosek_4fusion_4Expression_2I(numpy.array(perm,dtype=numpy.dtype(numpy.int32)),expr,numpy.int32(validated))
    def _ctor_init__3ILmosek_4fusion_4Expression_2I(self,perm,expr,validated):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:161:69-165:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,mosek.fusion.ExprPermuteDims.__computeshape__3I_3I(perm,expr._getShape_()))# ctor @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:162:8-50
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprTranspose.monty:163:8-25
      self.__dperm = mosek.fusion.Utils.Tools._arraycopy__3I(perm) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:164:8-44
      # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:161:69-165:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:186:67-294:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:187:8-28
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprTranspose.monty:188:8-22
      _3_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:190:12-14
      _4_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:191:12-17
      _5_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:192:12-15
      _6_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:193:12-21
      _7_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:194:12-17
      _8_shape_base=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:195:12-22
      _9_stride=numpy.zeros((_3_nd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:196:12-18
      _9_stride[(_3_nd - 1)] = 1 # bld/herlev/final/default/src/fusion/ExprTranspose.monty:196:36-53
      for _10_i in range(1,_3_nd): # bld/herlev/final/default/src/fusion/ExprTranspose.monty:196:54-132
        # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:196:74-132
        _9_stride[((_3_nd - _10_i) - 1)] = (_9_stride[(_3_nd - _10_i)] * (_1_ws.i32)[((_8_shape_base + _3_nd) - _10_i)]) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:196:74-132
        # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:196:74-132
      _11_dstride=numpy.zeros((_3_nd,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:197:12-19
      _11_dstride[(_3_nd - 1)] = 1 # bld/herlev/final/default/src/fusion/ExprTranspose.monty:197:36-54
      for _12_i in range(1,_3_nd): # bld/herlev/final/default/src/fusion/ExprTranspose.monty:197:55-140
        # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:197:75-140
        _11_dstride[((_3_nd - _12_i) - 1)] = (_11_dstride[(_3_nd - _12_i)] * (_1_ws.i32)[(_8_shape_base + self.__dperm[(_3_nd - _12_i)])]) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:197:75-140
        # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:197:75-140
      _13_eptr_base=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:199:12-21
      _14_esp_base=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:200:12-20
      _15_enidxs_base=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:201:12-23
      _16_ecof_base=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:202:12-21
      _17_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:203:12-16
      _18_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:204:12-19
      _19_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:205:12-18
      _20_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:207:12-16
      _21_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:208:12-16
      _22_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:209:12-16
      _0_rs._alloc_1expr_IIIZI(_3_nd,_4_nelem,_5_nnz,_7_hassp,_6_ncodeatom) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:211:8-52
      _23_rptr_base=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:212:12-21
      _24_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:213:12-18
      _25_rnidxs_base=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:214:12-23
      _26_rsp_base=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:215:12-20
      _27_rcof_base=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:216:12-21
      _28_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:217:12-17
      _29_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:218:12-20
      _30_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:219:12-19
      _31_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:221:12-16
      _32_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:222:12-16
      _33_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:223:12-16
      fragments._c_closure_404(self.__dperm,_3_nd,_31_ri32,_24_rshape,_8_shape_base,_20_wi32) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:225:8-71
      if _7_hassp: # bld/herlev/final/default/src/fusion/ExprTranspose.monty:227:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:227:19-266:9
        _34_sp=numpy.zeros((_4_nelem,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:228:14-16
        # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:229:10-235:11
        fragments._c_closure_405(self.__dperm,_11_dstride,_14_esp_base,_3_nd,_4_nelem,_8_shape_base,_34_sp,_9_stride,_20_wi32,_21_wi64) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:229:10-235:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:229:10-235:11
        _35_perm=numpy.array([_36_i for _36_i in range(0,_4_nelem)], dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:237:14-18
        mosek.fusion.CommonTools._argQsort__3J_3J_3JJJ(_35_perm,_34_sp,None,0,_4_nelem) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:238:10-53
        _31_ri32[_23_rptr_base] = 0 # bld/herlev/final/default/src/fusion/ExprTranspose.monty:241:10-30
        if (_6_ncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprTranspose.monty:242:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:243:12-31
          _31_ri32[_29_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprTranspose.monty:243:12-31
          # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:243:12-31
        _37_codei=0 # bld/herlev/final/default/src/fusion/ExprTranspose.monty:245:34-39
        _38_kelem=0 # bld/herlev/final/default/src/fusion/ExprTranspose.monty:245:23-28
        _39_knz=0 # bld/herlev/final/default/src/fusion/ExprTranspose.monty:245:14-17
        _37_codei,_38_kelem,_39_knz = fragments._c_closure_406(_19_cconst,_17_code,_37_codei,_18_codeptr,_16_ecof_base,_15_enidxs_base,_13_eptr_base,_38_kelem,_39_knz,_6_ncodeatom,_4_nelem,_35_perm,_30_rcconst,_28_rcode,_29_rcodeptr,_27_rcof_base,_33_rf64,_31_ri32,_32_ri64,_25_rnidxs_base,_23_rptr_base,_26_rsp_base,_34_sp,_22_wf64,_20_wi32,_21_wi64) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:246:10-265:11
        _37_codei = numpy.int32(_37_codei) # postprocess
        _38_kelem = numpy.int32(_38_kelem) # postprocess
        _39_knz = numpy.int32(_39_knz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:227:19-266:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:267:13-293:9
        fragments._c_closure_407(_19_cconst,_17_code,_18_codeptr,self.__dperm,_11_dstride,_16_ecof_base,_15_enidxs_base,_13_eptr_base,_6_ncodeatom,_3_nd,_4_nelem,_30_rcconst,_28_rcode,_29_rcodeptr,_27_rcof_base,_33_rf64,_31_ri32,_32_ri64,_25_rnidxs_base,_23_rptr_base,_8_shape_base,_9_stride,_22_wf64,_20_wi32,_21_wi64) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:267:13-293:9
        # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:267:13-293:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:186:67-294:7
    @staticmethod
    def __computeshape_alt__3I_3I(_t__0_perm,_t__1_shape):
      _0_perm=numpy.array(_t__0_perm,dtype=numpy.dtype(numpy.int32))
      _1_shape=numpy.array(_t__1_shape,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_ExprPermuteDims.__computeshape__3I_3I(_0_perm,_1_shape)
      try:
        _t__0_perm[:] = _0_perm
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_shape[:] = _1_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __computeshape__3I_3I(_0_perm,_1_shape):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:157:76-159:7
      return (numpy.array([_1_shape[_0_perm[_2_i]] for _2_i in range(0,int((_0_perm).shape[0]))], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:158:8-58
      # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:157:76-159:7
  return ExprPermuteDims
mosek_fusion_ExprPermuteDims=__mk_mosek_fusion_ExprPermuteDims()
del __mk_mosek_fusion_ExprPermuteDims

# origin: bld/herlev/final/default/src/fusion/ExprTranspose.monty:4:4-145:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprTranspose():
  class ExprTranspose(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprTranspose__expr']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        self._ctor_init_Lmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Expression_2(*args):# mosek.fusion.Expression
        self._ctor_alt_init_Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprTranspose.ctor(mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprTranspose._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprTranspose._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprTranspose.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprTranspose._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprTranspose._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprTranspose.toString()')

    def __repr__(self): return 'mosek.fusion.ExprTranspose'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2(expr):
      o = ExprTranspose.__new__(ExprTranspose)
      o._ctor_init_Lmosek_4fusion_4Expression_2(expr)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      expr, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      expr, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprTranspose.monty:19:6-22:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2(self,expr):
      self._ctor_init_Lmosek_4fusion_4Expression_2(expr)
    def _ctor_init_Lmosek_4fusion_4Expression_2(self,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:19:36-22:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,mosek.fusion.ExprTranspose.__transposeShape__3I(expr._getShape_()))# ctor @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:20:8-47
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprTranspose.monty:21:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:19:36-22:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:24:67-144:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:25:8-28
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprTranspose.monty:26:8-22
      if ((_1_ws.nd)!=2): # bld/herlev/final/default/src/fusion/ExprTranspose.monty:27:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:28:10-65
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions") # bld/herlev/final/default/src/fusion/ExprTranspose.monty:28:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:28:10-65
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:29:13-143:9
        _3_shape_base=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:30:14-24
        _4_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:31:14-19
        _5_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:32:14-17
        _6_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:33:14-19
        _7_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:34:14-23
        _8_eptr_base=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:35:14-23
        _9_esp_base=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:36:14-22
        _10_enidx_base=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:37:14-24
        _11_ecof_base=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:38:14-23
        _12_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:39:14-18
        _13_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:40:14-21
        _14_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:41:14-20
        _15_dim0=(_1_ws.i32)[_3_shape_base] # bld/herlev/final/default/src/fusion/ExprTranspose.monty:43:14-18
        _16_dim1=(_1_ws.i32)[(_3_shape_base + 1)] # bld/herlev/final/default/src/fusion/ExprTranspose.monty:44:14-18
        _17_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:46:14-18
        _18_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:47:14-18
        _19_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:48:14-18
        _0_rs._alloc_1expr_IIIZI(2,_4_nelem,_5_nnz,_6_hassp,_7_ncodeatom) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:50:10-54
        _20_rptr_base=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:52:14-23
        _21_rnidx_base=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:53:14-24
        _22_rsp_base=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:54:14-22
        _23_rcof_base=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:55:14-23
        _24_rshape_base=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:56:14-25
        _25_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:57:14-19
        _26_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:58:14-22
        _27_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:59:14-21
        _28_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:61:14-18
        _29_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:62:14-18
        _30_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:63:14-18
        _28_ri32[_24_rshape_base] = _16_dim1 # bld/herlev/final/default/src/fusion/ExprTranspose.monty:65:10-37
        _28_ri32[(_24_rshape_base + 1)] = _15_dim0 # bld/herlev/final/default/src/fusion/ExprTranspose.monty:66:10-37
        _28_ri32[_20_rptr_base] = 0 # bld/herlev/final/default/src/fusion/ExprTranspose.monty:67:10-30
        if (_7_ncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprTranspose.monty:68:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:69:12-31
          _28_ri32[_26_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprTranspose.monty:69:12-31
          # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:69:12-31
        if _6_hassp: # bld/herlev/final/default/src/fusion/ExprTranspose.monty:71:14-19
          # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:71:21-114:11
          _31_perm=_2_xs._alloci32_I(_4_nelem) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:72:16-20
          _32_ptr=_2_xs._alloci32_I((_16_dim1 + 1)) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:73:16-19
          _33_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:74:16-20
          # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:76:12-113:13
          fragments._c_closure_408(_14_cconst,_12_code,_13_codeptr,_15_dim0,_16_dim1,_11_ecof_base,_10_enidx_base,_8_eptr_base,_9_esp_base,_7_ncodeatom,_4_nelem,_31_perm,_32_ptr,_27_rcconst,_25_rcode,_26_rcodeptr,_23_rcof_base,_30_rf64,_28_ri32,_29_ri64,_21_rnidx_base,_20_rptr_base,_22_rsp_base,_19_wf64,_17_wi32,_18_wi64,_33_xi32) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:76:12-113:13
          # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:76:12-113:13
          # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:71:21-114:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:115:15-140:11
          fragments._c_closure_409(_14_cconst,_12_code,_13_codeptr,_15_dim0,_16_dim1,_11_ecof_base,_10_enidx_base,_8_eptr_base,_7_ncodeatom,_27_rcconst,_25_rcode,_26_rcodeptr,_23_rcof_base,_30_rf64,_28_ri32,_29_ri64,_21_rnidx_base,_20_rptr_base,_19_wf64,_17_wi32,_18_wi64) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:115:15-140:11
          # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:115:15-140:11
        _2_xs._clear_() # bld/herlev/final/default/src/fusion/ExprTranspose.monty:142:10-21
        # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:29:13-143:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:24:67-144:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:14:38-16:7
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprTranspose(")._a_S(self.__expr._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:15:8-97
      # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:14:38-16:7
    @staticmethod
    def __transposeShape_alt__3I(_t__0_shape):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_ExprTranspose.__transposeShape__3I(_0_shape)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __transposeShape__3I(_0_shape):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:7:66-12:7
      if (int((_0_shape).shape[0])!=2): # bld/herlev/final/default/src/fusion/ExprTranspose.monty:8:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:9:10-65
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions") # bld/herlev/final/default/src/fusion/ExprTranspose.monty:9:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:9:10-65
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:11:10-42
        return (numpy.array([_0_shape[1],_0_shape[0]], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/ExprTranspose.monty:11:10-42
        # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:11:10-42
      # End   scope @ bld/herlev/final/default/src/fusion/ExprTranspose.monty:7:66-12:7
  return ExprTranspose
mosek_fusion_ExprTranspose=__mk_mosek_fusion_ExprTranspose()
del __mk_mosek_fusion_ExprTranspose

# origin: bld/herlev/final/default/src/fusion/ExprStack.monty:435:4-628:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprRepeat():
  class ExprRepeat(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprRepeat__n','_ExprRepeat__dim','_ExprRepeat__expr']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Expression_2II(*args): # mosek.fusion.Expression,int32,int32
        self._ctor_init_Lmosek_4fusion_4Expression_2II(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Expression_2II(*args):# mosek.fusion.Expression,int32,int32
        self._ctor_alt_init_Lmosek_4fusion_4Expression_2II(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprRepeat.ctor(mosek.fusion.Expression,int32,int32)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprRepeat._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprRepeat._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprRepeat.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprRepeat._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprRepeat._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprRepeat.toString()')

    def __repr__(self): return 'mosek.fusion.ExprRepeat'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2II(expr,dim,n):
      o = ExprRepeat.__new__(ExprRepeat)
      o._ctor_init_Lmosek_4fusion_4Expression_2II(expr,dim,n)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2II(*args):
      if len(args) != 3: return False
      expr,dim,n, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_match_I__(dim)
              and __arg_match_I__(n))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2II(*args):
      if len(args) != 3: return False
      expr,dim,n, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_alt_match_I__(dim)
              and __arg_alt_match_I__(n))
    # Origin: bld/herlev/final/default/src/fusion/ExprStack.monty:459:6-464:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2II(self,expr,dim,n):
      self._ctor_init_Lmosek_4fusion_4Expression_2II(expr,numpy.int32(dim),numpy.int32(n))
    def _ctor_init_Lmosek_4fusion_4Expression_2II(self,expr,dim,n):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:459:56-464:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,mosek.fusion.ExprRepeat.__getshape_Lmosek_4fusion_4Expression_2II(expr,dim,n))# ctor @ bld/herlev/final/default/src/fusion/ExprStack.monty:460:8-36
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprStack.monty:461:8-25
      (self.__dim) = dim # bld/herlev/final/default/src/fusion/ExprStack.monty:462:8-23
      (self.__n) = n # bld/herlev/final/default/src/fusion/ExprStack.monty:463:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:459:56-464:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:466:67-627:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprStack.monty:467:8-28
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprStack.monty:468:8-22
      _3_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprStack.monty:473:12-14
      _4_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:474:12-17
      _5_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprStack.monty:475:12-17
      _6_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprStack.monty:476:12-15
      _7_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprStack.monty:477:12-21
      _8_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprStack.monty:478:12-17
      _9_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:479:12-15
      _10_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:480:12-14
      _11_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:481:12-17
      _12_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:482:12-15
      _13_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:483:12-16
      _14_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:484:12-19
      _15_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:485:12-18
      _16_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprStack.monty:487:12-16
      _17_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprStack.monty:488:12-16
      _18_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprStack.monty:489:12-16
      _19_rnd=(_3_nd if ((self.__dim < _3_nd) ) else (_3_nd + 1)) # bld/herlev/final/default/src/fusion/ExprStack.monty:491:12-15
      _20_rnelem=(_5_nelem * self.__n) # bld/herlev/final/default/src/fusion/ExprStack.monty:492:12-18
      _21_rnnz=(_6_nnz * self.__n) # bld/herlev/final/default/src/fusion/ExprStack.monty:493:12-16
      _22_rncodeatom=(_7_ncodeatom * self.__n) # bld/herlev/final/default/src/fusion/ExprStack.monty:494:12-22
      _0_rs._alloc_1expr_IIIZI(_19_rnd,_20_rnelem,_21_rnnz,_8_hassp,_22_rncodeatom) # bld/herlev/final/default/src/fusion/ExprStack.monty:496:8-57
      _23_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprStack.monty:497:12-16
      _24_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprStack.monty:498:12-16
      _25_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprStack.monty:499:12-16
      _26_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:501:12-18
      _27_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:502:12-16
      _28_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:503:12-15
      _29_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:504:12-18
      _30_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:505:12-16
      _31_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:506:12-17
      _32_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:507:12-20
      _33_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:508:12-19
      _34_d0=1 # bld/herlev/final/default/src/fusion/ExprStack.monty:510:12-14
      _34_d0 = fragments._c_closure_410(_34_d0,self.__dim,_4_shape,_16_wi32) # bld/herlev/final/default/src/fusion/ExprStack.monty:510:21-62
      _34_d0 = numpy.int32(_34_d0) # postprocess
      _35_d1=(_16_wi32[(_4_shape + self.__dim)] if ((self.__dim < _3_nd) ) else 1) # bld/herlev/final/default/src/fusion/ExprStack.monty:511:12-14
      _36_rd1=(self.__n * _35_d1) # bld/herlev/final/default/src/fusion/ExprStack.monty:512:12-15
      _37_d2=1 # bld/herlev/final/default/src/fusion/ExprStack.monty:513:12-14
      _37_d2 = fragments._c_closure_411(_37_d2,self.__dim,_3_nd,_4_shape,_16_wi32) # bld/herlev/final/default/src/fusion/ExprStack.monty:513:21-65
      _37_d2 = numpy.int32(_37_d2) # postprocess
      # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:516:8-619:9
      fragments._c_closure_412(_15_cconst,_13_code,_14_codeptr,_12_cof,_34_d0,_35_d1,_37_d2,self.__dim,_8_hassp,self.__n,_7_ncodeatom,_3_nd,_5_nelem,_11_nidxs,_9_ptr,_33_rcconst,_31_rcode,_32_rcodeptr,_30_rcof,_36_rd1,_25_rf64,_23_ri32,_24_ri64,_22_rncodeatom,_29_rnidxs,_27_rptr,_26_rshape,_28_rsp,_4_shape,_10_sp,_18_wf64,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprStack.monty:516:8-619:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:516:8-619:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:466:67-627:7
    @staticmethod
    def __getshape_alt_Lmosek_4fusion_4Expression_2II(_t__0_e,_t__1_dim,_t__2_n):
      return mosek_fusion_ExprRepeat.__getshape_Lmosek_4fusion_4Expression_2II(_0_e,numpy.int32(__1_dim),numpy.int32(__2_n))
    @staticmethod
    def __getshape_Lmosek_4fusion_4Expression_2II(_0_e,_1_dim,_2_n):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:444:80-457:7
      _3_shape_=_0_e._getShape_() # bld/herlev/final/default/src/fusion/ExprStack.monty:445:12-18
      _4_nd=int((_3_shape_).shape[0]) # bld/herlev/final/default/src/fusion/ExprStack.monty:446:12-14
      if (_1_dim < _4_nd): # bld/herlev/final/default/src/fusion/ExprStack.monty:447:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:447:22-450:9
        _3_shape_[_1_dim] *= _2_n # bld/herlev/final/default/src/fusion/ExprStack.monty:448:10-27
        return (_3_shape_) # bld/herlev/final/default/src/fusion/ExprStack.monty:449:10-24
        # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:447:22-450:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:451:13-456:9
        _5_shape=(numpy.zeros(((_4_nd + 1),), dtype=numpy.dtype(numpy.int32)) if ((_1_dim==_4_nd) ) else _3_shape_) # bld/herlev/final/default/src/fusion/ExprStack.monty:452:14-19
        fragments._c_closure_413(_4_nd,_5_shape,_3_shape_) # bld/herlev/final/default/src/fusion/ExprStack.monty:453:10-51
        _5_shape[_1_dim] = _2_n # bld/herlev/final/default/src/fusion/ExprStack.monty:454:10-25
        return (_5_shape) # bld/herlev/final/default/src/fusion/ExprStack.monty:455:10-23
        # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:451:13-456:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:444:80-457:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:440:38-442:7
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprRepeat(dim=")._a_I(self.__dim)._a_S(",")._a_S(self.__expr._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprStack.monty:441:8-112
      # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:440:38-442:7
  return ExprRepeat
mosek_fusion_ExprRepeat=__mk_mosek_fusion_ExprRepeat()
del __mk_mosek_fusion_ExprRepeat

# origin: bld/herlev/final/default/src/fusion/ExprStack.monty:4:4-431:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprStack():
  class ExprStack(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprStack__dim','_ExprStack__exprs']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor__3Lmosek_4fusion_4Expression_2I(*args): # []mosek.fusion.Expression,int32
        self._ctor_init__3Lmosek_4fusion_4Expression_2I(*args)
      elif self.__match_alt_ctor__3Lmosek_4fusion_4Expression_2I(*args):# []mosek.fusion.Expression,int32
        self._ctor_alt_init__3Lmosek_4fusion_4Expression_2I(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprStack.ctor(array(mosek.fusion.Expression,ndim=1),int32)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprStack._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprStack._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprStack.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprStack._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprStack._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprStack.toString()')

    def __repr__(self): return 'mosek.fusion.ExprStack'
    @staticmethod
    def _ctor__3Lmosek_4fusion_4Expression_2I(exprs,dim):
      o = ExprStack.__new__(ExprStack)
      o._ctor_init__3Lmosek_4fusion_4Expression_2I(exprs,dim)
      return o

    @staticmethod
    def __match_ctor__3Lmosek_4fusion_4Expression_2I(*args):
      if len(args) != 2: return False
      exprs,dim, = args
      return (    __arg_match__3Lmosek_4fusion_4Expression_2__(exprs)
              and __arg_match_I__(dim))
    @staticmethod
    def __match_alt_ctor__3Lmosek_4fusion_4Expression_2I(*args):
      if len(args) != 2: return False
      exprs,dim, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Expression_2__(exprs)
              and __arg_alt_match_I__(dim))
    # Origin: bld/herlev/final/default/src/fusion/ExprStack.monty:49:6-53:7
    def _ctor_alt_init__3Lmosek_4fusion_4Expression_2I(self,exprs,dim):
      self._ctor_init__3Lmosek_4fusion_4Expression_2I(numpy.array(exprs,dtype=numpy.dtype(object)),numpy.int32(dim))
    def _ctor_init__3Lmosek_4fusion_4Expression_2I(self,exprs,dim):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:49:49-53:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,mosek.fusion.ExprStack.__getshape__3Lmosek_4fusion_4Expression_2I(exprs,dim))# ctor @ bld/herlev/final/default/src/fusion/ExprStack.monty:50:8-35
      (self.__exprs) = numpy.array([exprs[_0_i] for _0_i in range(0,int((exprs).shape[0]))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/ExprStack.monty:51:8-61
      (self.__dim) = dim # bld/herlev/final/default/src/fusion/ExprStack.monty:52:8-23
      # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:49:49-53:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:55:67-430:7
      _3_n=int((self.__exprs).shape[0]) # bld/herlev/final/default/src/fusion/ExprStack.monty:56:12-13
      if (_3_n==1): # bld/herlev/final/default/src/fusion/ExprStack.monty:59:12-18
        # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:59:20-61:9
        self.__exprs[0]._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs) # bld/herlev/final/default/src/fusion/ExprStack.monty:60:10-34
        # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:59:20-61:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:62:13-428:9
        for _4_i in range(0,_3_n): # bld/herlev/final/default/src/fusion/ExprStack.monty:63:10-65:11
          # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:63:29-65:11
          self.__exprs[((_3_n - _4_i) - 1)]._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprStack.monty:64:12-40
          # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:63:29-65:11
        _5_nds=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprStack.monty:67:14-17
        _6_shape_base=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprStack.monty:68:14-24
        _7_nelem=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprStack.monty:69:14-19
        _8_nnz=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprStack.monty:70:14-17
        _9_ncodeatom=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprStack.monty:71:14-23
        _10_hassp=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprStack.monty:72:14-19
        _11_ptr_base=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprStack.monty:73:14-22
        _12_nidxs_base=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprStack.monty:74:14-24
        _13_sp_base=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprStack.monty:75:14-21
        _14_cof_base=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprStack.monty:76:14-22
        _15_code=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprStack.monty:77:14-18
        _16_codeptr=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprStack.monty:78:14-21
        _17_cconst=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprStack.monty:79:14-20
        for _18_i in range(0,_3_n): # bld/herlev/final/default/src/fusion/ExprStack.monty:81:10-97:11
          # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:81:29-97:11
          _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprStack.monty:83:12-26
          _5_nds[_18_i] = (_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprStack.monty:84:12-35
          _6_shape_base[_18_i] = (_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:85:12-43
          _7_nelem[_18_i] = (_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprStack.monty:86:12-38
          _8_nnz[_18_i] = (_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprStack.monty:87:12-36
          _9_ncodeatom[_18_i] = (_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprStack.monty:88:12-42
          _10_hassp[_18_i] = (1 if ((_1_ws.hassp) ) else 0) # bld/herlev/final/default/src/fusion/ExprStack.monty:89:12-52
          _11_ptr_base[_18_i] = (_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:90:12-41
          _13_sp_base[_18_i] = (_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:91:12-40
          _12_nidxs_base[_18_i] = (_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:92:12-43
          _14_cof_base[_18_i] = (_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:93:12-41
          _15_code[_18_i] = (_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:94:12-42
          _16_codeptr[_18_i] = (_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:95:12-45
          _17_cconst[_18_i] = (_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:96:12-44
          # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:81:29-97:11
        _19_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprStack.monty:99:14-18
        _20_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprStack.monty:100:14-18
        _21_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprStack.monty:101:14-18
        _22_nd=_5_nds[0] # bld/herlev/final/default/src/fusion/ExprStack.monty:104:14-16
        _23_shape=_6_shape_base[0] # bld/herlev/final/default/src/fusion/ExprStack.monty:105:14-19
        _24_dense=(_10_hassp[0]==0) # bld/herlev/final/default/src/fusion/ExprStack.monty:106:14-19
        _25_mismatching_dims=False # bld/herlev/final/default/src/fusion/ExprStack.monty:107:14-30
        _24_dense,_25_mismatching_dims = fragments._c_closure_414(_24_dense,self.__dim,_10_hassp,_25_mismatching_dims,_3_n,_22_nd,_5_nds,_23_shape,_6_shape_base,_19_wi32) # bld/herlev/final/default/src/fusion/ExprStack.monty:109:10-118:11
        if _25_mismatching_dims: # bld/herlev/final/default/src/fusion/ExprStack.monty:119:14-30
          # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:120:12-74
          raise mosek_fusion_DimensionError._ctor_S("Mismatching expression dimensions") # bld/herlev/final/default/src/fusion/ExprStack.monty:120:12-74
          # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:120:12-74
        _26_sdim=0 # bld/herlev/final/default/src/fusion/ExprStack.monty:122:14-18
        _26_sdim = fragments._c_closure_415(self.__dim,_3_n,_22_nd,_26_sdim,_6_shape_base,_19_wi32) # bld/herlev/final/default/src/fusion/ExprStack.monty:123:10-124:24
        _26_sdim = numpy.int32(_26_sdim) # postprocess
        _27_rnd=(_22_nd if ((self.__dim < _22_nd) ) else (_22_nd + 1)) # bld/herlev/final/default/src/fusion/ExprStack.monty:126:14-17
        if (_27_rnd!=self._getND_()): # bld/herlev/final/default/src/fusion/ExprStack.monty:128:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:128:30-130:11
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Mismatching dimensions") # bld/herlev/final/default/src/fusion/ExprStack.monty:129:12-74
          # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:128:30-130:11
        _28_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprStack.monty:132:36-46
        _29_rnelem=0 # bld/herlev/final/default/src/fusion/ExprStack.monty:132:24-30
        _30_rnnz=0 # bld/herlev/final/default/src/fusion/ExprStack.monty:132:14-18
        _31_parameterized=False # bld/herlev/final/default/src/fusion/ExprStack.monty:133:14-27
        # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:134:10-140:11
        _31_parameterized,_28_rncodeatom,_29_rnelem,_30_rnnz = fragments._c_closure_416(_3_n,_9_ncodeatom,_7_nelem,_8_nnz,_31_parameterized,_28_rncodeatom,_29_rnelem,_30_rnnz) # bld/herlev/final/default/src/fusion/ExprStack.monty:134:10-140:11
        _28_rncodeatom = numpy.int32(_28_rncodeatom) # postprocess
        _29_rnelem = numpy.int32(_29_rnelem) # postprocess
        _30_rnnz = numpy.int32(_30_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:134:10-140:11
        _32_d0=1 # bld/herlev/final/default/src/fusion/ExprStack.monty:142:14-16
        _32_d0 = fragments._c_closure_417(_32_d0,self.__dim,_23_shape,_19_wi32) # bld/herlev/final/default/src/fusion/ExprStack.monty:142:26-70
        _32_d0 = numpy.int32(_32_d0) # postprocess
        _33_d1s=(numpy.array([_19_wi32[(_6_shape_base[_34_i] + self.__dim)] for _34_i in range(0,_3_n)], dtype=numpy.dtype(numpy.int32)) if ((self.__dim < _22_nd) ) else numpy.array([1 for _35_i in range(0,_3_n)], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/ExprStack.monty:143:14-17
        _36_offset=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprStack.monty:144:14-20
        _36_offset[0] = 0 # bld/herlev/final/default/src/fusion/ExprStack.monty:144:36-50
        fragments._c_closure_418(_33_d1s,_3_n,_36_offset) # bld/herlev/final/default/src/fusion/ExprStack.monty:144:51-105
        _37_d1=0 # bld/herlev/final/default/src/fusion/ExprStack.monty:145:14-16
        _37_d1 = fragments._c_closure_419(_37_d1,_33_d1s,_3_n) # bld/herlev/final/default/src/fusion/ExprStack.monty:145:26-58
        _37_d1 = numpy.int32(_37_d1) # postprocess
        _38_d2=1 # bld/herlev/final/default/src/fusion/ExprStack.monty:146:14-16
        _38_d2 = fragments._c_closure_420(_38_d2,self.__dim,_22_nd,_23_shape,_19_wi32) # bld/herlev/final/default/src/fusion/ExprStack.monty:146:26-70
        _38_d2 = numpy.int32(_38_d2) # postprocess
        if _24_dense: # bld/herlev/final/default/src/fusion/ExprStack.monty:148:14-19
          # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:148:21-208:11
          _0_rs._alloc_1expr_IIIZI(_27_rnd,_29_rnelem,_30_rnnz,False,_28_rncodeatom) # bld/herlev/final/default/src/fusion/ExprStack.monty:149:12-60
          _39_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:150:16-20
          _40_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:151:16-22
          _41_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:152:16-22
          _42_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:153:16-20
          _43_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:154:16-21
          _44_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:155:16-24
          _45_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:156:16-23
          _46_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprStack.monty:158:16-20
          _47_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprStack.monty:159:16-20
          _48_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprStack.monty:160:16-20
          _49_xcodeptr=(_2_xs._alloci32_I((_29_rnelem + 1)) if ((_28_rncodeatom > 0) ) else (- 9999)) # bld/herlev/final/default/src/fusion/ExprStack.monty:162:16-24
          _50_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprStack.monty:163:16-20
          fragments._c_closure_421(_22_nd,_46_ri32,_40_rshape,_23_shape,_19_wi32) # bld/herlev/final/default/src/fusion/ExprStack.monty:166:12-63
          _46_ri32[(_40_rshape + self.__dim)] = _26_sdim # bld/herlev/final/default/src/fusion/ExprStack.monty:167:12-36
          # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:169:12-207:13
          fragments._c_closure_422(_17_cconst,_15_code,_16_codeptr,_14_cof_base,_32_d0,_33_d1s,_38_d2,_3_n,_9_ncodeatom,_12_nidxs_base,_31_parameterized,_11_ptr_base,_45_rcconst,_43_rcode,_44_rcodeptr,_42_rcof,_48_rf64,_46_ri32,_47_ri64,_41_rnidxs,_39_rptr,_21_wf64,_19_wi32,_20_wi64) # bld/herlev/final/default/src/fusion/ExprStack.monty:169:12-207:13
          # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:169:12-207:13
          # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:148:21-208:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:209:15-427:11
          _51_rshapesize=1 # bld/herlev/final/default/src/fusion/ExprStack.monty:210:16-26
          _51_rshapesize = fragments._c_closure_423(self.__dim,_51_rshapesize,_23_shape,_19_wi32) # bld/herlev/final/default/src/fusion/ExprStack.monty:211:12-61
          _51_rshapesize = numpy.int32(_51_rshapesize) # postprocess
          _51_rshapesize *= _26_sdim # bld/herlev/final/default/src/fusion/ExprStack.monty:212:12-31
          _51_rshapesize = fragments._c_closure_424(self.__dim,_22_nd,_51_rshapesize,_23_shape,_19_wi32) # bld/herlev/final/default/src/fusion/ExprStack.monty:213:12-64
          _51_rshapesize = numpy.int32(_51_rshapesize) # postprocess
          _52_rhassp=(_29_rnelem < _51_rshapesize) # bld/herlev/final/default/src/fusion/ExprStack.monty:215:16-22
          _0_rs._alloc_1expr_IIIZI(_27_rnd,_29_rnelem,_30_rnnz,_52_rhassp,_28_rncodeatom) # bld/herlev/final/default/src/fusion/ExprStack.monty:217:12-61
          _53_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:219:16-20
          _54_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:220:16-22
          _55_rsp=((_0_rs.sp_base) if (_52_rhassp ) else _0_rs._alloci64_I(_29_rnelem)) # bld/herlev/final/default/src/fusion/ExprStack.monty:221:16-19
          _56_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:222:16-20
          _57_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:223:16-21
          _58_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:224:16-24
          _59_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:225:16-23
          _60_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprStack.monty:226:16-22
          for _61_i in range(0,_22_nd): # bld/herlev/final/default/src/fusion/ExprStack.monty:227:12-65
            # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:227:32-65
            (_0_rs.i32)[(_60_rshape + _61_i)] = _19_wi32[(_23_shape + _61_i)] # bld/herlev/final/default/src/fusion/ExprStack.monty:227:32-65
            # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:227:32-65
          (_0_rs.i32)[(_60_rshape + self.__dim)] = _26_sdim # bld/herlev/final/default/src/fusion/ExprStack.monty:228:12-38
          _62_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprStack.monty:230:16-20
          _63_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprStack.monty:231:16-20
          _64_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprStack.monty:232:16-20
          if (self.__dim==0): # bld/herlev/final/default/src/fusion/ExprStack.monty:241:16-24
            # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:241:26-299:13
            fragments._c_closure_425(_17_cconst,_15_code,_16_codeptr,_14_cof_base,_10_hassp,_3_n,_9_ncodeatom,_22_nd,_7_nelem,_12_nidxs_base,_11_ptr_base,_59_rcconst,_57_rcode,_58_rcodeptr,_56_rcof,_64_rf64,_62_ri32,_63_ri64,_28_rncodeatom,_54_rnidxs,_53_rptr,_55_rsp,_6_shape_base,_13_sp_base,_21_wf64,_19_wi32,_20_wi64) # bld/herlev/final/default/src/fusion/ExprStack.monty:241:26-299:13
            # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:241:26-299:13
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:300:17-424:13
            _65_maxdim=0 # bld/herlev/final/default/src/fusion/ExprStack.monty:302:18-24
            _65_maxdim = fragments._c_closure_426(_65_maxdim,_62_ri32,_27_rnd,_60_rshape) # bld/herlev/final/default/src/fusion/ExprStack.monty:302:30-104
            _65_maxdim = numpy.int32(_65_maxdim) # postprocess
            _66_tsp=_2_xs._alloci64_I(_29_rnelem) # bld/herlev/final/default/src/fusion/ExprStack.monty:303:18-21
            _67_ti=_2_xs._alloci32_I(_29_rnelem) # bld/herlev/final/default/src/fusion/ExprStack.monty:304:18-20
            _68_tj=_2_xs._alloci32_I(_29_rnelem) # bld/herlev/final/default/src/fusion/ExprStack.monty:305:18-20
            _69_curperm=_2_xs._alloci32_I(_29_rnelem) # bld/herlev/final/default/src/fusion/ExprStack.monty:306:18-25
            _70_tgtperm=_2_xs._alloci32_I(_29_rnelem) # bld/herlev/final/default/src/fusion/ExprStack.monty:307:18-25
            _71_xptr=_2_xs._alloci32_I((_65_maxdim + 1)) # bld/herlev/final/default/src/fusion/ExprStack.monty:308:18-22
            _72_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprStack.monty:310:18-22
            _73_xi64=(_2_xs.i64) # bld/herlev/final/default/src/fusion/ExprStack.monty:311:18-22
            # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:314:14-347:15
            fragments._c_closure_427(_33_d1s,_38_d2,_10_hassp,_3_n,_7_nelem,_36_offset,_26_sdim,_13_sp_base,_67_ti,_68_tj,_66_tsp,_20_wi64,_72_xi32,_73_xi64) # bld/herlev/final/default/src/fusion/ExprStack.monty:314:14-347:15
            # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:314:14-347:15
            # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:352:14-379:15
            _69_curperm,_70_tgtperm = fragments._c_closure_428(_69_curperm,_62_ri32,_27_rnd,_29_rnelem,_60_rshape,_70_tgtperm,_66_tsp,_72_xi32,_73_xi64,_71_xptr) # bld/herlev/final/default/src/fusion/ExprStack.monty:352:14-379:15
            _69_curperm = numpy.int32(_69_curperm) # postprocess
            _70_tgtperm = numpy.int32(_70_tgtperm) # postprocess
            # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:352:14-379:15
            # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:384:14-423:15
            fragments._c_closure_429(_17_cconst,_15_code,_16_codeptr,_14_cof_base,_69_curperm,_9_ncodeatom,_12_nidxs_base,_31_parameterized,_11_ptr_base,_59_rcconst,_57_rcode,_58_rcodeptr,_56_rcof,_64_rf64,_62_ri32,_63_ri64,_28_rncodeatom,_29_rnelem,_54_rnidxs,_53_rptr,_55_rsp,_67_ti,_68_tj,_66_tsp,_21_wf64,_19_wi32,_20_wi64,_72_xi32,_73_xi64) # bld/herlev/final/default/src/fusion/ExprStack.monty:384:14-423:15
            # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:384:14-423:15
            # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:300:17-424:13
          if (not _52_rhassp): # bld/herlev/final/default/src/fusion/ExprStack.monty:425:16-26
            # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:426:14-32
            _0_rs._popi64_I(_29_rnelem) # bld/herlev/final/default/src/fusion/ExprStack.monty:426:14-32
            # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:426:14-32
          # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:209:15-427:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:62:13-428:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:55:67-430:7
    @staticmethod
    def __getshape_alt__3Lmosek_4fusion_4Expression_2I(_t__0_es,_t__1_dim):
      _0_es=numpy.array(_t__0_es,dtype=numpy.dtype(object))
      _1_dim=numpy.int32(_t__1_dim)
      _1 = mosek_fusion_ExprStack.__getshape__3Lmosek_4fusion_4Expression_2I(_0_es,_1_dim)
      try:
        _t__0_es[:] = _0_es
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __getshape__3Lmosek_4fusion_4Expression_2I(_0_es,_1_dim):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:16:73-47:7
      if (int((_0_es).shape[0])==0): # bld/herlev/final/default/src/fusion/ExprStack.monty:17:12-24
        # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:18:10-59
        raise mosek_fusion_LengthError._ctor_S("Cannot stack empty list") # bld/herlev/final/default/src/fusion/ExprStack.monty:18:10-59
        # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:18:10-59
      elif (int((_0_es).shape[0])==1): # bld/herlev/final/default/src/fusion/ExprStack.monty:19:16-28
        # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:20:10-34
        return (_0_es[0]._getShape_()) # bld/herlev/final/default/src/fusion/ExprStack.monty:20:10-34
        # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:20:10-34
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:21:13-46:9
        _2_shapes=_monty.initJaggedArray([_0_es[_3_i]._getShape_() for _3_i in range(0,int((_0_es).shape[0]))], 1) # bld/herlev/final/default/src/fusion/ExprStack.monty:22:14-20
        _4_shape=_2_shapes[0] # bld/herlev/final/default/src/fusion/ExprStack.monty:23:14-19
        _5_nd=int((_4_shape).shape[0]) # bld/herlev/final/default/src/fusion/ExprStack.monty:24:14-16
        for _6_i in range(1,int((_2_shapes).shape[0])): # bld/herlev/final/default/src/fusion/ExprStack.monty:25:10-34:11
          # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:25:39-34:11
          if (_5_nd!=int((_2_shapes[_6_i]).shape[0])): # bld/herlev/final/default/src/fusion/ExprStack.monty:26:16-36
            # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:27:14-76
            raise mosek_fusion_DimensionError._ctor_S("Mismatching expression dimensions") # bld/herlev/final/default/src/fusion/ExprStack.monty:27:14-76
            # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:27:14-76
          for _7_j in range(0,_1_dim): # bld/herlev/final/default/src/fusion/ExprStack.monty:28:12-30:78
            # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:29:14-30:78
            if (_4_shape[_7_j]!=_2_shapes[_6_i][_7_j]): # bld/herlev/final/default/src/fusion/ExprStack.monty:29:18-42
              # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:30:16-78
              raise mosek_fusion_DimensionError._ctor_S("mismatching expression dimensions") # bld/herlev/final/default/src/fusion/ExprStack.monty:30:16-78
              # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:30:16-78
            # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:29:14-30:78
          for _8_j in range((_1_dim + 1),_5_nd): # bld/herlev/final/default/src/fusion/ExprStack.monty:31:12-33:78
            # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:32:14-33:78
            if (_4_shape[_8_j]!=_2_shapes[_6_i][_8_j]): # bld/herlev/final/default/src/fusion/ExprStack.monty:32:18-42
              # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:33:16-78
              raise mosek_fusion_DimensionError._ctor_S("mismatching expression dimensions") # bld/herlev/final/default/src/fusion/ExprStack.monty:33:16-78
              # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:33:16-78
            # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:32:14-33:78
          # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:25:39-34:11
        if (_1_dim==_5_nd): # bld/herlev/final/default/src/fusion/ExprStack.monty:35:14-23
          # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:35:25-39:11
          _9_resshape=numpy.zeros(((_5_nd + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprStack.monty:36:16-24
          fragments._c_closure_430(_5_nd,_9_resshape,_4_shape) # bld/herlev/final/default/src/fusion/ExprStack.monty:36:43-86
          _9_resshape[_5_nd] = int((_2_shapes).shape[0]) # bld/herlev/final/default/src/fusion/ExprStack.monty:37:12-40
          return (_9_resshape) # bld/herlev/final/default/src/fusion/ExprStack.monty:38:12-28
          # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:35:25-39:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:40:15-45:11
          _10_resshape=_4_shape # bld/herlev/final/default/src/fusion/ExprStack.monty:41:16-24
          fragments._c_closure_431(_1_dim,_10_resshape,_2_shapes) # bld/herlev/final/default/src/fusion/ExprStack.monty:42:12-43:46
          return (_10_resshape) # bld/herlev/final/default/src/fusion/ExprStack.monty:44:12-28
          # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:40:15-45:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:21:13-46:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:16:73-47:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:8:38-14:7
      _0_b=mosek.fusion.Utils.StringBuffer()._a_S("ExprStack(dim=")._a_I(self.__dim)._a_S(",[")._a_S(self.__exprs[0]._toString_()) # bld/herlev/final/default/src/fusion/ExprStack.monty:9:12-13
      for _1_i in range(1,int((self.__exprs).shape[0])): # bld/herlev/final/default/src/fusion/ExprStack.monty:10:8-11:42
        # Start scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:11:10-42
        _0_b._a_S(",")._a_S(self.__exprs[_1_i]._toString_()) # bld/herlev/final/default/src/fusion/ExprStack.monty:11:10-42
        # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:11:10-42
      _0_b._a_S("])") # bld/herlev/final/default/src/fusion/ExprStack.monty:12:8-18
      return (_0_b._toString_()) # bld/herlev/final/default/src/fusion/ExprStack.monty:13:8-28
      # End   scope @ bld/herlev/final/default/src/fusion/ExprStack.monty:8:38-14:7
  return ExprStack
mosek_fusion_ExprStack=__mk_mosek_fusion_ExprStack()
del __mk_mosek_fusion_ExprStack

# origin: bld/herlev/final/default/src/fusion/ExprMul.monty:2320:4-2512:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprInner():
  class ExprInner(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprInner__vcof','_ExprInner__vsub','_ExprInner__expr']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Expression_2_3D(*args): # mosek.fusion.Expression,[]double
        self._ctor_init_Lmosek_4fusion_4Expression_2_3D(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Expression_2_3D(*args):# mosek.fusion.Expression,[]double
        self._ctor_alt_init_Lmosek_4fusion_4Expression_2_3D(*args)
      elif self.__match_ctor_Lmosek_4fusion_4Expression_2_3J_3D(*args): # mosek.fusion.Expression,[]int64,[]double
        self._ctor_init_Lmosek_4fusion_4Expression_2_3J_3D(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Expression_2_3J_3D(*args):# mosek.fusion.Expression,[]int64,[]double
        self._ctor_alt_init_Lmosek_4fusion_4Expression_2_3J_3D(*args)
      elif self.__match_ctor_Lmosek_4fusion_4Expression_2_3_5I_3D(*args): # mosek.fusion.Expression,[,]int32,[]double
        self._ctor_init_Lmosek_4fusion_4Expression_2_3_5I_3D(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Expression_2_3_5I_3D(*args):# mosek.fusion.Expression,[,]int32,[]double
        self._ctor_alt_init_Lmosek_4fusion_4Expression_2_3_5I_3D(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprInner.ctor(mosek.fusion.Expression,array(double,ndim=1))\n\tmosek.fusion.ExprInner.ctor(mosek.fusion.Expression,array(int64,ndim=1),array(double,ndim=1))\n\tmosek.fusion.ExprInner.ctor(mosek.fusion.Expression,array(int32,ndim=2),array(double,ndim=1))')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprInner._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprInner._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprInner.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprInner._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprInner._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprInner.toString()')

    def __repr__(self): return 'mosek.fusion.ExprInner'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2_3J_3D(expr3,vsub3,vcof3):
      o = ExprInner.__new__(ExprInner)
      o._ctor_init_Lmosek_4fusion_4Expression_2_3J_3D(expr3,vsub3,vcof3)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2_3J_3D(*args):
      if len(args) != 3: return False
      expr3,vsub3,vcof3, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(expr3)
              and __arg_match__3J__(vsub3)
              and __arg_match__3D__(vcof3))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2_3J_3D(*args):
      if len(args) != 3: return False
      expr3,vsub3,vcof3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr3)
              and __arg_alt_match__3J__(vsub3)
              and __arg_alt_match__3D__(vcof3))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:2352:6-2380:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2_3J_3D(self,expr3,vsub3,vcof3):
      self._ctor_init_Lmosek_4fusion_4Expression_2_3J_3D(expr3,numpy.array(vsub3,dtype=numpy.dtype(numpy.int64)),numpy.array(vcof3,dtype=numpy.dtype(numpy.float64)))
    def _ctor_init_Lmosek_4fusion_4Expression_2_3J_3D(self,expr3,vsub3,vcof3):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2352:68-2380:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)))# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:2353:8-27
      (self.__expr) = expr3 # bld/herlev/final/default/src/fusion/ExprMul.monty:2355:8-26
      (self.__vsub) = vsub3 # bld/herlev/final/default/src/fusion/ExprMul.monty:2356:8-26
      (self.__vcof) = vcof3 # bld/herlev/final/default/src/fusion/ExprMul.monty:2357:8-26
      if (int((vsub3).shape[0])!=int((vcof3).shape[0])): # bld/herlev/final/default/src/fusion/ExprMul.monty:2359:12-36
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2360:10-72
        raise mosek_fusion_LengthError._ctor_S("Mismatching lengths of vcof and vsub") # bld/herlev/final/default/src/fusion/ExprMul.monty:2360:10-72
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2360:10-72
      _0_shp=expr3._getShape_() # bld/herlev/final/default/src/fusion/ExprMul.monty:2362:12-15
      _1_size=mosek.fusion.Set._size__3I(_0_shp) # bld/herlev/final/default/src/fusion/ExprMul.monty:2363:12-16
      _2_err_sorted=False # bld/herlev/final/default/src/fusion/ExprMul.monty:2365:12-22
      _3_err_bounds=False # bld/herlev/final/default/src/fusion/ExprMul.monty:2366:12-22
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2367:8-2375:9
      _3_err_bounds,_2_err_sorted = fragments._c_closure_432(_3_err_bounds,_2_err_sorted,_1_size,vsub3) # bld/herlev/final/default/src/fusion/ExprMul.monty:2367:8-2375:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2367:8-2375:9
      if _2_err_sorted: # bld/herlev/final/default/src/fusion/ExprMul.monty:2376:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2377:10-68
        raise mosek_fusion_IndexError._ctor_S("Unordered coefficcient subscripts") # bld/herlev/final/default/src/fusion/ExprMul.monty:2377:10-68
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2377:10-68
      if _3_err_bounds: # bld/herlev/final/default/src/fusion/ExprMul.monty:2378:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2379:10-70
        raise mosek_fusion_IndexError._ctor_S("Coefficient subscript out of bounds") # bld/herlev/final/default/src/fusion/ExprMul.monty:2379:10-70
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2379:10-70
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2352:68-2380:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2_3D(expr2,vcof2):
      o = ExprInner.__new__(ExprInner)
      o._ctor_init_Lmosek_4fusion_4Expression_2_3D(expr2,vcof2)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      expr2,vcof2, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(expr2)
              and __arg_match__3D__(vcof2))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      expr2,vcof2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr2)
              and __arg_alt_match__3D__(vcof2))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:2343:6-2350:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2_3D(self,expr2,vcof2):
      self._ctor_init_Lmosek_4fusion_4Expression_2_3D(expr2,numpy.array(vcof2,dtype=numpy.dtype(numpy.float64)))
    def _ctor_init_Lmosek_4fusion_4Expression_2_3D(self,expr2,vcof2):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2343:53-2350:7
      mosek_fusion_ExprInner._ctor_init_Lmosek_4fusion_4Expression_2_3J_3D(self,expr2,mosek.fusion.ExprInner.__range_I(int((vcof2).shape[0])),vcof2)# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:2344:8-46
      _0_eshape=expr2._getShape_() # bld/herlev/final/default/src/fusion/ExprMul.monty:2346:12-18
      if ((int((_0_eshape).shape[0])!=1) or (_0_eshape[0]!=int((vcof2).shape[0]))): # bld/herlev/final/default/src/fusion/ExprMul.monty:2347:12-55
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2347:57-2349:9
        raise mosek_fusion_DimensionError._ctor_S("Mismatching dimensions of operands") # bld/herlev/final/default/src/fusion/ExprMul.monty:2348:10-73
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2347:57-2349:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2343:53-2350:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2_3_5I_3D(expr1,vsub1,vcof1):
      o = ExprInner.__new__(ExprInner)
      o._ctor_init_Lmosek_4fusion_4Expression_2_3_5I_3D(expr1,vsub1,vcof1)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2_3_5I_3D(*args):
      if len(args) != 3: return False
      expr1,vsub1,vcof1, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(expr1)
              and __arg_match__3_5I__(vsub1)
              and __arg_match__3D__(vcof1))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2_3_5I_3D(*args):
      if len(args) != 3: return False
      expr1,vsub1,vcof1, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr1)
              and __arg_alt_match__3_5I__(vsub1)
              and __arg_alt_match__3D__(vcof1))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:2339:6-2341:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2_3_5I_3D(self,expr1,vsub1,vcof1):
      self._ctor_init_Lmosek_4fusion_4Expression_2_3_5I_3D(expr1,numpy.array(vsub1,dtype=numpy.dtype(numpy.int32)),numpy.array(vcof1,dtype=numpy.dtype(numpy.float64)))
    def _ctor_init_Lmosek_4fusion_4Expression_2_3_5I_3D(self,expr1,vsub1,vcof1):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2339:69-2341:7
      mosek_fusion_ExprInner._ctor_init_Lmosek_4fusion_4Expression_2_3J_3D(self,expr1,mosek.fusion.ExprInner.__convert__3I_3_5I(expr1._getShape_(),vsub1),vcof1)# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:2340:8-61
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2339:69-2341:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2382:67-2511:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprMul.monty:2383:8-28
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprMul.monty:2385:8-22
      _3_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprMul.monty:2387:12-14
      _4_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:2388:12-17
      _5_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprMul.monty:2389:12-15
      _6_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:2390:12-21
      _7_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprMul.monty:2391:12-17
      _8_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2392:12-17
      _9_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2393:12-15
      _10_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2394:12-17
      _11_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2395:12-14
      _12_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2396:12-15
      _13_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2397:12-16
      _14_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2398:12-19
      _15_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2399:12-18
      _16_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:2401:12-16
      _17_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:2402:12-16
      _18_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:2403:12-16
      _19_rnnz=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:2406:12-16
      _19_rnnz = fragments._c_closure_433(_7_hassp,_4_nelem,_9_ptr,_19_rnnz,_11_sp,self.__vsub,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprMul.monty:2407:8-2422:9
      _19_rnnz = numpy.int32(_19_rnnz) # postprocess
      _20_rncodeatom=((_6_ncodeatom + (2 * _5_nnz)) if ((_6_ncodeatom > 0) ) else 0) # bld/herlev/final/default/src/fusion/ExprMul.monty:2425:12-22
      _0_rs._alloc_1expr_IIIZI(0,1,_19_rnnz,False,_20_rncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:2427:8-49
      _21_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2428:12-16
      _22_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2429:12-18
      _23_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2430:12-16
      _24_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2431:12-17
      _25_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2432:12-20
      _26_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2433:12-19
      _27_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:2435:12-16
      _28_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:2436:12-16
      _29_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:2437:12-16
      _27_ri32[_21_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprMul.monty:2439:8-23
      _27_ri32[(_21_rptr + 1)] = _19_rnnz # bld/herlev/final/default/src/fusion/ExprMul.monty:2440:8-28
      if (_20_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprMul.monty:2442:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2443:10-29
        _27_ri32[_25_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprMul.monty:2443:10-29
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2443:10-29
      _30_codei=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:2446:19-24
      _31_k=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:2446:12-13
      _30_codei,_31_k = fragments._c_closure_434(_15_cconst,_13_code,_30_codei,_14_codeptr,_12_cof,_7_hassp,_31_k,_4_nelem,_10_nidxs,_9_ptr,_26_rcconst,_24_rcode,_25_rcodeptr,_23_rcof,_29_rf64,_27_ri32,_28_ri64,_20_rncodeatom,_22_rnidxs,_11_sp,self.__vcof,self.__vsub,_18_wf64,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprMul.monty:2447:8-2510:9
      _30_codei = numpy.int32(_30_codei) # postprocess
      _31_k = numpy.int32(_31_k) # postprocess
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2382:67-2511:7
    @staticmethod
    def __range_alt_I(_t__0_n):
      return mosek_fusion_ExprInner.__range_I(numpy.int32(__0_n))
    @staticmethod
    def __range_I(_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2337:51-90
      return (numpy.array([_1_i for _1_i in range(0,_0_n)], dtype=numpy.dtype(numpy.int64))) # bld/herlev/final/default/src/fusion/ExprMul.monty:2337:53-88
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2337:51-90
    @staticmethod
    def __convert_alt__3I_3_5I(_t__0_shape,_t__1_vsub):
      _0_shape=numpy.array(_t__0_shape,dtype=numpy.dtype(numpy.int32))
      _1_vsub=numpy.array(_t__1_vsub,ndmin=_monty.checkShape(_t__1_vsub,2),dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_ExprInner.__convert__3I_3_5I(_0_shape,_1_vsub)
      try:
        _t__0_shape[:] = _0_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __convert__3I_3_5I(_0_shape,_1_vsub):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2327:73-2335:7
      _2_nd=int((_0_shape).shape[0]) # bld/herlev/final/default/src/fusion/ExprMul.monty:2328:12-14
      _3_s=numpy.zeros((_2_nd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/ExprMul.monty:2329:12-13
      _3_s[(_2_nd - 1)] = 1 # bld/herlev/final/default/src/fusion/ExprMul.monty:2329:30-42
      fragments._c_closure_435(_2_nd,_3_s,_0_shape) # bld/herlev/final/default/src/fusion/ExprMul.monty:2329:43-97
      _4_res=numpy.zeros((int((_1_vsub).shape[0]),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/ExprMul.monty:2330:12-15
      fragments._c_closure_436(_2_nd,_4_res,_3_s,_1_vsub) # bld/herlev/final/default/src/fusion/ExprMul.monty:2331:8-2333:39
      return (_4_res) # bld/herlev/final/default/src/fusion/ExprMul.monty:2334:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2327:73-2335:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2325:39-64
      return ("ExprInner()") # bld/herlev/final/default/src/fusion/ExprMul.monty:2325:41-62
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2325:39-64
  return ExprInner
mosek_fusion_ExprInner=__mk_mosek_fusion_ExprInner()
del __mk_mosek_fusion_ExprInner

# origin: bld/herlev/final/default/src/fusion/ExprMul.monty:1961:4-2316:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulDiagRight():
  class ExprMulDiagRight(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulDiagRight__expr','_ExprMulDiagRight__mval','_ExprMulDiagRight__msubj','_ExprMulDiagRight__msubi','_ExprMulDiagRight__mdim1','_ExprMulDiagRight__mdim0']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args): # int32,int32,[]int32,[]int32,[]double,mosek.fusion.Expression
        self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args):# int32,int32,[]int32,[]int32,[]double,mosek.fusion.Expression
        self._ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulDiagRight.ctor(int32,int32,array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1),mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulDiagRight._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulDiagRight._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulDiagRight.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulDiagRight._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulDiagRight._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulDiagRight.toString()')

    def __repr__(self): return 'mosek.fusion.ExprMulDiagRight'
    @staticmethod
    def _ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(mdim0,mdim1,msubi,msubj,mval,expr,validated):
      o = ExprMulDiagRight.__new__(ExprMulDiagRight)
      o._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(mdim0,mdim1,msubi,msubj,mval,expr,validated)
      return o

    @staticmethod
    def __match_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(*args):
      if len(args) != 7: return False
      mdim0,mdim1,msubi,msubj,mval,expr,validated, = args
      return (    __arg_match_I__(mdim0)
              and __arg_match_I__(mdim1)
              and __arg_match__3I__(msubi)
              and __arg_match__3I__(msubj)
              and __arg_match__3D__(mval)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_match_I__(validated))
    @staticmethod
    def __match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(*args):
      if len(args) != 7: return False
      mdim0,mdim1,msubi,msubj,mval,expr,validated, = args
      return (    __arg_alt_match_I__(mdim0)
              and __arg_alt_match_I__(mdim1)
              and __arg_alt_match__3I__(msubi)
              and __arg_alt_match__3I__(msubj)
              and __arg_alt_match__3D__(mval)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_alt_match_I__(validated))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:2047:6-2065:7
    def _ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(self,mdim0,mdim1,msubi,msubj,mval,expr,validated):
      self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(numpy.int32(mdim0),numpy.int32(mdim1),numpy.array(msubi,dtype=numpy.dtype(numpy.int32)),numpy.array(msubj,dtype=numpy.dtype(numpy.int32)),numpy.array(mval,dtype=numpy.dtype(numpy.float64)),expr,numpy.int32(validated))
    def _ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(self,mdim0,mdim1,msubi,msubj,mval,expr,validated):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2056:25-2065:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,numpy.array([mdim1], dtype=numpy.dtype(numpy.int32)))# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:2057:8-28
      (self.__mdim0) = mdim0 # bld/herlev/final/default/src/fusion/ExprMul.monty:2059:8-27
      (self.__mdim1) = mdim1 # bld/herlev/final/default/src/fusion/ExprMul.monty:2060:8-27
      (self.__msubi) = msubi # bld/herlev/final/default/src/fusion/ExprMul.monty:2061:8-27
      (self.__msubj) = msubj # bld/herlev/final/default/src/fusion/ExprMul.monty:2062:8-27
      (self.__mval) = mval # bld/herlev/final/default/src/fusion/ExprMul.monty:2063:8-26
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprMul.monty:2064:8-26
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2056:25-2065:7
    @staticmethod
    def _ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(mdim0,mdim1,msubi,msubj,mval,expr):
      o = ExprMulDiagRight.__new__(ExprMulDiagRight)
      o._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(mdim0,mdim1,msubi,msubj,mval,expr)
      return o

    @staticmethod
    def __match_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 6: return False
      mdim0,mdim1,msubi,msubj,mval,expr, = args
      return (    __arg_match_I__(mdim0)
              and __arg_match_I__(mdim1)
              and __arg_match__3I__(msubi)
              and __arg_match__3I__(msubj)
              and __arg_match__3D__(mval)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 6: return False
      mdim0,mdim1,msubi,msubj,mval,expr, = args
      return (    __arg_alt_match_I__(mdim0)
              and __arg_alt_match_I__(mdim1)
              and __arg_alt_match__3I__(msubi)
              and __arg_alt_match__3I__(msubj)
              and __arg_alt_match__3D__(mval)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:2035:6-2045:7
    def _ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(self,mdim0,mdim1,msubi,msubj,mval,expr):
      self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(numpy.int32(mdim0),numpy.int32(mdim1),numpy.array(msubi,dtype=numpy.dtype(numpy.int32)),numpy.array(msubj,dtype=numpy.dtype(numpy.int32)),numpy.array(mval,dtype=numpy.dtype(numpy.float64)),expr)
    def _ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(self,mdim0,mdim1,msubi,msubj,mval,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2042:28-2045:7
      mosek_fusion_ExprMulDiagRight._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(self,mdim0,mdim1,msubi,msubj,mval,expr,mosek.fusion.ExprMulDiagRight.__validate_II_3I_3I_3DLmosek_4fusion_4Expression_2(mdim0,mdim1,msubi,msubj,mval,expr))# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:2043:8-2044:58
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2042:28-2045:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2068:67-2315:7
      (self.__expr)._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprMul.monty:2069:8-33
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprMul.monty:2070:8-22
      _3_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprMul.monty:2072:12-14
      _4_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprMul.monty:2073:12-15
      _5_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:2074:12-17
      _6_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:2075:12-21
      _7_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprMul.monty:2076:12-17
      _8_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2078:12-17
      _9_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2079:12-15
      _10_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2080:12-14
      _11_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2081:12-17
      _12_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2082:12-15
      _13_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2084:12-19
      _14_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2085:12-16
      _15_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2086:12-18
      _16_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:2088:12-16
      _17_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:2089:12-16
      _18_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:2090:12-16
      _19_edim0=_16_wi32[_8_shape] # bld/herlev/final/default/src/fusion/ExprMul.monty:2092:12-17
      _20_edim1=_16_wi32[(_8_shape + 1)] # bld/herlev/final/default/src/fusion/ExprMul.monty:2093:12-17
      _21_mnnz=int((self.__mval).shape[0]) # bld/herlev/final/default/src/fusion/ExprMul.monty:2095:12-16
      _22_xmperm=_2_xs._alloci32_I(_21_mnnz) # bld/herlev/final/default/src/fusion/ExprMul.monty:2096:12-18
      _23_xmcolptr=_2_xs._alloci32_I((self.__mdim1 + 1)) # bld/herlev/final/default/src/fusion/ExprMul.monty:2097:12-20
      _24_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:2098:12-16
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2100:8-2106:9
      fragments._c_closure_437(self.__mdim1,_21_mnnz,self.__msubj,_24_xi32,_23_xmcolptr,_22_xmperm) # bld/herlev/final/default/src/fusion/ExprMul.monty:2100:8-2106:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2100:8-2106:9
      _25_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:2114:34-44
      _26_rnnz=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:2114:24-28
      _27_rnelem=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:2114:12-18
      _25_rncodeatom,_27_rnelem,_26_rnnz = fragments._c_closure_438(_13_codeptr,_20_edim1,_7_hassp,self.__mdim1,_21_mnnz,self.__msubi,self.__msubj,_6_ncodeatom,_5_nelem,_9_ptr,_25_rncodeatom,_27_rnelem,_26_rnnz,_10_sp,_16_wi32,_17_wi64,_24_xi32,_22_xmperm) # bld/herlev/final/default/src/fusion/ExprMul.monty:2115:8-2159:9
      _25_rncodeatom = numpy.int32(_25_rncodeatom) # postprocess
      _27_rnelem = numpy.int32(_27_rnelem) # postprocess
      _26_rnnz = numpy.int32(_26_rnnz) # postprocess
      _28_rhassp=(_27_rnelem < _19_edim0) # bld/herlev/final/default/src/fusion/ExprMul.monty:2162:12-18
      _0_rs._alloc_1expr_IIIZI(1,_27_rnelem,_26_rnnz,_28_rhassp,_25_rncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:2166:8-55
      _29_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2168:12-16
      _30_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2169:12-18
      _31_rsp=((_0_rs.sp_base) if (_28_rhassp ) else _0_rs._alloci64_I(_27_rnelem)) # bld/herlev/final/default/src/fusion/ExprMul.monty:2170:12-15
      _32_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2171:12-16
      _33_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2172:12-18
      _34_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2174:12-17
      _35_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2175:12-20
      _36_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:2176:12-19
      _37_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:2178:12-16
      _38_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:2179:12-16
      _39_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:2180:12-16
      _40_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:2182:12-16
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2184:8-2312:9
      _41_codei=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:2185:33-38
      _42_nzi=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:2185:24-27
      _43_elmi=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:2185:14-18
      _39_ri32[_29_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprMul.monty:2187:10-29
      if (_25_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprMul.monty:2189:14-28
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2190:12-31
        _39_ri32[_35_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprMul.monty:2190:12-31
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2190:12-31
      _39_ri32[_33_rshape] = self.__mdim1 # bld/herlev/final/default/src/fusion/ExprMul.monty:2192:10-33
      _41_codei,_43_elmi,_42_nzi = fragments._c_closure_439(_15_cconst,_14_code,_41_codei,_13_codeptr,_12_cof,_20_edim1,_43_elmi,_7_hassp,self.__mdim1,_21_mnnz,self.__msubi,self.__msubj,self.__mval,_6_ncodeatom,_5_nelem,_11_nidxs,_42_nzi,_9_ptr,_36_rcconst,_34_rcode,_35_rcodeptr,_32_rcof,_38_rf64,_39_ri32,_37_ri64,_30_rnidxs,_29_rptr,_31_rsp,_10_sp,_18_wf64,_16_wi32,_17_wi64,_40_xi32,_22_xmperm) # bld/herlev/final/default/src/fusion/ExprMul.monty:2194:10-2305:11
      _41_codei = numpy.int32(_41_codei) # postprocess
      _43_elmi = numpy.int32(_43_elmi) # postprocess
      _42_nzi = numpy.int32(_42_nzi) # postprocess
      if (not _28_rhassp): # bld/herlev/final/default/src/fusion/ExprMul.monty:2306:14-24
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2307:12-30
        _0_rs._popi64_I(_27_rnelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:2307:12-30
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2307:12-30
      if (not (_26_rnnz==_42_nzi)): # bld/herlev/final/default/src/fusion/ExprMul.monty:2310:14-31
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2310:34-93
        raise mosek_fusion_UnexpectedError._ctor_S("Incorrect number of non-zeros") # bld/herlev/final/default/src/fusion/ExprMul.monty:2310:34-93
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2310:34-93
      if (not (_27_rnelem==_43_elmi)): # bld/herlev/final/default/src/fusion/ExprMul.monty:2311:14-32
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2311:34-92
        raise mosek_fusion_UnexpectedError._ctor_S("Incorrect number of elements") # bld/herlev/final/default/src/fusion/ExprMul.monty:2311:34-92
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2311:34-92
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2184:8-2312:9
      _2_xs._clear_() # bld/herlev/final/default/src/fusion/ExprMul.monty:2313:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2068:67-2315:7
    @staticmethod
    def __validate_alt_II_3I_3I_3DLmosek_4fusion_4Expression_2(_t__0_mdim0,_t__1_mdim1,_t__2_msubi,_t__3_msubj,_t__4_mval,_t__5_expr):
      _0_mdim0=numpy.int32(_t__0_mdim0)
      _1_mdim1=numpy.int32(_t__1_mdim1)
      _2_msubi=numpy.array(_t__2_msubi,dtype=numpy.dtype(numpy.int32))
      _3_msubj=numpy.array(_t__3_msubj,dtype=numpy.dtype(numpy.int32))
      _4_mval=numpy.array(_t__4_mval,dtype=numpy.dtype(numpy.float64))
      _5_expr=_t__5_expr
      _1 = mosek_fusion_ExprMulDiagRight.__validate_II_3I_3I_3DLmosek_4fusion_4Expression_2(_0_mdim0,_1_mdim1,_2_msubi,_3_msubj,_4_mval,_5_expr)
      try:
        _t__2_msubi[:] = _2_msubi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_msubj[:] = _3_msubj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_mval[:] = _4_mval
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __validate_II_3I_3I_3DLmosek_4fusion_4Expression_2(_0_mdim0,_1_mdim1,_2_msubi,_3_msubj,_4_mval,_5_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1981:28-2020:7
      _6_eshape=_5_expr._getShape_() # bld/herlev/final/default/src/fusion/ExprMul.monty:1984:12-18
      if (int((_6_eshape).shape[0]) > 2): # bld/herlev/final/default/src/fusion/ExprMul.monty:1986:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1987:10-65
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:1987:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1987:10-65
      _7_edim0=_6_eshape[0] # bld/herlev/final/default/src/fusion/ExprMul.monty:1989:12-17
      _8_edim1=_6_eshape[1] # bld/herlev/final/default/src/fusion/ExprMul.monty:1990:12-17
      if ((_0_mdim0 < 0) or ((_1_mdim1 < 0) or ((_7_edim0 < 0) or (_8_edim1 < 0)))): # bld/herlev/final/default/src/fusion/ExprMul.monty:1992:12-60
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1993:10-65
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:1993:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1993:10-65
      if ((_0_mdim0!=_8_edim1) or (_1_mdim1!=_7_edim0)): # bld/herlev/final/default/src/fusion/ExprMul.monty:1994:12-44
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1995:10-69
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:1995:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1995:10-69
      if ((int((_2_msubi).shape[0])!=int((_3_msubj).shape[0])) or (int((_2_msubi).shape[0])!=int((_4_mval).shape[0]))): # bld/herlev/final/default/src/fusion/ExprMul.monty:1996:12-63
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1997:10-55
        raise mosek_fusion_LengthError._ctor_S("Invalid matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:1997:10-55
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1997:10-55
      _9_mnnz=int((_2_msubi).shape[0]) # bld/herlev/final/default/src/fusion/ExprMul.monty:1999:12-16
      _10_err_data=False # bld/herlev/final/default/src/fusion/ExprMul.monty:2001:12-20
      _11_err_sorted=False # bld/herlev/final/default/src/fusion/ExprMul.monty:2002:12-22
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2003:8-2013:9
      _10_err_data,_11_err_sorted = fragments._c_closure_440(_10_err_data,_11_err_sorted,_0_mdim0,_1_mdim1,_9_mnnz,_2_msubi,_3_msubj) # bld/herlev/final/default/src/fusion/ExprMul.monty:2003:8-2013:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2003:8-2013:9
      if _10_err_data: # bld/herlev/final/default/src/fusion/ExprMul.monty:2014:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2015:10-55
        raise mosek_fusion_LengthError._ctor_S("Invalid matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:2015:10-55
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2015:10-55
      if _11_err_sorted: # bld/herlev/final/default/src/fusion/ExprMul.monty:2016:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2017:10-56
        raise mosek_fusion_LengthError._ctor_S("Unsorted matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:2017:10-56
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:2017:10-56
      return numpy.int32(1) # bld/herlev/final/default/src/fusion/ExprMul.monty:2019:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1981:28-2020:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1972:39-137
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprMulDiagRight(")._a_S(self.__expr._toString_())._a_S(",m)")._toString_()) # bld/herlev/final/default/src/fusion/ExprMul.monty:1972:41-135
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1972:39-137
  return ExprMulDiagRight
mosek_fusion_ExprMulDiagRight=__mk_mosek_fusion_ExprMulDiagRight()
del __mk_mosek_fusion_ExprMulDiagRight

# origin: bld/herlev/final/default/src/fusion/ExprMul.monty:1578:4-1947:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulDiagLeft():
  class ExprMulDiagLeft(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulDiagLeft__expr','_ExprMulDiagLeft__mval','_ExprMulDiagLeft__msubj','_ExprMulDiagLeft__msubi','_ExprMulDiagLeft__mdim1','_ExprMulDiagLeft__mdim0']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args): # int32,int32,[]int32,[]int32,[]double,mosek.fusion.Expression
        self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args):# int32,int32,[]int32,[]int32,[]double,mosek.fusion.Expression
        self._ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulDiagLeft.ctor(int32,int32,array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1),mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulDiagLeft._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulDiagLeft._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulDiagLeft.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulDiagLeft._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulDiagLeft._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulDiagLeft.toString()')

    def __repr__(self): return 'mosek.fusion.ExprMulDiagLeft'
    @staticmethod
    def _ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(mdim0,mdim1,msubi,msubj,mval,expr,validated):
      o = ExprMulDiagLeft.__new__(ExprMulDiagLeft)
      o._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(mdim0,mdim1,msubi,msubj,mval,expr,validated)
      return o

    @staticmethod
    def __match_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(*args):
      if len(args) != 7: return False
      mdim0,mdim1,msubi,msubj,mval,expr,validated, = args
      return (    __arg_match_I__(mdim0)
              and __arg_match_I__(mdim1)
              and __arg_match__3I__(msubi)
              and __arg_match__3I__(msubj)
              and __arg_match__3D__(mval)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_match_I__(validated))
    @staticmethod
    def __match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(*args):
      if len(args) != 7: return False
      mdim0,mdim1,msubi,msubj,mval,expr,validated, = args
      return (    __arg_alt_match_I__(mdim0)
              and __arg_alt_match_I__(mdim1)
              and __arg_alt_match__3I__(msubi)
              and __arg_alt_match__3I__(msubj)
              and __arg_alt_match__3D__(mval)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_alt_match_I__(validated))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:1663:6-1682:7
    def _ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(self,mdim0,mdim1,msubi,msubj,mval,expr,validated):
      self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(numpy.int32(mdim0),numpy.int32(mdim1),numpy.array(msubi,dtype=numpy.dtype(numpy.int32)),numpy.array(msubj,dtype=numpy.dtype(numpy.int32)),numpy.array(mval,dtype=numpy.dtype(numpy.float64)),expr,numpy.int32(validated))
    def _ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(self,mdim0,mdim1,msubi,msubj,mval,expr,validated):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1672:25-1682:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,numpy.array([mdim0], dtype=numpy.dtype(numpy.int32)))# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:1673:8-28
      (self.__mdim0) = mdim0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1675:8-27
      (self.__mdim1) = mdim1 # bld/herlev/final/default/src/fusion/ExprMul.monty:1676:8-27
      (self.__msubi) = msubi # bld/herlev/final/default/src/fusion/ExprMul.monty:1677:8-27
      (self.__msubj) = msubj # bld/herlev/final/default/src/fusion/ExprMul.monty:1678:8-27
      (self.__mval) = mval # bld/herlev/final/default/src/fusion/ExprMul.monty:1679:8-25
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprMul.monty:1681:8-26
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1672:25-1682:7
    @staticmethod
    def _ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(mdim0,mdim1,msubi,msubj,mval,expr):
      o = ExprMulDiagLeft.__new__(ExprMulDiagLeft)
      o._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(mdim0,mdim1,msubi,msubj,mval,expr)
      return o

    @staticmethod
    def __match_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 6: return False
      mdim0,mdim1,msubi,msubj,mval,expr, = args
      return (    __arg_match_I__(mdim0)
              and __arg_match_I__(mdim1)
              and __arg_match__3I__(msubi)
              and __arg_match__3I__(msubj)
              and __arg_match__3D__(mval)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 6: return False
      mdim0,mdim1,msubi,msubj,mval,expr, = args
      return (    __arg_alt_match_I__(mdim0)
              and __arg_alt_match_I__(mdim1)
              and __arg_alt_match__3I__(msubi)
              and __arg_alt_match__3I__(msubj)
              and __arg_alt_match__3D__(mval)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:1651:6-1661:7
    def _ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(self,mdim0,mdim1,msubi,msubj,mval,expr):
      self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(numpy.int32(mdim0),numpy.int32(mdim1),numpy.array(msubi,dtype=numpy.dtype(numpy.int32)),numpy.array(msubj,dtype=numpy.dtype(numpy.int32)),numpy.array(mval,dtype=numpy.dtype(numpy.float64)),expr)
    def _ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(self,mdim0,mdim1,msubi,msubj,mval,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1658:28-1661:7
      mosek_fusion_ExprMulDiagLeft._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(self,mdim0,mdim1,msubi,msubj,mval,expr,mosek.fusion.ExprMulDiagLeft.__validate_II_3I_3I_3DLmosek_4fusion_4Expression_2(mdim0,mdim1,msubi,msubj,mval,expr))# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:1659:8-1660:58
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1658:28-1661:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1685:67-1946:7
      (self.__expr)._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprMul.monty:1686:8-33
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprMul.monty:1688:8-22
      _3_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:1689:12-16
      _4_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1690:12-16
      _5_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1691:12-16
      _6_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprMul.monty:1693:12-14
      _7_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:1694:12-17
      _8_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprMul.monty:1695:12-15
      _9_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprMul.monty:1696:12-17
      _10_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:1697:12-21
      _11_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1698:12-15
      _12_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1700:12-16
      _13_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1701:12-18
      _14_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1702:12-19
      _15_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1704:12-17
      _16_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1705:12-14
      _17_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1706:12-17
      _18_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1707:12-15
      _19_consts=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1708:12-18
      if (_6_nd!=2): # bld/herlev/final/default/src/fusion/ExprMul.monty:1710:12-19
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1711:10-80
        raise mosek_fusion_DimensionError._ctor_S("Invalid operator shape for multiplication") # bld/herlev/final/default/src/fusion/ExprMul.monty:1711:10-80
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1711:10-80
      _20_edim0=_3_wi32[_15_shape] # bld/herlev/final/default/src/fusion/ExprMul.monty:1712:12-17
      _21_edim1=_3_wi32[(_15_shape + 1)] # bld/herlev/final/default/src/fusion/ExprMul.monty:1713:12-17
      _22_mnumnz=int((self.__msubi).shape[0]) # bld/herlev/final/default/src/fusion/ExprMul.monty:1715:12-18
      if (not _9_hassp): # bld/herlev/final/default/src/fusion/ExprMul.monty:1718:12-21
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1718:23-1797:9
        _23_rnnz=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1720:14-18
        _24_rnelem=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1721:14-20
        _25_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1722:14-24
        _26_i=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1724:14-15
        _26_i,_25_rncodeatom,_24_rnelem,_23_rnnz = fragments._c_closure_441(_14_codeptr,_21_edim1,_26_i,self.__msubi,self.__msubj,_10_ncodeatom,_11_ptr,_25_rncodeatom,_24_rnelem,_23_rnnz,_3_wi32) # bld/herlev/final/default/src/fusion/ExprMul.monty:1725:10-1735:11
        _26_i = numpy.int32(_26_i) # postprocess
        _25_rncodeatom = numpy.int32(_25_rncodeatom) # postprocess
        _24_rnelem = numpy.int32(_24_rnelem) # postprocess
        _23_rnnz = numpy.int32(_23_rnnz) # postprocess
        _27_rhassp=(_24_rnelem < self.__mdim0) # bld/herlev/final/default/src/fusion/ExprMul.monty:1736:14-20
        _0_rs._alloc_1expr_IIIZI(1,_24_rnelem,_23_rnnz,_27_rhassp,_25_rncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:1738:10-58
        _28_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1739:14-18
        _29_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1740:14-20
        _30_rsp=((_0_rs.sp_base) if (_27_rhassp ) else _0_rs._alloci64_I(_24_rnelem)) # bld/herlev/final/default/src/fusion/ExprMul.monty:1741:14-17
        _31_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1742:14-18
        _32_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1743:14-20
        _33_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1744:14-19
        _34_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1745:14-22
        _35_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1746:14-21
        _36_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1748:14-18
        _37_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1749:14-18
        _38_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:1750:14-18
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1752:10-1794:11
        fragments._c_closure_442(_13_cconst,_12_code,_14_codeptr,_18_cof,_21_edim1,self.__mdim0,self.__msubi,self.__msubj,self.__mval,_10_ncodeatom,_17_nidxs,_11_ptr,_35_rcconst,_33_rcode,_34_rcodeptr,_31_rcof,_37_rf64,_38_ri32,_36_ri64,_25_rncodeatom,_29_rnidxs,_28_rptr,_32_rshape,_30_rsp,_5_wf64,_3_wi32,_4_wi64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1752:10-1794:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1752:10-1794:11
        if (not _27_rhassp): # bld/herlev/final/default/src/fusion/ExprMul.monty:1795:14-24
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1796:12-30
          _0_rs._popi64_I(_24_rnelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:1796:12-30
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1796:12-30
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1718:23-1797:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1798:13-1943:9
        _39_xecolptr=_2_xs._alloci32_I((_21_edim1 + 1)) # bld/herlev/final/default/src/fusion/ExprMul.monty:1800:14-22
        _40_xeperm=_2_xs._alloci32_I(_7_nelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:1801:14-20
        _41_xmptr=_2_xs._alloci32_I((self.__mdim0 + 1)) # bld/herlev/final/default/src/fusion/ExprMul.monty:1802:14-19
        _42_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:1804:14-18
        _43_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1806:36-46
        _44_rnnz=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1806:26-30
        _45_rnelem=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1806:14-20
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1807:10-1853:11
        _43_rncodeatom,_45_rnelem,_44_rnnz = fragments._c_closure_443(_14_codeptr,_21_edim1,self.__msubi,self.__msubj,_10_ncodeatom,_7_nelem,_11_ptr,_43_rncodeatom,_45_rnelem,_44_rnnz,_16_sp,_3_wi32,_4_wi64,_39_xecolptr,_40_xeperm,_42_xi32) # bld/herlev/final/default/src/fusion/ExprMul.monty:1807:10-1853:11
        _43_rncodeatom = numpy.int32(_43_rncodeatom) # postprocess
        _45_rnelem = numpy.int32(_45_rnelem) # postprocess
        _44_rnnz = numpy.int32(_44_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1807:10-1853:11
        _46_rhassp=(_45_rnelem < self.__mdim0) # bld/herlev/final/default/src/fusion/ExprMul.monty:1854:14-20
        _0_rs._alloc_1expr_IIIZI(1,_45_rnelem,_44_rnnz,_46_rhassp,_43_rncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:1856:10-57
        _47_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1858:14-18
        _48_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1859:14-20
        _49_rsp=((_0_rs.sp_base) if (_46_rhassp ) else _0_rs._alloci64_I(_45_rnelem)) # bld/herlev/final/default/src/fusion/ExprMul.monty:1860:14-17
        _50_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1861:14-18
        _51_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1862:14-20
        _52_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1864:14-19
        _53_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1865:14-22
        _54_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1866:14-21
        _55_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1868:14-18
        _56_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1869:14-18
        _57_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:1870:14-18
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1872:10-1939:11
        _58_elmi=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1873:36-40
        _59_nzi=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1873:27-30
        _60_codei=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1873:16-21
        _61_ie=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1875:24-26
        _62_im=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1875:16-18
        _57_ri32[_47_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1876:12-27
        if (_10_ncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprMul.monty:1877:16-29
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1878:14-33
          _57_ri32[_53_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1878:14-33
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1878:14-33
        _57_ri32[_51_rshape] = self.__mdim0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1880:12-33
        _60_codei,_58_elmi,_61_ie,_62_im,_59_nzi = fragments._c_closure_444(_13_cconst,_12_code,_60_codei,_14_codeptr,_18_cof,_21_edim1,_58_elmi,_61_ie,_62_im,self.__msubi,self.__msubj,self.__mval,_10_ncodeatom,_7_nelem,_17_nidxs,_59_nzi,_11_ptr,_54_rcconst,_52_rcode,_53_rcodeptr,_50_rcof,_56_rf64,_57_ri32,_55_ri64,_48_rnidxs,_47_rptr,_49_rsp,_16_sp,_5_wf64,_3_wi32,_4_wi64,_40_xeperm,_42_xi32) # bld/herlev/final/default/src/fusion/ExprMul.monty:1881:12-1933:13
        _60_codei = numpy.int32(_60_codei) # postprocess
        _58_elmi = numpy.int32(_58_elmi) # postprocess
        _61_ie = numpy.int32(_61_ie) # postprocess
        _62_im = numpy.int32(_62_im) # postprocess
        _59_nzi = numpy.int32(_59_nzi) # postprocess
        if (_59_nzi!=_44_rnnz): # bld/herlev/final/default/src/fusion/ExprMul.monty:1937:16-27
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1937:29-98
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Incorrect number of non-zeros") # bld/herlev/final/default/src/fusion/ExprMul.monty:1937:29-98
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1937:29-98
        if (_58_elmi!=_45_rnelem): # bld/herlev/final/default/src/fusion/ExprMul.monty:1938:16-30
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1938:32-100
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Incorrect number of elements") # bld/herlev/final/default/src/fusion/ExprMul.monty:1938:32-100
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1938:32-100
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1872:10-1939:11
        if (not _46_rhassp): # bld/herlev/final/default/src/fusion/ExprMul.monty:1941:14-24
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1942:12-30
          _0_rs._popi64_I(_45_rnelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:1942:12-30
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1942:12-30
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1798:13-1943:9
      _2_xs._clear_() # bld/herlev/final/default/src/fusion/ExprMul.monty:1944:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1685:67-1946:7
    @staticmethod
    def __validate_alt_II_3I_3I_3DLmosek_4fusion_4Expression_2(_t__0_mdim0,_t__1_mdim1,_t__2_msubi,_t__3_msubj,_t__4_mval,_t__5_expr):
      _0_mdim0=numpy.int32(_t__0_mdim0)
      _1_mdim1=numpy.int32(_t__1_mdim1)
      _2_msubi=numpy.array(_t__2_msubi,dtype=numpy.dtype(numpy.int32))
      _3_msubj=numpy.array(_t__3_msubj,dtype=numpy.dtype(numpy.int32))
      _4_mval=numpy.array(_t__4_mval,dtype=numpy.dtype(numpy.float64))
      _5_expr=_t__5_expr
      _1 = mosek_fusion_ExprMulDiagLeft.__validate_II_3I_3I_3DLmosek_4fusion_4Expression_2(_0_mdim0,_1_mdim1,_2_msubi,_3_msubj,_4_mval,_5_expr)
      try:
        _t__2_msubi[:] = _2_msubi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_msubj[:] = _3_msubj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_mval[:] = _4_mval
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __validate_II_3I_3I_3DLmosek_4fusion_4Expression_2(_0_mdim0,_1_mdim1,_2_msubi,_3_msubj,_4_mval,_5_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1597:28-1635:7
      _6_eshape=_5_expr._getShape_() # bld/herlev/final/default/src/fusion/ExprMul.monty:1599:12-18
      if (int((_6_eshape).shape[0])!=2): # bld/herlev/final/default/src/fusion/ExprMul.monty:1601:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1602:10-65
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:1602:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1602:10-65
      _7_edim0=_6_eshape[0] # bld/herlev/final/default/src/fusion/ExprMul.monty:1604:12-17
      _8_edim1=_6_eshape[1] # bld/herlev/final/default/src/fusion/ExprMul.monty:1605:12-17
      if ((_0_mdim0 < 0) or (_1_mdim1 < 0)): # bld/herlev/final/default/src/fusion/ExprMul.monty:1607:12-34
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1608:10-65
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:1608:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1608:10-65
      if ((_1_mdim1!=_7_edim0) or (_0_mdim0!=_8_edim1)): # bld/herlev/final/default/src/fusion/ExprMul.monty:1609:12-44
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1610:10-69
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:1610:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1610:10-69
      if ((int((_2_msubi).shape[0])!=int((_3_msubj).shape[0])) or (int((_2_msubi).shape[0])!=int((_4_mval).shape[0]))): # bld/herlev/final/default/src/fusion/ExprMul.monty:1611:12-63
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1612:10-55
        raise mosek_fusion_LengthError._ctor_S("Invalid matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:1612:10-55
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1612:10-55
      _9_mnnz=int((_2_msubi).shape[0]) # bld/herlev/final/default/src/fusion/ExprMul.monty:1614:12-16
      _10_err_data=False # bld/herlev/final/default/src/fusion/ExprMul.monty:1616:12-20
      _11_err_sorted=False # bld/herlev/final/default/src/fusion/ExprMul.monty:1617:12-22
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1618:8-1628:9
      _10_err_data,_11_err_sorted = fragments._c_closure_445(_10_err_data,_11_err_sorted,_0_mdim0,_1_mdim1,_9_mnnz,_2_msubi,_3_msubj) # bld/herlev/final/default/src/fusion/ExprMul.monty:1618:8-1628:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1618:8-1628:9
      if _10_err_data: # bld/herlev/final/default/src/fusion/ExprMul.monty:1629:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1630:10-55
        raise mosek_fusion_LengthError._ctor_S("Invalid matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:1630:10-55
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1630:10-55
      if _11_err_sorted: # bld/herlev/final/default/src/fusion/ExprMul.monty:1631:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1632:10-56
        raise mosek_fusion_LengthError._ctor_S("Unsorted matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:1632:10-56
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1632:10-56
      return numpy.int32(1) # bld/herlev/final/default/src/fusion/ExprMul.monty:1634:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1597:28-1635:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1589:39-136
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprMulDiagLeft(m,")._a_S(self.__expr._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprMul.monty:1589:41-134
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1589:39-136
  return ExprMulDiagLeft
mosek_fusion_ExprMulDiagLeft=__mk_mosek_fusion_ExprMulDiagLeft()
del __mk_mosek_fusion_ExprMulDiagLeft

# origin: bld/herlev/final/default/src/fusion/ExprMul.monty:1361:4-1562:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulElement():
  class ExprMulElement(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulElement__expr','_ExprMulElement__msp','_ExprMulElement__mcof']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor__3D_3JLmosek_4fusion_4Expression_2(*args): # []double,[]int64,mosek.fusion.Expression
        self._ctor_init__3D_3JLmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor__3D_3JLmosek_4fusion_4Expression_2(*args):# []double,[]int64,mosek.fusion.Expression
        self._ctor_alt_init__3D_3JLmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulElement.ctor(array(double,ndim=1),array(int64,ndim=1),mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulElement._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulElement._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulElement.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulElement._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulElement._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulElement.toString()')

    def __repr__(self): return 'mosek.fusion.ExprMulElement'
    @staticmethod
    def _ctor__3D_3JLmosek_4fusion_4Expression_2(mcof,msp,expr):
      o = ExprMulElement.__new__(ExprMulElement)
      o._ctor_init__3D_3JLmosek_4fusion_4Expression_2(mcof,msp,expr)
      return o

    @staticmethod
    def __match_ctor__3D_3JLmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      mcof,msp,expr, = args
      return (    __arg_match__3D__(mcof)
              and __arg_match__3J__(msp)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor__3D_3JLmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      mcof,msp,expr, = args
      return (    __arg_alt_match__3D__(mcof)
              and __arg_alt_match__3J__(msp)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:1376:6-1401:7
    def _ctor_alt_init__3D_3JLmosek_4fusion_4Expression_2(self,mcof,msp,expr):
      self._ctor_init__3D_3JLmosek_4fusion_4Expression_2(numpy.array(mcof,dtype=numpy.dtype(numpy.float64)),numpy.array(msp,dtype=numpy.dtype(numpy.int64)),expr)
    def _ctor_init__3D_3JLmosek_4fusion_4Expression_2(self,mcof,msp,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1376:63-1401:7
      mosek_fusion_ExprMulElement._ctor_init__3D_3JLmosek_4fusion_4Expression_2I(self,mcof,msp,expr,1)# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:1377:8-30
      _0_eshape=expr._getShape_() # bld/herlev/final/default/src/fusion/ExprMul.monty:1379:12-18
      if (int((mcof).shape[0])!=int((msp).shape[0])): # bld/herlev/final/default/src/fusion/ExprMul.monty:1380:12-33
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1381:10-64
        raise mosek_fusion_LengthError._ctor_S("Invalid matrix specification") # bld/herlev/final/default/src/fusion/ExprMul.monty:1381:10-64
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1381:10-64
      _1_sz=mosek.fusion.Set._size__3I(_0_eshape) # bld/herlev/final/default/src/fusion/ExprMul.monty:1382:12-14
      _2_err_data=False # bld/herlev/final/default/src/fusion/ExprMul.monty:1384:12-20
      _3_err_sorted=False # bld/herlev/final/default/src/fusion/ExprMul.monty:1385:12-22
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1386:8-1394:9
      _2_err_data,_3_err_sorted = fragments._c_closure_446(_2_err_data,_3_err_sorted,msp,_1_sz) # bld/herlev/final/default/src/fusion/ExprMul.monty:1386:8-1394:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1386:8-1394:9
      if _2_err_data: # bld/herlev/final/default/src/fusion/ExprMul.monty:1395:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1396:10-54
        raise mosek_fusion_IndexError._ctor_S("Invalid matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:1396:10-54
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1396:10-54
      if _3_err_sorted: # bld/herlev/final/default/src/fusion/ExprMul.monty:1398:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1399:10-57
        raise mosek_fusion_IndexError._ctor_S("Matrix data not sorted") # bld/herlev/final/default/src/fusion/ExprMul.monty:1399:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1399:10-57
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1376:63-1401:7
    @staticmethod
    def _ctor__3D_3JLmosek_4fusion_4Expression_2I(cof,msp,expr,validated):
      o = ExprMulElement.__new__(ExprMulElement)
      o._ctor_init__3D_3JLmosek_4fusion_4Expression_2I(cof,msp,expr,validated)
      return o

    @staticmethod
    def __match_ctor__3D_3JLmosek_4fusion_4Expression_2I(*args):
      if len(args) != 4: return False
      cof,msp,expr,validated, = args
      return (    __arg_match__3D__(cof)
              and __arg_match__3J__(msp)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_match_I__(validated))
    @staticmethod
    def __match_alt_ctor__3D_3JLmosek_4fusion_4Expression_2I(*args):
      if len(args) != 4: return False
      cof,msp,expr,validated, = args
      return (    __arg_alt_match__3D__(cof)
              and __arg_alt_match__3J__(msp)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_alt_match_I__(validated))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:1369:6-1374:7
    def _ctor_alt_init__3D_3JLmosek_4fusion_4Expression_2I(self,cof,msp,expr,validated):
      self._ctor_init__3D_3JLmosek_4fusion_4Expression_2I(numpy.array(cof,dtype=numpy.dtype(numpy.float64)),numpy.array(msp,dtype=numpy.dtype(numpy.int64)),expr,numpy.int32(validated))
    def _ctor_init__3D_3JLmosek_4fusion_4Expression_2I(self,cof,msp,expr,validated):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1369:81-1374:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,expr._getShape_())# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:1370:8-31
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprMul.monty:1371:8-25
      (self.__mcof) = cof # bld/herlev/final/default/src/fusion/ExprMul.monty:1372:8-24
      (self.__msp) = msp # bld/herlev/final/default/src/fusion/ExprMul.monty:1373:8-23
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1369:81-1374:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1403:67-1561:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprMul.monty:1404:8-28
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprMul.monty:1405:8-22
      _3_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprMul.monty:1406:12-14
      _4_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:1407:12-17
      _5_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprMul.monty:1408:12-15
      _6_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:1409:12-21
      _7_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprMul.monty:1410:12-17
      _8_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1412:12-17
      _9_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1413:12-15
      _10_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1414:12-17
      _11_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1415:12-14
      _12_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1416:12-15
      _13_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1417:12-16
      _14_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1418:12-19
      _15_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1419:12-18
      _16_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:1421:12-16
      _17_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1422:12-16
      _18_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1423:12-16
      _19_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1426:34-44
      _20_rnnz=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1426:24-28
      _21_rnelem=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1426:12-18
      _19_rncodeatom,_21_rnelem,_20_rnnz = fragments._c_closure_447(_14_codeptr,_7_hassp,self.__msp,_6_ncodeatom,_4_nelem,_9_ptr,_19_rncodeatom,_21_rnelem,_20_rnnz,_11_sp,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1427:8-1453:9
      _19_rncodeatom = numpy.int32(_19_rncodeatom) # postprocess
      _21_rnelem = numpy.int32(_21_rnelem) # postprocess
      _20_rnnz = numpy.int32(_20_rnnz) # postprocess
      _22_rsize=1 # bld/herlev/final/default/src/fusion/ExprMul.monty:1456:12-17
      _22_rsize = fragments._c_closure_448(_3_nd,_22_rsize,_8_shape,_16_wi32) # bld/herlev/final/default/src/fusion/ExprMul.monty:1456:24-67
      _22_rsize = numpy.int64(_22_rsize) # postprocess
      _23_rhassp=(_21_rnelem < _22_rsize) # bld/herlev/final/default/src/fusion/ExprMul.monty:1457:12-18
      _24_rnd=_3_nd # bld/herlev/final/default/src/fusion/ExprMul.monty:1458:12-15
      _0_rs._alloc_1expr_IIIZI(_24_rnd,_21_rnelem,_20_rnnz,_23_rhassp,_19_rncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:1459:8-57
      _25_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1461:12-16
      _26_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1462:12-18
      _27_rnidx=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1463:12-17
      _28_rsp=((_0_rs.sp_base) if (_23_rhassp ) else _0_rs._alloci64_I(_21_rnelem)) # bld/herlev/final/default/src/fusion/ExprMul.monty:1464:12-15
      _29_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1465:12-16
      _30_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1466:12-17
      _31_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1467:12-20
      _32_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1468:12-19
      _33_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:1470:12-16
      _34_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1471:12-16
      _35_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1472:12-16
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1475:8-1556:9
      fragments._c_closure_449(_15_cconst,_13_code,_14_codeptr,_12_cof,_7_hassp,self.__mcof,self.__msp,_6_ncodeatom,_4_nelem,_10_nidxs,_9_ptr,_32_rcconst,_30_rcode,_31_rcodeptr,_29_rcof,_35_rf64,_33_ri32,_34_ri64,_19_rncodeatom,_24_rnd,_27_rnidx,_25_rptr,_26_rshape,_28_rsp,_8_shape,_11_sp,_18_wf64,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1475:8-1556:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1475:8-1556:9
      if (not _23_rhassp): # bld/herlev/final/default/src/fusion/ExprMul.monty:1557:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1558:10-28
        _0_rs._popi64_I(_21_rnelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:1558:10-28
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1558:10-28
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1403:67-1561:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1367:39-135
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprMulElement(M,")._a_S(self.__expr._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprMul.monty:1367:41-133
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1367:39-135
  return ExprMulElement
mosek_fusion_ExprMulElement=__mk_mosek_fusion_ExprMulElement()
del __mk_mosek_fusion_ExprMulElement

# origin: bld/herlev/final/default/src/fusion/ExprMul.monty:1258:4-1349:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulScalarConst():
  class ExprMulScalarConst(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulScalarConst__expr','_ExprMulScalarConst__c']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_DLmosek_4fusion_4Expression_2(*args): # double,mosek.fusion.Expression
        self._ctor_init_DLmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_DLmosek_4fusion_4Expression_2(*args):# double,mosek.fusion.Expression
        self._ctor_alt_init_DLmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulScalarConst.ctor(double,mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulScalarConst._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulScalarConst._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulScalarConst.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulScalarConst._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulScalarConst._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulScalarConst.toString()')

    def __repr__(self): return 'mosek.fusion.ExprMulScalarConst'
    @staticmethod
    def _ctor_DLmosek_4fusion_4Expression_2(c,expr):
      o = ExprMulScalarConst.__new__(ExprMulScalarConst)
      o._ctor_init_DLmosek_4fusion_4Expression_2(c,expr)
      return o

    @staticmethod
    def __match_ctor_DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      c,expr, = args
      return (    __arg_match_D__(c)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor_DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      c,expr, = args
      return (    __arg_alt_match_D__(c)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:1267:6-1272:7
    def _ctor_alt_init_DLmosek_4fusion_4Expression_2(self,c,expr):
      self._ctor_init_DLmosek_4fusion_4Expression_2(numpy.float64(c),expr)
    def _ctor_init_DLmosek_4fusion_4Expression_2(self,c,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1267:45-1272:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,expr._getShape_())# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:1268:8-31
      (self.__c) = c # bld/herlev/final/default/src/fusion/ExprMul.monty:1270:8-19
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprMul.monty:1271:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1267:45-1272:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1274:68-1348:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprMul.monty:1275:8-28
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprMul.monty:1276:8-22
      _3_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:1278:12-16
      _4_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1279:12-16
      _5_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1280:12-16
      _6_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprMul.monty:1282:12-14
      _7_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:1283:12-17
      _8_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprMul.monty:1284:12-15
      _9_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprMul.monty:1285:12-17
      _10_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:1286:12-21
      _11_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1287:12-15
      _12_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1289:12-16
      _13_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1290:12-18
      _14_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1291:12-19
      _15_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1293:12-17
      _16_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1294:12-14
      _17_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1295:12-17
      _18_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1296:12-15
      _19_consts=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1297:12-18
      _20_rncodeatom=(0 if ((_10_ncodeatom==0) ) else (_10_ncodeatom + (2 * _8_nnz))) # bld/herlev/final/default/src/fusion/ExprMul.monty:1299:12-22
      _0_rs._alloc_1expr_IIIZI(_6_nd,_7_nelem,_8_nnz,_9_hassp,_20_rncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:1301:8-53
      _21_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1302:12-16
      _22_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1303:12-16
      _23_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:1304:12-16
      _24_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1306:12-16
      _25_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1307:12-18
      _26_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1308:12-16
      _27_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1309:12-17
      _28_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1310:12-20
      _29_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1311:12-19
      _30_rhassp=(_0_rs.hassp) # bld/herlev/final/default/src/fusion/ExprMul.monty:1312:12-18
      _31_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1313:12-18
      _32_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1314:12-15
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1316:8-1347:9
      fragments._c_closure_450(self.__c,_13_cconst,_12_code,_14_codeptr,_18_cof,_9_hassp,_10_ncodeatom,_6_nd,_7_nelem,_17_nidxs,_8_nnz,_11_ptr,_29_rcconst,_27_rcode,_28_rcodeptr,_26_rcof,_22_rf64,_23_ri32,_21_ri64,_25_rnidxs,_24_rptr,_31_rshape,_32_rsp,_15_shape,_16_sp,_5_wf64,_3_wi32,_4_wi64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1316:8-1347:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1316:8-1347:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1274:68-1348:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1265:39-73
      return ("ExprMulScalarConst()") # bld/herlev/final/default/src/fusion/ExprMul.monty:1265:41-71
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1265:39-73
  return ExprMulScalarConst
mosek_fusion_ExprMulScalarConst=__mk_mosek_fusion_ExprMulScalarConst()
del __mk_mosek_fusion_ExprMulScalarConst

# origin: bld/herlev/final/default/src/fusion/ExprMul.monty:1054:4-1247:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprScalarMul():
  class ExprScalarMul(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprScalarMul__expr','_ExprScalarMul__mval','_ExprScalarMul__msubj','_ExprScalarMul__msubi','_ExprScalarMul__mdim1','_ExprScalarMul__mdim0']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args): # int32,int32,[]int32,[]int32,[]double,mosek.fusion.Expression
        self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args):# int32,int32,[]int32,[]int32,[]double,mosek.fusion.Expression
        self._ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprScalarMul.ctor(int32,int32,array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1),mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprScalarMul._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprScalarMul._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprScalarMul.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprScalarMul._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprScalarMul._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprScalarMul.toString()')

    def __repr__(self): return 'mosek.fusion.ExprScalarMul'
    @staticmethod
    def _ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(mdim0,mdim1,msubi,msubj,mval,expr,validated):
      o = ExprScalarMul.__new__(ExprScalarMul)
      o._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(mdim0,mdim1,msubi,msubj,mval,expr,validated)
      return o

    @staticmethod
    def __match_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(*args):
      if len(args) != 7: return False
      mdim0,mdim1,msubi,msubj,mval,expr,validated, = args
      return (    __arg_match_I__(mdim0)
              and __arg_match_I__(mdim1)
              and __arg_match__3I__(msubi)
              and __arg_match__3I__(msubj)
              and __arg_match__3D__(mval)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_match_I__(validated))
    @staticmethod
    def __match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(*args):
      if len(args) != 7: return False
      mdim0,mdim1,msubi,msubj,mval,expr,validated, = args
      return (    __arg_alt_match_I__(mdim0)
              and __arg_alt_match_I__(mdim1)
              and __arg_alt_match__3I__(msubi)
              and __arg_alt_match__3I__(msubj)
              and __arg_alt_match__3D__(mval)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_alt_match_I__(validated))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:1133:6-1152:7
    def _ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(self,mdim0,mdim1,msubi,msubj,mval,expr,validated):
      self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(numpy.int32(mdim0),numpy.int32(mdim1),numpy.array(msubi,dtype=numpy.dtype(numpy.int32)),numpy.array(msubj,dtype=numpy.dtype(numpy.int32)),numpy.array(mval,dtype=numpy.dtype(numpy.float64)),expr,numpy.int32(validated))
    def _ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(self,mdim0,mdim1,msubi,msubj,mval,expr,validated):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1142:25-1152:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,numpy.array([mdim0,mdim1], dtype=numpy.dtype(numpy.int32)))# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:1143:8-34
      (self.__mdim0) = mdim0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1145:8-27
      (self.__mdim1) = mdim1 # bld/herlev/final/default/src/fusion/ExprMul.monty:1146:8-27
      (self.__msubi) = msubi # bld/herlev/final/default/src/fusion/ExprMul.monty:1147:8-27
      (self.__msubj) = msubj # bld/herlev/final/default/src/fusion/ExprMul.monty:1148:8-27
      (self.__mval) = mval # bld/herlev/final/default/src/fusion/ExprMul.monty:1149:8-26
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprMul.monty:1151:8-26
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1142:25-1152:7
    @staticmethod
    def _ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(mdim0,mdim1,msubi,msubj,mval,expr):
      o = ExprScalarMul.__new__(ExprScalarMul)
      o._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(mdim0,mdim1,msubi,msubj,mval,expr)
      return o

    @staticmethod
    def __match_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 6: return False
      mdim0,mdim1,msubi,msubj,mval,expr, = args
      return (    __arg_match_I__(mdim0)
              and __arg_match_I__(mdim1)
              and __arg_match__3I__(msubi)
              and __arg_match__3I__(msubj)
              and __arg_match__3D__(mval)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 6: return False
      mdim0,mdim1,msubi,msubj,mval,expr, = args
      return (    __arg_alt_match_I__(mdim0)
              and __arg_alt_match_I__(mdim1)
              and __arg_alt_match__3I__(msubi)
              and __arg_alt_match__3I__(msubj)
              and __arg_alt_match__3D__(mval)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:1121:6-1131:7
    def _ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(self,mdim0,mdim1,msubi,msubj,mval,expr):
      self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(numpy.int32(mdim0),numpy.int32(mdim1),numpy.array(msubi,dtype=numpy.dtype(numpy.int32)),numpy.array(msubj,dtype=numpy.dtype(numpy.int32)),numpy.array(mval,dtype=numpy.dtype(numpy.float64)),expr)
    def _ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(self,mdim0,mdim1,msubi,msubj,mval,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1128:28-1131:7
      mosek_fusion_ExprScalarMul._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(self,mdim0,mdim1,msubi,msubj,mval,expr,mosek.fusion.ExprScalarMul.__validate_II_3I_3I_3DLmosek_4fusion_4Expression_2(mdim0,mdim1,msubi,msubj,mval,expr))# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:1129:8-1130:58
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1128:28-1131:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1154:67-1246:7
      (self.__expr)._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprMul.monty:1155:8-33
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprMul.monty:1157:8-22
      _3_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprMul.monty:1159:12-14
      _4_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:1160:12-17
      _5_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprMul.monty:1161:12-15
      _6_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprMul.monty:1162:12-17
      _7_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:1163:12-21
      _8_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1164:12-15
      _9_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1165:12-14
      _10_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1166:12-17
      _11_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1167:12-15
      _12_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1168:12-16
      _13_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1169:12-19
      _14_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1170:12-18
      _15_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:1172:12-16
      _16_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1173:12-16
      _17_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1174:12-16
      _18_mnumnz=int((self.__mval).shape[0]) # bld/herlev/final/default/src/fusion/ExprMul.monty:1176:12-18
      if (_3_nd!=0): # bld/herlev/final/default/src/fusion/ExprMul.monty:1178:12-19
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1179:10-63
        raise mosek_fusion_DimensionError._ctor_S("Invalid expression shape") # bld/herlev/final/default/src/fusion/ExprMul.monty:1179:10-63
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1179:10-63
      if (_4_nelem==0): # bld/herlev/final/default/src/fusion/ExprMul.monty:1181:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1181:24-1185:9
        _0_rs._alloc_1expr_IIIZ(2,0,0,True) # bld/herlev/final/default/src/fusion/ExprMul.monty:1182:10-36
        (_0_rs.i32)[(_0_rs.shape_base)] = self.__mdim0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1183:10-42
        (_0_rs.i32)[((_0_rs.shape_base) + 1)] = self.__mdim1 # bld/herlev/final/default/src/fusion/ExprMul.monty:1184:10-42
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1181:24-1185:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1186:13-1245:9
        _19_rncodeatom=(_18_mnumnz * (_7_ncodeatom + ((2 * _5_nnz) if ((_7_ncodeatom > 0) ) else 0))) # bld/herlev/final/default/src/fusion/ExprMul.monty:1187:14-24
        _0_rs._alloc_1expr_IIIZI(2,_18_mnumnz,(_18_mnumnz * _5_nnz),True,_19_rncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:1188:10-61
        _20_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1189:14-18
        _21_rnidx=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1190:14-19
        _22_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1191:14-17
        _23_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1192:14-18
        _24_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1193:14-20
        _25_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1194:14-19
        _26_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1195:14-22
        _27_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:1196:14-21
        _28_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:1198:14-18
        _29_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1199:14-18
        _30_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1200:14-18
        _28_ri32[_24_rshape] = self.__mdim0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1202:10-33
        _28_ri32[(_24_rshape + 1)] = self.__mdim1 # bld/herlev/final/default/src/fusion/ExprMul.monty:1203:10-33
        _31_codei=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1205:23-28
        _32_nzi=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1205:14-17
        _28_ri32[_20_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprMul.monty:1206:10-25
        _31_codei,_32_nzi = fragments._c_closure_451(_14_cconst,_12_code,_31_codei,_13_codeptr,_11_cof,self.__mdim1,_18_mnumnz,self.__msubi,self.__msubj,self.__mval,_7_ncodeatom,_10_nidxs,_5_nnz,_32_nzi,_27_rcconst,_25_rcode,_26_rcodeptr,_23_rcof,_30_rf64,_28_ri32,_29_ri64,_21_rnidx,_20_rptr,_22_rsp,_17_wf64,_15_wi32,_16_wi64) # bld/herlev/final/default/src/fusion/ExprMul.monty:1207:10-1244:13
        _31_codei = numpy.int32(_31_codei) # postprocess
        _32_nzi = numpy.int32(_32_nzi) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1186:13-1245:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1154:67-1246:7
    @staticmethod
    def __validate_alt_II_3I_3I_3DLmosek_4fusion_4Expression_2(_t__0_mdim0,_t__1_mdim1,_t__2_msubi,_t__3_msubj,_t__4_mval,_t__5_expr):
      _0_mdim0=numpy.int32(_t__0_mdim0)
      _1_mdim1=numpy.int32(_t__1_mdim1)
      _2_msubi=numpy.array(_t__2_msubi,dtype=numpy.dtype(numpy.int32))
      _3_msubj=numpy.array(_t__3_msubj,dtype=numpy.dtype(numpy.int32))
      _4_mval=numpy.array(_t__4_mval,dtype=numpy.dtype(numpy.float64))
      _5_expr=_t__5_expr
      _1 = mosek_fusion_ExprScalarMul.__validate_II_3I_3I_3DLmosek_4fusion_4Expression_2(_0_mdim0,_1_mdim1,_2_msubi,_3_msubj,_4_mval,_5_expr)
      try:
        _t__2_msubi[:] = _2_msubi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_msubj[:] = _3_msubj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_mval[:] = _4_mval
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __validate_II_3I_3I_3DLmosek_4fusion_4Expression_2(_0_mdim0,_1_mdim1,_2_msubi,_3_msubj,_4_mval,_5_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1074:28-1106:7
      _6_nd=_5_expr._getND_() # bld/herlev/final/default/src/fusion/ExprMul.monty:1076:12-14
      if (_6_nd!=0): # bld/herlev/final/default/src/fusion/ExprMul.monty:1078:12-19
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1079:10-65
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:1079:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1079:10-65
      if ((_0_mdim0 < 0) or (_1_mdim1 < 0)): # bld/herlev/final/default/src/fusion/ExprMul.monty:1080:12-34
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1081:10-65
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:1081:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1081:10-65
      if ((int((_2_msubi).shape[0])!=int((_3_msubj).shape[0])) or (int((_2_msubi).shape[0])!=int((_4_mval).shape[0]))): # bld/herlev/final/default/src/fusion/ExprMul.monty:1082:12-63
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1083:10-55
        raise mosek_fusion_LengthError._ctor_S("Invalid matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:1083:10-55
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1083:10-55
      _7_mnnz=int((_2_msubi).shape[0]) # bld/herlev/final/default/src/fusion/ExprMul.monty:1085:12-16
      _8_err_data=False # bld/herlev/final/default/src/fusion/ExprMul.monty:1087:12-20
      _9_err_sorted=False # bld/herlev/final/default/src/fusion/ExprMul.monty:1088:12-22
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1089:8-1099:9
      _8_err_data,_9_err_sorted = fragments._c_closure_452(_8_err_data,_9_err_sorted,_0_mdim0,_1_mdim1,_7_mnnz,_2_msubi,_3_msubj) # bld/herlev/final/default/src/fusion/ExprMul.monty:1089:8-1099:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1089:8-1099:9
      if _8_err_data: # bld/herlev/final/default/src/fusion/ExprMul.monty:1100:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1101:10-55
        raise mosek_fusion_LengthError._ctor_S("Invalid matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:1101:10-55
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1101:10-55
      if _9_err_sorted: # bld/herlev/final/default/src/fusion/ExprMul.monty:1102:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1103:10-56
        raise mosek_fusion_LengthError._ctor_S("Unsorted matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:1103:10-56
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1103:10-56
      return numpy.int32(1) # bld/herlev/final/default/src/fusion/ExprMul.monty:1105:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1074:28-1106:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1065:39-134
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprScalarMul(M,")._a_S(self.__expr._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprMul.monty:1065:41-132
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:1065:39-134
  return ExprScalarMul
mosek_fusion_ExprScalarMul=__mk_mosek_fusion_ExprScalarMul()
del __mk_mosek_fusion_ExprScalarMul

# origin: bld/herlev/final/default/src/fusion/ExprMul.monty:480:4-1041:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulRight():
  class ExprMulRight(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulRight__expr','_ExprMulRight__mval','_ExprMulRight__msubj','_ExprMulRight__msubi','_ExprMulRight__mdim1','_ExprMulRight__mdim0']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args): # int32,int32,[]int32,[]int32,[]double,mosek.fusion.Expression
        self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args):# int32,int32,[]int32,[]int32,[]double,mosek.fusion.Expression
        self._ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulRight.ctor(int32,int32,array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1),mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulRight._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulRight._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulRight.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulRight._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulRight._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulRight.toString()')

    def __repr__(self): return 'mosek.fusion.ExprMulRight'
    @staticmethod
    def _ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(mdim0,mdim1,msubi,msubj,mval,expr,validated):
      o = ExprMulRight.__new__(ExprMulRight)
      o._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(mdim0,mdim1,msubi,msubj,mval,expr,validated)
      return o

    @staticmethod
    def __match_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(*args):
      if len(args) != 7: return False
      mdim0,mdim1,msubi,msubj,mval,expr,validated, = args
      return (    __arg_match_I__(mdim0)
              and __arg_match_I__(mdim1)
              and __arg_match__3I__(msubi)
              and __arg_match__3I__(msubj)
              and __arg_match__3D__(mval)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_match_I__(validated))
    @staticmethod
    def __match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(*args):
      if len(args) != 7: return False
      mdim0,mdim1,msubi,msubj,mval,expr,validated, = args
      return (    __arg_alt_match_I__(mdim0)
              and __arg_alt_match_I__(mdim1)
              and __arg_alt_match__3I__(msubi)
              and __arg_alt_match__3I__(msubj)
              and __arg_alt_match__3D__(mval)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_alt_match_I__(validated))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:575:6-593:7
    def _ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(self,mdim0,mdim1,msubi,msubj,mval,expr,validated):
      self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(numpy.int32(mdim0),numpy.int32(mdim1),numpy.array(msubi,dtype=numpy.dtype(numpy.int32)),numpy.array(msubj,dtype=numpy.dtype(numpy.int32)),numpy.array(mval,dtype=numpy.dtype(numpy.float64)),expr,numpy.int32(validated))
    def _ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(self,mdim0,mdim1,msubi,msubj,mval,expr,validated):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:584:25-593:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,mosek.fusion.ExprMulRight.__computeshape_I_3I(mdim1,expr._getShape_()))# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:585:8-51
      (self.__mdim0) = mdim0 # bld/herlev/final/default/src/fusion/ExprMul.monty:587:8-27
      (self.__mdim1) = mdim1 # bld/herlev/final/default/src/fusion/ExprMul.monty:588:8-27
      (self.__msubi) = msubi # bld/herlev/final/default/src/fusion/ExprMul.monty:589:8-27
      (self.__msubj) = msubj # bld/herlev/final/default/src/fusion/ExprMul.monty:590:8-27
      (self.__mval) = mval # bld/herlev/final/default/src/fusion/ExprMul.monty:591:8-26
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprMul.monty:592:8-26
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:584:25-593:7
    @staticmethod
    def _ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(mdim0,mdim1,msubi,msubj,mval,expr):
      o = ExprMulRight.__new__(ExprMulRight)
      o._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(mdim0,mdim1,msubi,msubj,mval,expr)
      return o

    @staticmethod
    def __match_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 6: return False
      mdim0,mdim1,msubi,msubj,mval,expr, = args
      return (    __arg_match_I__(mdim0)
              and __arg_match_I__(mdim1)
              and __arg_match__3I__(msubi)
              and __arg_match__3I__(msubj)
              and __arg_match__3D__(mval)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 6: return False
      mdim0,mdim1,msubi,msubj,mval,expr, = args
      return (    __arg_alt_match_I__(mdim0)
              and __arg_alt_match_I__(mdim1)
              and __arg_alt_match__3I__(msubi)
              and __arg_alt_match__3I__(msubj)
              and __arg_alt_match__3D__(mval)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:556:6-566:7
    def _ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(self,mdim0,mdim1,msubi,msubj,mval,expr):
      self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(numpy.int32(mdim0),numpy.int32(mdim1),numpy.array(msubi,dtype=numpy.dtype(numpy.int32)),numpy.array(msubj,dtype=numpy.dtype(numpy.int32)),numpy.array(mval,dtype=numpy.dtype(numpy.float64)),expr)
    def _ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(self,mdim0,mdim1,msubi,msubj,mval,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:563:28-566:7
      mosek_fusion_ExprMulRight._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(self,mdim0,mdim1,msubi,msubj,mval,expr,mosek.fusion.ExprMulRight.__validate_II_3I_3I_3DLmosek_4fusion_4Expression_2(mdim0,mdim1,msubi,msubj,mval,expr))# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:564:8-565:58
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:563:28-566:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:596:67-1040:7
      (self.__expr)._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprMul.monty:598:8-33
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprMul.monty:608:8-22
      _3_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:609:12-16
      _4_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:610:12-16
      _5_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:611:12-16
      _6_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprMul.monty:613:12-14
      if (_6_nd!=2): # bld/herlev/final/default/src/fusion/ExprMul.monty:614:12-19
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:615:10-80
        raise mosek_fusion_DimensionError._ctor_S("Invalid operator shape for multiplication") # bld/herlev/final/default/src/fusion/ExprMul.monty:615:10-80
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:615:10-80
      _7_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:616:12-17
      _8_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprMul.monty:617:12-15
      _9_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:618:12-21
      _10_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprMul.monty:619:12-17
      _11_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:621:12-15
      _12_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:622:12-17
      _13_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:623:12-14
      _14_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:624:12-17
      _15_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:625:12-15
      _16_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:626:12-19
      _17_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:627:12-16
      _18_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:628:12-18
      _19_edim0=_3_wi32[_12_shape] # bld/herlev/final/default/src/fusion/ExprMul.monty:630:12-17
      _20_edim1=_3_wi32[(_12_shape + 1)] # bld/herlev/final/default/src/fusion/ExprMul.monty:631:12-17
      _21_mnnz=int((self.__mval).shape[0]) # bld/herlev/final/default/src/fusion/ExprMul.monty:633:12-16
      _22_msp=(_21_mnnz < (numpy.int64(self.__mdim0) * numpy.int64(self.__mdim1))) # bld/herlev/final/default/src/fusion/ExprMul.monty:634:12-15
      if _22_msp: # bld/herlev/final/default/src/fusion/ExprMul.monty:636:12-15
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:636:17-906:9
        _23_mcolptr=_2_xs._alloci32_I((self.__mdim1 + 1)) # bld/herlev/final/default/src/fusion/ExprMul.monty:639:14-21
        _24_mperm=_2_xs._alloci32_I(_21_mnnz) # bld/herlev/final/default/src/fusion/ExprMul.monty:640:14-19
        _25_erowptr=_2_xs._alloci32_I((_19_edim0 + 1)) # bld/herlev/final/default/src/fusion/ExprMul.monty:641:14-21
        _26_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:642:14-18
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:644:10-658:11
        fragments._c_closure_453(_19_edim0,_25_erowptr,_23_mcolptr,self.__mdim1,_21_mnnz,_24_mperm,self.__msubj,_26_xi32) # bld/herlev/final/default/src/fusion/ExprMul.monty:644:10-658:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:644:10-658:11
        if _10_hassp: # bld/herlev/final/default/src/fusion/ExprMul.monty:661:14-19
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:661:21-808:11
          _27_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:668:39-49
          _28_rnelem=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:668:27-33
          _29_rnnz=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:668:16-20
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:669:12-706:13
          _27_rncodeatom,_28_rnelem,_29_rnnz = fragments._c_closure_454(_16_codeptr,_20_edim1,_21_mnnz,_24_mperm,self.__msubi,self.__msubj,self.__mval,_9_ncodeatom,_7_nelem,_11_ptr,_27_rncodeatom,_28_rnelem,_29_rnnz,_13_sp,_3_wi32,_4_wi64,_26_xi32) # bld/herlev/final/default/src/fusion/ExprMul.monty:669:12-706:13
          _27_rncodeatom = numpy.int32(_27_rncodeatom) # postprocess
          _28_rnelem = numpy.int32(_28_rnelem) # postprocess
          _29_rnnz = numpy.int64(_29_rnnz) # postprocess
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:669:12-706:13
          _30_rhassp=(_28_rnelem < (_19_edim0 * self.__mdim1)) # bld/herlev/final/default/src/fusion/ExprMul.monty:709:16-22
          _0_rs._alloc_1expr_IIIZI(2,_28_rnelem,numpy.int32(_29_rnnz),_30_rhassp,_27_rncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:710:12-66
          _31_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:712:16-20
          _32_ridxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:713:16-21
          _33_rsp=((_0_rs.sp_base) if (_30_rhassp ) else _0_rs._alloci64_I(_28_rnelem)) # bld/herlev/final/default/src/fusion/ExprMul.monty:714:16-19
          _34_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:715:16-20
          _35_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:716:16-22
          _36_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:717:16-24
          _37_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:718:16-21
          _38_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:719:16-23
          _39_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:721:16-20
          _40_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:722:16-20
          _41_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:723:16-20
          _39_ri32[_35_rshape] = _19_edim0 # bld/herlev/final/default/src/fusion/ExprMul.monty:725:12-35
          _39_ri32[(_35_rshape + 1)] = self.__mdim1 # bld/herlev/final/default/src/fusion/ExprMul.monty:726:12-35
          _39_ri32[_31_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprMul.monty:728:12-27
          if (_27_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprMul.monty:729:16-30
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:730:14-33
            _39_ri32[_36_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprMul.monty:730:14-33
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:730:14-33
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:734:12-804:13
          _42_i0=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:735:18-20
          _43_codei=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:736:37-42
          _44_elmi=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:736:27-31
          _45_nzi=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:736:18-21
          _43_codei,_44_elmi,_42_i0,_45_nzi = fragments._c_closure_455(_18_cconst,_17_code,_43_codei,_16_codeptr,_15_cof,_20_edim1,_44_elmi,_42_i0,self.__mdim1,_21_mnnz,_24_mperm,self.__msubi,self.__msubj,self.__mval,_9_ncodeatom,_7_nelem,_14_nidxs,_45_nzi,_11_ptr,_38_rcconst,_37_rcode,_36_rcodeptr,_34_rcof,_41_rf64,_39_ri32,_40_ri64,_32_ridxs,_31_rptr,_33_rsp,_13_sp,_5_wf64,_3_wi32,_4_wi64,_26_xi32) # bld/herlev/final/default/src/fusion/ExprMul.monty:738:14-795:15
          _43_codei = numpy.int32(_43_codei) # postprocess
          _44_elmi = numpy.int32(_44_elmi) # postprocess
          _42_i0 = numpy.int32(_42_i0) # postprocess
          _45_nzi = numpy.int32(_45_nzi) # postprocess
          if (_45_nzi!=_29_rnnz): # bld/herlev/final/default/src/fusion/ExprMul.monty:801:18-29
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:801:31-82
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: invalid nnz") # bld/herlev/final/default/src/fusion/ExprMul.monty:801:31-82
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:801:31-82
          if (_44_elmi!=_28_rnelem): # bld/herlev/final/default/src/fusion/ExprMul.monty:802:18-32
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:802:34-85
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: invalid nnz") # bld/herlev/final/default/src/fusion/ExprMul.monty:802:34-85
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:802:34-85
          if (_39_ri32[(_31_rptr + _28_rnelem)]!=_29_rnnz): # bld/herlev/final/default/src/fusion/ExprMul.monty:803:18-43
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:803:45-96
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: invalid nnz") # bld/herlev/final/default/src/fusion/ExprMul.monty:803:45-96
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:803:45-96
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:734:12-804:13
          if (not _30_rhassp): # bld/herlev/final/default/src/fusion/ExprMul.monty:805:16-26
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:806:14-32
            _0_rs._popi64_I(_28_rnelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:806:14-32
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:806:14-32
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:661:21-808:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:809:15-904:11
          _46_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:813:48-58
          _47_rnelem=(_19_edim0 * self.__mdim1) # bld/herlev/final/default/src/fusion/ExprMul.monty:813:26-32
          _48_rnnz=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:813:16-20
          _46_rncodeatom,_48_rnnz = fragments._c_closure_456(_16_codeptr,_19_edim0,_20_edim1,_23_mcolptr,self.__mdim1,_24_mperm,self.__msubi,_9_ncodeatom,_11_ptr,_46_rncodeatom,_48_rnnz,_3_wi32,_26_xi32) # bld/herlev/final/default/src/fusion/ExprMul.monty:814:12-824:15
          _46_rncodeatom = numpy.int32(_46_rncodeatom) # postprocess
          _48_rnnz = numpy.int32(_48_rnnz) # postprocess
          _49_rhassp=(_47_rnelem < (_19_edim0 * self.__mdim1)) # bld/herlev/final/default/src/fusion/ExprMul.monty:827:16-22
          if (not (_48_rnnz <= 2147483647)): # bld/herlev/final/default/src/fusion/ExprMul.monty:828:16-40
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:829:14-93
            raise mosek_fusion_LengthError._ctor_S("Maximum number of nonzeros exceeded in multiplication") # bld/herlev/final/default/src/fusion/ExprMul.monty:829:14-93
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:829:14-93
          _0_rs._alloc_1expr_IIIZI(2,_47_rnelem,numpy.int32(_48_rnnz),_49_rhassp,_46_rncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:839:12-66
          _50_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:841:16-22
          _51_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:842:16-20
          _52_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:843:16-22
          _53_rsp=((_0_rs.sp_base) if (_49_rhassp ) else _0_rs._alloci64_I(_47_rnelem)) # bld/herlev/final/default/src/fusion/ExprMul.monty:844:16-19
          _54_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:845:16-20
          _55_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:846:16-21
          _56_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:847:16-24
          _57_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:848:16-23
          _58_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:850:16-20
          _59_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:851:16-20
          _60_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:852:16-20
          _58_ri32[_50_rshape] = _19_edim0 # bld/herlev/final/default/src/fusion/ExprMul.monty:854:12-35
          _58_ri32[(_50_rshape + 1)] = self.__mdim1 # bld/herlev/final/default/src/fusion/ExprMul.monty:855:12-35
          _61_codei=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:857:35-40
          _62_relm=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:857:25-29
          _63_nzi=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:857:16-19
          _58_ri32[_51_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprMul.monty:858:12-27
          if (_46_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprMul.monty:859:16-30
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:860:14-33
            _58_ri32[_56_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprMul.monty:860:14-33
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:860:14-33
          _61_codei,_63_nzi,_62_relm = fragments._c_closure_457(_18_cconst,_17_code,_61_codei,_16_codeptr,_15_cof,_19_edim0,_20_edim1,_23_mcolptr,self.__mdim1,_24_mperm,self.__msubi,self.__mval,_14_nidxs,_63_nzi,_11_ptr,_57_rcconst,_55_rcode,_56_rcodeptr,_54_rcof,_62_relm,_60_rf64,_58_ri32,_59_ri64,_46_rncodeatom,_52_rnidxs,_51_rptr,_53_rsp,_5_wf64,_3_wi32,_4_wi64,_26_xi32) # bld/herlev/final/default/src/fusion/ExprMul.monty:861:12-900:15
          _61_codei = numpy.int32(_61_codei) # postprocess
          _63_nzi = numpy.int32(_63_nzi) # postprocess
          _62_relm = numpy.int32(_62_relm) # postprocess
          if (not _49_rhassp): # bld/herlev/final/default/src/fusion/ExprMul.monty:902:16-26
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:903:14-32
            _0_rs._popi64_I(_47_rnelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:903:14-32
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:903:14-32
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:809:15-904:11
        _2_xs._clear_() # bld/herlev/final/default/src/fusion/ExprMul.monty:905:10-21
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:636:17-906:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:907:13-1037:9
        _64_xrowptr=_2_xs._alloci32_I((_19_edim0 + 1)) # bld/herlev/final/default/src/fusion/ExprMul.monty:909:14-21
        _65_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:910:14-18
        fragments._c_closure_458(_19_edim0,_65_xi32,_64_xrowptr) # bld/herlev/final/default/src/fusion/ExprMul.monty:911:10-55
        _66_rnnz=(numpy.int64(_8_nnz) * self.__mdim1) # bld/herlev/final/default/src/fusion/ExprMul.monty:915:14-18
        _67_rnelem=(_19_edim0 * self.__mdim1) # bld/herlev/final/default/src/fusion/ExprMul.monty:916:14-20
        _68_rncodeatom=((_9_ncodeatom * self.__mdim1) + (0 if ((_9_ncodeatom==0) ) else (numpy.int32(_66_rnnz) * 2))) # bld/herlev/final/default/src/fusion/ExprMul.monty:917:14-24
        _69_rhassp=False # bld/herlev/final/default/src/fusion/ExprMul.monty:918:14-20
        _70_rnd=2 # bld/herlev/final/default/src/fusion/ExprMul.monty:919:14-17
        if (not (_66_rnnz <= 2147483647)): # bld/herlev/final/default/src/fusion/ExprMul.monty:920:14-38
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:921:12-91
          raise mosek_fusion_LengthError._ctor_S("Maximum number of nonzeros exceeded in multiplication") # bld/herlev/final/default/src/fusion/ExprMul.monty:921:12-91
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:921:12-91
        _0_rs._alloc_1expr_IIIZI(_70_rnd,_67_rnelem,numpy.int32(_66_rnnz),_69_rhassp,_68_rncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:925:10-66
        _71_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:926:14-18
        _72_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:927:14-18
        _73_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:928:14-18
        _74_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:930:14-20
        _75_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:931:14-18
        _76_ridxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:932:14-19
        _77_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:933:14-17
        _78_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:934:14-18
        _79_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:935:14-19
        _80_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:936:14-22
        _81_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:937:14-21
        _71_ri32[_74_rshape] = _19_edim0 # bld/herlev/final/default/src/fusion/ExprMul.monty:939:10-33
        _71_ri32[(_74_rshape + 1)] = self.__mdim1 # bld/herlev/final/default/src/fusion/ExprMul.monty:940:10-33
        _82_codei=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:942:33-38
        _83_nzi=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:942:24-27
        _84_elmi=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:942:14-18
        _71_ri32[_75_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprMul.monty:943:10-25
        if (_68_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprMul.monty:944:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:944:30-49
          _71_ri32[_80_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprMul.monty:944:30-49
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:944:30-49
        if _10_hassp: # bld/herlev/final/default/src/fusion/ExprMul.monty:945:14-19
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:945:21-990:11
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:946:12-986:13
          _82_codei,_84_elmi,_83_nzi = fragments._c_closure_459(_18_cconst,_17_code,_82_codei,_16_codeptr,_15_cof,_19_edim0,_20_edim1,_84_elmi,self.__mdim1,self.__mval,_9_ncodeatom,_7_nelem,_14_nidxs,_83_nzi,_11_ptr,_81_rcconst,_79_rcode,_80_rcodeptr,_78_rcof,_73_rf64,_71_ri32,_72_ri64,_76_ridxs,_75_rptr,_13_sp,_5_wf64,_3_wi32,_4_wi64,_65_xi32,_64_xrowptr) # bld/herlev/final/default/src/fusion/ExprMul.monty:946:12-986:13
          _82_codei = numpy.int32(_82_codei) # postprocess
          _84_elmi = numpy.int32(_84_elmi) # postprocess
          _83_nzi = numpy.int32(_83_nzi) # postprocess
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:946:12-986:13
          if (_83_nzi!=_66_rnnz): # bld/herlev/final/default/src/fusion/ExprMul.monty:987:16-27
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:987:29-89
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid num nonzeros") # bld/herlev/final/default/src/fusion/ExprMul.monty:987:29-89
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:987:29-89
          if (_84_elmi!=_67_rnelem): # bld/herlev/final/default/src/fusion/ExprMul.monty:988:16-30
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:988:32-92
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid num elements") # bld/herlev/final/default/src/fusion/ExprMul.monty:988:32-92
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:988:32-92
          if (_82_codei!=_68_rncodeatom): # bld/herlev/final/default/src/fusion/ExprMul.monty:989:16-35
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:989:37-99
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid num code atoms") # bld/herlev/final/default/src/fusion/ExprMul.monty:989:37-99
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:989:37-99
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:945:21-990:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:991:15-1027:11
          _82_codei,_84_elmi,_83_nzi = fragments._c_closure_460(_18_cconst,_17_code,_82_codei,_16_codeptr,_15_cof,_19_edim0,_20_edim1,_84_elmi,self.__mdim1,self.__mval,_9_ncodeatom,_14_nidxs,_83_nzi,_11_ptr,_81_rcconst,_79_rcode,_80_rcodeptr,_78_rcof,_73_rf64,_71_ri32,_72_ri64,_76_ridxs,_75_rptr,_5_wf64,_3_wi32,_4_wi64) # bld/herlev/final/default/src/fusion/ExprMul.monty:991:15-1027:11
          _82_codei = numpy.int32(_82_codei) # postprocess
          _84_elmi = numpy.int32(_84_elmi) # postprocess
          _83_nzi = numpy.int32(_83_nzi) # postprocess
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:991:15-1027:11
        _2_xs._clear_() # bld/herlev/final/default/src/fusion/ExprMul.monty:1036:10-21
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:907:13-1037:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:596:67-1040:7
    @staticmethod
    def __computeshape_alt_I_3I(_t__0_d0,_t__1_ds):
      _0_d0=numpy.int32(_t__0_d0)
      _1_ds=numpy.array(_t__1_ds,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_ExprMulRight.__computeshape_I_3I(_0_d0,_1_ds)
      try:
        _t__1_ds[:] = _1_ds
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __computeshape_I_3I(_0_d0,_1_ds):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:568:71-573:7
      if (int((_1_ds).shape[0])==1): # bld/herlev/final/default/src/fusion/ExprMul.monty:569:12-24
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:570:10-29
        return (numpy.array([1,_0_d0], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/ExprMul.monty:570:10-29
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:570:10-29
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:572:10-33
        return (numpy.array([_1_ds[0],_0_d0], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/ExprMul.monty:572:10-33
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:572:10-33
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:568:71-573:7
    @staticmethod
    def __validate_alt_II_3I_3I_3DLmosek_4fusion_4Expression_2(_t__0_mdim0,_t__1_mdim1,_t__2_msubi,_t__3_msubj,_t__4_mval,_t__5_expr):
      _0_mdim0=numpy.int32(_t__0_mdim0)
      _1_mdim1=numpy.int32(_t__1_mdim1)
      _2_msubi=numpy.array(_t__2_msubi,dtype=numpy.dtype(numpy.int32))
      _3_msubj=numpy.array(_t__3_msubj,dtype=numpy.dtype(numpy.int32))
      _4_mval=numpy.array(_t__4_mval,dtype=numpy.dtype(numpy.float64))
      _5_expr=_t__5_expr
      _1 = mosek_fusion_ExprMulRight.__validate_II_3I_3I_3DLmosek_4fusion_4Expression_2(_0_mdim0,_1_mdim1,_2_msubi,_3_msubj,_4_mval,_5_expr)
      try:
        _t__2_msubi[:] = _2_msubi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_msubj[:] = _3_msubj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_mval[:] = _4_mval
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __validate_II_3I_3I_3DLmosek_4fusion_4Expression_2(_0_mdim0,_1_mdim1,_2_msubi,_3_msubj,_4_mval,_5_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:502:28-541:7
      _6_eshape=_5_expr._getShape_() # bld/herlev/final/default/src/fusion/ExprMul.monty:505:12-18
      if (int((_6_eshape).shape[0])!=2): # bld/herlev/final/default/src/fusion/ExprMul.monty:507:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:508:10-65
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:508:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:508:10-65
      _7_edim0=_6_eshape[0] # bld/herlev/final/default/src/fusion/ExprMul.monty:510:12-17
      _8_edim1=_6_eshape[1] # bld/herlev/final/default/src/fusion/ExprMul.monty:511:12-17
      if ((_0_mdim0 < 0) or ((_1_mdim1 < 0) or ((_7_edim0 < 0) or (_8_edim1 < 0)))): # bld/herlev/final/default/src/fusion/ExprMul.monty:514:12-60
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:515:10-65
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:515:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:515:10-65
      if (_0_mdim0!=_8_edim1): # bld/herlev/final/default/src/fusion/ExprMul.monty:516:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:517:10-69
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:517:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:517:10-69
      if ((int((_2_msubi).shape[0])!=int((_3_msubj).shape[0])) or (int((_2_msubi).shape[0])!=int((_4_mval).shape[0]))): # bld/herlev/final/default/src/fusion/ExprMul.monty:518:12-63
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:519:10-55
        raise mosek_fusion_LengthError._ctor_S("Invalid matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:519:10-55
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:519:10-55
      _9_mnnz=int((_2_msubi).shape[0]) # bld/herlev/final/default/src/fusion/ExprMul.monty:521:12-16
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:523:8-530:9
      _10_err=False # bld/herlev/final/default/src/fusion/ExprMul.monty:524:14-22
      _10_err = fragments._c_closure_461(_10_err,_0_mdim0,_1_mdim1,_9_mnnz,_2_msubi,_3_msubj) # bld/herlev/final/default/src/fusion/ExprMul.monty:525:10-527:63
      if _10_err: # bld/herlev/final/default/src/fusion/ExprMul.monty:528:14-17
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:529:12-57
        raise mosek_fusion_LengthError._ctor_S("Invalid matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:529:12-57
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:529:12-57
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:523:8-530:9
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:531:8-538:9
      _11_err=False # bld/herlev/final/default/src/fusion/ExprMul.monty:532:14-22
      _11_err = fragments._c_closure_462(_11_err,_9_mnnz,_2_msubi,_3_msubj) # bld/herlev/final/default/src/fusion/ExprMul.monty:533:10-535:82
      if _11_err: # bld/herlev/final/default/src/fusion/ExprMul.monty:536:14-17
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:537:12-58
        raise mosek_fusion_LengthError._ctor_S("Unsorted matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:537:12-58
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:537:12-58
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:531:8-538:9
      return numpy.int32(1) # bld/herlev/final/default/src/fusion/ExprMul.monty:540:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:502:28-541:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:491:39-493:7
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprMulRight(M,")._a_S(self.__expr._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprMul.monty:492:8-98
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:491:39-493:7
  return ExprMulRight
mosek_fusion_ExprMulRight=__mk_mosek_fusion_ExprMulRight()
del __mk_mosek_fusion_ExprMulRight

# origin: bld/herlev/final/default/src/fusion/ExprMul.monty:12:4-469:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulLeft():
  class ExprMulLeft(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulLeft__expr','_ExprMulLeft__mval','_ExprMulLeft__msubj','_ExprMulLeft__msubi','_ExprMulLeft__mdim1','_ExprMulLeft__mdim0']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args): # int32,int32,[]int32,[]int32,[]double,mosek.fusion.Expression
        self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args):# int32,int32,[]int32,[]int32,[]double,mosek.fusion.Expression
        self._ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulLeft.ctor(int32,int32,array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1),mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulLeft._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulLeft._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulLeft.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulLeft._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulLeft._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulLeft.toString()')

    def __repr__(self): return 'mosek.fusion.ExprMulLeft'
    @staticmethod
    def _ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(mdim0,mdim1,msubi,msubj,mval,expr,validated):
      o = ExprMulLeft.__new__(ExprMulLeft)
      o._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(mdim0,mdim1,msubi,msubj,mval,expr,validated)
      return o

    @staticmethod
    def __match_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(*args):
      if len(args) != 7: return False
      mdim0,mdim1,msubi,msubj,mval,expr,validated, = args
      return (    __arg_match_I__(mdim0)
              and __arg_match_I__(mdim1)
              and __arg_match__3I__(msubi)
              and __arg_match__3I__(msubj)
              and __arg_match__3D__(mval)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_match_I__(validated))
    @staticmethod
    def __match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(*args):
      if len(args) != 7: return False
      mdim0,mdim1,msubi,msubj,mval,expr,validated, = args
      return (    __arg_alt_match_I__(mdim0)
              and __arg_alt_match_I__(mdim1)
              and __arg_alt_match__3I__(msubi)
              and __arg_alt_match__3I__(msubj)
              and __arg_alt_match__3D__(mval)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_alt_match_I__(validated))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:104:6-123:7
    def _ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(self,mdim0,mdim1,msubi,msubj,mval,expr,validated):
      self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(numpy.int32(mdim0),numpy.int32(mdim1),numpy.array(msubi,dtype=numpy.dtype(numpy.int32)),numpy.array(msubj,dtype=numpy.dtype(numpy.int32)),numpy.array(mval,dtype=numpy.dtype(numpy.float64)),expr,numpy.int32(validated))
    def _ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(self,mdim0,mdim1,msubi,msubj,mval,expr,validated):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:113:25-123:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,mosek.fusion.ExprMulLeft.__computeshape_II_3I(mdim0,mdim1,expr._getShape_()))# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:114:8-57
      (self.__mdim0) = mdim0 # bld/herlev/final/default/src/fusion/ExprMul.monty:116:8-27
      (self.__mdim1) = mdim1 # bld/herlev/final/default/src/fusion/ExprMul.monty:117:8-27
      (self.__msubi) = msubi # bld/herlev/final/default/src/fusion/ExprMul.monty:118:8-27
      (self.__msubj) = msubj # bld/herlev/final/default/src/fusion/ExprMul.monty:119:8-27
      (self.__mval) = mval # bld/herlev/final/default/src/fusion/ExprMul.monty:120:8-25
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprMul.monty:122:8-26
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:113:25-123:7
    @staticmethod
    def _ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(mdim0,mdim1,msubi,msubj,mval,expr):
      o = ExprMulLeft.__new__(ExprMulLeft)
      o._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(mdim0,mdim1,msubi,msubj,mval,expr)
      return o

    @staticmethod
    def __match_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 6: return False
      mdim0,mdim1,msubi,msubj,mval,expr, = args
      return (    __arg_match_I__(mdim0)
              and __arg_match_I__(mdim1)
              and __arg_match__3I__(msubi)
              and __arg_match__3I__(msubj)
              and __arg_match__3D__(mval)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 6: return False
      mdim0,mdim1,msubi,msubj,mval,expr, = args
      return (    __arg_alt_match_I__(mdim0)
              and __arg_alt_match_I__(mdim1)
              and __arg_alt_match__3I__(msubi)
              and __arg_alt_match__3I__(msubj)
              and __arg_alt_match__3D__(mval)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprMul.monty:84:6-94:7
    def _ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(self,mdim0,mdim1,msubi,msubj,mval,expr):
      self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(numpy.int32(mdim0),numpy.int32(mdim1),numpy.array(msubi,dtype=numpy.dtype(numpy.int32)),numpy.array(msubj,dtype=numpy.dtype(numpy.int32)),numpy.array(mval,dtype=numpy.dtype(numpy.float64)),expr)
    def _ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2(self,mdim0,mdim1,msubi,msubj,mval,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:91:28-94:7
      mosek_fusion_ExprMulLeft._ctor_init_II_3I_3I_3DLmosek_4fusion_4Expression_2I(self,mdim0,mdim1,msubi,msubj,mval,expr,mosek.fusion.ExprMulLeft.__validate_II_3I_3I_3DLmosek_4fusion_4Expression_2(mdim0,mdim1,msubi,msubj,mval,expr))# ctor @ bld/herlev/final/default/src/fusion/ExprMul.monty:92:8-93:58
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:91:28-94:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:125:67-468:7
      (self.__expr)._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprMul.monty:144:8-33
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprMul.monty:145:8-22
      _3_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprMul.monty:147:12-14
      _4_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprMul.monty:148:12-15
      _5_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:149:12-17
      _6_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:150:12-21
      _7_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprMul.monty:151:12-17
      _8_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:153:12-17
      _9_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:154:12-15
      _10_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:155:12-14
      _11_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:156:12-17
      _12_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:157:12-15
      _13_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:159:12-19
      _14_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:160:12-16
      _15_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:161:12-18
      _16_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:163:12-16
      _17_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:164:12-16
      _18_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:165:12-16
      if (_3_nd!=2): # bld/herlev/final/default/src/fusion/ExprMul.monty:169:12-19
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:170:10-80
        raise mosek_fusion_DimensionError._ctor_S("Invalid operator shape for multiplication") # bld/herlev/final/default/src/fusion/ExprMul.monty:170:10-80
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:170:10-80
      _19_eperm=9999 # bld/herlev/final/default/src/fusion/ExprMul.monty:172:12-17
      _20_esubi=9999 # bld/herlev/final/default/src/fusion/ExprMul.monty:173:12-17
      _21_eptr=9999 # bld/herlev/final/default/src/fusion/ExprMul.monty:174:12-16
      _22_edim0=_16_wi32[_8_shape] # bld/herlev/final/default/src/fusion/ExprMul.monty:176:12-17
      _23_edim1=_16_wi32[(_8_shape + 1)] # bld/herlev/final/default/src/fusion/ExprMul.monty:177:12-17
      _24_mnnz=int((self.__msubi).shape[0]) # bld/herlev/final/default/src/fusion/ExprMul.monty:179:12-16
      _25_missp=(_24_mnnz < (numpy.int64(self.__mdim0) * numpy.int64(self.__mdim1))) # bld/herlev/final/default/src/fusion/ExprMul.monty:180:12-17
      _26_rhassp=False # bld/herlev/final/default/src/fusion/ExprMul.monty:181:51-57
      _27_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:181:35-45
      _28_rnelem=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:181:23-29
      _29_rnnz=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:181:12-16
      if _7_hassp: # bld/herlev/final/default/src/fusion/ExprMul.monty:183:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:183:19-242:9
        _19_eperm = _2_xs._alloci32_I(_5_nelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:184:10-37
        _20_esubi = _2_xs._alloci32_I(_5_nelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:185:10-37
        _21_eptr = _2_xs._alloci32_I((_23_edim1 + 1)) # bld/herlev/final/default/src/fusion/ExprMul.monty:186:10-39
        _30_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:188:14-18
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:191:10-203:11
        fragments._c_closure_463(_23_edim1,_19_eperm,_21_eptr,_5_nelem,_10_sp,_17_wi64,_30_xi32) # bld/herlev/final/default/src/fusion/ExprMul.monty:191:10-203:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:191:10-203:11
        _27_rncodeatom,_28_rnelem,_29_rnnz = fragments._c_closure_464(_13_codeptr,_23_edim1,_19_eperm,_21_eptr,self.__mdim0,_25_missp,_24_mnnz,self.__msubi,self.__msubj,_6_ncodeatom,_4_nnz,_9_ptr,_27_rncodeatom,_28_rnelem,_29_rnnz,_10_sp,_16_wi32,_17_wi64,_30_xi32) # bld/herlev/final/default/src/fusion/ExprMul.monty:206:10-241:11
        _27_rncodeatom = numpy.int32(_27_rncodeatom) # postprocess
        _28_rnelem = numpy.int32(_28_rnelem) # postprocess
        _29_rnnz = numpy.int64(_29_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:183:19-242:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:243:13-272:9
        _27_rncodeatom,_28_rnelem,_29_rnnz = fragments._c_closure_465(_13_codeptr,_23_edim1,self.__mdim0,_25_missp,_24_mnnz,self.__msubi,self.__msubj,_6_ncodeatom,_4_nnz,_9_ptr,_27_rncodeatom,_28_rnelem,_29_rnnz,_16_wi32) # bld/herlev/final/default/src/fusion/ExprMul.monty:243:13-272:9
        _27_rncodeatom = numpy.int32(_27_rncodeatom) # postprocess
        _28_rnelem = numpy.int32(_28_rnelem) # postprocess
        _29_rnnz = numpy.int64(_29_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:243:13-272:9
      if (not (_29_rnnz <= 2147483647)): # bld/herlev/final/default/src/fusion/ExprMul.monty:276:12-36
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:277:10-89
        raise mosek_fusion_LengthError._ctor_S("Maximum number of nonzeros exceeded in multiplication") # bld/herlev/final/default/src/fusion/ExprMul.monty:277:10-89
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:277:10-89
      _26_rhassp = (_28_rnelem < (self.__mdim0 * _23_edim1)) # bld/herlev/final/default/src/fusion/ExprMul.monty:279:8-38
      _31_rnd=2 # bld/herlev/final/default/src/fusion/ExprMul.monty:281:12-15
      _0_rs._alloc_1expr_IIIZI(_31_rnd,_28_rnelem,numpy.int32(_29_rnnz),_26_rhassp,_27_rncodeatom) # bld/herlev/final/default/src/fusion/ExprMul.monty:290:8-64
      _32_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:292:12-16
      _33_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:293:12-18
      _34_rsp=((_0_rs.sp_base) if (_26_rhassp ) else _0_rs._alloci64_I(_28_rnelem)) # bld/herlev/final/default/src/fusion/ExprMul.monty:294:12-15
      _35_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:295:12-16
      _36_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:296:12-18
      _37_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:298:12-17
      _38_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:299:12-20
      _39_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprMul.monty:300:12-19
      _40_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMul.monty:302:12-16
      _41_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMul.monty:303:12-16
      _42_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:304:12-16
      _43_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprMul.monty:306:12-16
      _42_ri32[_36_rshape] = self.__mdim0 # bld/herlev/final/default/src/fusion/ExprMul.monty:308:8-31
      _42_ri32[(_36_rshape + 1)] = _23_edim1 # bld/herlev/final/default/src/fusion/ExprMul.monty:309:8-31
      _42_ri32[_32_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprMul.monty:310:8-23
      if (_27_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprMul.monty:312:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:313:10-29
        _42_ri32[_38_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprMul.monty:313:10-29
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:313:10-29
      if _7_hassp: # bld/herlev/final/default/src/fusion/ExprMul.monty:315:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:315:19-411:9
        if _25_missp: # bld/herlev/final/default/src/fusion/ExprMul.monty:316:14-19
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:316:21-366:11
          fragments._c_closure_466(_15_cconst,_14_code,_13_codeptr,_12_cof,_23_edim1,_19_eperm,_21_eptr,_24_mnnz,self.__msubi,self.__msubj,self.__mval,_11_nidxs,_9_ptr,_39_rcconst,_37_rcode,_38_rcodeptr,_35_rcof,_41_rf64,_42_ri32,_40_ri64,_27_rncodeatom,_33_rnidxs,_32_rptr,_34_rsp,_10_sp,_18_wf64,_16_wi32,_17_wi64,_43_xi32) # bld/herlev/final/default/src/fusion/ExprMul.monty:316:21-366:11
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:316:21-366:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:367:15-410:11
          _44_codei=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:373:34-39
          _45_elmi=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:373:25-29
          _46_nzi=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:373:16-19
          _44_codei,_45_elmi,_46_nzi = fragments._c_closure_467(_15_cconst,_14_code,_44_codei,_13_codeptr,_12_cof,_23_edim1,_45_elmi,_19_eperm,_21_eptr,self.__mdim0,self.__mdim1,self.__mval,_11_nidxs,_46_nzi,_9_ptr,_39_rcconst,_37_rcode,_38_rcodeptr,_35_rcof,_41_rf64,_42_ri32,_40_ri64,_27_rncodeatom,_33_rnidxs,_32_rptr,_10_sp,_18_wf64,_16_wi32,_17_wi64,_43_xi32) # bld/herlev/final/default/src/fusion/ExprMul.monty:374:12-405:15
          _44_codei = numpy.int32(_44_codei) # postprocess
          _45_elmi = numpy.int32(_45_elmi) # postprocess
          _46_nzi = numpy.int32(_46_nzi) # postprocess
          if (_45_elmi!=_28_rnelem): # bld/herlev/final/default/src/fusion/ExprMul.monty:407:16-30
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:407:32-100
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: Incorrect number of elements") # bld/herlev/final/default/src/fusion/ExprMul.monty:407:32-100
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:407:32-100
          if (_46_nzi!=_29_rnnz): # bld/herlev/final/default/src/fusion/ExprMul.monty:408:16-28
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:408:32-101
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: Incorrect number of non-zeros") # bld/herlev/final/default/src/fusion/ExprMul.monty:408:32-101
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:408:32-101
          if (_44_codei!=_27_rncodeatom): # bld/herlev/final/default/src/fusion/ExprMul.monty:409:16-35
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:409:37-107
            raise mosek_fusion_UnexpectedError._ctor_S("Internal: Incorrect number of code atoms") # bld/herlev/final/default/src/fusion/ExprMul.monty:409:37-107
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:409:37-107
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:367:15-410:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:315:19-411:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:412:13-461:9
        _47_codei=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:415:41-46
        _48_mp=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:415:33-35
        _49_elmi=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:415:23-27
        _50_nzi=0 # bld/herlev/final/default/src/fusion/ExprMul.monty:415:14-17
        _47_codei,_49_elmi,_48_mp,_50_nzi = fragments._c_closure_468(_15_cconst,_14_code,_47_codei,_13_codeptr,_12_cof,_23_edim1,_49_elmi,_24_mnnz,_48_mp,self.__msubi,self.__msubj,self.__mval,_11_nidxs,_50_nzi,_9_ptr,_39_rcconst,_37_rcode,_38_rcodeptr,_35_rcof,_41_rf64,_42_ri32,_40_ri64,_27_rncodeatom,_33_rnidxs,_32_rptr,_34_rsp,_18_wf64,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprMul.monty:416:10-457:11
        _47_codei = numpy.int32(_47_codei) # postprocess
        _49_elmi = numpy.int32(_49_elmi) # postprocess
        _48_mp = numpy.int32(_48_mp) # postprocess
        _50_nzi = numpy.int32(_50_nzi) # postprocess
        if (_49_elmi!=_28_rnelem): # bld/herlev/final/default/src/fusion/ExprMul.monty:458:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:458:30-98
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Incorrect number of elements") # bld/herlev/final/default/src/fusion/ExprMul.monty:458:30-98
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:458:30-98
        if (_50_nzi!=_29_rnnz): # bld/herlev/final/default/src/fusion/ExprMul.monty:459:14-26
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:459:30-99
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Incorrect number of non-zeros") # bld/herlev/final/default/src/fusion/ExprMul.monty:459:30-99
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:459:30-99
        if (_47_codei!=_27_rncodeatom): # bld/herlev/final/default/src/fusion/ExprMul.monty:460:14-33
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:460:35-105
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Incorrect number of code atoms") # bld/herlev/final/default/src/fusion/ExprMul.monty:460:35-105
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:460:35-105
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:412:13-461:9
      if (not _26_rhassp): # bld/herlev/final/default/src/fusion/ExprMul.monty:463:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:464:10-28
        _0_rs._popi64_I(_28_rnelem) # bld/herlev/final/default/src/fusion/ExprMul.monty:464:10-28
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:464:10-28
      _2_xs._clear_() # bld/herlev/final/default/src/fusion/ExprMul.monty:465:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:125:67-468:7
    @staticmethod
    def __computeshape_alt_II_3I(_t__0_d0,_t__1_d1,_t__2_ds):
      _0_d0=numpy.int32(_t__0_d0)
      _1_d1=numpy.int32(_t__1_d1)
      _2_ds=numpy.array(_t__2_ds,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_ExprMulLeft.__computeshape_II_3I(_0_d0,_1_d1,_2_ds)
      try:
        _t__2_ds[:] = _2_ds
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __computeshape_II_3I(_0_d0,_1_d1,_2_ds):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:96:81-102:7
      if (int((_2_ds).shape[0])!=2): # bld/herlev/final/default/src/fusion/ExprMul.monty:97:12-24
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:98:10-61
        raise mosek_fusion_DimensionError._ctor_S("Mismatching dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:98:10-61
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:98:10-61
      elif (_1_d1!=_2_ds[0]): # bld/herlev/final/default/src/fusion/ExprMul.monty:99:16-27
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:100:10-61
        raise mosek_fusion_DimensionError._ctor_S("Mismatching dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:100:10-61
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:100:10-61
      return (numpy.array([_0_d0,_2_ds[1]], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/ExprMul.monty:101:8-31
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:96:81-102:7
    @staticmethod
    def __validate_alt_II_3I_3I_3DLmosek_4fusion_4Expression_2(_t__0_mdim0,_t__1_mdim1,_t__2_msubi,_t__3_msubj,_t__4_mval,_t__5_expr):
      _0_mdim0=numpy.int32(_t__0_mdim0)
      _1_mdim1=numpy.int32(_t__1_mdim1)
      _2_msubi=numpy.array(_t__2_msubi,dtype=numpy.dtype(numpy.int32))
      _3_msubj=numpy.array(_t__3_msubj,dtype=numpy.dtype(numpy.int32))
      _4_mval=numpy.array(_t__4_mval,dtype=numpy.dtype(numpy.float64))
      _5_expr=_t__5_expr
      _1 = mosek_fusion_ExprMulLeft.__validate_II_3I_3I_3DLmosek_4fusion_4Expression_2(_0_mdim0,_1_mdim1,_2_msubi,_3_msubj,_4_mval,_5_expr)
      try:
        _t__2_msubi[:] = _2_msubi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_msubj[:] = _3_msubj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_mval[:] = _4_mval
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __validate_II_3I_3I_3DLmosek_4fusion_4Expression_2(_0_mdim0,_1_mdim1,_2_msubi,_3_msubj,_4_mval,_5_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:34:28-68:7
      if (_5_expr._getND_()!=2): # bld/herlev/final/default/src/fusion/ExprMul.monty:36:12-29
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:37:10-65
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:37:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:37:10-65
      _6_edim0=_5_expr._getDim_I(0) # bld/herlev/final/default/src/fusion/ExprMul.monty:39:12-17
      _7_edim1=_5_expr._getDim_I(0) # bld/herlev/final/default/src/fusion/ExprMul.monty:40:12-17
      if ((_0_mdim0 < 0) or (_1_mdim1 < 0)): # bld/herlev/final/default/src/fusion/ExprMul.monty:42:12-34
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:43:10-65
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:43:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:43:10-65
      if (_1_mdim1!=_6_edim0): # bld/herlev/final/default/src/fusion/ExprMul.monty:44:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:45:10-69
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/ExprMul.monty:45:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:45:10-69
      if ((int((_2_msubi).shape[0])!=int((_3_msubj).shape[0])) or (int((_2_msubi).shape[0])!=int((_4_mval).shape[0]))): # bld/herlev/final/default/src/fusion/ExprMul.monty:46:12-63
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:47:10-55
        raise mosek_fusion_LengthError._ctor_S("Invalid matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:47:10-55
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:47:10-55
      _8_mnnz=int((_2_msubi).shape[0]) # bld/herlev/final/default/src/fusion/ExprMul.monty:49:12-16
      _9_err_data=False # bld/herlev/final/default/src/fusion/ExprMul.monty:51:12-20
      _10_err_unsorted=False # bld/herlev/final/default/src/fusion/ExprMul.monty:52:12-24
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:53:8-61:9
      _9_err_data,_10_err_unsorted = fragments._c_closure_469(_9_err_data,_10_err_unsorted,_0_mdim0,_1_mdim1,_8_mnnz,_2_msubi,_3_msubj) # bld/herlev/final/default/src/fusion/ExprMul.monty:53:8-61:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:53:8-61:9
      if _9_err_data: # bld/herlev/final/default/src/fusion/ExprMul.monty:62:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:63:10-55
        raise mosek_fusion_LengthError._ctor_S("Invalid matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:63:10-55
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:63:10-55
      if _10_err_unsorted: # bld/herlev/final/default/src/fusion/ExprMul.monty:64:12-24
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:65:10-56
        raise mosek_fusion_LengthError._ctor_S("Unsorted matrix data") # bld/herlev/final/default/src/fusion/ExprMul.monty:65:10-56
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:65:10-56
      return numpy.int32(1) # bld/herlev/final/default/src/fusion/ExprMul.monty:67:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:34:28-68:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:23:39-25:7
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprMulLeft(M(")._a_I(self.__mdim0)._a_S(",")._a_I(self.__mdim1)._a_S("),")._a_S(self.__expr._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprMul.monty:24:8-130
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMul.monty:23:39-25:7
  return ExprMulLeft
mosek_fusion_ExprMulLeft=__mk_mosek_fusion_ExprMulLeft()
del __mk_mosek_fusion_ExprMulLeft

# origin: bld/herlev/final/default/src/fusion/ExprMulVar.monty:170:4-746:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulVar():
  class ExprMulVar(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulVar__left','_ExprMulVar__x','_ExprMulVar__mcof','_ExprMulVar__msubj','_ExprMulVar__msubi','_ExprMulVar__mdimj','_ExprMulVar__mdimi']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(*args): # bool,int32,int32,[]int32,[]int32,[]double,mosek.fusion.Variable
        self._ctor_init_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(*args)
      elif self.__match_alt_ctor_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(*args):# bool,int32,int32,[]int32,[]int32,[]double,mosek.fusion.Variable
        self._ctor_alt_init_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulVar.ctor(bool,int32,int32,array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1),mosek.fusion.Variable)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulVar._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulVar._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulVar.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def eval_right(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulVar._match_eval_1right_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_1right_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulVar._match_alt_eval_1right_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_1right_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval_right('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulVar.eval_right(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulVar._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulVar._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulVar.toString()')

    def eval_left(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulVar._match_eval_1left_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_1left_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulVar._match_alt_eval_1left_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_1left_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval_left('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulVar.eval_left(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def __repr__(self): return 'mosek.fusion.ExprMulVar'
    @staticmethod
    def _ctor_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(left,mdimi,mdimj,msubi,msubj,mcof,x):
      o = ExprMulVar.__new__(ExprMulVar)
      o._ctor_init_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(left,mdimi,mdimj,msubi,msubj,mcof,x)
      return o

    @staticmethod
    def __match_ctor_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(*args):
      if len(args) != 7: return False
      left,mdimi,mdimj,msubi,msubj,mcof,x, = args
      return (    __arg_match_Z__(left)
              and __arg_match_I__(mdimi)
              and __arg_match_I__(mdimj)
              and __arg_match__3I__(msubi)
              and __arg_match__3I__(msubj)
              and __arg_match__3D__(mcof)
              and __arg_match_Lmosek_4fusion_4Variable_2__(x))
    @staticmethod
    def __match_alt_ctor_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(*args):
      if len(args) != 7: return False
      left,mdimi,mdimj,msubi,msubj,mcof,x, = args
      return (    __arg_alt_match_Z__(left)
              and __arg_alt_match_I__(mdimi)
              and __arg_alt_match_I__(mdimj)
              and __arg_alt_match__3I__(msubi)
              and __arg_alt_match__3I__(msubj)
              and __arg_alt_match__3D__(mcof)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(x))
    # Origin: bld/herlev/final/default/src/fusion/ExprMulVar.monty:248:6-276:7
    def _ctor_alt_init_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(self,left,mdimi,mdimj,msubi,msubj,mcof,x):
      self._ctor_init_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(left,numpy.int32(mdimi),numpy.int32(mdimj),numpy.array(msubi,dtype=numpy.dtype(numpy.int32)),numpy.array(msubj,dtype=numpy.dtype(numpy.int32)),numpy.array(mcof,dtype=numpy.dtype(numpy.float64)),x)
    def _ctor_init_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(self,left,mdimi,mdimj,msubi,msubj,mcof,x):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:258:26-276:7
      mosek_fusion_ExprMulVar._ctor_init_ZII_3I_3I_3DLmosek_4fusion_4Variable_2I(self,left,mdimi,mdimj,msubi,msubj,mcof,x,1)# ctor @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:260:8-52
      _0_xshape=x._getShape_() # bld/herlev/final/default/src/fusion/ExprMulVar.monty:262:12-18
      _1_nd=int((_0_xshape).shape[0]) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:263:12-14
      if (_1_nd!=2): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:265:12-19
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:266:10-69
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/ExprMulVar.monty:266:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:266:10-69
      elif (left and (_0_xshape[0]!=mdimj)): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:267:16-43
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:268:10-69
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/ExprMulVar.monty:268:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:268:10-69
      elif ((not left) and (_0_xshape[1]!=mdimi)): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:269:16-47
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:270:10-69
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/ExprMulVar.monty:270:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:270:10-69
      if ((int((msubi).shape[0])!=int((msubj).shape[0])) or (int((msubi).shape[0])!=int((mcof).shape[0]))): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:272:12-63
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:273:10-67
        raise mosek_fusion_LengthError._ctor_S("Mismatching matrix data lengths") # bld/herlev/final/default/src/fusion/ExprMulVar.monty:273:10-67
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:273:10-67
      self.__validate_II_3I_3I_3D(mdimi,mdimj,msubi,msubj,mcof) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:275:8-47
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:258:26-276:7
    @staticmethod
    def _ctor_ZII_3I_3I_3DLmosek_4fusion_4Variable_2I(left,mdimi,mdimj,msubi,msubj,mcof,x,unchecked_):
      o = ExprMulVar.__new__(ExprMulVar)
      o._ctor_init_ZII_3I_3I_3DLmosek_4fusion_4Variable_2I(left,mdimi,mdimj,msubi,msubj,mcof,x,unchecked_)
      return o

    @staticmethod
    def __match_ctor_ZII_3I_3I_3DLmosek_4fusion_4Variable_2I(*args):
      if len(args) != 8: return False
      left,mdimi,mdimj,msubi,msubj,mcof,x,unchecked_, = args
      return (    __arg_match_Z__(left)
              and __arg_match_I__(mdimi)
              and __arg_match_I__(mdimj)
              and __arg_match__3I__(msubi)
              and __arg_match__3I__(msubj)
              and __arg_match__3D__(mcof)
              and __arg_match_Lmosek_4fusion_4Variable_2__(x)
              and __arg_match_I__(unchecked_))
    @staticmethod
    def __match_alt_ctor_ZII_3I_3I_3DLmosek_4fusion_4Variable_2I(*args):
      if len(args) != 8: return False
      left,mdimi,mdimj,msubi,msubj,mcof,x,unchecked_, = args
      return (    __arg_alt_match_Z__(left)
              and __arg_alt_match_I__(mdimi)
              and __arg_alt_match_I__(mdimj)
              and __arg_alt_match__3I__(msubi)
              and __arg_alt_match__3I__(msubj)
              and __arg_alt_match__3D__(mcof)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(x)
              and __arg_alt_match_I__(unchecked_))
    # Origin: bld/herlev/final/default/src/fusion/ExprMulVar.monty:196:6-220:7
    def _ctor_alt_init_ZII_3I_3I_3DLmosek_4fusion_4Variable_2I(self,left,mdimi,mdimj,msubi,msubj,mcof,x,unchecked_):
      self._ctor_init_ZII_3I_3I_3DLmosek_4fusion_4Variable_2I(left,numpy.int32(mdimi),numpy.int32(mdimj),numpy.array(msubi,dtype=numpy.dtype(numpy.int32)),numpy.array(msubj,dtype=numpy.dtype(numpy.int32)),numpy.array(mcof,dtype=numpy.dtype(numpy.float64)),x,numpy.int32(unchecked_))
    def _ctor_init_ZII_3I_3I_3DLmosek_4fusion_4Variable_2I(self,left,mdimi,mdimj,msubi,msubj,mcof,x,unchecked_):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:208:26-220:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,mosek.fusion.ExprMulVar.__resshape_II_3IZ(mdimi,mdimj,x._getShape_(),left))# ctor @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:210:8-55
      (self.__left) = left # bld/herlev/final/default/src/fusion/ExprMulVar.monty:212:8-25
      (self.__x) = x # bld/herlev/final/default/src/fusion/ExprMulVar.monty:213:8-22
      (self.__mdimi) = mdimi # bld/herlev/final/default/src/fusion/ExprMulVar.monty:214:8-27
      (self.__mdimj) = mdimj # bld/herlev/final/default/src/fusion/ExprMulVar.monty:215:8-27
      (self.__msubi) = mosek.fusion.Utils.Tools._arraycopy__3I(msubi) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:217:8-50
      (self.__msubj) = mosek.fusion.Utils.Tools._arraycopy__3I(msubj) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:218:8-50
      (self.__mcof) = mosek.fusion.Utils.Tools._arraycopy__3D(mcof) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:219:8-49
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:208:26-220:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:740:67-745:7
      if self.__left: # bld/herlev/final/default/src/fusion/ExprMulVar.monty:741:12-16
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:742:10-30
        self._eval_1left_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:742:10-30
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:742:10-30
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:744:10-31
        self._eval_1right_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:744:10-31
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:744:10-31
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:740:67-745:7
    @staticmethod
    def _match_eval_1right_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_1right_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_1right_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_1right_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_1right_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:460:73-737:7
      _3_base_pi32=(_1_ws.pi32) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:461:12-21
      _4_base_pi64=(_1_ws.pi64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:462:12-21
      _5_nx=self.__x._numInst_() # bld/herlev/final/default/src/fusion/ExprMulVar.monty:464:12-14
      _6_nidxs=_1_ws._alloci64_I(_5_nx) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:465:12-17
      _7_sp=_1_ws._alloci64_I(_5_nx) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:466:12-14
      _8_xsubi=_1_ws._alloci32_I(_5_nx) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:467:12-17
      _9_xsubj=_1_ws._alloci32_I(_5_nx) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:468:12-17
      _10_xshape=self.__x._getShape_() # bld/herlev/final/default/src/fusion/ExprMulVar.monty:470:12-18
      _11_nd=int((_10_xshape).shape[0]) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:471:12-14
      _12_x_total_size=(_10_xshape[0] * _10_xshape[1]) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:472:12-30
      _13_xdim1=_10_xshape[1] # bld/herlev/final/default/src/fusion/ExprMulVar.monty:475:12-17
      _14_xdim0=_10_xshape[0] # bld/herlev/final/default/src/fusion/ExprMulVar.monty:474:12-17
      _15_ptr=_1_ws._alloci32_I((_14_xdim0 + 1)) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:477:12-15
      _16_numm=int(((self.__msubi)).shape[0]) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:479:12-16
      _17_msubi=(self.__msubi) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:480:12-17
      _18_msubj=(self.__msubj) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:481:12-17
      _19_mcof=(self.__mcof) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:482:12-16
      _20_mdim0=(self.__mdimi) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:483:12-17
      _21_mdim1=(self.__mdimj) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:484:12-17
      _22_m_is_dense=((_16_numm // _20_mdim0)==_21_mdim1) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:485:12-22
      _23_perm=_1_ws._alloci32_I(_16_numm) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:487:12-16
      _24_mptr=_1_ws._alloci32_I((self.__mdimj + 1)) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:488:12-16
      _25_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:490:12-16
      _26_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:491:12-16
      _27_nnz=0 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:493:23-26
      _28_nelem=0 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:493:12-17
      self.__x._inst_I_3JI_3J(_7_sp,_26_wi64,_6_nidxs,_26_wi64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:495:8-35
      if _22_m_is_dense: # bld/herlev/final/default/src/fusion/ExprMulVar.monty:497:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:497:24-560:9
        _29_x_num_nonempty_rows=0 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:500:14-33
        _29_x_num_nonempty_rows = fragments._c_closure_470(_5_nx,_7_sp,_26_wi64,_29_x_num_nonempty_rows,_14_xdim0,_13_xdim1) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:501:10-514:11
        _29_x_num_nonempty_rows = numpy.int32(_29_x_num_nonempty_rows) # postprocess
        _28_nelem = (_29_x_num_nonempty_rows * _21_mdim1) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:516:10-46
        _27_nnz = (_5_nx * _21_mdim1) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:517:10-29
        _30_hassp=(_29_x_num_nonempty_rows < _14_xdim0) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:519:14-19
        _0_rs._alloc_1expr_IIIZ(2,_28_nelem,_27_nnz,_30_hassp) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:521:10-43
        _31_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:522:14-18
        _32_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:523:14-20
        _33_rnidx=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:524:14-19
        _34_rsp=((_0_rs.sp_base) if (_30_hassp ) else _0_rs._alloci64_I(_28_nelem)) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:525:14-17
        _35_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:526:14-18
        _36_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:528:14-18
        _37_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:529:14-18
        _38_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:530:14-18
        _36_ri32[_32_rshape] = _14_xdim0 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:532:10-31
        _36_ri32[(_32_rshape + 1)] = _21_mdim1 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:533:10-33
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:534:10-557:11
        fragments._c_closure_471(_19_mcof,_21_mdim1,_6_nidxs,_5_nx,_35_rcof,_38_rf64,_36_ri32,_37_ri64,_33_rnidx,_31_rptr,_34_rsp,_7_sp,_26_wi64,_13_xdim1) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:534:10-557:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:534:10-557:11
        if (not _30_hassp): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:558:14-23
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:559:12-29
          _0_rs._popi64_I(_28_nelem) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:559:12-29
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:559:12-29
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:497:24-560:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:561:13-733:9
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:563:10-582:11
        fragments._c_closure_472(_21_mdim1,self.__mdimj,_24_mptr,_18_msubj,_16_numm,_23_perm,_25_wi32) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:563:10-582:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:563:10-582:11
        if ((_5_nx // _14_xdim0)==_13_xdim1): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:584:14-33
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:584:35-643:11
          _39_num_nz_cols=0 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:586:16-27
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:587:12-594:13
          _39_num_nz_cols = fragments._c_closure_473(_18_msubj,_39_num_nz_cols,_16_numm,_23_perm,_25_wi32) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:587:12-594:13
          _39_num_nz_cols = numpy.int32(_39_num_nz_cols) # postprocess
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:587:12-594:13
          _28_nelem = (_39_num_nz_cols * _14_xdim0) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:596:12-40
          _27_nnz = (_16_numm * _14_xdim0) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:597:12-31
          _40_rhassp=(_39_num_nz_cols < _21_mdim1) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:600:16-22
          _0_rs._alloc_1expr_IIIZ(2,_28_nelem,_27_nnz,_40_rhassp) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:602:12-46
          _41_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:604:16-20
          _42_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:605:16-22
          _43_rnidx=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:606:16-21
          _44_rsp=((_0_rs.sp_base) if (_40_rhassp ) else _0_rs._alloci64_I(_28_nelem)) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:607:16-19
          _45_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:608:16-20
          (_0_rs.i32)[_42_rshape] = _14_xdim0 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:609:12-37
          (_0_rs.i32)[(_42_rshape + 1)] = _21_mdim1 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:610:12-37
          _46_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:612:16-20
          _47_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:613:16-20
          _48_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:614:16-20
          _46_ri32[_41_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:616:12-27
          _49_kelm=0 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:619:25-29
          _50_knz=0 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:619:16-19
          _49_kelm,_50_knz = fragments._c_closure_474(_49_kelm,_50_knz,_19_mcof,_21_mdim1,_17_msubi,_18_msubj,_6_nidxs,_16_numm,_23_perm,_45_rcof,_48_rf64,_46_ri32,_47_ri64,_43_rnidx,_41_rptr,_44_rsp,_25_wi32,_26_wi64,_14_xdim0,_13_xdim1) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:620:12-639:13
          _49_kelm = numpy.int32(_49_kelm) # postprocess
          _50_knz = numpy.int32(_50_knz) # postprocess
          if (not _40_rhassp): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:641:16-26
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:642:14-31
            _0_rs._popi64_I(_28_nelem) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:642:14-31
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:642:14-31
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:584:35-643:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:644:15-732:11
          fragments._c_closure_475(_15_ptr,_25_wi32,_14_xdim0) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:645:14-55
          fragments._c_closure_476(_11_nd,_5_nx,_15_ptr,_7_sp,_25_wi32,_26_wi64,_14_xdim0,_10_xshape,_8_xsubi,_9_xsubj) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:647:12-659:13
          _28_nelem,_27_nnz = fragments._c_closure_477(self.__mdimj,_24_mptr,_17_msubi,_28_nelem,_27_nnz,_23_perm,_15_ptr,_25_wi32,_14_xdim0,_9_xsubj) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:663:12-682:15
          _28_nelem = numpy.int32(_28_nelem) # postprocess
          _27_nnz = numpy.int32(_27_nnz) # postprocess
          _51_rhassp=(_28_nelem < (_13_xdim1 * self.__mdimi)) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:684:16-22
          _0_rs._alloc_1expr_IIIZ(2,_28_nelem,_27_nnz,_51_rhassp) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:685:12-46
          _52_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:686:16-20
          _53_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:687:16-22
          _54_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:688:16-22
          _55_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:689:16-19
          _56_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:690:16-20
          (_0_rs.i32)[_53_rshape] = _14_xdim0 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:691:12-37
          (_0_rs.i32)[(_53_rshape + 1)] = self.__mdimj # bld/herlev/final/default/src/fusion/ExprMulVar.monty:692:12-37
          _57_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:694:16-20
          _58_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:695:16-20
          _59_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:696:16-20
          # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:699:12-729:13
          fragments._c_closure_478(_19_mcof,self.__mdimj,_24_mptr,_17_msubi,_6_nidxs,_23_perm,_15_ptr,_56_rcof,_59_rf64,_57_ri32,_58_ri64,_54_rnidxs,_52_rptr,_55_rsp,_25_wi32,_26_wi64,_14_xdim0,_9_xsubj) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:699:12-729:13
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:699:12-729:13
          if (not _51_rhassp): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:730:16-26
            # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:731:14-31
            _0_rs._popi64_I(_28_nelem) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:731:14-31
            # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:731:14-31
          # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:644:15-732:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:561:13-733:9
      (_1_ws.pi32) = _3_base_pi32 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:735:8-28
      (_1_ws.pi64) = _4_base_pi64 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:736:8-28
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:460:73-737:7
    @staticmethod
    def _match_eval_1left_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_1left_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_1left_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_1left_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_1left_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:279:72-458:7
      _3_nx=self.__x._numInst_() # bld/herlev/final/default/src/fusion/ExprMulVar.monty:280:12-14
      _4_xshape=self.__x._getShape_() # bld/herlev/final/default/src/fusion/ExprMulVar.monty:281:12-18
      _5_nd=int((_4_xshape).shape[0]) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:282:12-14
      _6_nidxs=_2_xs._alloci64_I(_3_nx) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:283:12-17
      _7_sp=_2_xs._alloci64_I(_3_nx) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:284:12-14
      _8_xsubi=_2_xs._alloci32_I(_3_nx) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:285:12-17
      _9_xsubj=_2_xs._alloci32_I(_3_nx) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:286:12-17
      _10_perm=_2_xs._alloci32_I(_3_nx) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:287:12-16
      _11_mptr=_2_xs._alloci32_I((self.__mdimi + 1)) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:288:12-16
      _12_xshape=self.__x._getShape_() # bld/herlev/final/default/src/fusion/ExprMulVar.monty:290:12-18
      _13_nd=int((_12_xshape).shape[0]) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:291:12-14
      _14_xdim1=(1 if ((_13_nd==1) ) else _12_xshape[1]) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:295:10-15
      _15_xdim0=_12_xshape[0] # bld/herlev/final/default/src/fusion/ExprMulVar.monty:294:10-15
      _16_ptr=_2_xs._alloci32_I((_14_xdim1 + 1)) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:296:12-15
      _17_msubi=(self.__msubi) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:298:12-17
      _18_msubj=(self.__msubj) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:299:12-17
      _19_mcof=(self.__mcof) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:300:12-16
      _20_mdimi=(self.__mdimi) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:301:12-17
      _21_mdimj=(self.__mdimj) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:302:12-17
      _22_rnnz=0 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:304:24-28
      _23_rnelem=0 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:304:12-18
      _24_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:306:12-16
      _25_xi64=(_2_xs.i64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:307:12-16
      _26_mnnz=int((_19_mcof).shape[0]) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:309:12-16
      self.__x._inst_I_3JI_3J(_7_sp,_25_xi64,_6_nidxs,_25_xi64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:311:8-35
      if (self.__x._numInst_() < self.__x._getSize_()): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:312:12-37
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:312:39-368:9
        _23_rnelem,_22_rnnz = fragments._c_closure_479(_20_mdimi,_11_mptr,_17_msubi,_18_msubj,_13_nd,_3_nx,_10_perm,_16_ptr,_23_rnelem,_22_rnnz,_7_sp,_14_xdim1,_24_xi32,_25_xi64,_8_xsubi,_9_xsubj) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:312:39-368:9
        _23_rnelem = numpy.int32(_23_rnelem) # postprocess
        _22_rnnz = numpy.int32(_22_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:312:39-368:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:368:15-378:9
        _23_rnelem,_22_rnnz = fragments._c_closure_480(_26_mnnz,_17_msubi,_23_rnelem,_22_rnnz,_14_xdim1) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:368:15-378:9
        _23_rnelem = numpy.int32(_23_rnelem) # postprocess
        _22_rnnz = numpy.int32(_22_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:368:15-378:9
      _27_rhassp=(True if ((_23_rnelem < (_14_xdim1 * _20_mdimi)) ) else False) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:380:12-18
      _28_rnd=_13_nd # bld/herlev/final/default/src/fusion/ExprMulVar.monty:381:12-15
      _0_rs._alloc_1expr_IIIZ(_28_rnd,_23_rnelem,_22_rnnz,_27_rhassp) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:382:8-46
      _29_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:384:12-16
      _30_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:385:12-18
      _31_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:386:12-18
      _32_rsp=((_0_rs.sp_base) if (_27_rhassp ) else _0_rs._alloci64_I(_23_rnelem)) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:387:12-15
      _33_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:388:12-16
      _34_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:390:12-16
      _35_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:391:12-16
      _36_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:392:12-16
      _34_ri32[_30_rshape] = _20_mdimi # bld/herlev/final/default/src/fusion/ExprMulVar.monty:394:8-29
      if (_13_nd > 1): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:396:12-18
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:397:10-33
        _34_ri32[(_30_rshape + 1)] = _14_xdim1 # bld/herlev/final/default/src/fusion/ExprMulVar.monty:397:10-33
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:397:10-33
      if (self.__x._numInst_() < self.__x._getSize_()): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:400:12-37
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:400:39-432:9
        fragments._c_closure_481(_19_mcof,_20_mdimi,_11_mptr,_18_msubj,_6_nidxs,_10_perm,_16_ptr,_33_rcof,_36_rf64,_34_ri32,_35_ri64,_31_rnidxs,_29_rptr,_32_rsp,_14_xdim1,_24_xi32,_25_xi64,_8_xsubi) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:400:39-432:9
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:400:39-432:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:432:15-452:8
        fragments._c_closure_482(_19_mcof,_26_mnnz,_17_msubi,_18_msubj,_6_nidxs,_33_rcof,_36_rf64,_34_ri32,_35_ri64,_31_rnidxs,_29_rptr,_32_rsp,_14_xdim1,_25_xi64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:432:15-452:8
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:432:15-452:8
      if (not _27_rhassp): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:454:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:455:10-28
        _0_rs._popi64_I(_23_rnelem) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:455:10-28
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:455:10-28
      _2_xs._clear_() # bld/herlev/final/default/src/fusion/ExprMulVar.monty:457:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:279:72-458:7
    def __validate_alt_II_3I_3I_3D(self,_t__0_mdimi,_t__1_mdimj,_t__2_msubi,_t__3_msubj,_t__4_mcof):
      _0_mdimi=numpy.int32(_t__0_mdimi)
      _1_mdimj=numpy.int32(_t__1_mdimj)
      _2_msubi=numpy.array(_t__2_msubi,dtype=numpy.dtype(numpy.int32))
      _3_msubj=numpy.array(_t__3_msubj,dtype=numpy.dtype(numpy.int32))
      _4_mcof=numpy.array(_t__4_mcof,dtype=numpy.dtype(numpy.float64))
      _1 = self.__validate_II_3I_3I_3D(_0_mdimi,_1_mdimj,_2_msubi,_3_msubj,_4_mcof)
      try:
        _t__2_msubi[:] = _2_msubi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_msubj[:] = _3_msubj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_mcof[:] = _4_mcof
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __validate_II_3I_3I_3D(self,_0_mdimi,_1_mdimj,_2_msubi,_3_msubj,_4_mcof):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:228:24-244:7
      _5_ok=True # bld/herlev/final/default/src/fusion/ExprMulVar.monty:230:12-14
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:231:8-240:9
      _5_ok = fragments._c_closure_483(_0_mdimi,_1_mdimj,_2_msubi,_3_msubj,_5_ok) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:231:8-240:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:231:8-240:9
      if (not _5_ok): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:242:12-18
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:243:10-54
        raise mosek_fusion_IndexError._ctor_S("Invalid matrix data") # bld/herlev/final/default/src/fusion/ExprMulVar.monty:243:10-54
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:243:10-54
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:228:24-244:7
    @staticmethod
    def __resshape_alt_II_3IZ(_t__0_mdimi,_t__1_mdimj,_t__2_xshape,_t__3_left):
      _0_mdimi=numpy.int32(_t__0_mdimi)
      _1_mdimj=numpy.int32(_t__1_mdimj)
      _2_xshape=numpy.array(_t__2_xshape,dtype=numpy.dtype(numpy.int32))
      _3_left=_t__3_left
      _1 = mosek_fusion_ExprMulVar.__resshape_II_3IZ(_0_mdimi,_1_mdimj,_2_xshape,_3_left)
      try:
        _t__2_xshape[:] = _2_xshape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __resshape_II_3IZ(_0_mdimi,_1_mdimj,_2_xshape,_3_left):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:189:98-194:7
      if _3_left: # bld/herlev/final/default/src/fusion/ExprMulVar.monty:190:12-16
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:191:10-44
        return (numpy.array([_0_mdimi,_2_xshape[1]], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:191:10-44
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:191:10-44
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:193:10-44
        return (numpy.array([_2_xshape[0],_1_mdimj], dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:193:10-44
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:193:10-44
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:189:98-194:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:182:38-187:7
      if self.__left: # bld/herlev/final/default/src/fusion/ExprMulVar.monty:183:12-16
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:184:10-95
        return (mosek.fusion.Utils.StringBuffer()._a_S("ExprMulVar(M,")._a_S(self.__x._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:184:10-95
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:184:10-95
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:186:10-95
        return (mosek.fusion.Utils.StringBuffer()._a_S("ExprMulVar(")._a_S(self.__x._toString_())._a_S(",M)")._toString_()) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:186:10-95
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:186:10-95
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:182:38-187:7
  return ExprMulVar
mosek_fusion_ExprMulVar=__mk_mosek_fusion_ExprMulVar()
del __mk_mosek_fusion_ExprMulVar

# origin: bld/herlev/final/default/src/fusion/ExprMulVar.monty:53:4-167:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulScalarVar():
  class ExprMulScalarVar(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulScalarVar__x','_ExprMulScalarVar__mcof','_ExprMulScalarVar__msubj','_ExprMulScalarVar__msubi','_ExprMulScalarVar__mdimj','_ExprMulScalarVar__mdimi']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_II_3I_3I_3DLmosek_4fusion_4Variable_2(*args): # int32,int32,[]int32,[]int32,[]double,mosek.fusion.Variable
        self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Variable_2(*args)
      elif self.__match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Variable_2(*args):# int32,int32,[]int32,[]int32,[]double,mosek.fusion.Variable
        self._ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Variable_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulScalarVar.ctor(int32,int32,array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1),mosek.fusion.Variable)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulScalarVar._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulScalarVar._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulScalarVar.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulScalarVar._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulScalarVar._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulScalarVar.toString()')

    def __repr__(self): return 'mosek.fusion.ExprMulScalarVar'
    @staticmethod
    def _ctor_II_3I_3I_3DLmosek_4fusion_4Variable_2(mdimi,mdimj,msubi,msubj,mcof,x):
      o = ExprMulScalarVar.__new__(ExprMulScalarVar)
      o._ctor_init_II_3I_3I_3DLmosek_4fusion_4Variable_2(mdimi,mdimj,msubi,msubj,mcof,x)
      return o

    @staticmethod
    def __match_ctor_II_3I_3I_3DLmosek_4fusion_4Variable_2(*args):
      if len(args) != 6: return False
      mdimi,mdimj,msubi,msubj,mcof,x, = args
      return (    __arg_match_I__(mdimi)
              and __arg_match_I__(mdimj)
              and __arg_match__3I__(msubi)
              and __arg_match__3I__(msubj)
              and __arg_match__3D__(mcof)
              and __arg_match_Lmosek_4fusion_4Variable_2__(x))
    @staticmethod
    def __match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Variable_2(*args):
      if len(args) != 6: return False
      mdimi,mdimj,msubi,msubj,mcof,x, = args
      return (    __arg_alt_match_I__(mdimi)
              and __arg_alt_match_I__(mdimj)
              and __arg_alt_match__3I__(msubi)
              and __arg_alt_match__3I__(msubj)
              and __arg_alt_match__3D__(mcof)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(x))
    # Origin: bld/herlev/final/default/src/fusion/ExprMulVar.monty:89:6-126:7
    def _ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Variable_2(self,mdimi,mdimj,msubi,msubj,mcof,x):
      self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Variable_2(numpy.int32(mdimi),numpy.int32(mdimj),numpy.array(msubi,dtype=numpy.dtype(numpy.int32)),numpy.array(msubj,dtype=numpy.dtype(numpy.int32)),numpy.array(mcof,dtype=numpy.dtype(numpy.float64)),x)
    def _ctor_init_II_3I_3I_3DLmosek_4fusion_4Variable_2(self,mdimi,mdimj,msubi,msubj,mcof,x):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:97:26-126:7
      mosek_fusion_ExprMulScalarVar._ctor_init_II_3I_3I_3DLmosek_4fusion_4Variable_2I(self,mdimi,mdimj,mosek.fusion.Utils.Tools._arraycopy__3I(msubi),mosek.fusion.Utils.Tools._arraycopy__3I(msubj),mosek.fusion.Utils.Tools._arraycopy__3D(mcof),x,1)# ctor @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:98:8-103:16
      if (x._getND_()!=0): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:105:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:106:10-60
        raise mosek_fusion_DimensionError._ctor_S("Invalid Variable size") # bld/herlev/final/default/src/fusion/ExprMulVar.monty:106:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:106:10-60
      if ((mdimi < 0) or ((mdimj < 0) or ((int((msubi).shape[0])!=int((msubj).shape[0])) or (int((msubi).shape[0])!=int((mcof).shape[0]))))): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:108:12-89
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:109:10-55
        raise mosek_fusion_LengthError._ctor_S("Invalid Matrix data") # bld/herlev/final/default/src/fusion/ExprMulVar.monty:109:10-55
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:109:10-55
      _0_err_data=False # bld/herlev/final/default/src/fusion/ExprMulVar.monty:111:12-20
      _0_err_data = fragments._c_closure_484(_0_err_data,mdimi,mdimj,msubi,msubj) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:112:8-115:28
      if _0_err_data: # bld/herlev/final/default/src/fusion/ExprMulVar.monty:116:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:117:10-54
        raise mosek_fusion_IndexError._ctor_S("Invalid Matrix data") # bld/herlev/final/default/src/fusion/ExprMulVar.monty:117:10-54
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:117:10-54
      _1_err_sorted=False # bld/herlev/final/default/src/fusion/ExprMulVar.monty:119:12-22
      _1_err_sorted = fragments._c_closure_485(_1_err_sorted,msubi,msubj) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:120:8-123:30
      if _1_err_sorted: # bld/herlev/final/default/src/fusion/ExprMulVar.monty:124:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:125:10-67
        raise mosek_fusion_IndexError._ctor_S("Matrix data not correctly sorted") # bld/herlev/final/default/src/fusion/ExprMulVar.monty:125:10-67
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:125:10-67
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:97:26-126:7
    @staticmethod
    def _ctor_II_3I_3I_3DLmosek_4fusion_4Variable_2I(mdimi,mdimj,msubi,msubj,mcof,x,unchecked_):
      o = ExprMulScalarVar.__new__(ExprMulScalarVar)
      o._ctor_init_II_3I_3I_3DLmosek_4fusion_4Variable_2I(mdimi,mdimj,msubi,msubj,mcof,x,unchecked_)
      return o

    @staticmethod
    def __match_ctor_II_3I_3I_3DLmosek_4fusion_4Variable_2I(*args):
      if len(args) != 7: return False
      mdimi,mdimj,msubi,msubj,mcof,x,unchecked_, = args
      return (    __arg_match_I__(mdimi)
              and __arg_match_I__(mdimj)
              and __arg_match__3I__(msubi)
              and __arg_match__3I__(msubj)
              and __arg_match__3D__(mcof)
              and __arg_match_Lmosek_4fusion_4Variable_2__(x)
              and __arg_match_I__(unchecked_))
    @staticmethod
    def __match_alt_ctor_II_3I_3I_3DLmosek_4fusion_4Variable_2I(*args):
      if len(args) != 7: return False
      mdimi,mdimj,msubi,msubj,mcof,x,unchecked_, = args
      return (    __arg_alt_match_I__(mdimi)
              and __arg_alt_match_I__(mdimj)
              and __arg_alt_match__3I__(msubi)
              and __arg_alt_match__3I__(msubj)
              and __arg_alt_match__3D__(mcof)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(x)
              and __arg_alt_match_I__(unchecked_))
    # Origin: bld/herlev/final/default/src/fusion/ExprMulVar.monty:68:6-87:7
    def _ctor_alt_init_II_3I_3I_3DLmosek_4fusion_4Variable_2I(self,mdimi,mdimj,msubi,msubj,mcof,x,unchecked_):
      self._ctor_init_II_3I_3I_3DLmosek_4fusion_4Variable_2I(numpy.int32(mdimi),numpy.int32(mdimj),numpy.array(msubi,dtype=numpy.dtype(numpy.int32)),numpy.array(msubj,dtype=numpy.dtype(numpy.int32)),numpy.array(mcof,dtype=numpy.dtype(numpy.float64)),x,numpy.int32(unchecked_))
    def _ctor_init_II_3I_3I_3DLmosek_4fusion_4Variable_2I(self,mdimi,mdimj,msubi,msubj,mcof,x,unchecked_):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:78:26-87:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,numpy.array([mdimi,mdimj], dtype=numpy.dtype(numpy.int32)))# ctor @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:79:8-34
      (self.__mdimi) = mdimi # bld/herlev/final/default/src/fusion/ExprMulVar.monty:81:8-27
      (self.__mdimj) = mdimj # bld/herlev/final/default/src/fusion/ExprMulVar.monty:82:8-27
      (self.__msubi) = msubi # bld/herlev/final/default/src/fusion/ExprMulVar.monty:83:8-27
      (self.__msubj) = msubj # bld/herlev/final/default/src/fusion/ExprMulVar.monty:84:8-27
      (self.__mcof) = mcof # bld/herlev/final/default/src/fusion/ExprMulVar.monty:85:8-26
      (self.__x) = x # bld/herlev/final/default/src/fusion/ExprMulVar.monty:86:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:78:26-87:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:128:67-166:7
      if (self.__x._numInst_()==0): # bld/herlev/final/default/src/fusion/ExprMulVar.monty:129:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:129:30-133:9
        _0_rs._alloc_1expr_IIIZ(2,0,0,False) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:130:10-37
        (_0_rs.i32)[(_0_rs.shape_base)] = self.__mdimi # bld/herlev/final/default/src/fusion/ExprMulVar.monty:131:10-42
        (_0_rs.i32)[((_0_rs.shape_base) + 1)] = self.__mdimj # bld/herlev/final/default/src/fusion/ExprMulVar.monty:132:10-42
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:129:30-133:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:134:13-165:9
        _3_xidxs=numpy.zeros((1,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:135:14-19
        self.__x._inst_I_3J(0,_3_xidxs) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:136:10-26
        _4_xi=_3_xidxs[0] # bld/herlev/final/default/src/fusion/ExprMulVar.monty:137:14-16
        _5_nelem=int((self.__msubi).shape[0]) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:139:14-19
        _6_nnz=_5_nelem # bld/herlev/final/default/src/fusion/ExprMulVar.monty:140:14-17
        _7_hassp=(_5_nelem < (self.__mdimi * self.__mdimj)) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:141:14-19
        _0_rs._alloc_1expr_IIIZ(2,_5_nelem,_6_nnz,_7_hassp) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:143:10-43
        _8_ptr_base=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:145:14-22
        (_0_rs.i32)[(_0_rs.shape_base)] = self.__mdimi # bld/herlev/final/default/src/fusion/ExprMulVar.monty:146:10-42
        (_0_rs.i32)[((_0_rs.shape_base) + 1)] = self.__mdimj # bld/herlev/final/default/src/fusion/ExprMulVar.monty:147:10-42
        _9_nidxs_base=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:149:14-24
        _10_sp_base=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:150:14-21
        _11_cof_base=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:151:14-22
        _12_i32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:153:14-17
        _13_i64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:154:14-17
        _14_f64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:155:14-17
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:157:10-164:11
        fragments._c_closure_486(_11_cof_base,_14_f64,_7_hassp,_12_i32,_13_i64,self.__mcof,self.__mdimj,self.__msubi,self.__msubj,_5_nelem,_9_nidxs_base,_6_nnz,_8_ptr_base,_10_sp_base,_4_xi) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:157:10-164:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:157:10-164:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:134:13-165:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:128:67-166:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:63:38-66:7
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprMulScalarVar(M(")._a_I(self.__mdimi)._a_S(",")._a_I(self.__mdimj)._a_S("), ")._a_S(self.__x._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:64:8-65:128
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:63:38-66:7
  return ExprMulScalarVar
mosek_fusion_ExprMulScalarVar=__mk_mosek_fusion_ExprMulScalarVar()
del __mk_mosek_fusion_ExprMulScalarVar

# origin: bld/herlev/final/default/src/fusion/ExprMulVar.monty:4:4-50:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprMulVarScalarConst():
  class ExprMulVarScalarConst(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprMulVarScalarConst__c','_ExprMulVarScalarConst__x']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Variable_2D(*args): # mosek.fusion.Variable,double
        self._ctor_init_Lmosek_4fusion_4Variable_2D(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Variable_2D(*args):# mosek.fusion.Variable,double
        self._ctor_alt_init_Lmosek_4fusion_4Variable_2D(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprMulVarScalarConst.ctor(mosek.fusion.Variable,double)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulVarScalarConst._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprMulVarScalarConst._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulVarScalarConst.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprMulVarScalarConst._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprMulVarScalarConst._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprMulVarScalarConst.toString()')

    def __repr__(self): return 'mosek.fusion.ExprMulVarScalarConst'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Variable_2D(x,c):
      o = ExprMulVarScalarConst.__new__(ExprMulVarScalarConst)
      o._ctor_init_Lmosek_4fusion_4Variable_2D(x,c)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Variable_2D(*args):
      if len(args) != 2: return False
      x,c, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(x)
              and __arg_match_D__(c))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Variable_2D(*args):
      if len(args) != 2: return False
      x,c, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(x)
              and __arg_alt_match_D__(c))
    # Origin: bld/herlev/final/default/src/fusion/ExprMulVar.monty:10:6-14:7
    def _ctor_alt_init_Lmosek_4fusion_4Variable_2D(self,x,c):
      self._ctor_init_Lmosek_4fusion_4Variable_2D(x,numpy.float64(c))
    def _ctor_init_Lmosek_4fusion_4Variable_2D(self,x,c):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:10:41-14:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,x._getShape_())# ctor @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:11:8-28
      (self.__x) = x # bld/herlev/final/default/src/fusion/ExprMulVar.monty:12:8-19
      (self.__c) = c # bld/herlev/final/default/src/fusion/ExprMulVar.monty:13:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:10:41-14:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:16:67-49:7
      _3_nnz=self.__x._numInst_() # bld/herlev/final/default/src/fusion/ExprMulVar.monty:17:12-15
      _4_nelem=_3_nnz # bld/herlev/final/default/src/fusion/ExprMulVar.monty:18:12-17
      _5_shape=self.__x._getShape_() # bld/herlev/final/default/src/fusion/ExprMulVar.monty:19:12-17
      _6_nd=int((_5_shape).shape[0]) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:20:12-14
      _7_hassp=(mosek.fusion.Set._size__3I(_5_shape) > _4_nelem) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:21:12-17
      _0_rs._alloc_1expr_IIIZ(_6_nd,_4_nelem,_3_nnz,_7_hassp) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:23:8-42
      _8_ptrb=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:25:12-16
      _9_nidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:26:12-17
      _10_sp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:27:12-14
      _11_cof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:28:12-15
      _12_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:29:12-18
      if _7_hassp: # bld/herlev/final/default/src/fusion/ExprMulVar.monty:31:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:32:10-44
        self.__x._inst_I_3JI_3J(_10_sp,(_0_rs.i64),_9_nidxs,(_0_rs.i64)) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:32:10-44
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:32:10-44
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:34:10-31
        self.__x._inst_I_3J(_9_nidxs,(_0_rs.i64)) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:34:10-31
        # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:34:10-31
      _13_i32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:37:12-15
      _14_i64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:38:12-15
      _15_f64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:39:12-15
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:42:8-46:9
      fragments._c_closure_487(_11_cof,_15_f64,_13_i32,_6_nd,_4_nelem,_3_nnz,_8_ptrb,_12_rshape,_5_shape) # bld/herlev/final/default/src/fusion/ExprMulVar.monty:42:8-46:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:42:8-46:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:16:67-49:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:8:38-75
      return ("ExprMulVarScalarConst()") # bld/herlev/final/default/src/fusion/ExprMulVar.monty:8:40-73
      # End   scope @ bld/herlev/final/default/src/fusion/ExprMulVar.monty:8:38-75
  return ExprMulVarScalarConst
mosek_fusion_ExprMulVarScalarConst=__mk_mosek_fusion_ExprMulVarScalarConst()
del __mk_mosek_fusion_ExprMulVarScalarConst

# origin: bld/herlev/final/default/src/fusion/ExprAdd.monty:597:4-1275:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprAdd():
  class ExprAdd(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprAdd__m2','_ExprAdd__m1','_ExprAdd__e2','_ExprAdd__e1']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2DD(*args): # mosek.fusion.Expression,mosek.fusion.Expression,double,double
        self._ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2DD(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2DD(*args):# mosek.fusion.Expression,mosek.fusion.Expression,double,double
        self._ctor_alt_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2DD(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprAdd.ctor(mosek.fusion.Expression,mosek.fusion.Expression,double,double)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprAdd._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprAdd._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprAdd.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprAdd._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprAdd._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprAdd.toString()')

    def __repr__(self): return 'mosek.fusion.ExprAdd'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2DD(e1,e2,m1,m2):
      o = ExprAdd.__new__(ExprAdd)
      o._ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2DD(e1,e2,m1,m2)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2DD(*args):
      if len(args) != 4: return False
      e1,e2,m1,m2, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(e1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(e2)
              and __arg_match_D__(m1)
              and __arg_match_D__(m2))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2DD(*args):
      if len(args) != 4: return False
      e1,e2,m1,m2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(e1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(e2)
              and __arg_alt_match_D__(m1)
              and __arg_alt_match_D__(m2))
    # Origin: bld/herlev/final/default/src/fusion/ExprAdd.monty:607:6-620:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2DD(self,e1,e2,m1,m2):
      self._ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2DD(e1,e2,numpy.float64(m1),numpy.float64(m2))
    def _ctor_init_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2DD(self,e1,e2,m1,m2):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:607:70-620:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,e1._getShape_())# ctor @ bld/herlev/final/default/src/fusion/ExprAdd.monty:608:8-29
      (self.__e1) = e1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:609:8-21
      (self.__e2) = e2 # bld/herlev/final/default/src/fusion/ExprAdd.monty:610:8-21
      (self.__m1) = m1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:611:8-21
      (self.__m2) = m2 # bld/herlev/final/default/src/fusion/ExprAdd.monty:612:8-21
      if (e1._getND_()!=e2._getND_()): # bld/herlev/final/default/src/fusion/ExprAdd.monty:615:12-36
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:616:10-65
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand shapes") # bld/herlev/final/default/src/fusion/ExprAdd.monty:616:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:616:10-65
      for _0_i in range(0,e1._getND_()): # bld/herlev/final/default/src/fusion/ExprAdd.monty:617:8-619:67
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:618:10-619:67
        if (e1._getDim_I(_0_i)!=e2._getDim_I(_0_i)): # bld/herlev/final/default/src/fusion/ExprAdd.monty:618:14-42
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:619:12-67
          raise mosek_fusion_DimensionError._ctor_S("Mismatching operand shapes") # bld/herlev/final/default/src/fusion/ExprAdd.monty:619:12-67
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:619:12-67
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:618:10-619:67
      # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:607:70-620:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:622:67-1274:7
      self.__e1._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprAdd.monty:623:8-26
      self.__e2._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprAdd.monty:624:8-26
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprAdd.monty:626:8-22
      _3_nd2=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprAdd.monty:627:12-15
      _4_shape2=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:628:12-18
      _5_nelem2=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprAdd.monty:629:12-18
      _6_nnz2=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprAdd.monty:630:12-16
      _7_ncodeatom2=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprAdd.monty:631:12-22
      _8_hassp2=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprAdd.monty:632:12-18
      _9_ptr2=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:633:12-16
      _10_sp2=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:634:12-15
      _11_nidxs2=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:635:12-18
      _12_cof2=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:636:12-16
      _13_code2=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:637:12-17
      _14_codeptr2=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:638:12-20
      _15_cconst2=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:639:12-19
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprAdd.monty:641:8-22
      _16_nd1=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprAdd.monty:642:12-15
      _17_shape1=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:643:12-18
      _18_nelem1=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprAdd.monty:644:12-18
      _19_nnz1=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprAdd.monty:645:12-16
      _20_ncodeatom1=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprAdd.monty:646:12-22
      _21_hassp1=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprAdd.monty:647:12-18
      _22_ptr1=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:648:12-16
      _23_sp1=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:649:12-15
      _24_nidxs1=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:650:12-18
      _25_cof1=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:651:12-16
      _26_code1=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:652:12-17
      _27_codeptr1=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:653:12-20
      _28_cconst1=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:654:12-19
      _29_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:656:12-16
      _30_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:657:12-16
      _31_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:658:12-16
      _32_parameterized=((_20_ncodeatom1 > 0) or (_7_ncodeatom2 > 0)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:660:12-25
      if (_16_nd1!=_3_nd2): # bld/herlev/final/default/src/fusion/ExprAdd.monty:681:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:682:10-65
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand shapes") # bld/herlev/final/default/src/fusion/ExprAdd.monty:682:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:682:10-65
      for _33_i in range(0,_16_nd1): # bld/herlev/final/default/src/fusion/ExprAdd.monty:683:8-685:67
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:684:10-685:67
        if (_29_wi32[(_17_shape1 + _33_i)]!=_29_wi32[(_4_shape2 + _33_i)]): # bld/herlev/final/default/src/fusion/ExprAdd.monty:684:14-46
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:685:12-67
          raise mosek_fusion_DimensionError._ctor_S("Mismatching operand shapes") # bld/herlev/final/default/src/fusion/ExprAdd.monty:685:12-67
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:685:12-67
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:684:10-685:67
      if ((not _21_hassp1) and (not _8_hassp2)): # bld/herlev/final/default/src/fusion/ExprAdd.monty:687:12-37
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:687:39-792:9
        _34_rnelem=_18_nelem1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:688:14-20
        _35_rnnz=(_19_nnz1 + _6_nnz2) # bld/herlev/final/default/src/fusion/ExprAdd.monty:689:14-18
        _36_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:690:14-24
        if _32_parameterized: # bld/herlev/final/default/src/fusion/ExprAdd.monty:691:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:691:29-694:11
          _36_rncodeatom += ((_20_ncodeatom1 + (_19_nnz1 * 2)) if ((_20_ncodeatom1 > 0) ) else _19_nnz1) # bld/herlev/final/default/src/fusion/ExprAdd.monty:692:12-76
          _36_rncodeatom += ((_7_ncodeatom2 + (_6_nnz2 * 2)) if ((_7_ncodeatom2 > 0) ) else _6_nnz2) # bld/herlev/final/default/src/fusion/ExprAdd.monty:693:12-76
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:691:29-694:11
        _37_rnd=_16_nd1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:695:14-17
        _0_rs._alloc_1expr_IIIZI(_37_rnd,_34_rnelem,_35_rnnz,False,_36_rncodeatom) # bld/herlev/final/default/src/fusion/ExprAdd.monty:697:10-59
        _38_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:699:14-20
        _39_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:700:14-18
        _40_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:701:14-17
        _41_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:702:14-20
        _42_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:703:14-18
        _43_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:704:14-19
        _44_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:705:14-22
        _45_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:706:14-21
        _46_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:708:14-18
        _47_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:709:14-18
        _48_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:710:14-18
        fragments._c_closure_488(_46_ri32,_37_rnd,_38_rshape,_17_shape1,_29_wi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:712:10-713:44
        _49_codei=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:715:23-28
        _50_knz=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:715:14-17
        if (_36_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprAdd.monty:716:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:717:12-31
          _46_ri32[_44_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:717:12-31
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:717:12-31
        _46_ri32[_39_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:718:10-25
        _49_codei,_50_knz = fragments._c_closure_489(_28_cconst1,_15_cconst2,_26_code1,_13_code2,_49_codei,_27_codeptr1,_14_codeptr2,_25_cof1,_12_cof2,_50_knz,self.__m1,self.__m2,_20_ncodeatom1,_7_ncodeatom2,_24_nidxs1,_11_nidxs2,_22_ptr1,_9_ptr2,_45_rcconst,_43_rcode,_44_rcodeptr,_42_rcof,_48_rf64,_46_ri32,_47_ri64,_36_rncodeatom,_34_rnelem,_41_rnidxs,_39_rptr,_31_wf64,_29_wi32,_30_wi64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:721:10-788:11
        _49_codei = numpy.int32(_49_codei) # postprocess
        _50_knz = numpy.int32(_50_knz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:687:39-792:9
      elif ((not _21_hassp1) or (not _8_hassp2)): # bld/herlev/final/default/src/fusion/ExprAdd.monty:793:16-794:26
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:794:28-1011:9
        if (not _8_hassp2): # bld/herlev/final/default/src/fusion/ExprAdd.monty:795:14-24
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:795:26-828:11
          _51_tnelem=_5_nelem2 # bld/herlev/final/default/src/fusion/ExprAdd.monty:796:16-22
          _52_tnnz=_6_nnz2 # bld/herlev/final/default/src/fusion/ExprAdd.monty:797:16-20
          _53_tptr=_9_ptr2 # bld/herlev/final/default/src/fusion/ExprAdd.monty:798:16-20
          _54_tsp=_10_sp2 # bld/herlev/final/default/src/fusion/ExprAdd.monty:799:16-19
          _55_tnidxs=_11_nidxs2 # bld/herlev/final/default/src/fusion/ExprAdd.monty:800:16-22
          _56_tncodeatom=_7_ncodeatom2 # bld/herlev/final/default/src/fusion/ExprAdd.monty:801:16-26
          _57_tcodeptr=_14_codeptr2 # bld/herlev/final/default/src/fusion/ExprAdd.monty:802:16-24
          _58_tcode=_13_code2 # bld/herlev/final/default/src/fusion/ExprAdd.monty:803:16-21
          _59_tcconst=_15_cconst2 # bld/herlev/final/default/src/fusion/ExprAdd.monty:804:16-23
          _60_tcof=_12_cof2 # bld/herlev/final/default/src/fusion/ExprAdd.monty:805:16-20
          _5_nelem2 = _18_nelem1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:807:12-32
          _6_nnz2 = _19_nnz1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:808:12-30
          _9_ptr2 = _22_ptr1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:809:12-30
          _10_sp2 = _23_sp1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:810:12-29
          _11_nidxs2 = _24_nidxs1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:811:12-32
          _7_ncodeatom2 = _20_ncodeatom1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:812:12-36
          _14_codeptr2 = _27_codeptr1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:813:12-34
          _13_code2 = _26_code1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:814:12-31
          _15_cconst2 = _28_cconst1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:815:12-33
          _12_cof2 = _25_cof1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:816:12-30
          _18_nelem1 = _51_tnelem # bld/herlev/final/default/src/fusion/ExprAdd.monty:818:12-32
          _19_nnz1 = _52_tnnz # bld/herlev/final/default/src/fusion/ExprAdd.monty:819:12-30
          _22_ptr1 = _53_tptr # bld/herlev/final/default/src/fusion/ExprAdd.monty:820:12-30
          _23_sp1 = _54_tsp # bld/herlev/final/default/src/fusion/ExprAdd.monty:821:12-29
          _24_nidxs1 = _55_tnidxs # bld/herlev/final/default/src/fusion/ExprAdd.monty:822:12-32
          _20_ncodeatom1 = _56_tncodeatom # bld/herlev/final/default/src/fusion/ExprAdd.monty:823:12-36
          _27_codeptr1 = _57_tcodeptr # bld/herlev/final/default/src/fusion/ExprAdd.monty:824:12-34
          _26_code1 = _58_tcode # bld/herlev/final/default/src/fusion/ExprAdd.monty:825:12-31
          _28_cconst1 = _59_tcconst # bld/herlev/final/default/src/fusion/ExprAdd.monty:826:12-33
          _25_cof1 = _60_tcof # bld/herlev/final/default/src/fusion/ExprAdd.monty:827:12-30
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:795:26-828:11
        _61_m1=((self.__m1) if ((not _21_hassp1) ) else (self.__m2)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:832:14-16
        _62_m2=((self.__m2) if ((not _21_hassp1) ) else (self.__m1)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:833:14-16
        _63_rnelem=_18_nelem1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:835:14-20
        _64_rnnz=(_19_nnz1 + _6_nnz2) # bld/herlev/final/default/src/fusion/ExprAdd.monty:836:14-18
        _65_rnd=_16_nd1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:837:14-17
        _66_rncodeatom=(_20_ncodeatom1 + _7_ncodeatom2) # bld/herlev/final/default/src/fusion/ExprAdd.monty:838:14-24
        if _32_parameterized: # bld/herlev/final/default/src/fusion/ExprAdd.monty:839:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:839:29-842:11
          _66_rncodeatom += ((2 * _19_nnz1) if ((_20_ncodeatom1 > 0) ) else _19_nnz1) # bld/herlev/final/default/src/fusion/ExprAdd.monty:840:12-65
          _66_rncodeatom += ((2 * _6_nnz2) if ((_7_ncodeatom2 > 0) ) else _6_nnz2) # bld/herlev/final/default/src/fusion/ExprAdd.monty:841:12-65
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:839:29-842:11
        _0_rs._alloc_1expr_IIIZI(_65_rnd,_63_rnelem,_64_rnnz,False,_66_rncodeatom) # bld/herlev/final/default/src/fusion/ExprAdd.monty:850:10-58
        _67_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:852:14-20
        _68_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:853:14-18
        _69_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:854:14-17
        _70_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:855:14-20
        _71_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:856:14-18
        _72_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:857:14-19
        _73_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:858:14-22
        _74_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:859:14-21
        _75_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:861:14-18
        _76_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:862:14-18
        _77_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:863:14-18
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:865:10-1010:11
        _78_codei=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:866:35-40
        _79_elmi=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:866:25-29
        _80_nzi=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:866:16-19
        fragments._c_closure_490(_75_ri32,_65_rnd,_67_rshape,_17_shape1,_29_wi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:868:12-65
        _75_ri32[_68_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:870:12-27
        if (_66_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprAdd.monty:871:16-30
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:871:32-51
          _75_ri32[_73_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:871:32-51
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:871:32-51
        _81_ii2=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:872:24-27
        _82_i1=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:872:16-18
        _78_codei,_79_elmi,_82_i1,_81_ii2,_80_nzi = fragments._c_closure_491(_28_cconst1,_15_cconst2,_26_code1,_13_code2,_78_codei,_27_codeptr1,_14_codeptr2,_25_cof1,_12_cof2,_79_elmi,_82_i1,_81_ii2,_61_m1,_62_m2,_20_ncodeatom1,_7_ncodeatom2,_18_nelem1,_5_nelem2,_24_nidxs1,_11_nidxs2,_80_nzi,_22_ptr1,_9_ptr2,_74_rcconst,_72_rcode,_73_rcodeptr,_71_rcof,_77_rf64,_75_ri32,_76_ri64,_66_rncodeatom,_70_rnidxs,_68_rptr,_10_sp2,_31_wf64,_29_wi32,_30_wi64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:873:12-1005:13
        _78_codei = numpy.int32(_78_codei) # postprocess
        _79_elmi = numpy.int32(_79_elmi) # postprocess
        _82_i1 = numpy.int32(_82_i1) # postprocess
        _81_ii2 = numpy.int32(_81_ii2) # postprocess
        _80_nzi = numpy.int32(_80_nzi) # postprocess
        if (_80_nzi!=_64_rnnz): # bld/herlev/final/default/src/fusion/ExprAdd.monty:1008:16-35
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:1008:37-88
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: invalid nnz") # bld/herlev/final/default/src/fusion/ExprAdd.monty:1008:37-88
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:1008:37-88
        if (_78_codei!=_66_rncodeatom): # bld/herlev/final/default/src/fusion/ExprAdd.monty:1009:16-35
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:1009:37-90
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: invalid codei") # bld/herlev/final/default/src/fusion/ExprAdd.monty:1009:37-90
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:1009:37-90
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:865:10-1010:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:794:28-1011:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:1012:13-1270:9
        _83_rnnz=(_19_nnz1 + _6_nnz2) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1013:14-18
        _84_rnelem=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:1014:14-20
        _85_rnd=_16_nd1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:1015:14-17
        _86_rncodeatom=(_20_ncodeatom1 + _7_ncodeatom2) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1016:14-24
        if _32_parameterized: # bld/herlev/final/default/src/fusion/ExprAdd.monty:1017:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:1017:29-1020:11
          _86_rncodeatom += ((2 * _19_nnz1) if ((_20_ncodeatom1 > 0) ) else _19_nnz1) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1018:12-63
          _86_rncodeatom += ((2 * _6_nnz2) if ((_7_ncodeatom2 > 0) ) else _6_nnz2) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1019:12-63
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:1017:29-1020:11
        _87_size=1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:1021:14-18
        _87_size = fragments._c_closure_492(_85_rnd,_17_shape1,_87_size,_29_wi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1021:25-69
        _87_size = numpy.int64(_87_size) # postprocess
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:1023:10-1031:11
        _84_rnelem = fragments._c_closure_493(_18_nelem1,_5_nelem2,_84_rnelem,_23_sp1,_10_sp2,_30_wi64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1023:10-1031:11
        _84_rnelem = numpy.int32(_84_rnelem) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:1023:10-1031:11
        _88_rhassp=(_84_rnelem < _87_size) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1032:14-20
        _0_rs._alloc_1expr_IIIZI(_85_rnd,_84_rnelem,_83_rnnz,_88_rhassp,_86_rncodeatom) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1034:10-59
        _89_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1036:14-20
        _90_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1037:14-18
        _91_rsp=((_0_rs.sp_base) if (_88_rhassp ) else _0_rs._alloci64_I(_84_rnelem)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1038:14-17
        _92_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1039:14-20
        _93_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1040:14-18
        _94_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1041:14-19
        _95_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1042:14-22
        _96_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1043:14-21
        _97_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1045:14-18
        _98_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1046:14-18
        _99_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1047:14-18
        fragments._c_closure_494(_97_ri32,_85_rnd,_89_rshape,_17_shape1,_29_wi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1049:10-1050:44
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:1053:10-1258:11
        fragments._c_closure_495(_28_cconst1,_15_cconst2,_26_code1,_13_code2,_27_codeptr1,_14_codeptr2,_25_cof1,_12_cof2,self.__m1,self.__m2,_20_ncodeatom1,_7_ncodeatom2,_18_nelem1,_5_nelem2,_24_nidxs1,_11_nidxs2,_22_ptr1,_9_ptr2,_96_rcconst,_94_rcode,_95_rcodeptr,_93_rcof,_99_rf64,_97_ri32,_98_ri64,_86_rncodeatom,_92_rnidxs,_90_rptr,_91_rsp,_23_sp1,_10_sp2,_31_wf64,_29_wi32,_30_wi64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1053:10-1258:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:1053:10-1258:11
        if (not _88_rhassp): # bld/herlev/final/default/src/fusion/ExprAdd.monty:1260:14-24
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:1261:12-30
          _0_rs._popi64_I(_84_rnelem) # bld/herlev/final/default/src/fusion/ExprAdd.monty:1261:12-30
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:1261:12-30
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:1012:13-1270:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:622:67-1274:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:603:38-605:7
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprAdd(")._a_S(self.__e1._toString_())._a_S(",")._a_S(self.__e2._toString_())._a_S("; ")._a_D(self.__m1)._a_S(",")._a_D(self.__m2)._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprAdd.monty:604:8-140
      # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:603:38-605:7
  return ExprAdd
mosek_fusion_ExprAdd=__mk_mosek_fusion_ExprAdd()
del __mk_mosek_fusion_ExprAdd

# origin: bld/herlev/final/default/src/fusion/ExprAdd.monty:240:4-594:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprWSum():
  class ExprWSum(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprWSum__w','_ExprWSum__es']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor__3Lmosek_4fusion_4Expression_2_3D(*args): # []mosek.fusion.Expression,[]double
        self._ctor_init__3Lmosek_4fusion_4Expression_2_3D(*args)
      elif self.__match_alt_ctor__3Lmosek_4fusion_4Expression_2_3D(*args):# []mosek.fusion.Expression,[]double
        self._ctor_alt_init__3Lmosek_4fusion_4Expression_2_3D(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprWSum.ctor(array(mosek.fusion.Expression,ndim=1),array(double,ndim=1))')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprWSum._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprWSum._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprWSum.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprWSum._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprWSum._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprWSum.toString()')

    def __repr__(self): return 'mosek.fusion.ExprWSum'
    @staticmethod
    def _ctor__3Lmosek_4fusion_4Expression_2_3D(es,w):
      o = ExprWSum.__new__(ExprWSum)
      o._ctor_init__3Lmosek_4fusion_4Expression_2_3D(es,w)
      return o

    @staticmethod
    def __match_ctor__3Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      es,w, = args
      return (    __arg_match__3Lmosek_4fusion_4Expression_2__(es)
              and __arg_match__3D__(w))
    @staticmethod
    def __match_alt_ctor__3Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      es,w, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Expression_2__(es)
              and __arg_alt_match__3D__(w))
    # Origin: bld/herlev/final/default/src/fusion/ExprAdd.monty:254:6-275:7
    def _ctor_alt_init__3Lmosek_4fusion_4Expression_2_3D(self,es,w):
      self._ctor_init__3Lmosek_4fusion_4Expression_2_3D(numpy.array(es,dtype=numpy.dtype(object)),numpy.array(w,dtype=numpy.dtype(numpy.float64)))
    def _ctor_init__3Lmosek_4fusion_4Expression_2_3D(self,es,w):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:254:48-275:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,es[0]._getShape_())# ctor @ bld/herlev/final/default/src/fusion/ExprAdd.monty:255:8-32
      if (int((w).shape[0])!=int((es).shape[0])): # bld/herlev/final/default/src/fusion/ExprAdd.monty:257:12-29
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:258:10-85
        raise mosek_fusion_LengthError._ctor_S("Mismatching weights and expressions array lengths") # bld/herlev/final/default/src/fusion/ExprAdd.monty:258:10-85
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:258:10-85
      (self.__w) = mosek.fusion.Utils.Tools._arraycopy__3D(w) # bld/herlev/final/default/src/fusion/ExprAdd.monty:260:8-42
      _0_shape=es[0]._getShape_() # bld/herlev/final/default/src/fusion/ExprAdd.monty:262:12-17
      _1_nd=int((_0_shape).shape[0]) # bld/herlev/final/default/src/fusion/ExprAdd.monty:263:12-14
      for _2_i in range(1,int((es).shape[0])): # bld/herlev/final/default/src/fusion/ExprAdd.monty:264:8-272:9
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:264:33-272:9
        _3_eshape=es[_2_i]._getShape_() # bld/herlev/final/default/src/fusion/ExprAdd.monty:265:14-20
        if (_1_nd!=int((_3_eshape).shape[0])): # bld/herlev/final/default/src/fusion/ExprAdd.monty:266:14-31
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:267:12-70
          raise mosek_fusion_DimensionError._ctor_S("Mismatching expression shapes") # bld/herlev/final/default/src/fusion/ExprAdd.monty:267:12-70
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:267:12-70
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:269:12-271:74
          for _4_j in range(0,_1_nd): # bld/herlev/final/default/src/fusion/ExprAdd.monty:269:12-271:74
            # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:270:14-271:74
            if (_0_shape[_4_j]!=_3_eshape[_4_j]): # bld/herlev/final/default/src/fusion/ExprAdd.monty:270:18-39
              # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:271:16-74
              raise mosek_fusion_DimensionError._ctor_S("Mismatching expression shapes") # bld/herlev/final/default/src/fusion/ExprAdd.monty:271:16-74
              # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:271:16-74
            # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:270:14-271:74
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:269:12-271:74
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:264:33-272:9
      (self.__es) = numpy.array([es[_5_i] for _5_i in range(0,int((es).shape[0]))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:274:8-50
      # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:254:48-275:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:277:67-593:7
      _3_n=int((self.__es).shape[0]) # bld/herlev/final/default/src/fusion/ExprAdd.monty:278:12-13
      for _4_i in range(0,_3_n): # bld/herlev/final/default/src/fusion/ExprAdd.monty:279:8-288:9
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:279:27-288:9
        self.__es[_4_i]._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprAdd.monty:280:10-31
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:279:27-288:9
      _5_nd=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:289:12-14
      _6_nelem=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:290:12-17
      _7_nnz=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:291:12-15
      _8_ncodeatom=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:292:12-21
      _9_ptr_base=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:293:12-20
      _10_nidxs_base=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:294:12-22
      _11_sp_base=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:295:12-19
      _12_cof_base=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:296:12-20
      _13_shape_base=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:297:12-22
      _14_code=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:298:12-16
      _15_codeptr=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:299:12-19
      _16_cconst=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:300:12-18
      _17_hassp=numpy.zeros((_3_n,), dtype=numpy.dtype(bool)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:301:12-17
      for _18_i in range(0,_3_n): # bld/herlev/final/default/src/fusion/ExprAdd.monty:303:8-318:9
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:303:27-318:9
        _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprAdd.monty:304:10-24
        _5_nd[((_3_n - 1) - _18_i)] = (_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprAdd.monty:305:10-36
        _6_nelem[((_3_n - 1) - _18_i)] = (_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprAdd.monty:306:10-39
        _7_nnz[((_3_n - 1) - _18_i)] = (_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprAdd.monty:307:10-37
        _8_ncodeatom[((_3_n - 1) - _18_i)] = (_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprAdd.monty:308:10-43
        _9_ptr_base[((_3_n - 1) - _18_i)] = (_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:309:10-42
        _11_sp_base[((_3_n - 1) - _18_i)] = (_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:310:10-41
        _10_nidxs_base[((_3_n - 1) - _18_i)] = (_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:311:10-44
        _12_cof_base[((_3_n - 1) - _18_i)] = (_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:312:10-42
        _13_shape_base[((_3_n - 1) - _18_i)] = (_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:313:10-44
        _14_code[((_3_n - 1) - _18_i)] = (_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:314:10-43
        _15_codeptr[((_3_n - 1) - _18_i)] = (_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:315:10-46
        _16_cconst[((_3_n - 1) - _18_i)] = (_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:316:10-45
        _17_hassp[((_3_n - 1) - _18_i)] = (_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprAdd.monty:317:10-39
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:303:27-318:9
      _19_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:320:12-16
      _20_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:321:12-16
      _21_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:322:12-16
      # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:324:8-333:9
      _22_ok=True # bld/herlev/final/default/src/fusion/ExprAdd.monty:325:14-16
      _22_ok = fragments._c_closure_496(_3_n,_5_nd,_22_ok,_13_shape_base,_19_wi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:326:10-330:11
      if (not _22_ok): # bld/herlev/final/default/src/fusion/ExprAdd.monty:331:14-20
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:332:12-67
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand shapes") # bld/herlev/final/default/src/fusion/ExprAdd.monty:332:12-67
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:332:12-67
      # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:324:8-333:9
      _23_wshape=numpy.array([_19_wi32[(_13_shape_base[0] + _24_j)] for _24_j in range(0,_5_nd[0])], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:335:12-18
      _25_anydense=False # bld/herlev/final/default/src/fusion/ExprAdd.monty:337:12-20
      for _26_i in range(0,_3_n): # bld/herlev/final/default/src/fusion/ExprAdd.monty:337:30-83
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:337:49-83
        if (not _17_hassp[_26_i]): # bld/herlev/final/default/src/fusion/ExprAdd.monty:337:53-65
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:337:67-83
          _25_anydense = True # bld/herlev/final/default/src/fusion/ExprAdd.monty:337:67-83
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:337:67-83
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:337:49-83
      _27_anycodeatom=False # bld/herlev/final/default/src/fusion/ExprAdd.monty:338:12-23
      _27_anycodeatom = fragments._c_closure_497(_27_anycodeatom,_3_n,_8_ncodeatom) # bld/herlev/final/default/src/fusion/ExprAdd.monty:338:33-93
      _28_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:341:34-44
      _29_rnelem=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:341:22-28
      _30_rnnz=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:341:12-16
      if _25_anydense: # bld/herlev/final/default/src/fusion/ExprAdd.monty:342:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:342:22-349:9
        _29_rnelem = numpy.int32(mosek.fusion.Set._size__3I(_23_wshape)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:343:10-43
        _28_rncodeatom,_30_rnnz = fragments._c_closure_498(_27_anycodeatom,_3_n,_8_ncodeatom,_7_nnz,_28_rncodeatom,_30_rnnz) # bld/herlev/final/default/src/fusion/ExprAdd.monty:344:10-348:11
        _28_rncodeatom = numpy.int32(_28_rncodeatom) # postprocess
        _30_rnnz = numpy.int32(_30_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:342:22-349:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:350:13-373:9
        _28_rncodeatom,_29_rnelem,_30_rnnz = fragments._c_closure_499(_27_anycodeatom,_3_n,_8_ncodeatom,_6_nelem,_7_nnz,_28_rncodeatom,_29_rnelem,_30_rnnz,_11_sp_base,_20_wi64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:350:13-373:9
        _28_rncodeatom = numpy.int32(_28_rncodeatom) # postprocess
        _29_rnelem = numpy.int32(_29_rnelem) # postprocess
        _30_rnnz = numpy.int32(_30_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:350:13-373:9
      _0_rs._alloc_1expr_IIIZI(_5_nd[0],_29_rnelem,_30_rnnz,(not _25_anydense),_28_rncodeatom) # bld/herlev/final/default/src/fusion/ExprAdd.monty:378:8-66
      _31_rptr_base=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:380:12-21
      _32_rnidxs_base=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:381:12-23
      _33_rsp_base=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:382:12-20
      _34_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:383:12-18
      _35_rcof_base=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:384:12-21
      _36_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:385:12-17
      _37_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:386:12-20
      _38_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:387:12-19
      _39_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:390:12-16
      _40_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:391:12-16
      _41_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:392:12-16
      fragments._c_closure_500(_5_nd,_39_ri32,_34_rshape,_13_shape_base,_19_wi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:394:8-70
      if (_28_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprAdd.monty:396:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:397:10-29
        _39_ri32[_37_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:397:10-29
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:397:10-29
      fragments._c_closure_501(_39_ri32,_29_rnelem,_31_rptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:398:8-399:32
      if _25_anydense: # bld/herlev/final/default/src/fusion/ExprAdd.monty:402:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:402:22-530:9
        _42_xcodeptr=(- 9999) # bld/herlev/final/default/src/fusion/ExprAdd.monty:403:14-28
        if (_28_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprAdd.monty:404:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:405:12-45
          _42_xcodeptr = _2_xs._alloci32_I((_29_rnelem + 1)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:405:12-45
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:405:12-45
        _43_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:406:14-18
        fragments._c_closure_502(_28_rncodeatom,_29_rnelem,_42_xcodeptr,_43_xi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:407:10-408:59
        for _44_i in range(0,_3_n): # bld/herlev/final/default/src/fusion/ExprAdd.monty:410:10-431:11
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:410:29-431:11
          if _17_hassp[_44_i]: # bld/herlev/final/default/src/fusion/ExprAdd.monty:411:16-24
            # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:411:26-420:13
            fragments._c_closure_503(_27_anycodeatom,_15_codeptr,_44_i,_8_ncodeatom,_6_nelem,_9_ptr_base,_39_ri32,_31_rptr_base,_11_sp_base,_19_wi32,_20_wi64,_42_xcodeptr,_43_xi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:411:26-420:13
            # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:411:26-420:13
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:421:17-430:13
            fragments._c_closure_504(_27_anycodeatom,_15_codeptr,_44_i,_8_ncodeatom,_6_nelem,_9_ptr_base,_39_ri32,_31_rptr_base,_19_wi32,_42_xcodeptr,_43_xi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:421:17-430:13
            # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:421:17-430:13
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:410:29-431:11
        fragments._c_closure_505(_39_ri32,_29_rnelem,_31_rptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:433:10-434:53
        fragments._c_closure_506(_28_rncodeatom,_29_rnelem,_42_xcodeptr,_43_xi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:435:10-440:11
        for _45_i in range(0,_3_n): # bld/herlev/final/default/src/fusion/ExprAdd.monty:442:10-525:11
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:442:29-525:11
          if _17_hassp[_45_i]: # bld/herlev/final/default/src/fusion/ExprAdd.monty:443:16-24
            # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:443:26-483:13
            fragments._c_closure_507(_27_anycodeatom,_16_cconst,_14_code,_15_codeptr,_12_cof_base,_45_i,_8_ncodeatom,_6_nelem,_10_nidxs_base,_9_ptr_base,_38_rcconst,_36_rcode,_37_rcodeptr,_35_rcof_base,_41_rf64,_39_ri32,_40_ri64,_32_rnidxs_base,_31_rptr_base,_11_sp_base,self.__w,_21_wf64,_19_wi32,_20_wi64,_42_xcodeptr,_43_xi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:443:26-483:13
            # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:443:26-483:13
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:484:17-524:13
            fragments._c_closure_508(_27_anycodeatom,_16_cconst,_14_code,_15_codeptr,_12_cof_base,_45_i,_8_ncodeatom,_6_nelem,_10_nidxs_base,_9_ptr_base,_38_rcconst,_36_rcode,_37_rcodeptr,_35_rcof_base,_41_rf64,_39_ri32,_40_ri64,_32_rnidxs_base,_31_rptr_base,self.__w,_21_wf64,_19_wi32,_20_wi64,_42_xcodeptr,_43_xi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:484:17-524:13
            # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:484:17-524:13
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:442:29-525:11
        fragments._c_closure_509(_39_ri32,_29_rnelem,_31_rptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:527:10-528:66
        _39_ri32[_31_rptr_base] = 0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:529:10-30
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:402:22-530:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:531:13-580:9
        fragments._c_closure_510(_27_anycodeatom,_16_cconst,_14_code,_15_codeptr,_12_cof_base,_3_n,_8_ncodeatom,_6_nelem,_10_nidxs_base,_9_ptr_base,_38_rcconst,_36_rcode,_37_rcodeptr,_35_rcof_base,_41_rf64,_39_ri32,_40_ri64,_32_rnidxs_base,_31_rptr_base,_33_rsp_base,_11_sp_base,self.__w,_21_wf64,_19_wi32,_20_wi64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:531:13-580:9
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:531:13-580:9
      _2_xs._clear_() # bld/herlev/final/default/src/fusion/ExprAdd.monty:592:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:277:67-593:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:244:39-253:7
      _0_sb=mosek.fusion.Utils.StringBuffer()._a_S("ExprWSum([") # bld/herlev/final/default/src/fusion/ExprAdd.monty:245:12-14
      _0_sb._a_S(self.__es[0]._toString_()) # bld/herlev/final/default/src/fusion/ExprAdd.monty:246:8-31
      for _1_i in range(1,int((self.__es).shape[0])): # bld/herlev/final/default/src/fusion/ExprAdd.monty:247:8-249:9
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:247:33-249:9
        _0_sb._a_S(",")._a_S(self.__es[_1_i]._toString_()) # bld/herlev/final/default/src/fusion/ExprAdd.monty:248:10-40
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:247:33-249:9
      _0_sb._a_S("])") # bld/herlev/final/default/src/fusion/ExprAdd.monty:250:8-19
      return (_0_sb._toString_()) # bld/herlev/final/default/src/fusion/ExprAdd.monty:252:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:244:39-253:7
  return ExprWSum
mosek_fusion_ExprWSum=__mk_mosek_fusion_ExprWSum()
del __mk_mosek_fusion_ExprWSum

# origin: bld/herlev/final/default/src/fusion/ExprAdd.monty:4:4-233:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprSumReduce():
  class ExprSumReduce(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprSumReduce__dim','_ExprSumReduce__expr']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_ILmosek_4fusion_4Expression_2(*args): # int32,mosek.fusion.Expression
        self._ctor_init_ILmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_ILmosek_4fusion_4Expression_2(*args):# int32,mosek.fusion.Expression
        self._ctor_alt_init_ILmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprSumReduce.ctor(int32,mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprSumReduce._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprSumReduce._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprSumReduce.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprSumReduce._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprSumReduce._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprSumReduce.toString()')

    def __repr__(self): return 'mosek.fusion.ExprSumReduce'
    @staticmethod
    def _ctor_ILmosek_4fusion_4Expression_2(dim,expr):
      o = ExprSumReduce.__new__(ExprSumReduce)
      o._ctor_init_ILmosek_4fusion_4Expression_2(dim,expr)
      return o

    @staticmethod
    def __match_ctor_ILmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      dim,expr, = args
      return (    __arg_match_I__(dim)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor_ILmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      dim,expr, = args
      return (    __arg_alt_match_I__(dim)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprAdd.monty:17:6-25:7
    def _ctor_alt_init_ILmosek_4fusion_4Expression_2(self,dim,expr):
      self._ctor_init_ILmosek_4fusion_4Expression_2(numpy.int32(dim),expr)
    def _ctor_init_ILmosek_4fusion_4Expression_2(self,dim,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:17:46-25:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,mosek.fusion.ExprSumReduce.__computeShape_I_3I(dim,expr._getShape_()))# ctor @ bld/herlev/final/default/src/fusion/ExprAdd.monty:18:8-49
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprAdd.monty:19:8-25
      (self.__dim) = dim # bld/herlev/final/default/src/fusion/ExprAdd.monty:20:8-23
      _0_shape=expr._getShape_() # bld/herlev/final/default/src/fusion/ExprAdd.monty:22:12-17
      if (int((_0_shape).shape[0]) <= dim): # bld/herlev/final/default/src/fusion/ExprAdd.monty:23:12-29
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:24:10-64
        raise mosek_fusion_DimensionError._ctor_S("Invalid summing dimension") # bld/herlev/final/default/src/fusion/ExprAdd.monty:24:10-64
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:24:10-64
      # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:17:46-25:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:27:67-232:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprAdd.monty:28:8-28
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprAdd.monty:29:8-22
      _3_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprAdd.monty:30:12-14
      _4_shape_base=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:31:12-22
      _5_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprAdd.monty:32:12-17
      _6_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprAdd.monty:33:12-15
      _7_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprAdd.monty:34:12-21
      _8_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprAdd.monty:35:12-17
      _9_ptr_base=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:36:12-20
      _10_sp_base=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:37:12-19
      _11_nidxs_base=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:38:12-22
      _12_cof_base=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:39:12-20
      _13_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:40:12-16
      _14_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:41:12-19
      _15_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:42:12-18
      _16_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:44:12-16
      _17_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:45:12-16
      _18_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:46:12-16
      _19_ptr=99999 # bld/herlev/final/default/src/fusion/ExprAdd.monty:48:12-23
      _20_perm1=99999 # bld/herlev/final/default/src/fusion/ExprAdd.monty:49:12-23
      _21_perm2=99999 # bld/herlev/final/default/src/fusion/ExprAdd.monty:50:12-23
      if _8_hassp: # bld/herlev/final/default/src/fusion/ExprAdd.monty:53:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:53:19-60:9
        _22_dimmax=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:54:14-20
        _22_dimmax = fragments._c_closure_511(_22_dimmax,_3_nd,_4_shape_base,_16_wi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:55:10-91
        _22_dimmax = numpy.int32(_22_dimmax) # postprocess
        _19_ptr = _2_xs._alloci32_I((_22_dimmax + 1)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:57:10-40
        _20_perm1 = _2_xs._alloci32_I(_5_nelem) # bld/herlev/final/default/src/fusion/ExprAdd.monty:58:10-37
        _21_perm2 = _2_xs._alloci32_I(_5_nelem) # bld/herlev/final/default/src/fusion/ExprAdd.monty:59:10-37
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:53:19-60:9
      _23_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:62:12-16
      if _8_hassp: # bld/herlev/final/default/src/fusion/ExprAdd.monty:64:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:64:19-172:9
        _24_curperm=_20_perm1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:65:14-21
        _25_tgtperm=_21_perm2 # bld/herlev/final/default/src/fusion/ExprAdd.monty:66:14-21
        fragments._c_closure_512(_24_curperm,_5_nelem,_23_xi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:69:10-53
        _24_curperm,_25_tgtperm = fragments._c_closure_513(_24_curperm,self.__dim,_3_nd,_5_nelem,_19_ptr,_4_shape_base,_10_sp_base,_25_tgtperm,_16_wi32,_17_wi64,_23_xi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:70:10-90:11
        _24_curperm = numpy.int32(_24_curperm) # postprocess
        _25_tgtperm = numpy.int32(_25_tgtperm) # postprocess
        _26_d0=1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:92:14-16
        _26_d0 = fragments._c_closure_514(_26_d0,self.__dim,_4_shape_base,_16_wi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:92:22-68
        _26_d0 = numpy.int32(_26_d0) # postprocess
        _27_d1=_16_wi32[(_4_shape_base + self.__dim)] # bld/herlev/final/default/src/fusion/ExprAdd.monty:93:14-16
        _28_d2=1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:94:14-16
        _28_d2 = fragments._c_closure_515(_28_d2,self.__dim,_3_nd,_4_shape_base,_16_wi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:94:22-71
        _28_d2 = numpy.int32(_28_d2) # postprocess
        _29_s0=(_28_d2 * _27_d1) # bld/herlev/final/default/src/fusion/ExprAdd.monty:95:31-33
        _30_s1=_28_d2 # bld/herlev/final/default/src/fusion/ExprAdd.monty:95:22-24
        _31_s2=1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:95:14-16
        _32_rnelem=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:97:14-20
        _33_p2=(- 1) # bld/herlev/final/default/src/fusion/ExprAdd.monty:98:28-36
        _34_p0=(- 1) # bld/herlev/final/default/src/fusion/ExprAdd.monty:98:14-22
        _34_p0,_33_p2,_32_rnelem = fragments._c_closure_516(_24_curperm,_26_d0,_28_d2,_5_nelem,_34_p0,_33_p2,_32_rnelem,_29_s0,_10_sp_base,_17_wi64,_23_xi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:99:10-107:11
        _34_p0 = numpy.int64(_34_p0) # postprocess
        _33_p2 = numpy.int64(_33_p2) # postprocess
        _32_rnelem = numpy.int32(_32_rnelem) # postprocess
        _35_rnd=(_3_nd - 1) # bld/herlev/final/default/src/fusion/ExprAdd.monty:110:14-17
        _36_rhassp=(_32_rnelem < (_26_d0 * _28_d2)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:111:14-20
        _37_rnnz=_6_nnz # bld/herlev/final/default/src/fusion/ExprAdd.monty:112:14-18
        _38_rncodeatom=_7_ncodeatom # bld/herlev/final/default/src/fusion/ExprAdd.monty:113:14-24
        _0_rs._alloc_1expr_IIIZI(_35_rnd,_32_rnelem,_37_rnnz,_36_rhassp,_38_rncodeatom) # bld/herlev/final/default/src/fusion/ExprAdd.monty:115:10-60
        _39_rptr_base=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:117:14-23
        _40_rnidxs_base=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:118:14-25
        _41_rsp_base=((_0_rs.sp_base) if (_36_rhassp ) else _0_rs._alloci64_I(_32_rnelem)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:119:14-22
        _42_rcof_base=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:120:14-23
        _43_rshape_base=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:121:14-25
        _44_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:122:14-19
        _45_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:123:14-22
        _46_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:124:14-21
        _47_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:126:14-18
        _48_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:127:14-18
        _49_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:128:14-18
        fragments._c_closure_517(self.__dim,_47_ri32,_43_rshape_base,_4_shape_base,_16_wi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:130:10-72
        fragments._c_closure_518(self.__dim,_3_nd,_47_ri32,_43_rshape_base,_4_shape_base,_16_wi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:131:10-77
        _47_ri32[_39_rptr_base] = 0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:132:10-30
        if (_38_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprAdd.monty:133:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:134:12-31
          _47_ri32[_45_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:134:12-31
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:134:12-31
        _50_codei=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:135:33-38
        _51_kelm=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:135:23-27
        _52_knz=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:135:14-17
        _53_ii=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:137:14-16
        _50_codei,_53_ii,_51_kelm,_52_knz = fragments._c_closure_519(_15_cconst,_13_code,_50_codei,_14_codeptr,_12_cof_base,_24_curperm,_26_d0,_28_d2,_53_ii,_51_kelm,_52_knz,_5_nelem,_11_nidxs_base,_9_ptr_base,_46_rcconst,_44_rcode,_45_rcodeptr,_42_rcof_base,_49_rf64,_47_ri32,_48_ri64,_38_rncodeatom,_40_rnidxs_base,_39_rptr_base,_41_rsp_base,_29_s0,_10_sp_base,_18_wf64,_16_wi32,_17_wi64,_23_xi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:137:22-168:11
        _50_codei = numpy.int32(_50_codei) # postprocess
        _53_ii = numpy.int32(_53_ii) # postprocess
        _51_kelm = numpy.int32(_51_kelm) # postprocess
        _52_knz = numpy.int32(_52_knz) # postprocess
        if (not _36_rhassp): # bld/herlev/final/default/src/fusion/ExprAdd.monty:170:14-24
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:171:12-30
          _0_rs._popi64_I(_32_rnelem) # bld/herlev/final/default/src/fusion/ExprAdd.monty:171:12-30
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:171:12-30
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:64:19-172:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:173:13-228:9
        _54_d0=1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:175:14-16
        _54_d0 = fragments._c_closure_520(_54_d0,self.__dim,_4_shape_base,_16_wi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:175:22-68
        _54_d0 = numpy.int32(_54_d0) # postprocess
        _55_d1=_16_wi32[(_4_shape_base + self.__dim)] # bld/herlev/final/default/src/fusion/ExprAdd.monty:176:14-16
        _56_d2=1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:177:14-16
        _56_d2 = fragments._c_closure_521(_56_d2,self.__dim,_3_nd,_4_shape_base,_16_wi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:177:22-71
        _56_d2 = numpy.int32(_56_d2) # postprocess
        _57_s0=(_56_d2 * _55_d1) # bld/herlev/final/default/src/fusion/ExprAdd.monty:178:31-33
        _58_s1=_56_d2 # bld/herlev/final/default/src/fusion/ExprAdd.monty:178:22-24
        _59_s2=1 # bld/herlev/final/default/src/fusion/ExprAdd.monty:178:14-16
        _60_rnelem=(_54_d0 * _56_d2) # bld/herlev/final/default/src/fusion/ExprAdd.monty:180:14-20
        _61_rnnz=_6_nnz # bld/herlev/final/default/src/fusion/ExprAdd.monty:181:14-18
        _62_rncodeatom=_7_ncodeatom # bld/herlev/final/default/src/fusion/ExprAdd.monty:182:14-24
        _0_rs._alloc_1expr_IIIZI((_3_nd - 1),_60_rnelem,_61_rnnz,False,_62_rncodeatom) # bld/herlev/final/default/src/fusion/ExprAdd.monty:183:10-60
        _63_rptr_base=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:184:14-23
        _64_rnidxs_base=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:185:14-25
        _65_rcof_base=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:186:14-23
        _66_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:187:14-20
        _67_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:188:14-19
        _68_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:189:14-22
        _69_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprAdd.monty:190:14-21
        _70_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:192:14-18
        _71_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:193:14-18
        _72_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:194:14-18
        fragments._c_closure_522(self.__dim,_70_ri32,_66_rshape,_4_shape_base,_16_wi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:196:10-67
        fragments._c_closure_523(self.__dim,_3_nd,_70_ri32,_66_rshape,_4_shape_base,_16_wi32) # bld/herlev/final/default/src/fusion/ExprAdd.monty:197:10-72
        _73_kelm=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:198:23-27
        _74_knz=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:198:14-17
        _70_ri32[_63_rptr_base] = 0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:199:10-30
        if (_62_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprAdd.monty:201:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:202:12-31
          _70_ri32[_68_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:202:12-31
          # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:202:12-31
        _75_codei=0 # bld/herlev/final/default/src/fusion/ExprAdd.monty:203:14-19
        _75_codei,_73_kelm,_74_knz = fragments._c_closure_524(_15_cconst,_13_code,_75_codei,_14_codeptr,_12_cof_base,_54_d0,_55_d1,_56_d2,_73_kelm,_74_knz,_11_nidxs_base,_9_ptr_base,_69_rcconst,_67_rcode,_68_rcodeptr,_65_rcof_base,_72_rf64,_70_ri32,_71_ri64,_62_rncodeatom,_64_rnidxs_base,_63_rptr_base,_57_s0,_58_s1,_18_wf64,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprAdd.monty:204:10-227:13
        _75_codei = numpy.int32(_75_codei) # postprocess
        _73_kelm = numpy.int32(_73_kelm) # postprocess
        _74_knz = numpy.int32(_74_knz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:173:13-228:9
      _2_xs._clear_() # bld/herlev/final/default/src/fusion/ExprAdd.monty:230:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:27:67-232:7
    @staticmethod
    def __computeShape_alt_I_3I(_t__0_dim,_t__1_shape):
      _0_dim=numpy.int32(_t__0_dim)
      _1_shape=numpy.array(_t__1_shape,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_ExprSumReduce.__computeShape_I_3I(_0_dim,_1_shape)
      try:
        _t__1_shape[:] = _1_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __computeShape_I_3I(_0_dim,_1_shape):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:10:74-15:7
      _2_r=numpy.zeros(((int((_1_shape).shape[0]) - 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprAdd.monty:11:12-13
      fragments._c_closure_525(_0_dim,_2_r,_1_shape) # bld/herlev/final/default/src/fusion/ExprAdd.monty:12:8-45
      fragments._c_closure_526(_0_dim,_2_r,_1_shape) # bld/herlev/final/default/src/fusion/ExprAdd.monty:13:8-58
      return (_2_r) # bld/herlev/final/default/src/fusion/ExprAdd.monty:14:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:10:74-15:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:8:39-146
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprSumReduce(")._a_I(self.__dim)._a_S(",")._a_S(self.__expr._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprAdd.monty:8:41-144
      # End   scope @ bld/herlev/final/default/src/fusion/ExprAdd.monty:8:39-146
  return ExprSumReduce
mosek_fusion_ExprSumReduce=__mk_mosek_fusion_ExprSumReduce()
del __mk_mosek_fusion_ExprSumReduce

# origin: bld/herlev/final/default/src/fusion/ExprShape.monty:1042:4-1222:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprScaleVecPSD():
  class ExprScaleVecPSD(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprScaleVecPSD__dim1','_ExprScaleVecPSD__dim0','_ExprScaleVecPSD__expr']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_IILmosek_4fusion_4BaseExpression_2(*args): # int32,int32,mosek.fusion.BaseExpression
        self._ctor_init_IILmosek_4fusion_4BaseExpression_2(*args)
      elif self.__match_alt_ctor_IILmosek_4fusion_4BaseExpression_2(*args):# int32,int32,mosek.fusion.BaseExpression
        self._ctor_alt_init_IILmosek_4fusion_4BaseExpression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprScaleVecPSD.ctor(int32,int32,mosek.fusion.BaseExpression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprScaleVecPSD._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprScaleVecPSD._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprScaleVecPSD.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def __repr__(self): return 'mosek.fusion.ExprScaleVecPSD'
    @staticmethod
    def _ctor_IILmosek_4fusion_4BaseExpression_2(dim0,dim1,expr):
      o = ExprScaleVecPSD.__new__(ExprScaleVecPSD)
      o._ctor_init_IILmosek_4fusion_4BaseExpression_2(dim0,dim1,expr)
      return o

    @staticmethod
    def __match_ctor_IILmosek_4fusion_4BaseExpression_2(*args):
      if len(args) != 3: return False
      dim0,dim1,expr, = args
      return (    __arg_match_I__(dim0)
              and __arg_match_I__(dim1)
              and __arg_match_Lmosek_4fusion_4BaseExpression_2__(expr))
    @staticmethod
    def __match_alt_ctor_IILmosek_4fusion_4BaseExpression_2(*args):
      if len(args) != 3: return False
      dim0,dim1,expr, = args
      return (    __arg_alt_match_I__(dim0)
              and __arg_alt_match_I__(dim1)
              and __arg_alt_match_Lmosek_4fusion_4BaseExpression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprShape.monty:1047:6-1054:7
    def _ctor_alt_init_IILmosek_4fusion_4BaseExpression_2(self,dim0,dim1,expr):
      self._ctor_init_IILmosek_4fusion_4BaseExpression_2(numpy.int32(dim0),numpy.int32(dim1),expr)
    def _ctor_init_IILmosek_4fusion_4BaseExpression_2(self,dim0,dim1,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1047:63-1054:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,expr._getShape_())# ctor @ bld/herlev/final/default/src/fusion/ExprShape.monty:1048:8-31
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprShape.monty:1049:8-25
      (self.__dim0) = dim0 # bld/herlev/final/default/src/fusion/ExprShape.monty:1050:8-25
      (self.__dim1) = dim1 # bld/herlev/final/default/src/fusion/ExprShape.monty:1051:8-25
      if ((dim0 < 0) or ((dim1 < 0) or (dim0==dim1))): # bld/herlev/final/default/src/fusion/ExprShape.monty:1052:12-48
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1053:10-66
        raise mosek_fusion_DimensionError._ctor_S("Invalid symmetry dimensions") # bld/herlev/final/default/src/fusion/ExprShape.monty:1053:10-66
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1053:10-66
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1047:63-1054:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1056:67-1221:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprShape.monty:1057:8-28
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprShape.monty:1058:8-22
      _3_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprShape.monty:1059:12-14
      _4_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprShape.monty:1060:12-15
      _5_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprShape.monty:1061:12-17
      _6_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprShape.monty:1062:12-21
      _7_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprShape.monty:1063:12-17
      _8_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1064:12-17
      _9_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1065:12-15
      _10_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1066:12-16
      _11_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1067:12-19
      _12_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1068:12-18
      _13_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1069:12-17
      _14_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1070:12-14
      _15_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1071:12-15
      _16_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprShape.monty:1073:12-16
      _17_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprShape.monty:1074:12-16
      _18_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprShape.monty:1075:12-16
      if ((self.__dim0 >= _3_nd) or (self.__dim1 >= _3_nd)): # bld/herlev/final/default/src/fusion/ExprShape.monty:1077:12-36
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1078:10-66
        raise mosek_fusion_DimensionError._ctor_S("Invalid symmetry dimensions") # bld/herlev/final/default/src/fusion/ExprShape.monty:1078:10-66
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1078:10-66
      elif (_16_wi32[(_8_shape + self.__dim0)]!=_16_wi32[(_8_shape + self.__dim1)]): # bld/herlev/final/default/src/fusion/ExprShape.monty:1079:16-52
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1080:10-72
        raise mosek_fusion_DimensionError._ctor_S("Not symmetric in given dimensions") # bld/herlev/final/default/src/fusion/ExprShape.monty:1080:10-72
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1080:10-72
      _19_d4=1 # bld/herlev/final/default/src/fusion/ExprShape.monty:1087:10-18
      _20_d3=1 # bld/herlev/final/default/src/fusion/ExprShape.monty:1086:10-18
      _21_d2=1 # bld/herlev/final/default/src/fusion/ExprShape.monty:1085:10-18
      _22_d1=1 # bld/herlev/final/default/src/fusion/ExprShape.monty:1084:10-18
      _23_d0=1 # bld/herlev/final/default/src/fusion/ExprShape.monty:1083:10-18
      _24_xdim0=(self.__dim0 if ((self.__dim0 < self.__dim1) ) else self.__dim1) # bld/herlev/final/default/src/fusion/ExprShape.monty:1088:12-17
      _25_xdim1=(self.__dim1 if ((self.__dim0 < self.__dim1) ) else self.__dim0) # bld/herlev/final/default/src/fusion/ExprShape.monty:1089:12-17
      _23_d0 = fragments._c_closure_527(_23_d0,_8_shape,_16_wi32,_24_xdim0) # bld/herlev/final/default/src/fusion/ExprShape.monty:1091:8-57
      _23_d0 = numpy.int64(_23_d0) # postprocess
      _21_d2 = fragments._c_closure_528(_21_d2,_8_shape,_16_wi32,_24_xdim0,_25_xdim1) # bld/herlev/final/default/src/fusion/ExprShape.monty:1092:8-57
      _21_d2 = numpy.int64(_21_d2) # postprocess
      _19_d4 = fragments._c_closure_529(_19_d4,_3_nd,_8_shape,_16_wi32,_25_xdim1) # bld/herlev/final/default/src/fusion/ExprShape.monty:1093:8-57
      _19_d4 = numpy.int64(_19_d4) # postprocess
      _22_d1 = _16_wi32[(_8_shape + self.__dim0)] # bld/herlev/final/default/src/fusion/ExprShape.monty:1094:8-30
      _20_d3 = _22_d1 # bld/herlev/final/default/src/fusion/ExprShape.monty:1094:31-39
      if (_6_ncodeatom==0): # bld/herlev/final/default/src/fusion/ExprShape.monty:1096:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1096:28-1098:9
        _0_rs._alloc_1expr_IIIZI(_3_nd,_5_nelem,_4_nnz,_7_hassp,0) # bld/herlev/final/default/src/fusion/ExprShape.monty:1097:10-46
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1096:28-1098:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1099:13-1101:9
        _0_rs._alloc_1expr_IIIZI(_3_nd,_5_nelem,_4_nnz,_7_hassp,(_6_ncodeatom + (_4_nnz * 2))) # bld/herlev/final/default/src/fusion/ExprShape.monty:1100:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1099:13-1101:9
      _26_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1102:12-16
      _27_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1103:12-18
      _28_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1104:12-18
      _29_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1105:12-15
      _30_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1106:12-16
      _31_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1107:12-17
      _32_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1108:12-20
      _33_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:1109:12-19
      _34_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprShape.monty:1111:12-16
      _35_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprShape.monty:1112:12-16
      _36_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprShape.monty:1113:12-16
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1115:8-1122:9
      mosek.fusion.Utils.Tools._arraycopy__3II_3III(_16_wi32,_9_ptr,_34_ri32,_26_rptr,(_5_nelem + 1)) # bld/herlev/final/default/src/fusion/ExprShape.monty:1116:10-60
      mosek.fusion.Utils.Tools._arraycopy__3II_3III(_16_wi32,_8_shape,_34_ri32,_27_rshape,_3_nd) # bld/herlev/final/default/src/fusion/ExprShape.monty:1117:10-59
      mosek.fusion.Utils.Tools._arraycopy__3JI_3JII(_17_wi64,_13_nidxs,_35_ri64,_28_rnidxs,_4_nnz) # bld/herlev/final/default/src/fusion/ExprShape.monty:1118:10-60
      mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(_18_wf64,_15_cof,_36_rf64,_30_rcof,_4_nnz) # bld/herlev/final/default/src/fusion/ExprShape.monty:1119:10-56
      if _7_hassp: # bld/herlev/final/default/src/fusion/ExprShape.monty:1120:14-19
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1121:12-58
        mosek.fusion.Utils.Tools._arraycopy__3JI_3JII(_17_wi64,_14_sp,_35_ri64,_29_rsp,_5_nelem) # bld/herlev/final/default/src/fusion/ExprShape.monty:1121:12-58
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1121:12-58
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1115:8-1122:9
      _37_scale=mosek.fusion.Utils.Tools._sqrt_D(2) # bld/herlev/final/default/src/fusion/ExprShape.monty:1124:12-17
      fragments._c_closure_530(_23_d0,_22_d1,_21_d2,_20_d3,_19_d4,_7_hassp,_5_nelem,_30_rcof,_36_rf64,_34_ri32,_26_rptr,_37_scale,_14_sp,_17_wi64) # bld/herlev/final/default/src/fusion/ExprShape.monty:1125:8-1158:9
      fragments._c_closure_531(_12_cconst,_10_code,_11_codeptr,_23_d0,_22_d1,_21_d2,_20_d3,_19_d4,_7_hassp,_6_ncodeatom,_5_nelem,_9_ptr,_33_rcconst,_31_rcode,_32_rcodeptr,_36_rf64,_34_ri32,_37_scale,_14_sp,_18_wf64,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprShape.monty:1160:8-1220:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1056:67-1221:7
  return ExprScaleVecPSD
mosek_fusion_ExprScaleVecPSD=__mk_mosek_fusion_ExprScaleVecPSD()
del __mk_mosek_fusion_ExprScaleVecPSD

# origin: bld/herlev/final/default/src/fusion/ExprShape.monty:778:4-1036:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprDenseTril():
  class ExprDenseTril(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprDenseTril__dim1','_ExprDenseTril__dim0','_ExprDenseTril__expr']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_IILmosek_4fusion_4Expression_2(*args): # int32,int32,mosek.fusion.Expression
        self._ctor_init_IILmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_IILmosek_4fusion_4Expression_2(*args):# int32,int32,mosek.fusion.Expression
        self._ctor_alt_init_IILmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprDenseTril.ctor(int32,int32,mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprDenseTril._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprDenseTril._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprDenseTril.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprDenseTril._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprDenseTril._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprDenseTril.toString()')

    def __repr__(self): return 'mosek.fusion.ExprDenseTril'
    @staticmethod
    def _ctor_IILmosek_4fusion_4Expression_2I(dim0,dim1,expr,unchecked_):
      o = ExprDenseTril.__new__(ExprDenseTril)
      o._ctor_init_IILmosek_4fusion_4Expression_2I(dim0,dim1,expr,unchecked_)
      return o

    @staticmethod
    def __match_ctor_IILmosek_4fusion_4Expression_2I(*args):
      if len(args) != 4: return False
      dim0,dim1,expr,unchecked_, = args
      return (    __arg_match_I__(dim0)
              and __arg_match_I__(dim1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_match_I__(unchecked_))
    @staticmethod
    def __match_alt_ctor_IILmosek_4fusion_4Expression_2I(*args):
      if len(args) != 4: return False
      dim0,dim1,expr,unchecked_, = args
      return (    __arg_alt_match_I__(dim0)
              and __arg_alt_match_I__(dim1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_alt_match_I__(unchecked_))
    # Origin: bld/herlev/final/default/src/fusion/ExprShape.monty:798:6-805:7
    def _ctor_alt_init_IILmosek_4fusion_4Expression_2I(self,dim0,dim1,expr,unchecked_):
      self._ctor_init_IILmosek_4fusion_4Expression_2I(numpy.int32(dim0),numpy.int32(dim1),expr,numpy.int32(unchecked_))
    def _ctor_init_IILmosek_4fusion_4Expression_2I(self,dim0,dim1,expr,unchecked_):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:798:78-805:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,expr._getShape_())# ctor @ bld/herlev/final/default/src/fusion/ExprShape.monty:799:8-31
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprShape.monty:801:8-25
      (self.__dim0) = dim0 # bld/herlev/final/default/src/fusion/ExprShape.monty:803:8-25
      (self.__dim1) = dim1 # bld/herlev/final/default/src/fusion/ExprShape.monty:804:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:798:78-805:7
    @staticmethod
    def _ctor_IILmosek_4fusion_4Expression_2(dim0_,dim1_,expr):
      o = ExprDenseTril.__new__(ExprDenseTril)
      o._ctor_init_IILmosek_4fusion_4Expression_2(dim0_,dim1_,expr)
      return o

    @staticmethod
    def __match_ctor_IILmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      dim0_,dim1_,expr, = args
      return (    __arg_match_I__(dim0_)
              and __arg_match_I__(dim1_)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor_IILmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      dim0_,dim1_,expr, = args
      return (    __arg_alt_match_I__(dim0_)
              and __arg_alt_match_I__(dim1_)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprShape.monty:785:6-796:7
    def _ctor_alt_init_IILmosek_4fusion_4Expression_2(self,dim0_,dim1_,expr):
      self._ctor_init_IILmosek_4fusion_4Expression_2(numpy.int32(dim0_),numpy.int32(dim1_),expr)
    def _ctor_init_IILmosek_4fusion_4Expression_2(self,dim0_,dim1_,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:785:62-796:7
      mosek_fusion_ExprDenseTril._ctor_init_IILmosek_4fusion_4Expression_2I(self,dim0_,dim1_,expr,1)# ctor @ bld/herlev/final/default/src/fusion/ExprShape.monty:786:8-33
      _0_shape=expr._getShape_() # bld/herlev/final/default/src/fusion/ExprShape.monty:787:12-17
      if ((self.__dim0==self.__dim1) or ((self.__dim0 < 0) or ((self.__dim0 >= int((_0_shape).shape[0])) or ((self.__dim1 < 0) or ((self.__dim1 >= int((_0_shape).shape[0])) or (_0_shape[self.__dim0]!=_0_shape[self.__dim1])))))): # bld/herlev/final/default/src/fusion/ExprShape.monty:789:12-794:38
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:795:10-68
        raise mosek_fusion_DimensionError._ctor_S("Invalid dimension definitions") # bld/herlev/final/default/src/fusion/ExprShape.monty:795:10-68
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:795:10-68
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:785:62-796:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:807:67-1035:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprShape.monty:808:8-28
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprShape.monty:809:8-22
      _3_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprShape.monty:811:12-14
      _4_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprShape.monty:812:12-15
      _5_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprShape.monty:813:12-17
      _6_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprShape.monty:814:12-21
      _7_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprShape.monty:815:12-17
      _8_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:816:12-17
      _9_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:817:12-15
      _10_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:818:12-16
      _11_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:819:12-19
      _12_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:820:12-18
      _13_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:821:12-17
      _14_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:822:12-14
      _15_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:823:12-15
      _16_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprShape.monty:825:12-16
      _17_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprShape.monty:826:12-16
      _18_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprShape.monty:827:12-16
      _19_xdim0=(self.__dim0 if ((self.__dim0 < self.__dim1) ) else self.__dim1) # bld/herlev/final/default/src/fusion/ExprShape.monty:829:12-17
      _20_xdim1=(self.__dim0 if ((self.__dim0 > self.__dim1) ) else self.__dim1) # bld/herlev/final/default/src/fusion/ExprShape.monty:830:12-17
      _21_tril=(self.__dim0 < self.__dim1) # bld/herlev/final/default/src/fusion/ExprShape.monty:831:12-16
      if ((self.__dim0==self.__dim1) or ((self.__dim0 < 0) or ((self.__dim0 >= _3_nd) or ((self.__dim1 < 0) or (self.__dim1 >= _3_nd))))): # bld/herlev/final/default/src/fusion/ExprShape.monty:833:12-835:34
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:836:10-66
        raise mosek_fusion_DimensionError._ctor_S("Invalid symmetry dimensions") # bld/herlev/final/default/src/fusion/ExprShape.monty:836:10-66
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:836:10-66
      elif (_16_wi32[(_8_shape + self.__dim0)]!=_16_wi32[(_8_shape + self.__dim1)]): # bld/herlev/final/default/src/fusion/ExprShape.monty:837:16-52
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:838:10-72
        raise mosek_fusion_DimensionError._ctor_S("Not symmetric in given dimensions") # bld/herlev/final/default/src/fusion/ExprShape.monty:838:10-72
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:838:10-72
      _22_dim=numpy.array([1 for _23_i in range(0,5)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprShape.monty:840:12-15
      fragments._c_closure_532(_22_dim,_8_shape,_16_wi32,_19_xdim0) # bld/herlev/final/default/src/fusion/ExprShape.monty:841:8-55
      _22_dim[1] = _16_wi32[(_8_shape + self.__dim0)] # bld/herlev/final/default/src/fusion/ExprShape.monty:842:8-34
      fragments._c_closure_533(_22_dim,_8_shape,_16_wi32,_19_xdim0,_20_xdim1) # bld/herlev/final/default/src/fusion/ExprShape.monty:843:8-61
      _22_dim[3] = _16_wi32[(_8_shape + self.__dim1)] # bld/herlev/final/default/src/fusion/ExprShape.monty:844:8-34
      fragments._c_closure_534(_22_dim,_3_nd,_8_shape,_16_wi32,_20_xdim1) # bld/herlev/final/default/src/fusion/ExprShape.monty:845:8-58
      _24_stride=numpy.zeros((5,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprShape.monty:851:12-18
      _24_stride[4] = 1 # bld/herlev/final/default/src/fusion/ExprShape.monty:851:34-48
      fragments._c_closure_535(_22_dim,_24_stride) # bld/herlev/final/default/src/fusion/ExprShape.monty:852:8-66
      _25_rnnz=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:855:12-16
      _26_rnelem=(((_22_dim[0] * _22_dim[2]) * _22_dim[4]) * ((_22_dim[1] * (_22_dim[1] + 1)) // 2)) # bld/herlev/final/default/src/fusion/ExprShape.monty:856:12-18
      _27_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:858:12-22
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:859:8-912:9
      _27_rncodeatom,_25_rnnz = fragments._c_closure_536(_11_codeptr,_22_dim,_7_hassp,_6_ncodeatom,_5_nelem,_9_ptr,_27_rncodeatom,_25_rnnz,_14_sp,_24_stride,_21_tril,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprShape.monty:859:8-912:9
      _27_rncodeatom = numpy.int32(_27_rncodeatom) # postprocess
      _25_rnnz = numpy.int32(_25_rnnz) # postprocess
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:859:8-912:9
      _28_fullnelem=(((((_22_dim[0] * _22_dim[2]) * _22_dim[4]) * _22_dim[1]) * (_22_dim[1] + 1)) // 2) # bld/herlev/final/default/src/fusion/ExprShape.monty:922:12-21
      _0_rs._alloc_1expr_IIIZI(_3_nd,_26_rnelem,_25_rnnz,True,_27_rncodeatom) # bld/herlev/final/default/src/fusion/ExprShape.monty:923:8-54
      _29_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:924:12-16
      _30_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:925:12-18
      _31_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:926:12-18
      _32_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:927:12-15
      _33_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:928:12-16
      _34_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:929:12-17
      _35_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:930:12-20
      _36_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:931:12-19
      _37_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprShape.monty:933:12-16
      _38_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprShape.monty:934:12-16
      _39_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprShape.monty:935:12-16
      _37_ri32[_29_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprShape.monty:938:8-23
      if (_27_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprShape.monty:939:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:940:10-29
        _37_ri32[_35_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprShape.monty:940:10-29
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:940:10-29
      fragments._c_closure_537(_3_nd,_37_ri32,_30_rshape,_8_shape,_16_wi32) # bld/herlev/final/default/src/fusion/ExprShape.monty:941:8-59
      if _21_tril: # bld/herlev/final/default/src/fusion/ExprShape.monty:943:12-16
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:943:18-954:9
        _40_k=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:944:14-15
        _40_k = fragments._c_closure_538(_22_dim,_40_k,_38_ri64,_32_rsp,_24_stride) # bld/herlev/final/default/src/fusion/ExprShape.monty:945:10-952:19
        _40_k = numpy.int32(_40_k) # postprocess
        if (_40_k!=_26_rnelem): # bld/herlev/final/default/src/fusion/ExprShape.monty:953:14-25
          # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:953:27-80
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid nelem") # bld/herlev/final/default/src/fusion/ExprShape.monty:953:27-80
          # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:953:27-80
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:943:18-954:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:955:13-966:9
        _41_k=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:956:14-15
        _41_k = fragments._c_closure_539(_22_dim,_41_k,_38_ri64,_32_rsp,_24_stride) # bld/herlev/final/default/src/fusion/ExprShape.monty:957:10-964:19
        _41_k = numpy.int32(_41_k) # postprocess
        if (_41_k!=_26_rnelem): # bld/herlev/final/default/src/fusion/ExprShape.monty:965:14-25
          # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:965:27-80
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid nelem") # bld/herlev/final/default/src/fusion/ExprShape.monty:965:27-80
          # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:965:27-80
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:955:13-966:9
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:969:8-1031:9
      _42_nzi=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:970:14-17
      _43_codei=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:971:14-19
      _43_codei,_42_nzi = fragments._c_closure_540(_12_cconst,_10_code,_43_codei,_11_codeptr,_15_cof,_28_fullnelem,_7_hassp,_5_nelem,_13_nidxs,_42_nzi,_9_ptr,_36_rcconst,_34_rcode,_35_rcodeptr,_33_rcof,_39_rf64,_37_ri32,_38_ri64,_27_rncodeatom,_31_rnidxs,_29_rptr,_32_rsp,_14_sp,_18_wf64,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprShape.monty:972:10-1027:11
      _43_codei = numpy.int32(_43_codei) # postprocess
      _42_nzi = numpy.int32(_42_nzi) # postprocess
      if (_42_nzi!=_25_rnnz): # bld/herlev/final/default/src/fusion/ExprShape.monty:1030:14-25
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1030:27-78
        raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid nnz") # bld/herlev/final/default/src/fusion/ExprShape.monty:1030:27-78
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:1030:27-78
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:969:8-1031:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:807:67-1035:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:782:38-784:7
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprDenseTril(symdim=(")._a_I(self.__dim0)._a_S(",")._a_I(self.__dim1)._a_S("),")._a_S(self.__expr._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprShape.monty:783:8-136
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:782:38-784:7
  return ExprDenseTril
mosek_fusion_ExprDenseTril=__mk_mosek_fusion_ExprDenseTril()
del __mk_mosek_fusion_ExprDenseTril

# origin: bld/herlev/final/default/src/fusion/ExprShape.monty:691:4-770:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprDense():
  class ExprDense(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprDense__expr']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        self._ctor_init_Lmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Expression_2(*args):# mosek.fusion.Expression
        self._ctor_alt_init_Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprDense.ctor(mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprDense._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprDense._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprDense.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprDense._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprDense._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprDense.toString()')

    def __repr__(self): return 'mosek.fusion.ExprDense'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2(expr):
      o = ExprDense.__new__(ExprDense)
      o._ctor_init_Lmosek_4fusion_4Expression_2(expr)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      expr, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      expr, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprShape.monty:694:6-697:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2(self,expr):
      self._ctor_init_Lmosek_4fusion_4Expression_2(expr)
    def _ctor_init_Lmosek_4fusion_4Expression_2(self,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:694:35-697:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,expr._getShape_())# ctor @ bld/herlev/final/default/src/fusion/ExprShape.monty:695:8-31
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprShape.monty:696:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:694:35-697:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:701:67-769:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprShape.monty:702:8-28
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprShape.monty:703:8-22
      _3_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprShape.monty:705:12-14
      _4_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprShape.monty:706:12-15
      _5_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprShape.monty:707:12-17
      _6_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprShape.monty:708:12-21
      _7_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprShape.monty:709:12-17
      _8_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:711:12-17
      _9_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:712:12-15
      _10_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:713:12-17
      _11_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:714:12-15
      _12_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:715:12-14
      _13_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:716:12-19
      _14_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:717:12-16
      _15_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:718:12-18
      _16_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprShape.monty:720:12-16
      _17_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprShape.monty:721:12-16
      _18_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprShape.monty:722:12-16
      _19_rnelem=1 # bld/herlev/final/default/src/fusion/ExprShape.monty:724:12-24
      if _7_hassp: # bld/herlev/final/default/src/fusion/ExprShape.monty:725:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:725:19-734:9
        _20_ok=True # bld/herlev/final/default/src/fusion/ExprShape.monty:726:14-21
        _20_ok,_19_rnelem = fragments._c_closure_541(_3_nd,_20_ok,_19_rnelem,_8_shape,_16_wi32) # bld/herlev/final/default/src/fusion/ExprShape.monty:727:10-731:11
        _19_rnelem = numpy.int32(_19_rnelem) # postprocess
        if (not _20_ok): # bld/herlev/final/default/src/fusion/ExprShape.monty:732:14-20
          # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:733:12-61
          raise mosek_fusion_LengthError._ctor_S("The domain is too large") # bld/herlev/final/default/src/fusion/ExprShape.monty:733:12-61
          # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:733:12-61
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:725:19-734:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:736:10-25
        _19_rnelem = _5_nelem # bld/herlev/final/default/src/fusion/ExprShape.monty:736:10-25
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:736:10-25
      _0_rs._alloc_1expr_IIIZI(_3_nd,_19_rnelem,_4_nnz,False,_6_ncodeatom) # bld/herlev/final/default/src/fusion/ExprShape.monty:738:8-53
      _21_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:739:12-18
      _22_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:740:12-16
      _23_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:741:12-18
      _24_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:742:12-16
      _25_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:743:12-20
      _26_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:744:12-17
      _27_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:745:12-19
      _28_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprShape.monty:747:12-16
      _29_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprShape.monty:748:12-16
      _30_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprShape.monty:749:12-16
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:751:8-767:9
      fragments._c_closure_542(_15_cconst,_14_code,_13_codeptr,_11_cof,_7_hassp,_6_ncodeatom,_3_nd,_5_nelem,_10_nidxs,_4_nnz,_9_ptr,_27_rcconst,_26_rcode,_25_rcodeptr,_24_rcof,_30_rf64,_28_ri32,_29_ri64,_19_rnelem,_23_rnidxs,_22_rptr,_21_rshape,_8_shape,_12_sp,_18_wf64,_16_wi32,_17_wi64) # bld/herlev/final/default/src/fusion/ExprShape.monty:751:8-767:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:751:8-767:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:701:67-769:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:699:38-127
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprDense(")._a_S(self.__expr._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprShape.monty:699:40-125
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:699:38-127
  return ExprDense
mosek_fusion_ExprDense=__mk_mosek_fusion_ExprDense()
del __mk_mosek_fusion_ExprDense

# origin: bld/herlev/final/default/src/fusion/ExprShape.monty:148:4-684:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprSymmetrize():
  class ExprSymmetrize(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprSymmetrize__dim1','_ExprSymmetrize__dim0','_ExprSymmetrize__expr']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_IILmosek_4fusion_4Expression_2(*args): # int32,int32,mosek.fusion.Expression
        self._ctor_init_IILmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_IILmosek_4fusion_4Expression_2(*args):# int32,int32,mosek.fusion.Expression
        self._ctor_alt_init_IILmosek_4fusion_4Expression_2(*args)
      elif self.__match_ctor_IILmosek_4fusion_4Expression_2I(*args): # int32,int32,mosek.fusion.Expression,int32
        self._ctor_init_IILmosek_4fusion_4Expression_2I(*args)
      elif self.__match_alt_ctor_IILmosek_4fusion_4Expression_2I(*args):# int32,int32,mosek.fusion.Expression,int32
        self._ctor_alt_init_IILmosek_4fusion_4Expression_2I(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprSymmetrize.ctor(int32,int32,mosek.fusion.Expression)\n\tmosek.fusion.ExprSymmetrize.ctor(int32,int32,mosek.fusion.Expression,int32)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprSymmetrize._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprSymmetrize._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprSymmetrize.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprSymmetrize._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprSymmetrize._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprSymmetrize.toString()')

    def __repr__(self): return 'mosek.fusion.ExprSymmetrize'
    @staticmethod
    def _ctor_IILmosek_4fusion_4Expression_2I(dim0,dim1,expr,unchecked_):
      o = ExprSymmetrize.__new__(ExprSymmetrize)
      o._ctor_init_IILmosek_4fusion_4Expression_2I(dim0,dim1,expr,unchecked_)
      return o

    @staticmethod
    def __match_ctor_IILmosek_4fusion_4Expression_2I(*args):
      if len(args) != 4: return False
      dim0,dim1,expr,unchecked_, = args
      return (    __arg_match_I__(dim0)
              and __arg_match_I__(dim1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_match_I__(unchecked_))
    @staticmethod
    def __match_alt_ctor_IILmosek_4fusion_4Expression_2I(*args):
      if len(args) != 4: return False
      dim0,dim1,expr,unchecked_, = args
      return (    __arg_alt_match_I__(dim0)
              and __arg_alt_match_I__(dim1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr)
              and __arg_alt_match_I__(unchecked_))
    # Origin: bld/herlev/final/default/src/fusion/ExprShape.monty:165:6-178:7
    def _ctor_alt_init_IILmosek_4fusion_4Expression_2I(self,dim0,dim1,expr,unchecked_):
      self._ctor_init_IILmosek_4fusion_4Expression_2I(numpy.int32(dim0),numpy.int32(dim1),expr,numpy.int32(unchecked_))
    def _ctor_init_IILmosek_4fusion_4Expression_2I(self,dim0,dim1,expr,unchecked_):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:165:77-178:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,expr._getShape_())# ctor @ bld/herlev/final/default/src/fusion/ExprShape.monty:166:8-31
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprShape.monty:168:8-25
      if (dim0 < dim1): # bld/herlev/final/default/src/fusion/ExprShape.monty:170:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:170:25-173:9
        (self.__dim0) = dim0 # bld/herlev/final/default/src/fusion/ExprShape.monty:171:10-27
        (self.__dim1) = dim1 # bld/herlev/final/default/src/fusion/ExprShape.monty:172:10-27
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:170:25-173:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:174:13-177:9
        (self.__dim0) = dim1 # bld/herlev/final/default/src/fusion/ExprShape.monty:175:10-27
        (self.__dim1) = dim0 # bld/herlev/final/default/src/fusion/ExprShape.monty:176:10-27
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:174:13-177:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:165:77-178:7
    @staticmethod
    def _ctor_IILmosek_4fusion_4Expression_2(dim0_,dim1_,expr):
      o = ExprSymmetrize.__new__(ExprSymmetrize)
      o._ctor_init_IILmosek_4fusion_4Expression_2(dim0_,dim1_,expr)
      return o

    @staticmethod
    def __match_ctor_IILmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      dim0_,dim1_,expr, = args
      return (    __arg_match_I__(dim0_)
              and __arg_match_I__(dim1_)
              and __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor_IILmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      dim0_,dim1_,expr, = args
      return (    __arg_alt_match_I__(dim0_)
              and __arg_alt_match_I__(dim1_)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprShape.monty:157:6-163:7
    def _ctor_alt_init_IILmosek_4fusion_4Expression_2(self,dim0_,dim1_,expr):
      self._ctor_init_IILmosek_4fusion_4Expression_2(numpy.int32(dim0_),numpy.int32(dim1_),expr)
    def _ctor_init_IILmosek_4fusion_4Expression_2(self,dim0_,dim1_,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:157:62-163:7
      mosek_fusion_ExprSymmetrize._ctor_init_IILmosek_4fusion_4Expression_2I(self,dim0_,dim1_,expr,1)# ctor @ bld/herlev/final/default/src/fusion/ExprShape.monty:158:8-33
      _0_shape=expr._getShape_() # bld/herlev/final/default/src/fusion/ExprShape.monty:159:12-17
      if ((self.__dim0 < 0) or ((self.__dim0==self.__dim1) or ((self.__dim1 >= int((_0_shape).shape[0])) or (_0_shape[self.__dim0]!=_0_shape[self.__dim1])))): # bld/herlev/final/default/src/fusion/ExprShape.monty:161:12-88
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:162:10-68
        raise mosek_fusion_DimensionError._ctor_S("Invalid dimension definitions") # bld/herlev/final/default/src/fusion/ExprShape.monty:162:10-68
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:162:10-68
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:157:62-163:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:180:67-683:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_1_ws,_0_rs,_2_xs) # bld/herlev/final/default/src/fusion/ExprShape.monty:181:8-28
      _1_ws._pop_1expr_() # bld/herlev/final/default/src/fusion/ExprShape.monty:182:8-22
      _3_dimmax=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:187:12-24
      _4_nd=(_1_ws.nd) # bld/herlev/final/default/src/fusion/ExprShape.monty:188:12-14
      _5_nnz=(_1_ws.nnz) # bld/herlev/final/default/src/fusion/ExprShape.monty:189:12-15
      _6_nelem=(_1_ws.nelem) # bld/herlev/final/default/src/fusion/ExprShape.monty:190:12-17
      _7_ncodeatom=(_1_ws.ncodeatom) # bld/herlev/final/default/src/fusion/ExprShape.monty:191:12-21
      _8_hassp=(_1_ws.hassp) # bld/herlev/final/default/src/fusion/ExprShape.monty:192:12-17
      _9_shape=(_1_ws.shape_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:193:12-17
      _10_ptr=(_1_ws.ptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:194:12-15
      _11_code=(_1_ws.code_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:195:12-16
      _12_codeptr=(_1_ws.codeptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:196:12-19
      _13_cconst=(_1_ws.cconst_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:197:12-18
      _14_nidxs=(_1_ws.nidxs_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:198:12-17
      _15_sp=(_1_ws.sp_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:199:12-14
      _16_cof=(_1_ws.cof_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:200:12-15
      _17_wi32=(_1_ws.i32) # bld/herlev/final/default/src/fusion/ExprShape.monty:202:12-16
      _18_wi64=(_1_ws.i64) # bld/herlev/final/default/src/fusion/ExprShape.monty:203:12-16
      _19_wf64=(_1_ws.f64) # bld/herlev/final/default/src/fusion/ExprShape.monty:204:12-16
      _3_dimmax = fragments._c_closure_543(_3_dimmax,_4_nd,_9_shape,_17_wi32) # bld/herlev/final/default/src/fusion/ExprShape.monty:209:8-212:9
      _3_dimmax = numpy.int32(_3_dimmax) # postprocess
      _20_xperm1=_2_xs._alloci32_I(_6_nelem) # bld/herlev/final/default/src/fusion/ExprShape.monty:214:12-18
      _21_xperm2=_2_xs._alloci32_I(_6_nelem) # bld/herlev/final/default/src/fusion/ExprShape.monty:215:12-18
      _22_xptr=_2_xs._alloci32_I((_3_dimmax + 1)) # bld/herlev/final/default/src/fusion/ExprShape.monty:216:12-16
      _23_xsp=_2_xs._alloci64_I(_6_nelem) # bld/herlev/final/default/src/fusion/ExprShape.monty:217:12-15
      _24_xi32=(_2_xs.i32) # bld/herlev/final/default/src/fusion/ExprShape.monty:219:12-16
      _25_xi64=(_2_xs.i64) # bld/herlev/final/default/src/fusion/ExprShape.monty:220:12-16
      _26_rnelem=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:225:12-18
      _27_rnnz=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:226:12-16
      _28_rncodeatom=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:227:12-22
      _29_dim=numpy.array([1 for _30_i in range(0,5)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprShape.monty:229:12-15
      _31_stride=numpy.zeros((5,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/ExprShape.monty:230:12-18
      fragments._c_closure_544(_29_dim,self.__dim0,_9_shape,_17_wi32) # bld/herlev/final/default/src/fusion/ExprShape.monty:232:8-54
      _29_dim[1] = _17_wi32[(_9_shape + self.__dim0)] # bld/herlev/final/default/src/fusion/ExprShape.monty:233:8-34
      fragments._c_closure_545(_29_dim,self.__dim0,self.__dim1,_9_shape,_17_wi32) # bld/herlev/final/default/src/fusion/ExprShape.monty:234:8-59
      _29_dim[3] = _17_wi32[(_9_shape + self.__dim1)] # bld/herlev/final/default/src/fusion/ExprShape.monty:235:8-34
      fragments._c_closure_546(_29_dim,self.__dim1,_4_nd,_9_shape,_17_wi32) # bld/herlev/final/default/src/fusion/ExprShape.monty:236:8-57
      _31_stride[4] = 1 # bld/herlev/final/default/src/fusion/ExprShape.monty:237:8-22
      fragments._c_closure_547(_29_dim,_31_stride) # bld/herlev/final/default/src/fusion/ExprShape.monty:237:23-81
      if _8_hassp: # bld/herlev/final/default/src/fusion/ExprShape.monty:242:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:242:19-537:9
        _32_curperm=_20_xperm1 # bld/herlev/final/default/src/fusion/ExprShape.monty:244:14-21
        fragments._c_closure_548(_32_curperm,_6_nelem,_24_xi32) # bld/herlev/final/default/src/fusion/ExprShape.monty:244:32-75
        _33_tgtperm=_21_xperm2 # bld/herlev/final/default/src/fusion/ExprShape.monty:245:14-21
        _34_sortidx=numpy.array([1,2,3,0], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/ExprShape.monty:248:14-21
        _32_curperm,_33_tgtperm = fragments._c_closure_549(_32_curperm,_29_dim,_6_nelem,_34_sortidx,_15_sp,_31_stride,_33_tgtperm,_18_wi64,_24_xi32,_22_xptr) # bld/herlev/final/default/src/fusion/ExprShape.monty:252:10-270:11
        _32_curperm = numpy.int32(_32_curperm) # postprocess
        _33_tgtperm = numpy.int32(_33_tgtperm) # postprocess
        fragments._c_closure_550(_29_dim,_6_nelem,_15_sp,_31_stride,_18_wi64,_25_xi64,_23_xsp) # bld/herlev/final/default/src/fusion/ExprShape.monty:278:10-283:74
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:287:10-329:11
        _28_rncodeatom,_26_rnelem,_27_rnnz = fragments._c_closure_551(_12_codeptr,_32_curperm,_7_ncodeatom,_6_nelem,_10_ptr,_28_rncodeatom,_26_rnelem,_27_rnnz,_15_sp,_17_wi32,_18_wi64,_24_xi32,_25_xi64,_23_xsp) # bld/herlev/final/default/src/fusion/ExprShape.monty:287:10-329:11
        _28_rncodeatom = numpy.int32(_28_rncodeatom) # postprocess
        _26_rnelem = numpy.int32(_26_rnelem) # postprocess
        _27_rnnz = numpy.int32(_27_rnnz) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:287:10-329:11
        _0_rs._alloc_1expr_IIIZI(_4_nd,_26_rnelem,_27_rnnz,True,_28_rncodeatom) # bld/herlev/final/default/src/fusion/ExprShape.monty:334:10-56
        _35_rnd=_4_nd # bld/herlev/final/default/src/fusion/ExprShape.monty:335:14-17
        _36_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:336:14-18
        _37_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:337:14-20
        _38_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:338:14-20
        _39_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:339:14-17
        _40_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:340:14-18
        _41_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:341:14-19
        _42_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:342:14-22
        _43_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:343:14-21
        _44_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprShape.monty:345:14-18
        _45_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprShape.monty:346:14-18
        _46_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprShape.monty:347:14-18
        fragments._c_closure_552(_4_nd,_44_ri32,_38_rshape,_9_shape,_17_wi32) # bld/herlev/final/default/src/fusion/ExprShape.monty:349:10-61
        _44_ri32[_36_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprShape.monty:351:10-25
        if (_28_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprShape.monty:352:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:353:12-31
          _44_ri32[_42_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprShape.monty:353:12-31
          # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:353:12-31
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:354:10-535:11
        _47_nzi=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:355:54-57
        _48_codei=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:355:43-48
        _49_elmi=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:355:33-37
        _50_ii1=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:355:24-27
        _51_i0=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:355:16-18
        _44_ri32[_36_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprShape.monty:356:12-27
        _48_codei,_49_elmi,_51_i0,_50_ii1,_47_nzi = fragments._c_closure_553(_13_cconst,_11_code,_48_codei,_12_codeptr,_16_cof,_32_curperm,_49_elmi,_51_i0,_50_ii1,_6_nelem,_14_nidxs,_47_nzi,_10_ptr,_43_rcconst,_41_rcode,_42_rcodeptr,_40_rcof,_46_rf64,_44_ri32,_45_ri64,_28_rncodeatom,_37_rnidxs,_36_rptr,_39_rsp,_15_sp,_19_wf64,_17_wi32,_18_wi64,_24_xi32,_25_xi64,_23_xsp) # bld/herlev/final/default/src/fusion/ExprShape.monty:357:12-530:13
        _48_codei = numpy.int32(_48_codei) # postprocess
        _49_elmi = numpy.int32(_49_elmi) # postprocess
        _51_i0 = numpy.int32(_51_i0) # postprocess
        _50_ii1 = numpy.int32(_50_ii1) # postprocess
        _47_nzi = numpy.int32(_47_nzi) # postprocess
        if (_47_nzi!=_27_rnnz): # bld/herlev/final/default/src/fusion/ExprShape.monty:533:16-27
          # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:534:14-65
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid nzi") # bld/herlev/final/default/src/fusion/ExprShape.monty:534:14-65
          # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:534:14-65
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:354:10-535:11
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:242:19-537:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:538:13-675:9
        _26_rnelem = _6_nelem # bld/herlev/final/default/src/fusion/ExprShape.monty:540:10-25
        _27_rnnz = (_5_nnz * 2) # bld/herlev/final/default/src/fusion/ExprShape.monty:541:10-25
        _28_rncodeatom = (((2 * _7_ncodeatom) + ((2 * 2) * _5_nnz)) if ((_7_ncodeatom > 0) ) else 0) # bld/herlev/final/default/src/fusion/ExprShape.monty:542:10-73
        _28_rncodeatom,_27_rnnz = fragments._c_closure_554(_12_codeptr,_29_dim,_7_ncodeatom,_10_ptr,_28_rncodeatom,_27_rnnz,_31_stride,_17_wi32) # bld/herlev/final/default/src/fusion/ExprShape.monty:543:10-551:17
        _28_rncodeatom = numpy.int32(_28_rncodeatom) # postprocess
        _27_rnnz = numpy.int32(_27_rnnz) # postprocess
        _0_rs._alloc_1expr_IIIZI(_4_nd,_26_rnelem,_27_rnnz,False,_28_rncodeatom) # bld/herlev/final/default/src/fusion/ExprShape.monty:556:10-57
        _52_rptr=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:558:14-18
        _53_rshape=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:559:14-20
        _54_rcode=(_0_rs.code_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:560:14-19
        _55_rcodeptr=(_0_rs.codeptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:561:14-22
        _56_rnidxs=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:562:14-20
        _57_rsp=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:563:14-17
        _58_rcof=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:564:14-18
        _59_rcconst=(_0_rs.cconst_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:565:14-21
        _60_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprShape.monty:567:14-18
        _61_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprShape.monty:568:14-18
        _62_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprShape.monty:569:14-18
        _63_nzi=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:571:14-17
        _64_relmi=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:572:14-19
        _65_codei=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:573:14-19
        fragments._c_closure_555(_4_nd,_60_ri32,_53_rshape,_9_shape,_17_wi32) # bld/herlev/final/default/src/fusion/ExprShape.monty:575:10-61
        _60_ri32[_52_rptr] = 0 # bld/herlev/final/default/src/fusion/ExprShape.monty:577:10-25
        if (_28_rncodeatom > 0): # bld/herlev/final/default/src/fusion/ExprShape.monty:578:14-28
          # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:579:12-31
          _60_ri32[_55_rcodeptr] = 0 # bld/herlev/final/default/src/fusion/ExprShape.monty:579:12-31
          # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:579:12-31
        _66_k=0 # bld/herlev/final/default/src/fusion/ExprShape.monty:580:14-15
        _65_codei,_66_k,_63_nzi,_64_relmi = fragments._c_closure_556(_13_cconst,_11_code,_65_codei,_12_codeptr,_16_cof,_29_dim,_66_k,_14_nidxs,_63_nzi,_10_ptr,_59_rcconst,_54_rcode,_55_rcodeptr,_58_rcof,_64_relmi,_62_rf64,_60_ri32,_61_ri64,_28_rncodeatom,_56_rnidxs,_52_rptr,_31_stride,_19_wf64,_17_wi32,_18_wi64) # bld/herlev/final/default/src/fusion/ExprShape.monty:581:10-672:19
        _65_codei = numpy.int32(_65_codei) # postprocess
        _66_k = numpy.int32(_66_k) # postprocess
        _63_nzi = numpy.int32(_63_nzi) # postprocess
        _64_relmi = numpy.int32(_64_relmi) # postprocess
        if (_63_nzi!=_27_rnnz): # bld/herlev/final/default/src/fusion/ExprShape.monty:673:14-25
          # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:673:27-78
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid nnz") # bld/herlev/final/default/src/fusion/ExprShape.monty:673:27-78
          # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:673:27-78
        if (_64_relmi!=_26_rnelem): # bld/herlev/final/default/src/fusion/ExprShape.monty:674:14-29
          # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:674:31-84
          raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid nelem") # bld/herlev/final/default/src/fusion/ExprShape.monty:674:31-84
          # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:674:31-84
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:538:13-675:9
      _2_xs._clear_() # bld/herlev/final/default/src/fusion/ExprShape.monty:676:8-19
      _0_rs._peek_1expr_() # bld/herlev/final/default/src/fusion/ExprShape.monty:679:8-23
      if ((_0_rs.nnz)!=(_0_rs.i32)[((_0_rs.ptr_base) + (_0_rs.nelem))]): # bld/herlev/final/default/src/fusion/ExprShape.monty:680:12-50
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:680:52-103
        raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid ptr") # bld/herlev/final/default/src/fusion/ExprShape.monty:680:52-103
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:680:52-103
      if ((_0_rs.i32)[(_0_rs.ptr_base)]!=0): # bld/herlev/final/default/src/fusion/ExprShape.monty:681:12-36
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:681:38-89
        raise mosek_fusion_UnexpectedError._ctor_S("Internal: Invalid ptr") # bld/herlev/final/default/src/fusion/ExprShape.monty:681:38-89
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:681:38-89
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:180:67-683:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:153:38-155:7
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprSymmetrize(symdim=(")._a_I(self.__dim0)._a_S(",")._a_I(self.__dim1)._a_S("),")._a_S(self.__expr._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprShape.monty:154:8-137
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:153:38-155:7
  return ExprSymmetrize
mosek_fusion_ExprSymmetrize=__mk_mosek_fusion_ExprSymmetrize()
del __mk_mosek_fusion_ExprSymmetrize

# origin: bld/herlev/final/default/src/fusion/ExprShape.monty:102:4-135:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprCondense():
  class ExprCondense(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprCondense__expr']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        self._ctor_init_Lmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Expression_2(*args):# mosek.fusion.Expression
        self._ctor_alt_init_Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprCondense.ctor(mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprCondense._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprCondense._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCondense.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprCondense._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprCondense._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprCondense.toString()')

    def __repr__(self): return 'mosek.fusion.ExprCondense'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2(expr):
      o = ExprCondense.__new__(ExprCondense)
      o._ctor_init_Lmosek_4fusion_4Expression_2(expr)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      expr, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(expr))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      expr, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(expr))
    # Origin: bld/herlev/final/default/src/fusion/ExprShape.monty:104:6-107:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2(self,expr):
      self._ctor_init_Lmosek_4fusion_4Expression_2(expr)
    def _ctor_init_Lmosek_4fusion_4Expression_2(self,expr):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:104:35-107:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,expr._getShape_())# ctor @ bld/herlev/final/default/src/fusion/ExprShape.monty:105:8-31
      (self.__expr) = expr # bld/herlev/final/default/src/fusion/ExprShape.monty:106:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:104:35-107:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:113:67-134:7
      self.__expr._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs) # bld/herlev/final/default/src/fusion/ExprShape.monty:114:8-28
      _0_rs._peek_1expr_() # bld/herlev/final/default/src/fusion/ExprShape.monty:115:8-23
      if (_0_rs.hassp): # bld/herlev/final/default/src/fusion/ExprShape.monty:117:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:117:22-133:9
        _3_nd=_0_rs._popi32_() # bld/herlev/final/default/src/fusion/ExprShape.monty:118:14-16
        _0_rs._popi32_I(_3_nd) # bld/herlev/final/default/src/fusion/ExprShape.monty:119:10-24
        _4_nelem=_0_rs._popi32_() # bld/herlev/final/default/src/fusion/ExprShape.monty:120:14-19
        _5_nnz=_0_rs._popi32_() # bld/herlev/final/default/src/fusion/ExprShape.monty:121:14-17
        _0_rs._popi32_() # bld/herlev/final/default/src/fusion/ExprShape.monty:122:10-22
        _0_rs._popi64_I(_4_nelem) # bld/herlev/final/default/src/fusion/ExprShape.monty:124:10-27
        _0_rs._pushi32_I(0) # bld/herlev/final/default/src/fusion/ExprShape.monty:126:10-24
        _0_rs._pushi32_I(_5_nnz) # bld/herlev/final/default/src/fusion/ExprShape.monty:127:10-26
        _0_rs._pushi32_I(_4_nelem) # bld/herlev/final/default/src/fusion/ExprShape.monty:128:10-28
        _0_rs._pushi32_I(_4_nelem) # bld/herlev/final/default/src/fusion/ExprShape.monty:129:10-28
        _0_rs._pushi32_I(1) # bld/herlev/final/default/src/fusion/ExprShape.monty:130:10-24
        _0_rs._peek_1expr_() # bld/herlev/final/default/src/fusion/ExprShape.monty:131:10-25
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:117:22-133:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:113:67-134:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:109:38-111:7
      return (mosek.fusion.Utils.StringBuffer()._a_S("ExprCondense(")._a_S(self.__expr._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprShape.monty:110:8-96
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:109:38-111:7
  return ExprCondense
mosek_fusion_ExprCondense=__mk_mosek_fusion_ExprCondense()
del __mk_mosek_fusion_ExprCondense

# origin: bld/herlev/final/default/src/fusion/ExprShape.monty:51:4-91:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprFromVar():
  class ExprFromVar(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprFromVar__x']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Variable
        self._ctor_init_Lmosek_4fusion_4Variable_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4Variable_2(*args):# mosek.fusion.Variable
        self._ctor_alt_init_Lmosek_4fusion_4Variable_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprFromVar.ctor(mosek.fusion.Variable)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprFromVar._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprFromVar._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprFromVar.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprFromVar._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprFromVar._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprFromVar.toString()')

    def __repr__(self): return 'mosek.fusion.ExprFromVar'
    @staticmethod
    def _ctor_Lmosek_4fusion_4Variable_2(x):
      o = ExprFromVar.__new__(ExprFromVar)
      o._ctor_init_Lmosek_4fusion_4Variable_2(x)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 1: return False
      x, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(x))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 1: return False
      x, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(x))
    # Origin: bld/herlev/final/default/src/fusion/ExprShape.monty:53:6-56:7
    def _ctor_alt_init_Lmosek_4fusion_4Variable_2(self,x):
      self._ctor_init_Lmosek_4fusion_4Variable_2(x)
    def _ctor_init_Lmosek_4fusion_4Variable_2(self,x):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:53:31-56:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,x._getShape_())# ctor @ bld/herlev/final/default/src/fusion/ExprShape.monty:54:8-28
      (self.__x) = x # bld/herlev/final/default/src/fusion/ExprShape.monty:55:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:53:31-56:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:62:67-90:7
      _3_shape=self._getShape_() # bld/herlev/final/default/src/fusion/ExprShape.monty:63:12-17
      _4_size=mosek.fusion.Set._size__3I(_3_shape) # bld/herlev/final/default/src/fusion/ExprShape.monty:64:12-16
      _5_nelm=self.__x._numInst_() # bld/herlev/final/default/src/fusion/ExprShape.monty:65:12-16
      _6_nnz=_5_nelm # bld/herlev/final/default/src/fusion/ExprShape.monty:66:12-15
      _7_hassp=(_4_size > _5_nelm) # bld/herlev/final/default/src/fusion/ExprShape.monty:68:12-17
      _0_rs._alloc_1expr_IIIZ(int((_3_shape).shape[0]),_5_nelm,_6_nnz,_7_hassp) # bld/herlev/final/default/src/fusion/ExprShape.monty:69:8-49
      _8_ptr_base=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:70:12-20
      _9_nidx_base=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:71:12-21
      _10_nsp_base=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:72:12-20
      _11_cof_base=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:73:12-20
      _12_shape_base=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:74:12-22
      _13_ri32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/ExprShape.monty:76:12-16
      _14_ri64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/ExprShape.monty:77:12-16
      _15_rf64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/ExprShape.monty:78:12-16
      fragments._c_closure_557(_13_ri32,_3_shape,_12_shape_base) # bld/herlev/final/default/src/fusion/ExprShape.monty:80:8-66
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:82:8-85:9
      fragments._c_closure_558(_11_cof_base,_5_nelm,_6_nnz,_8_ptr_base,_15_rf64,_13_ri32) # bld/herlev/final/default/src/fusion/ExprShape.monty:82:8-85:9
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:82:8-85:9
      if _7_hassp: # bld/herlev/final/default/src/fusion/ExprShape.monty:86:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:87:10-50
        self.__x._inst_I_3JI_3J(_10_nsp_base,_14_ri64,_9_nidx_base,_14_ri64) # bld/herlev/final/default/src/fusion/ExprShape.monty:87:10-50
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:87:10-50
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:89:10-33
        self.__x._inst_I_3J(_9_nidx_base,_14_ri64) # bld/herlev/final/default/src/fusion/ExprShape.monty:89:10-33
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:89:10-33
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:62:67-90:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:58:38-60:7
      return (mosek.fusion.Utils.StringBuffer()._a_S("Expr(")._a_S(self.__x._toString_())._a_S(")")._toString_()) # bld/herlev/final/default/src/fusion/ExprShape.monty:59:8-85
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:58:38-60:7
  return ExprFromVar
mosek_fusion_ExprFromVar=__mk_mosek_fusion_ExprFromVar()
del __mk_mosek_fusion_ExprFromVar

# origin: bld/herlev/final/default/src/fusion/ExprShape.monty:5:4-43:5
#BEFORE CLASS
def __mk_mosek_fusion_ExprReshape():
  class ExprReshape(mosek_fusion_BaseExpression):
    __slots__ = ['_ExprReshape__e']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor__3ILmosek_4fusion_4Expression_2(*args): # []int32,mosek.fusion.Expression
        self._ctor_init__3ILmosek_4fusion_4Expression_2(*args)
      elif self.__match_alt_ctor__3ILmosek_4fusion_4Expression_2(*args):# []int32,mosek.fusion.Expression
        self._ctor_alt_init__3ILmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.ExprReshape.ctor(array(int32,ndim=1),mosek.fusion.Expression)')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_ExprReshape._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_ExprReshape._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprReshape.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_ExprReshape._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_ExprReshape._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.ExprReshape.toString()')

    def __repr__(self): return 'mosek.fusion.ExprReshape'
    @staticmethod
    def _ctor__3ILmosek_4fusion_4Expression_2(shape,e):
      o = ExprReshape.__new__(ExprReshape)
      o._ctor_init__3ILmosek_4fusion_4Expression_2(shape,e)
      return o

    @staticmethod
    def __match_ctor__3ILmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      shape,e, = args
      return (    __arg_match__3I__(shape)
              and __arg_match_Lmosek_4fusion_4Expression_2__(e))
    @staticmethod
    def __match_alt_ctor__3ILmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      shape,e, = args
      return (    __arg_alt_match__3I__(shape)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(e))
    # Origin: bld/herlev/final/default/src/fusion/ExprShape.monty:7:6-14:7
    def _ctor_alt_init__3ILmosek_4fusion_4Expression_2(self,shape,e):
      self._ctor_init__3ILmosek_4fusion_4Expression_2(numpy.array(shape,dtype=numpy.dtype(numpy.int32)),e)
    def _ctor_init__3ILmosek_4fusion_4Expression_2(self,shape,e):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:7:48-14:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,mosek.fusion.Utils.Tools._arraycopy__3I(shape))# ctor @ bld/herlev/final/default/src/fusion/ExprShape.monty:8:8-44
      _0_esize=e._getSize_() # bld/herlev/final/default/src/fusion/ExprShape.monty:9:12-17
      if (mosek.fusion.Set._size__3I(shape)!=e._getSize_()): # bld/herlev/final/default/src/fusion/ExprShape.monty:10:12-42
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:11:10-71
        raise mosek_fusion_LengthError._ctor_S("Cannot reshape to mismatching shape") # bld/herlev/final/default/src/fusion/ExprShape.monty:11:10-71
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:11:10-71
      (self.__e) = e # bld/herlev/final/default/src/fusion/ExprShape.monty:13:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:7:48-14:7
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:27:67-42:7
      _3_eshape=self._getShape_() # bld/herlev/final/default/src/fusion/ExprShape.monty:28:12-18
      self.__e._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs) # bld/herlev/final/default/src/fusion/ExprShape.monty:29:8-25
      _0_rs._peek_1expr_() # bld/herlev/final/default/src/fusion/ExprShape.monty:31:8-23
      _4_nd=_0_rs._popi32_() # bld/herlev/final/default/src/fusion/ExprShape.monty:33:12-14
      _5_sz=1 # bld/herlev/final/default/src/fusion/ExprShape.monty:34:12-20
      for _6_i in range(0,_4_nd): # bld/herlev/final/default/src/fusion/ExprShape.monty:35:8-46
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:35:28-46
        _5_sz *= _0_rs._popi32_() # bld/herlev/final/default/src/fusion/ExprShape.monty:35:28-46
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:35:28-46
      if (_5_sz!=self._getSize_()): # bld/herlev/final/default/src/fusion/ExprShape.monty:36:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:36:29-38:9
        raise mosek_fusion_DimensionError._ctor_S("The two shapes have different sizes") # bld/herlev/final/default/src/fusion/ExprShape.monty:37:10-74
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:36:29-38:9
      for _7_i in range(0,int((_3_eshape).shape[0])): # bld/herlev/final/default/src/fusion/ExprShape.monty:40:8-59
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:40:37-59
        _0_rs._pushi32_I(_3_eshape[_7_i]) # bld/herlev/final/default/src/fusion/ExprShape.monty:40:37-59
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:40:37-59
      _0_rs._pushi32_I(int((_3_eshape).shape[0])) # bld/herlev/final/default/src/fusion/ExprShape.monty:41:8-32
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:27:67-42:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:16:38-25:7
      _0_sb=mosek.fusion.Utils.StringBuffer()._a_S("ExprReshape((") # bld/herlev/final/default/src/fusion/ExprShape.monty:17:12-14
      if (self._getND_() > 0): # bld/herlev/final/default/src/fusion/ExprShape.monty:18:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:18:25-22:9
        _0_sb._a_I(self._getDim_I(0)) # bld/herlev/final/default/src/fusion/ExprShape.monty:19:10-26
        for _1_i in range(1,self._getND_()): # bld/herlev/final/default/src/fusion/ExprShape.monty:20:10-21:35
          # Start scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:21:12-35
          _0_sb._a_S(",")._a_I(self._getDim_I(_1_i)) # bld/herlev/final/default/src/fusion/ExprShape.monty:21:12-35
          # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:21:12-35
        # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:18:25-22:9
      _0_sb._a_S("),")._a_S(self.__e._toString_())._a_S(")") # bld/herlev/final/default/src/fusion/ExprShape.monty:23:8-42
      return (_0_sb._toString_()) # bld/herlev/final/default/src/fusion/ExprShape.monty:24:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/ExprShape.monty:16:38-25:7
  return ExprReshape
mosek_fusion_ExprReshape=__mk_mosek_fusion_ExprReshape()
del __mk_mosek_fusion_ExprReshape

# origin: bld/herlev/final/default/src/fusion/Expr.mbi:342:4-1778:5
#BEFORE CLASS
def __mk_mosek_fusion_Expr():
  class Expr(mosek_fusion_BaseExpression):
    __slots__ = ['_Expr__inst','_Expr__cof_v','_Expr__subj','_Expr__ptrb','_Expr__bfix','_Expr__shape']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor__3J_3J_3D_3D_3I_3J(*args): # []int64,[]int64,[]double,[]double,[]int32,[]int64
        self._ctor_init__3J_3J_3D_3D_3I_3J(*args)
      elif self.__match_alt_ctor__3J_3J_3D_3D_3I_3J(*args):# []int64,[]int64,[]double,[]double,[]int32,[]int64
        self._ctor_alt_init__3J_3J_3D_3D_3I_3J(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.Expr.ctor(array(int64,ndim=1),array(int64,ndim=1),array(double,ndim=1),array(double,ndim=1),array(int32,ndim=1),array(int64,ndim=1))')

    def eval(self,*args):
      if False: pass
      elif mosek_fusion_Expr._match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_Expr._match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack
        return self._eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list eval('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.eval(mosek.fusion.WorkStack,mosek.fusion.WorkStack,mosek.fusion.WorkStack)')

    @staticmethod
    def stack(*args):
      if False: pass
      elif mosek_fusion_Expr._match_stack__3_3Lmosek_4fusion_4Expression_2(*args): # [][]mosek.fusion.Expression
        return mosek_fusion_Expr._stack__3_3Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_stack__3_3Lmosek_4fusion_4Expression_2(*args): # [][]mosek.fusion.Expression
        return mosek_fusion_Expr._stack_alt__3_3Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_stack_I_3Lmosek_4fusion_4Expression_2(*args): # int32,[]mosek.fusion.Expression
        return mosek_fusion_Expr._stack_I_3Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_stack_I_3Lmosek_4fusion_4Expression_2(*args): # int32,[]mosek.fusion.Expression
        return mosek_fusion_Expr._stack_alt_I_3Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_stack_ILmosek_4fusion_4Expression_2D(*args): # int32,mosek.fusion.Expression,double
        return mosek_fusion_Expr._stack_ILmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_alt_stack_ILmosek_4fusion_4Expression_2D(*args): # int32,mosek.fusion.Expression,double
        return mosek_fusion_Expr._stack_alt_ILmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # int32,mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # int32,mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._stack_alt_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_stack_IDLmosek_4fusion_4Expression_2(*args): # int32,double,mosek.fusion.Expression
        return mosek_fusion_Expr._stack_IDLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_stack_IDLmosek_4fusion_4Expression_2(*args): # int32,double,mosek.fusion.Expression
        return mosek_fusion_Expr._stack_alt_IDLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # int32,mosek.fusion.Expression,mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # int32,mosek.fusion.Expression,mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._stack_alt_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_stack_IDLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # int32,double,mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._stack_IDLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_stack_IDLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # int32,double,mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._stack_alt_IDLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_stack_ILmosek_4fusion_4Expression_2DD(*args): # int32,mosek.fusion.Expression,double,double
        return mosek_fusion_Expr._stack_ILmosek_4fusion_4Expression_2DD(*args)
      elif mosek_fusion_Expr._match_alt_stack_ILmosek_4fusion_4Expression_2DD(*args): # int32,mosek.fusion.Expression,double,double
        return mosek_fusion_Expr._stack_alt_ILmosek_4fusion_4Expression_2DD(*args)
      elif mosek_fusion_Expr._match_stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args): # int32,mosek.fusion.Expression,mosek.fusion.Expression,double
        return mosek_fusion_Expr._stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_alt_stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args): # int32,mosek.fusion.Expression,mosek.fusion.Expression,double
        return mosek_fusion_Expr._stack_alt_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_stack_IDLmosek_4fusion_4Expression_2D(*args): # int32,double,mosek.fusion.Expression,double
        return mosek_fusion_Expr._stack_IDLmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_alt_stack_IDLmosek_4fusion_4Expression_2D(*args): # int32,double,mosek.fusion.Expression,double
        return mosek_fusion_Expr._stack_alt_IDLmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_stack_IDDLmosek_4fusion_4Expression_2(*args): # int32,double,double,mosek.fusion.Expression
        return mosek_fusion_Expr._stack_IDDLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_stack_IDDLmosek_4fusion_4Expression_2(*args): # int32,double,double,mosek.fusion.Expression
        return mosek_fusion_Expr._stack_alt_IDDLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_stack_ILmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args): # int32,mosek.fusion.Expression,double,mosek.fusion.Expression
        return mosek_fusion_Expr._stack_ILmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_stack_ILmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args): # int32,mosek.fusion.Expression,double,mosek.fusion.Expression
        return mosek_fusion_Expr._stack_alt_ILmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list stack('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.stack(array(array(mosek.fusion.Expression,ndim=1),ndim=1))\n\tmosek.fusion.Expr.stack(int32,array(mosek.fusion.Expression,ndim=1))\n\tmosek.fusion.Expr.stack(int32,mosek.fusion.Expression,double)\n\tmosek.fusion.Expr.stack(int32,mosek.fusion.Expression,mosek.fusion.Expression)\n\tmosek.fusion.Expr.stack(int32,double,mosek.fusion.Expression)\n\tmosek.fusion.Expr.stack(int32,mosek.fusion.Expression,mosek.fusion.Expression,mosek.fusion.Expression)\n\tmosek.fusion.Expr.stack(int32,double,mosek.fusion.Expression,mosek.fusion.Expression)\n\tmosek.fusion.Expr.stack(int32,mosek.fusion.Expression,double,double)\n\tmosek.fusion.Expr.stack(int32,mosek.fusion.Expression,mosek.fusion.Expression,double)\n\tmosek.fusion.Expr.stack(int32,double,mosek.fusion.Expression,double)\n\tmosek.fusion.Expr.stack(int32,double,double,mosek.fusion.Expression)\n\tmosek.fusion.Expr.stack(int32,mosek.fusion.Expression,double,mosek.fusion.Expression)')

    @staticmethod
    def dot(*args):
      if False: pass
      elif mosek_fusion_Expr._match_dot_Lmosek_4fusion_4Expression_2_3D(*args): # mosek.fusion.Expression,[]double
        return mosek_fusion_Expr._dot_Lmosek_4fusion_4Expression_2_3D(*args)
      elif mosek_fusion_Expr._match_alt_dot_Lmosek_4fusion_4Expression_2_3D(*args): # mosek.fusion.Expression,[]double
        return mosek_fusion_Expr._dot_alt_Lmosek_4fusion_4Expression_2_3D(*args)
      elif mosek_fusion_Expr._match_dot__3DLmosek_4fusion_4Expression_2(*args): # []double,mosek.fusion.Expression
        return mosek_fusion_Expr._dot__3DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_dot__3DLmosek_4fusion_4Expression_2(*args): # []double,mosek.fusion.Expression
        return mosek_fusion_Expr._dot_alt__3DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_dot_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.NDSparseArray,mosek.fusion.Expression
        return mosek_fusion_Expr._dot_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_dot_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.NDSparseArray,mosek.fusion.Expression
        return mosek_fusion_Expr._dot_alt_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_dot_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Matrix,mosek.fusion.Expression
        return mosek_fusion_Expr._dot_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_dot_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Matrix,mosek.fusion.Expression
        return mosek_fusion_Expr._dot_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Expression,mosek.fusion.Parameter
        return mosek_fusion_Expr._dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Expr._match_alt_dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Expression,mosek.fusion.Parameter
        return mosek_fusion_Expr._dot_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Expr._match_dot_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        return mosek_fusion_Expr._dot_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_dot_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        return mosek_fusion_Expr._dot_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_dot__3_5DLmosek_4fusion_4Expression_2(*args): # [,]double,mosek.fusion.Expression
        return mosek_fusion_Expr._dot__3_5DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_dot__3_5DLmosek_4fusion_4Expression_2(*args): # [,]double,mosek.fusion.Expression
        return mosek_fusion_Expr._dot_alt__3_5DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_dot_Lmosek_4fusion_4Expression_2_3_5D(*args): # mosek.fusion.Expression,[,]double
        return mosek_fusion_Expr._dot_Lmosek_4fusion_4Expression_2_3_5D(*args)
      elif mosek_fusion_Expr._match_alt_dot_Lmosek_4fusion_4Expression_2_3_5D(*args): # mosek.fusion.Expression,[,]double
        return mosek_fusion_Expr._dot_alt_Lmosek_4fusion_4Expression_2_3_5D(*args)
      elif mosek_fusion_Expr._match_dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Expression,mosek.fusion.Matrix
        return mosek_fusion_Expr._dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_alt_dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Expression,mosek.fusion.Matrix
        return mosek_fusion_Expr._dot_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args): # mosek.fusion.Expression,mosek.fusion.NDSparseArray
        return mosek_fusion_Expr._dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args)
      elif mosek_fusion_Expr._match_alt_dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args): # mosek.fusion.Expression,mosek.fusion.NDSparseArray
        return mosek_fusion_Expr._dot_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args)
      else:
        raise ValueError('Invalid argument list dot('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.dot(mosek.fusion.Expression,array(double,ndim=1))\n\tmosek.fusion.Expr.dot(array(double,ndim=1),mosek.fusion.Expression)\n\tmosek.fusion.Expr.dot(mosek.fusion.NDSparseArray,mosek.fusion.Expression)\n\tmosek.fusion.Expr.dot(mosek.fusion.Matrix,mosek.fusion.Expression)\n\tmosek.fusion.Expr.dot(mosek.fusion.Expression,mosek.fusion.Parameter)\n\tmosek.fusion.Expr.dot(mosek.fusion.Parameter,mosek.fusion.Expression)\n\tmosek.fusion.Expr.dot(array(double,ndim=2),mosek.fusion.Expression)\n\tmosek.fusion.Expr.dot(mosek.fusion.Expression,array(double,ndim=2))\n\tmosek.fusion.Expr.dot(mosek.fusion.Expression,mosek.fusion.Matrix)\n\tmosek.fusion.Expr.dot(mosek.fusion.Expression,mosek.fusion.NDSparseArray)')

    @staticmethod
    def reshape(*args):
      if False: pass
      elif mosek_fusion_Expr._match_reshape_Lmosek_4fusion_4Expression_2_3I(*args): # mosek.fusion.Expression,[]int32
        return mosek_fusion_Expr._reshape_Lmosek_4fusion_4Expression_2_3I(*args)
      elif mosek_fusion_Expr._match_alt_reshape_Lmosek_4fusion_4Expression_2_3I(*args): # mosek.fusion.Expression,[]int32
        return mosek_fusion_Expr._reshape_alt_Lmosek_4fusion_4Expression_2_3I(*args)
      elif mosek_fusion_Expr._match_reshape_Lmosek_4fusion_4Expression_2I(*args): # mosek.fusion.Expression,int32
        return mosek_fusion_Expr._reshape_Lmosek_4fusion_4Expression_2I(*args)
      elif mosek_fusion_Expr._match_alt_reshape_Lmosek_4fusion_4Expression_2I(*args): # mosek.fusion.Expression,int32
        return mosek_fusion_Expr._reshape_alt_Lmosek_4fusion_4Expression_2I(*args)
      elif mosek_fusion_Expr._match_reshape_Lmosek_4fusion_4Expression_2II(*args): # mosek.fusion.Expression,int32,int32
        return mosek_fusion_Expr._reshape_Lmosek_4fusion_4Expression_2II(*args)
      elif mosek_fusion_Expr._match_alt_reshape_Lmosek_4fusion_4Expression_2II(*args): # mosek.fusion.Expression,int32,int32
        return mosek_fusion_Expr._reshape_alt_Lmosek_4fusion_4Expression_2II(*args)
      else:
        raise ValueError('Invalid argument list reshape('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.reshape(mosek.fusion.Expression,array(int32,ndim=1))\n\tmosek.fusion.Expr.reshape(mosek.fusion.Expression,int32)\n\tmosek.fusion.Expr.reshape(mosek.fusion.Expression,int32,int32)')

    @staticmethod
    def repeat(*args):
      if False: pass
      elif mosek_fusion_Expr._match_repeat_Lmosek_4fusion_4Variable_2II(*args): # mosek.fusion.Variable,int32,int32
        return mosek_fusion_Expr._repeat_Lmosek_4fusion_4Variable_2II(*args)
      elif mosek_fusion_Expr._match_alt_repeat_Lmosek_4fusion_4Variable_2II(*args): # mosek.fusion.Variable,int32,int32
        return mosek_fusion_Expr._repeat_alt_Lmosek_4fusion_4Variable_2II(*args)
      elif mosek_fusion_Expr._match_repeat_Lmosek_4fusion_4Expression_2II(*args): # mosek.fusion.Expression,int32,int32
        return mosek_fusion_Expr._repeat_Lmosek_4fusion_4Expression_2II(*args)
      elif mosek_fusion_Expr._match_alt_repeat_Lmosek_4fusion_4Expression_2II(*args): # mosek.fusion.Expression,int32,int32
        return mosek_fusion_Expr._repeat_alt_Lmosek_4fusion_4Expression_2II(*args)
      else:
        raise ValueError('Invalid argument list repeat('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.repeat(mosek.fusion.Variable,int32,int32)\n\tmosek.fusion.Expr.repeat(mosek.fusion.Expression,int32,int32)')

    @staticmethod
    def zeros(*args):
      if False: pass
      elif mosek_fusion_Expr._match_zeros_I(*args): # int32
        return mosek_fusion_Expr._zeros_I(*args)
      elif mosek_fusion_Expr._match_alt_zeros_I(*args): # int32
        return mosek_fusion_Expr._zeros_alt_I(*args)
      elif mosek_fusion_Expr._match_zeros__3I(*args): # []int32
        return mosek_fusion_Expr._zeros__3I(*args)
      elif mosek_fusion_Expr._match_alt_zeros__3I(*args): # []int32
        return mosek_fusion_Expr._zeros_alt__3I(*args)
      else:
        raise ValueError('Invalid argument list zeros('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.zeros(int32)\n\tmosek.fusion.Expr.zeros(array(int32,ndim=1))')

    @staticmethod
    def hstack(*args):
      if False: pass
      elif mosek_fusion_Expr._match_hstack__3Lmosek_4fusion_4Expression_2(*args): # []mosek.fusion.Expression
        return mosek_fusion_Expr._hstack__3Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_hstack__3Lmosek_4fusion_4Expression_2(*args): # []mosek.fusion.Expression
        return mosek_fusion_Expr._hstack_alt__3Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_hstack_Lmosek_4fusion_4Expression_2D(*args): # mosek.fusion.Expression,double
        return mosek_fusion_Expr._hstack_Lmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_alt_hstack_Lmosek_4fusion_4Expression_2D(*args): # mosek.fusion.Expression,double
        return mosek_fusion_Expr._hstack_alt_Lmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_hstack_DLmosek_4fusion_4Expression_2(*args): # double,mosek.fusion.Expression
        return mosek_fusion_Expr._hstack_DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_hstack_DLmosek_4fusion_4Expression_2(*args): # double,mosek.fusion.Expression
        return mosek_fusion_Expr._hstack_alt_DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._hstack_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_hstack_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,double,mosek.fusion.Expression
        return mosek_fusion_Expr._hstack_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_hstack_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,double,mosek.fusion.Expression
        return mosek_fusion_Expr._hstack_alt_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_hstack_DLmosek_4fusion_4Expression_2D(*args): # double,mosek.fusion.Expression,double
        return mosek_fusion_Expr._hstack_DLmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_alt_hstack_DLmosek_4fusion_4Expression_2D(*args): # double,mosek.fusion.Expression,double
        return mosek_fusion_Expr._hstack_alt_DLmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args): # mosek.fusion.Expression,mosek.fusion.Expression,double
        return mosek_fusion_Expr._hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_alt_hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args): # mosek.fusion.Expression,mosek.fusion.Expression,double
        return mosek_fusion_Expr._hstack_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_hstack_Lmosek_4fusion_4Expression_2DD(*args): # mosek.fusion.Expression,double,double
        return mosek_fusion_Expr._hstack_Lmosek_4fusion_4Expression_2DD(*args)
      elif mosek_fusion_Expr._match_alt_hstack_Lmosek_4fusion_4Expression_2DD(*args): # mosek.fusion.Expression,double,double
        return mosek_fusion_Expr._hstack_alt_Lmosek_4fusion_4Expression_2DD(*args)
      elif mosek_fusion_Expr._match_hstack_DDLmosek_4fusion_4Expression_2(*args): # double,double,mosek.fusion.Expression
        return mosek_fusion_Expr._hstack_DDLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_hstack_DDLmosek_4fusion_4Expression_2(*args): # double,double,mosek.fusion.Expression
        return mosek_fusion_Expr._hstack_alt_DDLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_hstack_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # double,mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._hstack_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_hstack_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # double,mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._hstack_alt_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._hstack_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list hstack('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.hstack(array(mosek.fusion.Expression,ndim=1))\n\tmosek.fusion.Expr.hstack(mosek.fusion.Expression,double)\n\tmosek.fusion.Expr.hstack(double,mosek.fusion.Expression)\n\tmosek.fusion.Expr.hstack(mosek.fusion.Expression,mosek.fusion.Expression)\n\tmosek.fusion.Expr.hstack(mosek.fusion.Expression,double,mosek.fusion.Expression)\n\tmosek.fusion.Expr.hstack(double,mosek.fusion.Expression,double)\n\tmosek.fusion.Expr.hstack(mosek.fusion.Expression,mosek.fusion.Expression,double)\n\tmosek.fusion.Expr.hstack(mosek.fusion.Expression,double,double)\n\tmosek.fusion.Expr.hstack(double,double,mosek.fusion.Expression)\n\tmosek.fusion.Expr.hstack(double,mosek.fusion.Expression,mosek.fusion.Expression)\n\tmosek.fusion.Expr.hstack(mosek.fusion.Expression,mosek.fusion.Expression,mosek.fusion.Expression)')

    @staticmethod
    def outer(*args):
      if False: pass
      elif mosek_fusion_Expr._match_outer__3DLmosek_4fusion_4Expression_2(*args): # []double,mosek.fusion.Expression
        return mosek_fusion_Expr._outer__3DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_outer__3DLmosek_4fusion_4Expression_2(*args): # []double,mosek.fusion.Expression
        return mosek_fusion_Expr._outer_alt__3DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_outer_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Matrix,mosek.fusion.Expression
        return mosek_fusion_Expr._outer_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_outer_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Matrix,mosek.fusion.Expression
        return mosek_fusion_Expr._outer_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_outer_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Expression,mosek.fusion.Parameter
        return mosek_fusion_Expr._outer_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Expr._match_alt_outer_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Expression,mosek.fusion.Parameter
        return mosek_fusion_Expr._outer_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Expr._match_outer_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        return mosek_fusion_Expr._outer_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_outer_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        return mosek_fusion_Expr._outer_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_outer_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Expression,mosek.fusion.Matrix
        return mosek_fusion_Expr._outer_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_alt_outer_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Expression,mosek.fusion.Matrix
        return mosek_fusion_Expr._outer_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_outer_Lmosek_4fusion_4Expression_2_3D(*args): # mosek.fusion.Expression,[]double
        return mosek_fusion_Expr._outer_Lmosek_4fusion_4Expression_2_3D(*args)
      elif mosek_fusion_Expr._match_alt_outer_Lmosek_4fusion_4Expression_2_3D(*args): # mosek.fusion.Expression,[]double
        return mosek_fusion_Expr._outer_alt_Lmosek_4fusion_4Expression_2_3D(*args)
      else:
        raise ValueError('Invalid argument list outer('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.outer(array(double,ndim=1),mosek.fusion.Expression)\n\tmosek.fusion.Expr.outer(mosek.fusion.Matrix,mosek.fusion.Expression)\n\tmosek.fusion.Expr.outer(mosek.fusion.Expression,mosek.fusion.Parameter)\n\tmosek.fusion.Expr.outer(mosek.fusion.Parameter,mosek.fusion.Expression)\n\tmosek.fusion.Expr.outer(mosek.fusion.Expression,mosek.fusion.Matrix)\n\tmosek.fusion.Expr.outer(mosek.fusion.Expression,array(double,ndim=1))')

    @staticmethod
    def add(*args):
      if False: pass
      elif mosek_fusion_Expr._match_add__3Lmosek_4fusion_4Expression_2(*args): # []mosek.fusion.Expression
        return mosek_fusion_Expr._add__3Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_add__3Lmosek_4fusion_4Expression_2(*args): # []mosek.fusion.Expression
        return mosek_fusion_Expr._add_alt__3Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_add__3Lmosek_4fusion_4Variable_2(*args): # []mosek.fusion.Variable
        return mosek_fusion_Expr._add__3Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Expr._match_alt_add__3Lmosek_4fusion_4Variable_2(*args): # []mosek.fusion.Variable
        return mosek_fusion_Expr._add_alt__3Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Expr._match_add_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.NDSparseArray,mosek.fusion.Expression
        return mosek_fusion_Expr._add_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_add_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.NDSparseArray,mosek.fusion.Expression
        return mosek_fusion_Expr._add_alt_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_add_DLmosek_4fusion_4Expression_2(*args): # double,mosek.fusion.Expression
        return mosek_fusion_Expr._add_DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_add_DLmosek_4fusion_4Expression_2(*args): # double,mosek.fusion.Expression
        return mosek_fusion_Expr._add_alt_DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_add__3DLmosek_4fusion_4Expression_2(*args): # []double,mosek.fusion.Expression
        return mosek_fusion_Expr._add__3DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_add__3DLmosek_4fusion_4Expression_2(*args): # []double,mosek.fusion.Expression
        return mosek_fusion_Expr._add_alt__3DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_add_Lmosek_4fusion_4Expression_2_3D(*args): # mosek.fusion.Expression,[]double
        return mosek_fusion_Expr._add_Lmosek_4fusion_4Expression_2_3D(*args)
      elif mosek_fusion_Expr._match_alt_add_Lmosek_4fusion_4Expression_2_3D(*args): # mosek.fusion.Expression,[]double
        return mosek_fusion_Expr._add_alt_Lmosek_4fusion_4Expression_2_3D(*args)
      elif mosek_fusion_Expr._match_add_Lmosek_4fusion_4Expression_2D(*args): # mosek.fusion.Expression,double
        return mosek_fusion_Expr._add_Lmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_alt_add_Lmosek_4fusion_4Expression_2D(*args): # mosek.fusion.Expression,double
        return mosek_fusion_Expr._add_alt_Lmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_add_Lmosek_4fusion_4Expression_2_3_5D(*args): # mosek.fusion.Expression,[,]double
        return mosek_fusion_Expr._add_Lmosek_4fusion_4Expression_2_3_5D(*args)
      elif mosek_fusion_Expr._match_alt_add_Lmosek_4fusion_4Expression_2_3_5D(*args): # mosek.fusion.Expression,[,]double
        return mosek_fusion_Expr._add_alt_Lmosek_4fusion_4Expression_2_3_5D(*args)
      elif mosek_fusion_Expr._match_add_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Matrix,mosek.fusion.Expression
        return mosek_fusion_Expr._add_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_add_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Matrix,mosek.fusion.Expression
        return mosek_fusion_Expr._add_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_add__3_5DLmosek_4fusion_4Expression_2(*args): # [,]double,mosek.fusion.Expression
        return mosek_fusion_Expr._add__3_5DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_add__3_5DLmosek_4fusion_4Expression_2(*args): # [,]double,mosek.fusion.Expression
        return mosek_fusion_Expr._add_alt__3_5DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._add_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Expression,mosek.fusion.Matrix
        return mosek_fusion_Expr._add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_alt_add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Expression,mosek.fusion.Matrix
        return mosek_fusion_Expr._add_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args): # mosek.fusion.Expression,mosek.fusion.NDSparseArray
        return mosek_fusion_Expr._add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args)
      elif mosek_fusion_Expr._match_alt_add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args): # mosek.fusion.Expression,mosek.fusion.NDSparseArray
        return mosek_fusion_Expr._add_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args)
      else:
        raise ValueError('Invalid argument list add('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.add(array(mosek.fusion.Expression,ndim=1))\n\tmosek.fusion.Expr.add(array(mosek.fusion.Variable,ndim=1))\n\tmosek.fusion.Expr.add(mosek.fusion.NDSparseArray,mosek.fusion.Expression)\n\tmosek.fusion.Expr.add(double,mosek.fusion.Expression)\n\tmosek.fusion.Expr.add(array(double,ndim=1),mosek.fusion.Expression)\n\tmosek.fusion.Expr.add(mosek.fusion.Expression,array(double,ndim=1))\n\tmosek.fusion.Expr.add(mosek.fusion.Expression,double)\n\tmosek.fusion.Expr.add(mosek.fusion.Expression,array(double,ndim=2))\n\tmosek.fusion.Expr.add(mosek.fusion.Matrix,mosek.fusion.Expression)\n\tmosek.fusion.Expr.add(array(double,ndim=2),mosek.fusion.Expression)\n\tmosek.fusion.Expr.add(mosek.fusion.Expression,mosek.fusion.Expression)\n\tmosek.fusion.Expr.add(mosek.fusion.Expression,mosek.fusion.Matrix)\n\tmosek.fusion.Expr.add(mosek.fusion.Expression,mosek.fusion.NDSparseArray)')

    @staticmethod
    def mulElm(*args):
      if False: pass
      elif mosek_fusion_Expr._match_mulElm_Lmosek_4fusion_4Expression_2_3D(*args): # mosek.fusion.Expression,[]double
        return mosek_fusion_Expr._mulElm_Lmosek_4fusion_4Expression_2_3D(*args)
      elif mosek_fusion_Expr._match_alt_mulElm_Lmosek_4fusion_4Expression_2_3D(*args): # mosek.fusion.Expression,[]double
        return mosek_fusion_Expr._mulElm_alt_Lmosek_4fusion_4Expression_2_3D(*args)
      elif mosek_fusion_Expr._match_mulElm__3DLmosek_4fusion_4Expression_2(*args): # []double,mosek.fusion.Expression
        return mosek_fusion_Expr._mulElm__3DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_mulElm__3DLmosek_4fusion_4Expression_2(*args): # []double,mosek.fusion.Expression
        return mosek_fusion_Expr._mulElm_alt__3DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_mulElm_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.NDSparseArray,mosek.fusion.Expression
        return mosek_fusion_Expr._mulElm_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_mulElm_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.NDSparseArray,mosek.fusion.Expression
        return mosek_fusion_Expr._mulElm_alt_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_mulElm_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Matrix,mosek.fusion.Expression
        return mosek_fusion_Expr._mulElm_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_mulElm_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Matrix,mosek.fusion.Expression
        return mosek_fusion_Expr._mulElm_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Expression,mosek.fusion.Parameter
        return mosek_fusion_Expr._mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Expr._match_alt_mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Expression,mosek.fusion.Parameter
        return mosek_fusion_Expr._mulElm_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Expr._match_mulElm_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        return mosek_fusion_Expr._mulElm_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_mulElm_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        return mosek_fusion_Expr._mulElm_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_mulElm__3_5DLmosek_4fusion_4Expression_2(*args): # [,]double,mosek.fusion.Expression
        return mosek_fusion_Expr._mulElm__3_5DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_mulElm__3_5DLmosek_4fusion_4Expression_2(*args): # [,]double,mosek.fusion.Expression
        return mosek_fusion_Expr._mulElm_alt__3_5DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_mulElm_Lmosek_4fusion_4Expression_2_3_5D(*args): # mosek.fusion.Expression,[,]double
        return mosek_fusion_Expr._mulElm_Lmosek_4fusion_4Expression_2_3_5D(*args)
      elif mosek_fusion_Expr._match_alt_mulElm_Lmosek_4fusion_4Expression_2_3_5D(*args): # mosek.fusion.Expression,[,]double
        return mosek_fusion_Expr._mulElm_alt_Lmosek_4fusion_4Expression_2_3_5D(*args)
      elif mosek_fusion_Expr._match_mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Expression,mosek.fusion.Matrix
        return mosek_fusion_Expr._mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_alt_mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Expression,mosek.fusion.Matrix
        return mosek_fusion_Expr._mulElm_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args): # mosek.fusion.Expression,mosek.fusion.NDSparseArray
        return mosek_fusion_Expr._mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args)
      elif mosek_fusion_Expr._match_alt_mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args): # mosek.fusion.Expression,mosek.fusion.NDSparseArray
        return mosek_fusion_Expr._mulElm_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args)
      else:
        raise ValueError('Invalid argument list mulElm('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.mulElm(mosek.fusion.Expression,array(double,ndim=1))\n\tmosek.fusion.Expr.mulElm(array(double,ndim=1),mosek.fusion.Expression)\n\tmosek.fusion.Expr.mulElm(mosek.fusion.NDSparseArray,mosek.fusion.Expression)\n\tmosek.fusion.Expr.mulElm(mosek.fusion.Matrix,mosek.fusion.Expression)\n\tmosek.fusion.Expr.mulElm(mosek.fusion.Expression,mosek.fusion.Parameter)\n\tmosek.fusion.Expr.mulElm(mosek.fusion.Parameter,mosek.fusion.Expression)\n\tmosek.fusion.Expr.mulElm(array(double,ndim=2),mosek.fusion.Expression)\n\tmosek.fusion.Expr.mulElm(mosek.fusion.Expression,array(double,ndim=2))\n\tmosek.fusion.Expr.mulElm(mosek.fusion.Expression,mosek.fusion.Matrix)\n\tmosek.fusion.Expr.mulElm(mosek.fusion.Expression,mosek.fusion.NDSparseArray)')

    @staticmethod
    def sub(*args):
      if False: pass
      elif mosek_fusion_Expr._match_sub_Lmosek_4fusion_4Expression_2_3D(*args): # mosek.fusion.Expression,[]double
        return mosek_fusion_Expr._sub_Lmosek_4fusion_4Expression_2_3D(*args)
      elif mosek_fusion_Expr._match_alt_sub_Lmosek_4fusion_4Expression_2_3D(*args): # mosek.fusion.Expression,[]double
        return mosek_fusion_Expr._sub_alt_Lmosek_4fusion_4Expression_2_3D(*args)
      elif mosek_fusion_Expr._match_sub__3DLmosek_4fusion_4Expression_2(*args): # []double,mosek.fusion.Expression
        return mosek_fusion_Expr._sub__3DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_sub__3DLmosek_4fusion_4Expression_2(*args): # []double,mosek.fusion.Expression
        return mosek_fusion_Expr._sub_alt__3DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_sub_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.NDSparseArray,mosek.fusion.Expression
        return mosek_fusion_Expr._sub_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_sub_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.NDSparseArray,mosek.fusion.Expression
        return mosek_fusion_Expr._sub_alt_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_sub_DLmosek_4fusion_4Expression_2(*args): # double,mosek.fusion.Expression
        return mosek_fusion_Expr._sub_DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_sub_DLmosek_4fusion_4Expression_2(*args): # double,mosek.fusion.Expression
        return mosek_fusion_Expr._sub_alt_DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_sub_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Matrix,mosek.fusion.Expression
        return mosek_fusion_Expr._sub_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_sub_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Matrix,mosek.fusion.Expression
        return mosek_fusion_Expr._sub_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._sub_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_sub__3_5DLmosek_4fusion_4Expression_2(*args): # [,]double,mosek.fusion.Expression
        return mosek_fusion_Expr._sub__3_5DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_sub__3_5DLmosek_4fusion_4Expression_2(*args): # [,]double,mosek.fusion.Expression
        return mosek_fusion_Expr._sub_alt__3_5DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_sub_Lmosek_4fusion_4Expression_2_3_5D(*args): # mosek.fusion.Expression,[,]double
        return mosek_fusion_Expr._sub_Lmosek_4fusion_4Expression_2_3_5D(*args)
      elif mosek_fusion_Expr._match_alt_sub_Lmosek_4fusion_4Expression_2_3_5D(*args): # mosek.fusion.Expression,[,]double
        return mosek_fusion_Expr._sub_alt_Lmosek_4fusion_4Expression_2_3_5D(*args)
      elif mosek_fusion_Expr._match_sub_Lmosek_4fusion_4Expression_2D(*args): # mosek.fusion.Expression,double
        return mosek_fusion_Expr._sub_Lmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_alt_sub_Lmosek_4fusion_4Expression_2D(*args): # mosek.fusion.Expression,double
        return mosek_fusion_Expr._sub_alt_Lmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Expression,mosek.fusion.Matrix
        return mosek_fusion_Expr._sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_alt_sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Expression,mosek.fusion.Matrix
        return mosek_fusion_Expr._sub_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args): # mosek.fusion.Expression,mosek.fusion.NDSparseArray
        return mosek_fusion_Expr._sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args)
      elif mosek_fusion_Expr._match_alt_sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args): # mosek.fusion.Expression,mosek.fusion.NDSparseArray
        return mosek_fusion_Expr._sub_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args)
      else:
        raise ValueError('Invalid argument list sub('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.sub(mosek.fusion.Expression,array(double,ndim=1))\n\tmosek.fusion.Expr.sub(array(double,ndim=1),mosek.fusion.Expression)\n\tmosek.fusion.Expr.sub(mosek.fusion.NDSparseArray,mosek.fusion.Expression)\n\tmosek.fusion.Expr.sub(double,mosek.fusion.Expression)\n\tmosek.fusion.Expr.sub(mosek.fusion.Matrix,mosek.fusion.Expression)\n\tmosek.fusion.Expr.sub(mosek.fusion.Expression,mosek.fusion.Expression)\n\tmosek.fusion.Expr.sub(array(double,ndim=2),mosek.fusion.Expression)\n\tmosek.fusion.Expr.sub(mosek.fusion.Expression,array(double,ndim=2))\n\tmosek.fusion.Expr.sub(mosek.fusion.Expression,double)\n\tmosek.fusion.Expr.sub(mosek.fusion.Expression,mosek.fusion.Matrix)\n\tmosek.fusion.Expr.sub(mosek.fusion.Expression,mosek.fusion.NDSparseArray)')

    @staticmethod
    def mulDiag(*args):
      if False: pass
      elif mosek_fusion_Expr._match_mulDiag_Lmosek_4fusion_4Variable_2_3_5D(*args): # mosek.fusion.Variable,[,]double
        return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Variable_2_3_5D(*args)
      elif mosek_fusion_Expr._match_alt_mulDiag_Lmosek_4fusion_4Variable_2_3_5D(*args): # mosek.fusion.Variable,[,]double
        return mosek_fusion_Expr._mulDiag_alt_Lmosek_4fusion_4Variable_2_3_5D(*args)
      elif mosek_fusion_Expr._match_mulDiag_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Parameter,mosek.fusion.Variable
        return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Expr._match_alt_mulDiag_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Parameter,mosek.fusion.Variable
        return mosek_fusion_Expr._mulDiag_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Expr._match_mulDiag_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Matrix,mosek.fusion.Variable
        return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Expr._match_alt_mulDiag_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Matrix,mosek.fusion.Variable
        return mosek_fusion_Expr._mulDiag_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Expr._match_mulDiag_Lmosek_4fusion_4Expression_2_3_5D(*args): # mosek.fusion.Expression,[,]double
        return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Expression_2_3_5D(*args)
      elif mosek_fusion_Expr._match_alt_mulDiag_Lmosek_4fusion_4Expression_2_3_5D(*args): # mosek.fusion.Expression,[,]double
        return mosek_fusion_Expr._mulDiag_alt_Lmosek_4fusion_4Expression_2_3_5D(*args)
      elif mosek_fusion_Expr._match_mulDiag_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Matrix,mosek.fusion.Expression
        return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_mulDiag_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Matrix,mosek.fusion.Expression
        return mosek_fusion_Expr._mulDiag_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_mulDiag_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_mulDiag_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        return mosek_fusion_Expr._mulDiag_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_mulDiag__3_5DLmosek_4fusion_4Variable_2(*args): # [,]double,mosek.fusion.Variable
        return mosek_fusion_Expr._mulDiag__3_5DLmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Expr._match_alt_mulDiag__3_5DLmosek_4fusion_4Variable_2(*args): # [,]double,mosek.fusion.Variable
        return mosek_fusion_Expr._mulDiag_alt__3_5DLmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Expr._match_mulDiag__3_5DLmosek_4fusion_4Expression_2(*args): # [,]double,mosek.fusion.Expression
        return mosek_fusion_Expr._mulDiag__3_5DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_mulDiag__3_5DLmosek_4fusion_4Expression_2(*args): # [,]double,mosek.fusion.Expression
        return mosek_fusion_Expr._mulDiag_alt__3_5DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_mulDiag_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Variable,mosek.fusion.Matrix
        return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_alt_mulDiag_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Variable,mosek.fusion.Matrix
        return mosek_fusion_Expr._mulDiag_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_mulDiag_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Variable,mosek.fusion.Parameter
        return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Expr._match_alt_mulDiag_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Variable,mosek.fusion.Parameter
        return mosek_fusion_Expr._mulDiag_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Expr._match_mulDiag_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Expression,mosek.fusion.Parameter
        return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Expr._match_alt_mulDiag_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Expression,mosek.fusion.Parameter
        return mosek_fusion_Expr._mulDiag_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Expr._match_mulDiag_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Expression,mosek.fusion.Matrix
        return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_alt_mulDiag_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Expression,mosek.fusion.Matrix
        return mosek_fusion_Expr._mulDiag_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args)
      else:
        raise ValueError('Invalid argument list mulDiag('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.mulDiag(mosek.fusion.Variable,array(double,ndim=2))\n\tmosek.fusion.Expr.mulDiag(mosek.fusion.Parameter,mosek.fusion.Variable)\n\tmosek.fusion.Expr.mulDiag(mosek.fusion.Matrix,mosek.fusion.Variable)\n\tmosek.fusion.Expr.mulDiag(mosek.fusion.Expression,array(double,ndim=2))\n\tmosek.fusion.Expr.mulDiag(mosek.fusion.Matrix,mosek.fusion.Expression)\n\tmosek.fusion.Expr.mulDiag(mosek.fusion.Parameter,mosek.fusion.Expression)\n\tmosek.fusion.Expr.mulDiag(array(double,ndim=2),mosek.fusion.Variable)\n\tmosek.fusion.Expr.mulDiag(array(double,ndim=2),mosek.fusion.Expression)\n\tmosek.fusion.Expr.mulDiag(mosek.fusion.Variable,mosek.fusion.Matrix)\n\tmosek.fusion.Expr.mulDiag(mosek.fusion.Variable,mosek.fusion.Parameter)\n\tmosek.fusion.Expr.mulDiag(mosek.fusion.Expression,mosek.fusion.Parameter)\n\tmosek.fusion.Expr.mulDiag(mosek.fusion.Expression,mosek.fusion.Matrix)')

    @staticmethod
    def transpose(*args):
      if False: pass
      elif mosek_fusion_Expr._match_transpose_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        return mosek_fusion_Expr._transpose_Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_transpose_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        return mosek_fusion_Expr._transpose_alt_Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list transpose('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.transpose(mosek.fusion.Expression)')

    @staticmethod
    def mul(*args):
      if False: pass
      elif mosek_fusion_Expr._match_mul_Lmosek_4fusion_4Variable_2_3_5D(*args): # mosek.fusion.Variable,[,]double
        return mosek_fusion_Expr._mul_Lmosek_4fusion_4Variable_2_3_5D(*args)
      elif mosek_fusion_Expr._match_alt_mul_Lmosek_4fusion_4Variable_2_3_5D(*args): # mosek.fusion.Variable,[,]double
        return mosek_fusion_Expr._mul_alt_Lmosek_4fusion_4Variable_2_3_5D(*args)
      elif mosek_fusion_Expr._match_mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Matrix,mosek.fusion.Variable
        return mosek_fusion_Expr._mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Expr._match_alt_mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(*args): # mosek.fusion.Matrix,mosek.fusion.Variable
        return mosek_fusion_Expr._mul_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Expr._match_mul__3DLmosek_4fusion_4Expression_2(*args): # []double,mosek.fusion.Expression
        return mosek_fusion_Expr._mul__3DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_mul__3DLmosek_4fusion_4Expression_2(*args): # []double,mosek.fusion.Expression
        return mosek_fusion_Expr._mul_alt__3DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_mul_DLmosek_4fusion_4Expression_2(*args): # double,mosek.fusion.Expression
        return mosek_fusion_Expr._mul_DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_mul_DLmosek_4fusion_4Expression_2(*args): # double,mosek.fusion.Expression
        return mosek_fusion_Expr._mul_alt_DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_mul_Lmosek_4fusion_4Expression_2_3D(*args): # mosek.fusion.Expression,[]double
        return mosek_fusion_Expr._mul_Lmosek_4fusion_4Expression_2_3D(*args)
      elif mosek_fusion_Expr._match_alt_mul_Lmosek_4fusion_4Expression_2_3D(*args): # mosek.fusion.Expression,[]double
        return mosek_fusion_Expr._mul_alt_Lmosek_4fusion_4Expression_2_3D(*args)
      elif mosek_fusion_Expr._match_mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Matrix,mosek.fusion.Expression
        return mosek_fusion_Expr._mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Matrix,mosek.fusion.Expression
        return mosek_fusion_Expr._mul_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_mul_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        return mosek_fusion_Expr._mul_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_mul_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Parameter,mosek.fusion.Expression
        return mosek_fusion_Expr._mul_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_mul__3_5DLmosek_4fusion_4Variable_2(*args): # [,]double,mosek.fusion.Variable
        return mosek_fusion_Expr._mul__3_5DLmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Expr._match_alt_mul__3_5DLmosek_4fusion_4Variable_2(*args): # [,]double,mosek.fusion.Variable
        return mosek_fusion_Expr._mul_alt__3_5DLmosek_4fusion_4Variable_2(*args)
      elif mosek_fusion_Expr._match_mul__3_5DLmosek_4fusion_4Expression_2(*args): # [,]double,mosek.fusion.Expression
        return mosek_fusion_Expr._mul__3_5DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_mul__3_5DLmosek_4fusion_4Expression_2(*args): # [,]double,mosek.fusion.Expression
        return mosek_fusion_Expr._mul_alt__3_5DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_mul_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Variable,mosek.fusion.Matrix
        return mosek_fusion_Expr._mul_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_alt_mul_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Variable,mosek.fusion.Matrix
        return mosek_fusion_Expr._mul_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_mul_Lmosek_4fusion_4Expression_2_3_5D(*args): # mosek.fusion.Expression,[,]double
        return mosek_fusion_Expr._mul_Lmosek_4fusion_4Expression_2_3_5D(*args)
      elif mosek_fusion_Expr._match_alt_mul_Lmosek_4fusion_4Expression_2_3_5D(*args): # mosek.fusion.Expression,[,]double
        return mosek_fusion_Expr._mul_alt_Lmosek_4fusion_4Expression_2_3_5D(*args)
      elif mosek_fusion_Expr._match_mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Expression,mosek.fusion.Parameter
        return mosek_fusion_Expr._mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Expr._match_alt_mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args): # mosek.fusion.Expression,mosek.fusion.Parameter
        return mosek_fusion_Expr._mul_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args)
      elif mosek_fusion_Expr._match_mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Expression,mosek.fusion.Matrix
        return mosek_fusion_Expr._mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_alt_mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Expression,mosek.fusion.Matrix
        return mosek_fusion_Expr._mul_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_mul_Lmosek_4fusion_4Expression_2D(*args): # mosek.fusion.Expression,double
        return mosek_fusion_Expr._mul_Lmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_alt_mul_Lmosek_4fusion_4Expression_2D(*args): # mosek.fusion.Expression,double
        return mosek_fusion_Expr._mul_alt_Lmosek_4fusion_4Expression_2D(*args)
      else:
        raise ValueError('Invalid argument list mul('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.mul(mosek.fusion.Variable,array(double,ndim=2))\n\tmosek.fusion.Expr.mul(mosek.fusion.Matrix,mosek.fusion.Variable)\n\tmosek.fusion.Expr.mul(array(double,ndim=1),mosek.fusion.Expression)\n\tmosek.fusion.Expr.mul(double,mosek.fusion.Expression)\n\tmosek.fusion.Expr.mul(mosek.fusion.Expression,array(double,ndim=1))\n\tmosek.fusion.Expr.mul(mosek.fusion.Matrix,mosek.fusion.Expression)\n\tmosek.fusion.Expr.mul(mosek.fusion.Parameter,mosek.fusion.Expression)\n\tmosek.fusion.Expr.mul(array(double,ndim=2),mosek.fusion.Variable)\n\tmosek.fusion.Expr.mul(array(double,ndim=2),mosek.fusion.Expression)\n\tmosek.fusion.Expr.mul(mosek.fusion.Variable,mosek.fusion.Matrix)\n\tmosek.fusion.Expr.mul(mosek.fusion.Expression,array(double,ndim=2))\n\tmosek.fusion.Expr.mul(mosek.fusion.Expression,mosek.fusion.Parameter)\n\tmosek.fusion.Expr.mul(mosek.fusion.Expression,mosek.fusion.Matrix)\n\tmosek.fusion.Expr.mul(mosek.fusion.Expression,double)')

    @staticmethod
    def constTerm(*args):
      if False: pass
      elif mosek_fusion_Expr._match_constTerm__3D(*args): # []double
        return mosek_fusion_Expr._constTerm__3D(*args)
      elif mosek_fusion_Expr._match_alt_constTerm__3D(*args): # []double
        return mosek_fusion_Expr._constTerm_alt__3D(*args)
      elif mosek_fusion_Expr._match_constTerm_Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix
        return mosek_fusion_Expr._constTerm_Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_alt_constTerm_Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix
        return mosek_fusion_Expr._constTerm_alt_Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Expr._match_constTerm_D(*args): # double
        return mosek_fusion_Expr._constTerm_D(*args)
      elif mosek_fusion_Expr._match_alt_constTerm_D(*args): # double
        return mosek_fusion_Expr._constTerm_alt_D(*args)
      elif mosek_fusion_Expr._match_constTerm_Lmosek_4fusion_4NDSparseArray_2(*args): # mosek.fusion.NDSparseArray
        return mosek_fusion_Expr._constTerm_Lmosek_4fusion_4NDSparseArray_2(*args)
      elif mosek_fusion_Expr._match_alt_constTerm_Lmosek_4fusion_4NDSparseArray_2(*args): # mosek.fusion.NDSparseArray
        return mosek_fusion_Expr._constTerm_alt_Lmosek_4fusion_4NDSparseArray_2(*args)
      elif mosek_fusion_Expr._match_constTerm__3_5D(*args): # [,]double
        return mosek_fusion_Expr._constTerm__3_5D(*args)
      elif mosek_fusion_Expr._match_alt_constTerm__3_5D(*args): # [,]double
        return mosek_fusion_Expr._constTerm_alt__3_5D(*args)
      elif mosek_fusion_Expr._match_constTerm_ID(*args): # int32,double
        return mosek_fusion_Expr._constTerm_ID(*args)
      elif mosek_fusion_Expr._match_alt_constTerm_ID(*args): # int32,double
        return mosek_fusion_Expr._constTerm_alt_ID(*args)
      elif mosek_fusion_Expr._match_constTerm__3ID(*args): # []int32,double
        return mosek_fusion_Expr._constTerm__3ID(*args)
      elif mosek_fusion_Expr._match_alt_constTerm__3ID(*args): # []int32,double
        return mosek_fusion_Expr._constTerm_alt__3ID(*args)
      elif mosek_fusion_Expr._match_constTerm__3I_3_5ID(*args): # []int32,[,]int32,double
        return mosek_fusion_Expr._constTerm__3I_3_5ID(*args)
      elif mosek_fusion_Expr._match_alt_constTerm__3I_3_5ID(*args): # []int32,[,]int32,double
        return mosek_fusion_Expr._constTerm_alt__3I_3_5ID(*args)
      elif mosek_fusion_Expr._match_constTerm__3I_3_5I_3D(*args): # []int32,[,]int32,[]double
        return mosek_fusion_Expr._constTerm__3I_3_5I_3D(*args)
      elif mosek_fusion_Expr._match_alt_constTerm__3I_3_5I_3D(*args): # []int32,[,]int32,[]double
        return mosek_fusion_Expr._constTerm_alt__3I_3_5I_3D(*args)
      else:
        raise ValueError('Invalid argument list constTerm('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.constTerm(array(double,ndim=1))\n\tmosek.fusion.Expr.constTerm(mosek.fusion.Matrix)\n\tmosek.fusion.Expr.constTerm(double)\n\tmosek.fusion.Expr.constTerm(mosek.fusion.NDSparseArray)\n\tmosek.fusion.Expr.constTerm(array(double,ndim=2))\n\tmosek.fusion.Expr.constTerm(int32,double)\n\tmosek.fusion.Expr.constTerm(array(int32,ndim=1),double)\n\tmosek.fusion.Expr.constTerm(array(int32,ndim=1),array(int32,ndim=2),double)\n\tmosek.fusion.Expr.constTerm(array(int32,ndim=1),array(int32,ndim=2),array(double,ndim=1))')

    @staticmethod
    def neg(*args):
      if False: pass
      elif mosek_fusion_Expr._match_neg_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        return mosek_fusion_Expr._neg_Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_neg_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        return mosek_fusion_Expr._neg_alt_Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list neg('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.neg(mosek.fusion.Expression)')

    @staticmethod
    def condense(*args):
      if False: pass
      elif mosek_fusion_Expr._match_condense_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        return mosek_fusion_Expr._condense_Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_condense_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        return mosek_fusion_Expr._condense_alt_Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list condense('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.condense(mosek.fusion.Expression)')

    @staticmethod
    def sum(*args):
      if False: pass
      elif mosek_fusion_Expr._match_sum_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        return mosek_fusion_Expr._sum_Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_sum_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        return mosek_fusion_Expr._sum_alt_Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_sum_Lmosek_4fusion_4Expression_2I(*args): # mosek.fusion.Expression,int32
        return mosek_fusion_Expr._sum_Lmosek_4fusion_4Expression_2I(*args)
      elif mosek_fusion_Expr._match_alt_sum_Lmosek_4fusion_4Expression_2I(*args): # mosek.fusion.Expression,int32
        return mosek_fusion_Expr._sum_alt_Lmosek_4fusion_4Expression_2I(*args)
      else:
        raise ValueError('Invalid argument list sum('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.sum(mosek.fusion.Expression)\n\tmosek.fusion.Expr.sum(mosek.fusion.Expression,int32)')

    @staticmethod
    def vstack(*args):
      if False: pass
      elif mosek_fusion_Expr._match_vstack__3Lmosek_4fusion_4Expression_2(*args): # []mosek.fusion.Expression
        return mosek_fusion_Expr._vstack__3Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_vstack__3Lmosek_4fusion_4Expression_2(*args): # []mosek.fusion.Expression
        return mosek_fusion_Expr._vstack_alt__3Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_vstack_Lmosek_4fusion_4Expression_2D(*args): # mosek.fusion.Expression,double
        return mosek_fusion_Expr._vstack_Lmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_alt_vstack_Lmosek_4fusion_4Expression_2D(*args): # mosek.fusion.Expression,double
        return mosek_fusion_Expr._vstack_alt_Lmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_vstack_DLmosek_4fusion_4Expression_2(*args): # double,mosek.fusion.Expression
        return mosek_fusion_Expr._vstack_DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_vstack_DLmosek_4fusion_4Expression_2(*args): # double,mosek.fusion.Expression
        return mosek_fusion_Expr._vstack_alt_DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._vstack_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_vstack_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # double,mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._vstack_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_vstack_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # double,mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._vstack_alt_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_vstack_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,double,mosek.fusion.Expression
        return mosek_fusion_Expr._vstack_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_vstack_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,double,mosek.fusion.Expression
        return mosek_fusion_Expr._vstack_alt_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_vstack_DLmosek_4fusion_4Expression_2D(*args): # double,mosek.fusion.Expression,double
        return mosek_fusion_Expr._vstack_DLmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_alt_vstack_DLmosek_4fusion_4Expression_2D(*args): # double,mosek.fusion.Expression,double
        return mosek_fusion_Expr._vstack_alt_DLmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args): # mosek.fusion.Expression,mosek.fusion.Expression,double
        return mosek_fusion_Expr._vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_alt_vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args): # mosek.fusion.Expression,mosek.fusion.Expression,double
        return mosek_fusion_Expr._vstack_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args)
      elif mosek_fusion_Expr._match_vstack_Lmosek_4fusion_4Expression_2DD(*args): # mosek.fusion.Expression,double,double
        return mosek_fusion_Expr._vstack_Lmosek_4fusion_4Expression_2DD(*args)
      elif mosek_fusion_Expr._match_alt_vstack_Lmosek_4fusion_4Expression_2DD(*args): # mosek.fusion.Expression,double,double
        return mosek_fusion_Expr._vstack_alt_Lmosek_4fusion_4Expression_2DD(*args)
      elif mosek_fusion_Expr._match_vstack_DDLmosek_4fusion_4Expression_2(*args): # double,double,mosek.fusion.Expression
        return mosek_fusion_Expr._vstack_DDLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_vstack_DDLmosek_4fusion_4Expression_2(*args): # double,double,mosek.fusion.Expression
        return mosek_fusion_Expr._vstack_alt_DDLmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_vstack_DDD(*args): # double,double,double
        return mosek_fusion_Expr._vstack_DDD(*args)
      elif mosek_fusion_Expr._match_alt_vstack_DDD(*args): # double,double,double
        return mosek_fusion_Expr._vstack_alt_DDD(*args)
      elif mosek_fusion_Expr._match_vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression,mosek.fusion.Expression,mosek.fusion.Expression
        return mosek_fusion_Expr._vstack_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list vstack('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.vstack(array(mosek.fusion.Expression,ndim=1))\n\tmosek.fusion.Expr.vstack(mosek.fusion.Expression,double)\n\tmosek.fusion.Expr.vstack(double,mosek.fusion.Expression)\n\tmosek.fusion.Expr.vstack(mosek.fusion.Expression,mosek.fusion.Expression)\n\tmosek.fusion.Expr.vstack(double,mosek.fusion.Expression,mosek.fusion.Expression)\n\tmosek.fusion.Expr.vstack(mosek.fusion.Expression,double,mosek.fusion.Expression)\n\tmosek.fusion.Expr.vstack(double,mosek.fusion.Expression,double)\n\tmosek.fusion.Expr.vstack(mosek.fusion.Expression,mosek.fusion.Expression,double)\n\tmosek.fusion.Expr.vstack(mosek.fusion.Expression,double,double)\n\tmosek.fusion.Expr.vstack(double,double,mosek.fusion.Expression)\n\tmosek.fusion.Expr.vstack(double,double,double)\n\tmosek.fusion.Expr.vstack(mosek.fusion.Expression,mosek.fusion.Expression,mosek.fusion.Expression)')

    @staticmethod
    def flatten(*args):
      if False: pass
      elif mosek_fusion_Expr._match_flatten_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        return mosek_fusion_Expr._flatten_Lmosek_4fusion_4Expression_2(*args)
      elif mosek_fusion_Expr._match_alt_flatten_Lmosek_4fusion_4Expression_2(*args): # mosek.fusion.Expression
        return mosek_fusion_Expr._flatten_alt_Lmosek_4fusion_4Expression_2(*args)
      else:
        raise ValueError('Invalid argument list flatten('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.flatten(mosek.fusion.Expression)')

    @staticmethod
    def ones(*args):
      if False: pass
      elif mosek_fusion_Expr._match_ones_(*args): # 
        return mosek_fusion_Expr._ones_(*args)
      elif mosek_fusion_Expr._match_alt_ones_(*args): # 
        return mosek_fusion_Expr._ones_alt_(*args)
      elif mosek_fusion_Expr._match_ones__3I(*args): # []int32
        return mosek_fusion_Expr._ones__3I(*args)
      elif mosek_fusion_Expr._match_alt_ones__3I(*args): # []int32
        return mosek_fusion_Expr._ones_alt__3I(*args)
      elif mosek_fusion_Expr._match_ones_I(*args): # int32
        return mosek_fusion_Expr._ones_I(*args)
      elif mosek_fusion_Expr._match_alt_ones_I(*args): # int32
        return mosek_fusion_Expr._ones_alt_I(*args)
      elif mosek_fusion_Expr._match_ones__3I_3_5I(*args): # []int32,[,]int32
        return mosek_fusion_Expr._ones__3I_3_5I(*args)
      elif mosek_fusion_Expr._match_alt_ones__3I_3_5I(*args): # []int32,[,]int32
        return mosek_fusion_Expr._ones_alt__3I_3_5I(*args)
      else:
        raise ValueError('Invalid argument list ones('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Expr.ones()\n\tmosek.fusion.Expr.ones(array(int32,ndim=1))\n\tmosek.fusion.Expr.ones(int32)\n\tmosek.fusion.Expr.ones(array(int32,ndim=1),array(int32,ndim=2))')

    def __repr__(self): return 'mosek.fusion.Expr'
    @staticmethod
    def _ctor__3J_3J_3D_3D_3I_3J(ptrb,subj,cof,bfix,shape,inst):
      o = Expr.__new__(Expr)
      o._ctor_init__3J_3J_3D_3D_3I_3J(ptrb,subj,cof,bfix,shape,inst)
      return o

    @staticmethod
    def __match_ctor__3J_3J_3D_3D_3I_3J(*args):
      if len(args) != 6: return False
      ptrb,subj,cof,bfix,shape,inst, = args
      return (    __arg_match__3J__(ptrb)
              and __arg_match__3J__(subj)
              and __arg_match__3D__(cof)
              and __arg_match__3D__(bfix)
              and __arg_match__3I__(shape)
              and __arg_match__3J__(inst))
    @staticmethod
    def __match_alt_ctor__3J_3J_3D_3D_3I_3J(*args):
      if len(args) != 6: return False
      ptrb,subj,cof,bfix,shape,inst, = args
      return (    __arg_alt_match__3J__(ptrb)
              and __arg_alt_match__3J__(subj)
              and __arg_alt_match__3D__(cof)
              and __arg_alt_match__3D__(bfix)
              and __arg_alt_match__3I__(shape)
              and __arg_alt_match__3J__(inst))
    # Origin: bld/herlev/final/default/src/fusion/Expr.mbi:568:6-609:7
    def _ctor_alt_init__3J_3J_3D_3D_3I_3J(self,ptrb,subj,cof,bfix,shape,inst):
      self._ctor_init__3J_3J_3D_3D_3I_3J(numpy.array(ptrb,dtype=numpy.dtype(numpy.int64)),numpy.array(subj,dtype=numpy.dtype(numpy.int64)),numpy.array(cof,dtype=numpy.dtype(numpy.float64)),numpy.array(bfix,dtype=numpy.dtype(numpy.float64)),numpy.array(shape,dtype=numpy.dtype(numpy.int32)),numpy.array(inst,dtype=numpy.dtype(numpy.int64)))
    def _ctor_init__3J_3J_3D_3D_3I_3J(self,ptrb,subj,cof,bfix,shape,inst):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:575:6-609:7
      mosek_fusion_Expr._ctor_init__3J_3J_3D_3D_3I_3JI(self,mosek.fusion.Utils.Tools._arraycopy__3J(ptrb),mosek.fusion.Utils.Tools._arraycopy__3J(subj),mosek.fusion.Utils.Tools._arraycopy__3D(cof),mosek.fusion.Utils.Tools._arraycopy__3D(bfix),(mosek.fusion.Utils.Tools._arraycopy__3I(shape) if ((shape is not None) ) else numpy.array([(int((ptrb).shape[0]) - 1)], dtype=numpy.dtype(numpy.int32))),(mosek.fusion.Utils.Tools._arraycopy__3J(inst) if ((inst is not None) ) else None),1)# ctor @ bld/herlev/final/default/src/fusion/Expr.mbi:576:8-582:16
      _0_nelem=(int((ptrb).shape[0]) - 1) # bld/herlev/final/default/src/fusion/Expr.mbi:583:12-17
      if (_0_nelem < 0): # bld/herlev/final/default/src/fusion/Expr.mbi:584:12-21
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:585:10-52
        raise mosek_fusion_ExpressionError._ctor_S("Invalid ptrb") # bld/herlev/final/default/src/fusion/Expr.mbi:585:10-52
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:585:10-52
      _1_nnz=ptrb[_0_nelem] # bld/herlev/final/default/src/fusion/Expr.mbi:586:12-15
      if ((_1_nnz < 0) or ((_1_nnz!=int((cof).shape[0])) or (_1_nnz!=int((subj).shape[0])))): # bld/herlev/final/default/src/fusion/Expr.mbi:587:12-58
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:588:10-65
        raise mosek_fusion_ExpressionError._ctor_S("Invalid ptrb construction") # bld/herlev/final/default/src/fusion/Expr.mbi:588:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:588:10-65
      _2_ptrb_ok=True # bld/herlev/final/default/src/fusion/Expr.mbi:589:12-19
      _3_shape_ok=True # bld/herlev/final/default/src/fusion/Expr.mbi:590:12-20
      _4_inst_ok=True # bld/herlev/final/default/src/fusion/Expr.mbi:591:12-19
      _5_thisshape=(self.__shape) # bld/herlev/final/default/src/fusion/Expr.mbi:592:12-21
      _6_sz=mosek.fusion.Set._size__3I(_5_thisshape) # bld/herlev/final/default/src/fusion/Expr.mbi:593:12-14
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:595:8-602:9
      _4_inst_ok,_2_ptrb_ok,_3_shape_ok = fragments._c_closure_559(inst,_4_inst_ok,_0_nelem,ptrb,_2_ptrb_ok,_3_shape_ok,_6_sz,_5_thisshape) # bld/herlev/final/default/src/fusion/Expr.mbi:595:8-602:9
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:595:8-602:9
      if (not _3_shape_ok): # bld/herlev/final/default/src/fusion/Expr.mbi:603:12-24
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:604:10-53
        raise mosek_fusion_ExpressionError._ctor_S("Invalid shape") # bld/herlev/final/default/src/fusion/Expr.mbi:604:10-53
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:604:10-53
      if (not _2_ptrb_ok): # bld/herlev/final/default/src/fusion/Expr.mbi:605:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:606:10-52
        raise mosek_fusion_ExpressionError._ctor_S("Invalid ptrb") # bld/herlev/final/default/src/fusion/Expr.mbi:606:10-52
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:606:10-52
      if (not _4_inst_ok): # bld/herlev/final/default/src/fusion/Expr.mbi:607:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:608:10-64
        raise mosek_fusion_ExpressionError._ctor_S("Invalid sparsity pattern") # bld/herlev/final/default/src/fusion/Expr.mbi:608:10-64
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:608:10-64
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:575:6-609:7
    @staticmethod
    def _ctor__3J_3J_3D_3D_3I_3JI(ptrb,subj,cof,bfix,shp,inst,unchecked_):
      o = Expr.__new__(Expr)
      o._ctor_init__3J_3J_3D_3D_3I_3JI(ptrb,subj,cof,bfix,shp,inst,unchecked_)
      return o

    @staticmethod
    def __match_ctor__3J_3J_3D_3D_3I_3JI(*args):
      if len(args) != 7: return False
      ptrb,subj,cof,bfix,shp,inst,unchecked_, = args
      return (    __arg_match__3J__(ptrb)
              and __arg_match__3J__(subj)
              and __arg_match__3D__(cof)
              and __arg_match__3D__(bfix)
              and __arg_match__3I__(shp)
              and __arg_match__3J__(inst)
              and __arg_match_I__(unchecked_))
    @staticmethod
    def __match_alt_ctor__3J_3J_3D_3D_3I_3JI(*args):
      if len(args) != 7: return False
      ptrb,subj,cof,bfix,shp,inst,unchecked_, = args
      return (    __arg_alt_match__3J__(ptrb)
              and __arg_alt_match__3J__(subj)
              and __arg_alt_match__3D__(cof)
              and __arg_alt_match__3D__(bfix)
              and __arg_alt_match__3I__(shp)
              and __arg_alt_match__3J__(inst)
              and __arg_alt_match_I__(unchecked_))
    # Origin: bld/herlev/final/default/src/fusion/Expr.mbi:504:6-524:7
    def _ctor_alt_init__3J_3J_3D_3D_3I_3JI(self,ptrb,subj,cof,bfix,shp,inst,unchecked_):
      self._ctor_init__3J_3J_3D_3D_3I_3JI(numpy.array(ptrb,dtype=numpy.dtype(numpy.int64)),numpy.array(subj,dtype=numpy.dtype(numpy.int64)),numpy.array(cof,dtype=numpy.dtype(numpy.float64)),numpy.array(bfix,dtype=numpy.dtype(numpy.float64)),numpy.array(shp,dtype=numpy.dtype(numpy.int32)),numpy.array(inst,dtype=numpy.dtype(numpy.int64)),numpy.int32(unchecked_))
    def _ctor_init__3J_3J_3D_3D_3I_3JI(self,ptrb,subj,cof,bfix,shp,inst,unchecked_):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:512:6-524:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,shp)# ctor @ bld/herlev/final/default/src/fusion/Expr.mbi:513:8-19
      (self.__shape) = shp # bld/herlev/final/default/src/fusion/Expr.mbi:514:8-26
      (self.__ptrb) = ptrb # bld/herlev/final/default/src/fusion/Expr.mbi:515:8-27
      (self.__subj) = subj # bld/herlev/final/default/src/fusion/Expr.mbi:516:8-27
      (self.__cof_v) = cof # bld/herlev/final/default/src/fusion/Expr.mbi:517:8-26
      (self.__bfix) = bfix # bld/herlev/final/default/src/fusion/Expr.mbi:519:8-27
      (self.__inst) = inst # bld/herlev/final/default/src/fusion/Expr.mbi:521:8-25
      if ((self.__shape) is None): # bld/herlev/final/default/src/fusion/Expr.mbi:522:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:523:10-60
        raise mosek_fusion_UnexpectedError._ctor_S("Internal: NULL shape") # bld/herlev/final/default/src/fusion/Expr.mbi:523:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:523:10-60
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:512:6-524:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Expression_2(e):
      o = Expr.__new__(Expr)
      o._ctor_init_Lmosek_4fusion_4Expression_2(e)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      e, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(e))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(e))
    # Origin: bld/herlev/final/default/src/fusion/Expr.mbi:380:6-426:7
    def _ctor_alt_init_Lmosek_4fusion_4Expression_2(self,e):
      self._ctor_init_Lmosek_4fusion_4Expression_2(e)
    def _ctor_init_Lmosek_4fusion_4Expression_2(self,e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:383:6-426:7
      mosek_fusion_BaseExpression._ctor_init__3I(self,e._getShape_())# ctor @ bld/herlev/final/default/src/fusion/Expr.mbi:384:8-28
      _1_typecase=e # bld/herlev/final/default/src/fusion/Expr.mbi:386:18-19
      if   isinstance(_1_typecase,mosek_fusion_Expr):
        ee=_1_typecase
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:388:8-396:9
        self.__shape = (ee.__shape) # bld/herlev/final/default/src/fusion/Expr.mbi:389:10-28
        self.__ptrb = (ee.__ptrb) # bld/herlev/final/default/src/fusion/Expr.mbi:391:10-27
        self.__subj = (ee.__subj) # bld/herlev/final/default/src/fusion/Expr.mbi:392:10-27
        self.__cof_v = (ee.__cof_v) # bld/herlev/final/default/src/fusion/Expr.mbi:393:10-28
        self.__bfix = (ee.__bfix) # bld/herlev/final/default/src/fusion/Expr.mbi:394:10-27
        self.__inst = (ee.__inst) # bld/herlev/final/default/src/fusion/Expr.mbi:395:10-27
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:388:8-396:9
      else:
        ee=_1_typecase
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:398:8-423:9
        _1_xs=mosek_fusion_WorkStack._ctor_() # bld/herlev/final/default/src/fusion/Expr.mbi:399:58-60
        _2_ws=mosek_fusion_WorkStack._ctor_() # bld/herlev/final/default/src/fusion/Expr.mbi:399:36-38
        _3_rs=mosek_fusion_WorkStack._ctor_() # bld/herlev/final/default/src/fusion/Expr.mbi:399:14-16
        ee._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_3_rs,_2_ws,_1_xs) # bld/herlev/final/default/src/fusion/Expr.mbi:400:10-28
        _4_nd=_3_rs._popi32_() # bld/herlev/final/default/src/fusion/Expr.mbi:402:14-16
        _5_shape_base=_3_rs._popi32_I(_4_nd) # bld/herlev/final/default/src/fusion/Expr.mbi:403:14-24
        _6_nelem=_3_rs._popi32_() # bld/herlev/final/default/src/fusion/Expr.mbi:404:14-19
        _7_nnz=_3_rs._popi32_() # bld/herlev/final/default/src/fusion/Expr.mbi:405:14-17
        _8_hassp=(_3_rs._popi32_()!=0) # bld/herlev/final/default/src/fusion/Expr.mbi:406:14-19
        _9_ptr_base=_3_rs._popi32_I((_6_nelem + 1)) # bld/herlev/final/default/src/fusion/Expr.mbi:407:14-22
        _10_sp_base=(_3_rs._popi64_I(_6_nelem) if (_8_hassp ) else 0) # bld/herlev/final/default/src/fusion/Expr.mbi:408:14-21
        _11_nidxs_base=_3_rs._popi64_I(_7_nnz) # bld/herlev/final/default/src/fusion/Expr.mbi:409:14-24
        _12_bfix_base=_3_rs._popf64_I(_6_nelem) # bld/herlev/final/default/src/fusion/Expr.mbi:410:14-23
        _13_cof_base=_3_rs._popf64_I(_7_nnz) # bld/herlev/final/default/src/fusion/Expr.mbi:411:14-22
        _14_ri32=(_3_rs.i32) # bld/herlev/final/default/src/fusion/Expr.mbi:413:14-18
        _15_ri64=(_3_rs.i64) # bld/herlev/final/default/src/fusion/Expr.mbi:414:14-18
        _16_rf64=(_3_rs.f64) # bld/herlev/final/default/src/fusion/Expr.mbi:415:14-18
        self.__shape = numpy.array([_14_ri32[(_5_shape_base + _17_i)] for _17_i in range(0,_4_nd)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:417:10-60
        self.__ptrb = numpy.array([_14_ri32[(_9_ptr_base + _18_i)] for _18_i in range(0,(_6_nelem + 1))], dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:418:10-69
        self.__subj = numpy.array([_15_ri64[(_11_nidxs_base + _19_i)] for _19_i in range(0,_7_nnz)], dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:419:10-61
        self.__cof_v = numpy.array([_16_rf64[(_13_cof_base + _20_i)] for _20_i in range(0,_7_nnz)], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:420:10-59
        self.__bfix = numpy.array([_16_rf64[(_12_bfix_base + _21_i)] for _21_i in range(0,_7_nnz)], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:421:10-60
        self.__inst = (numpy.array([_15_ri64[(_10_sp_base + _22_i)] for _22_i in range(0,_7_nnz)], dtype=numpy.dtype(numpy.int64)) if (_8_hassp ) else None) # bld/herlev/final/default/src/fusion/Expr.mbi:422:10-79
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:398:8-423:9
      if (self.__shape is None): # bld/herlev/final/default/src/fusion/Expr.mbi:424:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:425:10-60
        raise mosek_fusion_UnexpectedError._ctor_S("Internal: NULL shape") # bld/herlev/final/default/src/fusion/Expr.mbi:425:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:425:10-60
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:383:6-426:7
    def __prod_alt__3I(self,_t__0_vals):
      _0_vals=numpy.array(_t__0_vals,dtype=numpy.dtype(numpy.int32))
      _1 = self.__prod__3I(_0_vals)
      try:
        _t__0_vals[:] = _0_vals
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def __prod__3I(self,_0_vals):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1777:45-110
      _1_r=1 # bld/herlev/final/default/src/fusion/Expr.mbi:1777:51-52
      _1_r = fragments._c_closure_560(_1_r,_0_vals) # bld/herlev/final/default/src/fusion/Expr.mbi:1777:58-98
      _1_r = numpy.int32(_1_r) # postprocess
      return numpy.int32(_1_r) # bld/herlev/final/default/src/fusion/Expr.mbi:1777:99-108
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1777:45-110
    @staticmethod
    def __varstack_alt__3_3Lmosek_4fusion_4Variable_2(_t__0_vs):
      _0_vs=_monty.makeJaggedArray(_t__0_vs,(1,1),numpy.dtype(object))
      _1 = mosek_fusion_Expr.__varstack__3_3Lmosek_4fusion_4Variable_2(_0_vs)
      try:
        _t__0_vs[:] = _0_vs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __varstack__3_3Lmosek_4fusion_4Variable_2(_0_vs):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1773:6-1775:7
      return (numpy.array([_0_vs[_1_i][_2_j] for _1_i in range(0,int((_0_vs).shape[0])) for _2_j in range(0,int((_0_vs[_1_i]).shape[0]))], dtype=numpy.dtype(object))) # bld/herlev/final/default/src/fusion/Expr.mbi:1774:8-72
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1773:6-1775:7
    @staticmethod
    def __varstack_alt__3Lmosek_4fusion_4Variable_2_3Lmosek_4fusion_4Variable_2(_t__0_v1,_t__1_v2):
      _0_v1=numpy.array(_t__0_v1,dtype=numpy.dtype(object))
      _1_v2=numpy.array(_t__1_v2,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Expr.__varstack__3Lmosek_4fusion_4Variable_2_3Lmosek_4fusion_4Variable_2(_0_v1,_1_v2)
      try:
        _t__0_v1[:] = _0_v1
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_v2[:] = _1_v2
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __varstack__3Lmosek_4fusion_4Variable_2_3Lmosek_4fusion_4Variable_2(_0_v1,_1_v2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1760:6-1770:7
      if (_0_v1 is None): # bld/herlev/final/default/src/fusion/Expr.mbi:1761:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1761:24-34
        return (_1_v2) # bld/herlev/final/default/src/fusion/Expr.mbi:1761:24-34
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1761:24-34
      elif (_1_v2 is None): # bld/herlev/final/default/src/fusion/Expr.mbi:1762:16-26
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1762:28-38
        return (_0_v1) # bld/herlev/final/default/src/fusion/Expr.mbi:1762:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1762:28-38
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1764:8-1769:9
        _2_r=numpy.ndarray(((int((_0_v1).shape[0]) + int((_1_v2).shape[0])),), dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Expr.mbi:1765:14-15
        for _3_i in range(0,int((_0_v1).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:1766:10-48
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1766:35-48
          _2_r[_3_i] = _0_v1[_3_i] # bld/herlev/final/default/src/fusion/Expr.mbi:1766:35-48
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1766:35-48
        for _4_i in range(0,int((_1_v2).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:1767:10-56
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1767:35-56
          _2_r[(_4_i + int((_0_v1).shape[0]))] = _1_v2[_4_i] # bld/herlev/final/default/src/fusion/Expr.mbi:1767:35-56
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1767:35-56
        return (_2_r) # bld/herlev/final/default/src/fusion/Expr.mbi:1768:10-19
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1764:8-1769:9
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1760:6-1770:7
    @staticmethod
    def _match_condense_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_e, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e))
    @staticmethod
    def _match_alt_condense_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e))
    @staticmethod
    def _condense_alt_Lmosek_4fusion_4Expression_2(_t__0_e):
      return mosek_fusion_Expr._condense_Lmosek_4fusion_4Expression_2(_0_e)
    @staticmethod
    def _condense_Lmosek_4fusion_4Expression_2(_0_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1756:62-93
      return (mosek_fusion_ExprCondense._ctor_Lmosek_4fusion_4Expression_2(_0_e)) # bld/herlev/final/default/src/fusion/Expr.mbi:1756:64-91
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1756:62-93
    @staticmethod
    def _match_flatten_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_e, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e))
    @staticmethod
    def _match_alt_flatten_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e))
    @staticmethod
    def _flatten_alt_Lmosek_4fusion_4Expression_2(_t__0_e):
      return mosek_fusion_Expr._flatten_Lmosek_4fusion_4Expression_2(_0_e)
    @staticmethod
    def _flatten_Lmosek_4fusion_4Expression_2(_0_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1744:6-1751:7
      if (_0_e is None): # bld/herlev/final/default/src/fusion/Expr.mbi:1745:12-21
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1745:23-95
        raise ValueError("Arguments for flatten may not be null") # bld/herlev/final/default/src/fusion/Expr.mbi:1745:23-95
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1745:23-95
      _1_sz=_0_e._getSize_() # bld/herlev/final/default/src/fusion/Expr.mbi:1746:12-14
      if (not (_1_sz <= 2147483647)): # bld/herlev/final/default/src/fusion/Expr.mbi:1747:12-34
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1748:10-67
        raise mosek_fusion_LengthError._ctor_S("Maximum dimension size exceeded") # bld/herlev/final/default/src/fusion/Expr.mbi:1748:10-67
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1748:10-67
      return (mosek.fusion.Expr._reshape_Lmosek_4fusion_4Expression_2I(_0_e,numpy.int32(_1_sz))) # bld/herlev/final/default/src/fusion/Expr.mbi:1750:8-36
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1744:6-1751:7
    @staticmethod
    def _match_reshape_Lmosek_4fusion_4Expression_2II(*args):
      if len(args) != 3: return False
      _0_e,_1_dimi,_2_dimj, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_match_I__(_1_dimi)
              and __arg_match_I__(_2_dimj))
    @staticmethod
    def _match_alt_reshape_Lmosek_4fusion_4Expression_2II(*args):
      if len(args) != 3: return False
      _0_e,_1_dimi,_2_dimj, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_alt_match_I__(_1_dimi)
              and __arg_alt_match_I__(_2_dimj))
    @staticmethod
    def _reshape_alt_Lmosek_4fusion_4Expression_2II(_t__0_e,_t__1_dimi,_t__2_dimj):
      return mosek_fusion_Expr._reshape_Lmosek_4fusion_4Expression_2II(_0_e,numpy.int32(__1_dimi),numpy.int32(__2_dimj))
    @staticmethod
    def _reshape_Lmosek_4fusion_4Expression_2II(_0_e,_1_dimi,_2_dimj):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1735:6-1738:7
      if (_0_e is None): # bld/herlev/final/default/src/fusion/Expr.mbi:1736:12-21
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1736:23-95
        raise ValueError("Arguments for reshape may not be null") # bld/herlev/final/default/src/fusion/Expr.mbi:1736:23-95
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1736:23-95
      return (mosek.fusion.Expr._reshape_Lmosek_4fusion_4Expression_2_3I(_0_e,mosek.fusion.Set._make_II(_1_dimi,_2_dimj))) # bld/herlev/final/default/src/fusion/Expr.mbi:1737:8-46
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1735:6-1738:7
    @staticmethod
    def _match_reshape_Lmosek_4fusion_4Expression_2I(*args):
      if len(args) != 2: return False
      _0_e,_1_size, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_match_I__(_1_size))
    @staticmethod
    def _match_alt_reshape_Lmosek_4fusion_4Expression_2I(*args):
      if len(args) != 2: return False
      _0_e,_1_size, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_alt_match_I__(_1_size))
    @staticmethod
    def _reshape_alt_Lmosek_4fusion_4Expression_2I(_t__0_e,_t__1_size):
      return mosek_fusion_Expr._reshape_Lmosek_4fusion_4Expression_2I(_0_e,numpy.int32(__1_size))
    @staticmethod
    def _reshape_Lmosek_4fusion_4Expression_2I(_0_e,_1_size):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1725:6-1728:7
      if (_0_e is None): # bld/herlev/final/default/src/fusion/Expr.mbi:1726:12-21
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1726:23-95
        raise ValueError("Arguments for reshape may not be null") # bld/herlev/final/default/src/fusion/Expr.mbi:1726:23-95
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1726:23-95
      return (mosek.fusion.Expr._reshape_Lmosek_4fusion_4Expression_2_3I(_0_e,mosek.fusion.Set._make_I(_1_size))) # bld/herlev/final/default/src/fusion/Expr.mbi:1727:8-41
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1725:6-1728:7
    @staticmethod
    def _match_reshape_Lmosek_4fusion_4Expression_2_3I(*args):
      if len(args) != 2: return False
      _0_e,_1_newshape, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_match__3I__(_1_newshape))
    @staticmethod
    def _match_alt_reshape_Lmosek_4fusion_4Expression_2_3I(*args):
      if len(args) != 2: return False
      _0_e,_1_newshape, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_alt_match__3I__(_1_newshape))
    @staticmethod
    def _reshape_alt_Lmosek_4fusion_4Expression_2_3I(_t__0_e,_t__1_newshape):
      _0_e=_t__0_e
      _1_newshape=numpy.array(_t__1_newshape,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Expr._reshape_Lmosek_4fusion_4Expression_2_3I(_0_e,_1_newshape)
      try:
        _t__1_newshape[:] = _1_newshape
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _reshape_Lmosek_4fusion_4Expression_2_3I(_0_e,_1_newshape):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1723:78-118
      return (mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(_1_newshape,_0_e)) # bld/herlev/final/default/src/fusion/Expr.mbi:1723:80-116
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1723:78-118
    @staticmethod
    def _match_zeros__3I(*args):
      if len(args) != 1: return False
      _0_shp, = args
      return (    __arg_match__3I__(_0_shp))
    @staticmethod
    def _match_alt_zeros__3I(*args):
      if len(args) != 1: return False
      _0_shp, = args
      return (    __arg_alt_match__3I__(_0_shp))
    @staticmethod
    def _zeros_alt__3I(_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Expr._zeros__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _zeros__3I(_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1709:60-87
      return (mosek.fusion.Expr._constTerm__3ID(_0_shp,0)) # bld/herlev/final/default/src/fusion/Expr.mbi:1709:62-86
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1709:60-87
    @staticmethod
    def _match_zeros_I(*args):
      if len(args) != 1: return False
      _0_size, = args
      return (    __arg_match_I__(_0_size))
    @staticmethod
    def _match_alt_zeros_I(*args):
      if len(args) != 1: return False
      _0_size, = args
      return (    __arg_alt_match_I__(_0_size))
    @staticmethod
    def _zeros_alt_I(_t__0_size):
      return mosek_fusion_Expr._zeros_I(numpy.int32(__0_size))
    @staticmethod
    def _zeros_I(_0_size):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1708:59-87
      return (mosek.fusion.Expr._constTerm_ID(_0_size,0)) # bld/herlev/final/default/src/fusion/Expr.mbi:1708:61-86
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1708:59-87
    @staticmethod
    def _match_ones_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_ones_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _ones_alt_():
      return mosek_fusion_Expr._ones_()
    @staticmethod
    def _ones_():
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1706:46-70
      return (mosek.fusion.Expr._constTerm_D(1)) # bld/herlev/final/default/src/fusion/Expr.mbi:1706:48-68
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1706:46-70
    @staticmethod
    def _match_ones__3I_3_5I(*args):
      if len(args) != 2: return False
      _0_shp,_1_sparsity, = args
      return (    __arg_match__3I__(_0_shp)
              and __arg_match__3_5I__(_1_sparsity))
    @staticmethod
    def _match_alt_ones__3I_3_5I(*args):
      if len(args) != 2: return False
      _0_shp,_1_sparsity, = args
      return (    __arg_alt_match__3I__(_0_shp)
              and __arg_alt_match__3_5I__(_1_sparsity))
    @staticmethod
    def _ones_alt__3I_3_5I(_t__0_shp,_t__1_sparsity):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1_sparsity=numpy.array(_t__1_sparsity,ndmin=_monty.checkShape(_t__1_sparsity,2),dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Expr._ones__3I_3_5I(_0_shp,_1_sparsity)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _ones__3I_3_5I(_0_shp,_1_sparsity):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1705:76-113
      return (mosek.fusion.Expr._constTerm__3I_3_5ID(_0_shp,_1_sparsity,1)) # bld/herlev/final/default/src/fusion/Expr.mbi:1705:78-111
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1705:76-113
    @staticmethod
    def _match_ones__3I(*args):
      if len(args) != 1: return False
      _0_shp, = args
      return (    __arg_match__3I__(_0_shp))
    @staticmethod
    def _match_alt_ones__3I(*args):
      if len(args) != 1: return False
      _0_shp, = args
      return (    __arg_alt_match__3I__(_0_shp))
    @staticmethod
    def _ones_alt__3I(_t__0_shp):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1 = mosek_fusion_Expr._ones__3I(_0_shp)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _ones__3I(_0_shp):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1704:59-87
      return (mosek.fusion.Expr._constTerm__3ID(_0_shp,1)) # bld/herlev/final/default/src/fusion/Expr.mbi:1704:61-85
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1704:59-87
    @staticmethod
    def _match_ones_I(*args):
      if len(args) != 1: return False
      _0_size, = args
      return (    __arg_match_I__(_0_size))
    @staticmethod
    def _match_alt_ones_I(*args):
      if len(args) != 1: return False
      _0_size, = args
      return (    __arg_alt_match_I__(_0_size))
    @staticmethod
    def _ones_alt_I(_t__0_size):
      return mosek_fusion_Expr._ones_I(numpy.int32(__0_size))
    @staticmethod
    def _ones_I(_0_size):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1703:58-87
      return (mosek.fusion.Expr._constTerm_ID(_0_size,1)) # bld/herlev/final/default/src/fusion/Expr.mbi:1703:60-85
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1703:58-87
    @staticmethod
    def _match_constTerm_Lmosek_4fusion_4NDSparseArray_2(*args):
      if len(args) != 1: return False
      _0_nda, = args
      return (    __arg_match_Lmosek_4fusion_4NDSparseArray_2__(_0_nda))
    @staticmethod
    def _match_alt_constTerm_Lmosek_4fusion_4NDSparseArray_2(*args):
      if len(args) != 1: return False
      _0_nda, = args
      return (    __arg_alt_match_Lmosek_4fusion_4NDSparseArray_2__(_0_nda))
    @staticmethod
    def _constTerm_alt_Lmosek_4fusion_4NDSparseArray_2(_t__0_nda):
      return mosek_fusion_Expr._constTerm_Lmosek_4fusion_4NDSparseArray_2(_0_nda)
    @staticmethod
    def _constTerm_Lmosek_4fusion_4NDSparseArray_2(_0_nda):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1698:6-1700:7
      return (mosek_fusion_ExprConst._ctor__3I_3J_3D((_0_nda._dims),(_0_nda._inst),(_0_nda._cof))) # bld/herlev/final/default/src/fusion/Expr.mbi:1699:8-58
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1698:6-1700:7
    @staticmethod
    def _match_constTerm_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_m))
    @staticmethod
    def _match_alt_constTerm_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_m))
    @staticmethod
    def _constTerm_alt_Lmosek_4fusion_4Matrix_2(_t__0_m):
      return mosek_fusion_Expr._constTerm_Lmosek_4fusion_4Matrix_2(_0_m)
    @staticmethod
    def _constTerm_Lmosek_4fusion_4Matrix_2(_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1677:6-1695:7
      _1_dim0=_0_m._numRows_() # bld/herlev/final/default/src/fusion/Expr.mbi:1678:12-16
      _2_dim1=_0_m._numColumns_() # bld/herlev/final/default/src/fusion/Expr.mbi:1679:12-16
      _3_shape=mosek.fusion.Set._make_II(_1_dim0,_2_dim1) # bld/herlev/final/default/src/fusion/Expr.mbi:1681:12-17
      if _0_m._isSparse_(): # bld/herlev/final/default/src/fusion/Expr.mbi:1683:12-24
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1683:26-1691:9
        _4_mval=numpy.zeros((_0_m._numNonzeros_(),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1686:14-18
        _5_msubj=numpy.zeros((_0_m._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1685:14-19
        _6_msubi=numpy.zeros((_0_m._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1684:14-19
        _0_m._getDataAsTriplets__3I_3I_3D(_6_msubi,_5_msubj,_4_mval) # bld/herlev/final/default/src/fusion/Expr.mbi:1687:10-48
        _7_sp=numpy.array([((_6_msubi[_8_i] * _2_dim1) + _5_msubj[_8_i]) for _8_i in range(0,int((_5_msubj).shape[0]))], dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1689:14-16
        return (mosek_fusion_ExprConst._ctor__3I_3J_3D(_3_shape,_7_sp,_4_mval)) # bld/herlev/final/default/src/fusion/Expr.mbi:1690:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1683:26-1691:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1692:13-1694:9
        return (mosek_fusion_ExprConst._ctor__3I_3J_3D(_3_shape,None,_0_m._getDataAsArray_())) # bld/herlev/final/default/src/fusion/Expr.mbi:1693:10-64
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1692:13-1694:9
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1677:6-1695:7
    @staticmethod
    def _match_constTerm_D(*args):
      if len(args) != 1: return False
      _0_val, = args
      return (    __arg_match_D__(_0_val))
    @staticmethod
    def _match_alt_constTerm_D(*args):
      if len(args) != 1: return False
      _0_val, = args
      return (    __arg_alt_match_D__(_0_val))
    @staticmethod
    def _constTerm_alt_D(_t__0_val):
      return mosek_fusion_Expr._constTerm_D(numpy.float64(__0_val))
    @staticmethod
    def _constTerm_D(_0_val):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1672:6-1674:7
      return (mosek_fusion_ExprConst._ctor__3I_3JD(numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)),None,_0_val)) # bld/herlev/final/default/src/fusion/Expr.mbi:1673:8-53
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1672:6-1674:7
    @staticmethod
    def _match_constTerm__3I_3_5ID(*args):
      if len(args) != 3: return False
      _0_shp,_1_sparsity,_2_val, = args
      return (    __arg_match__3I__(_0_shp)
              and __arg_match__3_5I__(_1_sparsity)
              and __arg_match_D__(_2_val))
    @staticmethod
    def _match_alt_constTerm__3I_3_5ID(*args):
      if len(args) != 3: return False
      _0_shp,_1_sparsity,_2_val, = args
      return (    __arg_alt_match__3I__(_0_shp)
              and __arg_alt_match__3_5I__(_1_sparsity)
              and __arg_alt_match_D__(_2_val))
    @staticmethod
    def _constTerm_alt__3I_3_5ID(_t__0_shp,_t__1_sparsity,_t__2_val):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1_sparsity=numpy.array(_t__1_sparsity,ndmin=_monty.checkShape(_t__1_sparsity,2),dtype=numpy.dtype(numpy.int32))
      _2_val=numpy.float64(_t__2_val)
      _1 = mosek_fusion_Expr._constTerm__3I_3_5ID(_0_shp,_1_sparsity,_2_val)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _constTerm__3I_3_5ID(_0_shp,_1_sparsity,_2_val):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1661:6-1669:7
      _3_n=int((_1_sparsity).shape[0]) # bld/herlev/final/default/src/fusion/Expr.mbi:1662:27-28
      _4_nd=int((_0_shp).shape[0]) # bld/herlev/final/default/src/fusion/Expr.mbi:1662:12-14
      _5_sp=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1663:12-14
      _6_s=numpy.zeros((_4_nd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1664:12-13
      _6_s[(_4_nd - 1)] = 1 # bld/herlev/final/default/src/fusion/Expr.mbi:1664:30-42
      fragments._c_closure_561(_4_nd,_6_s,_0_shp) # bld/herlev/final/default/src/fusion/Expr.mbi:1664:43-93
      fragments._c_closure_562(_3_n,_4_nd,_6_s,_5_sp,_1_sparsity) # bld/herlev/final/default/src/fusion/Expr.mbi:1665:8-1667:42
      return (mosek_fusion_ExprConst._ctor__3I_3JD(_0_shp,_5_sp,_2_val)) # bld/herlev/final/default/src/fusion/Expr.mbi:1668:8-42
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1661:6-1669:7
    @staticmethod
    def _match_constTerm__3I_3_5I_3D(*args):
      if len(args) != 3: return False
      _0_shp,_1_sparsity,_2_vals1, = args
      return (    __arg_match__3I__(_0_shp)
              and __arg_match__3_5I__(_1_sparsity)
              and __arg_match__3D__(_2_vals1))
    @staticmethod
    def _match_alt_constTerm__3I_3_5I_3D(*args):
      if len(args) != 3: return False
      _0_shp,_1_sparsity,_2_vals1, = args
      return (    __arg_alt_match__3I__(_0_shp)
              and __arg_alt_match__3_5I__(_1_sparsity)
              and __arg_alt_match__3D__(_2_vals1))
    @staticmethod
    def _constTerm_alt__3I_3_5I_3D(_t__0_shp,_t__1_sparsity,_t__2_vals1):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1_sparsity=numpy.array(_t__1_sparsity,ndmin=_monty.checkShape(_t__1_sparsity,2),dtype=numpy.dtype(numpy.int32))
      _2_vals1=numpy.array(_t__2_vals1,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._constTerm__3I_3_5I_3D(_0_shp,_1_sparsity,_2_vals1)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_vals1[:] = _2_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _constTerm__3I_3_5I_3D(_0_shp,_1_sparsity,_2_vals1):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1650:6-1659:7
      _3_n=int((_1_sparsity).shape[0]) # bld/herlev/final/default/src/fusion/Expr.mbi:1651:27-28
      _4_nd=int((_0_shp).shape[0]) # bld/herlev/final/default/src/fusion/Expr.mbi:1651:12-14
      _5_sp=numpy.zeros((_3_n,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1652:12-14
      _6_s=numpy.zeros((_4_nd,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1653:12-13
      _6_s[(_4_nd - 1)] = 1 # bld/herlev/final/default/src/fusion/Expr.mbi:1653:30-42
      fragments._c_closure_563(_4_nd,_6_s,_0_shp) # bld/herlev/final/default/src/fusion/Expr.mbi:1653:43-93
      fragments._c_closure_564(_3_n,_4_nd,_6_s,_5_sp,_1_sparsity) # bld/herlev/final/default/src/fusion/Expr.mbi:1654:8-1656:42
      return (mosek_fusion_ExprConst._ctor__3I_3J_3D(_0_shp,_5_sp,_2_vals1)) # bld/herlev/final/default/src/fusion/Expr.mbi:1658:8-44
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1650:6-1659:7
    @staticmethod
    def _match_constTerm__3ID(*args):
      if len(args) != 2: return False
      _0_shp,_1_val, = args
      return (    __arg_match__3I__(_0_shp)
              and __arg_match_D__(_1_val))
    @staticmethod
    def _match_alt_constTerm__3ID(*args):
      if len(args) != 2: return False
      _0_shp,_1_val, = args
      return (    __arg_alt_match__3I__(_0_shp)
              and __arg_alt_match_D__(_1_val))
    @staticmethod
    def _constTerm_alt__3ID(_t__0_shp,_t__1_val):
      _0_shp=numpy.array(_t__0_shp,dtype=numpy.dtype(numpy.int32))
      _1_val=numpy.float64(_t__1_val)
      _1 = mosek_fusion_Expr._constTerm__3ID(_0_shp,_1_val)
      try:
        _t__0_shp[:] = _0_shp
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _constTerm__3ID(_0_shp,_1_val):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1645:6-1647:7
      return (mosek_fusion_ExprConst._ctor__3I_3JD(_0_shp,None,_1_val)) # bld/herlev/final/default/src/fusion/Expr.mbi:1646:8-44
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1645:6-1647:7
    @staticmethod
    def _match_constTerm_ID(*args):
      if len(args) != 2: return False
      _0_size,_1_val, = args
      return (    __arg_match_I__(_0_size)
              and __arg_match_D__(_1_val))
    @staticmethod
    def _match_alt_constTerm_ID(*args):
      if len(args) != 2: return False
      _0_size,_1_val, = args
      return (    __arg_alt_match_I__(_0_size)
              and __arg_alt_match_D__(_1_val))
    @staticmethod
    def _constTerm_alt_ID(_t__0_size,_t__1_val):
      return mosek_fusion_Expr._constTerm_ID(numpy.int32(__0_size),numpy.float64(__1_val))
    @staticmethod
    def _constTerm_ID(_0_size,_1_val):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1640:75-1642:7
      return (mosek_fusion_ExprConst._ctor__3I_3J_3D(numpy.array([_0_size], dtype=numpy.dtype(numpy.int32)),None,numpy.array([_1_val for _2_i in range(0,_0_size)], dtype=numpy.dtype(numpy.float64)))) # bld/herlev/final/default/src/fusion/Expr.mbi:1641:8-77
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1640:75-1642:7
    @staticmethod
    def _match_constTerm__3_5D(*args):
      if len(args) != 1: return False
      _0_vals2, = args
      return (    __arg_match__3_5D__(_0_vals2))
    @staticmethod
    def _match_alt_constTerm__3_5D(*args):
      if len(args) != 1: return False
      _0_vals2, = args
      return (    __arg_alt_match__3_5D__(_0_vals2))
    @staticmethod
    def _constTerm_alt__3_5D(_t__0_vals2):
      _0_vals2=numpy.array(_t__0_vals2,ndmin=_monty.checkShape(_t__0_vals2,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._constTerm__3_5D(_0_vals2)
      return _1
    @staticmethod
    def _constTerm__3_5D(_0_vals2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1633:68-1635:7
      return (mosek_fusion_ExprConst._ctor__3I_3J_3D(numpy.array([int((_0_vals2).shape[0]),int((_0_vals2).shape[1])], dtype=numpy.dtype(numpy.int32)),None,numpy.array([_0_vals2[_1_i,_2_j] for _1_i in range(0,int((_0_vals2).shape[0])) for _2_j in range(0,int((_0_vals2).shape[1]))], dtype=numpy.dtype(numpy.float64)))) # bld/herlev/final/default/src/fusion/Expr.mbi:1634:8-134
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1633:68-1635:7
    @staticmethod
    def _match_constTerm__3D(*args):
      if len(args) != 1: return False
      _0_vals1, = args
      return (    __arg_match__3D__(_0_vals1))
    @staticmethod
    def _match_alt_constTerm__3D(*args):
      if len(args) != 1: return False
      _0_vals1, = args
      return (    __arg_alt_match__3D__(_0_vals1))
    @staticmethod
    def _constTerm_alt__3D(_t__0_vals1):
      _0_vals1=numpy.array(_t__0_vals1,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._constTerm__3D(_0_vals1)
      try:
        _t__0_vals1[:] = _0_vals1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _constTerm__3D(_0_vals1):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1626:67-1628:7
      return (mosek_fusion_ExprConst._ctor__3I_3J_3D(numpy.array([int((_0_vals1).shape[0])], dtype=numpy.dtype(numpy.int32)),None,_0_vals1)) # bld/herlev/final/default/src/fusion/Expr.mbi:1627:8-62
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1626:67-1628:7
    @staticmethod
    def _match_sum_Lmosek_4fusion_4Expression_2I(*args):
      if len(args) != 2: return False
      _0_expr,_1_dim, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_I__(_1_dim))
    @staticmethod
    def _match_alt_sum_Lmosek_4fusion_4Expression_2I(*args):
      if len(args) != 2: return False
      _0_expr,_1_dim, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_I__(_1_dim))
    @staticmethod
    def _sum_alt_Lmosek_4fusion_4Expression_2I(_t__0_expr,_t__1_dim):
      return mosek_fusion_Expr._sum_Lmosek_4fusion_4Expression_2I(_0_expr,numpy.int32(__1_dim))
    @staticmethod
    def _sum_Lmosek_4fusion_4Expression_2I(_0_expr,_1_dim):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1611:71-110
      return (mosek_fusion_ExprSumReduce._ctor_ILmosek_4fusion_4Expression_2(_1_dim,_0_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1611:73-108
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1611:71-110
    @staticmethod
    def _match_sum_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_expr, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr))
    @staticmethod
    def _match_alt_sum_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_expr, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr))
    @staticmethod
    def _sum_alt_Lmosek_4fusion_4Expression_2(_t__0_expr):
      return mosek_fusion_Expr._sum_Lmosek_4fusion_4Expression_2(_0_expr)
    @staticmethod
    def _sum_Lmosek_4fusion_4Expression_2(_0_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1610:71-117
      return (mosek_fusion_ExprSumReduce._ctor_ILmosek_4fusion_4Expression_2(0,mosek.fusion.Expr._flatten_Lmosek_4fusion_4Expression_2(_0_expr))) # bld/herlev/final/default/src/fusion/Expr.mbi:1610:73-115
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1610:71-117
    @staticmethod
    def _match_neg_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_e, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e))
    @staticmethod
    def _match_alt_neg_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e))
    @staticmethod
    def _neg_alt_Lmosek_4fusion_4Expression_2(_t__0_e):
      return mosek_fusion_Expr._neg_Lmosek_4fusion_4Expression_2(_0_e)
    @staticmethod
    def _neg_Lmosek_4fusion_4Expression_2(_0_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1609:57-98
      return (mosek_fusion_ExprMulScalarConst._ctor_DLmosek_4fusion_4Expression_2((- 1),_0_e)) # bld/herlev/final/default/src/fusion/Expr.mbi:1609:59-96
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1609:57-98
    @staticmethod
    def __mulDiag_alt_ZLmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_t__0_left,_t__1_mx,_t__2_expr):
      return mosek_fusion_Expr.__mulDiag_ZLmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_left,_1_mx,_2_expr)
    @staticmethod
    def __mulDiag_ZLmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_left,_1_mx,_2_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1594:91-1607:7
      _3_nnz=_1_mx._numNonzeros_() # bld/herlev/final/default/src/fusion/Expr.mbi:1595:12-15
      _4_dimi=_1_mx._numRows_() # bld/herlev/final/default/src/fusion/Expr.mbi:1596:12-16
      _5_dimj=_1_mx._numColumns_() # bld/herlev/final/default/src/fusion/Expr.mbi:1597:12-16
      _6_mcof=numpy.zeros((_3_nnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1600:12-16
      _7_msubj=numpy.zeros((_3_nnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1599:12-17
      _8_msubi=numpy.zeros((_3_nnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1598:12-17
      _1_mx._getDataAsTriplets__3I_3I_3D(_8_msubi,_7_msubj,_6_mcof) # bld/herlev/final/default/src/fusion/Expr.mbi:1601:8-47
      if _0_left: # bld/herlev/final/default/src/fusion/Expr.mbi:1603:12-16
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1604:10-70
        return (mosek_fusion_ExprMulDiagLeft._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(_4_dimi,_5_dimj,_8_msubi,_7_msubj,_6_mcof,_2_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1604:10-70
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1604:10-70
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1606:10-71
        return (mosek_fusion_ExprMulDiagRight._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(_4_dimi,_5_dimj,_8_msubi,_7_msubj,_6_mcof,_2_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1606:10-71
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1606:10-71
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1594:91-1607:7
    @staticmethod
    def _match_mulDiag_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_v,_1_p, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_1_p))
    @staticmethod
    def _match_alt_mulDiag_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_v,_1_p, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_1_p))
    @staticmethod
    def _mulDiag_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Parameter_2(_t__0_v,_t__1_p):
      return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Parameter_2(_0_v,_1_p)
    @staticmethod
    def _mulDiag_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Parameter_2(_0_v,_1_p):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1591:89-140
      return (mosek_fusion_ExprMulParamDiagRight._ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_0_v._asExpr_(),_1_p)) # bld/herlev/final/default/src/fusion/Expr.mbi:1591:91-138
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1591:89-140
    @staticmethod
    def _match_mulDiag_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_p,_1_v, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(_0_p)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_v))
    @staticmethod
    def _match_alt_mulDiag_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_p,_1_v, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_0_p)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_v))
    @staticmethod
    def _mulDiag_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Variable_2(_t__0_p,_t__1_v):
      return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Variable_2(_0_p,_1_v)
    @staticmethod
    def _mulDiag_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Variable_2(_0_p,_1_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1590:89-139
      return (mosek_fusion_ExprMulParamDiagLeft._ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_v._asExpr_())) # bld/herlev/final/default/src/fusion/Expr.mbi:1590:91-137
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1590:89-139
    @staticmethod
    def _match_mulDiag_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_p, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_1_p))
    @staticmethod
    def _match_alt_mulDiag_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_p, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_1_p))
    @staticmethod
    def _mulDiag_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_t__0_expr,_t__1_p):
      return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_0_expr,_1_p)
    @staticmethod
    def _mulDiag_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_0_expr,_1_p):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1589:89-134
      return (mosek_fusion_ExprMulParamDiagRight._ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_0_expr,_1_p)) # bld/herlev/final/default/src/fusion/Expr.mbi:1589:91-132
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1589:89-134
    @staticmethod
    def _match_mulDiag_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_p,_1_expr, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(_0_p)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _match_alt_mulDiag_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_p,_1_expr, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_0_p)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _mulDiag_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_t__0_p,_t__1_expr):
      return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_expr)
    @staticmethod
    def _mulDiag_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1588:89-133
      return (mosek_fusion_ExprMulParamDiagLeft._ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1588:91-131
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1588:89-133
    @staticmethod
    def _match_mulDiag_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_v,_1_mx, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_match_Lmosek_4fusion_4Matrix_2__(_1_mx))
    @staticmethod
    def _match_alt_mulDiag_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_v,_1_mx, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_1_mx))
    @staticmethod
    def _mulDiag_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(_t__0_v,_t__1_mx):
      return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(_0_v,_1_mx)
    @staticmethod
    def _mulDiag_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(_0_v,_1_mx):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1586:89-129
      return (mosek.fusion.Expr.__mulDiag_ZLmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(False,_1_mx,_0_v._asExpr_())) # bld/herlev/final/default/src/fusion/Expr.mbi:1586:91-127
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1586:89-129
    @staticmethod
    def _match_mulDiag_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_mx,_1_v, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_mx)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_v))
    @staticmethod
    def _match_alt_mulDiag_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_mx,_1_v, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_mx)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_v))
    @staticmethod
    def _mulDiag_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(_t__0_mx,_t__1_v):
      return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(_0_mx,_1_v)
    @staticmethod
    def _mulDiag_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(_0_mx,_1_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1585:89-128
      return (mosek.fusion.Expr.__mulDiag_ZLmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(True,_0_mx,_1_v._asExpr_())) # bld/herlev/final/default/src/fusion/Expr.mbi:1585:91-126
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1585:89-128
    @staticmethod
    def _match_mulDiag_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_mx, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4Matrix_2__(_1_mx))
    @staticmethod
    def _match_alt_mulDiag_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_mx, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_1_mx))
    @staticmethod
    def _mulDiag_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_t__0_expr,_t__1_mx):
      return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_0_expr,_1_mx)
    @staticmethod
    def _mulDiag_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_0_expr,_1_mx):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1584:89-123
      return (mosek.fusion.Expr.__mulDiag_ZLmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(False,_1_mx,_0_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1584:91-121
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1584:89-123
    @staticmethod
    def _match_mulDiag_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_mx,_1_expr, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_mx)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _match_alt_mulDiag_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_mx,_1_expr, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_mx)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _mulDiag_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_t__0_mx,_t__1_expr):
      return mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_mx,_1_expr)
    @staticmethod
    def _mulDiag_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_mx,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1583:89-122
      return (mosek.fusion.Expr.__mulDiag_ZLmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(True,_0_mx,_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1583:91-120
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1583:89-122
    @staticmethod
    def _match_mulDiag_Lmosek_4fusion_4Variable_2_3_5D(*args):
      if len(args) != 2: return False
      _0_v,_1_a, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_match__3_5D__(_1_a))
    @staticmethod
    def _match_alt_mulDiag_Lmosek_4fusion_4Variable_2_3_5D(*args):
      if len(args) != 2: return False
      _0_v,_1_a, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_alt_match__3_5D__(_1_a))
    @staticmethod
    def _mulDiag_alt_Lmosek_4fusion_4Variable_2_3_5D(_t__0_v,_t__1_a):
      _0_v=_t__0_v
      _1_a=numpy.array(_t__1_a,ndmin=_monty.checkShape(_t__1_a,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Variable_2_3_5D(_0_v,_1_a)
      return _1
    @staticmethod
    def _mulDiag_Lmosek_4fusion_4Variable_2_3_5D(_0_v,_1_a):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1582:89-306
      return (mosek_fusion_ExprMulDiagRight._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(int((_1_a).shape[0]),int((_1_a).shape[1]),numpy.array([_2_i for _2_i in range(0,int((_1_a).shape[0])) for _3_j in range(0,int((_1_a).shape[1]))], dtype=numpy.dtype(numpy.int32)),numpy.array([_5_j for _4_i in range(0,int((_1_a).shape[0])) for _5_j in range(0,int((_1_a).shape[1]))], dtype=numpy.dtype(numpy.int32)),numpy.array([_1_a[_6_i,_7_j] for _6_i in range(0,int((_1_a).shape[0])) for _7_j in range(0,int((_1_a).shape[1]))], dtype=numpy.dtype(numpy.float64)),_0_v._asExpr_())) # bld/herlev/final/default/src/fusion/Expr.mbi:1582:91-304
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1582:89-306
    @staticmethod
    def _match_mulDiag_Lmosek_4fusion_4Expression_2_3_5D(*args):
      if len(args) != 2: return False
      _0_expr,_1_a, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match__3_5D__(_1_a))
    @staticmethod
    def _match_alt_mulDiag_Lmosek_4fusion_4Expression_2_3_5D(*args):
      if len(args) != 2: return False
      _0_expr,_1_a, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match__3_5D__(_1_a))
    @staticmethod
    def _mulDiag_alt_Lmosek_4fusion_4Expression_2_3_5D(_t__0_expr,_t__1_a):
      _0_expr=_t__0_expr
      _1_a=numpy.array(_t__1_a,ndmin=_monty.checkShape(_t__1_a,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._mulDiag_Lmosek_4fusion_4Expression_2_3_5D(_0_expr,_1_a)
      return _1
    @staticmethod
    def _mulDiag_Lmosek_4fusion_4Expression_2_3_5D(_0_expr,_1_a):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1581:89-300
      return (mosek_fusion_ExprMulDiagRight._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(int((_1_a).shape[0]),int((_1_a).shape[1]),numpy.array([_2_i for _2_i in range(0,int((_1_a).shape[0])) for _3_j in range(0,int((_1_a).shape[1]))], dtype=numpy.dtype(numpy.int32)),numpy.array([_5_j for _4_i in range(0,int((_1_a).shape[0])) for _5_j in range(0,int((_1_a).shape[1]))], dtype=numpy.dtype(numpy.int32)),numpy.array([_1_a[_6_i,_7_j] for _6_i in range(0,int((_1_a).shape[0])) for _7_j in range(0,int((_1_a).shape[1]))], dtype=numpy.dtype(numpy.float64)),_0_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1581:91-298
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1581:89-300
    @staticmethod
    def _match_mulDiag__3_5DLmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_a,_1_v, = args
      return (    __arg_match__3_5D__(_0_a)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_v))
    @staticmethod
    def _match_alt_mulDiag__3_5DLmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_a,_1_v, = args
      return (    __arg_alt_match__3_5D__(_0_a)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_v))
    @staticmethod
    def _mulDiag_alt__3_5DLmosek_4fusion_4Variable_2(_t__0_a,_t__1_v):
      _0_a=numpy.array(_t__0_a,ndmin=_monty.checkShape(_t__0_a,2),dtype=numpy.dtype(numpy.float64))
      _1_v=_t__1_v
      _1 = mosek_fusion_Expr._mulDiag__3_5DLmosek_4fusion_4Variable_2(_0_a,_1_v)
      return _1
    @staticmethod
    def _mulDiag__3_5DLmosek_4fusion_4Variable_2(_0_a,_1_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1580:89-306
      return (mosek_fusion_ExprMulDiagLeft._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(int((_0_a).shape[0]),int((_0_a).shape[1]),numpy.array([_2_i for _2_i in range(0,int((_0_a).shape[0])) for _3_j in range(0,int((_0_a).shape[1]))], dtype=numpy.dtype(numpy.int32)),numpy.array([_5_j for _4_i in range(0,int((_0_a).shape[0])) for _5_j in range(0,int((_0_a).shape[1]))], dtype=numpy.dtype(numpy.int32)),numpy.array([_0_a[_6_i,_7_j] for _6_i in range(0,int((_0_a).shape[0])) for _7_j in range(0,int((_0_a).shape[1]))], dtype=numpy.dtype(numpy.float64)),_1_v._asExpr_())) # bld/herlev/final/default/src/fusion/Expr.mbi:1580:91-304
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1580:89-306
    @staticmethod
    def _match_mulDiag__3_5DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a,_1_expr, = args
      return (    __arg_match__3_5D__(_0_a)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _match_alt_mulDiag__3_5DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a,_1_expr, = args
      return (    __arg_alt_match__3_5D__(_0_a)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _mulDiag_alt__3_5DLmosek_4fusion_4Expression_2(_t__0_a,_t__1_expr):
      _0_a=numpy.array(_t__0_a,ndmin=_monty.checkShape(_t__0_a,2),dtype=numpy.dtype(numpy.float64))
      _1_expr=_t__1_expr
      _1 = mosek_fusion_Expr._mulDiag__3_5DLmosek_4fusion_4Expression_2(_0_a,_1_expr)
      return _1
    @staticmethod
    def _mulDiag__3_5DLmosek_4fusion_4Expression_2(_0_a,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1579:89-300
      return (mosek_fusion_ExprMulDiagLeft._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(int((_0_a).shape[0]),int((_0_a).shape[1]),numpy.array([_2_i for _2_i in range(0,int((_0_a).shape[0])) for _3_j in range(0,int((_0_a).shape[1]))], dtype=numpy.dtype(numpy.int32)),numpy.array([_5_j for _4_i in range(0,int((_0_a).shape[0])) for _5_j in range(0,int((_0_a).shape[1]))], dtype=numpy.dtype(numpy.int32)),numpy.array([_0_a[_6_i,_7_j] for _6_i in range(0,int((_0_a).shape[0])) for _7_j in range(0,int((_0_a).shape[1]))], dtype=numpy.dtype(numpy.float64)),_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1579:91-298
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1579:89-300
    @staticmethod
    def __mulElm_1_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_t__0_m,_t__1_e):
      return mosek_fusion_Expr.__mulElm_1_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_m,_1_e)
    @staticmethod
    def __mulElm_1_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_m,_1_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1556:73-1577:7
      _2_eshape=_1_e._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:1557:12-18
      _3_expr=_1_e # bld/herlev/final/default/src/fusion/Expr.mbi:1558:12-16
      if (int((_2_eshape).shape[0])==1): # bld/herlev/final/default/src/fusion/Expr.mbi:1559:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1559:30-1562:9
        _2_eshape = numpy.array([_2_eshape[0],1], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1560:10-38
        _3_expr = mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(_2_eshape,_1_e) # bld/herlev/final/default/src/fusion/Expr.mbi:1561:10-43
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1559:30-1562:9
      if ((int((_2_eshape).shape[0])!=2) or ((_0_m._numRows_()!=_2_eshape[0]) or (_0_m._numColumns_()!=_2_eshape[1]))): # bld/herlev/final/default/src/fusion/Expr.mbi:1563:12-1565:39
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1566:10-74
        raise mosek_fusion_DimensionError._ctor_S("Dimensions of operands do not match") # bld/herlev/final/default/src/fusion/Expr.mbi:1566:10-74
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1566:10-74
      _4_mdim1=_0_m._numColumns_() # bld/herlev/final/default/src/fusion/Expr.mbi:1568:12-17
      _5_mnnz=_0_m._numNonzeros_() # bld/herlev/final/default/src/fusion/Expr.mbi:1569:12-16
      _6_msubi=numpy.zeros((_5_mnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1570:12-17
      _7_msubj=numpy.zeros((_5_mnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1571:12-17
      _8_mcof=numpy.zeros((_5_mnnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1572:12-16
      _0_m._getDataAsTriplets__3I_3I_3D(_6_msubi,_7_msubj,_8_mcof) # bld/herlev/final/default/src/fusion/Expr.mbi:1573:8-46
      return (mosek_fusion_ExprMulElement._ctor__3D_3JLmosek_4fusion_4Expression_2I(_8_mcof,numpy.array([((_6_msubi[_9_i] * _4_mdim1) + _7_msubj[_9_i]) for _9_i in range(0,_5_mnnz)], dtype=numpy.dtype(numpy.int64)),_3_expr,1)) # bld/herlev/final/default/src/fusion/Expr.mbi:1576:8-102
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1556:73-1577:7
    @staticmethod
    def __mulElm_1_alt__3DLmosek_4fusion_4Expression_2(_t__0_a,_t__1_expr):
      _0_a=numpy.array(_t__0_a,dtype=numpy.dtype(numpy.float64))
      _1_expr=_t__1_expr
      _1 = mosek_fusion_Expr.__mulElm_1__3DLmosek_4fusion_4Expression_2(_0_a,_1_expr)
      try:
        _t__0_a[:] = _0_a
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __mulElm_1__3DLmosek_4fusion_4Expression_2(_0_a,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1543:6-1553:7
      if ((_0_a is None) or (_1_expr is None)): # bld/herlev/final/default/src/fusion/Expr.mbi:1544:12-37
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1544:39-110
        raise ValueError("Arguments for mulElm may not be null") # bld/herlev/final/default/src/fusion/Expr.mbi:1544:39-110
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1544:39-110
      if ((_1_expr._getND_()==0) and (int((_0_a).shape[0])==1)): # bld/herlev/final/default/src/fusion/Expr.mbi:1546:12-45
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1547:10-51
        return (mosek_fusion_ExprMulScalarConst._ctor_DLmosek_4fusion_4Expression_2(_0_a[0],_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1547:10-51
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1547:10-51
      elif ((_1_expr._getND_()!=1) or (_1_expr._getDim_I(0)!=int((_0_a).shape[0]))): # bld/herlev/final/default/src/fusion/Expr.mbi:1548:16-1549:40
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1550:10-74
        raise mosek_fusion_DimensionError._ctor_S("Dimensions of operands do not match") # bld/herlev/final/default/src/fusion/Expr.mbi:1550:10-74
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1550:10-74
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1552:10-79
        return (mosek_fusion_ExprMulElement._ctor__3D_3JLmosek_4fusion_4Expression_2(_0_a,numpy.array([_2_i for _2_i in range(0,int((_0_a).shape[0]))], dtype=numpy.dtype(numpy.int64)),_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1552:10-79
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1552:10-79
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1543:6-1553:7
    @staticmethod
    def __mulElm_1_alt_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_t__0_spm,_t__1_expr):
      return mosek_fusion_Expr.__mulElm_1_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_0_spm,_1_expr)
    @staticmethod
    def __mulElm_1_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_0_spm,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1530:87-1540:7
      if ((_0_spm is None) or (_1_expr is None)): # bld/herlev/final/default/src/fusion/Expr.mbi:1531:12-39
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1531:41-112
        raise ValueError("Arguments for mulElm may not be null") # bld/herlev/final/default/src/fusion/Expr.mbi:1531:41-112
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1531:41-112
      _2_eshape=_1_expr._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:1532:12-18
      if (int((_2_eshape).shape[0])!=int(((_0_spm._dims)).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:1533:12-40
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1534:10-54
        raise mosek_fusion_LengthError._ctor_S("Dimension mismatch") # bld/herlev/final/default/src/fusion/Expr.mbi:1534:10-54
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1534:10-54
      for _3_i in range(0,int(((_0_spm._dims)).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:1535:8-1537:76
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1536:10-1537:76
        if ((_0_spm._dims)[_3_i]!=_2_eshape[_3_i]): # bld/herlev/final/default/src/fusion/Expr.mbi:1536:14-38
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1537:12-76
          raise mosek_fusion_DimensionError._ctor_S("Dimensions of operands do not match") # bld/herlev/final/default/src/fusion/Expr.mbi:1537:12-76
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1537:12-76
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1536:10-1537:76
      return (mosek_fusion_ExprMulElement._ctor__3D_3JLmosek_4fusion_4Expression_2((_0_spm._cof),(_0_spm._inst),_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1539:8-59
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1530:87-1540:7
    @staticmethod
    def _match_mul_Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 2: return False
      _0_expr,_1_c, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_D__(_1_c))
    @staticmethod
    def _match_alt_mul_Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 2: return False
      _0_expr,_1_c, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_D__(_1_c))
    @staticmethod
    def _mul_alt_Lmosek_4fusion_4Expression_2D(_t__0_expr,_t__1_c):
      return mosek_fusion_Expr._mul_Lmosek_4fusion_4Expression_2D(_0_expr,numpy.float64(__1_c))
    @staticmethod
    def _mul_Lmosek_4fusion_4Expression_2D(_0_expr,_1_c):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1528:76-118
      return (mosek_fusion_ExprMulScalarConst._ctor_DLmosek_4fusion_4Expression_2(_1_c,_0_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1528:78-116
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1528:76-118
    @staticmethod
    def _match_mul_DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_c,_1_expr, = args
      return (    __arg_match_D__(_0_c)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _match_alt_mul_DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_c,_1_expr, = args
      return (    __arg_alt_match_D__(_0_c)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _mul_alt_DLmosek_4fusion_4Expression_2(_t__0_c,_t__1_expr):
      return mosek_fusion_Expr._mul_DLmosek_4fusion_4Expression_2(numpy.float64(__0_c),_1_expr)
    @staticmethod
    def _mul_DLmosek_4fusion_4Expression_2(_0_c,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1527:79-121
      return (mosek_fusion_ExprMulScalarConst._ctor_DLmosek_4fusion_4Expression_2(_0_c,_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1527:81-119
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1527:79-121
    @staticmethod
    def _match_mul_Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      _0_expr,_1_a, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match__3D__(_1_a))
    @staticmethod
    def _match_alt_mul_Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      _0_expr,_1_a, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match__3D__(_1_a))
    @staticmethod
    def _mul_alt_Lmosek_4fusion_4Expression_2_3D(_t__0_expr,_t__1_a):
      _0_expr=_t__0_expr
      _1_a=numpy.array(_t__1_a,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._mul_Lmosek_4fusion_4Expression_2_3D(_0_expr,_1_a)
      try:
        _t__1_a[:] = _1_a
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _mul_Lmosek_4fusion_4Expression_2_3D(_0_expr,_1_a):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1526:76-105
      return (mosek.fusion.Expr.__mul_Z_3DLmosek_4fusion_4Expression_2(False,_1_a,_0_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1526:78-103
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1526:76-105
    @staticmethod
    def _match_mul__3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a,_1_expr, = args
      return (    __arg_match__3D__(_0_a)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _match_alt_mul__3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a,_1_expr, = args
      return (    __arg_alt_match__3D__(_0_a)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _mul_alt__3DLmosek_4fusion_4Expression_2(_t__0_a,_t__1_expr):
      _0_a=numpy.array(_t__0_a,dtype=numpy.dtype(numpy.float64))
      _1_expr=_t__1_expr
      _1 = mosek_fusion_Expr._mul__3DLmosek_4fusion_4Expression_2(_0_a,_1_expr)
      try:
        _t__0_a[:] = _0_a
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _mul__3DLmosek_4fusion_4Expression_2(_0_a,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1525:79-107
      return (mosek.fusion.Expr.__mul_Z_3DLmosek_4fusion_4Expression_2(True,_0_a,_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1525:81-105
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1525:79-107
    @staticmethod
    def _match_mul_Lmosek_4fusion_4Expression_2_3_5D(*args):
      if len(args) != 2: return False
      _0_expr,_1_a, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match__3_5D__(_1_a))
    @staticmethod
    def _match_alt_mul_Lmosek_4fusion_4Expression_2_3_5D(*args):
      if len(args) != 2: return False
      _0_expr,_1_a, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match__3_5D__(_1_a))
    @staticmethod
    def _mul_alt_Lmosek_4fusion_4Expression_2_3_5D(_t__0_expr,_t__1_a):
      _0_expr=_t__0_expr
      _1_a=numpy.array(_t__1_a,ndmin=_monty.checkShape(_t__1_a,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._mul_Lmosek_4fusion_4Expression_2_3_5D(_0_expr,_1_a)
      return _1
    @staticmethod
    def _mul_Lmosek_4fusion_4Expression_2_3_5D(_0_expr,_1_a):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1524:76-105
      return (mosek.fusion.Expr.__mul_Z_3_5DLmosek_4fusion_4Expression_2(False,_1_a,_0_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1524:78-103
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1524:76-105
    @staticmethod
    def _match_mul__3_5DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a,_1_expr, = args
      return (    __arg_match__3_5D__(_0_a)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _match_alt_mul__3_5DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a,_1_expr, = args
      return (    __arg_alt_match__3_5D__(_0_a)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _mul_alt__3_5DLmosek_4fusion_4Expression_2(_t__0_a,_t__1_expr):
      _0_a=numpy.array(_t__0_a,ndmin=_monty.checkShape(_t__0_a,2),dtype=numpy.dtype(numpy.float64))
      _1_expr=_t__1_expr
      _1 = mosek_fusion_Expr._mul__3_5DLmosek_4fusion_4Expression_2(_0_a,_1_expr)
      return _1
    @staticmethod
    def _mul__3_5DLmosek_4fusion_4Expression_2(_0_a,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1523:79-107
      return (mosek.fusion.Expr.__mul_Z_3_5DLmosek_4fusion_4Expression_2(True,_0_a,_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1523:81-105
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1523:79-107
    @staticmethod
    def _match_mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_mx, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4Matrix_2__(_1_mx))
    @staticmethod
    def _match_alt_mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_mx, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_1_mx))
    @staticmethod
    def _mul_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_t__0_expr,_t__1_mx):
      return mosek_fusion_Expr._mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_0_expr,_1_mx)
    @staticmethod
    def _mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_0_expr,_1_mx):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1522:76-106
      return (mosek.fusion.Expr.__mul_ZLmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(False,_1_mx,_0_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1522:78-104
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1522:76-106
    @staticmethod
    def _match_mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_mx,_1_expr, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_mx)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _match_alt_mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_mx,_1_expr, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_mx)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _mul_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_t__0_mx,_t__1_expr):
      return mosek_fusion_Expr._mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_mx,_1_expr)
    @staticmethod
    def _mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_mx,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1521:79-108
      return (mosek.fusion.Expr.__mul_ZLmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(True,_0_mx,_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1521:81-106
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1521:79-108
    @staticmethod
    def __mul_alt_Z_3DLmosek_4fusion_4Expression_2(_t__0_left,_t__1_mx,_t__2_e):
      _0_left=_t__0_left
      _1_mx=numpy.array(_t__1_mx,dtype=numpy.dtype(numpy.float64))
      _2_e=_t__2_e
      _1 = mosek_fusion_Expr.__mul_Z_3DLmosek_4fusion_4Expression_2(_0_left,_1_mx,_2_e)
      try:
        _t__1_mx[:] = _1_mx
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __mul_Z_3DLmosek_4fusion_4Expression_2(_0_left,_1_mx,_2_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1499:81-1519:7
      _3_mdim0=int((_1_mx).shape[0]) # bld/herlev/final/default/src/fusion/Expr.mbi:1500:12-17
      _4_nnz=_3_mdim0 # bld/herlev/final/default/src/fusion/Expr.mbi:1501:12-15
      _5_mval=mosek.fusion.Utils.Tools._arraycopy__3D(_1_mx) # bld/herlev/final/default/src/fusion/Expr.mbi:1502:12-16
      _6_nd=_2_e._getND_() # bld/herlev/final/default/src/fusion/Expr.mbi:1503:12-14
      if (_6_nd==0): # bld/herlev/final/default/src/fusion/Expr.mbi:1505:12-19
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1506:10-138
        return (mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([_3_mdim0], dtype=numpy.dtype(numpy.int32)),mosek_fusion_ExprScalarMul._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(_3_mdim0,1,numpy.array([_7_i for _7_i in range(0,_3_mdim0)], dtype=numpy.dtype(numpy.int32)),numpy.array([0 for _8_i in range(0,_3_mdim0)], dtype=numpy.dtype(numpy.int32)),_5_mval,_2_e,1))) # bld/herlev/final/default/src/fusion/Expr.mbi:1506:10-138
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1506:10-138
      elif (_6_nd!=2): # bld/herlev/final/default/src/fusion/Expr.mbi:1507:16-23
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1508:10-65
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions") # bld/herlev/final/default/src/fusion/Expr.mbi:1508:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1508:10-65
      elif (_0_left and (_2_e._getDim_I(0)==int((_1_mx).shape[0]))): # bld/herlev/final/default/src/fusion/Expr.mbi:1509:21-52
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1510:10-141
        return (mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([_2_e._getDim_I(1)], dtype=numpy.dtype(numpy.int32)),mosek_fusion_ExprMulLeft._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(1,_3_mdim0,numpy.array([0 for _9_i in range(0,_3_mdim0)], dtype=numpy.dtype(numpy.int32)),numpy.array([_10_i for _10_i in range(0,_3_mdim0)], dtype=numpy.dtype(numpy.int32)),_5_mval,_2_e))) # bld/herlev/final/default/src/fusion/Expr.mbi:1510:10-141
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1510:10-141
      elif (_0_left and (_2_e._getDim_I(0)==1)): # bld/herlev/final/default/src/fusion/Expr.mbi:1511:17-42
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1512:10-105
        return (mosek_fusion_ExprMulLeft._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(_3_mdim0,1,numpy.array([_11_i for _11_i in range(0,_3_mdim0)], dtype=numpy.dtype(numpy.int32)),numpy.array([0 for _12_i in range(0,_3_mdim0)], dtype=numpy.dtype(numpy.int32)),_5_mval,_2_e,1)) # bld/herlev/final/default/src/fusion/Expr.mbi:1512:10-105
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1512:10-105
      elif ((not _0_left) and (_2_e._getDim_I(1)==_3_mdim0)): # bld/herlev/final/default/src/fusion/Expr.mbi:1513:17-50
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1514:10-142
        return (mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([_2_e._getDim_I(0)], dtype=numpy.dtype(numpy.int32)),mosek_fusion_ExprMulRight._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(_3_mdim0,1,numpy.array([_13_i for _13_i in range(0,_3_mdim0)], dtype=numpy.dtype(numpy.int32)),numpy.array([0 for _14_i in range(0,_3_mdim0)], dtype=numpy.dtype(numpy.int32)),_5_mval,_2_e))) # bld/herlev/final/default/src/fusion/Expr.mbi:1514:10-142
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1514:10-142
      elif ((not _0_left) and (_2_e._getDim_I(1)==1)): # bld/herlev/final/default/src/fusion/Expr.mbi:1515:17-46
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1516:10-105
        return (mosek_fusion_ExprMulRight._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(1,_3_mdim0,numpy.array([0 for _15_i in range(0,_3_mdim0)], dtype=numpy.dtype(numpy.int32)),numpy.array([_16_i for _16_i in range(0,_3_mdim0)], dtype=numpy.dtype(numpy.int32)),_5_mval,_2_e,1)) # bld/herlev/final/default/src/fusion/Expr.mbi:1516:10-105
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1516:10-105
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1518:10-65
        raise mosek_fusion_DimensionError._ctor_S("Mismatching operand shapes") # bld/herlev/final/default/src/fusion/Expr.mbi:1518:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1518:10-65
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1499:81-1519:7
    @staticmethod
    def __mul_alt_Z_3_5DLmosek_4fusion_4Expression_2(_t__0_left,_t__1_mx,_t__2_e):
      _0_left=_t__0_left
      _1_mx=numpy.array(_t__1_mx,ndmin=_monty.checkShape(_t__1_mx,2),dtype=numpy.dtype(numpy.float64))
      _2_e=_t__2_e
      _1 = mosek_fusion_Expr.__mul_Z_3_5DLmosek_4fusion_4Expression_2(_0_left,_1_mx,_2_e)
      return _1
    @staticmethod
    def __mul_Z_3_5DLmosek_4fusion_4Expression_2(_0_left,_1_mx,_2_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1452:82-1497:7
      _3_mdim0=int((_1_mx).shape[0]) # bld/herlev/final/default/src/fusion/Expr.mbi:1453:12-17
      _4_mdim1=int((_1_mx).shape[1]) # bld/herlev/final/default/src/fusion/Expr.mbi:1454:12-17
      _5_nnz=(_3_mdim0 * _4_mdim1) # bld/herlev/final/default/src/fusion/Expr.mbi:1455:12-15
      _6_msubi=numpy.zeros((_5_nnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1462:12-17
      _7_msubj=numpy.zeros((_5_nnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1463:12-17
      _8_mval=numpy.zeros((_5_nnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1464:12-16
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1465:8-1474:9
      fragments._c_closure_565(_3_mdim0,_4_mdim1,_6_msubi,_7_msubj,_8_mval,_1_mx) # bld/herlev/final/default/src/fusion/Expr.mbi:1465:8-1474:9
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1465:8-1474:9
      _9_esize=_2_e._getSize_() # bld/herlev/final/default/src/fusion/Expr.mbi:1476:12-17
      _10_eshape=_2_e._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:1477:12-18
      if (int((_10_eshape).shape[0])==0): # bld/herlev/final/default/src/fusion/Expr.mbi:1479:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1480:10-69
        return (mosek_fusion_ExprScalarMul._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2I(_3_mdim0,_4_mdim1,_6_msubi,_7_msubj,_8_mval,_2_e,1)) # bld/herlev/final/default/src/fusion/Expr.mbi:1480:10-69
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1480:10-69
      elif _0_left: # bld/herlev/final/default/src/fusion/Expr.mbi:1481:16-20
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1481:22-1488:9
        if (int((_10_eshape).shape[0])==1): # bld/herlev/final/default/src/fusion/Expr.mbi:1482:14-30
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1483:12-137
          return (mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([int((_1_mx).shape[0])], dtype=numpy.dtype(numpy.int32)),mosek_fusion_ExprMulLeft._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(_3_mdim0,_4_mdim1,_6_msubi,_7_msubj,_8_mval,mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([_10_eshape[0],1], dtype=numpy.dtype(numpy.int32)),_2_e)))) # bld/herlev/final/default/src/fusion/Expr.mbi:1483:12-137
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1483:12-137
        elif (int((_10_eshape).shape[0])==2): # bld/herlev/final/default/src/fusion/Expr.mbi:1484:18-34
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1485:12-67
          return (mosek_fusion_ExprMulLeft._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(_3_mdim0,_4_mdim1,_6_msubi,_7_msubj,_8_mval,_2_e)) # bld/herlev/final/default/src/fusion/Expr.mbi:1485:12-67
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1485:12-67
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1487:12-67
          raise mosek_fusion_DimensionError._ctor_S("Mismatching operand shapes") # bld/herlev/final/default/src/fusion/Expr.mbi:1487:12-67
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1487:12-67
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1481:22-1488:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1489:13-1496:9
        if (int((_10_eshape).shape[0])==1): # bld/herlev/final/default/src/fusion/Expr.mbi:1490:14-30
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1491:12-138
          return (mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([int((_1_mx).shape[1])], dtype=numpy.dtype(numpy.int32)),mosek_fusion_ExprMulRight._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(_3_mdim0,_4_mdim1,_6_msubi,_7_msubj,_8_mval,mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([1,_10_eshape[0]], dtype=numpy.dtype(numpy.int32)),_2_e)))) # bld/herlev/final/default/src/fusion/Expr.mbi:1491:12-138
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1491:12-138
        elif (int((_10_eshape).shape[0])==2): # bld/herlev/final/default/src/fusion/Expr.mbi:1492:18-34
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1493:12-68
          return (mosek_fusion_ExprMulRight._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(_3_mdim0,_4_mdim1,_6_msubi,_7_msubj,_8_mval,_2_e)) # bld/herlev/final/default/src/fusion/Expr.mbi:1493:12-68
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1493:12-68
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1495:12-67
          raise mosek_fusion_DimensionError._ctor_S("Mismatching operand shapes") # bld/herlev/final/default/src/fusion/Expr.mbi:1495:12-67
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1495:12-67
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1489:13-1496:9
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1452:82-1497:7
    @staticmethod
    def __mul_alt_ZLmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_t__0_left,_t__1_mx,_t__2_e):
      return mosek_fusion_Expr.__mul_ZLmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_left,_1_mx,_2_e)
    @staticmethod
    def __mul_ZLmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_left,_1_mx,_2_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1421:79-1450:7
      _3_nnz=_1_mx._numNonzeros_() # bld/herlev/final/default/src/fusion/Expr.mbi:1422:12-15
      _4_msubi=numpy.zeros((_3_nnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1423:12-17
      _5_msubj=numpy.zeros((_3_nnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1424:12-17
      _6_mval=numpy.zeros((_3_nnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1425:12-16
      _7_mdim0=_1_mx._numRows_() # bld/herlev/final/default/src/fusion/Expr.mbi:1426:12-17
      _8_mdim1=_1_mx._numColumns_() # bld/herlev/final/default/src/fusion/Expr.mbi:1427:12-17
      _1_mx._getDataAsTriplets__3I_3I_3D(_4_msubi,_5_msubj,_6_mval) # bld/herlev/final/default/src/fusion/Expr.mbi:1429:8-47
      _9_nd=_2_e._getND_() # bld/herlev/final/default/src/fusion/Expr.mbi:1431:12-14
      if (_9_nd==0): # bld/herlev/final/default/src/fusion/Expr.mbi:1433:12-19
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1434:10-67
        return (mosek_fusion_ExprScalarMul._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(_7_mdim0,_8_mdim1,_4_msubi,_5_msubj,_6_mval,_2_e)) # bld/herlev/final/default/src/fusion/Expr.mbi:1434:10-67
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1434:10-67
      elif (_9_nd==1): # bld/herlev/final/default/src/fusion/Expr.mbi:1435:16-23
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1435:25-1441:9
        _10_eshape=_2_e._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:1436:14-20
        if _0_left: # bld/herlev/final/default/src/fusion/Expr.mbi:1437:14-18
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1438:12-134
          return (mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([_7_mdim0], dtype=numpy.dtype(numpy.int32)),mosek_fusion_ExprMulLeft._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(_7_mdim0,_8_mdim1,_4_msubi,_5_msubj,_6_mval,mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([_10_eshape[0],1], dtype=numpy.dtype(numpy.int32)),_2_e)))) # bld/herlev/final/default/src/fusion/Expr.mbi:1438:12-134
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1438:12-134
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1440:12-135
          return (mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([_8_mdim1], dtype=numpy.dtype(numpy.int32)),mosek_fusion_ExprMulRight._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(_7_mdim0,_8_mdim1,_4_msubi,_5_msubj,_6_mval,mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([1,_10_eshape[0]], dtype=numpy.dtype(numpy.int32)),_2_e)))) # bld/herlev/final/default/src/fusion/Expr.mbi:1440:12-135
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1440:12-135
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1435:25-1441:9
      elif (_9_nd==2): # bld/herlev/final/default/src/fusion/Expr.mbi:1442:16-23
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1442:25-1447:9
        if _0_left: # bld/herlev/final/default/src/fusion/Expr.mbi:1443:14-18
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1444:12-67
          return (mosek_fusion_ExprMulLeft._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(_7_mdim0,_8_mdim1,_4_msubi,_5_msubj,_6_mval,_2_e)) # bld/herlev/final/default/src/fusion/Expr.mbi:1444:12-67
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1444:12-67
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1446:12-68
          return (mosek_fusion_ExprMulRight._ctor_II_3I_3I_3DLmosek_4fusion_4Expression_2(_7_mdim0,_8_mdim1,_4_msubi,_5_msubj,_6_mval,_2_e)) # bld/herlev/final/default/src/fusion/Expr.mbi:1446:12-68
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1446:12-68
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1442:25-1447:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1449:10-80
        raise mosek_fusion_DimensionError._ctor_S("Mismatching dimensions for multiplication") # bld/herlev/final/default/src/fusion/Expr.mbi:1449:10-80
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1449:10-80
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1421:79-1450:7
    @staticmethod
    def _match_mul_Lmosek_4fusion_4Variable_2_3_5D(*args):
      if len(args) != 2: return False
      _0_v,_1_mx, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_match__3_5D__(_1_mx))
    @staticmethod
    def _match_alt_mul_Lmosek_4fusion_4Variable_2_3_5D(*args):
      if len(args) != 2: return False
      _0_v,_1_mx, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_alt_match__3_5D__(_1_mx))
    @staticmethod
    def _mul_alt_Lmosek_4fusion_4Variable_2_3_5D(_t__0_v,_t__1_mx):
      _0_v=_t__0_v
      _1_mx=numpy.array(_t__1_mx,ndmin=_monty.checkShape(_t__1_mx,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._mul_Lmosek_4fusion_4Variable_2_3_5D(_0_v,_1_mx)
      return _1
    @staticmethod
    def _mul_Lmosek_4fusion_4Variable_2_3_5D(_0_v,_1_mx):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1394:68-1419:7
      _2_mdim0=int((_1_mx).shape[0]) # bld/herlev/final/default/src/fusion/Expr.mbi:1395:12-17
      _3_mdim1=int((_1_mx).shape[1]) # bld/herlev/final/default/src/fusion/Expr.mbi:1396:12-17
      _4_nnz=(_2_mdim0 * _3_mdim1) # bld/herlev/final/default/src/fusion/Expr.mbi:1397:12-15
      _5_msubi=numpy.zeros((_4_nnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1404:12-17
      _6_msubj=numpy.zeros((_4_nnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1405:12-17
      _7_mval=numpy.zeros((_4_nnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1406:12-16
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1407:8-1416:9
      fragments._c_closure_566(_2_mdim0,_3_mdim1,_5_msubi,_6_msubj,_7_mval,_1_mx) # bld/herlev/final/default/src/fusion/Expr.mbi:1407:8-1416:9
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1407:8-1416:9
      return (mosek.fusion.Expr.__mul_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(False,_2_mdim0,_3_mdim1,_5_msubi,_6_msubj,_7_mval,_0_v)) # bld/herlev/final/default/src/fusion/Expr.mbi:1418:8-59
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1394:68-1419:7
    @staticmethod
    def _match_mul__3_5DLmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_mx,_1_v, = args
      return (    __arg_match__3_5D__(_0_mx)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_v))
    @staticmethod
    def _match_alt_mul__3_5DLmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_mx,_1_v, = args
      return (    __arg_alt_match__3_5D__(_0_mx)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_v))
    @staticmethod
    def _mul_alt__3_5DLmosek_4fusion_4Variable_2(_t__0_mx,_t__1_v):
      _0_mx=numpy.array(_t__0_mx,ndmin=_monty.checkShape(_t__0_mx,2),dtype=numpy.dtype(numpy.float64))
      _1_v=_t__1_v
      _1 = mosek_fusion_Expr._mul__3_5DLmosek_4fusion_4Variable_2(_0_mx,_1_v)
      return _1
    @staticmethod
    def _mul__3_5DLmosek_4fusion_4Variable_2(_0_mx,_1_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1367:68-1392:7
      _2_mdim0=int((_0_mx).shape[0]) # bld/herlev/final/default/src/fusion/Expr.mbi:1368:12-17
      _3_mdim1=int((_0_mx).shape[1]) # bld/herlev/final/default/src/fusion/Expr.mbi:1369:12-17
      _4_nnz=(_2_mdim0 * _3_mdim1) # bld/herlev/final/default/src/fusion/Expr.mbi:1370:12-15
      _5_msubi=numpy.zeros((_4_nnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1377:12-17
      _6_msubj=numpy.zeros((_4_nnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1378:12-17
      _7_mval=numpy.zeros((_4_nnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1379:12-16
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1380:8-1389:9
      fragments._c_closure_567(_2_mdim0,_3_mdim1,_5_msubi,_6_msubj,_7_mval,_0_mx) # bld/herlev/final/default/src/fusion/Expr.mbi:1380:8-1389:9
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1380:8-1389:9
      return (mosek.fusion.Expr.__mul_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(True,_2_mdim0,_3_mdim1,_5_msubi,_6_msubj,_7_mval,_1_v)) # bld/herlev/final/default/src/fusion/Expr.mbi:1391:8-58
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1367:68-1392:7
    @staticmethod
    def _match_mul_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_v,_1_mx, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_match_Lmosek_4fusion_4Matrix_2__(_1_mx))
    @staticmethod
    def _match_alt_mul_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_v,_1_mx, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_v)
              and __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_1_mx))
    @staticmethod
    def _mul_alt_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(_t__0_v,_t__1_mx):
      return mosek_fusion_Expr._mul_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(_0_v,_1_mx)
    @staticmethod
    def _mul_Lmosek_4fusion_4Variable_2Lmosek_4fusion_4Matrix_2(_0_v,_1_mx):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1357:65-1365:7
      _2_mdimi=_1_mx._numRows_() # bld/herlev/final/default/src/fusion/Expr.mbi:1358:12-17
      _3_mdimj=_1_mx._numColumns_() # bld/herlev/final/default/src/fusion/Expr.mbi:1359:12-17
      _4_mcof=numpy.zeros((_1_mx._numNonzeros_(),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1362:12-16
      _5_msubj=numpy.zeros((_1_mx._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1361:12-17
      _6_msubi=numpy.zeros((_1_mx._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1360:12-17
      _1_mx._getDataAsTriplets__3I_3I_3D(_6_msubi,_5_msubj,_4_mcof) # bld/herlev/final/default/src/fusion/Expr.mbi:1363:8-47
      return (mosek.fusion.Expr.__mul_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(False,_2_mdimi,_3_mdimj,_6_msubi,_5_msubj,_4_mcof,_0_v)) # bld/herlev/final/default/src/fusion/Expr.mbi:1364:8-59
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1357:65-1365:7
    @staticmethod
    def _match_mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_mx,_1_v, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_mx)
              and __arg_match_Lmosek_4fusion_4Variable_2__(_1_v))
    @staticmethod
    def _match_alt_mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 2: return False
      _0_mx,_1_v, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_mx)
              and __arg_alt_match_Lmosek_4fusion_4Variable_2__(_1_v))
    @staticmethod
    def _mul_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(_t__0_mx,_t__1_v):
      return mosek_fusion_Expr._mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(_0_mx,_1_v)
    @staticmethod
    def _mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Variable_2(_0_mx,_1_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1347:65-1356:7
      _2_mdimi=_0_mx._numRows_() # bld/herlev/final/default/src/fusion/Expr.mbi:1348:12-17
      _3_mdimj=_0_mx._numColumns_() # bld/herlev/final/default/src/fusion/Expr.mbi:1349:12-17
      _4_mcof=numpy.zeros((_0_mx._numNonzeros_(),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1352:12-16
      _5_msubj=numpy.zeros((_0_mx._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1351:12-17
      _6_msubi=numpy.zeros((_0_mx._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1350:12-17
      _0_mx._getDataAsTriplets__3I_3I_3D(_6_msubi,_5_msubj,_4_mcof) # bld/herlev/final/default/src/fusion/Expr.mbi:1353:8-47
      return (mosek.fusion.Expr.__mul_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(True,_2_mdimi,_3_mdimj,_6_msubi,_5_msubj,_4_mcof,_1_v)) # bld/herlev/final/default/src/fusion/Expr.mbi:1355:8-58
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1347:65-1356:7
    @staticmethod
    def __mul_alt_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(_t__0_left,_t__1_mdimi,_t__2_mdimj,_t__3_msubi,_t__4_msubj,_t__5_mcof,_t__6_v):
      _0_left=_t__0_left
      _1_mdimi=numpy.int32(_t__1_mdimi)
      _2_mdimj=numpy.int32(_t__2_mdimj)
      _3_msubi=numpy.array(_t__3_msubi,dtype=numpy.dtype(numpy.int32))
      _4_msubj=numpy.array(_t__4_msubj,dtype=numpy.dtype(numpy.int32))
      _5_mcof=numpy.array(_t__5_mcof,dtype=numpy.dtype(numpy.float64))
      _6_v=_t__6_v
      _1 = mosek_fusion_Expr.__mul_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(_0_left,_1_mdimi,_2_mdimj,_3_msubi,_4_msubj,_5_mcof,_6_v)
      try:
        _t__3_msubi[:] = _3_msubi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_msubj[:] = _4_msubj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__5_mcof[:] = _5_mcof
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __mul_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(_0_left,_1_mdimi,_2_mdimj,_3_msubi,_4_msubj,_5_mcof,_6_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1333:135-1344:7
      if (_6_v._getND_()==0): # bld/herlev/final/default/src/fusion/Expr.mbi:1334:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1335:10-70
        return (mosek_fusion_ExprMulScalarVar._ctor_II_3I_3I_3DLmosek_4fusion_4Variable_2(_1_mdimi,_2_mdimj,_3_msubi,_4_msubj,_5_mcof,_6_v)) # bld/herlev/final/default/src/fusion/Expr.mbi:1335:10-70
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1335:10-70
      elif (_6_v._getND_()==1): # bld/herlev/final/default/src/fusion/Expr.mbi:1336:16-30
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1336:32-1341:9
        _7_vshape=_6_v._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:1337:14-20
        return (mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([(_1_mdimi if (_0_left ) else _2_mdimj)], dtype=numpy.dtype(numpy.int32)),mosek_fusion_ExprMulVar._ctor_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(_0_left,_1_mdimi,_2_mdimj,_3_msubi,_4_msubj,_5_mcof,mosek.fusion.Var._reshape_Lmosek_4fusion_4Variable_2_3I(_6_v,(numpy.array([_7_vshape[0],1], dtype=numpy.dtype(numpy.int32)) if (_0_left ) else numpy.array([1,_7_vshape[0]], dtype=numpy.dtype(numpy.int32))))))) # bld/herlev/final/default/src/fusion/Expr.mbi:1338:10-1340:118
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1336:32-1341:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1343:10-72
        return (mosek_fusion_ExprMulVar._ctor_ZII_3I_3I_3DLmosek_4fusion_4Variable_2(_0_left,_1_mdimi,_2_mdimj,_3_msubi,_4_msubj,_5_mcof,_6_v)) # bld/herlev/final/default/src/fusion/Expr.mbi:1343:10-72
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1343:10-72
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1333:135-1344:7
    @staticmethod
    def _match_mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_p, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_1_p))
    @staticmethod
    def _match_alt_mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_p, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_1_p))
    @staticmethod
    def _mul_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_t__0_expr,_t__1_p):
      return mosek_fusion_Expr._mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_0_expr,_1_p)
    @staticmethod
    def _mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_0_expr,_1_p):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1318:72-1331:7
      if ((_1_p._getND_()==2) and (_0_expr._getND_()==2)): # bld/herlev/final/default/src/fusion/Expr.mbi:1319:16-52
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1320:10-47
        return (mosek_fusion_ExprMulParamRight._ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_0_expr,_1_p)) # bld/herlev/final/default/src/fusion/Expr.mbi:1320:10-47
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1320:10-47
      elif ((_1_p._getND_()==1) and (_0_expr._getND_()==2)): # bld/herlev/final/default/src/fusion/Expr.mbi:1321:16-52
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1322:10-116
        return (mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([_0_expr._getDim_I(0)], dtype=numpy.dtype(numpy.int32)),mosek_fusion_ExprMulParamRight._ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_0_expr,_1_p._reshape__3I(numpy.array([_1_p._getDim_I(0),1], dtype=numpy.dtype(numpy.int32)))))) # bld/herlev/final/default/src/fusion/Expr.mbi:1322:10-116
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1322:10-116
      elif ((_1_p._getND_()==2) and (_0_expr._getND_()==1)): # bld/herlev/final/default/src/fusion/Expr.mbi:1323:16-52
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1324:10-125
        return (mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([_1_p._getDim_I(1)], dtype=numpy.dtype(numpy.int32)),mosek_fusion_ExprMulParamRight._ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([1,_0_expr._getDim_I(0)], dtype=numpy.dtype(numpy.int32)),_0_expr),_1_p))) # bld/herlev/final/default/src/fusion/Expr.mbi:1324:10-125
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1324:10-125
      elif (_1_p._getND_()==0): # bld/herlev/final/default/src/fusion/Expr.mbi:1325:16-30
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1326:10-48
        return (mosek_fusion_ExprMulParamScalar._ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_1_p,_0_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1326:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1326:10-48
      elif (_0_expr._getND_()==0): # bld/herlev/final/default/src/fusion/Expr.mbi:1327:16-33
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1328:10-52
        return (mosek_fusion_ExprMulParamScalarExpr._ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_1_p,_0_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1328:10-52
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1328:10-52
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1330:10-84
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions for multiplication") # bld/herlev/final/default/src/fusion/Expr.mbi:1330:10-84
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1330:10-84
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1318:72-1331:7
    @staticmethod
    def _match_mul_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_p,_1_expr, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(_0_p)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _match_alt_mul_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_p,_1_expr, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_0_p)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _mul_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_t__0_p,_t__1_expr):
      return mosek_fusion_Expr._mul_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_expr)
    @staticmethod
    def _mul_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1304:72-1317:7
      if ((_0_p._getND_()==2) and (_1_expr._getND_()==2)): # bld/herlev/final/default/src/fusion/Expr.mbi:1305:16-52
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1306:10-46
        return (mosek_fusion_ExprMulParamLeft._ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1306:10-46
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1306:10-46
      elif ((_0_p._getND_()==1) and (_1_expr._getND_()==2)): # bld/herlev/final/default/src/fusion/Expr.mbi:1307:16-52
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1308:10-115
        return (mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([_1_expr._getDim_I(1)], dtype=numpy.dtype(numpy.int32)),mosek_fusion_ExprMulParamLeft._ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p._reshape__3I(numpy.array([1,_0_p._getDim_I(0)], dtype=numpy.dtype(numpy.int32))),_1_expr))) # bld/herlev/final/default/src/fusion/Expr.mbi:1308:10-115
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1308:10-115
      elif ((_0_p._getND_()==2) and (_1_expr._getND_()==1)): # bld/herlev/final/default/src/fusion/Expr.mbi:1309:16-52
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1310:10-124
        return (mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([_0_p._getDim_I(0)], dtype=numpy.dtype(numpy.int32)),mosek_fusion_ExprMulParamLeft._ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([_1_expr._getDim_I(0),1], dtype=numpy.dtype(numpy.int32)),_1_expr)))) # bld/herlev/final/default/src/fusion/Expr.mbi:1310:10-124
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1310:10-124
      elif (_0_p._getND_()==0): # bld/herlev/final/default/src/fusion/Expr.mbi:1311:16-30
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1312:10-48
        return (mosek_fusion_ExprMulParamScalar._ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1312:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1312:10-48
      elif (_1_expr._getND_()==0): # bld/herlev/final/default/src/fusion/Expr.mbi:1313:16-33
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1314:10-52
        return (mosek_fusion_ExprMulParamScalarExpr._ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:1314:10-52
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1314:10-52
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1316:10-84
        raise mosek_fusion_DimensionError._ctor_S("Invalid operand dimensions for multiplication") # bld/herlev/final/default/src/fusion/Expr.mbi:1316:10-84
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1316:10-84
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1304:72-1317:7
    @staticmethod
    def _match_dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_e,_1_m, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_match_Lmosek_4fusion_4Matrix_2__(_1_m))
    @staticmethod
    def _match_alt_dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_e,_1_m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_1_m))
    @staticmethod
    def _dot_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_t__0_e,_t__1_m):
      return mosek_fusion_Expr._dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_0_e,_1_m)
    @staticmethod
    def _dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_0_e,_1_m):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1289:79-1302:7
      _2_nnz=_1_m._numNonzeros_() # bld/herlev/final/default/src/fusion/Expr.mbi:1290:12-15
      if (not _1_m._isSparse_()): # bld/herlev/final/default/src/fusion/Expr.mbi:1291:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1292:10-84
        return (mosek_fusion_ExprInner._ctor_Lmosek_4fusion_4Expression_2_3J_3D(_0_e,numpy.array([_3_i for _3_i in range(0,_2_nnz)], dtype=numpy.dtype(numpy.int64)),_1_m._getDataAsArray_())) # bld/herlev/final/default/src/fusion/Expr.mbi:1292:10-84
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1292:10-84
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1293:13-1301:9
        _4_subi=numpy.zeros((_2_nnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1294:14-18
        _5_subj=numpy.zeros((_2_nnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1295:14-18
        _6_cof=numpy.zeros((_2_nnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1296:14-17
        _7_dimj=_1_m._numColumns_() # bld/herlev/final/default/src/fusion/Expr.mbi:1297:14-18
        _1_m._getDataAsTriplets__3I_3I_3D(_4_subi,_5_subj,_6_cof) # bld/herlev/final/default/src/fusion/Expr.mbi:1298:10-45
        return (mosek_fusion_ExprInner._ctor_Lmosek_4fusion_4Expression_2_3J_3D(_0_e,numpy.array([((_4_subi[_8_i] * _7_dimj) + _5_subj[_8_i]) for _8_i in range(0,int((_4_subi).shape[0]))], dtype=numpy.dtype(numpy.int64)),_6_cof)) # bld/herlev/final/default/src/fusion/Expr.mbi:1300:10-95
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1293:13-1301:9
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1289:79-1302:7
    @staticmethod
    def _match_dot_Lmosek_4fusion_4Expression_2_3_5D(*args):
      if len(args) != 2: return False
      _0_e,_1_c2, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_match__3_5D__(_1_c2))
    @staticmethod
    def _match_alt_dot_Lmosek_4fusion_4Expression_2_3_5D(*args):
      if len(args) != 2: return False
      _0_e,_1_c2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_alt_match__3_5D__(_1_c2))
    @staticmethod
    def _dot_alt_Lmosek_4fusion_4Expression_2_3_5D(_t__0_e,_t__1_c2):
      _0_e=_t__0_e
      _1_c2=numpy.array(_t__1_c2,ndmin=_monty.checkShape(_t__1_c2,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._dot_Lmosek_4fusion_4Expression_2_3_5D(_0_e,_1_c2)
      return _1
    @staticmethod
    def _dot_Lmosek_4fusion_4Expression_2_3_5D(_0_e,_1_c2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1288:79-217
      return (mosek_fusion_ExprInner._ctor_Lmosek_4fusion_4Expression_2_3J_3D(_0_e,numpy.array([_2_i for _2_i in range(0,(int((_1_c2).shape[0]) * int((_1_c2).shape[1])))], dtype=numpy.dtype(numpy.int64)),numpy.array([_1_c2[_3_i,_4_j] for _3_i in range(0,int((_1_c2).shape[0])) for _4_j in range(0,int((_1_c2).shape[1]))], dtype=numpy.dtype(numpy.float64)))) # bld/herlev/final/default/src/fusion/Expr.mbi:1288:81-215
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1288:79-217
    @staticmethod
    def _match_dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args):
      if len(args) != 2: return False
      _0_e,_1_nda, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_match_Lmosek_4fusion_4NDSparseArray_2__(_1_nda))
    @staticmethod
    def _match_alt_dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args):
      if len(args) != 2: return False
      _0_e,_1_nda, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_alt_match_Lmosek_4fusion_4NDSparseArray_2__(_1_nda))
    @staticmethod
    def _dot_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(_t__0_e,_t__1_nda):
      return mosek_fusion_Expr._dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(_0_e,_1_nda)
    @staticmethod
    def _dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(_0_e,_1_nda):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1287:79-126
      return (mosek_fusion_ExprInner._ctor_Lmosek_4fusion_4Expression_2_3J_3D(_0_e,(_1_nda._inst),(_1_nda._cof))) # bld/herlev/final/default/src/fusion/Expr.mbi:1287:81-124
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1287:79-126
    @staticmethod
    def _match_dot_Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      _0_e,_1_c1, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_match__3D__(_1_c1))
    @staticmethod
    def _match_alt_dot_Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      _0_e,_1_c1, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_alt_match__3D__(_1_c1))
    @staticmethod
    def _dot_alt_Lmosek_4fusion_4Expression_2_3D(_t__0_e,_t__1_c1):
      _0_e=_t__0_e
      _1_c1=numpy.array(_t__1_c1,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._dot_Lmosek_4fusion_4Expression_2_3D(_0_e,_1_c1)
      try:
        _t__1_c1[:] = _1_c1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _dot_Lmosek_4fusion_4Expression_2_3D(_0_e,_1_c1):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1271:79-1286:7
      _2_eshape=_0_e._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:1272:12-18
      if ((_0_e._getSize_()==int((_1_c1).shape[0])) and (int((_2_eshape).shape[0]) > 1)): # bld/herlev/final/default/src/fusion/Expr.mbi:1273:12-54
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1273:56-1282:9
        _3_numnotone=0 # bld/herlev/final/default/src/fusion/Expr.mbi:1274:14-23
        _3_numnotone = fragments._c_closure_568(_2_eshape,_3_numnotone) # bld/herlev/final/default/src/fusion/Expr.mbi:1274:29-89
        _3_numnotone = numpy.int32(_3_numnotone) # postprocess
        if (_3_numnotone > 1): # bld/herlev/final/default/src/fusion/Expr.mbi:1275:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1275:29-1277:11
          raise mosek_fusion_DimensionError._ctor_S("Mismatching operand shapes") # bld/herlev/final/default/src/fusion/Expr.mbi:1276:12-67
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1275:29-1277:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1278:15-1281:11
          _4_newshape=numpy.array([numpy.int32(_0_e._getSize_())], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:1279:16-24
          return (mosek_fusion_ExprInner._ctor_Lmosek_4fusion_4Expression_2_3D(mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(_4_newshape,_0_e),_1_c1)) # bld/herlev/final/default/src/fusion/Expr.mbi:1280:12-65
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1278:15-1281:11
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1273:56-1282:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1283:13-1285:9
        return (mosek_fusion_ExprInner._ctor_Lmosek_4fusion_4Expression_2_3D(_0_e,_1_c1)) # bld/herlev/final/default/src/fusion/Expr.mbi:1284:10-38
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1283:13-1285:9
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1271:79-1286:7
    @staticmethod
    def _match_dot_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_m,_1_e, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_m)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _match_alt_dot_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_m,_1_e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_m)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _dot_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_t__0_m,_t__1_e):
      return mosek_fusion_Expr._dot_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_m,_1_e)
    @staticmethod
    def _dot_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_m,_1_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1269:78-99
      return (mosek.fusion.Expr._dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_1_e,_0_m)) # bld/herlev/final/default/src/fusion/Expr.mbi:1269:80-97
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1269:78-99
    @staticmethod
    def _match_dot_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_nda,_1_e, = args
      return (    __arg_match_Lmosek_4fusion_4NDSparseArray_2__(_0_nda)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _match_alt_dot_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_nda,_1_e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4NDSparseArray_2__(_0_nda)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _dot_alt_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_t__0_nda,_t__1_e):
      return mosek_fusion_Expr._dot_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_0_nda,_1_e)
    @staticmethod
    def _dot_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_0_nda,_1_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1268:78-101
      return (mosek.fusion.Expr._dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(_1_e,_0_nda)) # bld/herlev/final/default/src/fusion/Expr.mbi:1268:80-99
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1268:78-101
    @staticmethod
    def _match_dot__3_5DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_c2,_1_e, = args
      return (    __arg_match__3_5D__(_0_c2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _match_alt_dot__3_5DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_c2,_1_e, = args
      return (    __arg_alt_match__3_5D__(_0_c2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _dot_alt__3_5DLmosek_4fusion_4Expression_2(_t__0_c2,_t__1_e):
      _0_c2=numpy.array(_t__0_c2,ndmin=_monty.checkShape(_t__0_c2,2),dtype=numpy.dtype(numpy.float64))
      _1_e=_t__1_e
      _1 = mosek_fusion_Expr._dot__3_5DLmosek_4fusion_4Expression_2(_0_c2,_1_e)
      return _1
    @staticmethod
    def _dot__3_5DLmosek_4fusion_4Expression_2(_0_c2,_1_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1267:78-100
      return (mosek.fusion.Expr._dot_Lmosek_4fusion_4Expression_2_3_5D(_1_e,_0_c2)) # bld/herlev/final/default/src/fusion/Expr.mbi:1267:80-98
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1267:78-100
    @staticmethod
    def _match_dot__3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_c1,_1_e, = args
      return (    __arg_match__3D__(_0_c1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _match_alt_dot__3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_c1,_1_e, = args
      return (    __arg_alt_match__3D__(_0_c1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _dot_alt__3DLmosek_4fusion_4Expression_2(_t__0_c1,_t__1_e):
      _0_c1=numpy.array(_t__0_c1,dtype=numpy.dtype(numpy.float64))
      _1_e=_t__1_e
      _1 = mosek_fusion_Expr._dot__3DLmosek_4fusion_4Expression_2(_0_c1,_1_e)
      try:
        _t__0_c1[:] = _0_c1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _dot__3DLmosek_4fusion_4Expression_2(_0_c1,_1_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1266:78-100
      return (mosek.fusion.Expr._dot_Lmosek_4fusion_4Expression_2_3D(_1_e,_0_c1)) # bld/herlev/final/default/src/fusion/Expr.mbi:1266:80-98
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1266:78-100
    @staticmethod
    def _match_dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_e,_1_p, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_1_p))
    @staticmethod
    def _match_alt_dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_e,_1_p, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_1_p))
    @staticmethod
    def _dot_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_t__0_e,_t__1_p):
      return mosek_fusion_Expr._dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_0_e,_1_p)
    @staticmethod
    def _dot_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_0_e,_1_p):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1264:70-103
      return (mosek_fusion_ExprDotParam._ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_1_p,_0_e)) # bld/herlev/final/default/src/fusion/Expr.mbi:1264:72-101
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1264:70-103
    @staticmethod
    def _match_dot_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_p,_1_e, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(_0_p)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _match_alt_dot_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_p,_1_e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_0_p)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _dot_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_t__0_p,_t__1_e):
      return mosek_fusion_Expr._dot_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_e)
    @staticmethod
    def _dot_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1263:70-103
      return (mosek_fusion_ExprDotParam._ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_e)) # bld/herlev/final/default/src/fusion/Expr.mbi:1263:72-101
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1263:70-103
    @staticmethod
    def _match_outer_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_p,_1_e, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(_0_p)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _match_alt_outer_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_p,_1_e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_0_p)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _outer_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_t__0_p,_t__1_e):
      return mosek_fusion_Expr._outer_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_e)
    @staticmethod
    def _outer_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1250:6-1261:7
      _2_vshape=_1_e._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:1251:12-18
      if (not ((int((_2_vshape).shape[0])==1) or ((int((_2_vshape).shape[0])==2) and (_2_vshape[1]==1)))): # bld/herlev/final/default/src/fusion/Expr.mbi:1252:13-1253:59
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1254:10-82
        raise mosek_fusion_DimensionError._ctor_S("Expression argument must be one-dimensional") # bld/herlev/final/default/src/fusion/Expr.mbi:1254:10-82
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1254:10-82
      _3_pshape=_0_p._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:1255:12-18
      if (not ((_0_p._getND_()==1) or ((_0_p._getND_()==2) and (_3_pshape[1]==1)))): # bld/herlev/final/default/src/fusion/Expr.mbi:1256:13-1257:57
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1258:10-81
        raise mosek_fusion_DimensionError._ctor_S("Parameter argument must be one-dimensional") # bld/herlev/final/default/src/fusion/Expr.mbi:1258:10-81
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1258:10-81
      return (mosek.fusion.Expr._mul_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p._reshape__3I(numpy.array([_3_pshape[0],1], dtype=numpy.dtype(numpy.int32))),mosek.fusion.Expr._reshape_Lmosek_4fusion_4Expression_2II(_1_e,1,_2_vshape[0]))) # bld/herlev/final/default/src/fusion/Expr.mbi:1260:8-90
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1250:6-1261:7
    @staticmethod
    def _match_outer_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_e,_1_p, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_1_p))
    @staticmethod
    def _match_alt_outer_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_e,_1_p, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_1_p))
    @staticmethod
    def _outer_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_t__0_e,_t__1_p):
      return mosek_fusion_Expr._outer_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_0_e,_1_p)
    @staticmethod
    def _outer_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_0_e,_1_p):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1236:6-1247:7
      _2_shape=_0_e._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:1237:12-17
      if (not ((_0_e._getND_()==1) or ((_0_e._getND_()==2) and (_2_shape[1]==1)))): # bld/herlev/final/default/src/fusion/Expr.mbi:1238:13-1239:56
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1240:10-82
        raise mosek_fusion_DimensionError._ctor_S("Expression argument must be one-dimensional") # bld/herlev/final/default/src/fusion/Expr.mbi:1240:10-82
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1240:10-82
      _3_pshape=_1_p._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:1241:12-18
      if (not ((_1_p._getND_()==1) or ((_1_p._getND_()==2) and (_3_pshape[1]==1)))): # bld/herlev/final/default/src/fusion/Expr.mbi:1242:13-1243:57
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1244:10-81
        raise mosek_fusion_DimensionError._ctor_S("Parameter argument must be one-dimensional") # bld/herlev/final/default/src/fusion/Expr.mbi:1244:10-81
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1244:10-81
      return (mosek.fusion.Expr._mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(mosek.fusion.Expr._reshape_Lmosek_4fusion_4Expression_2II(_0_e,_2_shape[0],1),_1_p._reshape__3I(numpy.array([1,_3_pshape[0]], dtype=numpy.dtype(numpy.int32))))) # bld/herlev/final/default/src/fusion/Expr.mbi:1246:8-89
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1236:6-1247:7
    @staticmethod
    def _match_outer_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_m,_1_e, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_m)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _match_alt_outer_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_m,_1_e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_m)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _outer_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_t__0_m,_t__1_e):
      return mosek_fusion_Expr._outer_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_m,_1_e)
    @staticmethod
    def _outer_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_m,_1_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1224:6-1233:7
      _2_vshape=_1_e._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:1225:12-18
      if (not ((int((_2_vshape).shape[0])==1) or ((int((_2_vshape).shape[0])==2) and (_2_vshape[1]==1)))): # bld/herlev/final/default/src/fusion/Expr.mbi:1226:13-1227:59
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1228:10-82
        raise mosek_fusion_DimensionError._ctor_S("Expression argument must be one-dimensional") # bld/herlev/final/default/src/fusion/Expr.mbi:1228:10-82
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1228:10-82
      if ((_0_m._dimj)!=1): # bld/herlev/final/default/src/fusion/Expr.mbi:1229:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1230:10-78
        raise mosek_fusion_DimensionError._ctor_S("Constant matrix must be a column-vector") # bld/herlev/final/default/src/fusion/Expr.mbi:1230:10-78
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1230:10-78
      return (mosek.fusion.Expr._mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_m,mosek.fusion.Expr._reshape_Lmosek_4fusion_4Expression_2II(_1_e,1,_2_vshape[0]))) # bld/herlev/final/default/src/fusion/Expr.mbi:1232:8-57
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1224:6-1233:7
    @staticmethod
    def _match_outer_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_e,_1_m, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_match_Lmosek_4fusion_4Matrix_2__(_1_m))
    @staticmethod
    def _match_alt_outer_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_e,_1_m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_1_m))
    @staticmethod
    def _outer_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_t__0_e,_t__1_m):
      return mosek_fusion_Expr._outer_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_0_e,_1_m)
    @staticmethod
    def _outer_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_0_e,_1_m):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1212:6-1221:7
      _2_shape=_0_e._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:1213:12-17
      if (not ((_0_e._getND_()==1) or ((_0_e._getND_()==2) and (_2_shape[1]==1)))): # bld/herlev/final/default/src/fusion/Expr.mbi:1214:13-1215:56
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1216:10-82
        raise mosek_fusion_DimensionError._ctor_S("Expression argument must be one-dimensional") # bld/herlev/final/default/src/fusion/Expr.mbi:1216:10-82
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1216:10-82
      if ((_1_m._dimj)!=1): # bld/herlev/final/default/src/fusion/Expr.mbi:1217:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1218:10-78
        raise mosek_fusion_DimensionError._ctor_S("Constant matrix must be a column-vector") # bld/herlev/final/default/src/fusion/Expr.mbi:1218:10-78
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1218:10-78
      return (mosek.fusion.Expr._mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(mosek.fusion.Expr._reshape_Lmosek_4fusion_4Expression_2II(_0_e,_2_shape[0],1),_1_m._transpose_())) # bld/herlev/final/default/src/fusion/Expr.mbi:1220:8-68
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1212:6-1221:7
    @staticmethod
    def _match_outer__3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a,_1_e, = args
      return (    __arg_match__3D__(_0_a)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _match_alt_outer__3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a,_1_e, = args
      return (    __arg_alt_match__3D__(_0_a)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e))
    @staticmethod
    def _outer_alt__3DLmosek_4fusion_4Expression_2(_t__0_a,_t__1_e):
      _0_a=numpy.array(_t__0_a,dtype=numpy.dtype(numpy.float64))
      _1_e=_t__1_e
      _1 = mosek_fusion_Expr._outer__3DLmosek_4fusion_4Expression_2(_0_a,_1_e)
      try:
        _t__0_a[:] = _0_a
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _outer__3DLmosek_4fusion_4Expression_2(_0_a,_1_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1202:6-1209:7
      _2_shape=_1_e._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:1203:12-17
      if (not ((_1_e._getND_()==1) or ((_1_e._getND_()==2) and (_2_shape[1]==1)))): # bld/herlev/final/default/src/fusion/Expr.mbi:1204:13-1205:57
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1206:10-82
        raise mosek_fusion_DimensionError._ctor_S("Expression argument must be one-dimensional") # bld/herlev/final/default/src/fusion/Expr.mbi:1206:10-82
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1206:10-82
      return (mosek.fusion.Expr._mul_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(mosek.fusion.Matrix._dense_II_3D(int((_0_a).shape[0]),1,_0_a),mosek.fusion.Expr._reshape_Lmosek_4fusion_4Expression_2II(_1_e,1,_2_shape[0]))) # bld/herlev/final/default/src/fusion/Expr.mbi:1208:8-79
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1202:6-1209:7
    @staticmethod
    def _match_outer_Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      _0_e,_1_a, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_match__3D__(_1_a))
    @staticmethod
    def _match_alt_outer_Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      _0_e,_1_a, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_alt_match__3D__(_1_a))
    @staticmethod
    def _outer_alt_Lmosek_4fusion_4Expression_2_3D(_t__0_e,_t__1_a):
      _0_e=_t__0_e
      _1_a=numpy.array(_t__1_a,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._outer_Lmosek_4fusion_4Expression_2_3D(_0_e,_1_a)
      try:
        _t__1_a[:] = _1_a
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _outer_Lmosek_4fusion_4Expression_2_3D(_0_e,_1_a):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1192:6-1199:7
      _2_shape=_0_e._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:1193:12-17
      if (not ((_0_e._getND_()==1) or ((_0_e._getND_()==2) and (_2_shape[1]==1)))): # bld/herlev/final/default/src/fusion/Expr.mbi:1194:13-1195:56
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1196:10-82
        raise mosek_fusion_DimensionError._ctor_S("Expression argument must be one-dimensional") # bld/herlev/final/default/src/fusion/Expr.mbi:1196:10-82
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1196:10-82
      return (mosek.fusion.Expr._mul_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(mosek.fusion.Expr._reshape_Lmosek_4fusion_4Expression_2II(_0_e,_2_shape[0],1),mosek.fusion.Matrix._dense_II_3D(1,int((_1_a).shape[0]),_1_a))) # bld/herlev/final/default/src/fusion/Expr.mbi:1198:8-79
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1192:6-1199:7
    @staticmethod
    def __outer_1_alt_I_3J_3J_3D_3D_3J_3D_3IIZ(_t__0_edim,_t__1_eptrb,_t__2_esubj,_t__3_ecof,_t__4_ebfix,_t__5_einst,_t__6_a,_t__7_sub,_t__8_dim,_t__9_transpose):
      _0_edim=numpy.int32(_t__0_edim)
      _1_eptrb=numpy.array(_t__1_eptrb,dtype=numpy.dtype(numpy.int64))
      _2_esubj=numpy.array(_t__2_esubj,dtype=numpy.dtype(numpy.int64))
      _3_ecof=numpy.array(_t__3_ecof,dtype=numpy.dtype(numpy.float64))
      _4_ebfix=numpy.array(_t__4_ebfix,dtype=numpy.dtype(numpy.float64))
      _5_einst=numpy.array(_t__5_einst,dtype=numpy.dtype(numpy.int64))
      _6_a=numpy.array(_t__6_a,dtype=numpy.dtype(numpy.float64))
      _7_sub=numpy.array(_t__7_sub,dtype=numpy.dtype(numpy.int32))
      _8_dim=numpy.int32(_t__8_dim)
      _9_transpose=_t__9_transpose
      _1 = mosek_fusion_Expr.__outer_1_I_3J_3J_3D_3D_3J_3D_3IIZ(_0_edim,_1_eptrb,_2_esubj,_3_ecof,_4_ebfix,_5_einst,_6_a,_7_sub,_8_dim,_9_transpose)
      try:
        _t__1_eptrb[:] = _1_eptrb
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_esubj[:] = _2_esubj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_ecof[:] = _3_ecof
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_ebfix[:] = _4_ebfix
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__5_einst[:] = _5_einst
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__6_a[:] = _6_a
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__7_sub[:] = _7_sub
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __outer_1_I_3J_3J_3D_3D_3J_3D_3IIZ(_0_edim,_1_eptrb,_2_esubj,_3_ecof,_4_ebfix,_5_einst,_6_a,_7_sub,_8_dim,_9_transpose):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1106:6-1189:7
      _10_shape=(mosek.fusion.Set._make_II(_0_edim,_8_dim) if ((not _9_transpose) ) else mosek.fusion.Set._make_II(_8_dim,_0_edim)) # bld/herlev/final/default/src/fusion/Expr.mbi:1107:12-17
      _11_nnzelm=(int((_6_a).shape[0]) * int((_5_einst).shape[0])) # bld/herlev/final/default/src/fusion/Expr.mbi:1109:12-24
      _12_nnz=(int((_6_a).shape[0]) * int((_2_esubj).shape[0])) # bld/herlev/final/default/src/fusion/Expr.mbi:1110:12-24
      _13_inst=numpy.zeros((_11_nnzelm,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1115:12-24
      _14_bfix=(numpy.zeros((_11_nnzelm,), dtype=numpy.dtype(numpy.float64)) if ((_4_ebfix is not None) ) else None) # bld/herlev/final/default/src/fusion/Expr.mbi:1114:12-25
      _15_cof=numpy.zeros((_12_nnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1113:12-25
      _16_subj=numpy.zeros((_12_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1112:12-24
      _17_ptrb=numpy.zeros(((_11_nnzelm + 1),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1111:12-24
      _18_ennz=numpy.int32(_17_ptrb[(int((_17_ptrb).shape[0]) - 1)]) # bld/herlev/final/default/src/fusion/Expr.mbi:1117:12-16
      if (not _9_transpose): # bld/herlev/final/default/src/fusion/Expr.mbi:1119:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1120:8-1152:9
        fragments._c_closure_569(_6_a,_14_bfix,_15_cof,_8_dim,_4_ebfix,_3_ecof,_5_einst,_1_eptrb,_2_esubj,_17_ptrb,_7_sub,_16_subj) # bld/herlev/final/default/src/fusion/Expr.mbi:1120:8-1152:9
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1120:8-1152:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1154:8-1186:9
        _19_k=0 # bld/herlev/final/default/src/fusion/Expr.mbi:1155:14-15
        _20_ptr=0 # bld/herlev/final/default/src/fusion/Expr.mbi:1156:14-17
        for _21_j in range(0,int((_6_a).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:1157:10-1172:11
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1158:10-1172:11
          _22_c=_6_a[_21_j] # bld/herlev/final/default/src/fusion/Expr.mbi:1159:16-17
          mosek.fusion.Utils.Tools._arraycopy__3JJ_3JJJ(_2_esubj,0,_16_subj,_20_ptr,_18_ennz) # bld/herlev/final/default/src/fusion/Expr.mbi:1160:12-57
          fragments._c_closure_570(_6_a,_15_cof,_3_ecof,_18_ennz,_21_j,_20_ptr) # bld/herlev/final/default/src/fusion/Expr.mbi:1161:12-62
          _19_k = fragments._c_closure_571(_8_dim,_5_einst,_1_eptrb,_21_j,_19_k,_17_ptrb,_7_sub) # bld/herlev/final/default/src/fusion/Expr.mbi:1163:12-1170:13
          _19_k = numpy.int64(_19_k) # postprocess
          _20_ptr += _18_ennz # bld/herlev/final/default/src/fusion/Expr.mbi:1171:12-24
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1158:10-1172:11
        fragments._c_closure_572(_6_a,_14_bfix,_4_ebfix,_5_einst) # bld/herlev/final/default/src/fusion/Expr.mbi:1174:10-1185:11
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1154:8-1186:9
      return (mosek_fusion_Expr._ctor__3J_3J_3D_3D_3I_3J(_17_ptrb,_16_subj,_15_cof,_14_bfix,_10_shape,_13_inst)) # bld/herlev/final/default/src/fusion/Expr.mbi:1188:8-55
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1106:6-1189:7
    @staticmethod
    def __outer_1_alt_Lmosek_4fusion_4Variable_2I_3D_3IIZ(_t__0_v,_t__1_vdim,_t__2_a,_t__3_sub,_t__4_dim,_t__5_transpose):
      _0_v=_t__0_v
      _1_vdim=numpy.int32(_t__1_vdim)
      _2_a=numpy.array(_t__2_a,dtype=numpy.dtype(numpy.float64))
      _3_sub=numpy.array(_t__3_sub,dtype=numpy.dtype(numpy.int32))
      _4_dim=numpy.int32(_t__4_dim)
      _5_transpose=_t__5_transpose
      _1 = mosek_fusion_Expr.__outer_1_Lmosek_4fusion_4Variable_2I_3D_3IIZ(_0_v,_1_vdim,_2_a,_3_sub,_4_dim,_5_transpose)
      try:
        _t__2_a[:] = _2_a
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_sub[:] = _3_sub
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __outer_1_Lmosek_4fusion_4Variable_2I_3D_3IIZ(_0_v,_1_vdim,_2_a,_3_sub,_4_dim,_5_transpose):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1016:6-1081:7
      _6_shape=(mosek.fusion.Set._make_II(_1_vdim,_4_dim) if ((not _5_transpose) ) else mosek.fusion.Set._make_II(_4_dim,_1_vdim)) # bld/herlev/final/default/src/fusion/Expr.mbi:1018:12-17
      _7_inst=(None if ((_4_dim==int((_2_a).shape[0])) ) else numpy.zeros(((int((_2_a).shape[0]) * _1_vdim),), dtype=numpy.dtype(numpy.int64))) # bld/herlev/final/default/src/fusion/Expr.mbi:1023:12-25
      _8_bfix=numpy.zeros(((int((_2_a).shape[0]) * _1_vdim),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1022:12-26
      _9_cof=numpy.zeros(((int((_2_a).shape[0]) * _1_vdim),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1021:12-26
      _10_subj=numpy.zeros(((int((_2_a).shape[0]) * _1_vdim),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1020:12-25
      _11_ptrb=numpy.zeros((((int((_2_a).shape[0]) * _1_vdim) + 1),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:1019:12-25
      fragments._c_closure_573(_2_a,_9_cof,_4_dim,_7_inst,_11_ptrb,_3_sub,_10_subj,_5_transpose,_1_vdim) # bld/herlev/final/default/src/fusion/Expr.mbi:1025:8-1078:9
      return (mosek_fusion_Expr._ctor__3J_3J_3D_3D_3I_3J(_11_ptrb,_10_subj,_9_cof,_8_bfix,_6_shape,_7_inst)) # bld/herlev/final/default/src/fusion/Expr.mbi:1080:8-55
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1016:6-1081:7
    @staticmethod
    def _match_stack__3_3Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_exprs, = args
      return (    __arg_match__3_3Lmosek_4fusion_4Expression_2__(_0_exprs))
    @staticmethod
    def _match_alt_stack__3_3Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_exprs, = args
      return (    __arg_alt_match__3_3Lmosek_4fusion_4Expression_2__(_0_exprs))
    @staticmethod
    def _stack_alt__3_3Lmosek_4fusion_4Expression_2(_t__0_exprs):
      _0_exprs=_monty.makeJaggedArray(_t__0_exprs,(1,1),numpy.dtype(object))
      _1 = mosek_fusion_Expr._stack__3_3Lmosek_4fusion_4Expression_2(_0_exprs)
      try:
        _t__0_exprs[:] = _0_exprs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _stack__3_3Lmosek_4fusion_4Expression_2(_0_exprs):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:996:6-1008:7
      if (_0_exprs is None): # bld/herlev/final/default/src/fusion/Expr.mbi:997:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:997:27-92
        raise ValueError("Argument exprs may not be null") # bld/herlev/final/default/src/fusion/Expr.mbi:997:27-92
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:997:27-92
      for _1_i in range(0,int((_0_exprs).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:998:8-1004:9
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:999:8-1004:9
        _2_es=_0_exprs[_1_i] # bld/herlev/final/default/src/fusion/Expr.mbi:1000:14-16
        if (_2_es is None): # bld/herlev/final/default/src/fusion/Expr.mbi:1001:14-24
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1001:26-96
          raise ValueError("Arguments for stack may not be null") # bld/herlev/final/default/src/fusion/Expr.mbi:1001:26-96
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1001:26-96
        for _3_j in range(0,int((_2_es).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:1002:10-1003:101
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1003:12-101
          if (_2_es[_3_j] is None): # bld/herlev/final/default/src/fusion/Expr.mbi:1003:16-29
            # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1003:31-101
            raise ValueError("Arguments for stack may not be null") # bld/herlev/final/default/src/fusion/Expr.mbi:1003:31-101
            # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1003:31-101
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:1003:12-101
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:999:8-1004:9
      _4_tmp=numpy.array([mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(_0_exprs[_5_i],1) for _5_i in range(0,int((_0_exprs).shape[0]))], dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Expr.mbi:1005:12-15
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(_4_tmp,0)) # bld/herlev/final/default/src/fusion/Expr.mbi:1007:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:996:6-1008:7
    @staticmethod
    def _match_vstack_DDD(*args):
      if len(args) != 3: return False
      _0_a1,_1_a2,_2_a3, = args
      return (    __arg_match_D__(_0_a1)
              and __arg_match_D__(_1_a2)
              and __arg_match_D__(_2_a3))
    @staticmethod
    def _match_alt_vstack_DDD(*args):
      if len(args) != 3: return False
      _0_a1,_1_a2,_2_a3, = args
      return (    __arg_alt_match_D__(_0_a1)
              and __arg_alt_match_D__(_1_a2)
              and __arg_alt_match_D__(_2_a3))
    @staticmethod
    def _vstack_alt_DDD(_t__0_a1,_t__1_a2,_t__2_a3):
      return mosek_fusion_Expr._vstack_DDD(numpy.float64(__0_a1),numpy.float64(__1_a2),numpy.float64(__2_a3))
    @staticmethod
    def _vstack_DDD(_0_a1,_1_a2,_2_a3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:984:89-160
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([mosek.fusion.Expr._constTerm_D(_0_a1),mosek.fusion.Expr._constTerm_D(_1_a2),mosek.fusion.Expr._constTerm_D(_2_a3)], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Expr.mbi:984:91-158
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:984:89-160
    @staticmethod
    def _match_vstack_DDLmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_a1,_1_a2,_2_e3, = args
      return (    __arg_match_D__(_0_a1)
              and __arg_match_D__(_1_a2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _match_alt_vstack_DDLmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_a1,_1_a2,_2_e3, = args
      return (    __arg_alt_match_D__(_0_a1)
              and __arg_alt_match_D__(_1_a2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _vstack_alt_DDLmosek_4fusion_4Expression_2(_t__0_a1,_t__1_a2,_t__2_e3):
      return mosek_fusion_Expr._vstack_DDLmosek_4fusion_4Expression_2(numpy.float64(__0_a1),numpy.float64(__1_a2),_2_e3)
    @staticmethod
    def _vstack_DDLmosek_4fusion_4Expression_2(_0_a1,_1_a2,_2_e3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:983:89-149
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([mosek.fusion.Expr._constTerm_D(_0_a1),mosek.fusion.Expr._constTerm_D(_1_a2),_2_e3], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Expr.mbi:983:91-147
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:983:89-149
    @staticmethod
    def _match_vstack_DLmosek_4fusion_4Expression_2D(*args):
      if len(args) != 3: return False
      _0_a1,_1_e2,_2_a3, = args
      return (    __arg_match_D__(_0_a1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_match_D__(_2_a3))
    @staticmethod
    def _match_alt_vstack_DLmosek_4fusion_4Expression_2D(*args):
      if len(args) != 3: return False
      _0_a1,_1_e2,_2_a3, = args
      return (    __arg_alt_match_D__(_0_a1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_alt_match_D__(_2_a3))
    @staticmethod
    def _vstack_alt_DLmosek_4fusion_4Expression_2D(_t__0_a1,_t__1_e2,_t__2_a3):
      return mosek_fusion_Expr._vstack_DLmosek_4fusion_4Expression_2D(numpy.float64(__0_a1),_1_e2,numpy.float64(__2_a3))
    @staticmethod
    def _vstack_DLmosek_4fusion_4Expression_2D(_0_a1,_1_e2,_2_a3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:982:89-149
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([mosek.fusion.Expr._constTerm_D(_0_a1),_1_e2,mosek.fusion.Expr._constTerm_D(_2_a3)], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Expr.mbi:982:91-147
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:982:89-149
    @staticmethod
    def _match_vstack_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_a1,_1_e2,_2_e3, = args
      return (    __arg_match_D__(_0_a1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _match_alt_vstack_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_a1,_1_e2,_2_e3, = args
      return (    __arg_alt_match_D__(_0_a1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _vstack_alt_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_t__0_a1,_t__1_e2,_t__2_e3):
      return mosek_fusion_Expr._vstack_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(numpy.float64(__0_a1),_1_e2,_2_e3)
    @staticmethod
    def _vstack_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_a1,_1_e2,_2_e3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:981:89-138
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([mosek.fusion.Expr._constTerm_D(_0_a1),_1_e2,_2_e3], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Expr.mbi:981:91-136
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:981:89-138
    @staticmethod
    def _match_vstack_Lmosek_4fusion_4Expression_2DD(*args):
      if len(args) != 3: return False
      _0_e1,_1_a2,_2_a3, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_D__(_1_a2)
              and __arg_match_D__(_2_a3))
    @staticmethod
    def _match_alt_vstack_Lmosek_4fusion_4Expression_2DD(*args):
      if len(args) != 3: return False
      _0_e1,_1_a2,_2_a3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_D__(_1_a2)
              and __arg_alt_match_D__(_2_a3))
    @staticmethod
    def _vstack_alt_Lmosek_4fusion_4Expression_2DD(_t__0_e1,_t__1_a2,_t__2_a3):
      return mosek_fusion_Expr._vstack_Lmosek_4fusion_4Expression_2DD(_0_e1,numpy.float64(__1_a2),numpy.float64(__2_a3))
    @staticmethod
    def _vstack_Lmosek_4fusion_4Expression_2DD(_0_e1,_1_a2,_2_a3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:979:93-153
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_0_e1,mosek.fusion.Expr._constTerm_D(_1_a2),mosek.fusion.Expr._constTerm_D(_2_a3)], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Expr.mbi:979:95-151
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:979:93-153
    @staticmethod
    def _match_vstack_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_e1,_1_a2,_2_e3, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_D__(_1_a2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _match_alt_vstack_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_e1,_1_a2,_2_e3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_D__(_1_a2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _vstack_alt_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(_t__0_e1,_t__1_a2,_t__2_e3):
      return mosek_fusion_Expr._vstack_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(_0_e1,numpy.float64(__1_a2),_2_e3)
    @staticmethod
    def _vstack_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(_0_e1,_1_a2,_2_e3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:978:93-142
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_0_e1,mosek.fusion.Expr._constTerm_D(_1_a2),_2_e3], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Expr.mbi:978:95-140
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:978:93-142
    @staticmethod
    def _match_vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 3: return False
      _0_e1,_1_e2,_2_a3, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_match_D__(_2_a3))
    @staticmethod
    def _match_alt_vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 3: return False
      _0_e1,_1_e2,_2_a3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_alt_match_D__(_2_a3))
    @staticmethod
    def _vstack_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(_t__0_e1,_t__1_e2,_t__2_a3):
      return mosek_fusion_Expr._vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(_0_e1,_1_e2,numpy.float64(__2_a3))
    @staticmethod
    def _vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(_0_e1,_1_e2,_2_a3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:977:93-142
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_0_e1,_1_e2,mosek.fusion.Expr._constTerm_D(_2_a3)], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Expr.mbi:977:95-140
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:977:93-142
    @staticmethod
    def _match_vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_e1,_1_e2,_2_e3, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _match_alt_vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_e1,_1_e2,_2_e3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _vstack_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_t__0_e1,_t__1_e2,_t__2_e3):
      return mosek_fusion_Expr._vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_e1,_1_e2,_2_e3)
    @staticmethod
    def _vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_e1,_1_e2,_2_e3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:976:93-131
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_0_e1,_1_e2,_2_e3], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Expr.mbi:976:95-129
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:976:93-131
    @staticmethod
    def _match_vstack_DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a1,_1_e2, = args
      return (    __arg_match_D__(_0_a1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_vstack_DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a1,_1_e2, = args
      return (    __arg_alt_match_D__(_0_a1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _vstack_alt_DLmosek_4fusion_4Expression_2(_t__0_a1,_t__1_e2):
      return mosek_fusion_Expr._vstack_DLmosek_4fusion_4Expression_2(numpy.float64(__0_a1),_1_e2)
    @staticmethod
    def _vstack_DLmosek_4fusion_4Expression_2(_0_a1,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:972:74-120
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([mosek.fusion.Expr._constTerm_D(_0_a1),_1_e2], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Expr.mbi:972:76-118
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:972:74-120
    @staticmethod
    def _match_vstack_Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 2: return False
      _0_e1,_1_a2, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_D__(_1_a2))
    @staticmethod
    def _match_alt_vstack_Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 2: return False
      _0_e1,_1_a2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_D__(_1_a2))
    @staticmethod
    def _vstack_alt_Lmosek_4fusion_4Expression_2D(_t__0_e1,_t__1_a2):
      return mosek_fusion_Expr._vstack_Lmosek_4fusion_4Expression_2D(_0_e1,numpy.float64(__1_a2))
    @staticmethod
    def _vstack_Lmosek_4fusion_4Expression_2D(_0_e1,_1_a2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:971:78-124
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_0_e1,mosek.fusion.Expr._constTerm_D(_1_a2)], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Expr.mbi:971:80-122
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:971:78-124
    @staticmethod
    def _match_vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_e2, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_e2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _vstack_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_t__0_e1,_t__1_e2):
      return mosek_fusion_Expr._vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_e1,_1_e2)
    @staticmethod
    def _vstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_e1,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:970:78-113
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_0_e1,_1_e2], dtype=numpy.dtype(object)),0)) # bld/herlev/final/default/src/fusion/Expr.mbi:970:80-111
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:970:78-113
    @staticmethod
    def _match_vstack__3Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_exprs, = args
      return (    __arg_match__3Lmosek_4fusion_4Expression_2__(_0_exprs))
    @staticmethod
    def _match_alt_vstack__3Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_exprs, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Expression_2__(_0_exprs))
    @staticmethod
    def _vstack_alt__3Lmosek_4fusion_4Expression_2(_t__0_exprs):
      _0_exprs=numpy.array(_t__0_exprs,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Expr._vstack__3Lmosek_4fusion_4Expression_2(_0_exprs)
      try:
        _t__0_exprs[:] = _0_exprs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _vstack__3Lmosek_4fusion_4Expression_2(_0_exprs):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:961:6-966:7
      if (_0_exprs is None): # bld/herlev/final/default/src/fusion/Expr.mbi:962:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:962:27-92
        raise ValueError("Argument exprs may not be null") # bld/herlev/final/default/src/fusion/Expr.mbi:962:27-92
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:962:27-92
      for _1_i in range(0,int((_0_exprs).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:963:8-964:103
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:964:10-103
        if (_0_exprs[_1_i] is None): # bld/herlev/final/default/src/fusion/Expr.mbi:964:14-30
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:964:32-103
          raise ValueError("Arguments for vstack may not be null") # bld/herlev/final/default/src/fusion/Expr.mbi:964:32-103
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:964:32-103
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:964:10-103
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(_0_exprs,0)) # bld/herlev/final/default/src/fusion/Expr.mbi:965:8-31
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:961:6-966:7
    @staticmethod
    def _match_hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_e1,_1_e2,_2_e3, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _match_alt_hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_e1,_1_e2,_2_e3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _hstack_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_t__0_e1,_t__1_e2,_t__2_e3):
      return mosek_fusion_Expr._hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_e1,_1_e2,_2_e3)
    @staticmethod
    def _hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_e1,_1_e2,_2_e3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:951:93-250
      if ((_0_e1 is None) or ((_1_e2 is None) or (_2_e3 is None))): # bld/herlev/final/default/src/fusion/Expr.mbi:951:99-137
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:951:139-213
        raise ValueError("Arguments e1, e2 and e3 may not be null") # bld/herlev/final/default/src/fusion/Expr.mbi:951:139-213
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:951:139-213
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_0_e1,_1_e2,_2_e3], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Expr.mbi:951:214-248
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:951:93-250
    @staticmethod
    def _match_hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 3: return False
      _0_e1,_1_e2,_2_a3, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_match_D__(_2_a3))
    @staticmethod
    def _match_alt_hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 3: return False
      _0_e1,_1_e2,_2_a3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_alt_match_D__(_2_a3))
    @staticmethod
    def _hstack_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(_t__0_e1,_t__1_e2,_t__2_a3):
      return mosek_fusion_Expr._hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(_0_e1,_1_e2,numpy.float64(__2_a3))
    @staticmethod
    def _hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(_0_e1,_1_e2,_2_a3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:920:93-153
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_0_e1,_1_e2,mosek.fusion.Expr._constTerm_D(_2_a3)], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Expr.mbi:920:95-151
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:920:93-153
    @staticmethod
    def _match_hstack_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_e1,_1_a2,_2_e3, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_D__(_1_a2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _match_alt_hstack_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_e1,_1_a2,_2_e3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_D__(_1_a2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _hstack_alt_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(_t__0_e1,_t__1_a2,_t__2_e3):
      return mosek_fusion_Expr._hstack_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(_0_e1,numpy.float64(__1_a2),_2_e3)
    @staticmethod
    def _hstack_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(_0_e1,_1_a2,_2_e3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:919:93-153
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_0_e1,mosek.fusion.Expr._constTerm_D(_1_a2),_2_e3], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Expr.mbi:919:95-151
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:919:93-153
    @staticmethod
    def _match_hstack_Lmosek_4fusion_4Expression_2DD(*args):
      if len(args) != 3: return False
      _0_e1,_1_a2,_2_a3, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_D__(_1_a2)
              and __arg_match_D__(_2_a3))
    @staticmethod
    def _match_alt_hstack_Lmosek_4fusion_4Expression_2DD(*args):
      if len(args) != 3: return False
      _0_e1,_1_a2,_2_a3, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_D__(_1_a2)
              and __arg_alt_match_D__(_2_a3))
    @staticmethod
    def _hstack_alt_Lmosek_4fusion_4Expression_2DD(_t__0_e1,_t__1_a2,_t__2_a3):
      return mosek_fusion_Expr._hstack_Lmosek_4fusion_4Expression_2DD(_0_e1,numpy.float64(__1_a2),numpy.float64(__2_a3))
    @staticmethod
    def _hstack_Lmosek_4fusion_4Expression_2DD(_0_e1,_1_a2,_2_a3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:918:93-153
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_0_e1,mosek.fusion.Expr._constTerm_D(_1_a2),mosek.fusion.Expr._constTerm_D(_2_a3)], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Expr.mbi:918:95-151
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:918:93-153
    @staticmethod
    def _match_hstack_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_a1,_1_e2,_2_e3, = args
      return (    __arg_match_D__(_0_a1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _match_alt_hstack_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_a1,_1_e2,_2_e3, = args
      return (    __arg_alt_match_D__(_0_a1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _hstack_alt_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_t__0_a1,_t__1_e2,_t__2_e3):
      return mosek_fusion_Expr._hstack_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(numpy.float64(__0_a1),_1_e2,_2_e3)
    @staticmethod
    def _hstack_DLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_a1,_1_e2,_2_e3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:916:93-164
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([mosek.fusion.Expr._constTerm_D(_0_a1),_1_e2,_2_e3], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Expr.mbi:916:95-162
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:916:93-164
    @staticmethod
    def _match_hstack_DLmosek_4fusion_4Expression_2D(*args):
      if len(args) != 3: return False
      _0_a1,_1_e2,_2_a3, = args
      return (    __arg_match_D__(_0_a1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_match_D__(_2_a3))
    @staticmethod
    def _match_alt_hstack_DLmosek_4fusion_4Expression_2D(*args):
      if len(args) != 3: return False
      _0_a1,_1_e2,_2_a3, = args
      return (    __arg_alt_match_D__(_0_a1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2)
              and __arg_alt_match_D__(_2_a3))
    @staticmethod
    def _hstack_alt_DLmosek_4fusion_4Expression_2D(_t__0_a1,_t__1_e2,_t__2_a3):
      return mosek_fusion_Expr._hstack_DLmosek_4fusion_4Expression_2D(numpy.float64(__0_a1),_1_e2,numpy.float64(__2_a3))
    @staticmethod
    def _hstack_DLmosek_4fusion_4Expression_2D(_0_a1,_1_e2,_2_a3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:915:93-164
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([mosek.fusion.Expr._constTerm_D(_0_a1),_1_e2,mosek.fusion.Expr._constTerm_D(_2_a3)], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Expr.mbi:915:95-162
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:915:93-164
    @staticmethod
    def _match_hstack_DDLmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_a1,_1_a2,_2_e3, = args
      return (    __arg_match_D__(_0_a1)
              and __arg_match_D__(_1_a2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _match_alt_hstack_DDLmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_a1,_1_a2,_2_e3, = args
      return (    __arg_alt_match_D__(_0_a1)
              and __arg_alt_match_D__(_1_a2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_2_e3))
    @staticmethod
    def _hstack_alt_DDLmosek_4fusion_4Expression_2(_t__0_a1,_t__1_a2,_t__2_e3):
      return mosek_fusion_Expr._hstack_DDLmosek_4fusion_4Expression_2(numpy.float64(__0_a1),numpy.float64(__1_a2),_2_e3)
    @staticmethod
    def _hstack_DDLmosek_4fusion_4Expression_2(_0_a1,_1_a2,_2_e3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:914:93-164
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([mosek.fusion.Expr._constTerm_D(_0_a1),mosek.fusion.Expr._constTerm_D(_1_a2),_2_e3], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Expr.mbi:914:95-162
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:914:93-164
    @staticmethod
    def _match_hstack_DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a1,_1_e2, = args
      return (    __arg_match_D__(_0_a1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_hstack_DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a1,_1_e2, = args
      return (    __arg_alt_match_D__(_0_a1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _hstack_alt_DLmosek_4fusion_4Expression_2(_t__0_a1,_t__1_e2):
      return mosek_fusion_Expr._hstack_DLmosek_4fusion_4Expression_2(numpy.float64(__0_a1),_1_e2)
    @staticmethod
    def _hstack_DLmosek_4fusion_4Expression_2(_0_a1,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:912:76-122
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([mosek.fusion.Expr._constTerm_D(_0_a1),_1_e2], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Expr.mbi:912:78-120
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:912:76-122
    @staticmethod
    def _match_hstack_Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 2: return False
      _0_e1,_1_a2, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_D__(_1_a2))
    @staticmethod
    def _match_alt_hstack_Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 2: return False
      _0_e1,_1_a2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_D__(_1_a2))
    @staticmethod
    def _hstack_alt_Lmosek_4fusion_4Expression_2D(_t__0_e1,_t__1_a2):
      return mosek_fusion_Expr._hstack_Lmosek_4fusion_4Expression_2D(_0_e1,numpy.float64(__1_a2))
    @staticmethod
    def _hstack_Lmosek_4fusion_4Expression_2D(_0_e1,_1_a2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:911:78-124
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_0_e1,mosek.fusion.Expr._constTerm_D(_1_a2)], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Expr.mbi:911:80-122
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:911:78-124
    @staticmethod
    def _match_hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_e2, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_e2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _hstack_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_t__0_e1,_t__1_e2):
      return mosek_fusion_Expr._hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_e1,_1_e2)
    @staticmethod
    def _hstack_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_e1,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:910:78-113
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_0_e1,_1_e2], dtype=numpy.dtype(object)),1)) # bld/herlev/final/default/src/fusion/Expr.mbi:910:80-111
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:910:78-113
    @staticmethod
    def _match_hstack__3Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_exprs, = args
      return (    __arg_match__3Lmosek_4fusion_4Expression_2__(_0_exprs))
    @staticmethod
    def _match_alt_hstack__3Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_exprs, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Expression_2__(_0_exprs))
    @staticmethod
    def _hstack_alt__3Lmosek_4fusion_4Expression_2(_t__0_exprs):
      _0_exprs=numpy.array(_t__0_exprs,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Expr._hstack__3Lmosek_4fusion_4Expression_2(_0_exprs)
      try:
        _t__0_exprs[:] = _0_exprs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _hstack__3Lmosek_4fusion_4Expression_2(_0_exprs):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:902:6-908:7
      if (_0_exprs is None): # bld/herlev/final/default/src/fusion/Expr.mbi:903:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:903:27-92
        raise ValueError("Argument exprs may not be null") # bld/herlev/final/default/src/fusion/Expr.mbi:903:27-92
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:903:27-92
      for _1_i in range(0,int((_0_exprs).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:904:8-905:103
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:905:10-103
        if (_0_exprs[_1_i] is None): # bld/herlev/final/default/src/fusion/Expr.mbi:905:14-30
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:905:32-103
          raise ValueError("Arguments for hstack may not be null") # bld/herlev/final/default/src/fusion/Expr.mbi:905:32-103
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:905:32-103
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:905:10-103
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(_0_exprs,1)) # bld/herlev/final/default/src/fusion/Expr.mbi:907:8-31
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:902:6-908:7
    @staticmethod
    def _match_stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 4: return False
      _0_dim,_1_e1,_2_e2,_3_e3, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_2_e2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_3_e3))
    @staticmethod
    def _match_alt_stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 4: return False
      _0_dim,_1_e1,_2_e2,_3_e3, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_2_e2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_3_e3))
    @staticmethod
    def _stack_alt_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_t__0_dim,_t__1_e1,_t__2_e2,_t__3_e3):
      return mosek_fusion_Expr._stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(numpy.int32(__0_dim),_1_e1,_2_e2,_3_e3)
    @staticmethod
    def _stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_dim,_1_e1,_2_e2,_3_e3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:897:103-165
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_1_e1,_2_e2,_3_e3], dtype=numpy.dtype(object)),_0_dim)) # bld/herlev/final/default/src/fusion/Expr.mbi:897:105-163
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:897:103-165
    @staticmethod
    def _match_stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 4: return False
      _0_dim,_1_e1,_2_e2,_3_a3, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_2_e2)
              and __arg_match_D__(_3_a3))
    @staticmethod
    def _match_alt_stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 4: return False
      _0_dim,_1_e1,_2_e2,_3_a3, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_2_e2)
              and __arg_alt_match_D__(_3_a3))
    @staticmethod
    def _stack_alt_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(_t__0_dim,_t__1_e1,_t__2_e2,_t__3_a3):
      return mosek_fusion_Expr._stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(numpy.int32(__0_dim),_1_e1,_2_e2,numpy.float64(__3_a3))
    @staticmethod
    def _stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2D(_0_dim,_1_e1,_2_e2,_3_a3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:896:103-165
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_1_e1,_2_e2,mosek.fusion.Expr._constTerm_D(_3_a3)], dtype=numpy.dtype(object)),_0_dim)) # bld/herlev/final/default/src/fusion/Expr.mbi:896:105-163
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:896:103-165
    @staticmethod
    def _match_stack_ILmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 4: return False
      _0_dim,_1_e1,_2_a2,_3_e3, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e1)
              and __arg_match_D__(_2_a2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_3_e3))
    @staticmethod
    def _match_alt_stack_ILmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 4: return False
      _0_dim,_1_e1,_2_a2,_3_e3, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e1)
              and __arg_alt_match_D__(_2_a2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_3_e3))
    @staticmethod
    def _stack_alt_ILmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(_t__0_dim,_t__1_e1,_t__2_a2,_t__3_e3):
      return mosek_fusion_Expr._stack_ILmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(numpy.int32(__0_dim),_1_e1,numpy.float64(__2_a2),_3_e3)
    @staticmethod
    def _stack_ILmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2(_0_dim,_1_e1,_2_a2,_3_e3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:895:103-165
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_1_e1,mosek.fusion.Expr._constTerm_D(_2_a2),_3_e3], dtype=numpy.dtype(object)),_0_dim)) # bld/herlev/final/default/src/fusion/Expr.mbi:895:105-163
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:895:103-165
    @staticmethod
    def _match_stack_ILmosek_4fusion_4Expression_2DD(*args):
      if len(args) != 4: return False
      _0_dim,_1_e1,_2_a2,_3_a3, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e1)
              and __arg_match_D__(_2_a2)
              and __arg_match_D__(_3_a3))
    @staticmethod
    def _match_alt_stack_ILmosek_4fusion_4Expression_2DD(*args):
      if len(args) != 4: return False
      _0_dim,_1_e1,_2_a2,_3_a3, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e1)
              and __arg_alt_match_D__(_2_a2)
              and __arg_alt_match_D__(_3_a3))
    @staticmethod
    def _stack_alt_ILmosek_4fusion_4Expression_2DD(_t__0_dim,_t__1_e1,_t__2_a2,_t__3_a3):
      return mosek_fusion_Expr._stack_ILmosek_4fusion_4Expression_2DD(numpy.int32(__0_dim),_1_e1,numpy.float64(__2_a2),numpy.float64(__3_a3))
    @staticmethod
    def _stack_ILmosek_4fusion_4Expression_2DD(_0_dim,_1_e1,_2_a2,_3_a3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:894:103-165
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_1_e1,mosek.fusion.Expr._constTerm_D(_2_a2),mosek.fusion.Expr._constTerm_D(_3_a3)], dtype=numpy.dtype(object)),_0_dim)) # bld/herlev/final/default/src/fusion/Expr.mbi:894:105-163
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:894:103-165
    @staticmethod
    def _match_stack_IDLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 4: return False
      _0_dim,_1_a1,_2_e2,_3_e3, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match_D__(_1_a1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_2_e2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_3_e3))
    @staticmethod
    def _match_alt_stack_IDLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 4: return False
      _0_dim,_1_a1,_2_e2,_3_e3, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match_D__(_1_a1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_2_e2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_3_e3))
    @staticmethod
    def _stack_alt_IDLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_t__0_dim,_t__1_a1,_t__2_e2,_t__3_e3):
      return mosek_fusion_Expr._stack_IDLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(numpy.int32(__0_dim),numpy.float64(__1_a1),_2_e2,_3_e3)
    @staticmethod
    def _stack_IDLmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_dim,_1_a1,_2_e2,_3_e3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:892:103-176
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([mosek.fusion.Expr._constTerm_D(_1_a1),_2_e2,_3_e3], dtype=numpy.dtype(object)),_0_dim)) # bld/herlev/final/default/src/fusion/Expr.mbi:892:105-174
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:892:103-176
    @staticmethod
    def _match_stack_IDLmosek_4fusion_4Expression_2D(*args):
      if len(args) != 4: return False
      _0_dim,_1_a1,_2_e2,_3_a3, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match_D__(_1_a1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_2_e2)
              and __arg_match_D__(_3_a3))
    @staticmethod
    def _match_alt_stack_IDLmosek_4fusion_4Expression_2D(*args):
      if len(args) != 4: return False
      _0_dim,_1_a1,_2_e2,_3_a3, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match_D__(_1_a1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_2_e2)
              and __arg_alt_match_D__(_3_a3))
    @staticmethod
    def _stack_alt_IDLmosek_4fusion_4Expression_2D(_t__0_dim,_t__1_a1,_t__2_e2,_t__3_a3):
      return mosek_fusion_Expr._stack_IDLmosek_4fusion_4Expression_2D(numpy.int32(__0_dim),numpy.float64(__1_a1),_2_e2,numpy.float64(__3_a3))
    @staticmethod
    def _stack_IDLmosek_4fusion_4Expression_2D(_0_dim,_1_a1,_2_e2,_3_a3):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:891:103-176
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([mosek.fusion.Expr._constTerm_D(_1_a1),_2_e2,mosek.fusion.Expr._constTerm_D(_3_a3)], dtype=numpy.dtype(object)),_0_dim)) # bld/herlev/final/default/src/fusion/Expr.mbi:891:105-174
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:891:103-176
    @staticmethod
    def _match_stack_IDDLmosek_4fusion_4Expression_2(*args):
      if len(args) != 4: return False
      _0_dim,_1_a1,_2_a2,_3_e1, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match_D__(_1_a1)
              and __arg_match_D__(_2_a2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_3_e1))
    @staticmethod
    def _match_alt_stack_IDDLmosek_4fusion_4Expression_2(*args):
      if len(args) != 4: return False
      _0_dim,_1_a1,_2_a2,_3_e1, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match_D__(_1_a1)
              and __arg_alt_match_D__(_2_a2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_3_e1))
    @staticmethod
    def _stack_alt_IDDLmosek_4fusion_4Expression_2(_t__0_dim,_t__1_a1,_t__2_a2,_t__3_e1):
      return mosek_fusion_Expr._stack_IDDLmosek_4fusion_4Expression_2(numpy.int32(__0_dim),numpy.float64(__1_a1),numpy.float64(__2_a2),_3_e1)
    @staticmethod
    def _stack_IDDLmosek_4fusion_4Expression_2(_0_dim,_1_a1,_2_a2,_3_e1):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:890:103-176
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([mosek.fusion.Expr._constTerm_D(_1_a1),mosek.fusion.Expr._constTerm_D(_2_a2),_3_e1], dtype=numpy.dtype(object)),_0_dim)) # bld/herlev/final/default/src/fusion/Expr.mbi:890:105-174
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:890:103-176
    @staticmethod
    def _match_stack_IDLmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_dim,_1_a1,_2_e2, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match_D__(_1_a1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_2_e2))
    @staticmethod
    def _match_alt_stack_IDLmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_dim,_1_a1,_2_e2, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match_D__(_1_a1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_2_e2))
    @staticmethod
    def _stack_alt_IDLmosek_4fusion_4Expression_2(_t__0_dim,_t__1_a1,_t__2_e2):
      return mosek_fusion_Expr._stack_IDLmosek_4fusion_4Expression_2(numpy.int32(__0_dim),numpy.float64(__1_a1),_2_e2)
    @staticmethod
    def _stack_IDLmosek_4fusion_4Expression_2(_0_dim,_1_a1,_2_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:889:86-134
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([mosek.fusion.Expr._constTerm_D(_1_a1),_2_e2], dtype=numpy.dtype(object)),_0_dim)) # bld/herlev/final/default/src/fusion/Expr.mbi:889:88-132
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:889:86-134
    @staticmethod
    def _match_stack_ILmosek_4fusion_4Expression_2D(*args):
      if len(args) != 3: return False
      _0_dim,_1_e1,_2_a2, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e1)
              and __arg_match_D__(_2_a2))
    @staticmethod
    def _match_alt_stack_ILmosek_4fusion_4Expression_2D(*args):
      if len(args) != 3: return False
      _0_dim,_1_e1,_2_a2, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e1)
              and __arg_alt_match_D__(_2_a2))
    @staticmethod
    def _stack_alt_ILmosek_4fusion_4Expression_2D(_t__0_dim,_t__1_e1,_t__2_a2):
      return mosek_fusion_Expr._stack_ILmosek_4fusion_4Expression_2D(numpy.int32(__0_dim),_1_e1,numpy.float64(__2_a2))
    @staticmethod
    def _stack_ILmosek_4fusion_4Expression_2D(_0_dim,_1_e1,_2_a2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:888:88-136
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_1_e1,mosek.fusion.Expr._constTerm_D(_2_a2)], dtype=numpy.dtype(object)),_0_dim)) # bld/herlev/final/default/src/fusion/Expr.mbi:888:90-134
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:888:88-136
    @staticmethod
    def _match_stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_dim,_1_e1,_2_e2, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_2_e2))
    @staticmethod
    def _match_alt_stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 3: return False
      _0_dim,_1_e1,_2_e2, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_2_e2))
    @staticmethod
    def _stack_alt_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_t__0_dim,_t__1_e1,_t__2_e2):
      return mosek_fusion_Expr._stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(numpy.int32(__0_dim),_1_e1,_2_e2)
    @staticmethod
    def _stack_ILmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_dim,_1_e1,_2_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:887:88-125
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(numpy.array([_1_e1,_2_e2], dtype=numpy.dtype(object)),_0_dim)) # bld/herlev/final/default/src/fusion/Expr.mbi:887:90-123
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:887:88-125
    @staticmethod
    def _match_stack_I_3Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_dim,_1_exprs, = args
      return (    __arg_match_I__(_0_dim)
              and __arg_match__3Lmosek_4fusion_4Expression_2__(_1_exprs))
    @staticmethod
    def _match_alt_stack_I_3Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_dim,_1_exprs, = args
      return (    __arg_alt_match_I__(_0_dim)
              and __arg_alt_match__3Lmosek_4fusion_4Expression_2__(_1_exprs))
    @staticmethod
    def _stack_alt_I_3Lmosek_4fusion_4Expression_2(_t__0_dim,_t__1_exprs):
      _0_dim=numpy.int32(_t__0_dim)
      _1_exprs=numpy.array(_t__1_exprs,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Expr._stack_I_3Lmosek_4fusion_4Expression_2(_0_dim,_1_exprs)
      try:
        _t__1_exprs[:] = _1_exprs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _stack_I_3Lmosek_4fusion_4Expression_2(_0_dim,_1_exprs):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:886:76-105
      return (mosek.fusion.Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(_1_exprs,_0_dim)) # bld/herlev/final/default/src/fusion/Expr.mbi:886:78-103
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:886:76-105
    @staticmethod
    def __stack_1_alt__3Lmosek_4fusion_4Expression_2I(_t__0_exprs,_t__1_dim):
      _0_exprs=numpy.array(_t__0_exprs,dtype=numpy.dtype(object))
      _1_dim=numpy.int32(_t__1_dim)
      _1 = mosek_fusion_Expr.__stack_1__3Lmosek_4fusion_4Expression_2I(_0_exprs,_1_dim)
      try:
        _t__0_exprs[:] = _0_exprs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __stack_1__3Lmosek_4fusion_4Expression_2I(_0_exprs,_1_dim):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:878:6-884:7
      if (int((_0_exprs).shape[0])==1): # bld/herlev/final/default/src/fusion/Expr.mbi:879:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:880:10-26
        return (_0_exprs[0]) # bld/herlev/final/default/src/fusion/Expr.mbi:880:10-26
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:880:10-26
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:881:13-883:9
        return (mosek_fusion_ExprStack._ctor__3Lmosek_4fusion_4Expression_2I(mosek.fusion.Expr.__promote__3Lmosek_4fusion_4Expression_2I(_0_exprs,_1_dim),_1_dim)) # bld/herlev/final/default/src/fusion/Expr.mbi:882:10-55
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:881:13-883:9
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:878:6-884:7
    @staticmethod
    def __promote_alt__3Lmosek_4fusion_4Expression_2I(_t__0_exprs,_t__1_dim):
      _0_exprs=numpy.array(_t__0_exprs,dtype=numpy.dtype(object))
      _1_dim=numpy.int32(_t__1_dim)
      _1 = mosek_fusion_Expr.__promote__3Lmosek_4fusion_4Expression_2I(_0_exprs,_1_dim)
      try:
        _t__0_exprs[:] = _0_exprs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __promote__3Lmosek_4fusion_4Expression_2I(_0_exprs,_1_dim):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:846:6-873:7
      _2_n=int((_0_exprs).shape[0]) # bld/herlev/final/default/src/fusion/Expr.mbi:847:12-13
      _3_nds=numpy.array([_0_exprs[_4_i]._getND_() for _4_i in range(0,_2_n)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:848:12-15
      _5_maxnd=_3_nds[0] # bld/herlev/final/default/src/fusion/Expr.mbi:849:28-33
      _6_minnd=_3_nds[0] # bld/herlev/final/default/src/fusion/Expr.mbi:849:12-17
      _5_maxnd,_6_minnd = fragments._c_closure_574(_5_maxnd,_6_minnd,_2_n,_3_nds) # bld/herlev/final/default/src/fusion/Expr.mbi:850:8-853:9
      _5_maxnd = numpy.int32(_5_maxnd) # postprocess
      _6_minnd = numpy.int32(_6_minnd) # postprocess
      if (_5_maxnd < _1_dim): # bld/herlev/final/default/src/fusion/Expr.mbi:855:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:855:25-37
        _5_maxnd = _1_dim # bld/herlev/final/default/src/fusion/Expr.mbi:855:25-37
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:855:25-37
      if (_6_minnd < _5_maxnd): # bld/herlev/final/default/src/fusion/Expr.mbi:856:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:856:27-870:9
        _7_rexprs=numpy.ndarray((_2_n,), dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Expr.mbi:857:14-20
        _8_shape=numpy.zeros((_5_maxnd,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:858:14-19
        for _9_i in range(0,_2_n): # bld/herlev/final/default/src/fusion/Expr.mbi:860:10-868:13
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:861:12-868:13
          if (_0_exprs[_9_i]._getND_()==_5_maxnd): # bld/herlev/final/default/src/fusion/Expr.mbi:861:16-41
            # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:862:14-35
            _7_rexprs[_9_i] = _0_exprs[_9_i] # bld/herlev/final/default/src/fusion/Expr.mbi:862:14-35
            # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:862:14-35
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:863:17-868:13
            _10_s=_0_exprs[_9_i]._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:864:18-19
            fragments._c_closure_575(_10_s,_8_shape) # bld/herlev/final/default/src/fusion/Expr.mbi:865:14-54
            fragments._c_closure_576(_5_maxnd,_10_s,_8_shape) # bld/herlev/final/default/src/fusion/Expr.mbi:866:14-55
            _7_rexprs[_9_i] = mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(_8_shape,_0_exprs[_9_i]) # bld/herlev/final/default/src/fusion/Expr.mbi:867:14-58
            # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:863:17-868:13
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:861:12-868:13
        return (_7_rexprs) # bld/herlev/final/default/src/fusion/Expr.mbi:869:10-24
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:856:27-870:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:872:10-23
        return (_0_exprs) # bld/herlev/final/default/src/fusion/Expr.mbi:872:10-23
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:872:10-23
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:846:6-873:7
    @staticmethod
    def _match_repeat_Lmosek_4fusion_4Variable_2II(*args):
      if len(args) != 3: return False
      _0_x,_1_n,_2_d, = args
      return (    __arg_match_Lmosek_4fusion_4Variable_2__(_0_x)
              and __arg_match_I__(_1_n)
              and __arg_match_I__(_2_d))
    @staticmethod
    def _match_alt_repeat_Lmosek_4fusion_4Variable_2II(*args):
      if len(args) != 3: return False
      _0_x,_1_n,_2_d, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Variable_2__(_0_x)
              and __arg_alt_match_I__(_1_n)
              and __arg_alt_match_I__(_2_d))
    @staticmethod
    def _repeat_alt_Lmosek_4fusion_4Variable_2II(_t__0_x,_t__1_n,_t__2_d):
      return mosek_fusion_Expr._repeat_Lmosek_4fusion_4Variable_2II(_0_x,numpy.int32(__1_n),numpy.int32(__2_d))
    @staticmethod
    def _repeat_Lmosek_4fusion_4Variable_2II(_0_x,_1_n,_2_d):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:839:75-841:7
      return (mosek.fusion.Expr._repeat_Lmosek_4fusion_4Expression_2II(_0_x._asExpr_(),_1_n,_2_d)) # bld/herlev/final/default/src/fusion/Expr.mbi:840:8-38
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:839:75-841:7
    @staticmethod
    def _match_repeat_Lmosek_4fusion_4Expression_2II(*args):
      if len(args) != 3: return False
      _0_e,_1_n,_2_d, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_match_I__(_1_n)
              and __arg_match_I__(_2_d))
    @staticmethod
    def _match_alt_repeat_Lmosek_4fusion_4Expression_2II(*args):
      if len(args) != 3: return False
      _0_e,_1_n,_2_d, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e)
              and __arg_alt_match_I__(_1_n)
              and __arg_alt_match_I__(_2_d))
    @staticmethod
    def _repeat_alt_Lmosek_4fusion_4Expression_2II(_t__0_e,_t__1_n,_t__2_d):
      return mosek_fusion_Expr._repeat_Lmosek_4fusion_4Expression_2II(_0_e,numpy.int32(__1_n),numpy.int32(__2_d))
    @staticmethod
    def _repeat_Lmosek_4fusion_4Expression_2II(_0_e,_1_n,_2_d):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:823:6-837:7
      if (_1_n <= 0): # bld/herlev/final/default/src/fusion/Expr.mbi:824:12-18
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:825:10-79
        raise mosek_fusion_DimensionError._ctor_S("Cannot repeat Expression 0 or less times") # bld/herlev/final/default/src/fusion/Expr.mbi:825:10-79
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:825:10-79
      if ((_2_d < 0) or (_2_d > _0_e._getND_())): # bld/herlev/final/default/src/fusion/Expr.mbi:827:12-34
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:828:10-65
        raise mosek_fusion_DimensionError._ctor_S("Invalid stacking dimension") # bld/herlev/final/default/src/fusion/Expr.mbi:828:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:828:10-65
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:829:13-836:39
        if (_2_d==_0_e._getND_()): # bld/herlev/final/default/src/fusion/Expr.mbi:829:17-31
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:829:33-834:9
          _3_s=numpy.zeros(((_2_d + 1),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:830:14-15
          for _4_i in range(0,_2_d): # bld/herlev/final/default/src/fusion/Expr.mbi:831:10-48
            # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:831:29-48
            _3_s[_4_i] = _0_e._getDim_I(_4_i) # bld/herlev/final/default/src/fusion/Expr.mbi:831:29-48
            # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:831:29-48
          _3_s[_2_d] = 1 # bld/herlev/final/default/src/fusion/Expr.mbi:832:10-19
          return (mosek_fusion_ExprRepeat._ctor_Lmosek_4fusion_4Expression_2II(mosek.fusion.Expr._reshape_Lmosek_4fusion_4Expression_2_3I(_0_e,_3_s),_2_d,_1_n)) # bld/herlev/final/default/src/fusion/Expr.mbi:833:10-55
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:829:33-834:9
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:836:10-39
          return (mosek_fusion_ExprRepeat._ctor_Lmosek_4fusion_4Expression_2II(_0_e,_2_d,_1_n)) # bld/herlev/final/default/src/fusion/Expr.mbi:836:10-39
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:836:10-39
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:829:13-836:39
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:823:6-837:7
    @staticmethod
    def _match_add__3Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_exps, = args
      return (    __arg_match__3Lmosek_4fusion_4Expression_2__(_0_exps))
    @staticmethod
    def _match_alt_add__3Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_exps, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Expression_2__(_0_exps))
    @staticmethod
    def _add_alt__3Lmosek_4fusion_4Expression_2(_t__0_exps):
      _0_exps=numpy.array(_t__0_exps,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Expr._add__3Lmosek_4fusion_4Expression_2(_0_exps)
      try:
        _t__0_exps[:] = _0_exps
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _add__3Lmosek_4fusion_4Expression_2(_0_exps):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:818:6-820:7
      return (mosek_fusion_ExprWSum._ctor__3Lmosek_4fusion_4Expression_2_3D(_0_exps,numpy.array([1.0 for _1_i in range(0,int((_0_exps).shape[0]))], dtype=numpy.dtype(numpy.float64)))) # bld/herlev/final/default/src/fusion/Expr.mbi:819:8-68
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:818:6-820:7
    @staticmethod
    def _match_add__3Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 1: return False
      _0_vs, = args
      return (    __arg_match__3Lmosek_4fusion_4Variable_2__(_0_vs))
    @staticmethod
    def _match_alt_add__3Lmosek_4fusion_4Variable_2(*args):
      if len(args) != 1: return False
      _0_vs, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Variable_2__(_0_vs))
    @staticmethod
    def _add_alt__3Lmosek_4fusion_4Variable_2(_t__0_vs):
      _0_vs=numpy.array(_t__0_vs,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Expr._add__3Lmosek_4fusion_4Variable_2(_0_vs)
      try:
        _t__0_vs[:] = _0_vs
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _add__3Lmosek_4fusion_4Variable_2(_0_vs):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:748:6-801:7
      if (_0_vs is None): # bld/herlev/final/default/src/fusion/Expr.mbi:749:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:749:24-86
        raise ValueError("Argument vs may not be null") # bld/herlev/final/default/src/fusion/Expr.mbi:749:24-86
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:749:24-86
      if (int((_0_vs).shape[0])==0): # bld/herlev/final/default/src/fusion/Expr.mbi:750:12-24
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:751:11-104
        return (mosek_fusion_Expr._ctor__3J_3J_3D_3D_3I_3JI(numpy.array([0], dtype=numpy.dtype(numpy.int64)),numpy.zeros((0,), dtype=numpy.dtype(numpy.int64)),numpy.zeros((0,), dtype=numpy.dtype(numpy.float64)),None,mosek.fusion.Set._make_I(0),numpy.zeros((0,), dtype=numpy.dtype(numpy.int64)),1)) # bld/herlev/final/default/src/fusion/Expr.mbi:751:11-104
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:751:11-104
      if ((int((_0_vs).shape[0]) > 0) and (_0_vs[0] is None)): # bld/herlev/final/default/src/fusion/Expr.mbi:753:12-41
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:753:43-106
        raise ValueError("Argument vs may contain null") # bld/herlev/final/default/src/fusion/Expr.mbi:753:43-106
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:753:43-106
      _1_nd=_0_vs[0]._getND_() # bld/herlev/final/default/src/fusion/Expr.mbi:754:12-14
      for _2_i in range(1,int((_0_vs).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:754:32-100
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:754:57-100
        if (_1_nd < _0_vs[_2_i]._getND_()): # bld/herlev/final/default/src/fusion/Expr.mbi:754:61-79
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:754:81-100
          _1_nd = _0_vs[_2_i]._getND_() # bld/herlev/final/default/src/fusion/Expr.mbi:754:81-100
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:754:81-100
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:754:57-100
      _3_shapes=numpy.zeros((int((_0_vs).shape[0]),_1_nd,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:755:12-18
      for _4_i in range(0,int((_0_vs).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:756:8-760:9
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:756:33-760:9
        _5_shp=_0_vs[_4_i]._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:757:14-17
        fragments._c_closure_577(_4_i,_3_shapes,_5_shp) # bld/herlev/final/default/src/fusion/Expr.mbi:758:10-57
        fragments._c_closure_578(_4_i,_1_nd,_3_shapes,_5_shp) # bld/herlev/final/default/src/fusion/Expr.mbi:759:10-53
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:756:33-760:9
      for _6_i in range(1,int((_0_vs).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:762:8-765:73
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:763:10-765:73
        for _7_j in range(0,_1_nd): # bld/herlev/final/default/src/fusion/Expr.mbi:763:10-765:73
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:764:12-765:73
          if (_3_shapes[0,_7_j]!=_3_shapes[_6_i,_7_j]): # bld/herlev/final/default/src/fusion/Expr.mbi:764:16-42
            # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:765:14-73
            raise mosek_fusion_DimensionError._ctor_S("Mismatching operand dimensions") # bld/herlev/final/default/src/fusion/Expr.mbi:765:14-73
            # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:765:14-73
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:764:12-765:73
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:763:10-765:73
      _8_shape=numpy.array([_3_shapes[0,_9_j] for _9_j in range(0,_1_nd)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:766:12-17
      _10_sz=1 # bld/herlev/final/default/src/fusion/Expr.mbi:767:12-14
      _10_sz = fragments._c_closure_579(_1_nd,_8_shape,_10_sz) # bld/herlev/final/default/src/fusion/Expr.mbi:767:20-55
      _10_sz = numpy.int32(_10_sz) # postprocess
      _11_nnz=0 # bld/herlev/final/default/src/fusion/Expr.mbi:770:12-15
      _12_maxnnz=0 # bld/herlev/final/default/src/fusion/Expr.mbi:771:12-18
      for _13_i in range(0,int((_0_vs).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:772:8-776:9
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:772:33-776:9
        _14_n=_0_vs[_13_i]._numInst_() # bld/herlev/final/default/src/fusion/Expr.mbi:773:14-15
        _11_nnz += _14_n # bld/herlev/final/default/src/fusion/Expr.mbi:774:10-19
        _12_maxnnz = (_12_maxnnz if ((_12_maxnnz > _14_n) ) else _14_n) # bld/herlev/final/default/src/fusion/Expr.mbi:775:10-49
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:772:33-776:9
      _15_ptrb=numpy.zeros(((_10_sz + 1),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:777:12-16
      _16_subj=numpy.zeros((_11_nnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:778:12-16
      _17_cof=numpy.array([1.0 for _18_i in range(0,_11_nnz)], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Expr.mbi:779:12-15
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:780:8-798:9
      _19_ii=numpy.zeros((_12_maxnnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:781:14-16
      _20_idxs=numpy.zeros((_12_maxnnz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Expr.mbi:782:14-18
      for _21_i in range(0,int((_0_vs).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:783:10-787:11
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:783:35-787:11
        _22_n=_0_vs[_21_i]._inst_I_3JI_3J(0,_19_ii,0,_20_idxs) # bld/herlev/final/default/src/fusion/Expr.mbi:784:16-17
        fragments._c_closure_580(_19_ii,_22_n,_15_ptrb) # bld/herlev/final/default/src/fusion/Expr.mbi:785:12-786:33
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:783:35-787:11
      fragments._c_closure_581(_15_ptrb,_10_sz) # bld/herlev/final/default/src/fusion/Expr.mbi:788:10-51
      for _23_i in range(0,int((_0_vs).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:789:10-795:11
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:789:35-795:11
        _24_n=_0_vs[_23_i]._inst_I_3JI_3J(0,_19_ii,0,_20_idxs) # bld/herlev/final/default/src/fusion/Expr.mbi:790:16-17
        fragments._c_closure_582(_20_idxs,_19_ii,_24_n,_15_ptrb,_16_subj) # bld/herlev/final/default/src/fusion/Expr.mbi:791:12-794:13
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:789:35-795:11
      fragments._c_closure_583(_15_ptrb,_10_sz) # bld/herlev/final/default/src/fusion/Expr.mbi:796:10-56
      _15_ptrb[0] = 0 # bld/herlev/final/default/src/fusion/Expr.mbi:797:10-22
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:780:8-798:9
      return (mosek_fusion_Expr._ctor__3J_3J_3D_3D_3I_3JI(_15_ptrb,_16_subj,_17_cof,numpy.array([0.0 for _25_i in range(0,_10_sz)], dtype=numpy.dtype(numpy.float64)),_8_shape,None,1)) # bld/herlev/final/default/src/fusion/Expr.mbi:800:8-77
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:748:6-801:7
    @staticmethod
    def __add_1_alt_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_t__0_e1,_t__1_m1,_t__2_e2,_t__3_m2):
      return mosek_fusion_Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_0_e1,numpy.float64(__1_m1),_2_e2,numpy.float64(__3_m2))
    @staticmethod
    def __add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_0_e1,_1_m1,_2_e2,_3_m2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:705:6-729:7
      _4_nd1=_0_e1._getND_() # bld/herlev/final/default/src/fusion/Expr.mbi:706:12-15
      _5_nd2=_2_e2._getND_() # bld/herlev/final/default/src/fusion/Expr.mbi:707:12-15
      if (_4_nd1==_5_nd2): # bld/herlev/final/default/src/fusion/Expr.mbi:709:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:710:10-42
        return (mosek_fusion_ExprAdd._ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2DD(_0_e1,_2_e2,_1_m1,_3_m2)) # bld/herlev/final/default/src/fusion/Expr.mbi:710:10-42
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:710:10-42
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:711:13-728:9
        _6_nd=(_4_nd1 if ((_4_nd1 > _5_nd2) ) else _5_nd2) # bld/herlev/final/default/src/fusion/Expr.mbi:712:14-16
        _7_shape=numpy.zeros((_6_nd,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Expr.mbi:713:14-19
        if (_4_nd1 < _5_nd2): # bld/herlev/final/default/src/fusion/Expr.mbi:714:14-23
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:714:25-720:11
          _8_sh=_0_e1._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:715:16-18
          fragments._c_closure_584(_4_nd1,_8_sh,_7_shape) # bld/herlev/final/default/src/fusion/Expr.mbi:716:12-50
          fragments._c_closure_585(_6_nd,_4_nd1,_7_shape) # bld/herlev/final/default/src/fusion/Expr.mbi:717:12-47
          return (mosek_fusion_ExprAdd._ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2DD(mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(_7_shape,_0_e1),_2_e2,_1_m1,_3_m2)) # bld/herlev/final/default/src/fusion/Expr.mbi:719:12-67
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:714:25-720:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:721:15-727:11
          _9_sh=_2_e2._getShape_() # bld/herlev/final/default/src/fusion/Expr.mbi:722:16-18
          fragments._c_closure_586(_5_nd2,_9_sh,_7_shape) # bld/herlev/final/default/src/fusion/Expr.mbi:723:12-50
          fragments._c_closure_587(_6_nd,_5_nd2,_7_shape) # bld/herlev/final/default/src/fusion/Expr.mbi:724:12-47
          return (mosek_fusion_ExprAdd._ctor_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2DD(_0_e1,mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(_7_shape,_2_e2),_1_m1,_3_m2)) # bld/herlev/final/default/src/fusion/Expr.mbi:726:12-67
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:721:15-727:11
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:711:13-728:9
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:705:6-729:7
    @staticmethod
    def _match_transpose_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_e, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e))
    @staticmethod
    def _match_alt_transpose_Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 1: return False
      _0_e, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e))
    @staticmethod
    def _transpose_alt_Lmosek_4fusion_4Expression_2(_t__0_e):
      return mosek_fusion_Expr._transpose_Lmosek_4fusion_4Expression_2(_0_e)
    @staticmethod
    def _transpose_Lmosek_4fusion_4Expression_2(_0_e):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:691:63-700:7
      if (_0_e._getND_()==0): # bld/herlev/final/default/src/fusion/Expr.mbi:692:16-30
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:693:10-19
        return (_0_e) # bld/herlev/final/default/src/fusion/Expr.mbi:693:10-19
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:693:10-19
      elif (_0_e._getND_()==1): # bld/herlev/final/default/src/fusion/Expr.mbi:694:16-30
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:695:10-57
        return (mosek_fusion_ExprReshape._ctor__3ILmosek_4fusion_4Expression_2(numpy.array([1,_0_e._getDim_I(0)], dtype=numpy.dtype(numpy.int32)),_0_e)) # bld/herlev/final/default/src/fusion/Expr.mbi:695:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:695:10-57
      elif (_0_e._getND_()==2): # bld/herlev/final/default/src/fusion/Expr.mbi:696:16-30
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:697:10-38
        return (mosek_fusion_ExprTranspose._ctor_Lmosek_4fusion_4Expression_2(_0_e)) # bld/herlev/final/default/src/fusion/Expr.mbi:697:10-38
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:697:10-38
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:699:10-83
        raise mosek_fusion_DimensionError._ctor_S("Incorrect number of dimensions for transpose") # bld/herlev/final/default/src/fusion/Expr.mbi:699:10-83
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:699:10-83
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:691:63-700:7
    @staticmethod
    def _match_mulElm_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_m,_1_expr, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_m)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _match_alt_mulElm_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_m,_1_expr, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_m)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _mulElm_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_t__0_m,_t__1_expr):
      return mosek_fusion_Expr._mulElm_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_m,_1_expr)
    @staticmethod
    def _mulElm_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_m,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:686:87-114
      return (mosek.fusion.Expr.__mulElm_1_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_m,_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:686:89-112
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:686:87-114
    @staticmethod
    def _match_mulElm_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_spm,_1_expr, = args
      return (    __arg_match_Lmosek_4fusion_4NDSparseArray_2__(_0_spm)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _match_alt_mulElm_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_spm,_1_expr, = args
      return (    __arg_alt_match_Lmosek_4fusion_4NDSparseArray_2__(_0_spm)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _mulElm_alt_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_t__0_spm,_t__1_expr):
      return mosek_fusion_Expr._mulElm_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_0_spm,_1_expr)
    @staticmethod
    def _mulElm_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_0_spm,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:685:87-116
      return (mosek.fusion.Expr.__mulElm_1_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_0_spm,_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:685:89-114
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:685:87-116
    @staticmethod
    def _match_mulElm__3_5DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a2,_1_expr, = args
      return (    __arg_match__3_5D__(_0_a2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _match_alt_mulElm__3_5DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a2,_1_expr, = args
      return (    __arg_alt_match__3_5D__(_0_a2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _mulElm_alt__3_5DLmosek_4fusion_4Expression_2(_t__0_a2,_t__1_expr):
      _0_a2=numpy.array(_t__0_a2,ndmin=_monty.checkShape(_t__0_a2,2),dtype=numpy.dtype(numpy.float64))
      _1_expr=_t__1_expr
      _1 = mosek_fusion_Expr._mulElm__3_5DLmosek_4fusion_4Expression_2(_0_a2,_1_expr)
      return _1
    @staticmethod
    def _mulElm__3_5DLmosek_4fusion_4Expression_2(_0_a2,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:684:87-129
      return (mosek.fusion.Expr.__mulElm_1_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(mosek.fusion.Matrix._dense__3_5D(_0_a2),_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:684:89-127
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:684:87-129
    @staticmethod
    def _match_mulElm__3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a1,_1_expr, = args
      return (    __arg_match__3D__(_0_a1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _match_alt_mulElm__3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a1,_1_expr, = args
      return (    __arg_alt_match__3D__(_0_a1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _mulElm_alt__3DLmosek_4fusion_4Expression_2(_t__0_a1,_t__1_expr):
      _0_a1=numpy.array(_t__0_a1,dtype=numpy.dtype(numpy.float64))
      _1_expr=_t__1_expr
      _1 = mosek_fusion_Expr._mulElm__3DLmosek_4fusion_4Expression_2(_0_a1,_1_expr)
      try:
        _t__0_a1[:] = _0_a1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _mulElm__3DLmosek_4fusion_4Expression_2(_0_a1,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:683:87-115
      return (mosek.fusion.Expr.__mulElm_1__3DLmosek_4fusion_4Expression_2(_0_a1,_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:683:89-113
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:683:87-115
    @staticmethod
    def _match_mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_m, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4Matrix_2__(_1_m))
    @staticmethod
    def _match_alt_mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_1_m))
    @staticmethod
    def _mulElm_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_t__0_expr,_t__1_m):
      return mosek_fusion_Expr._mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_0_expr,_1_m)
    @staticmethod
    def _mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_0_expr,_1_m):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:682:87-114
      return (mosek.fusion.Expr.__mulElm_1_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_1_m,_0_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:682:89-112
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:682:87-114
    @staticmethod
    def _match_mulElm_Lmosek_4fusion_4Expression_2_3_5D(*args):
      if len(args) != 2: return False
      _0_expr,_1_a2, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match__3_5D__(_1_a2))
    @staticmethod
    def _match_alt_mulElm_Lmosek_4fusion_4Expression_2_3_5D(*args):
      if len(args) != 2: return False
      _0_expr,_1_a2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match__3_5D__(_1_a2))
    @staticmethod
    def _mulElm_alt_Lmosek_4fusion_4Expression_2_3_5D(_t__0_expr,_t__1_a2):
      _0_expr=_t__0_expr
      _1_a2=numpy.array(_t__1_a2,ndmin=_monty.checkShape(_t__1_a2,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._mulElm_Lmosek_4fusion_4Expression_2_3_5D(_0_expr,_1_a2)
      return _1
    @staticmethod
    def _mulElm_Lmosek_4fusion_4Expression_2_3_5D(_0_expr,_1_a2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:681:87-129
      return (mosek.fusion.Expr.__mulElm_1_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(mosek.fusion.Matrix._dense__3_5D(_1_a2),_0_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:681:89-127
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:681:87-129
    @staticmethod
    def _match_mulElm_Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      _0_expr,_1_a1, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match__3D__(_1_a1))
    @staticmethod
    def _match_alt_mulElm_Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      _0_expr,_1_a1, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match__3D__(_1_a1))
    @staticmethod
    def _mulElm_alt_Lmosek_4fusion_4Expression_2_3D(_t__0_expr,_t__1_a1):
      _0_expr=_t__0_expr
      _1_a1=numpy.array(_t__1_a1,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._mulElm_Lmosek_4fusion_4Expression_2_3D(_0_expr,_1_a1)
      try:
        _t__1_a1[:] = _1_a1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _mulElm_Lmosek_4fusion_4Expression_2_3D(_0_expr,_1_a1):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:680:87-115
      return (mosek.fusion.Expr.__mulElm_1__3DLmosek_4fusion_4Expression_2(_1_a1,_0_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:680:89-113
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:680:87-115
    @staticmethod
    def _match_mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_spm, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4NDSparseArray_2__(_1_spm))
    @staticmethod
    def _match_alt_mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_spm, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4NDSparseArray_2__(_1_spm))
    @staticmethod
    def _mulElm_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(_t__0_expr,_t__1_spm):
      return mosek_fusion_Expr._mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(_0_expr,_1_spm)
    @staticmethod
    def _mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(_0_expr,_1_spm):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:679:87-116
      return (mosek.fusion.Expr.__mulElm_1_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_1_spm,_0_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:679:89-114
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:679:87-116
    @staticmethod
    def _match_mulElm_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_p,_1_expr, = args
      return (    __arg_match_Lmosek_4fusion_4Parameter_2__(_0_p)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _match_alt_mulElm_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_p,_1_expr, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_0_p)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_expr))
    @staticmethod
    def _mulElm_alt_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_t__0_p,_t__1_expr):
      return mosek_fusion_Expr._mulElm_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_expr)
    @staticmethod
    def _mulElm_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_expr):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:678:87-127
      return (mosek_fusion_ExprMulParamElem._ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_0_p,_1_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:678:89-125
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:678:87-127
    @staticmethod
    def _match_mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_p, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_match_Lmosek_4fusion_4Parameter_2__(_1_p))
    @staticmethod
    def _match_alt_mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(*args):
      if len(args) != 2: return False
      _0_expr,_1_p, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_expr)
              and __arg_alt_match_Lmosek_4fusion_4Parameter_2__(_1_p))
    @staticmethod
    def _mulElm_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_t__0_expr,_t__1_p):
      return mosek_fusion_Expr._mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_0_expr,_1_p)
    @staticmethod
    def _mulElm_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Parameter_2(_0_expr,_1_p):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:677:87-127
      return (mosek_fusion_ExprMulParamElem._ctor_Lmosek_4fusion_4Parameter_2Lmosek_4fusion_4Expression_2(_1_p,_0_expr)) # bld/herlev/final/default/src/fusion/Expr.mbi:677:89-125
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:677:87-127
    @staticmethod
    def _match_sub_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_n,_1_e2, = args
      return (    __arg_match_Lmosek_4fusion_4NDSparseArray_2__(_0_n)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_sub_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_n,_1_e2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4NDSparseArray_2__(_0_n)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _sub_alt_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_t__0_n,_t__1_e2):
      return mosek_fusion_Expr._sub_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_0_n,_1_e2)
    @staticmethod
    def _sub_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_0_n,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:675:79-167
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(mosek.fusion.Expr._constTerm_Lmosek_4fusion_4NDSparseArray_2(_0_n),1.0,_1_e2,(- 1.0))) # bld/herlev/final/default/src/fusion/Expr.mbi:675:81-165
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:675:79-167
    @staticmethod
    def _match_sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_n, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_Lmosek_4fusion_4NDSparseArray_2__(_1_n))
    @staticmethod
    def _match_alt_sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_n, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_Lmosek_4fusion_4NDSparseArray_2__(_1_n))
    @staticmethod
    def _sub_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(_t__0_e1,_t__1_n):
      return mosek_fusion_Expr._sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(_0_e1,_1_n)
    @staticmethod
    def _sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(_0_e1,_1_n):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:674:79-167
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_0_e1,1.0,mosek.fusion.Expr._constTerm_Lmosek_4fusion_4NDSparseArray_2(_1_n),(- 1.0))) # bld/herlev/final/default/src/fusion/Expr.mbi:674:81-165
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:674:79-167
    @staticmethod
    def _match_sub_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_m,_1_e2, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_m)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_sub_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_m,_1_e2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_m)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _sub_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_t__0_m,_t__1_e2):
      return mosek_fusion_Expr._sub_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_m,_1_e2)
    @staticmethod
    def _sub_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_m,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:673:79-167
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(mosek.fusion.Expr._constTerm_Lmosek_4fusion_4Matrix_2(_0_m),1.0,_1_e2,(- 1.0))) # bld/herlev/final/default/src/fusion/Expr.mbi:673:81-165
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:673:79-167
    @staticmethod
    def _match_sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_m, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_Lmosek_4fusion_4Matrix_2__(_1_m))
    @staticmethod
    def _match_alt_sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_1_m))
    @staticmethod
    def _sub_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_t__0_e1,_t__1_m):
      return mosek_fusion_Expr._sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_0_e1,_1_m)
    @staticmethod
    def _sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_0_e1,_1_m):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:672:79-167
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_0_e1,1.0,mosek.fusion.Expr._constTerm_Lmosek_4fusion_4Matrix_2(_1_m),(- 1.0))) # bld/herlev/final/default/src/fusion/Expr.mbi:672:81-165
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:672:79-167
    @staticmethod
    def _match_sub_DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_c,_1_e2, = args
      return (    __arg_match_D__(_0_c)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_sub_DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_c,_1_e2, = args
      return (    __arg_alt_match_D__(_0_c)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _sub_alt_DLmosek_4fusion_4Expression_2(_t__0_c,_t__1_e2):
      return mosek_fusion_Expr._sub_DLmosek_4fusion_4Expression_2(numpy.float64(__0_c),_1_e2)
    @staticmethod
    def _sub_DLmosek_4fusion_4Expression_2(_0_c,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:671:79-167
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(mosek.fusion.Expr._constTerm__3ID(_1_e2._getShape_(),_0_c),1.0,_1_e2,(- 1.0))) # bld/herlev/final/default/src/fusion/Expr.mbi:671:81-165
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:671:79-167
    @staticmethod
    def _match_sub_Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 2: return False
      _0_e1,_1_c, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_D__(_1_c))
    @staticmethod
    def _match_alt_sub_Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 2: return False
      _0_e1,_1_c, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_D__(_1_c))
    @staticmethod
    def _sub_alt_Lmosek_4fusion_4Expression_2D(_t__0_e1,_t__1_c):
      return mosek_fusion_Expr._sub_Lmosek_4fusion_4Expression_2D(_0_e1,numpy.float64(__1_c))
    @staticmethod
    def _sub_Lmosek_4fusion_4Expression_2D(_0_e1,_1_c):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:670:79-167
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_0_e1,1.0,mosek.fusion.Expr._constTerm__3ID(_0_e1._getShape_(),_1_c),(- 1.0))) # bld/herlev/final/default/src/fusion/Expr.mbi:670:81-165
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:670:79-167
    @staticmethod
    def _match_sub__3_5DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a2,_1_e2, = args
      return (    __arg_match__3_5D__(_0_a2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_sub__3_5DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a2,_1_e2, = args
      return (    __arg_alt_match__3_5D__(_0_a2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _sub_alt__3_5DLmosek_4fusion_4Expression_2(_t__0_a2,_t__1_e2):
      _0_a2=numpy.array(_t__0_a2,ndmin=_monty.checkShape(_t__0_a2,2),dtype=numpy.dtype(numpy.float64))
      _1_e2=_t__1_e2
      _1 = mosek_fusion_Expr._sub__3_5DLmosek_4fusion_4Expression_2(_0_a2,_1_e2)
      return _1
    @staticmethod
    def _sub__3_5DLmosek_4fusion_4Expression_2(_0_a2,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:669:79-167
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(mosek.fusion.Expr._constTerm__3_5D(_0_a2),1.0,_1_e2,(- 1.0))) # bld/herlev/final/default/src/fusion/Expr.mbi:669:81-165
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:669:79-167
    @staticmethod
    def _match_sub__3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a1,_1_e2, = args
      return (    __arg_match__3D__(_0_a1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_sub__3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a1,_1_e2, = args
      return (    __arg_alt_match__3D__(_0_a1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _sub_alt__3DLmosek_4fusion_4Expression_2(_t__0_a1,_t__1_e2):
      _0_a1=numpy.array(_t__0_a1,dtype=numpy.dtype(numpy.float64))
      _1_e2=_t__1_e2
      _1 = mosek_fusion_Expr._sub__3DLmosek_4fusion_4Expression_2(_0_a1,_1_e2)
      try:
        _t__0_a1[:] = _0_a1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _sub__3DLmosek_4fusion_4Expression_2(_0_a1,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:668:79-167
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(mosek.fusion.Expr._constTerm__3D(_0_a1),1.0,_1_e2,(- 1.0))) # bld/herlev/final/default/src/fusion/Expr.mbi:668:81-165
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:668:79-167
    @staticmethod
    def _match_sub_Lmosek_4fusion_4Expression_2_3_5D(*args):
      if len(args) != 2: return False
      _0_e1,_1_a2, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match__3_5D__(_1_a2))
    @staticmethod
    def _match_alt_sub_Lmosek_4fusion_4Expression_2_3_5D(*args):
      if len(args) != 2: return False
      _0_e1,_1_a2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match__3_5D__(_1_a2))
    @staticmethod
    def _sub_alt_Lmosek_4fusion_4Expression_2_3_5D(_t__0_e1,_t__1_a2):
      _0_e1=_t__0_e1
      _1_a2=numpy.array(_t__1_a2,ndmin=_monty.checkShape(_t__1_a2,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._sub_Lmosek_4fusion_4Expression_2_3_5D(_0_e1,_1_a2)
      return _1
    @staticmethod
    def _sub_Lmosek_4fusion_4Expression_2_3_5D(_0_e1,_1_a2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:667:79-167
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_0_e1,1.0,mosek.fusion.Expr._constTerm__3_5D(_1_a2),(- 1.0))) # bld/herlev/final/default/src/fusion/Expr.mbi:667:81-165
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:667:79-167
    @staticmethod
    def _match_sub_Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      _0_e1,_1_a1, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match__3D__(_1_a1))
    @staticmethod
    def _match_alt_sub_Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      _0_e1,_1_a1, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match__3D__(_1_a1))
    @staticmethod
    def _sub_alt_Lmosek_4fusion_4Expression_2_3D(_t__0_e1,_t__1_a1):
      _0_e1=_t__0_e1
      _1_a1=numpy.array(_t__1_a1,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._sub_Lmosek_4fusion_4Expression_2_3D(_0_e1,_1_a1)
      try:
        _t__1_a1[:] = _1_a1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _sub_Lmosek_4fusion_4Expression_2_3D(_0_e1,_1_a1):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:666:79-167
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_0_e1,1.0,mosek.fusion.Expr._constTerm__3D(_1_a1),(- 1.0))) # bld/herlev/final/default/src/fusion/Expr.mbi:666:81-165
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:666:79-167
    @staticmethod
    def _match_sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_e2, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_e2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _sub_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_t__0_e1,_t__1_e2):
      return mosek_fusion_Expr._sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_e1,_1_e2)
    @staticmethod
    def _sub_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_e1,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:665:79-167
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_0_e1,1.0,_1_e2,(- 1.0))) # bld/herlev/final/default/src/fusion/Expr.mbi:665:81-165
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:665:79-167
    @staticmethod
    def _match_add_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_n,_1_e2, = args
      return (    __arg_match_Lmosek_4fusion_4NDSparseArray_2__(_0_n)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_add_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_n,_1_e2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4NDSparseArray_2__(_0_n)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _add_alt_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_t__0_n,_t__1_e2):
      return mosek_fusion_Expr._add_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_0_n,_1_e2)
    @staticmethod
    def _add_Lmosek_4fusion_4NDSparseArray_2Lmosek_4fusion_4Expression_2(_0_n,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:661:79-166
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_1_e2,1.0,mosek.fusion.Expr._constTerm_Lmosek_4fusion_4NDSparseArray_2(_0_n),1.0)) # bld/herlev/final/default/src/fusion/Expr.mbi:661:81-164
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:661:79-166
    @staticmethod
    def _match_add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_n, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_Lmosek_4fusion_4NDSparseArray_2__(_1_n))
    @staticmethod
    def _match_alt_add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_n, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_Lmosek_4fusion_4NDSparseArray_2__(_1_n))
    @staticmethod
    def _add_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(_t__0_e1,_t__1_n):
      return mosek_fusion_Expr._add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(_0_e1,_1_n)
    @staticmethod
    def _add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4NDSparseArray_2(_0_e1,_1_n):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:660:79-166
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_0_e1,1.0,mosek.fusion.Expr._constTerm_Lmosek_4fusion_4NDSparseArray_2(_1_n),1.0)) # bld/herlev/final/default/src/fusion/Expr.mbi:660:81-164
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:660:79-166
    @staticmethod
    def _match_add_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_m,_1_e2, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_m)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_add_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_m,_1_e2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_m)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _add_alt_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_t__0_m,_t__1_e2):
      return mosek_fusion_Expr._add_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_m,_1_e2)
    @staticmethod
    def _add_Lmosek_4fusion_4Matrix_2Lmosek_4fusion_4Expression_2(_0_m,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:659:79-166
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_1_e2,1.0,mosek.fusion.Expr._constTerm_Lmosek_4fusion_4Matrix_2(_0_m),1.0)) # bld/herlev/final/default/src/fusion/Expr.mbi:659:81-164
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:659:79-166
    @staticmethod
    def _match_add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_m, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_Lmosek_4fusion_4Matrix_2__(_1_m))
    @staticmethod
    def _match_alt_add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_1_m))
    @staticmethod
    def _add_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_t__0_e1,_t__1_m):
      return mosek_fusion_Expr._add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_0_e1,_1_m)
    @staticmethod
    def _add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Matrix_2(_0_e1,_1_m):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:658:79-166
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_0_e1,1.0,mosek.fusion.Expr._constTerm_Lmosek_4fusion_4Matrix_2(_1_m),1.0)) # bld/herlev/final/default/src/fusion/Expr.mbi:658:81-164
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:658:79-166
    @staticmethod
    def _match_add_DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_c,_1_e2, = args
      return (    __arg_match_D__(_0_c)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_add_DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_c,_1_e2, = args
      return (    __arg_alt_match_D__(_0_c)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _add_alt_DLmosek_4fusion_4Expression_2(_t__0_c,_t__1_e2):
      return mosek_fusion_Expr._add_DLmosek_4fusion_4Expression_2(numpy.float64(__0_c),_1_e2)
    @staticmethod
    def _add_DLmosek_4fusion_4Expression_2(_0_c,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:657:79-169
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_1_e2,1.0,mosek.fusion.Expr._constTerm__3ID(_1_e2._getShape_(),_0_c),1.0)) # bld/herlev/final/default/src/fusion/Expr.mbi:657:81-167
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:657:79-169
    @staticmethod
    def _match_add_Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 2: return False
      _0_e1,_1_c, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_D__(_1_c))
    @staticmethod
    def _match_alt_add_Lmosek_4fusion_4Expression_2D(*args):
      if len(args) != 2: return False
      _0_e1,_1_c, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_D__(_1_c))
    @staticmethod
    def _add_alt_Lmosek_4fusion_4Expression_2D(_t__0_e1,_t__1_c):
      return mosek_fusion_Expr._add_Lmosek_4fusion_4Expression_2D(_0_e1,numpy.float64(__1_c))
    @staticmethod
    def _add_Lmosek_4fusion_4Expression_2D(_0_e1,_1_c):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:656:79-169
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_0_e1,1.0,mosek.fusion.Expr._constTerm__3ID(_0_e1._getShape_(),_1_c),1.0)) # bld/herlev/final/default/src/fusion/Expr.mbi:656:81-167
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:656:79-169
    @staticmethod
    def _match_add__3_5DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a2,_1_e2, = args
      return (    __arg_match__3_5D__(_0_a2)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_add__3_5DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a2,_1_e2, = args
      return (    __arg_alt_match__3_5D__(_0_a2)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _add_alt__3_5DLmosek_4fusion_4Expression_2(_t__0_a2,_t__1_e2):
      _0_a2=numpy.array(_t__0_a2,ndmin=_monty.checkShape(_t__0_a2,2),dtype=numpy.dtype(numpy.float64))
      _1_e2=_t__1_e2
      _1 = mosek_fusion_Expr._add__3_5DLmosek_4fusion_4Expression_2(_0_a2,_1_e2)
      return _1
    @staticmethod
    def _add__3_5DLmosek_4fusion_4Expression_2(_0_a2,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:655:79-166
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_1_e2,1.0,mosek.fusion.Expr._constTerm__3_5D(_0_a2),1.0)) # bld/herlev/final/default/src/fusion/Expr.mbi:655:81-164
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:655:79-166
    @staticmethod
    def _match_add__3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a1,_1_e2, = args
      return (    __arg_match__3D__(_0_a1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_add__3DLmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_a1,_1_e2, = args
      return (    __arg_alt_match__3D__(_0_a1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _add_alt__3DLmosek_4fusion_4Expression_2(_t__0_a1,_t__1_e2):
      _0_a1=numpy.array(_t__0_a1,dtype=numpy.dtype(numpy.float64))
      _1_e2=_t__1_e2
      _1 = mosek_fusion_Expr._add__3DLmosek_4fusion_4Expression_2(_0_a1,_1_e2)
      try:
        _t__0_a1[:] = _0_a1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _add__3DLmosek_4fusion_4Expression_2(_0_a1,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:654:79-166
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_1_e2,1.0,mosek.fusion.Expr._constTerm__3D(_0_a1),1.0)) # bld/herlev/final/default/src/fusion/Expr.mbi:654:81-164
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:654:79-166
    @staticmethod
    def _match_add_Lmosek_4fusion_4Expression_2_3_5D(*args):
      if len(args) != 2: return False
      _0_e1,_1_a2, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match__3_5D__(_1_a2))
    @staticmethod
    def _match_alt_add_Lmosek_4fusion_4Expression_2_3_5D(*args):
      if len(args) != 2: return False
      _0_e1,_1_a2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match__3_5D__(_1_a2))
    @staticmethod
    def _add_alt_Lmosek_4fusion_4Expression_2_3_5D(_t__0_e1,_t__1_a2):
      _0_e1=_t__0_e1
      _1_a2=numpy.array(_t__1_a2,ndmin=_monty.checkShape(_t__1_a2,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._add_Lmosek_4fusion_4Expression_2_3_5D(_0_e1,_1_a2)
      return _1
    @staticmethod
    def _add_Lmosek_4fusion_4Expression_2_3_5D(_0_e1,_1_a2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:653:79-166
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_0_e1,1.0,mosek.fusion.Expr._constTerm__3_5D(_1_a2),1.0)) # bld/herlev/final/default/src/fusion/Expr.mbi:653:81-164
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:653:79-166
    @staticmethod
    def _match_add_Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      _0_e1,_1_a1, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match__3D__(_1_a1))
    @staticmethod
    def _match_alt_add_Lmosek_4fusion_4Expression_2_3D(*args):
      if len(args) != 2: return False
      _0_e1,_1_a1, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match__3D__(_1_a1))
    @staticmethod
    def _add_alt_Lmosek_4fusion_4Expression_2_3D(_t__0_e1,_t__1_a1):
      _0_e1=_t__0_e1
      _1_a1=numpy.array(_t__1_a1,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Expr._add_Lmosek_4fusion_4Expression_2_3D(_0_e1,_1_a1)
      try:
        _t__1_a1[:] = _1_a1
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _add_Lmosek_4fusion_4Expression_2_3D(_0_e1,_1_a1):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:652:79-166
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_0_e1,1.0,mosek.fusion.Expr._constTerm__3D(_1_a1),1.0)) # bld/herlev/final/default/src/fusion/Expr.mbi:652:81-164
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:652:79-166
    @staticmethod
    def _match_add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_e2, = args
      return (    __arg_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _match_alt_add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(*args):
      if len(args) != 2: return False
      _0_e1,_1_e2, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Expression_2__(_0_e1)
              and __arg_alt_match_Lmosek_4fusion_4Expression_2__(_1_e2))
    @staticmethod
    def _add_alt_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_t__0_e1,_t__1_e2):
      return mosek_fusion_Expr._add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_e1,_1_e2)
    @staticmethod
    def _add_Lmosek_4fusion_4Expression_2Lmosek_4fusion_4Expression_2(_0_e1,_1_e2):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:651:79-166
      return (mosek.fusion.Expr.__add_1_Lmosek_4fusion_4Expression_2DLmosek_4fusion_4Expression_2D(_0_e1,1.0,_1_e2,1.0)) # bld/herlev/final/default/src/fusion/Expr.mbi:651:81-164
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:651:79-166
    @staticmethod
    def _match_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    @staticmethod
    def _match_alt_eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 3: return False
      _0_rs,_1_ws,_2_xs, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_rs)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_1_ws)
              and __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_2_xs))
    def _eval_alt_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_t__0_rs,_t__1_ws,_t__2_xs):
      return self._eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(_0_rs,_1_ws,_2_xs)
    def _eval_Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2Lmosek_4fusion_4WorkStack_2(self,_0_rs,_1_ws,_2_xs):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:611:67-644:7
      _3_nelem=(int((self.__ptrb).shape[0]) - 1) # bld/herlev/final/default/src/fusion/Expr.mbi:612:12-17
      _4_nnz=(numpy.int32(self.__ptrb[_3_nelem]) + _3_nelem) # bld/herlev/final/default/src/fusion/Expr.mbi:613:12-15
      _5_nd=int((self.__shape).shape[0]) # bld/herlev/final/default/src/fusion/Expr.mbi:614:12-14
      _0_rs._alloc_1expr_IIIZ(_5_nd,_3_nelem,_4_nnz,(self.__inst is not None)) # bld/herlev/final/default/src/fusion/Expr.mbi:616:8-49
      _6_ptr_base=(_0_rs.ptr_base) # bld/herlev/final/default/src/fusion/Expr.mbi:618:12-20
      _7_nidxs_base=(_0_rs.nidxs_base) # bld/herlev/final/default/src/fusion/Expr.mbi:619:12-22
      _8_sp_base=(_0_rs.sp_base) # bld/herlev/final/default/src/fusion/Expr.mbi:620:12-19
      _9_cof_base=(_0_rs.cof_base) # bld/herlev/final/default/src/fusion/Expr.mbi:621:12-20
      _10_shape_base=(_0_rs.shape_base) # bld/herlev/final/default/src/fusion/Expr.mbi:622:12-22
      _11_i32=(_0_rs.i32) # bld/herlev/final/default/src/fusion/Expr.mbi:624:12-15
      _12_i64=(_0_rs.i64) # bld/herlev/final/default/src/fusion/Expr.mbi:625:12-15
      _13_f64=(_0_rs.f64) # bld/herlev/final/default/src/fusion/Expr.mbi:626:12-15
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:628:8-643:9
      fragments._c_closure_588(self.__bfix,_9_cof_base,self.__cof_v,_13_f64,_11_i32,_12_i64,_5_nd,_3_nelem,_7_nidxs_base,_6_ptr_base,self.__ptrb,self.__shape,_10_shape_base,self.__subj) # bld/herlev/final/default/src/fusion/Expr.mbi:628:8-643:9
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:628:8-643:9
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:611:67-644:7
    @staticmethod
    def __validateData_alt__3J_3J_3D_3D_3I_3J(_t__0_ptrb,_t__1_subj,_t__2_cof,_t__3_bfix,_t__4_shape,_t__5_inst):
      _0_ptrb=numpy.array(_t__0_ptrb,dtype=numpy.dtype(numpy.int64))
      _1_subj=numpy.array(_t__1_subj,dtype=numpy.dtype(numpy.int64))
      _2_cof=numpy.array(_t__2_cof,dtype=numpy.dtype(numpy.float64))
      _3_bfix=numpy.array(_t__3_bfix,dtype=numpy.dtype(numpy.float64))
      _4_shape=numpy.array(_t__4_shape,dtype=numpy.dtype(numpy.int32))
      _5_inst=numpy.array(_t__5_inst,dtype=numpy.dtype(numpy.int64))
      _1 = mosek_fusion_Expr.__validateData__3J_3J_3D_3D_3I_3J(_0_ptrb,_1_subj,_2_cof,_3_bfix,_4_shape,_5_inst)
      try:
        _t__0_ptrb[:] = _0_ptrb
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_subj[:] = _1_subj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_cof[:] = _2_cof
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_bfix[:] = _3_bfix
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_shape[:] = _4_shape
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__5_inst[:] = _5_inst
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __validateData__3J_3J_3D_3D_3I_3J(_0_ptrb,_1_subj,_2_cof,_3_bfix,_4_shape,_5_inst):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:442:6-497:7
      if (_4_shape is None): # bld/herlev/final/default/src/fusion/Expr.mbi:443:16-29
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:444:10-75
        raise mosek_fusion_ExpressionError._ctor_S("Array 'shape' in expression is null") # bld/herlev/final/default/src/fusion/Expr.mbi:444:10-75
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:444:10-75
      _6_exprnume=(int((_0_ptrb).shape[0]) - 1) # bld/herlev/final/default/src/fusion/Expr.mbi:445:12-20
      _7_numelm=_0_ptrb[(int((_0_ptrb).shape[0]) - 1)] # bld/herlev/final/default/src/fusion/Expr.mbi:446:12-26
      _8_nd=int((_4_shape).shape[0]) # bld/herlev/final/default/src/fusion/Expr.mbi:447:12-14
      _9_size=1 # bld/herlev/final/default/src/fusion/Expr.mbi:448:12-16
      _9_size = fragments._c_closure_589(_8_nd,_4_shape,_9_size) # bld/herlev/final/default/src/fusion/Expr.mbi:448:23-60
      _9_size = numpy.int64(_9_size) # postprocess
      if (int((_0_ptrb).shape[0]) < 1): # bld/herlev/final/default/src/fusion/Expr.mbi:449:16-29
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:450:10-81
        raise mosek_fusion_ExpressionError._ctor_S("Array 'ptrb' in expression has wrong size") # bld/herlev/final/default/src/fusion/Expr.mbi:450:10-81
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:450:10-81
      if (_7_numelm!=int((_1_subj).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:451:17-36
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:452:10-81
        raise mosek_fusion_ExpressionError._ctor_S("Array 'subj' in expression has wrong size") # bld/herlev/final/default/src/fusion/Expr.mbi:452:10-81
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:452:10-81
      if (_7_numelm!=int((_2_cof).shape[0])): # bld/herlev/final/default/src/fusion/Expr.mbi:453:17-35
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:454:10-80
        raise mosek_fusion_ExpressionError._ctor_S("Array 'cof' in expression has wrong size") # bld/herlev/final/default/src/fusion/Expr.mbi:454:10-80
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:454:10-80
      if ((_3_bfix is None) or (_6_exprnume!=int((_3_bfix).shape[0]))): # bld/herlev/final/default/src/fusion/Expr.mbi:455:17-54
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:456:10-83
        raise mosek_fusion_ExpressionError._ctor_S("Array 'bfix' in expression has wrong length") # bld/herlev/final/default/src/fusion/Expr.mbi:456:10-83
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:456:10-83
      if ((_5_inst is not None) and (int((_5_inst).shape[0]) < _9_size)): # bld/herlev/final/default/src/fusion/Expr.mbi:458:12-45
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:459:8-481:9
        if (int((_5_inst).shape[0])!=(int((_0_ptrb).shape[0]) - 1)): # bld/herlev/final/default/src/fusion/Expr.mbi:460:14-38
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:461:12-85
          raise mosek_fusion_ExpressionError._ctor_S("Array 'inst' in expression has wrong length") # bld/herlev/final/default/src/fusion/Expr.mbi:461:12-85
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:461:12-85
        if (int((_5_inst).shape[0]) > 0): # bld/herlev/final/default/src/fusion/Expr.mbi:463:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:464:10-480:11
          if ((_5_inst[0] < 0) or (_5_inst[0] >= _9_size)): # bld/herlev/final/default/src/fusion/Expr.mbi:465:16-46
            # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:466:14-82
            raise mosek_fusion_ExpressionError._ctor_S("Array 'inst' contains an invalid index") # bld/herlev/final/default/src/fusion/Expr.mbi:466:14-82
            # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:466:14-82
          _10_sorted_in_range=True # bld/herlev/final/default/src/fusion/Expr.mbi:468:16-31
          _11_tot_size=_9_size # bld/herlev/final/default/src/fusion/Expr.mbi:469:16-24
          _10_sorted_in_range = fragments._c_closure_590(_5_inst,_10_sorted_in_range,_11_tot_size) # bld/herlev/final/default/src/fusion/Expr.mbi:471:12-477:13
          if (not _10_sorted_in_range): # bld/herlev/final/default/src/fusion/Expr.mbi:478:16-35
            # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:479:14-64
            raise mosek_fusion_ExpressionError._ctor_S("Invalid array 'inst'") # bld/herlev/final/default/src/fusion/Expr.mbi:479:14-64
            # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:479:14-64
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:464:10-480:11
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:459:8-481:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:482:13-485:9
        if (_9_size!=(int((_0_ptrb).shape[0]) - 1)): # bld/herlev/final/default/src/fusion/Expr.mbi:483:14-37
          # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:484:12-85
          raise mosek_fusion_ExpressionError._ctor_S("Array 'ptrb' in expression has wrong length") # bld/herlev/final/default/src/fusion/Expr.mbi:484:12-85
          # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:484:12-85
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:482:13-485:9
      _12_invalid_ptrb=False # bld/herlev/final/default/src/fusion/Expr.mbi:487:12-24
      _13_invalid_subj=False # bld/herlev/final/default/src/fusion/Expr.mbi:488:12-24
      if (_0_ptrb[0]!=0): # bld/herlev/final/default/src/fusion/Expr.mbi:489:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:490:10-77
        raise mosek_fusion_ExpressionError._ctor_S("Invalid 'ptrb' argument in expression") # bld/herlev/final/default/src/fusion/Expr.mbi:490:10-77
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:490:10-77
      _14_ptrb_sorted=True # bld/herlev/final/default/src/fusion/Expr.mbi:492:12-23
      _14_ptrb_sorted = fragments._c_closure_591(_6_exprnume,_0_ptrb,_14_ptrb_sorted) # bld/herlev/final/default/src/fusion/Expr.mbi:493:8-494:61
      if (not _14_ptrb_sorted): # bld/herlev/final/default/src/fusion/Expr.mbi:495:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:496:10-77
        raise mosek_fusion_ExpressionError._ctor_S("Invalid 'ptrb' argument in expression") # bld/herlev/final/default/src/fusion/Expr.mbi:496:10-77
        # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:496:10-77
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:442:6-497:7
    @staticmethod
    def __extractModel_alt__3Lmosek_4fusion_4Variable_2(_t__0_v):
      _0_v=numpy.array(_t__0_v,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Expr.__extractModel__3Lmosek_4fusion_4Variable_2(_0_v)
      try:
        _t__0_v[:] = _0_v
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def __extractModel__3Lmosek_4fusion_4Variable_2(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Expr.mbi:434:61-128
      return ((None if (((_0_v is None) or (int((_0_v).shape[0])==0)) ) else _0_v[0]._getModel_())) # bld/herlev/final/default/src/fusion/Expr.mbi:434:63-126
      # End   scope @ bld/herlev/final/default/src/fusion/Expr.mbi:434:61-128
  return Expr
mosek_fusion_Expr=__mk_mosek_fusion_Expr()
del __mk_mosek_fusion_Expr

# origin: bld/herlev/final/default/src/fusion/BaseExpression.monty:46:4-395:5
#BEFORE CLASS
def __mk_mosek_fusion_WorkStack():
  class WorkStack(object):
    __slots__ = ['code_base','cconst_base','codeptr_base','cof_base','nidxs_base','sp_base','shape_base','ptr_base','hassp','ncodeatom','nelem','nnz','nd','pf64','pi64','pi32','f64','i64','i32']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_(*args): # 
        self._ctor_init_(*args)
      elif self.__match_alt_ctor_(*args):# 
        self._ctor_alt_init_(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.WorkStack.ctor()')

    def pushi64(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_pushi64_J(*args): # int64
        return self._pushi64_J(*args)
      elif mosek_fusion_WorkStack._match_alt_pushi64_J(*args): # int64
        return self._pushi64_alt_J(*args)
      else:
        raise ValueError('Invalid argument list pushi64('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.pushi64(int64)')

    def peek_nelem(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_peek_1nelem_(*args): # 
        return self._peek_1nelem_(*args)
      elif mosek_fusion_WorkStack._match_alt_peek_1nelem_(*args): # 
        return self._peek_1nelem_alt_(*args)
      else:
        raise ValueError('Invalid argument list peek_nelem('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.peek_nelem()')

    def ensurei32(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_ensurei32_I(*args): # int32
        return self._ensurei32_I(*args)
      elif mosek_fusion_WorkStack._match_alt_ensurei32_I(*args): # int32
        return self._ensurei32_alt_I(*args)
      else:
        raise ValueError('Invalid argument list ensurei32('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.ensurei32(int32)')

    def popi64(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_popi64_(*args): # 
        return self._popi64_(*args)
      elif mosek_fusion_WorkStack._match_alt_popi64_(*args): # 
        return self._popi64_alt_(*args)
      elif mosek_fusion_WorkStack._match_popi64_I(*args): # int32
        return self._popi64_I(*args)
      elif mosek_fusion_WorkStack._match_alt_popi64_I(*args): # int32
        return self._popi64_alt_I(*args)
      elif mosek_fusion_WorkStack._match_popi64_I_3JI(*args): # int32,[]int64,int32
        return self._popi64_I_3JI(*args)
      elif mosek_fusion_WorkStack._match_alt_popi64_I_3JI(*args): # int32,[]int64,int32
        return self._popi64_alt_I_3JI(*args)
      else:
        raise ValueError('Invalid argument list popi64('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.popi64()\n\tmosek.fusion.WorkStack.popi64(int32)\n\tmosek.fusion.WorkStack.popi64(int32,array(int64,ndim=1),int32)')

    def peek_dim(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_peek_1dim_I(*args): # int32
        return self._peek_1dim_I(*args)
      elif mosek_fusion_WorkStack._match_alt_peek_1dim_I(*args): # int32
        return self._peek_1dim_alt_I(*args)
      else:
        raise ValueError('Invalid argument list peek_dim('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.peek_dim(int32)')

    def formatCurrent(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_formatCurrent_(*args): # 
        return self._formatCurrent_(*args)
      elif mosek_fusion_WorkStack._match_alt_formatCurrent_(*args): # 
        return self._formatCurrent_alt_(*args)
      else:
        raise ValueError('Invalid argument list formatCurrent('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.formatCurrent()')

    def peek_expr(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_peek_1expr_(*args): # 
        return self._peek_1expr_(*args)
      elif mosek_fusion_WorkStack._match_alt_peek_1expr_(*args): # 
        return self._peek_1expr_alt_(*args)
      else:
        raise ValueError('Invalid argument list peek_expr('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.peek_expr()')

    def peeki32(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_peeki32_(*args): # 
        return self._peeki32_(*args)
      elif mosek_fusion_WorkStack._match_alt_peeki32_(*args): # 
        return self._peeki32_alt_(*args)
      elif mosek_fusion_WorkStack._match_peeki32_I(*args): # int32
        return self._peeki32_I(*args)
      elif mosek_fusion_WorkStack._match_alt_peeki32_I(*args): # int32
        return self._peeki32_alt_I(*args)
      else:
        raise ValueError('Invalid argument list peeki32('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.peeki32()\n\tmosek.fusion.WorkStack.peeki32(int32)')

    def ensurei64(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_ensurei64_I(*args): # int32
        return self._ensurei64_I(*args)
      elif mosek_fusion_WorkStack._match_alt_ensurei64_I(*args): # int32
        return self._ensurei64_alt_I(*args)
      else:
        raise ValueError('Invalid argument list ensurei64('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.ensurei64(int32)')

    def peek_hassp(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_peek_1hassp_(*args): # 
        return self._peek_1hassp_(*args)
      elif mosek_fusion_WorkStack._match_alt_peek_1hassp_(*args): # 
        return self._peek_1hassp_alt_(*args)
      else:
        raise ValueError('Invalid argument list peek_hassp('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.peek_hassp()')

    def clear(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_clear_(*args): # 
        return self._clear_(*args)
      elif mosek_fusion_WorkStack._match_alt_clear_(*args): # 
        return self._clear_alt_(*args)
      else:
        raise ValueError('Invalid argument list clear('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.clear()')

    def alloci64(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_alloci64_I(*args): # int32
        return self._alloci64_I(*args)
      elif mosek_fusion_WorkStack._match_alt_alloci64_I(*args): # int32
        return self._alloci64_alt_I(*args)
      else:
        raise ValueError('Invalid argument list alloci64('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.alloci64(int32)')

    def peek_nnz(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_peek_1nnz_(*args): # 
        return self._peek_1nnz_(*args)
      elif mosek_fusion_WorkStack._match_alt_peek_1nnz_(*args): # 
        return self._peek_1nnz_alt_(*args)
      else:
        raise ValueError('Invalid argument list peek_nnz('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.peek_nnz()')

    def alloc_expr(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_alloc_1expr_IIIZ(*args): # int32,int32,int32,bool
        return self._alloc_1expr_IIIZ(*args)
      elif mosek_fusion_WorkStack._match_alt_alloc_1expr_IIIZ(*args): # int32,int32,int32,bool
        return self._alloc_1expr_alt_IIIZ(*args)
      elif mosek_fusion_WorkStack._match_alloc_1expr_IIIZI(*args): # int32,int32,int32,bool,int32
        return self._alloc_1expr_IIIZI(*args)
      elif mosek_fusion_WorkStack._match_alt_alloc_1expr_IIIZI(*args): # int32,int32,int32,bool,int32
        return self._alloc_1expr_alt_IIIZI(*args)
      else:
        raise ValueError('Invalid argument list alloc_expr('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.alloc_expr(int32,int32,int32,bool)\n\tmosek.fusion.WorkStack.alloc_expr(int32,int32,int32,bool,int32)')

    def pushi32(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_pushi32_I(*args): # int32
        return self._pushi32_I(*args)
      elif mosek_fusion_WorkStack._match_alt_pushi32_I(*args): # int32
        return self._pushi32_alt_I(*args)
      else:
        raise ValueError('Invalid argument list pushi32('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.pushi32(int32)')

    def allocf64(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_allocf64_I(*args): # int32
        return self._allocf64_I(*args)
      elif mosek_fusion_WorkStack._match_alt_allocf64_I(*args): # int32
        return self._allocf64_alt_I(*args)
      else:
        raise ValueError('Invalid argument list allocf64('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.allocf64(int32)')

    def peek_nd(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_peek_1nd_(*args): # 
        return self._peek_1nd_(*args)
      elif mosek_fusion_WorkStack._match_alt_peek_1nd_(*args): # 
        return self._peek_1nd_alt_(*args)
      else:
        raise ValueError('Invalid argument list peek_nd('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.peek_nd()')

    def pop_expr(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_pop_1expr_(*args): # 
        return self._pop_1expr_(*args)
      elif mosek_fusion_WorkStack._match_alt_pop_1expr_(*args): # 
        return self._pop_1expr_alt_(*args)
      else:
        raise ValueError('Invalid argument list pop_expr('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.pop_expr()')

    def alloci32(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_alloci32_I(*args): # int32
        return self._alloci32_I(*args)
      elif mosek_fusion_WorkStack._match_alt_alloci32_I(*args): # int32
        return self._alloci32_alt_I(*args)
      else:
        raise ValueError('Invalid argument list alloci32('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.alloci32(int32)')

    def peeki64(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_peeki64_(*args): # 
        return self._peeki64_(*args)
      elif mosek_fusion_WorkStack._match_alt_peeki64_(*args): # 
        return self._peeki64_alt_(*args)
      elif mosek_fusion_WorkStack._match_peeki64_I(*args): # int32
        return self._peeki64_I(*args)
      elif mosek_fusion_WorkStack._match_alt_peeki64_I(*args): # int32
        return self._peeki64_alt_I(*args)
      else:
        raise ValueError('Invalid argument list peeki64('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.peeki64()\n\tmosek.fusion.WorkStack.peeki64(int32)')

    def ensure_sparsity(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_ensure_1sparsity_(*args): # 
        return self._ensure_1sparsity_(*args)
      elif mosek_fusion_WorkStack._match_alt_ensure_1sparsity_(*args): # 
        return self._ensure_1sparsity_alt_(*args)
      else:
        raise ValueError('Invalid argument list ensure_sparsity('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.ensure_sparsity()')

    def popf64(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_popf64_(*args): # 
        return self._popf64_(*args)
      elif mosek_fusion_WorkStack._match_alt_popf64_(*args): # 
        return self._popf64_alt_(*args)
      elif mosek_fusion_WorkStack._match_popf64_I(*args): # int32
        return self._popf64_I(*args)
      elif mosek_fusion_WorkStack._match_alt_popf64_I(*args): # int32
        return self._popf64_alt_I(*args)
      elif mosek_fusion_WorkStack._match_popf64_I_3DI(*args): # int32,[]double,int32
        return self._popf64_I_3DI(*args)
      elif mosek_fusion_WorkStack._match_alt_popf64_I_3DI(*args): # int32,[]double,int32
        return self._popf64_alt_I_3DI(*args)
      else:
        raise ValueError('Invalid argument list popf64('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.popf64()\n\tmosek.fusion.WorkStack.popf64(int32)\n\tmosek.fusion.WorkStack.popf64(int32,array(double,ndim=1),int32)')

    def popi32(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_popi32_(*args): # 
        return self._popi32_(*args)
      elif mosek_fusion_WorkStack._match_alt_popi32_(*args): # 
        return self._popi32_alt_(*args)
      elif mosek_fusion_WorkStack._match_popi32_I(*args): # int32
        return self._popi32_I(*args)
      elif mosek_fusion_WorkStack._match_alt_popi32_I(*args): # int32
        return self._popi32_alt_I(*args)
      elif mosek_fusion_WorkStack._match_popi32_I_3II(*args): # int32,[]int32,int32
        return self._popi32_I_3II(*args)
      elif mosek_fusion_WorkStack._match_alt_popi32_I_3II(*args): # int32,[]int32,int32
        return self._popi32_alt_I_3II(*args)
      else:
        raise ValueError('Invalid argument list popi32('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.popi32()\n\tmosek.fusion.WorkStack.popi32(int32)\n\tmosek.fusion.WorkStack.popi32(int32,array(int32,ndim=1),int32)')

    def move_expr(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_move_1expr_Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack
        return self._move_1expr_Lmosek_4fusion_4WorkStack_2(*args)
      elif mosek_fusion_WorkStack._match_alt_move_1expr_Lmosek_4fusion_4WorkStack_2(*args): # mosek.fusion.WorkStack
        return self._move_1expr_alt_Lmosek_4fusion_4WorkStack_2(*args)
      else:
        raise ValueError('Invalid argument list move_expr('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.move_expr(mosek.fusion.WorkStack)')

    def ensuref64(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_ensuref64_I(*args): # int32
        return self._ensuref64_I(*args)
      elif mosek_fusion_WorkStack._match_alt_ensuref64_I(*args): # int32
        return self._ensuref64_alt_I(*args)
      else:
        raise ValueError('Invalid argument list ensuref64('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.ensuref64(int32)')

    def pushf64(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_pushf64_D(*args): # double
        return self._pushf64_D(*args)
      elif mosek_fusion_WorkStack._match_alt_pushf64_D(*args): # double
        return self._pushf64_alt_D(*args)
      else:
        raise ValueError('Invalid argument list pushf64('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.pushf64(double)')

    def peekf64(self,*args):
      if False: pass
      elif mosek_fusion_WorkStack._match_peekf64_(*args): # 
        return self._peekf64_(*args)
      elif mosek_fusion_WorkStack._match_alt_peekf64_(*args): # 
        return self._peekf64_alt_(*args)
      elif mosek_fusion_WorkStack._match_peekf64_I(*args): # int32
        return self._peekf64_I(*args)
      elif mosek_fusion_WorkStack._match_alt_peekf64_I(*args): # int32
        return self._peekf64_alt_I(*args)
      else:
        raise ValueError('Invalid argument list peekf64('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.WorkStack.peekf64()\n\tmosek.fusion.WorkStack.peekf64(int32)')

    def __repr__(self): return 'mosek.fusion.WorkStack'
    @staticmethod
    def _ctor_():
      o = WorkStack.__new__(WorkStack)
      o._ctor_init_()
      return o

    @staticmethod
    def __match_ctor_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def __match_alt_ctor_(*args):
      if len(args) != 0: return False
      return True
    # Origin: bld/herlev/final/default/src/fusion/BaseExpression.monty:212:6-236:7
    def _ctor_alt_init_(self,):
      self._ctor_init_()
    def _ctor_init_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:212:20-236:7
      self.i32 = numpy.zeros((128,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:213:8-23
      self.i64 = numpy.zeros((128,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:214:8-23
      self.f64 = numpy.zeros((128,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:215:8-23
      self.pi32 = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:216:8-17
      self.pi64 = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:217:8-17
      self.pf64 = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:218:8-17
      self.nd = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:221:8-26
      self.nnz = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:222:8-26
      self.nelem = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:223:8-26
      self.hassp = False # bld/herlev/final/default/src/fusion/BaseExpression.monty:224:8-30
      self.ncodeatom = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:225:8-26
      self.ptr_base = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:227:8-26
      self.shape_base = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:228:8-26
      self.sp_base = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:229:8-26
      self.nidxs_base = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:230:8-26
      self.cof_base = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:232:8-26
      self.cconst_base = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:233:8-26
      self.code_base = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:234:8-26
      self.codeptr_base = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:235:8-26
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:212:20-236:7
    @staticmethod
    def _match_formatCurrent_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_formatCurrent_(*args):
      if len(args) != 0: return False
      return True
    def _formatCurrent_alt_(self,):
      return self._formatCurrent_()
    def _formatCurrent_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:366:43-394:7
      _0_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/BaseExpression.monty:367:12-14
      _0_sb._a_S("  nelem     = ")._a_I(self.nelem)._a_S("\n")._a_S("  nnz       = ")._a_I(self.nnz)._a_S("\n")._a_S("  hassp     = ")._a_Z(self.hassp)._a_S(" / ")._a_Z(self.hassp)._a_S("\n")._a_S("  shape     = ")._a__3I(numpy.array([self.i32[(self.shape_base + _1_i)] for _1_i in range(0,self.nd)], dtype=numpy.dtype(numpy.int32)))._a_S("\n")._a_S("  ptr       = ")._a__3I(numpy.array([self.i32[(self.ptr_base + _2_i)] for _2_i in range(0,(self.nelem + 1))], dtype=numpy.dtype(numpy.int32)))._a_S("\n") # bld/herlev/final/default/src/fusion/BaseExpression.monty:369:8-373:84
      if (self.ncodeatom > 0): # bld/herlev/final/default/src/fusion/BaseExpression.monty:374:12-25
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:375:10-88
        _0_sb._a_S("  codeptr   = ")._a__3I(numpy.array([self.i32[(self.codeptr_base + _3_i)] for _3_i in range(0,(self.nnz + 1))], dtype=numpy.dtype(numpy.int32)))._a_S("\n") # bld/herlev/final/default/src/fusion/BaseExpression.monty:375:10-88
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:375:10-88
      if self.hassp: # bld/herlev/final/default/src/fusion/BaseExpression.monty:376:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:377:10-83
        _0_sb._a_S("  sp        = ")._a__3J(numpy.array([self.i64[(self.sp_base + _4_i)] for _4_i in range(0,self.nelem)], dtype=numpy.dtype(numpy.int64)))._a_S("\n") # bld/herlev/final/default/src/fusion/BaseExpression.monty:377:10-83
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:377:10-83
      for _5_i in range(0,self.nelem): # bld/herlev/final/default/src/fusion/BaseExpression.monty:379:8-391:9
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:379:31-391:9
        _0_sb._a_S("  row[")._a_I(_5_i)._a_S("]")._a_S("\n")._a_S("    nidx : ")._a__3J(numpy.array([self.i64[(self.nidxs_base + _6_j)] for _6_j in range(self.i32[(self.ptr_base + _5_i)],self.i32[((self.ptr_base + _5_i) + 1)])], dtype=numpy.dtype(numpy.int64)))._a_S("\n")._a_S("    cof  : ")._a__3D(numpy.array([self.f64[(self.cof_base + _7_j)] for _7_j in range(self.i32[(self.ptr_base + _5_i)],self.i32[((self.ptr_base + _5_i) + 1)])], dtype=numpy.dtype(numpy.float64)))._a_S("\n") # bld/herlev/final/default/src/fusion/BaseExpression.monty:380:10-382:107
        if (self.ncodeatom > 0): # bld/herlev/final/default/src/fusion/BaseExpression.monty:383:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:383:29-390:11
          for _8_j in range(self.i32[(self.ptr_base + _5_i)],self.i32[((self.ptr_base + _5_i) + 1)]): # bld/herlev/final/default/src/fusion/BaseExpression.monty:384:12-389:17
            # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:385:14-389:17
            _0_sb._a_S("      code[")._a_J(self.i64[(self.nidxs_base + _8_j)])._a_S("] ")._a__3I(numpy.array([self.i32[(self.code_base + _9_k)] for _9_k in range(self.i32[(self.codeptr_base + _8_j)],self.i32[((self.codeptr_base + _8_j) + 1)])], dtype=numpy.dtype(numpy.int32)))._a__3D(numpy.array([self.f64[(self.cconst_base + _10_k)] for _10_k in range(self.i32[(self.codeptr_base + _8_j)],self.i32[((self.codeptr_base + _8_j) + 1)])], dtype=numpy.dtype(numpy.float64)))._a_S("\n") # bld/herlev/final/default/src/fusion/BaseExpression.monty:385:14-389:17
            # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:385:14-389:17
          # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:383:29-390:11
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:379:31-391:9
      return (_0_sb._toString_()) # bld/herlev/final/default/src/fusion/BaseExpression.monty:392:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:366:43-394:7
    @staticmethod
    def _match_peek_1hassp_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_peek_1hassp_(*args):
      if len(args) != 0: return False
      return True
    def _peek_1hassp_alt_(self,):
      return self._peek_1hassp_()
    def _peek_1hassp_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:364:40-77
      return ((self._peeki32_I((3 + self._peek_1nd_()))!=0)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:364:42-75
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:364:40-77
    @staticmethod
    def _match_peek_1nnz_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_peek_1nnz_(*args):
      if len(args) != 0: return False
      return True
    def _peek_1nnz_alt_(self,):
      return self._peek_1nnz_()
    def _peek_1nnz_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:362:40-72
      return numpy.int32(self._peeki32_I((2 + self._peek_1nd_()))) # bld/herlev/final/default/src/fusion/BaseExpression.monty:362:42-70
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:362:40-72
    @staticmethod
    def _match_peek_1nelem_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_peek_1nelem_(*args):
      if len(args) != 0: return False
      return True
    def _peek_1nelem_alt_(self,):
      return self._peek_1nelem_()
    def _peek_1nelem_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:360:40-72
      return numpy.int32(self._peeki32_I((1 + self._peek_1nd_()))) # bld/herlev/final/default/src/fusion/BaseExpression.monty:360:42-70
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:360:40-72
    @staticmethod
    def _match_peek_1dim_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_match_I__(_0_i))
    @staticmethod
    def _match_alt_peek_1dim_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_alt_match_I__(_0_i))
    def _peek_1dim_alt_I(self,_t__0_i):
      return self._peek_1dim_I(numpy.int32(__0_i))
    def _peek_1dim_I(self,_0_i):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:358:47-71
      return numpy.int32(self._peeki32_I((_0_i + 1))) # bld/herlev/final/default/src/fusion/BaseExpression.monty:358:49-69
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:358:47-71
    @staticmethod
    def _match_peek_1nd_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_peek_1nd_(*args):
      if len(args) != 0: return False
      return True
    def _peek_1nd_alt_(self,):
      return self._peek_1nd_()
    def _peek_1nd_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:356:47-68
      return numpy.int32(self._peeki32_()) # bld/herlev/final/default/src/fusion/BaseExpression.monty:356:49-66
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:356:47-68
    @staticmethod
    def _match_alloc_1expr_IIIZ(*args):
      if len(args) != 4: return False
      _0_nd,_1_nelem,_2_nnz,_3_hassp, = args
      return (    __arg_match_I__(_0_nd)
              and __arg_match_I__(_1_nelem)
              and __arg_match_I__(_2_nnz)
              and __arg_match_Z__(_3_hassp))
    @staticmethod
    def _match_alt_alloc_1expr_IIIZ(*args):
      if len(args) != 4: return False
      _0_nd,_1_nelem,_2_nnz,_3_hassp, = args
      return (    __arg_alt_match_I__(_0_nd)
              and __arg_alt_match_I__(_1_nelem)
              and __arg_alt_match_I__(_2_nnz)
              and __arg_alt_match_Z__(_3_hassp))
    def _alloc_1expr_alt_IIIZ(self,_t__0_nd,_t__1_nelem,_t__2_nnz,_t__3_hassp):
      return self._alloc_1expr_IIIZ(numpy.int32(__0_nd),numpy.int32(__1_nelem),numpy.int32(__2_nnz),_3_hassp)
    def _alloc_1expr_IIIZ(self,_0_nd,_1_nelem,_2_nnz,_3_hassp):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:351:74-353:7
      self._alloc_1expr_IIIZI(_0_nd,_1_nelem,_2_nnz,_3_hassp,0) # bld/herlev/final/default/src/fusion/BaseExpression.monty:352:8-41
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:351:74-353:7
    @staticmethod
    def _match_alloc_1expr_IIIZI(*args):
      if len(args) != 5: return False
      _0_nd,_1_nelem,_2_nnz,_3_hassp,_4_ncodeatom, = args
      return (    __arg_match_I__(_0_nd)
              and __arg_match_I__(_1_nelem)
              and __arg_match_I__(_2_nnz)
              and __arg_match_Z__(_3_hassp)
              and __arg_match_I__(_4_ncodeatom))
    @staticmethod
    def _match_alt_alloc_1expr_IIIZI(*args):
      if len(args) != 5: return False
      _0_nd,_1_nelem,_2_nnz,_3_hassp,_4_ncodeatom, = args
      return (    __arg_alt_match_I__(_0_nd)
              and __arg_alt_match_I__(_1_nelem)
              and __arg_alt_match_I__(_2_nnz)
              and __arg_alt_match_Z__(_3_hassp)
              and __arg_alt_match_I__(_4_ncodeatom))
    def _alloc_1expr_alt_IIIZI(self,_t__0_nd,_t__1_nelem,_t__2_nnz,_t__3_hassp,_t__4_ncodeatom):
      return self._alloc_1expr_IIIZI(numpy.int32(__0_nd),numpy.int32(__1_nelem),numpy.int32(__2_nnz),_3_hassp,numpy.int32(__4_ncodeatom))
    def _alloc_1expr_IIIZI(self,_0_nd,_1_nelem,_2_nnz,_3_hassp,_4_ncodeatom):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:323:90-348:7
      self.cof_base = self._allocf64_I(_2_nnz) # bld/herlev/final/default/src/fusion/BaseExpression.monty:325:8-37
      self.cconst_base = self._allocf64_I(_4_ncodeatom) # bld/herlev/final/default/src/fusion/BaseExpression.monty:327:8-43
      self.nidxs_base = self._alloci64_I(_2_nnz) # bld/herlev/final/default/src/fusion/BaseExpression.monty:329:8-37
      self.sp_base = (self._alloci64_I(_1_nelem) if (_3_hassp ) else (- 9999)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:330:8-61
      self.code_base = self._alloci32_I(_4_ncodeatom) # bld/herlev/final/default/src/fusion/BaseExpression.monty:332:8-43
      self.codeptr_base = (self._alloci32_I((_2_nnz + 1)) if ((_4_ncodeatom > 0) ) else (- 9999)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:333:8-69
      self.ptr_base = self._alloci32_I((_1_nelem + 1)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:334:8-41
      self._pushi32_I(_4_ncodeatom) # bld/herlev/final/default/src/fusion/BaseExpression.monty:336:8-27
      self._pushi32_I((1 if (_3_hassp ) else 0)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:337:8-37
      self._pushi32_I(_2_nnz) # bld/herlev/final/default/src/fusion/BaseExpression.monty:338:8-21
      self._pushi32_I(_1_nelem) # bld/herlev/final/default/src/fusion/BaseExpression.monty:339:8-23
      self.shape_base = self._alloci32_I(_0_nd) # bld/herlev/final/default/src/fusion/BaseExpression.monty:340:8-34
      self._pushi32_I(_0_nd) # bld/herlev/final/default/src/fusion/BaseExpression.monty:341:8-20
      (self.ncodeatom) = _4_ncodeatom # bld/herlev/final/default/src/fusion/BaseExpression.monty:343:8-35
      (self.nd) = _0_nd # bld/herlev/final/default/src/fusion/BaseExpression.monty:344:8-24
      (self.nelem) = _1_nelem # bld/herlev/final/default/src/fusion/BaseExpression.monty:345:8-27
      (self.nnz) = _2_nnz # bld/herlev/final/default/src/fusion/BaseExpression.monty:346:8-25
      (self.hassp) = _3_hassp # bld/herlev/final/default/src/fusion/BaseExpression.monty:347:8-27
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:323:90-348:7
    @staticmethod
    def _match_pop_1expr_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_pop_1expr_(*args):
      if len(args) != 0: return False
      return True
    def _pop_1expr_alt_(self,):
      return self._pop_1expr_()
    def _pop_1expr_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:301:31-320:7
      self.nd = self._popi32_() # bld/herlev/final/default/src/fusion/BaseExpression.monty:302:8-30
      self.shape_base = self._popi32_I(self.nd) # bld/herlev/final/default/src/fusion/BaseExpression.monty:303:8-32
      self.nelem = self._popi32_() # bld/herlev/final/default/src/fusion/BaseExpression.monty:304:8-30
      self.nnz = self._popi32_() # bld/herlev/final/default/src/fusion/BaseExpression.monty:305:8-30
      self.hassp = (self._popi32_()!=0) # bld/herlev/final/default/src/fusion/BaseExpression.monty:306:8-35
      self.ncodeatom = self._popi32_() # bld/herlev/final/default/src/fusion/BaseExpression.monty:307:8-30
      self.ptr_base = self._popi32_I((self.nelem + 1)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:309:8-39
      self.codeptr_base = (self._popi32_I((self.nnz + 1)) if ((self.ncodeatom > 0) ) else (- 9999)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:310:8-67
      self.code_base = self._popi32_I(self.ncodeatom) # bld/herlev/final/default/src/fusion/BaseExpression.monty:311:8-41
      self.sp_base = (self._popi64_I(self.nelem) if (self.hassp ) else (- 9999)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:313:8-59
      self.nidxs_base = self._popi64_I(self.nnz) # bld/herlev/final/default/src/fusion/BaseExpression.monty:314:8-35
      self.cconst_base = self._popf64_I(self.ncodeatom) # bld/herlev/final/default/src/fusion/BaseExpression.monty:316:8-41
      self.cof_base = self._popf64_I(self.nnz) # bld/herlev/final/default/src/fusion/BaseExpression.monty:318:8-35
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:301:31-320:7
    @staticmethod
    def _match_move_1expr_Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 1: return False
      _0_to, = args
      return (    __arg_match_Lmosek_4fusion_4WorkStack_2__(_0_to))
    @staticmethod
    def _match_alt_move_1expr_Lmosek_4fusion_4WorkStack_2(*args):
      if len(args) != 1: return False
      _0_to, = args
      return (    __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(_0_to))
    def _move_1expr_alt_Lmosek_4fusion_4WorkStack_2(self,_t__0_to):
      return self._move_1expr_Lmosek_4fusion_4WorkStack_2(_0_to)
    def _move_1expr_Lmosek_4fusion_4WorkStack_2(self,_0_to):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:284:44-298:7
      _1_tmp_pi32=self.pi32 # bld/herlev/final/default/src/fusion/BaseExpression.monty:285:12-20
      _2_tmp_pi64=self.pi64 # bld/herlev/final/default/src/fusion/BaseExpression.monty:286:12-20
      _3_tmp_pf64=self.pf64 # bld/herlev/final/default/src/fusion/BaseExpression.monty:287:12-20
      self._pop_1expr_() # bld/herlev/final/default/src/fusion/BaseExpression.monty:289:8-19
      _4_ti32=_0_to._alloci32_I((_1_tmp_pi32 - self.pi32)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:291:12-16
      _5_ti64=_0_to._alloci64_I((_2_tmp_pi64 - self.pi64)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:292:12-16
      _6_tf64=_0_to._allocf64_I((_3_tmp_pf64 - self.pf64)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:293:12-16
      mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.i32,self.pi32,(_0_to.i32),_4_ti32,(_1_tmp_pi32 - self.pi32)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:295:8-67
      mosek.fusion.Utils.Tools._arraycopy__3JI_3JII(self.i64,self.pi64,(_0_to.i64),_5_ti64,(_2_tmp_pi64 - self.pi64)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:296:8-67
      mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.f64,self.pf64,(_0_to.f64),_6_tf64,(_3_tmp_pf64 - self.pf64)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:297:8-67
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:284:44-298:7
    @staticmethod
    def _match_peek_1expr_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_peek_1expr_(*args):
      if len(args) != 0: return False
      return True
    def _peek_1expr_alt_(self,):
      return self._peek_1expr_()
    def _peek_1expr_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:272:32-281:7
      _0_tmp_pi32=self.pi32 # bld/herlev/final/default/src/fusion/BaseExpression.monty:273:12-20
      _1_tmp_pi64=self.pi64 # bld/herlev/final/default/src/fusion/BaseExpression.monty:274:12-20
      _2_tmp_pf64=self.pf64 # bld/herlev/final/default/src/fusion/BaseExpression.monty:275:12-20
      self._pop_1expr_() # bld/herlev/final/default/src/fusion/BaseExpression.monty:277:8-19
      self.pi32 = _0_tmp_pi32 # bld/herlev/final/default/src/fusion/BaseExpression.monty:278:8-24
      self.pi64 = _1_tmp_pi64 # bld/herlev/final/default/src/fusion/BaseExpression.monty:279:8-24
      self.pf64 = _2_tmp_pf64 # bld/herlev/final/default/src/fusion/BaseExpression.monty:280:8-24
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:272:32-281:7
    @staticmethod
    def _match_ensure_1sparsity_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_ensure_1sparsity_(*args):
      if len(args) != 0: return False
      return True
    def _ensure_1sparsity_alt_(self,):
      return self._ensure_1sparsity_()
    def _ensure_1sparsity_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:258:38-268:7
      _0_nd=self.i32[(self.pi32 - 1)] # bld/herlev/final/default/src/fusion/BaseExpression.monty:259:12-14
      _1_hassp=(self.i32[((self.pi32 - _0_nd) - 3)]!=0) # bld/herlev/final/default/src/fusion/BaseExpression.monty:260:12-17
      _2_nelem=self.i32[((self.pi32 - _0_nd) - 1)] # bld/herlev/final/default/src/fusion/BaseExpression.monty:261:12-17
      if (not _1_hassp): # bld/herlev/final/default/src/fusion/BaseExpression.monty:262:12-21
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:262:23-267:9
        self.i32[((self.pi32 - _0_nd) - 3)] = 1 # bld/herlev/final/default/src/fusion/BaseExpression.monty:263:10-29
        _3_sp=self._alloci64_I(_2_nelem) # bld/herlev/final/default/src/fusion/BaseExpression.monty:264:14-16
        fragments._c_closure_592(self.i64,_2_nelem,_3_sp) # bld/herlev/final/default/src/fusion/BaseExpression.monty:265:10-266:24
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:262:23-267:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:258:38-268:7
    @staticmethod
    def _match_clear_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_clear_(*args):
      if len(args) != 0: return False
      return True
    def _clear_alt_(self,):
      return self._clear_()
    def _clear_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:210:28-61
      self.pi32 = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:210:30-39
      self.pi64 = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:210:40-49
      self.pf64 = 0 # bld/herlev/final/default/src/fusion/BaseExpression.monty:210:50-59
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:210:28-61
    @staticmethod
    def _match_allocf64_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_allocf64_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    def _allocf64_alt_I(self,_t__0_n):
      return self._allocf64_I(numpy.int32(__0_n))
    def _allocf64_I(self,_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:201:44-207:7
      self._ensuref64_I(_0_n) # bld/herlev/final/default/src/fusion/BaseExpression.monty:202:8-21
      _1_r=self.pf64 # bld/herlev/final/default/src/fusion/BaseExpression.monty:203:12-13
      fragments._c_closure_593(self.f64,_0_n,self.pf64) # bld/herlev/final/default/src/fusion/BaseExpression.monty:204:8-50
      self.pf64 += _0_n # bld/herlev/final/default/src/fusion/BaseExpression.monty:205:8-18
      return numpy.int32(_1_r) # bld/herlev/final/default/src/fusion/BaseExpression.monty:206:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:201:44-207:7
    @staticmethod
    def _match_alloci64_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_alloci64_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    def _alloci64_alt_I(self,_t__0_n):
      return self._alloci64_I(numpy.int32(__0_n))
    def _alloci64_I(self,_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:191:44-197:7
      self._ensurei64_I(_0_n) # bld/herlev/final/default/src/fusion/BaseExpression.monty:192:8-21
      _1_r=self.pi64 # bld/herlev/final/default/src/fusion/BaseExpression.monty:193:12-13
      fragments._c_closure_594(self.i64,_0_n,self.pi64) # bld/herlev/final/default/src/fusion/BaseExpression.monty:194:8-50
      self.pi64 += _0_n # bld/herlev/final/default/src/fusion/BaseExpression.monty:195:8-18
      return numpy.int32(_1_r) # bld/herlev/final/default/src/fusion/BaseExpression.monty:196:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:191:44-197:7
    @staticmethod
    def _match_alloci32_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_alloci32_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    def _alloci32_alt_I(self,_t__0_n):
      return self._alloci32_I(numpy.int32(__0_n))
    def _alloci32_I(self,_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:177:44-187:7
      if (_0_n > 0): # bld/herlev/final/default/src/fusion/BaseExpression.monty:178:12-17
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:178:19-184:9
        self._ensurei32_I(_0_n) # bld/herlev/final/default/src/fusion/BaseExpression.monty:179:10-23
        _1_r=self.pi32 # bld/herlev/final/default/src/fusion/BaseExpression.monty:180:14-15
        fragments._c_closure_595(self.i32,_0_n,self.pi32) # bld/herlev/final/default/src/fusion/BaseExpression.monty:181:10-52
        self.pi32 += _0_n # bld/herlev/final/default/src/fusion/BaseExpression.monty:182:10-20
        return numpy.int32(_1_r) # bld/herlev/final/default/src/fusion/BaseExpression.monty:183:10-19
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:178:19-184:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:186:10-19
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/BaseExpression.monty:186:10-19
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:186:10-19
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:177:44-187:7
    @staticmethod
    def _match_pushf64_D(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_match_D__(_0_v))
    @staticmethod
    def _match_alt_pushf64_D(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_alt_match_D__(_0_v))
    def _pushf64_alt_D(self,_t__0_v):
      return self._pushf64_D(numpy.float64(__0_v))
    def _pushf64_D(self,_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:168:38-172:7
      self._ensuref64_I(1) # bld/herlev/final/default/src/fusion/BaseExpression.monty:169:8-21
      self.f64[self.pf64] = _0_v # bld/herlev/final/default/src/fusion/BaseExpression.monty:170:8-22
      self.pf64 += 1 # bld/herlev/final/default/src/fusion/BaseExpression.monty:171:8-15
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:168:38-172:7
    @staticmethod
    def _match_pushi64_J(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_match_J__(_0_v))
    @staticmethod
    def _match_alt_pushi64_J(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_alt_match_J__(_0_v))
    def _pushi64_alt_J(self,_t__0_v):
      return self._pushi64_J(numpy.int64(__0_v))
    def _pushi64_J(self,_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:160:37-164:7
      self._ensurei64_I(1) # bld/herlev/final/default/src/fusion/BaseExpression.monty:161:8-21
      self.i64[self.pi64] = _0_v # bld/herlev/final/default/src/fusion/BaseExpression.monty:162:8-22
      self.pi64 += 1 # bld/herlev/final/default/src/fusion/BaseExpression.monty:163:8-15
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:160:37-164:7
    @staticmethod
    def _match_pushi32_I(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_match_I__(_0_v))
    @staticmethod
    def _match_alt_pushi32_I(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_alt_match_I__(_0_v))
    def _pushi32_alt_I(self,_t__0_v):
      return self._pushi32_I(numpy.int32(__0_v))
    def _pushi32_I(self,_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:152:37-156:7
      self._ensurei32_I(1) # bld/herlev/final/default/src/fusion/BaseExpression.monty:153:8-21
      self.i32[self.pi32] = _0_v # bld/herlev/final/default/src/fusion/BaseExpression.monty:154:8-22
      self.pi32 += 1 # bld/herlev/final/default/src/fusion/BaseExpression.monty:155:8-15
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:152:37-156:7
    @staticmethod
    def _match_ensuref64_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_ensuref64_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    def _ensuref64_alt_I(self,_t__0_n):
      return self._ensuref64_I(numpy.int32(__0_n))
    def _ensuref64_I(self,_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:141:39-147:7
      if ((self.pf64 + _0_n) > int((self.f64).shape[0])): # bld/herlev/final/default/src/fusion/BaseExpression.monty:142:12-29
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:142:31-146:9
        _1_newsz=((int((self.f64).shape[0]) * 2) if (((_0_n < int((self.f64).shape[0])) and (int((self.f64).shape[0]) < 1073741823)) ) else (int((self.f64).shape[0]) + _0_n)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:143:14-19
        _2_tmp=numpy.zeros((_1_newsz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:144:14-17
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.f64,0,_2_tmp,0,self.pf64) # bld/herlev/final/default/src/fusion/BaseExpression.monty:144:38-78
        self.f64 = _2_tmp # bld/herlev/final/default/src/fusion/BaseExpression.monty:145:10-20
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:142:31-146:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:141:39-147:7
    @staticmethod
    def _match_ensurei64_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_ensurei64_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    def _ensurei64_alt_I(self,_t__0_n):
      return self._ensurei64_I(numpy.int32(__0_n))
    def _ensurei64_I(self,_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:131:39-137:7
      if ((self.pi64 + _0_n) > int((self.i64).shape[0])): # bld/herlev/final/default/src/fusion/BaseExpression.monty:132:12-29
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:132:31-136:9
        _1_newsz=(int((self.i64).shape[0]) + (int((self.i64).shape[0]) if (((_0_n < int((self.i64).shape[0])) and (int((self.i64).shape[0]) < 1073741823)) ) else _0_n)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:133:14-19
        _2_tmp=numpy.zeros((_1_newsz,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:134:14-17
        mosek.fusion.Utils.Tools._arraycopy__3JI_3JII(self.i64,0,_2_tmp,0,self.pi64) # bld/herlev/final/default/src/fusion/BaseExpression.monty:134:37-77
        self.i64 = _2_tmp # bld/herlev/final/default/src/fusion/BaseExpression.monty:135:10-20
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:132:31-136:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:131:39-137:7
    @staticmethod
    def _match_ensurei32_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_ensurei32_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    def _ensurei32_alt_I(self,_t__0_n):
      return self._ensurei32_I(numpy.int32(__0_n))
    def _ensurei32_I(self,_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:121:39-127:7
      if ((self.pi32 + _0_n) > int((self.i32).shape[0])): # bld/herlev/final/default/src/fusion/BaseExpression.monty:122:12-29
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:122:31-126:9
        _1_newsz=((int((self.i32).shape[0]) * 2) if (((_0_n < int((self.i32).shape[0])) and (int((self.i32).shape[0]) < 1073741823)) ) else (int((self.i32).shape[0]) + _0_n)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:123:14-19
        _2_tmp=numpy.zeros((_1_newsz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/BaseExpression.monty:124:14-17
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.i32,0,_2_tmp,0,self.pi32) # bld/herlev/final/default/src/fusion/BaseExpression.monty:124:37-77
        self.i32 = _2_tmp # bld/herlev/final/default/src/fusion/BaseExpression.monty:125:10-20
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:122:31-126:9
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:121:39-127:7
    @staticmethod
    def _match_popf64_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_popf64_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    def _popf64_alt_I(self,_t__0_n):
      return self._popf64_I(numpy.int32(__0_n))
    def _popf64_I(self,_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:112:42-116:7
      self.pf64 -= _0_n # bld/herlev/final/default/src/fusion/BaseExpression.monty:113:8-18
      if (self.pf64 < 0): # bld/herlev/final/default/src/fusion/BaseExpression.monty:114:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:114:22-77
        raise mosek_fusion_UnexpectedError._ctor_S("Internal: stack underflow") # bld/herlev/final/default/src/fusion/BaseExpression.monty:114:22-77
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:114:22-77
      return numpy.int32(self.pf64) # bld/herlev/final/default/src/fusion/BaseExpression.monty:115:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:112:42-116:7
    @staticmethod
    def _match_popi64_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_popi64_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    def _popi64_alt_I(self,_t__0_n):
      return self._popi64_I(numpy.int32(__0_n))
    def _popi64_I(self,_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:107:42-111:7
      self.pi64 -= _0_n # bld/herlev/final/default/src/fusion/BaseExpression.monty:108:8-18
      if (self.pi64 < 0): # bld/herlev/final/default/src/fusion/BaseExpression.monty:109:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:109:22-77
        raise mosek_fusion_UnexpectedError._ctor_S("Internal: stack underflow") # bld/herlev/final/default/src/fusion/BaseExpression.monty:109:22-77
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:109:22-77
      return numpy.int32(self.pi64) # bld/herlev/final/default/src/fusion/BaseExpression.monty:110:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:107:42-111:7
    @staticmethod
    def _match_popi32_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_popi32_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    def _popi32_alt_I(self,_t__0_n):
      return self._popi32_I(numpy.int32(__0_n))
    def _popi32_I(self,_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:102:42-106:7
      self.pi32 -= _0_n # bld/herlev/final/default/src/fusion/BaseExpression.monty:103:8-18
      if (self.pi32 < 0): # bld/herlev/final/default/src/fusion/BaseExpression.monty:104:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:104:22-77
        raise mosek_fusion_UnexpectedError._ctor_S("Internal: stack underflow") # bld/herlev/final/default/src/fusion/BaseExpression.monty:104:22-77
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:104:22-77
      return numpy.int32(self.pi32) # bld/herlev/final/default/src/fusion/BaseExpression.monty:105:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:102:42-106:7
    @staticmethod
    def _match_popf64_I_3DI(*args):
      if len(args) != 3: return False
      _0_n,_1_r,_2_ofs, = args
      return (    __arg_match_I__(_0_n)
              and __arg_match__3D__(_1_r)
              and __arg_match_I__(_2_ofs))
    @staticmethod
    def _match_alt_popf64_I_3DI(*args):
      if len(args) != 3: return False
      _0_n,_1_r,_2_ofs, = args
      return (    __arg_alt_match_I__(_0_n)
              and __arg_alt_match__3D__(_1_r)
              and __arg_alt_match_I__(_2_ofs))
    def _popf64_alt_I_3DI(self,_t__0_n,_t__1_r,_t__2_ofs):
      _0_n=numpy.int32(_t__0_n)
      _1_r=numpy.array(_t__1_r,dtype=numpy.dtype(numpy.float64))
      _2_ofs=numpy.int32(_t__2_ofs)
      _1 = self._popf64_I_3DI(_0_n,_1_r,_2_ofs)
      try:
        _t__1_r[:] = _1_r
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _popf64_I_3DI(self,_0_n,_1_r,_2_ofs):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:97:58-101:7
      self.pf64 -= _0_n # bld/herlev/final/default/src/fusion/BaseExpression.monty:98:8-18
      if (self.pf64 < 0): # bld/herlev/final/default/src/fusion/BaseExpression.monty:99:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:99:22-77
        raise mosek_fusion_UnexpectedError._ctor_S("Internal: stack underflow") # bld/herlev/final/default/src/fusion/BaseExpression.monty:99:22-77
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:99:22-77
      mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.f64,self.pf64,_1_r,_2_ofs,_0_n) # bld/herlev/final/default/src/fusion/BaseExpression.monty:100:8-49
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:97:58-101:7
    @staticmethod
    def _match_popi64_I_3JI(*args):
      if len(args) != 3: return False
      _0_n,_1_r,_2_ofs, = args
      return (    __arg_match_I__(_0_n)
              and __arg_match__3J__(_1_r)
              and __arg_match_I__(_2_ofs))
    @staticmethod
    def _match_alt_popi64_I_3JI(*args):
      if len(args) != 3: return False
      _0_n,_1_r,_2_ofs, = args
      return (    __arg_alt_match_I__(_0_n)
              and __arg_alt_match__3J__(_1_r)
              and __arg_alt_match_I__(_2_ofs))
    def _popi64_alt_I_3JI(self,_t__0_n,_t__1_r,_t__2_ofs):
      _0_n=numpy.int32(_t__0_n)
      _1_r=numpy.array(_t__1_r,dtype=numpy.dtype(numpy.int64))
      _2_ofs=numpy.int32(_t__2_ofs)
      _1 = self._popi64_I_3JI(_0_n,_1_r,_2_ofs)
      try:
        _t__1_r[:] = _1_r
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _popi64_I_3JI(self,_0_n,_1_r,_2_ofs):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:92:57-96:7
      self.pi64 -= _0_n # bld/herlev/final/default/src/fusion/BaseExpression.monty:93:8-18
      if (self.pi64 < 0): # bld/herlev/final/default/src/fusion/BaseExpression.monty:94:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:94:22-77
        raise mosek_fusion_UnexpectedError._ctor_S("Internal: stack underflow") # bld/herlev/final/default/src/fusion/BaseExpression.monty:94:22-77
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:94:22-77
      mosek.fusion.Utils.Tools._arraycopy__3JI_3JII(self.i64,self.pi64,_1_r,_2_ofs,_0_n) # bld/herlev/final/default/src/fusion/BaseExpression.monty:95:8-49
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:92:57-96:7
    @staticmethod
    def _match_popi32_I_3II(*args):
      if len(args) != 3: return False
      _0_n,_1_r,_2_ofs, = args
      return (    __arg_match_I__(_0_n)
              and __arg_match__3I__(_1_r)
              and __arg_match_I__(_2_ofs))
    @staticmethod
    def _match_alt_popi32_I_3II(*args):
      if len(args) != 3: return False
      _0_n,_1_r,_2_ofs, = args
      return (    __arg_alt_match_I__(_0_n)
              and __arg_alt_match__3I__(_1_r)
              and __arg_alt_match_I__(_2_ofs))
    def _popi32_alt_I_3II(self,_t__0_n,_t__1_r,_t__2_ofs):
      _0_n=numpy.int32(_t__0_n)
      _1_r=numpy.array(_t__1_r,dtype=numpy.dtype(numpy.int32))
      _2_ofs=numpy.int32(_t__2_ofs)
      _1 = self._popi32_I_3II(_0_n,_1_r,_2_ofs)
      try:
        _t__1_r[:] = _1_r
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _popi32_I_3II(self,_0_n,_1_r,_2_ofs):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:87:57-91:7
      self.pi32 -= _0_n # bld/herlev/final/default/src/fusion/BaseExpression.monty:88:8-18
      if (self.pi32 < 0): # bld/herlev/final/default/src/fusion/BaseExpression.monty:89:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:89:22-77
        raise mosek_fusion_UnexpectedError._ctor_S("Internal: stack underflow") # bld/herlev/final/default/src/fusion/BaseExpression.monty:89:22-77
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:89:22-77
      mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.i32,self.pi32,_1_r,_2_ofs,_0_n) # bld/herlev/final/default/src/fusion/BaseExpression.monty:90:8-48
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:87:57-91:7
    @staticmethod
    def _match_popf64_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_popf64_(*args):
      if len(args) != 0: return False
      return True
    def _popf64_alt_(self,):
      return self._popf64_()
    def _popf64_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:82:37-86:7
      self.pf64 -= 1 # bld/herlev/final/default/src/fusion/BaseExpression.monty:83:8-15
      if (self.pf64 < 0): # bld/herlev/final/default/src/fusion/BaseExpression.monty:84:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:84:22-77
        raise mosek_fusion_UnexpectedError._ctor_S("Internal: stack underflow") # bld/herlev/final/default/src/fusion/BaseExpression.monty:84:22-77
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:84:22-77
      return numpy.float64(self.f64[self.pf64]) # bld/herlev/final/default/src/fusion/BaseExpression.monty:85:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:82:37-86:7
    @staticmethod
    def _match_popi64_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_popi64_(*args):
      if len(args) != 0: return False
      return True
    def _popi64_alt_(self,):
      return self._popi64_()
    def _popi64_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:77:36-81:7
      if (self.pi64 < 0): # bld/herlev/final/default/src/fusion/BaseExpression.monty:78:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:78:22-77
        raise mosek_fusion_UnexpectedError._ctor_S("Internal: stack underflow") # bld/herlev/final/default/src/fusion/BaseExpression.monty:78:22-77
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:78:22-77
      self.pi64 -= 1 # bld/herlev/final/default/src/fusion/BaseExpression.monty:79:8-15
      return numpy.int64(self.i64[self.pi64]) # bld/herlev/final/default/src/fusion/BaseExpression.monty:80:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:77:36-81:7
    @staticmethod
    def _match_popi32_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_popi32_(*args):
      if len(args) != 0: return False
      return True
    def _popi32_alt_(self,):
      return self._popi32_()
    def _popi32_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:72:36-76:7
      self.pi32 -= 1 # bld/herlev/final/default/src/fusion/BaseExpression.monty:73:8-15
      if (self.pi32 < 0): # bld/herlev/final/default/src/fusion/BaseExpression.monty:74:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:74:22-77
        raise mosek_fusion_UnexpectedError._ctor_S("Internal: stack underflow") # bld/herlev/final/default/src/fusion/BaseExpression.monty:74:22-77
        # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:74:22-77
      return numpy.int32(self.i32[self.pi32]) # bld/herlev/final/default/src/fusion/BaseExpression.monty:75:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:72:36-76:7
    @staticmethod
    def _match_peekf64_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_peekf64_(*args):
      if len(args) != 0: return False
      return True
    def _peekf64_alt_(self,):
      return self._peekf64_()
    def _peekf64_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:70:38-61
      return numpy.float64(self.f64[(self.pf64 - 1)]) # bld/herlev/final/default/src/fusion/BaseExpression.monty:70:40-59
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:70:38-61
    @staticmethod
    def _match_peeki64_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_peeki64_(*args):
      if len(args) != 0: return False
      return True
    def _peeki64_alt_(self,):
      return self._peeki64_()
    def _peeki64_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:69:38-61
      return numpy.int64(self.i64[(self.pi64 - 1)]) # bld/herlev/final/default/src/fusion/BaseExpression.monty:69:40-59
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:69:38-61
    @staticmethod
    def _match_peeki32_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_peeki32_(*args):
      if len(args) != 0: return False
      return True
    def _peeki32_alt_(self,):
      return self._peeki32_()
    def _peeki32_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:68:38-61
      return numpy.int32(self.i32[(self.pi32 - 1)]) # bld/herlev/final/default/src/fusion/BaseExpression.monty:68:40-59
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:68:38-61
    @staticmethod
    def _match_peekf64_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_match_I__(_0_i))
    @staticmethod
    def _match_alt_peekf64_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_alt_match_I__(_0_i))
    def _peekf64_alt_I(self,_t__0_i):
      return self._peekf64_I(numpy.int32(__0_i))
    def _peekf64_I(self,_0_i):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:66:45-70
      return numpy.float64(self.f64[((self.pf64 - _0_i) - 1)]) # bld/herlev/final/default/src/fusion/BaseExpression.monty:66:47-68
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:66:45-70
    @staticmethod
    def _match_peeki64_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_match_I__(_0_i))
    @staticmethod
    def _match_alt_peeki64_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_alt_match_I__(_0_i))
    def _peeki64_alt_I(self,_t__0_i):
      return self._peeki64_I(numpy.int32(__0_i))
    def _peeki64_I(self,_0_i):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:65:45-70
      return numpy.int64(self.i64[((self.pi64 - _0_i) - 1)]) # bld/herlev/final/default/src/fusion/BaseExpression.monty:65:47-68
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:65:45-70
    @staticmethod
    def _match_peeki32_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_match_I__(_0_i))
    @staticmethod
    def _match_alt_peeki32_I(*args):
      if len(args) != 1: return False
      _0_i, = args
      return (    __arg_alt_match_I__(_0_i))
    def _peeki32_alt_I(self,_t__0_i):
      return self._peeki32_I(numpy.int32(__0_i))
    def _peeki32_I(self,_0_i):
      # Start scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:64:45-70
      return numpy.int32(self.i32[((self.pi32 - _0_i) - 1)]) # bld/herlev/final/default/src/fusion/BaseExpression.monty:64:47-68
      # End   scope @ bld/herlev/final/default/src/fusion/BaseExpression.monty:64:45-70
  return WorkStack
mosek_fusion_WorkStack=__mk_mosek_fusion_WorkStack()
del __mk_mosek_fusion_WorkStack

# origin: bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:16:4-180:5
#BEFORE CLASS
def __mk_mosek_fusion_SymmetricMatrix():
  class SymmetricMatrix(object):
    __slots__ = ['_SymmetricMatrix__nnz','_SymmetricMatrix__scale','_SymmetricMatrix__vval','_SymmetricMatrix__vsubj','_SymmetricMatrix__vsubi','_SymmetricMatrix__uval','_SymmetricMatrix__usubj','_SymmetricMatrix__usubi','_SymmetricMatrix__d1','_SymmetricMatrix__d0']
    def mul(self,*args):
      if False: pass
      elif mosek_fusion_SymmetricMatrix._match_mul_D(*args): # double
        return self._mul_D(*args)
      elif mosek_fusion_SymmetricMatrix._match_alt_mul_D(*args): # double
        return self._mul_alt_D(*args)
      else:
        raise ValueError('Invalid argument list mul('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SymmetricMatrix.mul(double)')

    def add(self,*args):
      if False: pass
      elif mosek_fusion_SymmetricMatrix._match_add_Lmosek_4fusion_4SymmetricMatrix_2(*args): # mosek.fusion.SymmetricMatrix
        return self._add_Lmosek_4fusion_4SymmetricMatrix_2(*args)
      elif mosek_fusion_SymmetricMatrix._match_alt_add_Lmosek_4fusion_4SymmetricMatrix_2(*args): # mosek.fusion.SymmetricMatrix
        return self._add_alt_Lmosek_4fusion_4SymmetricMatrix_2(*args)
      else:
        raise ValueError('Invalid argument list add('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SymmetricMatrix.add(mosek.fusion.SymmetricMatrix)')

    @staticmethod
    def antiDiag(*args):
      if False: pass
      elif mosek_fusion_SymmetricMatrix._match_antiDiag__3D(*args): # []double
        return mosek_fusion_SymmetricMatrix._antiDiag__3D(*args)
      elif mosek_fusion_SymmetricMatrix._match_alt_antiDiag__3D(*args): # []double
        return mosek_fusion_SymmetricMatrix._antiDiag_alt__3D(*args)
      else:
        raise ValueError('Invalid argument list antiDiag('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SymmetricMatrix.antiDiag(array(double,ndim=1))')

    def sub(self,*args):
      if False: pass
      elif mosek_fusion_SymmetricMatrix._match_sub_Lmosek_4fusion_4SymmetricMatrix_2(*args): # mosek.fusion.SymmetricMatrix
        return self._sub_Lmosek_4fusion_4SymmetricMatrix_2(*args)
      elif mosek_fusion_SymmetricMatrix._match_alt_sub_Lmosek_4fusion_4SymmetricMatrix_2(*args): # mosek.fusion.SymmetricMatrix
        return self._sub_alt_Lmosek_4fusion_4SymmetricMatrix_2(*args)
      else:
        raise ValueError('Invalid argument list sub('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SymmetricMatrix.sub(mosek.fusion.SymmetricMatrix)')

    @staticmethod
    def diag(*args):
      if False: pass
      elif mosek_fusion_SymmetricMatrix._match_diag__3D(*args): # []double
        return mosek_fusion_SymmetricMatrix._diag__3D(*args)
      elif mosek_fusion_SymmetricMatrix._match_alt_diag__3D(*args): # []double
        return mosek_fusion_SymmetricMatrix._diag_alt__3D(*args)
      else:
        raise ValueError('Invalid argument list diag('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SymmetricMatrix.diag(array(double,ndim=1))')

    def getdim(self,*args):
      if False: pass
      elif mosek_fusion_SymmetricMatrix._match_getdim_(*args): # 
        return self._getdim_(*args)
      elif mosek_fusion_SymmetricMatrix._match_alt_getdim_(*args): # 
        return self._getdim_alt_(*args)
      else:
        raise ValueError('Invalid argument list getdim('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SymmetricMatrix.getdim()')

    @staticmethod
    def rankOne(*args):
      if False: pass
      elif mosek_fusion_SymmetricMatrix._match_rankOne__3D(*args): # []double
        return mosek_fusion_SymmetricMatrix._rankOne__3D(*args)
      elif mosek_fusion_SymmetricMatrix._match_alt_rankOne__3D(*args): # []double
        return mosek_fusion_SymmetricMatrix._rankOne_alt__3D(*args)
      elif mosek_fusion_SymmetricMatrix._match_rankOne_I_3I_3D(*args): # int32,[]int32,[]double
        return mosek_fusion_SymmetricMatrix._rankOne_I_3I_3D(*args)
      elif mosek_fusion_SymmetricMatrix._match_alt_rankOne_I_3I_3D(*args): # int32,[]int32,[]double
        return mosek_fusion_SymmetricMatrix._rankOne_alt_I_3I_3D(*args)
      else:
        raise ValueError('Invalid argument list rankOne('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SymmetricMatrix.rankOne(array(double,ndim=1))\n\tmosek.fusion.SymmetricMatrix.rankOne(int32,array(int32,ndim=1),array(double,ndim=1))')

    def __repr__(self): return 'mosek.fusion.SymmetricMatrix'
    @staticmethod
    def _ctor_II_3I_3I_3D_3I_3I_3DD(dim0,dim1,usubi,usubj,uval,vsubi,vsubj,vval,scale):
      o = SymmetricMatrix.__new__(SymmetricMatrix)
      o._ctor_init_II_3I_3I_3D_3I_3I_3DD(dim0,dim1,usubi,usubj,uval,vsubi,vsubj,vval,scale)
      return o

    @staticmethod
    def __match_ctor_II_3I_3I_3D_3I_3I_3DD(*args):
      if len(args) != 9: return False
      dim0,dim1,usubi,usubj,uval,vsubi,vsubj,vval,scale, = args
      return (    __arg_match_I__(dim0)
              and __arg_match_I__(dim1)
              and __arg_match__3I__(usubi)
              and __arg_match__3I__(usubj)
              and __arg_match__3D__(uval)
              and __arg_match__3I__(vsubi)
              and __arg_match__3I__(vsubj)
              and __arg_match__3D__(vval)
              and __arg_match_D__(scale))
    @staticmethod
    def __match_alt_ctor_II_3I_3I_3D_3I_3I_3DD(*args):
      if len(args) != 9: return False
      dim0,dim1,usubi,usubj,uval,vsubi,vsubj,vval,scale, = args
      return (    __arg_alt_match_I__(dim0)
              and __arg_alt_match_I__(dim1)
              and __arg_alt_match__3I__(usubi)
              and __arg_alt_match__3I__(usubj)
              and __arg_alt_match__3D__(uval)
              and __arg_alt_match__3I__(vsubi)
              and __arg_alt_match__3I__(vsubj)
              and __arg_alt_match__3D__(vval)
              and __arg_alt_match_D__(scale))
    # Origin: bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:39:6-60:7
    def _ctor_alt_init_II_3I_3I_3D_3I_3I_3DD(self,dim0,dim1,usubi,usubj,uval,vsubi,vsubj,vval,scale):
      self._ctor_init_II_3I_3I_3D_3I_3I_3DD(numpy.int32(dim0),numpy.int32(dim1),numpy.array(usubi,dtype=numpy.dtype(numpy.int32)),numpy.array(usubj,dtype=numpy.dtype(numpy.int32)),numpy.array(uval,dtype=numpy.dtype(numpy.float64)),numpy.array(vsubi,dtype=numpy.dtype(numpy.int32)),numpy.array(vsubj,dtype=numpy.dtype(numpy.int32)),numpy.array(vval,dtype=numpy.dtype(numpy.float64)),numpy.float64(scale))
    def _ctor_init_II_3I_3I_3D_3I_3I_3DD(self,dim0,dim1,usubi,usubj,uval,vsubi,vsubj,vval,scale):
      # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:48:6-60:7
      (self.__d0) = dim0 # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:49:8-26
      (self.__d1) = dim1 # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:50:8-26
      (self.__usubi) = usubi # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:51:8-27
      (self.__usubj) = usubj # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:52:8-27
      (self.__uval) = uval # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:53:8-26
      (self.__vsubi) = vsubi # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:54:8-27
      (self.__vsubj) = vsubj # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:55:8-27
      (self.__vval) = vval # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:56:8-26
      (self.__scale) = scale # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:57:8-27
      self.__nnz = (- 1) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:59:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:48:6-60:7
    @staticmethod
    def _match_rankOne_I_3I_3D(*args):
      if len(args) != 3: return False
      _0_n,_1_sub,_2_v, = args
      return (    __arg_match_I__(_0_n)
              and __arg_match__3I__(_1_sub)
              and __arg_match__3D__(_2_v))
    @staticmethod
    def _match_alt_rankOne_I_3I_3D(*args):
      if len(args) != 3: return False
      _0_n,_1_sub,_2_v, = args
      return (    __arg_alt_match_I__(_0_n)
              and __arg_alt_match__3I__(_1_sub)
              and __arg_alt_match__3D__(_2_v))
    @staticmethod
    def _rankOne_alt_I_3I_3D(_t__0_n,_t__1_sub,_t__2_v):
      _0_n=numpy.int32(_t__0_n)
      _1_sub=numpy.array(_t__1_sub,dtype=numpy.dtype(numpy.int32))
      _2_v=numpy.array(_t__2_v,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_SymmetricMatrix._rankOne_I_3I_3D(_0_n,_1_sub,_2_v)
      try:
        _t__1_sub[:] = _1_sub
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_v[:] = _2_v
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _rankOne_I_3I_3D(_0_n,_1_sub,_2_v):
      # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:167:6-179:7
      if (int((_1_sub).shape[0])!=int((_2_v).shape[0])): # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:168:12-30
        # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:169:10-61
        raise mosek_fusion_LengthError._ctor_S("Mismatching array lengths") # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:169:10-61
        # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:169:10-61
      for _3_i in range(0,int((_1_sub).shape[0])): # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:171:8-173:69
        # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:172:10-173:69
        if ((_1_sub[_3_i] < 0) or (_1_sub[_3_i] >= _0_n)): # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:172:14-39
          # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:173:12-69
          raise mosek_fusion_LengthError._ctor_S("Invalid index in argument 'sub'") # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:173:12-69
          # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:173:12-69
        # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:172:10-173:69
      _4_subi=numpy.array([_1_sub[_5_i] for _5_i in range(0,int((_1_sub).shape[0]))], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:175:12-16
      _6_subj=numpy.array([1 for _7_i in range(0,int((_1_sub).shape[0]))], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:176:12-16
      _8_val=numpy.array([_2_v[_9_i] for _9_i in range(0,int((_2_v).shape[0]))], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:177:12-15
      return (mosek_fusion_SymmetricMatrix._ctor_II_3I_3I_3D_3I_3I_3DD(_0_n,1,_4_subi,_6_subj,_8_val,_4_subi,_6_subj,_8_val,1.0)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:178:8-76
      # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:167:6-179:7
    @staticmethod
    def _match_rankOne__3D(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_match__3D__(_0_v))
    @staticmethod
    def _match_alt_rankOne__3D(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_alt_match__3D__(_0_v))
    @staticmethod
    def _rankOne_alt__3D(_t__0_v):
      _0_v=numpy.array(_t__0_v,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_SymmetricMatrix._rankOne__3D(_0_v)
      try:
        _t__0_v[:] = _0_v
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _rankOne__3D(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:158:6-164:7
      _1_n=int((_0_v).shape[0]) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:159:12-13
      _2_subi=numpy.array([_3_i for _3_i in range(0,_1_n)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:160:12-16
      _4_subj=numpy.array([1 for _5_i in range(0,_1_n)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:161:12-16
      _6_val=numpy.array([_0_v[_7_i] for _7_i in range(0,_1_n)], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:162:12-15
      return (mosek_fusion_SymmetricMatrix._ctor_II_3I_3I_3D_3I_3I_3DD(_1_n,1,_2_subi,_4_subj,_6_val,_2_subi,_4_subj,_6_val,1.0)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:163:8-76
      # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:158:6-164:7
    @staticmethod
    def _match_antiDiag__3D(*args):
      if len(args) != 1: return False
      _0_vals, = args
      return (    __arg_match__3D__(_0_vals))
    @staticmethod
    def _match_alt_antiDiag__3D(*args):
      if len(args) != 1: return False
      _0_vals, = args
      return (    __arg_alt_match__3D__(_0_vals))
    @staticmethod
    def _antiDiag_alt__3D(_t__0_vals):
      _0_vals=numpy.array(_t__0_vals,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_SymmetricMatrix._antiDiag__3D(_0_vals)
      try:
        _t__0_vals[:] = _0_vals
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _antiDiag__3D(_0_vals):
      # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:148:6-155:7
      _1_n=int((_0_vals).shape[0]) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:149:12-13
      _2_subarr=numpy.array([_3_i for _3_i in range(0,_1_n)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:150:12-18
      return (mosek_fusion_SymmetricMatrix._ctor_II_3I_3I_3D_3I_3I_3DD(_1_n,_1_n,_2_subarr,numpy.array([(_1_n - _4_i) for _4_i in range(0,_1_n)], dtype=numpy.dtype(numpy.int32)),numpy.array([_0_vals[_5_i] for _5_i in range(0,_1_n)], dtype=numpy.dtype(numpy.float64)),_2_subarr,_2_subarr,numpy.array([1.0 for _6_i in range(0,_1_n)], dtype=numpy.dtype(numpy.float64)),1.0)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:151:8-154:42
      # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:148:6-155:7
    @staticmethod
    def _match_diag__3D(*args):
      if len(args) != 1: return False
      _0_vals, = args
      return (    __arg_match__3D__(_0_vals))
    @staticmethod
    def _match_alt_diag__3D(*args):
      if len(args) != 1: return False
      _0_vals, = args
      return (    __arg_alt_match__3D__(_0_vals))
    @staticmethod
    def _diag_alt__3D(_t__0_vals):
      _0_vals=numpy.array(_t__0_vals,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_SymmetricMatrix._diag__3D(_0_vals)
      try:
        _t__0_vals[:] = _0_vals
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _diag__3D(_0_vals):
      # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:138:6-145:7
      _1_n=int((_0_vals).shape[0]) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:139:12-13
      _2_subarr=numpy.array([_3_i for _3_i in range(0,_1_n)], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:140:12-18
      return (mosek_fusion_SymmetricMatrix._ctor_II_3I_3I_3D_3I_3I_3DD(_1_n,_1_n,_2_subarr,_2_subarr,numpy.array([_0_vals[_4_i] for _4_i in range(0,_1_n)], dtype=numpy.dtype(numpy.float64)),_2_subarr,_2_subarr,numpy.array([1.0 for _5_i in range(0,_1_n)], dtype=numpy.dtype(numpy.float64)),1.0)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:141:8-144:41
      # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:138:6-145:7
    @staticmethod
    def _match_add_Lmosek_4fusion_4SymmetricMatrix_2(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_match_Lmosek_4fusion_4SymmetricMatrix_2__(_0_m))
    @staticmethod
    def _match_alt_add_Lmosek_4fusion_4SymmetricMatrix_2(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4SymmetricMatrix_2__(_0_m))
    def _add_alt_Lmosek_4fusion_4SymmetricMatrix_2(self,_t__0_m):
      return self._add_Lmosek_4fusion_4SymmetricMatrix_2(_0_m)
    def _add_Lmosek_4fusion_4SymmetricMatrix_2(self,_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:76:6-133:7
      _1_n=self._getdim_() # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:77:12-13
      if (_0_m._getdim_()!=_1_n): # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:78:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:79:10-61
        raise mosek_fusion_DimensionError._ctor_S("Mismatching dimensions") # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:79:10-61
        # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:79:10-61
      _2_unnz=int((self.__usubi).shape[0]) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:80:12-16
      _3_munnz=int(((_0_m.__usubi)).shape[0]) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:81:12-17
      _4_newunnz=(_2_unnz + _3_munnz) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:82:12-19
      _5_vnnz=int((self.__vsubi).shape[0]) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:83:12-16
      _6_mvnnz=int(((_0_m.__vsubi)).shape[0]) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:84:12-17
      _7_newvnnz=(_5_vnnz + _6_mvnnz) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:85:12-19
      _8_new_vval=numpy.zeros((_7_newvnnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:92:12-30
      _9_new_vsubj=numpy.zeros((_7_newvnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:91:12-29
      _10_new_vsubi=numpy.zeros((_7_newvnnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:90:12-29
      _11_new_uval=numpy.zeros((_4_newunnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:89:12-30
      _12_new_usubj=numpy.zeros((_4_newunnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:88:12-29
      _13_new_usubi=numpy.zeros((_4_newunnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:87:12-29
      mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__usubi,0,_13_new_usubi,0,_2_unnz) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:95:8-56
      mosek.fusion.Utils.Tools._arraycopy__3II_3III((_0_m.__usubi),0,_13_new_usubi,_2_unnz,_3_munnz) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:96:8-62
      mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__usubj,0,_12_new_usubj,0,_2_unnz) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:98:8-56
      for _14_i in range(0,_3_munnz): # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:99:8-65
        # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:99:31-65
        _12_new_usubj[(_14_i + _2_unnz)] = ((_0_m.__usubj)[_14_i] + self.__d1) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:99:31-65
        # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:99:31-65
      if ((self.__scale > 1.0) or (self.__scale < 1.0)): # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:101:12-38
        # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:102:10-56
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.__uval,0,_11_new_uval,0,_2_unnz) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:102:10-56
        # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:102:10-56
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:104:10-60
        fragments._c_closure_596(_11_new_uval,self.__scale,_2_unnz,self.__uval) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:104:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:104:10-60
      if (((_0_m.__scale) > 1.0) or ((_0_m.__scale) < 1.0)): # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:106:12-42
        # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:107:10-62
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII((_0_m.__uval),0,_11_new_uval,_2_unnz,_3_munnz) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:107:10-62
        # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:107:10-62
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:109:10-70
        for _15_i in range(0,_3_munnz): # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:109:10-70
          # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:109:33-70
          _11_new_uval[(_15_i + _2_unnz)] = ((_0_m.__scale) * (_0_m.__uval)[_15_i]) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:109:33-70
          # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:109:33-70
        # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:109:10-70
      mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__usubi,0,_13_new_usubi,0,_2_unnz) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:112:8-56
      for _16_i in range(0,_6_mvnnz): # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:113:8-67
        # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:113:31-67
        _10_new_vsubi[(_16_i + _5_vnnz)] = ((_0_m.__vsubi)[_16_i] + (_0_m.__d1)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:113:31-67
        # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:113:31-67
      mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__vsubj,0,_9_new_vsubj,0,_5_vnnz) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:115:8-56
      mosek.fusion.Utils.Tools._arraycopy__3II_3III((_0_m.__vsubj),_5_vnnz,_9_new_vsubj,_5_vnnz,_6_mvnnz) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:116:8-65
      if ((self.__scale > 1.0) or (self.__scale < 1.0)): # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:119:12-38
        # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:120:10-56
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self.__vval,0,_8_new_vval,0,_5_vnnz) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:120:10-56
        # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:120:10-56
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:122:10-60
        fragments._c_closure_597(_8_new_vval,self.__scale,_5_vnnz,self.__vval) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:122:10-60
        # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:122:10-60
      if (((_0_m.__scale) > 1.0) or ((_0_m.__scale) < 1.0)): # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:124:12-42
        # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:125:10-62
        mosek.fusion.Utils.Tools._arraycopy__3DI_3DII((_0_m.__vval),0,_8_new_vval,_5_vnnz,_6_mvnnz) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:125:10-62
        # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:125:10-62
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:127:10-70
        for _17_i in range(0,_6_mvnnz): # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:127:10-70
          # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:127:33-70
          _8_new_vval[(_17_i + _5_vnnz)] = ((_0_m.__scale) * (_0_m.__vval)[_17_i]) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:127:33-70
          # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:127:33-70
        # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:127:10-70
      return (mosek_fusion_SymmetricMatrix._ctor_II_3I_3I_3D_3I_3I_3DD(self.__d0,(self.__d1 + (_0_m.__d1)),_13_new_usubi,_12_new_usubj,_11_new_uval,_10_new_vsubi,_9_new_vsubj,_8_new_vval,1.0)) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:129:8-132:41
      # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:76:6-133:7
    @staticmethod
    def _match_sub_Lmosek_4fusion_4SymmetricMatrix_2(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_match_Lmosek_4fusion_4SymmetricMatrix_2__(_0_m))
    @staticmethod
    def _match_alt_sub_Lmosek_4fusion_4SymmetricMatrix_2(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4SymmetricMatrix_2__(_0_m))
    def _sub_alt_Lmosek_4fusion_4SymmetricMatrix_2(self,_t__0_m):
      return self._sub_Lmosek_4fusion_4SymmetricMatrix_2(_0_m)
    def _sub_Lmosek_4fusion_4SymmetricMatrix_2(self,_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:71:6-73:7
      return (self._add_Lmosek_4fusion_4SymmetricMatrix_2(_0_m._mul_D((- 1.0)))) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:72:8-34
      # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:71:6-73:7
    @staticmethod
    def _match_mul_D(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_match_D__(_0_v))
    @staticmethod
    def _match_alt_mul_D(*args):
      if len(args) != 1: return False
      _0_v, = args
      return (    __arg_alt_match_D__(_0_v))
    def _mul_alt_D(self,_t__0_v):
      return self._mul_D(numpy.float64(__0_v))
    def _mul_D(self,_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:66:6-68:7
      return (mosek_fusion_SymmetricMatrix._ctor_II_3I_3I_3D_3I_3I_3DD(self.__d0,self.__d1,self.__usubi,self.__usubj,self.__uval,self.__vsubi,self.__vsubj,self.__vval,(self.__scale * _0_v))) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:67:8-84
      # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:66:6-68:7
    @staticmethod
    def _match_getdim_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getdim_(*args):
      if len(args) != 0: return False
      return True
    def _getdim_alt_(self,):
      return self._getdim_()
    def _getdim_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:63:37-51
      return numpy.int32(self.__d0) # bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:63:39-49
      # End   scope @ bld/herlev/final/default/src/fusion/SymmetricMatrix.monty:63:37-51
  return SymmetricMatrix
mosek_fusion_SymmetricMatrix=__mk_mosek_fusion_SymmetricMatrix()
del __mk_mosek_fusion_SymmetricMatrix

# origin: bld/herlev/final/default/src/fusion/Matrix.mbi:976:4-1151:5
#BEFORE CLASS
def __mk_mosek_fusion_NDSparseArray():
  class NDSparseArray(object):
    __slots__ = ['_cof','_inst','_dims','_size']
    @staticmethod
    def make(*args):
      if False: pass
      elif mosek_fusion_NDSparseArray._match_make_Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix
        return mosek_fusion_NDSparseArray._make_Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_NDSparseArray._match_alt_make_Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix
        return mosek_fusion_NDSparseArray._make_alt_Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_NDSparseArray._match_make__3I_3J_3D(*args): # []int32,[]int64,[]double
        return mosek_fusion_NDSparseArray._make__3I_3J_3D(*args)
      elif mosek_fusion_NDSparseArray._match_alt_make__3I_3J_3D(*args): # []int32,[]int64,[]double
        return mosek_fusion_NDSparseArray._make_alt__3I_3J_3D(*args)
      elif mosek_fusion_NDSparseArray._match_make__3I_3_5I_3D(*args): # []int32,[,]int32,[]double
        return mosek_fusion_NDSparseArray._make__3I_3_5I_3D(*args)
      elif mosek_fusion_NDSparseArray._match_alt_make__3I_3_5I_3D(*args): # []int32,[,]int32,[]double
        return mosek_fusion_NDSparseArray._make_alt__3I_3_5I_3D(*args)
      else:
        raise ValueError('Invalid argument list make('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.NDSparseArray.make(mosek.fusion.Matrix)\n\tmosek.fusion.NDSparseArray.make(array(int32,ndim=1),array(int64,ndim=1),array(double,ndim=1))\n\tmosek.fusion.NDSparseArray.make(array(int32,ndim=1),array(int32,ndim=2),array(double,ndim=1))')

    def __repr__(self): return 'mosek.fusion.NDSparseArray'
    @staticmethod
    def _ctor__3I_3_5I_3D(dims_,sub,cof_):
      o = NDSparseArray.__new__(NDSparseArray)
      o._ctor_init__3I_3_5I_3D(dims_,sub,cof_)
      return o

    @staticmethod
    def __match_ctor__3I_3_5I_3D(*args):
      if len(args) != 3: return False
      dims_,sub,cof_, = args
      return (    __arg_match__3I__(dims_)
              and __arg_match__3_5I__(sub)
              and __arg_match__3D__(cof_))
    @staticmethod
    def __match_alt_ctor__3I_3_5I_3D(*args):
      if len(args) != 3: return False
      dims_,sub,cof_, = args
      return (    __arg_alt_match__3I__(dims_)
              and __arg_alt_match__3_5I__(sub)
              and __arg_alt_match__3D__(cof_))
    # Origin: bld/herlev/final/default/src/fusion/Matrix.mbi:1072:6-1150:7
    def _ctor_alt_init__3I_3_5I_3D(self,dims_,sub,cof_):
      self._ctor_init__3I_3_5I_3D(numpy.array(dims_,dtype=numpy.dtype(numpy.int32)),numpy.array(sub,dtype=numpy.dtype(numpy.int32)),numpy.array(cof_,dtype=numpy.dtype(numpy.float64)))
    def _ctor_init__3I_3_5I_3D(self,dims_,sub,cof_):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1073:6-1150:7
      _0_inst_=numpy.zeros((int((sub).shape[0]),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:1074:12-17
      self._size = 1 # bld/herlev/final/default/src/fusion/Matrix.mbi:1076:8-18
      self._size = fragments._c_closure_598(dims_,self._size) # bld/herlev/final/default/src/fusion/Matrix.mbi:1076:19-70
      self._size = numpy.int64(self._size) # postprocess
      _1_nd=int((dims_).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:1077:12-14
      if (int((sub).shape[0])!=int((cof_).shape[0])): # bld/herlev/final/default/src/fusion/Matrix.mbi:1078:12-35
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1079:10-65
        raise mosek_fusion_LengthError._ctor_S("Mismatching data array length") # bld/herlev/final/default/src/fusion/Matrix.mbi:1079:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1079:10-65
      if (int((sub).shape[1])!=_1_nd): # bld/herlev/final/default/src/fusion/Matrix.mbi:1080:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1081:10-71
        raise mosek_fusion_IndexError._ctor_S("An index key in sub has wrong length") # bld/herlev/final/default/src/fusion/Matrix.mbi:1081:10-71
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1081:10-71
      _2_outofbounds=False # bld/herlev/final/default/src/fusion/Matrix.mbi:1083:12-23
      _2_outofbounds = fragments._c_closure_599(dims_,_2_outofbounds,sub) # bld/herlev/final/default/src/fusion/Matrix.mbi:1084:8-1089:9
      if _2_outofbounds: # bld/herlev/final/default/src/fusion/Matrix.mbi:1090:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1091:10-67
        raise mosek_fusion_IndexError._ctor_S("An index in sub is out of bounds") # bld/herlev/final/default/src/fusion/Matrix.mbi:1091:10-67
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1091:10-67
      fragments._c_closure_600(dims_,_0_inst_,sub) # bld/herlev/final/default/src/fusion/Matrix.mbi:1093:8-1099:9
      self._dims = mosek.fusion.Utils.Tools._arraycopy__3I(dims_) # bld/herlev/final/default/src/fusion/Matrix.mbi:1100:8-44
      _3_issorted=True # bld/herlev/final/default/src/fusion/Matrix.mbi:1102:12-25
      _3_issorted = fragments._c_closure_601(_0_inst_,_3_issorted) # bld/herlev/final/default/src/fusion/Matrix.mbi:1103:8-83
      if _3_issorted: # bld/herlev/final/default/src/fusion/Matrix.mbi:1105:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1106:8-1129:9
        _4_nunique=1 # bld/herlev/final/default/src/fusion/Matrix.mbi:1107:14-21
        _4_nunique = fragments._c_closure_602(_0_inst_,_4_nunique) # bld/herlev/final/default/src/fusion/Matrix.mbi:1108:10-1110:24
        _4_nunique = numpy.int32(_4_nunique) # postprocess
        if (_4_nunique==int((_0_inst_).shape[0])): # bld/herlev/final/default/src/fusion/Matrix.mbi:1111:14-35
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1112:10-1115:11
          self._inst = mosek.fusion.Utils.Tools._arraycopy__3J(_0_inst_) # bld/herlev/final/default/src/fusion/Matrix.mbi:1113:12-48
          self._cof = mosek.fusion.Utils.Tools._arraycopy__3D(cof_) # bld/herlev/final/default/src/fusion/Matrix.mbi:1114:12-47
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1112:10-1115:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1117:10-1128:11
          self._inst = numpy.zeros((_4_nunique,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:1118:12-37
          self._inst[0] = _0_inst_[0] # bld/herlev/final/default/src/fusion/Matrix.mbi:1118:39-58
          self._cof = numpy.zeros((_4_nunique,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:1119:12-38
          self._cof[0] = cof_[0] # bld/herlev/final/default/src/fusion/Matrix.mbi:1119:39-57
          _5_j=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:1120:16-17
          _5_j = fragments._c_closure_603(self._cof,cof_,self._inst,_0_inst_,_5_j) # bld/herlev/final/default/src/fusion/Matrix.mbi:1121:12-1127:42
          _5_j = numpy.int32(_5_j) # postprocess
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1117:10-1128:11
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1106:8-1129:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1131:8-1149:9
        _6_perm=mosek.fusion.Utils.Tools._range_J(int((_0_inst_).shape[0])) # bld/herlev/final/default/src/fusion/Matrix.mbi:1132:14-18
        mosek.fusion.CommonTools._argQsort__3J_3J_3JJJ(_6_perm,_0_inst_,None,0,int((_0_inst_).shape[0])) # bld/herlev/final/default/src/fusion/Matrix.mbi:1133:10-67
        _7_nunique=1 # bld/herlev/final/default/src/fusion/Matrix.mbi:1134:14-21
        _7_nunique = fragments._c_closure_604(_0_inst_,_7_nunique,_6_perm) # bld/herlev/final/default/src/fusion/Matrix.mbi:1135:10-1137:24
        _7_nunique = numpy.int32(_7_nunique) # postprocess
        self._inst = numpy.zeros((_7_nunique,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:1139:10-35
        self._inst[0] = _0_inst_[_6_perm[0]] # bld/herlev/final/default/src/fusion/Matrix.mbi:1139:36-61
        self._cof = numpy.zeros((_7_nunique,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:1140:10-35
        self._cof[0] = cof_[_6_perm[0]] # bld/herlev/final/default/src/fusion/Matrix.mbi:1140:37-61
        _8_j=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:1141:14-15
        _8_j = fragments._c_closure_605(self._cof,cof_,self._inst,_0_inst_,_8_j,_6_perm) # bld/herlev/final/default/src/fusion/Matrix.mbi:1142:10-1148:46
        _8_j = numpy.int32(_8_j) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1131:8-1149:9
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1073:6-1150:7
    @staticmethod
    def _ctor__3I_3J_3D(dims_,inst_,cof_):
      o = NDSparseArray.__new__(NDSparseArray)
      o._ctor_init__3I_3J_3D(dims_,inst_,cof_)
      return o

    @staticmethod
    def __match_ctor__3I_3J_3D(*args):
      if len(args) != 3: return False
      dims_,inst_,cof_, = args
      return (    __arg_match__3I__(dims_)
              and __arg_match__3J__(inst_)
              and __arg_match__3D__(cof_))
    @staticmethod
    def __match_alt_ctor__3I_3J_3D(*args):
      if len(args) != 3: return False
      dims_,inst_,cof_, = args
      return (    __arg_alt_match__3I__(dims_)
              and __arg_alt_match__3J__(inst_)
              and __arg_alt_match__3D__(cof_))
    # Origin: bld/herlev/final/default/src/fusion/Matrix.mbi:1004:6-1070:7
    def _ctor_alt_init__3I_3J_3D(self,dims_,inst_,cof_):
      self._ctor_init__3I_3J_3D(numpy.array(dims_,dtype=numpy.dtype(numpy.int32)),numpy.array(inst_,dtype=numpy.dtype(numpy.int64)),numpy.array(cof_,dtype=numpy.dtype(numpy.float64)))
    def _ctor_init__3I_3J_3D(self,dims_,inst_,cof_):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1005:6-1070:7
      self._size = 1 # bld/herlev/final/default/src/fusion/Matrix.mbi:1006:8-18
      self._size = fragments._c_closure_606(dims_,self._size) # bld/herlev/final/default/src/fusion/Matrix.mbi:1006:19-70
      self._size = numpy.int64(self._size) # postprocess
      _0_n=int((inst_).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:1007:12-13
      if (_0_n!=int((cof_).shape[0])): # bld/herlev/final/default/src/fusion/Matrix.mbi:1008:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1009:10-65
        raise mosek_fusion_LengthError._ctor_S("Mismatching data array length") # bld/herlev/final/default/src/fusion/Matrix.mbi:1009:10-65
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1009:10-65
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1010:8-1019:9
      _1_err=False # bld/herlev/final/default/src/fusion/Matrix.mbi:1011:14-17
      _1_err = fragments._c_closure_607(_1_err,inst_,_0_n,self._size) # bld/herlev/final/default/src/fusion/Matrix.mbi:1012:10-1016:11
      if _1_err: # bld/herlev/final/default/src/fusion/Matrix.mbi:1017:14-17
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1018:12-70
        raise mosek_fusion_IndexError._ctor_S("An index in inst is out of bounds") # bld/herlev/final/default/src/fusion/Matrix.mbi:1018:12-70
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1018:12-70
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1010:8-1019:9
      self._dims = mosek.fusion.Utils.Tools._arraycopy__3I(dims_) # bld/herlev/final/default/src/fusion/Matrix.mbi:1021:8-44
      _2_issorted=True # bld/herlev/final/default/src/fusion/Matrix.mbi:1022:12-25
      _2_issorted = fragments._c_closure_608(inst_,_2_issorted) # bld/herlev/final/default/src/fusion/Matrix.mbi:1023:8-83
      if _2_issorted: # bld/herlev/final/default/src/fusion/Matrix.mbi:1025:12-20
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1026:8-1049:9
        _3_nunique=1 # bld/herlev/final/default/src/fusion/Matrix.mbi:1027:14-21
        _3_nunique = fragments._c_closure_609(inst_,_3_nunique) # bld/herlev/final/default/src/fusion/Matrix.mbi:1028:10-1030:24
        _3_nunique = numpy.int32(_3_nunique) # postprocess
        if (_3_nunique==int((inst_).shape[0])): # bld/herlev/final/default/src/fusion/Matrix.mbi:1031:14-35
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1032:10-1035:11
          self._inst = mosek.fusion.Utils.Tools._arraycopy__3J(inst_) # bld/herlev/final/default/src/fusion/Matrix.mbi:1033:12-48
          self._cof = mosek.fusion.Utils.Tools._arraycopy__3D(cof_) # bld/herlev/final/default/src/fusion/Matrix.mbi:1034:12-47
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1032:10-1035:11
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1037:10-1048:11
          self._inst = numpy.zeros((_3_nunique,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:1038:12-37
          self._inst[0] = inst_[0] # bld/herlev/final/default/src/fusion/Matrix.mbi:1038:38-57
          self._cof = numpy.zeros((_3_nunique,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:1039:12-38
          self._cof[0] = cof_[0] # bld/herlev/final/default/src/fusion/Matrix.mbi:1039:39-57
          _4_j=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:1040:16-17
          _4_j = fragments._c_closure_610(self._cof,cof_,self._inst,inst_,_4_j) # bld/herlev/final/default/src/fusion/Matrix.mbi:1041:12-1047:42
          _4_j = numpy.int32(_4_j) # postprocess
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1037:10-1048:11
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1026:8-1049:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1051:8-1069:9
        _5_perm=mosek.fusion.Utils.Tools._range_J(int((inst_).shape[0])) # bld/herlev/final/default/src/fusion/Matrix.mbi:1052:14-18
        mosek.fusion.CommonTools._argQsort__3J_3J_3JJJ(_5_perm,inst_,None,0,int((inst_).shape[0])) # bld/herlev/final/default/src/fusion/Matrix.mbi:1053:10-67
        _6_nunique=1 # bld/herlev/final/default/src/fusion/Matrix.mbi:1054:14-21
        _6_nunique = fragments._c_closure_611(inst_,_6_nunique,_5_perm) # bld/herlev/final/default/src/fusion/Matrix.mbi:1055:10-1057:24
        _6_nunique = numpy.int32(_6_nunique) # postprocess
        self._inst = numpy.zeros((_6_nunique,), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:1059:10-35
        self._inst[0] = inst_[_5_perm[0]] # bld/herlev/final/default/src/fusion/Matrix.mbi:1059:36-61
        self._cof = numpy.zeros((_6_nunique,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:1060:10-35
        self._cof[0] = cof_[_5_perm[0]] # bld/herlev/final/default/src/fusion/Matrix.mbi:1060:37-61
        _7_j=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:1061:14-15
        _7_j = fragments._c_closure_612(self._cof,cof_,self._inst,inst_,_7_j,_5_perm) # bld/herlev/final/default/src/fusion/Matrix.mbi:1062:10-1068:46
        _7_j = numpy.int32(_7_j) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1051:8-1069:9
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:1005:6-1070:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Matrix_2(m):
      o = NDSparseArray.__new__(NDSparseArray)
      o._ctor_init_Lmosek_4fusion_4Matrix_2(m)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      m, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(m))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(m))
    # Origin: bld/herlev/final/default/src/fusion/Matrix.mbi:987:6-1001:7
    def _ctor_alt_init_Lmosek_4fusion_4Matrix_2(self,m):
      self._ctor_init_Lmosek_4fusion_4Matrix_2(m)
    def _ctor_init_Lmosek_4fusion_4Matrix_2(self,m):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:988:6-1001:7
      _0_nnz=m._numNonzeros_() # bld/herlev/final/default/src/fusion/Matrix.mbi:989:12-15
      _1_dim1=m._numColumns_() # bld/herlev/final/default/src/fusion/Matrix.mbi:991:12-16
      _2_dim0=m._numRows_() # bld/herlev/final/default/src/fusion/Matrix.mbi:990:12-16
      _3_val=numpy.zeros((_0_nnz,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:994:12-15
      _4_subj=numpy.zeros((_0_nnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:993:12-16
      _5_subi=numpy.zeros((_0_nnz,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:992:12-16
      m._getDataAsTriplets__3I_3I_3D(_5_subi,_4_subj,_3_val) # bld/herlev/final/default/src/fusion/Matrix.mbi:995:8-43
      self._size = (numpy.int64(m._numRows_()) * numpy.int64(m._numColumns_())) # bld/herlev/final/default/src/fusion/Matrix.mbi:997:8-58
      self._dims = numpy.array([_2_dim0,_1_dim1], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:998:8-35
      self._inst = numpy.array([((numpy.int64(_5_subi[_6_i]) * _1_dim1) + numpy.int64(_4_subj[_6_i])) for _6_i in range(0,_0_nnz)], dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:999:8-81
      self._cof = _3_val # bld/herlev/final/default/src/fusion/Matrix.mbi:1000:8-18
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:988:6-1001:7
    @staticmethod
    def _match_make_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_m))
    @staticmethod
    def _match_alt_make_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_m, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_m))
    @staticmethod
    def _make_alt_Lmosek_4fusion_4Matrix_2(_t__0_m):
      return mosek_fusion_NDSparseArray._make_Lmosek_4fusion_4Matrix_2(_0_m)
    @staticmethod
    def _make_Lmosek_4fusion_4Matrix_2(_0_m):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:985:57-88
      return (mosek_fusion_NDSparseArray._ctor_Lmosek_4fusion_4Matrix_2(_0_m)) # bld/herlev/final/default/src/fusion/Matrix.mbi:985:59-87
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:985:57-88
    @staticmethod
    def _match_make__3I_3J_3D(*args):
      if len(args) != 3: return False
      _0_dims,_1_inst,_2_cof, = args
      return (    __arg_match__3I__(_0_dims)
              and __arg_match__3J__(_1_inst)
              and __arg_match__3D__(_2_cof))
    @staticmethod
    def _match_alt_make__3I_3J_3D(*args):
      if len(args) != 3: return False
      _0_dims,_1_inst,_2_cof, = args
      return (    __arg_alt_match__3I__(_0_dims)
              and __arg_alt_match__3J__(_1_inst)
              and __arg_alt_match__3D__(_2_cof))
    @staticmethod
    def _make_alt__3I_3J_3D(_t__0_dims,_t__1_inst,_t__2_cof):
      _0_dims=numpy.array(_t__0_dims,dtype=numpy.dtype(numpy.int32))
      _1_inst=numpy.array(_t__1_inst,dtype=numpy.dtype(numpy.int64))
      _2_cof=numpy.array(_t__2_cof,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_NDSparseArray._make__3I_3J_3D(_0_dims,_1_inst,_2_cof)
      try:
        _t__0_dims[:] = _0_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_inst[:] = _1_inst
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_cof[:] = _2_cof
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _make__3I_3J_3D(_0_dims,_1_inst,_2_cof):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:984:90-133
      return (mosek_fusion_NDSparseArray._ctor__3I_3J_3D(_0_dims,_1_inst,_2_cof)) # bld/herlev/final/default/src/fusion/Matrix.mbi:984:92-132
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:984:90-133
    @staticmethod
    def _match_make__3I_3_5I_3D(*args):
      if len(args) != 3: return False
      _0_dims,_1_sub,_2_cof, = args
      return (    __arg_match__3I__(_0_dims)
              and __arg_match__3_5I__(_1_sub)
              and __arg_match__3D__(_2_cof))
    @staticmethod
    def _match_alt_make__3I_3_5I_3D(*args):
      if len(args) != 3: return False
      _0_dims,_1_sub,_2_cof, = args
      return (    __arg_alt_match__3I__(_0_dims)
              and __arg_alt_match__3_5I__(_1_sub)
              and __arg_alt_match__3D__(_2_cof))
    @staticmethod
    def _make_alt__3I_3_5I_3D(_t__0_dims,_t__1_sub,_t__2_cof):
      _0_dims=numpy.array(_t__0_dims,dtype=numpy.dtype(numpy.int32))
      _1_sub=numpy.array(_t__1_sub,ndmin=_monty.checkShape(_t__1_sub,2),dtype=numpy.dtype(numpy.int32))
      _2_cof=numpy.array(_t__2_cof,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_NDSparseArray._make__3I_3_5I_3D(_0_dims,_1_sub,_2_cof)
      try:
        _t__0_dims[:] = _0_dims
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_cof[:] = _2_cof
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _make__3I_3_5I_3D(_0_dims,_1_sub,_2_cof):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:983:89-131
      return (mosek_fusion_NDSparseArray._ctor__3I_3_5I_3D(_0_dims,_1_sub,_2_cof)) # bld/herlev/final/default/src/fusion/Matrix.mbi:983:91-130
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:983:89-131
  return NDSparseArray
mosek_fusion_NDSparseArray=__mk_mosek_fusion_NDSparseArray()
del __mk_mosek_fusion_NDSparseArray

# origin: bld/herlev/final/default/src/fusion/Matrix.mbi:58:4-569:5
#BEFORE CLASS
def __mk_mosek_fusion_Matrix():
  class Matrix(object):
    __slots__ = ['_dimj','_dimi']
    def isSparse(self,*args):
      if False: pass
      elif mosek_fusion_Matrix._match_isSparse_(*args): # 
        return self._isSparse_(*args)
      elif mosek_fusion_Matrix._match_alt_isSparse_(*args): # 
        return self._isSparse_alt_(*args)
      else:
        raise ValueError('Invalid argument list isSparse('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Matrix.isSparse()')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_Matrix._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_Matrix._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Matrix.toString()')

    @staticmethod
    def diag(*args):
      if False: pass
      elif mosek_fusion_Matrix._match_diag__3D(*args): # []double
        return mosek_fusion_Matrix._diag__3D(*args)
      elif mosek_fusion_Matrix._match_alt_diag__3D(*args): # []double
        return mosek_fusion_Matrix._diag_alt__3D(*args)
      elif mosek_fusion_Matrix._match_diag__3Lmosek_4fusion_4Matrix_2(*args): # []mosek.fusion.Matrix
        return mosek_fusion_Matrix._diag__3Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Matrix._match_alt_diag__3Lmosek_4fusion_4Matrix_2(*args): # []mosek.fusion.Matrix
        return mosek_fusion_Matrix._diag_alt__3Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Matrix._match_diag__3DI(*args): # []double,int32
        return mosek_fusion_Matrix._diag__3DI(*args)
      elif mosek_fusion_Matrix._match_alt_diag__3DI(*args): # []double,int32
        return mosek_fusion_Matrix._diag_alt__3DI(*args)
      elif mosek_fusion_Matrix._match_diag_ILmosek_4fusion_4Matrix_2(*args): # int32,mosek.fusion.Matrix
        return mosek_fusion_Matrix._diag_ILmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Matrix._match_alt_diag_ILmosek_4fusion_4Matrix_2(*args): # int32,mosek.fusion.Matrix
        return mosek_fusion_Matrix._diag_alt_ILmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Matrix._match_diag_ID(*args): # int32,double
        return mosek_fusion_Matrix._diag_ID(*args)
      elif mosek_fusion_Matrix._match_alt_diag_ID(*args): # int32,double
        return mosek_fusion_Matrix._diag_alt_ID(*args)
      elif mosek_fusion_Matrix._match_diag_IDI(*args): # int32,double,int32
        return mosek_fusion_Matrix._diag_IDI(*args)
      elif mosek_fusion_Matrix._match_alt_diag_IDI(*args): # int32,double,int32
        return mosek_fusion_Matrix._diag_alt_IDI(*args)
      else:
        raise ValueError('Invalid argument list diag('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Matrix.diag(array(double,ndim=1))\n\tmosek.fusion.Matrix.diag(array(mosek.fusion.Matrix,ndim=1))\n\tmosek.fusion.Matrix.diag(array(double,ndim=1),int32)\n\tmosek.fusion.Matrix.diag(int32,mosek.fusion.Matrix)\n\tmosek.fusion.Matrix.diag(int32,double)\n\tmosek.fusion.Matrix.diag(int32,double,int32)')

    def getDataAsArray(self,*args):
      if False: pass
      elif mosek_fusion_Matrix._match_getDataAsArray_(*args): # 
        return self._getDataAsArray_(*args)
      elif mosek_fusion_Matrix._match_alt_getDataAsArray_(*args): # 
        return self._getDataAsArray_alt_(*args)
      else:
        raise ValueError('Invalid argument list getDataAsArray('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Matrix.getDataAsArray()')

    @staticmethod
    def dense(*args):
      if False: pass
      elif mosek_fusion_Matrix._match_dense__3_5D(*args): # [,]double
        return mosek_fusion_Matrix._dense__3_5D(*args)
      elif mosek_fusion_Matrix._match_alt_dense__3_5D(*args): # [,]double
        return mosek_fusion_Matrix._dense_alt__3_5D(*args)
      elif mosek_fusion_Matrix._match_dense_Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix
        return mosek_fusion_Matrix._dense_Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Matrix._match_alt_dense_Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix
        return mosek_fusion_Matrix._dense_alt_Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Matrix._match_dense_IID(*args): # int32,int32,double
        return mosek_fusion_Matrix._dense_IID(*args)
      elif mosek_fusion_Matrix._match_alt_dense_IID(*args): # int32,int32,double
        return mosek_fusion_Matrix._dense_alt_IID(*args)
      elif mosek_fusion_Matrix._match_dense_II_3D(*args): # int32,int32,[]double
        return mosek_fusion_Matrix._dense_II_3D(*args)
      elif mosek_fusion_Matrix._match_alt_dense_II_3D(*args): # int32,int32,[]double
        return mosek_fusion_Matrix._dense_alt_II_3D(*args)
      else:
        raise ValueError('Invalid argument list dense('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Matrix.dense(array(double,ndim=2))\n\tmosek.fusion.Matrix.dense(mosek.fusion.Matrix)\n\tmosek.fusion.Matrix.dense(int32,int32,double)\n\tmosek.fusion.Matrix.dense(int32,int32,array(double,ndim=1))')

    @staticmethod
    def eye(*args):
      if False: pass
      elif mosek_fusion_Matrix._match_eye_I(*args): # int32
        return mosek_fusion_Matrix._eye_I(*args)
      elif mosek_fusion_Matrix._match_alt_eye_I(*args): # int32
        return mosek_fusion_Matrix._eye_alt_I(*args)
      else:
        raise ValueError('Invalid argument list eye('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Matrix.eye(int32)')

    def numNonzeros(self,*args):
      if False: pass
      elif mosek_fusion_Matrix._match_numNonzeros_(*args): # 
        return self._numNonzeros_(*args)
      elif mosek_fusion_Matrix._match_alt_numNonzeros_(*args): # 
        return self._numNonzeros_alt_(*args)
      else:
        raise ValueError('Invalid argument list numNonzeros('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Matrix.numNonzeros()')

    @staticmethod
    def sparse(*args):
      if False: pass
      elif mosek_fusion_Matrix._match_sparse__3_5D(*args): # [,]double
        return mosek_fusion_Matrix._sparse__3_5D(*args)
      elif mosek_fusion_Matrix._match_alt_sparse__3_5D(*args): # [,]double
        return mosek_fusion_Matrix._sparse_alt__3_5D(*args)
      elif mosek_fusion_Matrix._match_sparse__3_3Lmosek_4fusion_4Matrix_2(*args): # [][]mosek.fusion.Matrix
        return mosek_fusion_Matrix._sparse__3_3Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Matrix._match_alt_sparse__3_3Lmosek_4fusion_4Matrix_2(*args): # [][]mosek.fusion.Matrix
        return mosek_fusion_Matrix._sparse_alt__3_3Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Matrix._match_sparse_Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix
        return mosek_fusion_Matrix._sparse_Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Matrix._match_alt_sparse_Lmosek_4fusion_4Matrix_2(*args): # mosek.fusion.Matrix
        return mosek_fusion_Matrix._sparse_alt_Lmosek_4fusion_4Matrix_2(*args)
      elif mosek_fusion_Matrix._match_sparse_II(*args): # int32,int32
        return mosek_fusion_Matrix._sparse_II(*args)
      elif mosek_fusion_Matrix._match_alt_sparse_II(*args): # int32,int32
        return mosek_fusion_Matrix._sparse_alt_II(*args)
      elif mosek_fusion_Matrix._match_sparse__3I_3I_3D(*args): # []int32,[]int32,[]double
        return mosek_fusion_Matrix._sparse__3I_3I_3D(*args)
      elif mosek_fusion_Matrix._match_alt_sparse__3I_3I_3D(*args): # []int32,[]int32,[]double
        return mosek_fusion_Matrix._sparse_alt__3I_3I_3D(*args)
      elif mosek_fusion_Matrix._match_sparse__3I_3ID(*args): # []int32,[]int32,double
        return mosek_fusion_Matrix._sparse__3I_3ID(*args)
      elif mosek_fusion_Matrix._match_alt_sparse__3I_3ID(*args): # []int32,[]int32,double
        return mosek_fusion_Matrix._sparse_alt__3I_3ID(*args)
      elif mosek_fusion_Matrix._match_sparse_II_3I_3ID(*args): # int32,int32,[]int32,[]int32,double
        return mosek_fusion_Matrix._sparse_II_3I_3ID(*args)
      elif mosek_fusion_Matrix._match_alt_sparse_II_3I_3ID(*args): # int32,int32,[]int32,[]int32,double
        return mosek_fusion_Matrix._sparse_alt_II_3I_3ID(*args)
      elif mosek_fusion_Matrix._match_sparse_II_3I_3I_3D(*args): # int32,int32,[]int32,[]int32,[]double
        return mosek_fusion_Matrix._sparse_II_3I_3I_3D(*args)
      elif mosek_fusion_Matrix._match_alt_sparse_II_3I_3I_3D(*args): # int32,int32,[]int32,[]int32,[]double
        return mosek_fusion_Matrix._sparse_alt_II_3I_3I_3D(*args)
      else:
        raise ValueError('Invalid argument list sparse('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Matrix.sparse(array(double,ndim=2))\n\tmosek.fusion.Matrix.sparse(array(array(mosek.fusion.Matrix,ndim=1),ndim=1))\n\tmosek.fusion.Matrix.sparse(mosek.fusion.Matrix)\n\tmosek.fusion.Matrix.sparse(int32,int32)\n\tmosek.fusion.Matrix.sparse(array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1))\n\tmosek.fusion.Matrix.sparse(array(int32,ndim=1),array(int32,ndim=1),double)\n\tmosek.fusion.Matrix.sparse(int32,int32,array(int32,ndim=1),array(int32,ndim=1),double)\n\tmosek.fusion.Matrix.sparse(int32,int32,array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1))')

    def getDataAsTriplets(self,*args):
      if False: pass
      elif mosek_fusion_Matrix._match_getDataAsTriplets__3I_3I_3D(*args): # []int32,[]int32,[]double
        return self._getDataAsTriplets__3I_3I_3D(*args)
      elif mosek_fusion_Matrix._match_alt_getDataAsTriplets__3I_3I_3D(*args): # []int32,[]int32,[]double
        return self._getDataAsTriplets_alt__3I_3I_3D(*args)
      else:
        raise ValueError('Invalid argument list getDataAsTriplets('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Matrix.getDataAsTriplets(array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1))')

    def numRows(self,*args):
      if False: pass
      elif mosek_fusion_Matrix._match_numRows_(*args): # 
        return self._numRows_(*args)
      elif mosek_fusion_Matrix._match_alt_numRows_(*args): # 
        return self._numRows_alt_(*args)
      else:
        raise ValueError('Invalid argument list numRows('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Matrix.numRows()')

    @staticmethod
    def ones(*args):
      if False: pass
      elif mosek_fusion_Matrix._match_ones_II(*args): # int32,int32
        return mosek_fusion_Matrix._ones_II(*args)
      elif mosek_fusion_Matrix._match_alt_ones_II(*args): # int32,int32
        return mosek_fusion_Matrix._ones_alt_II(*args)
      else:
        raise ValueError('Invalid argument list ones('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Matrix.ones(int32,int32)')

    def numColumns(self,*args):
      if False: pass
      elif mosek_fusion_Matrix._match_numColumns_(*args): # 
        return self._numColumns_(*args)
      elif mosek_fusion_Matrix._match_alt_numColumns_(*args): # 
        return self._numColumns_alt_(*args)
      else:
        raise ValueError('Invalid argument list numColumns('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Matrix.numColumns()')

    def transpose(self,*args):
      if False: pass
      elif mosek_fusion_Matrix._match_transpose_(*args): # 
        return self._transpose_(*args)
      elif mosek_fusion_Matrix._match_alt_transpose_(*args): # 
        return self._transpose_alt_(*args)
      else:
        raise ValueError('Invalid argument list transpose('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Matrix.transpose()')

    @staticmethod
    def antidiag(*args):
      if False: pass
      elif mosek_fusion_Matrix._match_antidiag__3D(*args): # []double
        return mosek_fusion_Matrix._antidiag__3D(*args)
      elif mosek_fusion_Matrix._match_alt_antidiag__3D(*args): # []double
        return mosek_fusion_Matrix._antidiag_alt__3D(*args)
      elif mosek_fusion_Matrix._match_antidiag__3DI(*args): # []double,int32
        return mosek_fusion_Matrix._antidiag__3DI(*args)
      elif mosek_fusion_Matrix._match_alt_antidiag__3DI(*args): # []double,int32
        return mosek_fusion_Matrix._antidiag_alt__3DI(*args)
      elif mosek_fusion_Matrix._match_antidiag_ID(*args): # int32,double
        return mosek_fusion_Matrix._antidiag_ID(*args)
      elif mosek_fusion_Matrix._match_alt_antidiag_ID(*args): # int32,double
        return mosek_fusion_Matrix._antidiag_alt_ID(*args)
      elif mosek_fusion_Matrix._match_antidiag_IDI(*args): # int32,double,int32
        return mosek_fusion_Matrix._antidiag_IDI(*args)
      elif mosek_fusion_Matrix._match_alt_antidiag_IDI(*args): # int32,double,int32
        return mosek_fusion_Matrix._antidiag_alt_IDI(*args)
      else:
        raise ValueError('Invalid argument list antidiag('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Matrix.antidiag(array(double,ndim=1))\n\tmosek.fusion.Matrix.antidiag(array(double,ndim=1),int32)\n\tmosek.fusion.Matrix.antidiag(int32,double)\n\tmosek.fusion.Matrix.antidiag(int32,double,int32)')

    def get(self,*args):
      if False: pass
      elif mosek_fusion_Matrix._match_get_II(*args): # int32,int32
        return self._get_II(*args)
      elif mosek_fusion_Matrix._match_alt_get_II(*args): # int32,int32
        return self._get_alt_II(*args)
      else:
        raise ValueError('Invalid argument list get('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Matrix.get(int32,int32)')

    def __repr__(self): return 'mosek.fusion.Matrix'
    @staticmethod
    def _ctor_II(di,dj):
      o = Matrix.__new__(Matrix)
      o._ctor_init_II(di,dj)
      return o

    @staticmethod
    def __match_ctor_II(*args):
      if len(args) != 2: return False
      di,dj, = args
      return (    __arg_match_I__(di)
              and __arg_match_I__(dj))
    @staticmethod
    def __match_alt_ctor_II(*args):
      if len(args) != 2: return False
      di,dj, = args
      return (    __arg_alt_match_I__(di)
              and __arg_alt_match_I__(dj))
    # Origin: bld/herlev/final/default/src/fusion/Matrix.mbi:65:6-71:7
    def _ctor_alt_init_II(self,di,dj):
      self._ctor_init_II(numpy.int32(di),numpy.int32(dj))
    def _ctor_init_II(self,di,dj):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:66:6-71:7
      if ((di < 0) or (dj < 0)): # bld/herlev/final/default/src/fusion/Matrix.mbi:67:12-28
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:68:11-58
        raise mosek_fusion_DimensionError._ctor_S("Invalid dimensions") # bld/herlev/final/default/src/fusion/Matrix.mbi:68:11-58
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:68:11-58
      self._dimi = di # bld/herlev/final/default/src/fusion/Matrix.mbi:69:8-18
      self._dimj = dj # bld/herlev/final/default/src/fusion/Matrix.mbi:70:8-18
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:66:6-71:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:568:38-52
      return ("") # bld/herlev/final/default/src/fusion/Matrix.mbi:568:40-50
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:568:38-52
    def _switchDims_alt_(self,):
      return self._switchDims_()
    def _switchDims_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:561:6-564:7
      _0_tmp=self._dimi # bld/herlev/final/default/src/fusion/Matrix.mbi:562:12-15
      self._dimi = self._dimj # bld/herlev/final/default/src/fusion/Matrix.mbi:563:8-20
      self._dimj = _0_tmp # bld/herlev/final/default/src/fusion/Matrix.mbi:563:21-32
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:561:6-564:7
    @staticmethod
    def _match_diag_ILmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_num,_1_mv, = args
      return (    __arg_match_I__(_0_num)
              and __arg_match_Lmosek_4fusion_4Matrix_2__(_1_mv))
    @staticmethod
    def _match_alt_diag_ILmosek_4fusion_4Matrix_2(*args):
      if len(args) != 2: return False
      _0_num,_1_mv, = args
      return (    __arg_alt_match_I__(_0_num)
              and __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_1_mv))
    @staticmethod
    def _diag_alt_ILmosek_4fusion_4Matrix_2(_t__0_num,_t__1_mv):
      return mosek_fusion_Matrix._diag_ILmosek_4fusion_4Matrix_2(numpy.int32(__0_num),_1_mv)
    @staticmethod
    def _diag_ILmosek_4fusion_4Matrix_2(_0_num,_1_mv):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:556:62-107
      return (mosek.fusion.Matrix._diag__3Lmosek_4fusion_4Matrix_2(numpy.array([_1_mv for _2_i in range(0,_0_num)], dtype=numpy.dtype(object)))) # bld/herlev/final/default/src/fusion/Matrix.mbi:556:64-105
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:556:62-107
    @staticmethod
    def _match_diag__3Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_md, = args
      return (    __arg_match__3Lmosek_4fusion_4Matrix_2__(_0_md))
    @staticmethod
    def _match_alt_diag__3Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_md, = args
      return (    __arg_alt_match__3Lmosek_4fusion_4Matrix_2__(_0_md))
    @staticmethod
    def _diag_alt__3Lmosek_4fusion_4Matrix_2(_t__0_md):
      _0_md=numpy.array(_t__0_md,dtype=numpy.dtype(object))
      _1 = mosek_fusion_Matrix._diag__3Lmosek_4fusion_4Matrix_2(_0_md)
      try:
        _t__0_md[:] = _0_md
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _diag__3Lmosek_4fusion_4Matrix_2(_0_md):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:506:6-548:7
      _1_d=_0_md # bld/herlev/final/default/src/fusion/Matrix.mbi:507:12-13
      _2_numelm=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:508:12-18
      _3_dimj=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:509:22-26
      _4_dimi=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:509:12-16
      for _5_i in range(0,int((_0_md).shape[0])): # bld/herlev/final/default/src/fusion/Matrix.mbi:511:8-516:9
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:512:8-516:9
        _4_dimi = (_4_dimi + (_0_md[_5_i]._dimi)) # bld/herlev/final/default/src/fusion/Matrix.mbi:513:10-37
        _3_dimj = (_3_dimj + (_0_md[_5_i]._dimj)) # bld/herlev/final/default/src/fusion/Matrix.mbi:514:10-37
        _2_numelm = (_2_numelm + _0_md[_5_i]._numNonzeros_()) # bld/herlev/final/default/src/fusion/Matrix.mbi:515:10-48
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:512:8-516:9
      _6_subi=numpy.zeros((_2_numelm,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:518:12-16
      _7_subj=numpy.zeros((_2_numelm,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:519:12-16
      _8_val=numpy.zeros((_2_numelm,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:520:12-15
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:522:8-545:9
      _9_offsetj=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:523:27-34
      _10_offseti=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:523:14-21
      _11_k=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:524:14-15
      for _12_i in range(0,int((_0_md).shape[0])): # bld/herlev/final/default/src/fusion/Matrix.mbi:526:10-544:11
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:527:10-544:11
        _13_N=_0_md[_12_i]._numNonzeros_() # bld/herlev/final/default/src/fusion/Matrix.mbi:528:16-17
        _14_mval=numpy.zeros((_13_N,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:531:16-20
        _15_msubj=numpy.zeros((_13_N,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:530:16-21
        _16_msubi=numpy.zeros((_13_N,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:529:16-21
        _0_md[_12_i]._getDataAsTriplets__3I_3I_3D(_16_msubi,_15_msubj,_14_mval) # bld/herlev/final/default/src/fusion/Matrix.mbi:532:12-54
        mosek.fusion.Utils.Tools._arraycopy__3DJ_3DJJ(_14_mval,0,_8_val,_11_k,_13_N) # bld/herlev/final/default/src/fusion/Matrix.mbi:534:12-55
        fragments._c_closure_613(_13_N,_11_k,_16_msubi,_10_offseti,_9_offsetj,_6_subi,_7_subj) # bld/herlev/final/default/src/fusion/Matrix.mbi:535:12-539:13
        _11_k = (_11_k + _13_N) # bld/herlev/final/default/src/fusion/Matrix.mbi:541:12-22
        _10_offseti = (_10_offseti + (_0_md[_12_i]._dimi)) # bld/herlev/final/default/src/fusion/Matrix.mbi:542:12-43
        _9_offsetj = (_9_offsetj + (_0_md[_12_i]._dimj)) # bld/herlev/final/default/src/fusion/Matrix.mbi:543:12-43
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:527:10-544:11
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:522:8-545:9
      return (mosek_fusion_SparseMatrix._ctor_II_3I_3I_3D(_4_dimi,_3_dimj,_6_subi,_7_subj,_8_val)) # bld/herlev/final/default/src/fusion/Matrix.mbi:547:8-57
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:506:6-548:7
    @staticmethod
    def _match_antidiag_IDI(*args):
      if len(args) != 3: return False
      _0_n,_1_val,_2_k, = args
      return (    __arg_match_I__(_0_n)
              and __arg_match_D__(_1_val)
              and __arg_match_I__(_2_k))
    @staticmethod
    def _match_alt_antidiag_IDI(*args):
      if len(args) != 3: return False
      _0_n,_1_val,_2_k, = args
      return (    __arg_alt_match_I__(_0_n)
              and __arg_alt_match_D__(_1_val)
              and __arg_alt_match_I__(_2_k))
    @staticmethod
    def _antidiag_alt_IDI(_t__0_n,_t__1_val,_t__2_k):
      return mosek_fusion_Matrix._antidiag_IDI(numpy.int32(__0_n),numpy.float64(__1_val),numpy.int32(__2_k))
    @staticmethod
    def _antidiag_IDI(_0_n,_1_val,_2_k):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:486:6-494:7
      if ((_2_k < _0_n) and (_2_k >= 0)): # bld/herlev/final/default/src/fusion/Matrix.mbi:487:16-32
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:488:10-61
        return (mosek.fusion.Matrix._antidiag__3DI(mosek.fusion.Utils.Tools._makevector_DI(_1_val,(_0_n - _2_k)),_2_k)) # bld/herlev/final/default/src/fusion/Matrix.mbi:488:10-61
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:488:10-61
      elif ((_2_k > (- _0_n)) and (_2_k < 0)): # bld/herlev/final/default/src/fusion/Matrix.mbi:489:16-32
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:490:10-61
        return (mosek.fusion.Matrix._antidiag__3DI(mosek.fusion.Utils.Tools._makevector_DI(_1_val,(_0_n + _2_k)),_2_k)) # bld/herlev/final/default/src/fusion/Matrix.mbi:490:10-61
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:490:10-61
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:492:10-67
        raise mosek_fusion_DimensionError._ctor_S("Diagonal index out of bounds") # bld/herlev/final/default/src/fusion/Matrix.mbi:492:10-67
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:492:10-67
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:486:6-494:7
    @staticmethod
    def _match_antidiag_ID(*args):
      if len(args) != 2: return False
      _0_n,_1_val, = args
      return (    __arg_match_I__(_0_n)
              and __arg_match_D__(_1_val))
    @staticmethod
    def _match_alt_antidiag_ID(*args):
      if len(args) != 2: return False
      _0_n,_1_val, = args
      return (    __arg_alt_match_I__(_0_n)
              and __arg_alt_match_D__(_1_val))
    @staticmethod
    def _antidiag_alt_ID(_t__0_n,_t__1_val):
      return mosek_fusion_Matrix._antidiag_ID(numpy.int32(__0_n),numpy.float64(__1_val))
    @staticmethod
    def _antidiag_ID(_0_n,_1_val):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:481:6-483:7
      return (mosek.fusion.Matrix._antidiag__3DI(mosek.fusion.Utils.Tools._makevector_DI(_1_val,_0_n),0)) # bld/herlev/final/default/src/fusion/Matrix.mbi:482:8-57
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:481:6-483:7
    @staticmethod
    def _match_diag_IDI(*args):
      if len(args) != 3: return False
      _0_n,_1_val,_2_k, = args
      return (    __arg_match_I__(_0_n)
              and __arg_match_D__(_1_val)
              and __arg_match_I__(_2_k))
    @staticmethod
    def _match_alt_diag_IDI(*args):
      if len(args) != 3: return False
      _0_n,_1_val,_2_k, = args
      return (    __arg_alt_match_I__(_0_n)
              and __arg_alt_match_D__(_1_val)
              and __arg_alt_match_I__(_2_k))
    @staticmethod
    def _diag_alt_IDI(_t__0_n,_t__1_val,_t__2_k):
      return mosek_fusion_Matrix._diag_IDI(numpy.int32(__0_n),numpy.float64(__1_val),numpy.int32(__2_k))
    @staticmethod
    def _diag_IDI(_0_n,_1_val,_2_k):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:470:6-478:7
      if ((_2_k < _0_n) and (_2_k >= 0)): # bld/herlev/final/default/src/fusion/Matrix.mbi:471:16-32
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:472:10-57
        return (mosek.fusion.Matrix._diag__3DI(mosek.fusion.Utils.Tools._makevector_DI(_1_val,(_0_n - _2_k)),_2_k)) # bld/herlev/final/default/src/fusion/Matrix.mbi:472:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:472:10-57
      elif ((_2_k > (- _0_n)) and (_2_k < 0)): # bld/herlev/final/default/src/fusion/Matrix.mbi:473:16-32
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:474:10-57
        return (mosek.fusion.Matrix._diag__3DI(mosek.fusion.Utils.Tools._makevector_DI(_1_val,(_0_n + _2_k)),_2_k)) # bld/herlev/final/default/src/fusion/Matrix.mbi:474:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:474:10-57
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:476:10-67
        raise mosek_fusion_DimensionError._ctor_S("Diagonal index out of bounds") # bld/herlev/final/default/src/fusion/Matrix.mbi:476:10-67
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:476:10-67
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:470:6-478:7
    @staticmethod
    def _match_diag_ID(*args):
      if len(args) != 2: return False
      _0_n,_1_val, = args
      return (    __arg_match_I__(_0_n)
              and __arg_match_D__(_1_val))
    @staticmethod
    def _match_alt_diag_ID(*args):
      if len(args) != 2: return False
      _0_n,_1_val, = args
      return (    __arg_alt_match_I__(_0_n)
              and __arg_alt_match_D__(_1_val))
    @staticmethod
    def _diag_alt_ID(_t__0_n,_t__1_val):
      return mosek_fusion_Matrix._diag_ID(numpy.int32(__0_n),numpy.float64(__1_val))
    @staticmethod
    def _diag_ID(_0_n,_1_val):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:465:6-467:7
      return (mosek.fusion.Matrix._diag__3DI(mosek.fusion.Utils.Tools._makevector_DI(_1_val,_0_n),0)) # bld/herlev/final/default/src/fusion/Matrix.mbi:466:8-53
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:465:6-467:7
    @staticmethod
    def _match_antidiag__3DI(*args):
      if len(args) != 2: return False
      _0_d,_1_k, = args
      return (    __arg_match__3D__(_0_d)
              and __arg_match_I__(_1_k))
    @staticmethod
    def _match_alt_antidiag__3DI(*args):
      if len(args) != 2: return False
      _0_d,_1_k, = args
      return (    __arg_alt_match__3D__(_0_d)
              and __arg_alt_match_I__(_1_k))
    @staticmethod
    def _antidiag_alt__3DI(_t__0_d,_t__1_k):
      _0_d=numpy.array(_t__0_d,dtype=numpy.dtype(numpy.float64))
      _1_k=numpy.int32(_t__1_k)
      _1 = mosek_fusion_Matrix._antidiag__3DI(_0_d,_1_k)
      try:
        _t__0_d[:] = _0_d
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _antidiag__3DI(_0_d,_1_k):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:443:6-461:7
      _2_absk=(_1_k if ((_1_k > 0) ) else (- _1_k)) # bld/herlev/final/default/src/fusion/Matrix.mbi:444:12-16
      _3_dimi=(int((_0_d).shape[0]) + _2_absk) # bld/herlev/final/default/src/fusion/Matrix.mbi:445:12-16
      _4_n=int((_0_d).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:446:12-13
      if (_1_k >= 0): # bld/herlev/final/default/src/fusion/Matrix.mbi:447:12-18
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:448:8-453:9
        _5_subi=mosek.fusion.Utils.Tools._range_II(_1_k,(_4_n + _1_k)) # bld/herlev/final/default/src/fusion/Matrix.mbi:449:14-18
        _6_subj=numpy.array([((_4_n + _1_k) - _7_i) for _7_i in range(1,(_4_n + 1))], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:450:14-18
        return (mosek_fusion_SparseMatrix._ctor_II_3I_3I_3D(_3_dimi,_3_dimi,_5_subi,_6_subj,_0_d)) # bld/herlev/final/default/src/fusion/Matrix.mbi:452:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:448:8-453:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:455:8-460:9
        _8_subi=mosek.fusion.Utils.Tools._range_II(0,_4_n) # bld/herlev/final/default/src/fusion/Matrix.mbi:456:14-18
        _9_subj=numpy.array([(_4_n - _10_i) for _10_i in range(1,(_4_n + 1))], dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:457:14-18
        return (mosek_fusion_SparseMatrix._ctor_II_3I_3I_3D(_3_dimi,_3_dimi,_8_subi,_9_subj,_0_d)) # bld/herlev/final/default/src/fusion/Matrix.mbi:459:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:455:8-460:9
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:443:6-461:7
    @staticmethod
    def _match_antidiag__3D(*args):
      if len(args) != 1: return False
      _0_d, = args
      return (    __arg_match__3D__(_0_d))
    @staticmethod
    def _match_alt_antidiag__3D(*args):
      if len(args) != 1: return False
      _0_d, = args
      return (    __arg_alt_match__3D__(_0_d))
    @staticmethod
    def _antidiag_alt__3D(_t__0_d):
      _0_d=numpy.array(_t__0_d,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Matrix._antidiag__3D(_0_d)
      try:
        _t__0_d[:] = _0_d
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _antidiag__3D(_0_d):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:438:6-440:7
      return (mosek.fusion.Matrix._antidiag__3DI(_0_d,0)) # bld/herlev/final/default/src/fusion/Matrix.mbi:439:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:438:6-440:7
    @staticmethod
    def _match_diag__3DI(*args):
      if len(args) != 2: return False
      _0_d,_1_k, = args
      return (    __arg_match__3D__(_0_d)
              and __arg_match_I__(_1_k))
    @staticmethod
    def _match_alt_diag__3DI(*args):
      if len(args) != 2: return False
      _0_d,_1_k, = args
      return (    __arg_alt_match__3D__(_0_d)
              and __arg_alt_match_I__(_1_k))
    @staticmethod
    def _diag_alt__3DI(_t__0_d,_t__1_k):
      _0_d=numpy.array(_t__0_d,dtype=numpy.dtype(numpy.float64))
      _1_k=numpy.int32(_t__1_k)
      _1 = mosek_fusion_Matrix._diag__3DI(_0_d,_1_k)
      try:
        _t__0_d[:] = _0_d
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _diag__3DI(_0_d,_1_k):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:417:6-435:7
      _2_absk=(_1_k if ((_1_k > 0) ) else (- _1_k)) # bld/herlev/final/default/src/fusion/Matrix.mbi:418:12-16
      _3_dimi=(int((_0_d).shape[0]) + _2_absk) # bld/herlev/final/default/src/fusion/Matrix.mbi:419:12-16
      _4_n=int((_0_d).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:420:12-13
      if (_1_k >= 0): # bld/herlev/final/default/src/fusion/Matrix.mbi:421:12-18
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:422:8-427:9
        _5_subi=mosek.fusion.Utils.Tools._range_II(0,_4_n) # bld/herlev/final/default/src/fusion/Matrix.mbi:423:14-18
        _6_subj=mosek.fusion.Utils.Tools._range_II(_2_absk,(_4_n + _2_absk)) # bld/herlev/final/default/src/fusion/Matrix.mbi:424:14-18
        return (mosek_fusion_SparseMatrix._ctor_II_3I_3I_3D(_3_dimi,_3_dimi,_5_subi,_6_subj,_0_d)) # bld/herlev/final/default/src/fusion/Matrix.mbi:426:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:422:8-427:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:429:8-434:9
        _7_subi=mosek.fusion.Utils.Tools._range_II(_2_absk,(_4_n + _2_absk)) # bld/herlev/final/default/src/fusion/Matrix.mbi:430:14-18
        _8_subj=mosek.fusion.Utils.Tools._range_II(0,_4_n) # bld/herlev/final/default/src/fusion/Matrix.mbi:431:14-18
        return (mosek_fusion_SparseMatrix._ctor_II_3I_3I_3D(_3_dimi,_3_dimi,_7_subi,_8_subj,_0_d)) # bld/herlev/final/default/src/fusion/Matrix.mbi:433:10-57
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:429:8-434:9
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:417:6-435:7
    @staticmethod
    def _match_diag__3D(*args):
      if len(args) != 1: return False
      _0_d, = args
      return (    __arg_match__3D__(_0_d))
    @staticmethod
    def _match_alt_diag__3D(*args):
      if len(args) != 1: return False
      _0_d, = args
      return (    __arg_alt_match__3D__(_0_d))
    @staticmethod
    def _diag_alt__3D(_t__0_d):
      _0_d=numpy.array(_t__0_d,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Matrix._diag__3D(_0_d)
      try:
        _t__0_d[:] = _0_d
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _diag__3D(_0_d):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:412:6-414:7
      return (mosek.fusion.Matrix._diag__3DI(_0_d,0)) # bld/herlev/final/default/src/fusion/Matrix.mbi:413:8-25
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:412:6-414:7
    @staticmethod
    def _match_ones_II(*args):
      if len(args) != 2: return False
      _0_n,_1_m, = args
      return (    __arg_match_I__(_0_n)
              and __arg_match_I__(_1_m))
    @staticmethod
    def _match_alt_ones_II(*args):
      if len(args) != 2: return False
      _0_n,_1_m, = args
      return (    __arg_alt_match_I__(_0_n)
              and __arg_alt_match_I__(_1_m))
    @staticmethod
    def _ones_alt_II(_t__0_n,_t__1_m):
      return mosek_fusion_Matrix._ones_II(numpy.int32(__0_n),numpy.int32(__1_m))
    @staticmethod
    def _ones_II(_0_n,_1_m):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:408:57-83
      return (mosek.fusion.Matrix._dense_IID(_0_n,_1_m,1.0)) # bld/herlev/final/default/src/fusion/Matrix.mbi:408:59-81
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:408:57-83
    @staticmethod
    def _match_eye_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_eye_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    @staticmethod
    def _eye_alt_I(_t__0_n):
      return mosek_fusion_Matrix._eye_I(numpy.int32(__0_n))
    @staticmethod
    def _eye_I(_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:398:48-90
      return (mosek.fusion.Matrix._diag__3D(numpy.array([1.0 for _1_i in range(0,_0_n)], dtype=numpy.dtype(numpy.float64)))) # bld/herlev/final/default/src/fusion/Matrix.mbi:398:50-88
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:398:48-90
    @staticmethod
    def _match_dense_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_other, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_other))
    @staticmethod
    def _match_alt_dense_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_other, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_other))
    @staticmethod
    def _dense_alt_Lmosek_4fusion_4Matrix_2(_t__0_other):
      return mosek_fusion_Matrix._dense_Lmosek_4fusion_4Matrix_2(_0_other)
    @staticmethod
    def _dense_Lmosek_4fusion_4Matrix_2(_0_other):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:388:80-114
      return (mosek_fusion_DenseMatrix._ctor_Lmosek_4fusion_4Matrix_2(_0_other)) # bld/herlev/final/default/src/fusion/Matrix.mbi:388:82-112
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:388:80-114
    @staticmethod
    def _match_dense_IID(*args):
      if len(args) != 3: return False
      _0_dimi,_1_dimj,_2_value, = args
      return (    __arg_match_I__(_0_dimi)
              and __arg_match_I__(_1_dimj)
              and __arg_match_D__(_2_value))
    @staticmethod
    def _match_alt_dense_IID(*args):
      if len(args) != 3: return False
      _0_dimi,_1_dimj,_2_value, = args
      return (    __arg_alt_match_I__(_0_dimi)
              and __arg_alt_match_I__(_1_dimj)
              and __arg_alt_match_D__(_2_value))
    @staticmethod
    def _dense_alt_IID(_t__0_dimi,_t__1_dimj,_t__2_value):
      return mosek_fusion_Matrix._dense_IID(numpy.int32(__0_dimi),numpy.int32(__1_dimj),numpy.float64(__2_value))
    @staticmethod
    def _dense_IID(_0_dimi,_1_dimj,_2_value):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:387:80-126
      return (mosek_fusion_DenseMatrix._ctor_IID(_0_dimi,_1_dimj,_2_value)) # bld/herlev/final/default/src/fusion/Matrix.mbi:387:82-124
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:387:80-126
    @staticmethod
    def _match_dense_II_3D(*args):
      if len(args) != 3: return False
      _0_dimi,_1_dimj,_2_data, = args
      return (    __arg_match_I__(_0_dimi)
              and __arg_match_I__(_1_dimj)
              and __arg_match__3D__(_2_data))
    @staticmethod
    def _match_alt_dense_II_3D(*args):
      if len(args) != 3: return False
      _0_dimi,_1_dimj,_2_data, = args
      return (    __arg_alt_match_I__(_0_dimi)
              and __arg_alt_match_I__(_1_dimj)
              and __arg_alt_match__3D__(_2_data))
    @staticmethod
    def _dense_alt_II_3D(_t__0_dimi,_t__1_dimj,_t__2_data):
      _0_dimi=numpy.int32(_t__0_dimi)
      _1_dimj=numpy.int32(_t__1_dimj)
      _2_data=numpy.array(_t__2_data,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Matrix._dense_II_3D(_0_dimi,_1_dimj,_2_data)
      try:
        _t__2_data[:] = _2_data
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _dense_II_3D(_0_dimi,_1_dimj,_2_data):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:386:80-125
      return (mosek_fusion_DenseMatrix._ctor_II_3D(_0_dimi,_1_dimj,_2_data)) # bld/herlev/final/default/src/fusion/Matrix.mbi:386:82-123
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:386:80-125
    @staticmethod
    def _match_dense__3_5D(*args):
      if len(args) != 1: return False
      _0_data, = args
      return (    __arg_match__3_5D__(_0_data))
    @staticmethod
    def _match_alt_dense__3_5D(*args):
      if len(args) != 1: return False
      _0_data, = args
      return (    __arg_alt_match__3_5D__(_0_data))
    @staticmethod
    def _dense_alt__3_5D(_t__0_data):
      _0_data=numpy.array(_t__0_data,ndmin=_monty.checkShape(_t__0_data,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Matrix._dense__3_5D(_0_data)
      return _1
    @staticmethod
    def _dense__3_5D(_0_data):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:385:80-113
      return (mosek_fusion_DenseMatrix._ctor__3_5D(_0_data)) # bld/herlev/final/default/src/fusion/Matrix.mbi:385:82-111
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:385:80-113
    @staticmethod
    def _match_sparse_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_mx, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(_0_mx))
    @staticmethod
    def _match_alt_sparse_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_mx, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(_0_mx))
    @staticmethod
    def _sparse_alt_Lmosek_4fusion_4Matrix_2(_t__0_mx):
      return mosek_fusion_Matrix._sparse_Lmosek_4fusion_4Matrix_2(_0_mx)
    @staticmethod
    def _sparse_Lmosek_4fusion_4Matrix_2(_0_mx):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:375:6-382:7
      _1_subi=numpy.zeros((_0_mx._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:376:12-16
      _2_subj=numpy.zeros((_0_mx._numNonzeros_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:377:12-16
      _3_val=numpy.zeros((_0_mx._numNonzeros_(),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:378:12-15
      _0_mx._getDataAsTriplets__3I_3I_3D(_1_subi,_2_subj,_3_val) # bld/herlev/final/default/src/fusion/Matrix.mbi:380:8-44
      return (mosek_fusion_SparseMatrix._ctor_II_3I_3I_3D(_0_mx._numRows_(),_0_mx._numColumns_(),_1_subi,_2_subj,_3_val)) # bld/herlev/final/default/src/fusion/Matrix.mbi:381:8-76
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:375:6-382:7
    @staticmethod
    def _match_sparse__3_3Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_blocks, = args
      return (    __arg_match__3_3Lmosek_4fusion_4Matrix_2__(_0_blocks))
    @staticmethod
    def _match_alt_sparse__3_3Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      _0_blocks, = args
      return (    __arg_alt_match__3_3Lmosek_4fusion_4Matrix_2__(_0_blocks))
    @staticmethod
    def _sparse_alt__3_3Lmosek_4fusion_4Matrix_2(_t__0_blocks):
      _0_blocks=_monty.makeJaggedArray(_t__0_blocks,(1,1),numpy.dtype(object))
      _1 = mosek_fusion_Matrix._sparse__3_3Lmosek_4fusion_4Matrix_2(_0_blocks)
      try:
        _t__0_blocks[:] = _0_blocks
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _sparse__3_3Lmosek_4fusion_4Matrix_2(_0_blocks):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:232:6-371:7
      _1_maxi=int((_0_blocks).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:233:12-16
      _2_maxj=int((_0_blocks[0]).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:234:12-16
      _3_idims=numpy.zeros((_1_maxi,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:235:12-25
      _4_jdims=numpy.zeros((_2_maxj,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:236:12-25
      _5_nelm=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:238:12-16
      _6_k=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:241:12-13
      _7_i=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:242:18-19
      while (_7_i < _1_maxi): # bld/herlev/final/default/src/fusion/Matrix.mbi:242:8-271:9
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:243:8-271:9
        _8_j=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:244:20-21
        while (_8_j < _2_maxj): # bld/herlev/final/default/src/fusion/Matrix.mbi:244:10-270:11
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:245:10-270:11
          _9_m=_0_blocks[_7_i][_8_j] # bld/herlev/final/default/src/fusion/Matrix.mbi:246:16-24
          if (_9_m is not None): # bld/herlev/final/default/src/fusion/Matrix.mbi:247:21-30
            # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:248:12-268:13
            if (_4_jdims[_8_j]==0): # bld/herlev/final/default/src/fusion/Matrix.mbi:249:23-36
              # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:250:14-252:15
              _4_jdims[_8_j] = (_9_m._dimj) # bld/herlev/final/default/src/fusion/Matrix.mbi:251:16-34
              # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:250:14-252:15
            elif (_4_jdims[_8_j]!=(_9_m._dimj)): # bld/herlev/final/default/src/fusion/Matrix.mbi:253:23-41
              # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:254:14-256:15
              raise mosek_fusion_SparseFormatError._ctor_S("Sparse matrix construction blocks are not aligned") # bld/herlev/final/default/src/fusion/Matrix.mbi:255:16-97
              # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:254:14-256:15
            if (_3_idims[_7_i]==0): # bld/herlev/final/default/src/fusion/Matrix.mbi:258:23-36
              # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:259:14-261:15
              _3_idims[_7_i] = (_9_m._dimi) # bld/herlev/final/default/src/fusion/Matrix.mbi:260:16-34
              # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:259:14-261:15
            elif (_3_idims[_7_i]!=(_9_m._dimi)): # bld/herlev/final/default/src/fusion/Matrix.mbi:262:23-41
              # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:263:14-265:15
              raise mosek_fusion_SparseFormatError._ctor_S("Sparse matrix construction blocks are not aligned") # bld/herlev/final/default/src/fusion/Matrix.mbi:264:16-97
              # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:263:14-265:15
            _5_nelm = (_5_nelm + _9_m._numNonzeros_()) # bld/herlev/final/default/src/fusion/Matrix.mbi:267:14-44
            # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:248:12-268:13
          _6_k += 1 # bld/herlev/final/default/src/fusion/Matrix.mbi:269:12-16
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:245:10-270:11
          _8_j += 1
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:243:8-271:9
        _7_i += 1
      _10_cof=numpy.zeros((_5_nelm,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:275:12-15
      _11_subi=numpy.zeros((_5_nelm,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:276:12-16
      _12_subj=numpy.zeros((_5_nelm,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:277:12-16
      _13_dstp=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:278:12-16
      _14_offseti=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:303:12-19
      _15_i=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:304:18-19
      while (_15_i < _1_maxi): # bld/herlev/final/default/src/fusion/Matrix.mbi:304:8-358:9
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:305:8-358:9
        _16_lidxs=numpy.zeros((_2_maxj,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:306:14-27
        _17_ii=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:308:19-21
        while (_17_ii < _3_idims[_15_i]): # bld/herlev/final/default/src/fusion/Matrix.mbi:308:10-356:11
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:309:10-356:11
          _18_offsetj=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:310:16-23
          _19_j=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:312:21-22
          while (_19_j < _2_maxj): # bld/herlev/final/default/src/fusion/Matrix.mbi:312:12-354:13
            # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:313:12-354:13
            _20_m_=_0_blocks[_15_i][_19_j] # bld/herlev/final/default/src/fusion/Matrix.mbi:314:18-28
            if (_20_m_ is not None): # bld/herlev/final/default/src/fusion/Matrix.mbi:315:23-33
              # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:316:14-352:15
              _22_typecase=_20_m_ # bld/herlev/final/default/src/fusion/Matrix.mbi:317:26-28
              if   isinstance(_22_typecase,mosek_fusion_DenseMatrix):
                m=_22_typecase
                # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:319:16-332:17
                _22_kk=_16_lidxs[_19_j] # bld/herlev/final/default/src/fusion/Matrix.mbi:320:22-24
                _23_jj=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:321:28-30
                while (_23_jj < (m._dimj)): # bld/herlev/final/default/src/fusion/Matrix.mbi:321:18-329:19
                  # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:322:18-329:19
                  _10_cof[_13_dstp] = (m._data)[_22_kk] # bld/herlev/final/default/src/fusion/Matrix.mbi:323:20-44
                  _11_subi[_13_dstp] = (_14_offseti + _17_ii) # bld/herlev/final/default/src/fusion/Matrix.mbi:324:20-46
                  _12_subj[_13_dstp] = (_18_offsetj + _23_jj) # bld/herlev/final/default/src/fusion/Matrix.mbi:325:20-46
                  _22_kk += 1 # bld/herlev/final/default/src/fusion/Matrix.mbi:327:20-25
                  _13_dstp += 1 # bld/herlev/final/default/src/fusion/Matrix.mbi:328:20-27
                  # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:322:18-329:19
                  _23_jj += 1
                _16_lidxs[_19_j] = _22_kk # bld/herlev/final/default/src/fusion/Matrix.mbi:331:18-34
                # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:319:16-332:17
              elif isinstance(_22_typecase,mosek_fusion_SparseMatrix):
                _24_m=_22_typecase
                # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:334:16-347:17
                # var _25_kk @ bld/herlev/final/default/src/fusion/Matrix.mbi:335:22-30
                _25_kk = _16_lidxs[_19_j] # bld/herlev/final/default/src/fusion/Matrix.mbi:336:24-38
                while ((_25_kk < (_24_m._nnz)) and ((_24_m._subi)[_25_kk]==_17_ii)): # bld/herlev/final/default/src/fusion/Matrix.mbi:336:18-345:19
                  # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:339:18-345:19
                  _10_cof[_13_dstp] = (_24_m._val)[_25_kk] # bld/herlev/final/default/src/fusion/Matrix.mbi:340:21-44
                  _12_subj[_13_dstp] = ((_24_m._subj)[_25_kk] + _18_offsetj) # bld/herlev/final/default/src/fusion/Matrix.mbi:341:21-55
                  _11_subi[_13_dstp] = (_14_offseti + _17_ii) # bld/herlev/final/default/src/fusion/Matrix.mbi:342:21-47
                  _13_dstp += 1 # bld/herlev/final/default/src/fusion/Matrix.mbi:344:21-28
                  # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:339:18-345:19
                  _25_kk += 1
                _16_lidxs[_19_j] = _25_kk # bld/herlev/final/default/src/fusion/Matrix.mbi:346:18-34
                # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:334:16-347:17
              else:
                m=_22_typecase
                # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:349:16-351:17
                raise mosek_fusion_MatrixError._ctor_S("Unknown matrix type.") # bld/herlev/final/default/src/fusion/Matrix.mbi:350:18-64
                # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:349:16-351:17
              # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:316:14-352:15
            _18_offsetj = (_18_offsetj + _4_jdims[_19_j]) # bld/herlev/final/default/src/fusion/Matrix.mbi:353:14-43
            # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:313:12-354:13
            _19_j += 1
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:309:10-356:11
          _17_ii += 1
        _14_offseti = (_14_offseti + _3_idims[_15_i]) # bld/herlev/final/default/src/fusion/Matrix.mbi:357:10-39
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:305:8-358:9
        _15_i += 1
      _26_dimi=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:360:12-16
      _27_dimj=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:360:26-30
      _26_dimi = fragments._c_closure_614(_26_dimi,_3_idims,_1_maxi) # bld/herlev/final/default/src/fusion/Matrix.mbi:361:8-364:9
      _26_dimi = numpy.int32(_26_dimi) # postprocess
      _27_dimj = fragments._c_closure_615(_27_dimj,_4_jdims,_2_maxj) # bld/herlev/final/default/src/fusion/Matrix.mbi:365:8-368:9
      _27_dimj = numpy.int32(_27_dimj) # postprocess
      return (mosek_fusion_SparseMatrix._ctor_II_3I_3I_3D(_26_dimi,_27_dimj,_11_subi,_12_subj,_10_cof)) # bld/herlev/final/default/src/fusion/Matrix.mbi:370:8-57
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:232:6-371:7
    @staticmethod
    def _match_sparse__3_5D(*args):
      if len(args) != 1: return False
      _0_data, = args
      return (    __arg_match__3_5D__(_0_data))
    @staticmethod
    def _match_alt_sparse__3_5D(*args):
      if len(args) != 1: return False
      _0_data, = args
      return (    __arg_alt_match__3_5D__(_0_data))
    @staticmethod
    def _sparse_alt__3_5D(_t__0_data):
      _0_data=numpy.array(_t__0_data,ndmin=_monty.checkShape(_t__0_data,2),dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Matrix._sparse__3_5D(_0_data)
      return _1
    @staticmethod
    def _sparse__3_5D(_0_data):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:209:6-228:7
      _1_dimi=int((_0_data).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:210:12-16
      _2_dimj=int((_0_data).shape[1]) # bld/herlev/final/default/src/fusion/Matrix.mbi:211:12-16
      _3_nelem=numpy.int64((_1_dimi * _2_dimj)) # bld/herlev/final/default/src/fusion/Matrix.mbi:212:12-17
      _4_k=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:213:12-13
      _5_subi=numpy.zeros((_3_nelem,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:215:12-16
      _6_subj=numpy.zeros((_3_nelem,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:216:12-16
      _7_val=numpy.zeros((_3_nelem,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:217:12-15
      _4_k = fragments._c_closure_616(_0_data,_1_dimi,_2_dimj,_4_k,_5_subi,_6_subj,_7_val) # bld/herlev/final/default/src/fusion/Matrix.mbi:218:8-225:13
      _4_k = numpy.int32(_4_k) # postprocess
      return (mosek_fusion_SparseMatrix._ctor_II_3I_3I_3D(_1_dimi,_2_dimj,_5_subi,_6_subj,_7_val)) # bld/herlev/final/default/src/fusion/Matrix.mbi:227:8-57
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:209:6-228:7
    @staticmethod
    def _match_sparse_II(*args):
      if len(args) != 2: return False
      _0_nrow,_1_ncol, = args
      return (    __arg_match_I__(_0_nrow)
              and __arg_match_I__(_1_ncol))
    @staticmethod
    def _match_alt_sparse_II(*args):
      if len(args) != 2: return False
      _0_nrow,_1_ncol, = args
      return (    __arg_alt_match_I__(_0_nrow)
              and __arg_alt_match_I__(_1_ncol))
    @staticmethod
    def _sparse_alt_II(_t__0_nrow,_t__1_ncol):
      return mosek_fusion_Matrix._sparse_II(numpy.int32(__0_nrow),numpy.int32(__1_ncol))
    @staticmethod
    def _sparse_II(_0_nrow,_1_ncol):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:203:6-205:7
      return (mosek_fusion_SparseMatrix._ctor_II_3I_3I_3DJ(_0_nrow,_1_ncol,numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)),numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)),numpy.zeros((0,), dtype=numpy.dtype(numpy.float64)),0)) # bld/herlev/final/default/src/fusion/Matrix.mbi:204:8-87
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:203:6-205:7
    @staticmethod
    def _match_sparse_II_3I_3ID(*args):
      if len(args) != 5: return False
      _0_nrow,_1_ncol,_2_subi,_3_subj,_4_val, = args
      return (    __arg_match_I__(_0_nrow)
              and __arg_match_I__(_1_ncol)
              and __arg_match__3I__(_2_subi)
              and __arg_match__3I__(_3_subj)
              and __arg_match_D__(_4_val))
    @staticmethod
    def _match_alt_sparse_II_3I_3ID(*args):
      if len(args) != 5: return False
      _0_nrow,_1_ncol,_2_subi,_3_subj,_4_val, = args
      return (    __arg_alt_match_I__(_0_nrow)
              and __arg_alt_match_I__(_1_ncol)
              and __arg_alt_match__3I__(_2_subi)
              and __arg_alt_match__3I__(_3_subj)
              and __arg_alt_match_D__(_4_val))
    @staticmethod
    def _sparse_alt_II_3I_3ID(_t__0_nrow,_t__1_ncol,_t__2_subi,_t__3_subj,_t__4_val):
      _0_nrow=numpy.int32(_t__0_nrow)
      _1_ncol=numpy.int32(_t__1_ncol)
      _2_subi=numpy.array(_t__2_subi,dtype=numpy.dtype(numpy.int32))
      _3_subj=numpy.array(_t__3_subj,dtype=numpy.dtype(numpy.int32))
      _4_val=numpy.float64(_t__4_val)
      _1 = mosek_fusion_Matrix._sparse_II_3I_3ID(_0_nrow,_1_ncol,_2_subi,_3_subj,_4_val)
      try:
        _t__2_subi[:] = _2_subi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_subj[:] = _3_subj
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _sparse_II_3I_3ID(_0_nrow,_1_ncol,_2_subi,_3_subj,_4_val):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:194:6-199:7
      _5_sz=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:195:12-14
      if (_2_subi is not None): # bld/herlev/final/default/src/fusion/Matrix.mbi:196:16-28
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:196:30-45
        _5_sz = int((_2_subi).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:196:30-45
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:196:30-45
      elif (_3_subj is not None): # bld/herlev/final/default/src/fusion/Matrix.mbi:197:16-28
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:197:30-45
        _5_sz = int((_3_subj).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:197:30-45
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:197:30-45
      return (mosek.fusion.Matrix._sparse_II_3I_3I_3D(_0_nrow,_1_ncol,_2_subi,_3_subj,mosek.fusion.Utils.Tools._makevector_DI(_4_val,_5_sz))) # bld/herlev/final/default/src/fusion/Matrix.mbi:198:8-82
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:194:6-199:7
    @staticmethod
    def _match_sparse__3I_3ID(*args):
      if len(args) != 3: return False
      _0_subi,_1_subj,_2_val, = args
      return (    __arg_match__3I__(_0_subi)
              and __arg_match__3I__(_1_subj)
              and __arg_match_D__(_2_val))
    @staticmethod
    def _match_alt_sparse__3I_3ID(*args):
      if len(args) != 3: return False
      _0_subi,_1_subj,_2_val, = args
      return (    __arg_alt_match__3I__(_0_subi)
              and __arg_alt_match__3I__(_1_subj)
              and __arg_alt_match_D__(_2_val))
    @staticmethod
    def _sparse_alt__3I_3ID(_t__0_subi,_t__1_subj,_t__2_val):
      _0_subi=numpy.array(_t__0_subi,dtype=numpy.dtype(numpy.int32))
      _1_subj=numpy.array(_t__1_subj,dtype=numpy.dtype(numpy.int32))
      _2_val=numpy.float64(_t__2_val)
      _1 = mosek_fusion_Matrix._sparse__3I_3ID(_0_subi,_1_subj,_2_val)
      try:
        _t__0_subi[:] = _0_subi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_subj[:] = _1_subj
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _sparse__3I_3ID(_0_subi,_1_subj,_2_val):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:174:6-185:7
      _3_maxj=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:175:22-26
      _4_maxi=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:175:12-16
      _5_num=int((_0_subi).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:176:12-15
      if (_5_num > int((_1_subj).shape[0])): # bld/herlev/final/default/src/fusion/Matrix.mbi:177:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:177:29-45
        _5_num = int((_1_subj).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:177:29-45
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:177:29-45
      _4_maxi,_3_maxj = fragments._c_closure_617(_4_maxi,_3_maxj,_5_num,_0_subi,_1_subj) # bld/herlev/final/default/src/fusion/Matrix.mbi:179:8-183:9
      _4_maxi = numpy.int32(_4_maxi) # postprocess
      _3_maxj = numpy.int32(_3_maxj) # postprocess
      return (mosek.fusion.Matrix._sparse_II_3I_3ID((_4_maxi + 1),(_3_maxj + 1),_0_subi,_1_subj,_2_val)) # bld/herlev/final/default/src/fusion/Matrix.mbi:184:8-51
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:174:6-185:7
    @staticmethod
    def _match_sparse__3I_3I_3D(*args):
      if len(args) != 3: return False
      _0_subi,_1_subj,_2_val, = args
      return (    __arg_match__3I__(_0_subi)
              and __arg_match__3I__(_1_subj)
              and __arg_match__3D__(_2_val))
    @staticmethod
    def _match_alt_sparse__3I_3I_3D(*args):
      if len(args) != 3: return False
      _0_subi,_1_subj,_2_val, = args
      return (    __arg_alt_match__3I__(_0_subi)
              and __arg_alt_match__3I__(_1_subj)
              and __arg_alt_match__3D__(_2_val))
    @staticmethod
    def _sparse_alt__3I_3I_3D(_t__0_subi,_t__1_subj,_t__2_val):
      _0_subi=numpy.array(_t__0_subi,dtype=numpy.dtype(numpy.int32))
      _1_subj=numpy.array(_t__1_subj,dtype=numpy.dtype(numpy.int32))
      _2_val=numpy.array(_t__2_val,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Matrix._sparse__3I_3I_3D(_0_subi,_1_subj,_2_val)
      try:
        _t__0_subi[:] = _0_subi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_subj[:] = _1_subj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_val[:] = _2_val
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _sparse__3I_3I_3D(_0_subi,_1_subj,_2_val):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:155:6-167:7
      _3_maxj=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:156:22-26
      _4_maxi=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:156:12-16
      _5_num=int((_0_subi).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:157:12-15
      if (_5_num > int((_1_subj).shape[0])): # bld/herlev/final/default/src/fusion/Matrix.mbi:158:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:158:29-45
        _5_num = int((_1_subj).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:158:29-45
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:158:29-45
      if (_5_num > int((_2_val).shape[0])): # bld/herlev/final/default/src/fusion/Matrix.mbi:159:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:159:29-44
        _5_num = int((_2_val).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:159:29-44
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:159:29-44
      _4_maxi,_3_maxj = fragments._c_closure_618(_4_maxi,_3_maxj,_5_num,_0_subi,_1_subj) # bld/herlev/final/default/src/fusion/Matrix.mbi:161:8-165:9
      _4_maxi = numpy.int32(_4_maxi) # postprocess
      _3_maxj = numpy.int32(_3_maxj) # postprocess
      return (mosek.fusion.Matrix._sparse_II_3I_3I_3D((_4_maxi + 1),(_3_maxj + 1),_0_subi,_1_subj,_2_val)) # bld/herlev/final/default/src/fusion/Matrix.mbi:166:8-51
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:155:6-167:7
    @staticmethod
    def _match_sparse_II_3I_3I_3D(*args):
      if len(args) != 5: return False
      _0_nrow,_1_ncol,_2_subi,_3_subj,_4_val, = args
      return (    __arg_match_I__(_0_nrow)
              and __arg_match_I__(_1_ncol)
              and __arg_match__3I__(_2_subi)
              and __arg_match__3I__(_3_subj)
              and __arg_match__3D__(_4_val))
    @staticmethod
    def _match_alt_sparse_II_3I_3I_3D(*args):
      if len(args) != 5: return False
      _0_nrow,_1_ncol,_2_subi,_3_subj,_4_val, = args
      return (    __arg_alt_match_I__(_0_nrow)
              and __arg_alt_match_I__(_1_ncol)
              and __arg_alt_match__3I__(_2_subi)
              and __arg_alt_match__3I__(_3_subj)
              and __arg_alt_match__3D__(_4_val))
    @staticmethod
    def _sparse_alt_II_3I_3I_3D(_t__0_nrow,_t__1_ncol,_t__2_subi,_t__3_subj,_t__4_val):
      _0_nrow=numpy.int32(_t__0_nrow)
      _1_ncol=numpy.int32(_t__1_ncol)
      _2_subi=numpy.array(_t__2_subi,dtype=numpy.dtype(numpy.int32))
      _3_subj=numpy.array(_t__3_subj,dtype=numpy.dtype(numpy.int32))
      _4_val=numpy.array(_t__4_val,dtype=numpy.dtype(numpy.float64))
      _1 = mosek_fusion_Matrix._sparse_II_3I_3I_3D(_0_nrow,_1_ncol,_2_subi,_3_subj,_4_val)
      try:
        _t__2_subi[:] = _2_subi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__3_subj[:] = _3_subj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__4_val[:] = _4_val
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    @staticmethod
    def _sparse_II_3I_3I_3D(_0_nrow,_1_ncol,_2_subi,_3_subj,_4_val):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:134:6-148:7
      _5_vl=(_4_val if ((_4_val is not None) ) else numpy.zeros((0,), dtype=numpy.dtype(numpy.float64))) # bld/herlev/final/default/src/fusion/Matrix.mbi:137:12-14
      _6_sj=(_3_subj if ((_3_subj is not None) ) else numpy.zeros((0,), dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/Matrix.mbi:136:12-14
      _7_si=(_2_subi if ((_2_subi is not None) ) else numpy.zeros((0,), dtype=numpy.dtype(numpy.int32))) # bld/herlev/final/default/src/fusion/Matrix.mbi:135:12-14
      _8_nnz=int((_7_si).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:139:12-15
      if ((int((_6_sj).shape[0])!=_8_nnz) or (int((_5_vl).shape[0])!=_8_nnz)): # bld/herlev/final/default/src/fusion/Matrix.mbi:140:17-141:35
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:143:8-145:9
        raise mosek_fusion_SparseFormatError._ctor_S("Arrays defining sparse data have different lengths") # bld/herlev/final/default/src/fusion/Matrix.mbi:144:10-92
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:143:8-145:9
      return (mosek_fusion_SparseMatrix._ctor_II_3I_3I_3DJ(_0_nrow,_1_ncol,_7_si,_6_sj,_5_vl,_8_nnz)) # bld/herlev/final/default/src/fusion/Matrix.mbi:147:8-61
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:134:6-148:7
    @staticmethod
    def _match_get_II(*args):
      if len(args) != 2: return False
      _0_i,_1_j, = args
      return (    __arg_match_I__(_0_i)
              and __arg_match_I__(_1_j))
    @staticmethod
    def _match_alt_get_II(*args):
      if len(args) != 2: return False
      _0_i,_1_j, = args
      return (    __arg_alt_match_I__(_0_i)
              and __arg_alt_match_I__(_1_j))
    def _get_alt_II(self,_t__0_i,_t__1_j):
      return self._get_II(numpy.int32(__0_i),numpy.int32(__1_j))
    def _get_II(self,_0_i,_1_j):
      pass
    @staticmethod
    def _match_isSparse_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_isSparse_(*args):
      if len(args) != 0: return False
      return True
    def _isSparse_alt_(self,):
      return self._isSparse_()
    def _isSparse_(self,):
      pass
    @staticmethod
    def _match_getDataAsArray_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getDataAsArray_(*args):
      if len(args) != 0: return False
      return True
    def _getDataAsArray_alt_(self,):
      return self._getDataAsArray_()
    def _getDataAsArray_(self,):
      pass
    @staticmethod
    def _match_getDataAsTriplets__3I_3I_3D(*args):
      if len(args) != 3: return False
      _0_subi,_1_subj,_2_val, = args
      return (    __arg_match__3I__(_0_subi)
              and __arg_match__3I__(_1_subj)
              and __arg_match__3D__(_2_val))
    @staticmethod
    def _match_alt_getDataAsTriplets__3I_3I_3D(*args):
      if len(args) != 3: return False
      _0_subi,_1_subj,_2_val, = args
      return (    __arg_alt_match__3I__(_0_subi)
              and __arg_alt_match__3I__(_1_subj)
              and __arg_alt_match__3D__(_2_val))
    def _getDataAsTriplets_alt__3I_3I_3D(self,_t__0_subi,_t__1_subj,_t__2_val):
      _0_subi=numpy.array(_t__0_subi,dtype=numpy.dtype(numpy.int32))
      _1_subj=numpy.array(_t__1_subj,dtype=numpy.dtype(numpy.int32))
      _2_val=numpy.array(_t__2_val,dtype=numpy.dtype(numpy.float64))
      _1 = self._getDataAsTriplets__3I_3I_3D(_0_subi,_1_subj,_2_val)
      try:
        _t__0_subi[:] = _0_subi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_subj[:] = _1_subj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_val[:] = _2_val
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _getDataAsTriplets__3I_3I_3D(self,_0_subi,_1_subj,_2_val):
      pass
    @staticmethod
    def _match_transpose_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_transpose_(*args):
      if len(args) != 0: return False
      return True
    def _transpose_alt_(self,):
      return self._transpose_()
    def _transpose_(self,):
      pass
    @staticmethod
    def _match_numNonzeros_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_numNonzeros_(*args):
      if len(args) != 0: return False
      return True
    def _numNonzeros_alt_(self,):
      return self._numNonzeros_()
    def _numNonzeros_(self,):
      pass
    @staticmethod
    def _match_numColumns_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_numColumns_(*args):
      if len(args) != 0: return False
      return True
    def _numColumns_alt_(self,):
      return self._numColumns_()
    def _numColumns_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:79:40-54
      return numpy.int32(self._dimj) # bld/herlev/final/default/src/fusion/Matrix.mbi:79:41-53
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:79:40-54
    @staticmethod
    def _match_numRows_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_numRows_(*args):
      if len(args) != 0: return False
      return True
    def _numRows_alt_(self,):
      return self._numRows_()
    def _numRows_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:75:37-51
      return numpy.int32(self._dimi) # bld/herlev/final/default/src/fusion/Matrix.mbi:75:38-50
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:75:37-51
  return Matrix
mosek_fusion_Matrix=__mk_mosek_fusion_Matrix()
del __mk_mosek_fusion_Matrix

# origin: bld/herlev/final/default/src/fusion/Matrix.mbi:796:4-959:5
#BEFORE CLASS
def __mk_mosek_fusion_DenseMatrix():
  class DenseMatrix(mosek_fusion_Matrix):
    __slots__ = ['_nnz','_data']
    def get(self,*args):
      if False: pass
      elif mosek_fusion_DenseMatrix._match_get_II(*args): # int32,int32
        return self._get_II(*args)
      elif mosek_fusion_DenseMatrix._match_alt_get_II(*args): # int32,int32
        return self._get_alt_II(*args)
      else:
        raise ValueError('Invalid argument list get('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.DenseMatrix.get(int32,int32)')

    def transpose(self,*args):
      if False: pass
      elif mosek_fusion_DenseMatrix._match_transpose_(*args): # 
        return self._transpose_(*args)
      elif mosek_fusion_DenseMatrix._match_alt_transpose_(*args): # 
        return self._transpose_alt_(*args)
      else:
        raise ValueError('Invalid argument list transpose('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.DenseMatrix.transpose()')

    def getDataAsArray(self,*args):
      if False: pass
      elif mosek_fusion_DenseMatrix._match_getDataAsArray_(*args): # 
        return self._getDataAsArray_(*args)
      elif mosek_fusion_DenseMatrix._match_alt_getDataAsArray_(*args): # 
        return self._getDataAsArray_alt_(*args)
      else:
        raise ValueError('Invalid argument list getDataAsArray('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.DenseMatrix.getDataAsArray()')

    def numNonzeros(self,*args):
      if False: pass
      elif mosek_fusion_DenseMatrix._match_numNonzeros_(*args): # 
        return self._numNonzeros_(*args)
      elif mosek_fusion_DenseMatrix._match_alt_numNonzeros_(*args): # 
        return self._numNonzeros_alt_(*args)
      else:
        raise ValueError('Invalid argument list numNonzeros('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.DenseMatrix.numNonzeros()')

    def getDataAsTriplets(self,*args):
      if False: pass
      elif mosek_fusion_DenseMatrix._match_getDataAsTriplets__3I_3I_3D(*args): # []int32,[]int32,[]double
        return self._getDataAsTriplets__3I_3I_3D(*args)
      elif mosek_fusion_DenseMatrix._match_alt_getDataAsTriplets__3I_3I_3D(*args): # []int32,[]int32,[]double
        return self._getDataAsTriplets_alt__3I_3I_3D(*args)
      else:
        raise ValueError('Invalid argument list getDataAsTriplets('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.DenseMatrix.getDataAsTriplets(array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1))')

    def isSparse(self,*args):
      if False: pass
      elif mosek_fusion_DenseMatrix._match_isSparse_(*args): # 
        return self._isSparse_(*args)
      elif mosek_fusion_DenseMatrix._match_alt_isSparse_(*args): # 
        return self._isSparse_alt_(*args)
      else:
        raise ValueError('Invalid argument list isSparse('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.DenseMatrix.isSparse()')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_DenseMatrix._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_DenseMatrix._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.DenseMatrix.toString()')

    def __repr__(self): return 'mosek.fusion.DenseMatrix'
    @staticmethod
    def _ctor_II_3D(dimi_,dimj_,cof):
      o = DenseMatrix.__new__(DenseMatrix)
      o._ctor_init_II_3D(dimi_,dimj_,cof)
      return o

    @staticmethod
    def __match_ctor_II_3D(*args):
      if len(args) != 3: return False
      dimi_,dimj_,cof, = args
      return (    __arg_match_I__(dimi_)
              and __arg_match_I__(dimj_)
              and __arg_match__3D__(cof))
    @staticmethod
    def __match_alt_ctor_II_3D(*args):
      if len(args) != 3: return False
      dimi_,dimj_,cof, = args
      return (    __arg_alt_match_I__(dimi_)
              and __arg_alt_match_I__(dimj_)
              and __arg_alt_match__3D__(cof))
    # Origin: bld/herlev/final/default/src/fusion/Matrix.mbi:907:6-916:7
    def _ctor_alt_init_II_3D(self,dimi_,dimj_,cof):
      self._ctor_init_II_3D(numpy.int32(dimi_),numpy.int32(dimj_),numpy.array(cof,dtype=numpy.dtype(numpy.float64)))
    def _ctor_init_II_3D(self,dimi_,dimj_,cof):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:911:6-916:7
      mosek_fusion_Matrix._ctor_init_II(self,dimi_,dimj_)# ctor @ bld/herlev/final/default/src/fusion/Matrix.mbi:912:8-27
      self._nnz = numpy.int64((dimi_ * dimj_)) # bld/herlev/final/default/src/fusion/Matrix.mbi:913:8-36
      self._data = numpy.zeros(((dimi_ * dimj_),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:914:8-42
      mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(cof,0,self._data,0,(dimi_ * dimj_)) # bld/herlev/final/default/src/fusion/Matrix.mbi:915:8-58
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:911:6-916:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4Matrix_2(m_):
      o = DenseMatrix.__new__(DenseMatrix)
      o._ctor_init_Lmosek_4fusion_4Matrix_2(m_)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      m_, = args
      return (    __arg_match_Lmosek_4fusion_4Matrix_2__(m_))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4Matrix_2(*args):
      if len(args) != 1: return False
      m_, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Matrix_2__(m_))
    # Origin: bld/herlev/final/default/src/fusion/Matrix.mbi:873:6-895:7
    def _ctor_alt_init_Lmosek_4fusion_4Matrix_2(self,m_):
      self._ctor_init_Lmosek_4fusion_4Matrix_2(m_)
    def _ctor_init_Lmosek_4fusion_4Matrix_2(self,m_):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:874:6-895:7
      mosek_fusion_Matrix._ctor_init_II(self,(m_._dimi),(m_._dimj))# ctor @ bld/herlev/final/default/src/fusion/Matrix.mbi:875:8-31
      _1_typecase=m_ # bld/herlev/final/default/src/fusion/Matrix.mbi:877:18-20
      if   isinstance(_1_typecase,mosek_fusion_DenseMatrix):
        m=_1_typecase
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:879:8-881:9
        self._data = mosek.fusion.Utils.Tools._arraycopy__3D((m._data)) # bld/herlev/final/default/src/fusion/Matrix.mbi:880:10-47
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:879:8-881:9
      elif isinstance(_1_typecase,mosek_fusion_SparseMatrix):
        _1_m=_1_typecase
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:883:8-889:9
        self._data = mosek.fusion.Utils.Tools._zeros_I(((_1_m._dimi) * (_1_m._dimj))) # bld/herlev/final/default/src/fusion/Matrix.mbi:884:10-50
        for _2_i in range(0,(_1_m._nnz)): # bld/herlev/final/default/src/fusion/Matrix.mbi:885:10-888:11
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:886:10-888:11
          self._data[(((_1_m._subi)[_2_i] * self._dimj) + (_1_m._subj)[_2_i])] = (_1_m._val)[_2_i] # bld/herlev/final/default/src/fusion/Matrix.mbi:887:12-58
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:886:10-888:11
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:883:8-889:9
      else:
        m=_1_typecase
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:891:8-893:9
        raise mosek_fusion_MatrixError._ctor_S("Unknown matrix type.") # bld/herlev/final/default/src/fusion/Matrix.mbi:892:10-56
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:891:8-893:9
      self._nnz = numpy.int64((self._dimi * self._dimj)) # bld/herlev/final/default/src/fusion/Matrix.mbi:894:8-33
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:874:6-895:7
    @staticmethod
    def _ctor__3_5D(d):
      o = DenseMatrix.__new__(DenseMatrix)
      o._ctor_init__3_5D(d)
      return o

    @staticmethod
    def __match_ctor__3_5D(*args):
      if len(args) != 1: return False
      d, = args
      return (    __arg_match__3_5D__(d))
    @staticmethod
    def __match_alt_ctor__3_5D(*args):
      if len(args) != 1: return False
      d, = args
      return (    __arg_alt_match__3_5D__(d))
    # Origin: bld/herlev/final/default/src/fusion/Matrix.mbi:862:6-867:7
    def _ctor_alt_init__3_5D(self,d):
      self._ctor_init__3_5D(numpy.array(d,dtype=numpy.dtype(numpy.float64)))
    def _ctor_init__3_5D(self,d):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:863:6-867:7
      mosek_fusion_Matrix._ctor_init_II(self,int((d).shape[0]),int((d).shape[1]))# ctor @ bld/herlev/final/default/src/fusion/Matrix.mbi:864:8-33
      self._data = numpy.array([d[_0_i,_1_j] for _0_i in range(0,self._dimi) for _1_j in range(0,self._dimj)], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:865:8-67
      self._nnz = numpy.int64((self._dimi * self._dimj)) # bld/herlev/final/default/src/fusion/Matrix.mbi:866:8-33
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:863:6-867:7
    @staticmethod
    def _ctor_IID(dimi_,dimj_,value_):
      o = DenseMatrix.__new__(DenseMatrix)
      o._ctor_init_IID(dimi_,dimj_,value_)
      return o

    @staticmethod
    def __match_ctor_IID(*args):
      if len(args) != 3: return False
      dimi_,dimj_,value_, = args
      return (    __arg_match_I__(dimi_)
              and __arg_match_I__(dimj_)
              and __arg_match_D__(value_))
    @staticmethod
    def __match_alt_ctor_IID(*args):
      if len(args) != 3: return False
      dimi_,dimj_,value_, = args
      return (    __arg_alt_match_I__(dimi_)
              and __arg_alt_match_I__(dimj_)
              and __arg_alt_match_D__(value_))
    # Origin: bld/herlev/final/default/src/fusion/Matrix.mbi:851:6-856:7
    def _ctor_alt_init_IID(self,dimi_,dimj_,value_):
      self._ctor_init_IID(numpy.int32(dimi_),numpy.int32(dimj_),numpy.float64(value_))
    def _ctor_init_IID(self,dimi_,dimj_,value_):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:852:6-856:7
      mosek_fusion_Matrix._ctor_init_II(self,dimi_,dimj_)# ctor @ bld/herlev/final/default/src/fusion/Matrix.mbi:853:8-27
      self._data = numpy.array([value_ for _0_i in range(0,dimi_) for _1_j in range(0,dimj_)], dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:854:8-62
      self._nnz = numpy.int64((dimi_ * dimj_)) # bld/herlev/final/default/src/fusion/Matrix.mbi:855:8-33
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:852:6-856:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:941:6-958:7
      _0_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Matrix.mbi:942:12-14
      _0_sb._a_S("DenseMatrix(") # bld/herlev/final/default/src/fusion/Matrix.mbi:943:8-29
      _0_sb._a_I(self._dimi) # bld/herlev/final/default/src/fusion/Matrix.mbi:943:29-40
      _0_sb._a_S(",") # bld/herlev/final/default/src/fusion/Matrix.mbi:943:40-50
      _0_sb._a_I(self._dimj) # bld/herlev/final/default/src/fusion/Matrix.mbi:943:50-61
      _0_sb._a_S(": ") # bld/herlev/final/default/src/fusion/Matrix.mbi:943:61-72
      _1_k=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:944:12-13
      _2_i=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:945:18-19
      while (_2_i < self._dimi): # bld/herlev/final/default/src/fusion/Matrix.mbi:945:8-955:9
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:946:8-955:9
        if (_2_i > 0): # bld/herlev/final/default/src/fusion/Matrix.mbi:947:19-24
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:947:27-41
          _0_sb._a_S(",") # bld/herlev/final/default/src/fusion/Matrix.mbi:947:29-39
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:947:27-41
        _0_sb._a_S("[ ") # bld/herlev/final/default/src/fusion/Matrix.mbi:948:10-21
        _0_sb._a_D(self._data[_1_k]) # bld/herlev/final/default/src/fusion/Matrix.mbi:948:22-36
        _1_k += 1 # bld/herlev/final/default/src/fusion/Matrix.mbi:948:37-41
        _3_j=1 # bld/herlev/final/default/src/fusion/Matrix.mbi:949:20-21
        while (_3_j < self._dimj): # bld/herlev/final/default/src/fusion/Matrix.mbi:949:10-953:11
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:950:10-953:11
          _0_sb._a_S(",") # bld/herlev/final/default/src/fusion/Matrix.mbi:951:12-22
          _0_sb._a_D(self._data[_1_k]) # bld/herlev/final/default/src/fusion/Matrix.mbi:951:22-36
          _1_k += 1 # bld/herlev/final/default/src/fusion/Matrix.mbi:952:12-16
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:950:10-953:11
          _3_j += 1
        _0_sb._a_S(" ]") # bld/herlev/final/default/src/fusion/Matrix.mbi:954:10-21
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:946:8-955:9
        _2_i += 1
      _0_sb._a_S(")") # bld/herlev/final/default/src/fusion/Matrix.mbi:956:8-18
      return (_0_sb._toString_()) # bld/herlev/final/default/src/fusion/Matrix.mbi:957:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:941:6-958:7
    @staticmethod
    def _match_transpose_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_transpose_(*args):
      if len(args) != 0: return False
      return True
    def _transpose_alt_(self,):
      return self._transpose_()
    def _transpose_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:920:6-938:7
      _0_newdata=numpy.zeros(((self._dimi * self._dimj),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:921:12-19
      _1_srci=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:923:12-16
      _2_step=self._dimi # bld/herlev/final/default/src/fusion/Matrix.mbi:925:12-16
      _1_srci = fragments._c_closure_619(self._data,self._dimi,self._dimj,_0_newdata,_1_srci,_2_step) # bld/herlev/final/default/src/fusion/Matrix.mbi:926:8-936:9
      _1_srci = numpy.int32(_1_srci) # postprocess
      return (mosek_fusion_DenseMatrix._ctor_II_3D(self._dimj,self._dimi,_0_newdata)) # bld/herlev/final/default/src/fusion/Matrix.mbi:937:8-50
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:920:6-938:7
    @staticmethod
    def _match_isSparse_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_isSparse_(*args):
      if len(args) != 0: return False
      return True
    def _isSparse_alt_(self,):
      return self._isSparse_()
    def _isSparse_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:842:37-54
      return (False) # bld/herlev/final/default/src/fusion/Matrix.mbi:842:39-52
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:842:37-54
    @staticmethod
    def _match_getDataAsArray_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getDataAsArray_(*args):
      if len(args) != 0: return False
      return True
    def _getDataAsArray_alt_(self,):
      return self._getDataAsArray_()
    def _getDataAsArray_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:838:6-840:7
      return (mosek.fusion.Utils.Tools._arraycopy__3D(self._data)) # bld/herlev/final/default/src/fusion/Matrix.mbi:839:8-43
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:838:6-840:7
    @staticmethod
    def _match_getDataAsTriplets__3I_3I_3D(*args):
      if len(args) != 3: return False
      _0_subi,_1_subj,_2_cof, = args
      return (    __arg_match__3I__(_0_subi)
              and __arg_match__3I__(_1_subj)
              and __arg_match__3D__(_2_cof))
    @staticmethod
    def _match_alt_getDataAsTriplets__3I_3I_3D(*args):
      if len(args) != 3: return False
      _0_subi,_1_subj,_2_cof, = args
      return (    __arg_alt_match__3I__(_0_subi)
              and __arg_alt_match__3I__(_1_subj)
              and __arg_alt_match__3D__(_2_cof))
    def _getDataAsTriplets_alt__3I_3I_3D(self,_t__0_subi,_t__1_subj,_t__2_cof):
      _0_subi=numpy.array(_t__0_subi,dtype=numpy.dtype(numpy.int32))
      _1_subj=numpy.array(_t__1_subj,dtype=numpy.dtype(numpy.int32))
      _2_cof=numpy.array(_t__2_cof,dtype=numpy.dtype(numpy.float64))
      _1 = self._getDataAsTriplets__3I_3I_3D(_0_subi,_1_subj,_2_cof)
      try:
        _t__0_subi[:] = _0_subi
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_subj[:] = _1_subj
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_cof[:] = _2_cof
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _getDataAsTriplets__3I_3I_3D(self,_0_subi,_1_subj,_2_cof):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:816:6-835:7
      if ((int((_0_subi).shape[0]) < self._nnz) or ((int((_1_subj).shape[0]) < self._nnz) or (int((_2_cof).shape[0]) < self._nnz))): # bld/herlev/final/default/src/fusion/Matrix.mbi:817:12-819:27
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:820:8-822:9
        raise mosek_fusion_LengthError._ctor_S("Output arrays are not long enough.") # bld/herlev/final/default/src/fusion/Matrix.mbi:821:10-70
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:820:8-822:9
      mosek.fusion.Utils.Tools._arraycopy__3DI_3DII(self._data,0,_2_cof,0,int((self._data).shape[0])) # bld/herlev/final/default/src/fusion/Matrix.mbi:824:8-54
      _3_k=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:825:12-13
      _3_k = fragments._c_closure_620(self._dimi,self._dimj,_3_k,_0_subi,_1_subj) # bld/herlev/final/default/src/fusion/Matrix.mbi:826:8-834:9
      _3_k = numpy.int32(_3_k) # postprocess
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:816:6-835:7
    @staticmethod
    def _match_get_II(*args):
      if len(args) != 2: return False
      _0_i,_1_j, = args
      return (    __arg_match_I__(_0_i)
              and __arg_match_I__(_1_j))
    @staticmethod
    def _match_alt_get_II(*args):
      if len(args) != 2: return False
      _0_i,_1_j, = args
      return (    __arg_alt_match_I__(_0_i)
              and __arg_alt_match_I__(_1_j))
    def _get_alt_II(self,_t__0_i,_t__1_j):
      return self._get_II(numpy.int32(__0_i),numpy.int32(__1_j))
    def _get_II(self,_0_i,_1_j):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:810:50-82
      return numpy.float64(self._data[((_0_i * self._dimj) + _1_j)]) # bld/herlev/final/default/src/fusion/Matrix.mbi:810:52-80
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:810:50-82
    @staticmethod
    def _match_numNonzeros_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_numNonzeros_(*args):
      if len(args) != 0: return False
      return True
    def _numNonzeros_alt_(self,):
      return self._numNonzeros_()
    def _numNonzeros_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:806:6-808:7
      return numpy.int64(numpy.int64((self._dimi * self._dimj))) # bld/herlev/final/default/src/fusion/Matrix.mbi:807:8-34
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:806:6-808:7
  return DenseMatrix
mosek_fusion_DenseMatrix=__mk_mosek_fusion_DenseMatrix()
del __mk_mosek_fusion_DenseMatrix

# origin: bld/herlev/final/default/src/fusion/Matrix.mbi:575:4-790:5
#BEFORE CLASS
def __mk_mosek_fusion_SparseMatrix():
  class SparseMatrix(mosek_fusion_Matrix):
    __slots__ = ['_nnz','_val','_subj','_subi']
    def transpose(self,*args):
      if False: pass
      elif mosek_fusion_SparseMatrix._match_transpose_(*args): # 
        return self._transpose_(*args)
      elif mosek_fusion_SparseMatrix._match_alt_transpose_(*args): # 
        return self._transpose_alt_(*args)
      else:
        raise ValueError('Invalid argument list transpose('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SparseMatrix.transpose()')

    def get(self,*args):
      if False: pass
      elif mosek_fusion_SparseMatrix._match_get_II(*args): # int32,int32
        return self._get_II(*args)
      elif mosek_fusion_SparseMatrix._match_alt_get_II(*args): # int32,int32
        return self._get_alt_II(*args)
      else:
        raise ValueError('Invalid argument list get('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SparseMatrix.get(int32,int32)')

    def getDataAsArray(self,*args):
      if False: pass
      elif mosek_fusion_SparseMatrix._match_getDataAsArray_(*args): # 
        return self._getDataAsArray_(*args)
      elif mosek_fusion_SparseMatrix._match_alt_getDataAsArray_(*args): # 
        return self._getDataAsArray_alt_(*args)
      else:
        raise ValueError('Invalid argument list getDataAsArray('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SparseMatrix.getDataAsArray()')

    def isSparse(self,*args):
      if False: pass
      elif mosek_fusion_SparseMatrix._match_isSparse_(*args): # 
        return self._isSparse_(*args)
      elif mosek_fusion_SparseMatrix._match_alt_isSparse_(*args): # 
        return self._isSparse_alt_(*args)
      else:
        raise ValueError('Invalid argument list isSparse('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SparseMatrix.isSparse()')

    def numNonzeros(self,*args):
      if False: pass
      elif mosek_fusion_SparseMatrix._match_numNonzeros_(*args): # 
        return self._numNonzeros_(*args)
      elif mosek_fusion_SparseMatrix._match_alt_numNonzeros_(*args): # 
        return self._numNonzeros_alt_(*args)
      else:
        raise ValueError('Invalid argument list numNonzeros('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SparseMatrix.numNonzeros()')

    def getDataAsTriplets(self,*args):
      if False: pass
      elif mosek_fusion_SparseMatrix._match_getDataAsTriplets__3I_3I_3D(*args): # []int32,[]int32,[]double
        return self._getDataAsTriplets__3I_3I_3D(*args)
      elif mosek_fusion_SparseMatrix._match_alt_getDataAsTriplets__3I_3I_3D(*args): # []int32,[]int32,[]double
        return self._getDataAsTriplets_alt__3I_3I_3D(*args)
      else:
        raise ValueError('Invalid argument list getDataAsTriplets('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SparseMatrix.getDataAsTriplets(array(int32,ndim=1),array(int32,ndim=1),array(double,ndim=1))')

    def toString(self,*args):
      if False: pass
      elif mosek_fusion_SparseMatrix._match_toString_(*args): # 
        return self._toString_(*args)
      elif mosek_fusion_SparseMatrix._match_alt_toString_(*args): # 
        return self._toString_alt_(*args)
      else:
        raise ValueError('Invalid argument list toString('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.SparseMatrix.toString()')

    def __repr__(self): return 'mosek.fusion.SparseMatrix'
    @staticmethod
    def _ctor_II_3I_3I_3DJ(dimi_,dimj_,subi_,subj_,val_,nelm):
      o = SparseMatrix.__new__(SparseMatrix)
      o._ctor_init_II_3I_3I_3DJ(dimi_,dimj_,subi_,subj_,val_,nelm)
      return o

    @staticmethod
    def __match_ctor_II_3I_3I_3DJ(*args):
      if len(args) != 6: return False
      dimi_,dimj_,subi_,subj_,val_,nelm, = args
      return (    __arg_match_I__(dimi_)
              and __arg_match_I__(dimj_)
              and __arg_match__3I__(subi_)
              and __arg_match__3I__(subj_)
              and __arg_match__3D__(val_)
              and __arg_match_J__(nelm))
    @staticmethod
    def __match_alt_ctor_II_3I_3I_3DJ(*args):
      if len(args) != 6: return False
      dimi_,dimj_,subi_,subj_,val_,nelm, = args
      return (    __arg_alt_match_I__(dimi_)
              and __arg_alt_match_I__(dimj_)
              and __arg_alt_match__3I__(subi_)
              and __arg_alt_match__3I__(subj_)
              and __arg_alt_match__3D__(val_)
              and __arg_alt_match_J__(nelm))
    # Origin: bld/herlev/final/default/src/fusion/Matrix.mbi:668:6-713:7
    def _ctor_alt_init_II_3I_3I_3DJ(self,dimi_,dimj_,subi_,subj_,val_,nelm):
      self._ctor_init_II_3I_3I_3DJ(numpy.int32(dimi_),numpy.int32(dimj_),numpy.array(subi_,dtype=numpy.dtype(numpy.int32)),numpy.array(subj_,dtype=numpy.dtype(numpy.int32)),numpy.array(val_,dtype=numpy.dtype(numpy.float64)),numpy.int64(nelm))
    def _ctor_init_II_3I_3I_3DJ(self,dimi_,dimj_,subi_,subj_,val_,nelm):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:675:6-713:7
      mosek_fusion_Matrix._ctor_init_II(self,dimi_,dimj_)# ctor @ bld/herlev/final/default/src/fusion/Matrix.mbi:676:8-27
      if (nelm > 0): # bld/herlev/final/default/src/fusion/Matrix.mbi:680:17-25
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:681:8-705:9
        if ((int((subi_).shape[0]) < nelm) or ((int((subj_).shape[0]) < nelm) or (int((val_).shape[0]) < nelm))): # bld/herlev/final/default/src/fusion/Matrix.mbi:682:19-684:36
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:685:12-78
          raise mosek_fusion_SparseFormatError._ctor_S("Mismatching arrays in sparse data.") # bld/herlev/final/default/src/fusion/Matrix.mbi:685:12-78
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:685:12-78
        _0_outofbounds=False # bld/herlev/final/default/src/fusion/Matrix.mbi:687:14-25
        _0_outofbounds = fragments._c_closure_621(self._dimi,self._dimj,nelm,_0_outofbounds,subi_,subj_) # bld/herlev/final/default/src/fusion/Matrix.mbi:689:10-692:33
        if _0_outofbounds: # bld/herlev/final/default/src/fusion/Matrix.mbi:694:14-25
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:695:12-68
          raise mosek_fusion_SparseFormatError._ctor_S("Subscript out of bounds.") # bld/herlev/final/default/src/fusion/Matrix.mbi:695:12-68
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:695:12-68
        _1_ressubi=numpy.ndarray((1,), dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Matrix.mbi:697:14-21
        _2_ressubj=numpy.ndarray((1,), dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Matrix.mbi:698:14-21
        _3_resval=numpy.ndarray((1,), dtype=numpy.dtype(object)) # bld/herlev/final/default/src/fusion/Matrix.mbi:699:14-20
        mosek.fusion.CommonTools._tripletSort__3I_3I_3D_3_3I_3_3I_3_3DJII(subi_,subj_,val_,_1_ressubi,_2_ressubj,_3_resval,nelm,self._dimi,self._dimj) # bld/herlev/final/default/src/fusion/Matrix.mbi:700:10-90
        self._subi = _1_ressubi[0] # bld/herlev/final/default/src/fusion/Matrix.mbi:701:10-28
        self._subj = _2_ressubj[0] # bld/herlev/final/default/src/fusion/Matrix.mbi:702:10-28
        self._val = _3_resval[0] # bld/herlev/final/default/src/fusion/Matrix.mbi:703:10-27
        self._nnz = int((self._val).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:704:10-29
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:681:8-705:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:707:8-712:9
        self._subi = numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:708:10-29
        self._subj = numpy.zeros((0,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:709:10-29
        self._val = numpy.zeros((0,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:710:10-30
        self._nnz = 0 # bld/herlev/final/default/src/fusion/Matrix.mbi:711:10-19
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:707:8-712:9
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:675:6-713:7
    @staticmethod
    def _ctor_II_3I_3I_3D(dimi_,dimj_,subi_,subj_,val_):
      o = SparseMatrix.__new__(SparseMatrix)
      o._ctor_init_II_3I_3I_3D(dimi_,dimj_,subi_,subj_,val_)
      return o

    @staticmethod
    def __match_ctor_II_3I_3I_3D(*args):
      if len(args) != 5: return False
      dimi_,dimj_,subi_,subj_,val_, = args
      return (    __arg_match_I__(dimi_)
              and __arg_match_I__(dimj_)
              and __arg_match__3I__(subi_)
              and __arg_match__3I__(subj_)
              and __arg_match__3D__(val_))
    @staticmethod
    def __match_alt_ctor_II_3I_3I_3D(*args):
      if len(args) != 5: return False
      dimi_,dimj_,subi_,subj_,val_, = args
      return (    __arg_alt_match_I__(dimi_)
              and __arg_alt_match_I__(dimj_)
              and __arg_alt_match__3I__(subi_)
              and __arg_alt_match__3I__(subj_)
              and __arg_alt_match__3D__(val_))
    # Origin: bld/herlev/final/default/src/fusion/Matrix.mbi:617:6-653:7
    def _ctor_alt_init_II_3I_3I_3D(self,dimi_,dimj_,subi_,subj_,val_):
      self._ctor_init_II_3I_3I_3D(numpy.int32(dimi_),numpy.int32(dimj_),numpy.array(subi_,dtype=numpy.dtype(numpy.int32)),numpy.array(subj_,dtype=numpy.dtype(numpy.int32)),numpy.array(val_,dtype=numpy.dtype(numpy.float64)))
    def _ctor_init_II_3I_3I_3D(self,dimi_,dimj_,subi_,subj_,val_):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:623:6-653:7
      mosek_fusion_Matrix._ctor_init_II(self,dimi_,dimj_)# ctor @ bld/herlev/final/default/src/fusion/Matrix.mbi:624:8-27
      _0_n=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:625:12-13
      _0_n = fragments._c_closure_622(_0_n,val_) # bld/herlev/final/default/src/fusion/Matrix.mbi:625:19-88
      _0_n = numpy.int32(_0_n) # postprocess
      if ((_0_n > 0) and (_0_n < int((subi_).shape[0]))): # bld/herlev/final/default/src/fusion/Matrix.mbi:627:12-36
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:628:8-642:9
        self._subi = numpy.zeros((_0_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:629:10-24
        self._subj = numpy.zeros((_0_n,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/Matrix.mbi:630:10-24
        self._val = numpy.zeros((_0_n,), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:631:10-24
        self._nnz = _0_n # bld/herlev/final/default/src/fusion/Matrix.mbi:632:10-18
        _1_j=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:633:14-15
        _1_j = fragments._c_closure_623(_1_j,self._subi,subi_,self._subj,subj_,self._val,val_) # bld/herlev/final/default/src/fusion/Matrix.mbi:634:10-641:13
        _1_j = numpy.int32(_1_j) # postprocess
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:628:8-642:9
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:644:8-652:9
        self._subi = subi_ # bld/herlev/final/default/src/fusion/Matrix.mbi:645:10-23
        self._subj = subj_ # bld/herlev/final/default/src/fusion/Matrix.mbi:646:10-23
        self._val = val_ # bld/herlev/final/default/src/fusion/Matrix.mbi:647:10-22
        if (subi_ is None): # bld/herlev/final/default/src/fusion/Matrix.mbi:648:19-32
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:649:12-21
          self._nnz = 0 # bld/herlev/final/default/src/fusion/Matrix.mbi:649:12-21
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:649:12-21
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:651:12-32
          self._nnz = int((self._subi).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:651:12-32
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:651:12-32
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:644:8-652:9
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:623:6-653:7
    def _formPtrb_alt_(self,):
      return self._formPtrb_()
    def _formPtrb_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:776:6-789:7
      _0_ptrb=numpy.zeros(((self._dimi + 1),), dtype=numpy.dtype(numpy.int64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:777:12-16
      _1_pos=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:778:12-15
      _1_pos = fragments._c_closure_624(self._dimi,self._nnz,_1_pos,_0_ptrb,self._subi) # bld/herlev/final/default/src/fusion/Matrix.mbi:779:8-785:9
      _1_pos = numpy.int64(_1_pos) # postprocess
      _0_ptrb[self._dimi] = _1_pos # bld/herlev/final/default/src/fusion/Matrix.mbi:786:8-25
      return (_0_ptrb) # bld/herlev/final/default/src/fusion/Matrix.mbi:788:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:776:6-789:7
    @staticmethod
    def _match_toString_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_toString_(*args):
      if len(args) != 0: return False
      return True
    def _toString_alt_(self,):
      return self._toString_()
    def _toString_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:761:6-772:7
      _0_sb=mosek.fusion.Utils.StringBuffer() # bld/herlev/final/default/src/fusion/Matrix.mbi:762:12-14
      _0_sb._a_S("SparseMatrix(")._a_I(self._dimi)._a_S(",")._a_I(self._dimj)._a_S(", [") # bld/herlev/final/default/src/fusion/Matrix.mbi:763:8-62
      if ((self._subi is not None) and (int((self._subi).shape[0]) > 0)): # bld/herlev/final/default/src/fusion/Matrix.mbi:764:12-42
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:765:8-769:9
        _0_sb._a_S("(")._a_I(self._subi[0])._a_S(",")._a_I(self._subj[0])._a_S(",")._a_D(self._val[0])._a_S(")") # bld/herlev/final/default/src/fusion/Matrix.mbi:766:10-73
        for _1_i in range(1,int((self._subi).shape[0])): # bld/herlev/final/default/src/fusion/Matrix.mbi:767:10-768:76
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:768:12-76
          _0_sb._a_S(",(")._a_I(self._subi[_1_i])._a_S(",")._a_I(self._subj[_1_i])._a_S(",")._a_D(self._val[_1_i])._a_S(")") # bld/herlev/final/default/src/fusion/Matrix.mbi:768:12-76
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:768:12-76
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:765:8-769:9
      _0_sb._a_S(" ])") # bld/herlev/final/default/src/fusion/Matrix.mbi:770:8-20
      return (_0_sb._toString_()) # bld/herlev/final/default/src/fusion/Matrix.mbi:771:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:761:6-772:7
    @staticmethod
    def _match_numNonzeros_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_numNonzeros_(*args):
      if len(args) != 0: return False
      return True
    def _numNonzeros_alt_(self,):
      return self._numNonzeros_()
    def _numNonzeros_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:756:6-758:7
      return numpy.int64(self._nnz) # bld/herlev/final/default/src/fusion/Matrix.mbi:757:8-19
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:756:6-758:7
    @staticmethod
    def _match_transpose_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_transpose_(*args):
      if len(args) != 0: return False
      return True
    def _transpose_alt_(self,):
      return self._transpose_()
    def _transpose_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:749:6-752:7
      return (mosek.fusion.Matrix._sparse_II_3I_3I_3D(self._dimj,self._dimi,self._subj,self._subi,self._val)) # bld/herlev/final/default/src/fusion/Matrix.mbi:751:8-58
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:749:6-752:7
    @staticmethod
    def _match_isSparse_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_isSparse_(*args):
      if len(args) != 0: return False
      return True
    def _isSparse_alt_(self,):
      return self._isSparse_()
    def _isSparse_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:745:37-53
      return (True) # bld/herlev/final/default/src/fusion/Matrix.mbi:745:39-51
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:745:37-53
    @staticmethod
    def _match_getDataAsArray_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_getDataAsArray_(*args):
      if len(args) != 0: return False
      return True
    def _getDataAsArray_alt_(self,):
      return self._getDataAsArray_()
    def _getDataAsArray_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:738:6-743:7
      _0_r=numpy.zeros(((self._dimi * self._dimj),), dtype=numpy.dtype(numpy.float64)) # bld/herlev/final/default/src/fusion/Matrix.mbi:739:12-13
      fragments._c_closure_625(self._dimj,_0_r,self._subi,self._subj,self._val) # bld/herlev/final/default/src/fusion/Matrix.mbi:740:8-741:45
      return (_0_r) # bld/herlev/final/default/src/fusion/Matrix.mbi:742:8-17
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:738:6-743:7
    @staticmethod
    def _match_getDataAsTriplets__3I_3I_3D(*args):
      if len(args) != 3: return False
      _0_subi_,_1_subj_,_2_cof_, = args
      return (    __arg_match__3I__(_0_subi_)
              and __arg_match__3I__(_1_subj_)
              and __arg_match__3D__(_2_cof_))
    @staticmethod
    def _match_alt_getDataAsTriplets__3I_3I_3D(*args):
      if len(args) != 3: return False
      _0_subi_,_1_subj_,_2_cof_, = args
      return (    __arg_alt_match__3I__(_0_subi_)
              and __arg_alt_match__3I__(_1_subj_)
              and __arg_alt_match__3D__(_2_cof_))
    def _getDataAsTriplets_alt__3I_3I_3D(self,_t__0_subi_,_t__1_subj_,_t__2_cof_):
      _0_subi_=numpy.array(_t__0_subi_,dtype=numpy.dtype(numpy.int32))
      _1_subj_=numpy.array(_t__1_subj_,dtype=numpy.dtype(numpy.int32))
      _2_cof_=numpy.array(_t__2_cof_,dtype=numpy.dtype(numpy.float64))
      _1 = self._getDataAsTriplets__3I_3I_3D(_0_subi_,_1_subj_,_2_cof_)
      try:
        _t__0_subi_[:] = _0_subi_
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__1_subj_[:] = _1_subj_
      except TypeError:
        pass # if we cannot copy back - ignore it
      try:
        _t__2_cof_[:] = _2_cof_
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _getDataAsTriplets__3I_3I_3D(self,_0_subi_,_1_subj_,_2_cof_):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:721:6-735:7
      if ((int((_0_subi_).shape[0]) < self._nnz) or ((int((_1_subj_).shape[0]) < self._nnz) or (int((_2_cof_).shape[0]) < self._nnz))): # bld/herlev/final/default/src/fusion/Matrix.mbi:722:12-724:32
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:725:8-727:9
        raise mosek_fusion_LengthError._ctor_S("Output arrays are not long enough.") # bld/herlev/final/default/src/fusion/Matrix.mbi:726:10-70
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:725:8-727:9
      if ((self._subi is not None) and (int((self._subi).shape[0]) > 0)): # bld/herlev/final/default/src/fusion/Matrix.mbi:729:12-42
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:730:8-734:9
        mosek.fusion.Utils.Tools._arraycopy__3IJ_3IJJ(self._subi,0,_0_subi_,0,self._nnz) # bld/herlev/final/default/src/fusion/Matrix.mbi:731:10-58
        mosek.fusion.Utils.Tools._arraycopy__3IJ_3IJJ(self._subj,0,_1_subj_,0,self._nnz) # bld/herlev/final/default/src/fusion/Matrix.mbi:732:10-58
        mosek.fusion.Utils.Tools._arraycopy__3DJ_3DJJ(self._val,0,_2_cof_,0,self._nnz) # bld/herlev/final/default/src/fusion/Matrix.mbi:733:10-58
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:730:8-734:9
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:721:6-735:7
    @staticmethod
    def _match_get_II(*args):
      if len(args) != 2: return False
      _0_i,_1_j, = args
      return (    __arg_match_I__(_0_i)
              and __arg_match_I__(_1_j))
    @staticmethod
    def _match_alt_get_II(*args):
      if len(args) != 2: return False
      _0_i,_1_j, = args
      return (    __arg_alt_match_I__(_0_i)
              and __arg_alt_match_I__(_1_j))
    def _get_alt_II(self,_t__0_i,_t__1_j):
      return self._get_II(numpy.int32(__0_i),numpy.int32(__1_j))
    def _get_II(self,_0_i,_1_j):
      # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:589:6-606:7
      if ((_0_i < 0) or ((_0_i >= self._dimi) or ((_1_j < 0) or (_1_j >= self._dimj)))): # bld/herlev/final/default/src/fusion/Matrix.mbi:590:13-591:31
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:592:10-54
        raise mosek_fusion_IndexError._ctor_S("Index out if bounds") # bld/herlev/final/default/src/fusion/Matrix.mbi:592:10-54
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:592:10-54
      _2_e=int((self._subi).shape[0]) # bld/herlev/final/default/src/fusion/Matrix.mbi:595:19-20
      _3_b=0 # bld/herlev/final/default/src/fusion/Matrix.mbi:595:12-13
      while ((_2_e - _3_b) > 1): # bld/herlev/final/default/src/fusion/Matrix.mbi:596:8-603:9
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:597:8-603:9
        _4_p=((_3_b + _2_e) // 2) # bld/herlev/final/default/src/fusion/Matrix.mbi:598:14-15
        if ((self._subi[_4_p] < _0_i) or ((self._subi[_4_p]==_0_i) and (self._subj[_4_p] < _1_j))): # bld/herlev/final/default/src/fusion/Matrix.mbi:599:18-63
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:599:65-71
          _3_b = _4_p # bld/herlev/final/default/src/fusion/Matrix.mbi:599:65-71
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:599:65-71
        elif ((self._subi[_4_p] > _0_i) or ((self._subi[_4_p]==_0_i) and (self._subj[_4_p] > _1_j))): # bld/herlev/final/default/src/fusion/Matrix.mbi:600:18-63
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:600:65-71
          _2_e = _4_p # bld/herlev/final/default/src/fusion/Matrix.mbi:600:65-71
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:600:65-71
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:602:12-26
          return numpy.float64(self._val[_4_p]) # bld/herlev/final/default/src/fusion/Matrix.mbi:602:12-26
          # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:602:12-26
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:597:8-603:9
      if ((self._subi[_3_b]==_0_i) and (self._subj[_3_b]==_1_j)): # bld/herlev/final/default/src/fusion/Matrix.mbi:604:12-41
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:604:43-57
        return numpy.float64(self._val[_3_b]) # bld/herlev/final/default/src/fusion/Matrix.mbi:604:43-57
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:604:43-57
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:605:13-24
        return numpy.float64(0.0) # bld/herlev/final/default/src/fusion/Matrix.mbi:605:13-24
        # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:605:13-24
      # End   scope @ bld/herlev/final/default/src/fusion/Matrix.mbi:589:6-606:7
  return SparseMatrix
mosek_fusion_SparseMatrix=__mk_mosek_fusion_SparseMatrix()
del __mk_mosek_fusion_SparseMatrix

# origin: bld/herlev/final/default/src/fusion/LinkedList.monty:204:4-271:5
#BEFORE CLASS
def __mk_mosek_fusion_LinkedBlocks():
  class LinkedBlocks(object):
    __slots__ = ['_LinkedBlocks__bfirst','_LinkedBlocks__bsize','_LinkedBlocks__blocks','_LinkedBlocks__ints']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_(*args): # 
        self._ctor_init_(*args)
      elif self.__match_alt_ctor_(*args):# 
        self._ctor_alt_init_(*args)
      elif self.__match_ctor_I(*args): # int32
        self._ctor_init_I(*args)
      elif self.__match_alt_ctor_I(*args):# int32
        self._ctor_alt_init_I(*args)
      elif self.__match_ctor_Lmosek_4fusion_4LinkedBlocks_2(*args): # mosek.fusion.LinkedBlocks
        self._ctor_init_Lmosek_4fusion_4LinkedBlocks_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4LinkedBlocks_2(*args):# mosek.fusion.LinkedBlocks
        self._ctor_alt_init_Lmosek_4fusion_4LinkedBlocks_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.LinkedBlocks.ctor()\n\tmosek.fusion.LinkedBlocks.ctor(int32)\n\tmosek.fusion.LinkedBlocks.ctor(mosek.fusion.LinkedBlocks)')

    def validate(self,*args):
      if False: pass
      elif mosek_fusion_LinkedBlocks._match_validate_(*args): # 
        return self._validate_(*args)
      elif mosek_fusion_LinkedBlocks._match_alt_validate_(*args): # 
        return self._validate_alt_(*args)
      else:
        raise ValueError('Invalid argument list validate('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedBlocks.validate()')

    def block_capacity(self,*args):
      if False: pass
      elif mosek_fusion_LinkedBlocks._match_block_1capacity_(*args): # 
        return self._block_1capacity_(*args)
      elif mosek_fusion_LinkedBlocks._match_alt_block_1capacity_(*args): # 
        return self._block_1capacity_alt_(*args)
      else:
        raise ValueError('Invalid argument list block_capacity('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedBlocks.block_capacity()')

    def maxidx(self,*args):
      if False: pass
      elif mosek_fusion_LinkedBlocks._match_maxidx_I(*args): # int32
        return self._maxidx_I(*args)
      elif mosek_fusion_LinkedBlocks._match_alt_maxidx_I(*args): # int32
        return self._maxidx_alt_I(*args)
      else:
        raise ValueError('Invalid argument list maxidx('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedBlocks.maxidx(int32)')

    def alloc(self,*args):
      if False: pass
      elif mosek_fusion_LinkedBlocks._match_alloc_I(*args): # int32
        return self._alloc_I(*args)
      elif mosek_fusion_LinkedBlocks._match_alt_alloc_I(*args): # int32
        return self._alloc_alt_I(*args)
      else:
        raise ValueError('Invalid argument list alloc('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedBlocks.alloc(int32)')

    def get(self,*args):
      if False: pass
      elif mosek_fusion_LinkedBlocks._match_get_I_3II(*args): # int32,[]int32,int32
        return self._get_I_3II(*args)
      elif mosek_fusion_LinkedBlocks._match_alt_get_I_3II(*args): # int32,[]int32,int32
        return self._get_alt_I_3II(*args)
      else:
        raise ValueError('Invalid argument list get('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedBlocks.get(int32,array(int32,ndim=1),int32)')

    def blocksize(self,*args):
      if False: pass
      elif mosek_fusion_LinkedBlocks._match_blocksize_I(*args): # int32
        return self._blocksize_I(*args)
      elif mosek_fusion_LinkedBlocks._match_alt_blocksize_I(*args): # int32
        return self._blocksize_alt_I(*args)
      else:
        raise ValueError('Invalid argument list blocksize('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedBlocks.blocksize(int32)')

    def numblocks(self,*args):
      if False: pass
      elif mosek_fusion_LinkedBlocks._match_numblocks_(*args): # 
        return self._numblocks_(*args)
      elif mosek_fusion_LinkedBlocks._match_alt_numblocks_(*args): # 
        return self._numblocks_alt_(*args)
      else:
        raise ValueError('Invalid argument list numblocks('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedBlocks.numblocks()')

    def numallocated(self,*args):
      if False: pass
      elif mosek_fusion_LinkedBlocks._match_numallocated_(*args): # 
        return self._numallocated_(*args)
      elif mosek_fusion_LinkedBlocks._match_alt_numallocated_(*args): # 
        return self._numallocated_alt_(*args)
      else:
        raise ValueError('Invalid argument list numallocated('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedBlocks.numallocated()')

    def free(self,*args):
      if False: pass
      elif mosek_fusion_LinkedBlocks._match_free_I(*args): # int32
        return self._free_I(*args)
      elif mosek_fusion_LinkedBlocks._match_alt_free_I(*args): # int32
        return self._free_alt_I(*args)
      else:
        raise ValueError('Invalid argument list free('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedBlocks.free(int32)')

    def capacity(self,*args):
      if False: pass
      elif mosek_fusion_LinkedBlocks._match_capacity_(*args): # 
        return self._capacity_(*args)
      elif mosek_fusion_LinkedBlocks._match_alt_capacity_(*args): # 
        return self._capacity_alt_(*args)
      else:
        raise ValueError('Invalid argument list capacity('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedBlocks.capacity()')

    def __repr__(self): return 'mosek.fusion.LinkedBlocks'
    @staticmethod
    def _ctor_():
      o = LinkedBlocks.__new__(LinkedBlocks)
      o._ctor_init_()
      return o

    @staticmethod
    def __match_ctor_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def __match_alt_ctor_(*args):
      if len(args) != 0: return False
      return True
    # Origin: bld/herlev/final/default/src/fusion/LinkedList.monty:225:6-32
    def _ctor_alt_init_(self,):
      self._ctor_init_()
    def _ctor_init_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:225:20-32
      mosek_fusion_LinkedBlocks._ctor_init_I(self,0)# ctor @ bld/herlev/final/default/src/fusion/LinkedList.monty:225:22-30
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:225:20-32
    @staticmethod
    def _ctor_I(n):
      o = LinkedBlocks.__new__(LinkedBlocks)
      o._ctor_init_I(n)
      return o

    @staticmethod
    def __match_ctor_I(*args):
      if len(args) != 1: return False
      n, = args
      return (    __arg_match_I__(n))
    @staticmethod
    def __match_alt_ctor_I(*args):
      if len(args) != 1: return False
      n, = args
      return (    __arg_alt_match_I__(n))
    # Origin: bld/herlev/final/default/src/fusion/LinkedList.monty:217:6-223:7
    def _ctor_alt_init_I(self,n):
      self._ctor_init_I(numpy.int32(n))
    def _ctor_init_I(self,n):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:217:27-223:7
      _0_basesize=128 # bld/herlev/final/default/src/fusion/LinkedList.monty:218:12-20
      self.__ints = mosek_fusion_LinkedInts._ctor_I(n) # bld/herlev/final/default/src/fusion/LinkedList.monty:219:8-35
      self.__blocks = mosek_fusion_LinkedInts._ctor_I(_0_basesize) # bld/herlev/final/default/src/fusion/LinkedList.monty:220:8-42
      self.__bsize = numpy.zeros((_0_basesize,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/LinkedList.monty:221:8-37
      self.__bfirst = numpy.zeros((_0_basesize,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/LinkedList.monty:222:8-37
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:217:27-223:7
    @staticmethod
    def _ctor_Lmosek_4fusion_4LinkedBlocks_2(other):
      o = LinkedBlocks.__new__(LinkedBlocks)
      o._ctor_init_Lmosek_4fusion_4LinkedBlocks_2(other)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4LinkedBlocks_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_match_Lmosek_4fusion_4LinkedBlocks_2__(other))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4LinkedBlocks_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_alt_match_Lmosek_4fusion_4LinkedBlocks_2__(other))
    # Origin: bld/herlev/final/default/src/fusion/LinkedList.monty:210:6-215:7
    def _ctor_alt_init_Lmosek_4fusion_4LinkedBlocks_2(self,other):
      self._ctor_init_Lmosek_4fusion_4LinkedBlocks_2(other)
    def _ctor_init_Lmosek_4fusion_4LinkedBlocks_2(self,other):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:210:38-215:7
      self.__ints = mosek_fusion_LinkedInts._ctor_Lmosek_4fusion_4LinkedInts_2((other.__ints)) # bld/herlev/final/default/src/fusion/LinkedList.monty:211:8-44
      self.__blocks = mosek_fusion_LinkedInts._ctor_Lmosek_4fusion_4LinkedInts_2((other.__blocks)) # bld/herlev/final/default/src/fusion/LinkedList.monty:212:8-46
      self.__bsize = mosek.fusion.Utils.Tools._arraycopy__3I((other.__bsize)) # bld/herlev/final/default/src/fusion/LinkedList.monty:213:8-52
      self.__bfirst = mosek.fusion.Utils.Tools._arraycopy__3I((other.__bfirst)) # bld/herlev/final/default/src/fusion/LinkedList.monty:214:8-53
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:210:38-215:7
    @staticmethod
    def _match_free_I(*args):
      if len(args) != 1: return False
      _0_bkey, = args
      return (    __arg_match_I__(_0_bkey))
    @staticmethod
    def _match_alt_free_I(*args):
      if len(args) != 1: return False
      _0_bkey, = args
      return (    __arg_alt_match_I__(_0_bkey))
    def _free_alt_I(self,_t__0_bkey):
      return self._free_I(numpy.int32(__0_bkey))
    def _free_I(self,_0_bkey):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:264:37-270:7
      _1_key=self.__bfirst[_0_bkey] # bld/herlev/final/default/src/fusion/LinkedList.monty:265:12-15
      self.__ints._free_II(_1_key,self.__bsize[_0_bkey]) # bld/herlev/final/default/src/fusion/LinkedList.monty:266:8-36
      self.__bsize[_0_bkey] = (- 1) # bld/herlev/final/default/src/fusion/LinkedList.monty:267:8-26
      self.__bfirst[_0_bkey] = (- 1) # bld/herlev/final/default/src/fusion/LinkedList.monty:268:8-26
      self.__blocks._free_II(_0_bkey,1) # bld/herlev/final/default/src/fusion/LinkedList.monty:269:8-28
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:264:37-270:7
    @staticmethod
    def _match_alloc_I(*args):
      if len(args) != 1: return False
      _0_size, = args
      return (    __arg_match_I__(_0_size))
    @staticmethod
    def _match_alt_alloc_I(*args):
      if len(args) != 1: return False
      _0_size, = args
      return (    __arg_alt_match_I__(_0_size))
    def _alloc_alt_I(self,_t__0_size):
      return self._alloc_I(numpy.int32(__0_size))
    def _alloc_I(self,_0_size):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:246:45-262:7
      _1_key=(self.__ints._alloc_I(_0_size) if ((_0_size > 0) ) else (- 1)) # bld/herlev/final/default/src/fusion/LinkedList.monty:247:12-15
      _2_bkey=self.__blocks._alloc_() # bld/herlev/final/default/src/fusion/LinkedList.monty:248:12-16
      if (self.__blocks._capacity_() > int((self.__bsize).shape[0])): # bld/herlev/final/default/src/fusion/LinkedList.monty:249:12-42
        # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:249:44-257:9
        _3_nbsize=numpy.zeros((self.__blocks._capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/LinkedList.monty:250:14-20
        _4_nbfirst=numpy.zeros((self.__blocks._capacity_(),), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/LinkedList.monty:251:14-21
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__bsize,0,_3_nbsize,0,int((self.__bsize).shape[0])) # bld/herlev/final/default/src/fusion/LinkedList.monty:252:10-63
        mosek.fusion.Utils.Tools._arraycopy__3II_3III(self.__bfirst,0,_4_nbfirst,0,int((self.__bfirst).shape[0])) # bld/herlev/final/default/src/fusion/LinkedList.monty:253:10-64
        self.__bsize = _3_nbsize # bld/herlev/final/default/src/fusion/LinkedList.monty:255:10-26
        self.__bfirst = _4_nbfirst # bld/herlev/final/default/src/fusion/LinkedList.monty:256:10-27
        # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:249:44-257:9
      self.__bfirst[_2_bkey] = _1_key # bld/herlev/final/default/src/fusion/LinkedList.monty:259:8-27
      self.__bsize[_2_bkey] = _0_size # bld/herlev/final/default/src/fusion/LinkedList.monty:260:8-27
      return numpy.int32(_2_bkey) # bld/herlev/final/default/src/fusion/LinkedList.monty:261:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:246:45-262:7
    @staticmethod
    def _match_maxidx_I(*args):
      if len(args) != 1: return False
      _0_bkey, = args
      return (    __arg_match_I__(_0_bkey))
    @staticmethod
    def _match_alt_maxidx_I(*args):
      if len(args) != 1: return False
      _0_bkey, = args
      return (    __arg_alt_match_I__(_0_bkey))
    def _maxidx_alt_I(self,_t__0_bkey):
      return self._maxidx_I(numpy.int32(__0_bkey))
    def _maxidx_I(self,_0_bkey):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:242:45-244:7
      return numpy.int32(self.__ints._maxidx_II(self.__bfirst[_0_bkey],self.__bsize[_0_bkey])) # bld/herlev/final/default/src/fusion/LinkedList.monty:243:8-53
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:242:45-244:7
    @staticmethod
    def _match_numallocated_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_numallocated_(*args):
      if len(args) != 0: return False
      return True
    def _numallocated_alt_(self,):
      return self._numallocated_()
    def _numallocated_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:240:41-72
      return numpy.int32(self.__ints._numallocated_()) # bld/herlev/final/default/src/fusion/LinkedList.monty:240:43-70
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:240:41-72
    @staticmethod
    def _match_get_I_3II(*args):
      if len(args) != 3: return False
      _0_bkey,_1_target,_2_offset, = args
      return (    __arg_match_I__(_0_bkey)
              and __arg_match__3I__(_1_target)
              and __arg_match_I__(_2_offset))
    @staticmethod
    def _match_alt_get_I_3II(*args):
      if len(args) != 3: return False
      _0_bkey,_1_target,_2_offset, = args
      return (    __arg_alt_match_I__(_0_bkey)
              and __arg_alt_match__3I__(_1_target)
              and __arg_alt_match_I__(_2_offset))
    def _get_alt_I_3II(self,_t__0_bkey,_t__1_target,_t__2_offset):
      _0_bkey=numpy.int32(_t__0_bkey)
      _1_target=numpy.array(_t__1_target,dtype=numpy.dtype(numpy.int32))
      _2_offset=numpy.int32(_t__2_offset)
      _1 = self._get_I_3II(_0_bkey,_1_target,_2_offset)
      try:
        _t__1_target[:] = _1_target
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _get_I_3II(self,_0_bkey,_1_target,_2_offset):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:236:40-238:7
      self.__ints._get_II_3II(self.__bfirst[_0_bkey],self.__bsize[_0_bkey],_1_target,_2_offset) # bld/herlev/final/default/src/fusion/LinkedList.monty:237:8-60
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:236:40-238:7
    @staticmethod
    def _match_numblocks_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_numblocks_(*args):
      if len(args) != 0: return False
      return True
    def _numblocks_alt_(self,):
      return self._numblocks_()
    def _numblocks_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:232:38-60
      return numpy.int32(int((self.__bsize).shape[0])) # bld/herlev/final/default/src/fusion/LinkedList.monty:232:40-58
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:232:38-60
    @staticmethod
    def _match_blocksize_I(*args):
      if len(args) != 1: return False
      _0_bkey, = args
      return (    __arg_match_I__(_0_bkey))
    @staticmethod
    def _match_alt_blocksize_I(*args):
      if len(args) != 1: return False
      _0_bkey, = args
      return (    __arg_alt_match_I__(_0_bkey))
    def _blocksize_alt_I(self,_t__0_bkey):
      return self._blocksize_I(numpy.int32(__0_bkey))
    def _blocksize_I(self,_0_bkey):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:231:48-71
      return numpy.int32(self.__bsize[_0_bkey]) # bld/herlev/final/default/src/fusion/LinkedList.monty:231:50-69
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:231:48-71
    @staticmethod
    def _match_block_1capacity_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_block_1capacity_(*args):
      if len(args) != 0: return False
      return True
    def _block_1capacity_alt_(self,):
      return self._block_1capacity_()
    def _block_1capacity_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:230:44-73
      return numpy.int32(self.__blocks._capacity_()) # bld/herlev/final/default/src/fusion/LinkedList.monty:230:46-71
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:230:44-73
    @staticmethod
    def _match_capacity_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_capacity_(*args):
      if len(args) != 0: return False
      return True
    def _capacity_alt_(self,):
      return self._capacity_()
    def _capacity_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:229:38-65
      return numpy.int32(self.__ints._capacity_()) # bld/herlev/final/default/src/fusion/LinkedList.monty:229:40-63
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:229:38-65
    @staticmethod
    def _match_validate_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_validate_(*args):
      if len(args) != 0: return False
      return True
    def _validate_alt_(self,):
      return self._validate_()
    def _validate_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:227:37-86
      return ((self.__ints._validate_() and self.__blocks._validate_())) # bld/herlev/final/default/src/fusion/LinkedList.monty:227:39-84
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:227:37-86
  return LinkedBlocks
mosek_fusion_LinkedBlocks=__mk_mosek_fusion_LinkedBlocks()
del __mk_mosek_fusion_LinkedBlocks

# origin: bld/herlev/final/default/src/fusion/LinkedList.monty:4:4-201:5
#BEFORE CLASS
def __mk_mosek_fusion_LinkedInts():
  class LinkedInts(object):
    __slots__ = ['_LinkedInts__nfree','_LinkedInts__last_free','_LinkedInts__first_free','_LinkedInts__first_used','_LinkedInts__prev','_LinkedInts__next']
    def __init__(self,*args):
      if False: pass
      elif self.__match_ctor_(*args): # 
        self._ctor_init_(*args)
      elif self.__match_alt_ctor_(*args):# 
        self._ctor_alt_init_(*args)
      elif self.__match_ctor_I(*args): # int32
        self._ctor_init_I(*args)
      elif self.__match_alt_ctor_I(*args):# int32
        self._ctor_alt_init_I(*args)
      elif self.__match_ctor_Lmosek_4fusion_4LinkedInts_2(*args): # mosek.fusion.LinkedInts
        self._ctor_init_Lmosek_4fusion_4LinkedInts_2(*args)
      elif self.__match_alt_ctor_Lmosek_4fusion_4LinkedInts_2(*args):# mosek.fusion.LinkedInts
        self._ctor_alt_init_Lmosek_4fusion_4LinkedInts_2(*args)
      else:
        raise ValueError('Invalid argument list for constructor. Candidates are:\n\tmosek.fusion.LinkedInts.ctor()\n\tmosek.fusion.LinkedInts.ctor(int32)\n\tmosek.fusion.LinkedInts.ctor(mosek.fusion.LinkedInts)')

    def maxidx(self,*args):
      if False: pass
      elif mosek_fusion_LinkedInts._match_maxidx_II(*args): # int32,int32
        return self._maxidx_II(*args)
      elif mosek_fusion_LinkedInts._match_alt_maxidx_II(*args): # int32,int32
        return self._maxidx_alt_II(*args)
      else:
        raise ValueError('Invalid argument list maxidx('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedInts.maxidx(int32,int32)')

    def capacity(self,*args):
      if False: pass
      elif mosek_fusion_LinkedInts._match_capacity_(*args): # 
        return self._capacity_(*args)
      elif mosek_fusion_LinkedInts._match_alt_capacity_(*args): # 
        return self._capacity_alt_(*args)
      else:
        raise ValueError('Invalid argument list capacity('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedInts.capacity()')

    def numallocated(self,*args):
      if False: pass
      elif mosek_fusion_LinkedInts._match_numallocated_(*args): # 
        return self._numallocated_(*args)
      elif mosek_fusion_LinkedInts._match_alt_numallocated_(*args): # 
        return self._numallocated_alt_(*args)
      else:
        raise ValueError('Invalid argument list numallocated('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedInts.numallocated()')

    def get(self,*args):
      if False: pass
      elif mosek_fusion_LinkedInts._match_get_II_3II(*args): # int32,int32,[]int32,int32
        return self._get_II_3II(*args)
      elif mosek_fusion_LinkedInts._match_alt_get_II_3II(*args): # int32,int32,[]int32,int32
        return self._get_alt_II_3II(*args)
      else:
        raise ValueError('Invalid argument list get('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedInts.get(int32,int32,array(int32,ndim=1),int32)')

    def free(self,*args):
      if False: pass
      elif mosek_fusion_LinkedInts._match_free_II(*args): # int32,int32
        return self._free_II(*args)
      elif mosek_fusion_LinkedInts._match_alt_free_II(*args): # int32,int32
        return self._free_alt_II(*args)
      else:
        raise ValueError('Invalid argument list free('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedInts.free(int32,int32)')

    def alloc(self,*args):
      if False: pass
      elif mosek_fusion_LinkedInts._match_alloc_(*args): # 
        return self._alloc_(*args)
      elif mosek_fusion_LinkedInts._match_alt_alloc_(*args): # 
        return self._alloc_alt_(*args)
      elif mosek_fusion_LinkedInts._match_alloc_I(*args): # int32
        return self._alloc_I(*args)
      elif mosek_fusion_LinkedInts._match_alt_alloc_I(*args): # int32
        return self._alloc_alt_I(*args)
      elif mosek_fusion_LinkedInts._match_alloc_I_3II(*args): # int32,[]int32,int32
        return self._alloc_I_3II(*args)
      elif mosek_fusion_LinkedInts._match_alt_alloc_I_3II(*args): # int32,[]int32,int32
        return self._alloc_alt_I_3II(*args)
      else:
        raise ValueError('Invalid argument list alloc('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedInts.alloc()\n\tmosek.fusion.LinkedInts.alloc(int32)\n\tmosek.fusion.LinkedInts.alloc(int32,array(int32,ndim=1),int32)')

    def validate(self,*args):
      if False: pass
      elif mosek_fusion_LinkedInts._match_validate_(*args): # 
        return self._validate_(*args)
      elif mosek_fusion_LinkedInts._match_alt_validate_(*args): # 
        return self._validate_alt_(*args)
      else:
        raise ValueError('Invalid argument list validate('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.LinkedInts.validate()')

    def __repr__(self): return 'mosek.fusion.LinkedInts'
    @staticmethod
    def _ctor_I(cap_):
      o = LinkedInts.__new__(LinkedInts)
      o._ctor_init_I(cap_)
      return o

    @staticmethod
    def __match_ctor_I(*args):
      if len(args) != 1: return False
      cap_, = args
      return (    __arg_match_I__(cap_))
    @staticmethod
    def __match_alt_ctor_I(*args):
      if len(args) != 1: return False
      cap_, = args
      return (    __arg_alt_match_I__(cap_))
    # Origin: bld/herlev/final/default/src/fusion/LinkedList.monty:73:6-85:7
    def _ctor_alt_init_I(self,cap_):
      self._ctor_init_I(numpy.int32(cap_))
    def _ctor_init_I(self,cap_):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:73:30-85:7
      _0_cap=(cap_ if ((cap_ > 0) ) else 128) # bld/herlev/final/default/src/fusion/LinkedList.monty:74:12-15
      self.__next = numpy.zeros((_0_cap,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/LinkedList.monty:76:8-24
      self.__prev = numpy.zeros((_0_cap,), dtype=numpy.dtype(numpy.int32)) # bld/herlev/final/default/src/fusion/LinkedList.monty:77:8-24
      self.__first_used = (- 1) # bld/herlev/final/default/src/fusion/LinkedList.monty:78:8-24
      self.__first_free = 0 # bld/herlev/final/default/src/fusion/LinkedList.monty:79:8-23
      self.__last_free = (_0_cap - 1) # bld/herlev/final/default/src/fusion/LinkedList.monty:80:8-26
      fragments._c_closure_626(_0_cap,self.__next,self.__prev) # bld/herlev/final/default/src/fusion/LinkedList.monty:81:8-62
      self.__prev[0] = (- 1) # bld/herlev/final/default/src/fusion/LinkedList.monty:82:8-25
      self.__next[(_0_cap - 1)] = (- 1) # bld/herlev/final/default/src/fusion/LinkedList.monty:83:8-25
      self.__nfree = _0_cap # bld/herlev/final/default/src/fusion/LinkedList.monty:84:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:73:30-85:7
    @staticmethod
    def _ctor_():
      o = LinkedInts.__new__(LinkedInts)
      o._ctor_init_()
      return o

    @staticmethod
    def __match_ctor_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def __match_alt_ctor_(*args):
      if len(args) != 0: return False
      return True
    # Origin: bld/herlev/final/default/src/fusion/LinkedList.monty:71:6-34
    def _ctor_alt_init_(self,):
      self._ctor_init_()
    def _ctor_init_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:71:20-34
      mosek_fusion_LinkedInts._ctor_init_I(self,128)# ctor @ bld/herlev/final/default/src/fusion/LinkedList.monty:71:22-32
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:71:20-34
    @staticmethod
    def _ctor_Lmosek_4fusion_4LinkedInts_2(other):
      o = LinkedInts.__new__(LinkedInts)
      o._ctor_init_Lmosek_4fusion_4LinkedInts_2(other)
      return o

    @staticmethod
    def __match_ctor_Lmosek_4fusion_4LinkedInts_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_match_Lmosek_4fusion_4LinkedInts_2__(other))
    @staticmethod
    def __match_alt_ctor_Lmosek_4fusion_4LinkedInts_2(*args):
      if len(args) != 1: return False
      other, = args
      return (    __arg_alt_match_Lmosek_4fusion_4LinkedInts_2__(other))
    # Origin: bld/herlev/final/default/src/fusion/LinkedList.monty:62:6-69:7
    def _ctor_alt_init_Lmosek_4fusion_4LinkedInts_2(self,other):
      self._ctor_init_Lmosek_4fusion_4LinkedInts_2(other)
    def _ctor_init_Lmosek_4fusion_4LinkedInts_2(self,other):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:62:36-69:7
      self.__next = mosek.fusion.Utils.Tools._arraycopy__3I((other.__next)) # bld/herlev/final/default/src/fusion/LinkedList.monty:63:8-49
      self.__prev = mosek.fusion.Utils.Tools._arraycopy__3I((other.__prev)) # bld/herlev/final/default/src/fusion/LinkedList.monty:64:8-49
      self.__first_used = (other.__first_used) # bld/herlev/final/default/src/fusion/LinkedList.monty:65:8-38
      self.__first_free = (other.__first_free) # bld/herlev/final/default/src/fusion/LinkedList.monty:66:8-38
      self.__last_free = (other.__last_free) # bld/herlev/final/default/src/fusion/LinkedList.monty:67:8-36
      self.__nfree = (other.__nfree) # bld/herlev/final/default/src/fusion/LinkedList.monty:68:8-28
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:62:36-69:7
    @staticmethod
    def _match_free_II(*args):
      if len(args) != 2: return False
      _0_i,_1_num, = args
      return (    __arg_match_I__(_0_i)
              and __arg_match_I__(_1_num))
    @staticmethod
    def _match_alt_free_II(*args):
      if len(args) != 2: return False
      _0_i,_1_num, = args
      return (    __arg_alt_match_I__(_0_i)
              and __arg_alt_match_I__(_1_num))
    def _free_alt_II(self,_t__0_i,_t__1_num):
      return self._free_II(numpy.int32(__0_i),numpy.int32(__1_num))
    def _free_II(self,_0_i,_1_num):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:181:45-200:7
      self.__first_free,self.__first_used,self.__nfree = fragments._c_closure_627(self.__first_free,self.__first_used,_0_i,self.__next,self.__nfree,_1_num,self.__prev) # bld/herlev/final/default/src/fusion/LinkedList.monty:181:45-200:7
      self.__first_free = numpy.int32(self.__first_free) # postprocess
      self.__first_used = numpy.int32(self.__first_used) # postprocess
      self.__nfree = numpy.int32(self.__nfree) # postprocess
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:181:45-200:7
    @staticmethod
    def _match_alloc_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_alloc_(*args):
      if len(args) != 0: return False
      return True
    def _alloc_alt_(self,):
      return self._alloc_()
    def _alloc_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:177:34-179:7
      return numpy.int32(self.__allocblock_I(1)) # bld/herlev/final/default/src/fusion/LinkedList.monty:178:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:177:34-179:7
    @staticmethod
    def _match_alloc_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_match_I__(_0_n))
    @staticmethod
    def _match_alt_alloc_I(*args):
      if len(args) != 1: return False
      _0_n, = args
      return (    __arg_alt_match_I__(_0_n))
    def _alloc_alt_I(self,_t__0_n):
      return self._alloc_I(numpy.int32(__0_n))
    def _alloc_I(self,_0_n):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:173:41-175:7
      return numpy.int32(self.__allocblock_I(_0_n)) # bld/herlev/final/default/src/fusion/LinkedList.monty:174:8-29
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:173:41-175:7
    @staticmethod
    def _match_alloc_I_3II(*args):
      if len(args) != 3: return False
      _0_num,_1_target,_2_offset, = args
      return (    __arg_match_I__(_0_num)
              and __arg_match__3I__(_1_target)
              and __arg_match_I__(_2_offset))
    @staticmethod
    def _match_alt_alloc_I_3II(*args):
      if len(args) != 3: return False
      _0_num,_1_target,_2_offset, = args
      return (    __arg_alt_match_I__(_0_num)
              and __arg_alt_match__3I__(_1_target)
              and __arg_alt_match_I__(_2_offset))
    def _alloc_alt_I_3II(self,_t__0_num,_t__1_target,_t__2_offset):
      _0_num=numpy.int32(_t__0_num)
      _1_target=numpy.array(_t__1_target,dtype=numpy.dtype(numpy.int32))
      _2_offset=numpy.int32(_t__2_offset)
      _1 = self._alloc_I_3II(_0_num,_1_target,_2_offset)
      try:
        _t__1_target[:] = _1_target
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _alloc_I_3II(self,_0_num,_1_target,_2_offset):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:165:67-171:7
      _3_i=self.__allocblock_I(_0_num) # bld/herlev/final/default/src/fusion/LinkedList.monty:166:12-13
      _3_i = fragments._c_closure_628(_3_i,self.__next,_0_num,_2_offset,_1_target) # bld/herlev/final/default/src/fusion/LinkedList.monty:167:8-170:9
      _3_i = numpy.int32(_3_i) # postprocess
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:165:67-171:7
    @staticmethod
    def _match_get_II_3II(*args):
      if len(args) != 4: return False
      _0_i,_1_num,_2_target,_3_offset, = args
      return (    __arg_match_I__(_0_i)
              and __arg_match_I__(_1_num)
              and __arg_match__3I__(_2_target)
              and __arg_match_I__(_3_offset))
    @staticmethod
    def _match_alt_get_II_3II(*args):
      if len(args) != 4: return False
      _0_i,_1_num,_2_target,_3_offset, = args
      return (    __arg_alt_match_I__(_0_i)
              and __arg_alt_match_I__(_1_num)
              and __arg_alt_match__3I__(_2_target)
              and __arg_alt_match_I__(_3_offset))
    def _get_alt_II_3II(self,_t__0_i,_t__1_num,_t__2_target,_t__3_offset):
      _0_i=numpy.int32(_t__0_i)
      _1_num=numpy.int32(_t__1_num)
      _2_target=numpy.array(_t__2_target,dtype=numpy.dtype(numpy.int32))
      _3_offset=numpy.int32(_t__3_offset)
      _1 = self._get_II_3II(_0_i,_1_num,_2_target,_3_offset)
      try:
        _t__2_target[:] = _2_target
      except TypeError:
        pass # if we cannot copy back - ignore it
      return _1
    def _get_II_3II(self,_0_i,_1_num,_2_target,_3_offset):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:157:74-163:7
      fragments._c_closure_629(_0_i,self.__next,_1_num,_3_offset,_2_target) # bld/herlev/final/default/src/fusion/LinkedList.monty:157:74-163:7
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:157:74-163:7
    @staticmethod
    def _match_numallocated_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_numallocated_(*args):
      if len(args) != 0: return False
      return True
    def _numallocated_alt_(self,):
      return self._numallocated_()
    def _numallocated_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:155:41-68
      return numpy.int32((int((self.__next).shape[0]) - self.__nfree)) # bld/herlev/final/default/src/fusion/LinkedList.monty:155:43-66
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:155:41-68
    @staticmethod
    def _match_maxidx_II(*args):
      if len(args) != 2: return False
      _0_i,_1_num, = args
      return (    __arg_match_I__(_0_i)
              and __arg_match_I__(_1_num))
    @staticmethod
    def _match_alt_maxidx_II(*args):
      if len(args) != 2: return False
      _0_i,_1_num, = args
      return (    __arg_alt_match_I__(_0_i)
              and __arg_alt_match_I__(_1_num))
    def _maxidx_alt_II(self,_t__0_i,_t__1_num):
      return self._maxidx_II(numpy.int32(__0_i),numpy.int32(__1_num))
    def _maxidx_II(self,_0_i,_1_num):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:144:53-152:7
      _2_maxi=_0_i # bld/herlev/final/default/src/fusion/LinkedList.monty:145:12-16
      _3_ii=_0_i # bld/herlev/final/default/src/fusion/LinkedList.monty:146:12-14
      _3_ii,_2_maxi = fragments._c_closure_630(_3_ii,_2_maxi,self.__next,_1_num) # bld/herlev/final/default/src/fusion/LinkedList.monty:147:8-150:9
      _3_ii = numpy.int32(_3_ii) # postprocess
      _2_maxi = numpy.int32(_2_maxi) # postprocess
      return numpy.int32(_2_maxi) # bld/herlev/final/default/src/fusion/LinkedList.monty:151:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:144:53-152:7
    def __allocblock_alt_I(self,_t__0_num):
      return self.__allocblock_I(numpy.int32(__0_num))
    def __allocblock_I(self,_0_num):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:116:49-141:7
      _1_cap=int((self.__next).shape[0]) # bld/herlev/final/default/src/fusion/LinkedList.monty:117:12-15
      if (self.__nfree < _0_num): # bld/herlev/final/default/src/fusion/LinkedList.monty:118:12-23
        # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:118:25-122:9
        _2_nalloc=(_0_num - self.__nfree) # bld/herlev/final/default/src/fusion/LinkedList.monty:119:14-20
        if (_2_nalloc < _1_cap): # bld/herlev/final/default/src/fusion/LinkedList.monty:120:14-26
          # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:120:28-41
          _2_nalloc = _1_cap # bld/herlev/final/default/src/fusion/LinkedList.monty:120:28-41
          # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:120:28-41
        self.__recap_I((_2_nalloc + _1_cap)) # bld/herlev/final/default/src/fusion/LinkedList.monty:121:10-28
        # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:118:25-122:9
      _3_i0=self.__first_free # bld/herlev/final/default/src/fusion/LinkedList.monty:124:12-14
      _4_i1=_3_i0 # bld/herlev/final/default/src/fusion/LinkedList.monty:125:12-14
      _4_i1 = fragments._c_closure_631(_4_i1,self.__next,_0_num) # bld/herlev/final/default/src/fusion/LinkedList.monty:126:8-127:24
      _4_i1 = numpy.int32(_4_i1) # postprocess
      self.__first_free = self.__next[_4_i1] # bld/herlev/final/default/src/fusion/LinkedList.monty:129:8-30
      if (self.__first_free < 0): # bld/herlev/final/default/src/fusion/LinkedList.monty:130:12-26
        # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:130:28-43
        self.__last_free = (- 1) # bld/herlev/final/default/src/fusion/LinkedList.monty:130:28-43
        # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:130:28-43
      else:
        # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:131:28-50
        self.__prev[self.__first_free] = (- 1) # bld/herlev/final/default/src/fusion/LinkedList.monty:131:28-50
        # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:131:28-50
      self.__next[_4_i1] = self.__first_used # bld/herlev/final/default/src/fusion/LinkedList.monty:134:8-30
      if (self.__first_used >= 0): # bld/herlev/final/default/src/fusion/LinkedList.monty:135:12-27
        # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:135:29-51
        self.__prev[self.__first_used] = _4_i1 # bld/herlev/final/default/src/fusion/LinkedList.monty:135:29-51
        # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:135:29-51
      self.__first_used = _3_i0 # bld/herlev/final/default/src/fusion/LinkedList.monty:136:8-24
      self.__nfree -= _0_num # bld/herlev/final/default/src/fusion/LinkedList.monty:138:8-21
      return numpy.int32(_3_i0) # bld/herlev/final/default/src/fusion/LinkedList.monty:140:8-18
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:116:49-141:7
    def __recap_alt_I(self,_t__0_ncap):
      return self.__recap_I(numpy.int32(__0_ncap))
    def __recap_I(self,_0_ncap):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:89:39-113:7
      _1_cap=int((self.__next).shape[0]) # bld/herlev/final/default/src/fusion/LinkedList.monty:90:12-15
      if (_0_ncap > _1_cap): # bld/herlev/final/default/src/fusion/LinkedList.monty:91:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:91:24-112:9
        self.__next = mosek.fusion.CommonTools._resize__3II(self.__next,_0_ncap) # bld/herlev/final/default/src/fusion/LinkedList.monty:92:10-47
        self.__prev = mosek.fusion.CommonTools._resize__3II(self.__prev,_0_ncap) # bld/herlev/final/default/src/fusion/LinkedList.monty:93:10-47
        fragments._c_closure_632(_1_cap,_0_ncap,self.__next,self.__prev) # bld/herlev/final/default/src/fusion/LinkedList.monty:95:10-98:11
        self.__next[(_0_ncap - 1)] = (- 1) # bld/herlev/final/default/src/fusion/LinkedList.monty:100:10-28
        self.__prev[_1_cap] = self.__last_free # bld/herlev/final/default/src/fusion/LinkedList.monty:101:10-32
        if (self.__last_free < 0): # bld/herlev/final/default/src/fusion/LinkedList.monty:103:14-27
          # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:104:12-29
          self.__first_free = _1_cap # bld/herlev/final/default/src/fusion/LinkedList.monty:104:12-29
          # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:104:12-29
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:105:15-107:11
          self.__next[self.__last_free] = _1_cap # bld/herlev/final/default/src/fusion/LinkedList.monty:106:12-34
          # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:105:15-107:11
        self.__last_free = (_0_ncap - 1) # bld/herlev/final/default/src/fusion/LinkedList.monty:109:10-30
        self.__nfree += (_0_ncap - _1_cap) # bld/herlev/final/default/src/fusion/LinkedList.monty:111:10-30
        # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:91:24-112:9
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:89:39-113:7
    @staticmethod
    def _match_capacity_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_capacity_(*args):
      if len(args) != 0: return False
      return True
    def _capacity_alt_(self,):
      return self._capacity_()
    def _capacity_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:87:37-58
      return numpy.int32(int((self.__next).shape[0])) # bld/herlev/final/default/src/fusion/LinkedList.monty:87:39-56
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:87:37-58
    @staticmethod
    def _match_validate_(*args):
      if len(args) != 0: return False
      return True
    @staticmethod
    def _match_alt_validate_(*args):
      if len(args) != 0: return False
      return True
    def _validate_alt_(self,):
      return self._validate_()
    def _validate_(self,):
      # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:16:37-60:7
      _0_flags=numpy.zeros((int((self.__next).shape[0]),), dtype=numpy.dtype(bool)) # bld/herlev/final/default/src/fusion/LinkedList.monty:18:12-17
      _1_p=self.__first_used # bld/herlev/final/default/src/fusion/LinkedList.monty:19:12-13
      while (_1_p >= 0): # bld/herlev/final/default/src/fusion/LinkedList.monty:20:8-25:9
        # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:20:23-25:9
        _0_flags[_1_p] = True # bld/herlev/final/default/src/fusion/LinkedList.monty:21:10-26
        _1_p = self.__next[_1_p] # bld/herlev/final/default/src/fusion/LinkedList.monty:22:10-22
        if ((_1_p >= 0) and _0_flags[_1_p]): # bld/herlev/final/default/src/fusion/LinkedList.monty:23:14-33
          # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:24:12-72
          raise mosek_fusion_UnexpectedError._ctor_S("used list/next is inconsistent") # bld/herlev/final/default/src/fusion/LinkedList.monty:24:12-72
          # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:24:12-72
        # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:20:23-25:9
      _1_p = self.__first_free # bld/herlev/final/default/src/fusion/LinkedList.monty:27:8-23
      _2_n=0 # bld/herlev/final/default/src/fusion/LinkedList.monty:28:12-13
      while (_1_p >= 0): # bld/herlev/final/default/src/fusion/LinkedList.monty:29:8-35:9
        # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:29:23-35:9
        _2_n += 1 # bld/herlev/final/default/src/fusion/LinkedList.monty:30:10-14
        _0_flags[_1_p] = True # bld/herlev/final/default/src/fusion/LinkedList.monty:31:10-26
        _1_p = self.__next[_1_p] # bld/herlev/final/default/src/fusion/LinkedList.monty:32:10-22
        if ((_1_p >= 0) and _0_flags[_1_p]): # bld/herlev/final/default/src/fusion/LinkedList.monty:33:14-33
          # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:34:12-72
          raise mosek_fusion_UnexpectedError._ctor_S("free list/next is inconsistent") # bld/herlev/final/default/src/fusion/LinkedList.monty:34:12-72
          # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:34:12-72
        # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:29:23-35:9
      if (_2_n!=self.__nfree): # bld/herlev/final/default/src/fusion/LinkedList.monty:36:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:36:24-38:9
        raise mosek_fusion_UnexpectedError._ctor_S("free next list did not contain nfree elements") # bld/herlev/final/default/src/fusion/LinkedList.monty:37:10-85
        # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:36:24-38:9
      for _3_i in range(0,int((_0_flags).shape[0])): # bld/herlev/final/default/src/fusion/LinkedList.monty:40:8-42:78
        # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:41:10-42:78
        if (not _0_flags[_1_p]): # bld/herlev/final/default/src/fusion/LinkedList.monty:41:14-26
          # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:42:12-78
          raise mosek_fusion_UnexpectedError._ctor_S("elements missing from used+free list") # bld/herlev/final/default/src/fusion/LinkedList.monty:42:12-78
          # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:42:12-78
        # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:41:10-42:78
      for _4_i in range(0,int((_0_flags).shape[0])): # bld/herlev/final/default/src/fusion/LinkedList.monty:44:8-53
        # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:44:36-53
        _0_flags[_4_i] = False # bld/herlev/final/default/src/fusion/LinkedList.monty:44:36-53
        # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:44:36-53
      _1_p = self.__last_free # bld/herlev/final/default/src/fusion/LinkedList.monty:45:8-22
      _5_n=0 # bld/herlev/final/default/src/fusion/LinkedList.monty:46:12-13
      while (_1_p >= 0): # bld/herlev/final/default/src/fusion/LinkedList.monty:47:8-53:9
        # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:47:23-53:9
        _5_n += 1 # bld/herlev/final/default/src/fusion/LinkedList.monty:48:10-14
        _0_flags[_1_p] = True # bld/herlev/final/default/src/fusion/LinkedList.monty:49:10-26
        _1_p = self.__prev[_1_p] # bld/herlev/final/default/src/fusion/LinkedList.monty:50:10-22
        if ((_1_p >= 0) and _0_flags[_1_p]): # bld/herlev/final/default/src/fusion/LinkedList.monty:51:14-33
          # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:52:12-67
          raise mosek_fusion_UnexpectedError._ctor_S("prev list is inconsistent") # bld/herlev/final/default/src/fusion/LinkedList.monty:52:12-67
          # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:52:12-67
        # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:47:23-53:9
      if (_5_n!=self.__nfree): # bld/herlev/final/default/src/fusion/LinkedList.monty:55:12-22
        # Start scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:55:24-57:9
        raise mosek_fusion_UnexpectedError._ctor_S("free prev list did not contain nfree elements") # bld/herlev/final/default/src/fusion/LinkedList.monty:56:10-85
        # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:55:24-57:9
      return (True) # bld/herlev/final/default/src/fusion/LinkedList.monty:59:8-20
      # End   scope @ bld/herlev/final/default/src/fusion/LinkedList.monty:16:37-60:7
  return LinkedInts
mosek_fusion_LinkedInts=__mk_mosek_fusion_LinkedInts()
del __mk_mosek_fusion_LinkedInts

# origin: bld/herlev/final/default/src/fusion/Parameters.mbi:4:4-6314:4
#BEFORE CLASS
def __mk_mosek_fusion_Parameters():
  class Parameters(object):
    @staticmethod
    def setParameter(*args):
      if False: pass
      elif mosek_fusion_Parameters._match_setParameter_Lmosek_4fusion_4Model_2SS(*args): # mosek.fusion.Model,string,string
        return mosek_fusion_Parameters._setParameter_Lmosek_4fusion_4Model_2SS(*args)
      elif mosek_fusion_Parameters._match_alt_setParameter_Lmosek_4fusion_4Model_2SS(*args): # mosek.fusion.Model,string,string
        return mosek_fusion_Parameters._setParameter_alt_Lmosek_4fusion_4Model_2SS(*args)
      elif mosek_fusion_Parameters._match_setParameter_Lmosek_4fusion_4Model_2SI(*args): # mosek.fusion.Model,string,int32
        return mosek_fusion_Parameters._setParameter_Lmosek_4fusion_4Model_2SI(*args)
      elif mosek_fusion_Parameters._match_alt_setParameter_Lmosek_4fusion_4Model_2SI(*args): # mosek.fusion.Model,string,int32
        return mosek_fusion_Parameters._setParameter_alt_Lmosek_4fusion_4Model_2SI(*args)
      elif mosek_fusion_Parameters._match_setParameter_Lmosek_4fusion_4Model_2SD(*args): # mosek.fusion.Model,string,double
        return mosek_fusion_Parameters._setParameter_Lmosek_4fusion_4Model_2SD(*args)
      elif mosek_fusion_Parameters._match_alt_setParameter_Lmosek_4fusion_4Model_2SD(*args): # mosek.fusion.Model,string,double
        return mosek_fusion_Parameters._setParameter_alt_Lmosek_4fusion_4Model_2SD(*args)
      else:
        raise ValueError('Invalid argument list setParameter('+','.join(map(repr,args))+'). Candidates are\n\tmosek.fusion.Parameters.setParameter(mosek.fusion.Model,string,string)\n\tmosek.fusion.Parameters.setParameter(mosek.fusion.Model,string,int32)\n\tmosek.fusion.Parameters.setParameter(mosek.fusion.Model,string,double)')

    def __repr__(self): return 'mosek.fusion.Parameters'
    @staticmethod
    def _match_setParameter_Lmosek_4fusion_4Model_2SD(*args):
      if len(args) != 3: return False
      _0_M,_1_name,_2_value, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(_0_M)
              and __arg_match_S__(_1_name)
              and __arg_match_D__(_2_value))
    @staticmethod
    def _match_alt_setParameter_Lmosek_4fusion_4Model_2SD(*args):
      if len(args) != 3: return False
      _0_M,_1_name,_2_value, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(_0_M)
              and __arg_alt_match_S__(_1_name)
              and __arg_alt_match_D__(_2_value))
    @staticmethod
    def _setParameter_alt_Lmosek_4fusion_4Model_2SD(_t__0_M,_t__1_name,_t__2_value):
      return mosek_fusion_Parameters._setParameter_Lmosek_4fusion_4Model_2SD(_0_M,_1_name,numpy.float64(__2_value))
    @staticmethod
    def _setParameter_Lmosek_4fusion_4Model_2SD(_0_M,_1_name,_2_value):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4864:0-6311:1
      if False: # bld/herlev/final/default/src/fusion/Parameters.mbi:4865:6-11
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4865:13-15
        pass
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4865:13-15
      elif (_1_name=="autoUpdateSolInfo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4866:10-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4867:4-80
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (autoUpdateSolInfo)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4867:4-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4867:4-80
      elif (_1_name=="removeUnusedSolutions"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4868:10-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4869:4-84
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (removeUnusedSolutions)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4869:4-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4869:4-84
      if (_1_name=="numThreads"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4870:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4871:2-4884:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:4872:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4873:4-4881:5
          _3_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4874:10-11
          if (0 <= _3_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4875:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4875:18-4878:7
            _0_M._task_1put_1param_SD("MSK_IPAR_NUM_THREADS",_3_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4876:8-52
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4877:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4875:18-4878:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4880:8-77
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (numThreads)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4880:8-77
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4880:8-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4873:4-4881:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4883:6-75
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (numThreads)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4883:6-75
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4883:6-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4871:2-4884:3
      if (_1_name=="mtSpincount"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4885:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4886:2-4899:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:4887:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4888:4-4896:5
          _4_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4889:10-11
          if ((0 <= _4_v) and (_4_v <= 1000000000)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4890:10-36
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4890:38-4893:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MT_SPINCOUNT",_4_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4891:8-53
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4892:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4890:38-4893:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4895:8-78
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mtSpincount)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4895:8-78
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4895:8-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4888:4-4896:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4898:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mtSpincount)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4898:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4898:6-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4886:2-4899:3
      elif (_1_name=="optimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4900:10-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4901:4-72
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (optimizer)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4901:4-72
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4901:4-72
      if (_1_name=="biMaxIterations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4902:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4903:2-4916:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:4904:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4905:4-4913:5
          _5_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4906:10-11
          if (0 <= _5_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4907:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4907:18-4910:7
            _0_M._task_1put_1param_SD("MSK_IPAR_BI_MAX_ITERATIONS",_5_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4908:8-58
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4909:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4907:18-4910:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4912:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (biMaxIterations)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4912:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4912:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4905:4-4913:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4915:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (biMaxIterations)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4915:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4915:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4903:2-4916:3
      if (_1_name=="licenseTrhExpiryWrn"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4917:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4918:2-4931:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:4919:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4920:4-4928:5
          _6_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4921:10-11
          if (0 <= _6_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4922:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4922:18-4925:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LICENSE_TRH_EXPIRY_WRN",_6_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4923:8-63
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4924:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4922:18-4925:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4927:8-86
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licenseTrhExpiryWrn)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4927:8-86
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4927:8-86
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4920:4-4928:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4930:6-84
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licenseTrhExpiryWrn)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4930:6-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4930:6-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4918:2-4931:3
      if (_1_name=="logCutSecondOpt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4932:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4933:2-4946:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:4934:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4935:4-4943:5
          _7_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4936:10-11
          if (0 <= _7_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4937:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4937:18-4940:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG_CUT_SECOND_OPT",_7_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4938:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4939:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4937:18-4940:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4942:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logCutSecondOpt)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4942:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4942:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4935:4-4943:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4945:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logCutSecondOpt)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4945:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4945:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4933:2-4946:3
      if (_1_name=="logResponse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4947:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4948:2-4961:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:4949:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4950:4-4958:5
          _8_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4951:10-11
          if (0 <= _8_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4952:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4952:18-4955:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG_RESPONSE",_8_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4953:8-53
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4954:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4952:18-4955:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4957:8-78
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logResponse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4957:8-78
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4957:8-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4950:4-4958:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4960:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logResponse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4960:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4960:6-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4948:2-4961:3
      elif (_1_name=="logLocalInfo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4962:10-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4963:4-75
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logLocalInfo)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4963:4-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4963:4-75
      if (_1_name=="logBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4964:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4965:2-4978:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:4966:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4967:4-4975:5
          _9_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4968:10-11
          if (0 <= _9_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4969:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4969:18-4972:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG_BI",_9_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4970:8-47
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4971:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4969:18-4972:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4974:8-72
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logBi)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4974:8-72
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4974:8-72
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4967:4-4975:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4977:6-70
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logBi)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4977:6-70
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4977:6-70
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4965:2-4978:3
      if (_1_name=="logBiFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4979:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4980:2-4993:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:4981:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4982:4-4990:5
          _10_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4983:10-11
          if (0 <= _10_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4984:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4984:18-4987:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG_BI_FREQ",_10_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4985:8-52
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4986:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4984:18-4987:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4989:8-76
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logBiFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4989:8-76
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4989:8-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4982:4-4990:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4992:6-74
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logBiFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4992:6-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4992:6-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4980:2-4993:3
      elif (_1_name=="biCleanOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4994:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4995:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (biCleanOptimizer)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4995:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4995:4-79
      elif (_1_name=="intpntStartingPoint"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4996:10-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4997:4-82
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntStartingPoint)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4997:4-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4997:4-82
      elif (_1_name=="intpntDiffStep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4998:10-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4999:4-77
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntDiffStep)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4999:4-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4999:4-77
      elif (_1_name=="intpntScaling"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5000:10-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5001:4-76
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntScaling)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5001:4-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5001:4-76
      elif (_1_name=="intpntSolveForm"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5002:10-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5003:4-78
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntSolveForm)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5003:4-78
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5003:4-78
      if (_1_name=="logIntpnt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5004:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5005:2-5018:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5006:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5007:4-5015:5
          _11_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5008:10-11
          if (0 <= _11_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5009:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5009:18-5012:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG_INTPNT",_11_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5010:8-51
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5011:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5009:18-5012:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5014:8-76
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logIntpnt)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5014:8-76
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5014:8-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5007:4-5015:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5017:6-74
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logIntpnt)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5017:6-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5017:6-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5005:2-5018:3
      if (_1_name=="intpntMaxIterations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5019:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5020:2-5033:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5021:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5022:4-5030:5
          _12_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5023:10-11
          if (0 <= _12_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5024:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5024:18-5027:7
            _0_M._task_1put_1param_SD("MSK_IPAR_INTPNT_MAX_ITERATIONS",_12_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5025:8-62
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5026:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5024:18-5027:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5029:8-86
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntMaxIterations)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5029:8-86
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5029:8-86
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5022:4-5030:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5032:6-84
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntMaxIterations)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5032:6-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5032:6-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5020:2-5033:3
      if (_1_name=="intpntOffColTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5034:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5035:2-5048:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5036:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5037:4-5045:5
          _13_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5038:10-11
          if (0 <= _13_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5039:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5039:18-5042:7
            _0_M._task_1put_1param_SD("MSK_IPAR_INTPNT_OFF_COL_TRH",_13_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5040:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5041:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5039:18-5042:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5044:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntOffColTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5044:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5044:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5037:4-5045:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5047:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntOffColTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5047:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5047:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5035:2-5048:3
      elif (_1_name=="intpntOrderMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5049:10-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5050:4-80
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntOrderMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5050:4-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5050:4-80
      if (_1_name=="intpntOrderGpNumSeeds"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5051:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5052:2-5065:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5053:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5054:4-5062:5
          _14_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5055:10-11
          if (0 <= _14_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5056:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5056:18-5059:7
            _0_M._task_1put_1param_SD("MSK_IPAR_INTPNT_ORDER_GP_NUM_SEEDS",_14_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5057:8-66
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5058:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5056:18-5059:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5061:8-88
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntOrderGpNumSeeds)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5061:8-88
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5061:8-88
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5054:4-5062:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5064:6-86
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntOrderGpNumSeeds)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5064:6-86
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5064:6-86
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5052:2-5065:3
      elif (_1_name=="intpntBasis"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5066:10-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5067:4-74
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntBasis)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5067:4-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5067:4-74
      elif (_1_name=="biIgnoreMaxIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5068:10-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5069:4-78
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (biIgnoreMaxIter)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5069:4-78
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5069:4-78
      elif (_1_name=="biIgnoreNumError"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5070:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5071:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (biIgnoreNumError)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5071:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5071:4-79
      if (_1_name=="intpntMaxNumCor"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5072:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5073:2-5086:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5074:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5075:4-5083:5
          _15_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5076:10-11
          if ((- 1) <= _15_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5077:10-17
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5077:19-5080:7
            _0_M._task_1put_1param_SD("MSK_IPAR_INTPNT_MAX_NUM_COR",_15_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5078:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5079:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5077:19-5080:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5082:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntMaxNumCor)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5082:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5082:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5075:4-5083:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5085:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntMaxNumCor)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5085:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5085:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5073:2-5086:3
      elif (_1_name=="presolveUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5087:10-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5088:4-74
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveUse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5088:4-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5088:4-74
      if (_1_name=="presolveLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5089:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5090:2-5103:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5091:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5092:4-5100:5
          _16_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5093:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5094:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5094:16-5097:7
            _0_M._task_1put_1param_SD("MSK_IPAR_PRESOLVE_LEVEL",_16_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5095:8-55
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5096:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5094:16-5097:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5099:8-80
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5099:8-80
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5099:8-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5092:4-5100:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5102:6-78
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5102:6-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5102:6-78
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5090:2-5103:3
      if (_1_name=="logPresolve"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5104:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5105:2-5118:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5106:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5107:4-5115:5
          _17_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5108:10-11
          if (0 <= _17_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5109:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5109:18-5112:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG_PRESOLVE",_17_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5110:8-53
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5111:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5109:18-5112:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5114:8-78
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logPresolve)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5114:8-78
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5114:8-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5107:4-5115:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5117:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logPresolve)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5117:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5117:6-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5105:2-5118:3
      elif (_1_name=="presolveLindepUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5119:10-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5120:4-80
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepUse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5120:4-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5120:4-80
      elif (_1_name=="presolveLindepNew"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5121:10-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5122:4-80
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepNew)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5122:4-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5122:4-80
      if (_1_name=="presolveMaxNumPass"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5123:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5124:2-5137:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5125:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5126:4-5134:5
          _18_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5127:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5128:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5128:16-5131:7
            _0_M._task_1put_1param_SD("MSK_IPAR_PRESOLVE_MAX_NUM_PASS",_18_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5129:8-62
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5130:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5128:16-5131:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5133:8-85
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveMaxNumPass)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5133:8-85
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5133:8-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5126:4-5134:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5136:6-83
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveMaxNumPass)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5136:6-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5136:6-83
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5124:2-5137:3
      if (_1_name=="presolveEliminatorMaxNumTries"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5138:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5139:2-5152:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5140:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5141:4-5149:5
          _19_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5142:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5143:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5143:16-5146:7
            _0_M._task_1put_1param_SD("MSK_IPAR_PRESOLVE_ELIMINATOR_MAX_NUM_TRIES",_19_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5144:8-74
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5145:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5143:16-5146:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5148:8-96
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveEliminatorMaxNumTries)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5148:8-96
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5148:8-96
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5141:4-5149:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5151:6-94
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveEliminatorMaxNumTries)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5151:6-94
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5151:6-94
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5139:2-5152:3
      if (_1_name=="presolveEliminatorMaxFill"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5153:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5154:2-5167:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5155:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5156:4-5164:5
          _20_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5157:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5158:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5158:16-5161:7
            _0_M._task_1put_1param_SD("MSK_IPAR_PRESOLVE_ELIMINATOR_MAX_FILL",_20_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5159:8-69
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5160:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5158:16-5161:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5163:8-92
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveEliminatorMaxFill)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5163:8-92
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5163:8-92
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5156:4-5164:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5166:6-90
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveEliminatorMaxFill)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5166:6-90
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5166:6-90
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5154:2-5167:3
      if (_1_name=="simPrimalCrash"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5168:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5169:2-5182:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5170:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5171:4-5179:5
          _21_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5172:10-11
          if (0 <= _21_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5173:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5173:18-5176:7
            _0_M._task_1put_1param_SD("MSK_IPAR_SIM_PRIMAL_CRASH",_21_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5174:8-57
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5175:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5173:18-5176:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5178:8-81
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalCrash)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5178:8-81
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5178:8-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5171:4-5179:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5181:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalCrash)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5181:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5181:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5169:2-5182:3
      if (_1_name=="logSim"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5183:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5184:2-5197:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5185:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5186:4-5194:5
          _22_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5187:10-11
          if (0 <= _22_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5188:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5188:18-5191:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG_SIM",_22_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5189:8-48
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5190:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5188:18-5191:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5193:8-73
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logSim)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5193:8-73
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5193:8-73
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5186:4-5194:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5196:6-71
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logSim)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5196:6-71
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5196:6-71
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5184:2-5197:3
      if (_1_name=="logSimMinor"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5198:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5199:2-5212:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5200:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5201:4-5209:5
          _23_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5202:10-11
          if (0 <= _23_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5203:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5203:18-5206:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG_SIM_MINOR",_23_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5204:8-54
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5205:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5203:18-5206:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5208:8-78
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logSimMinor)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5208:8-78
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5208:8-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5201:4-5209:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5211:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logSimMinor)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5211:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5211:6-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5199:2-5212:3
      if (_1_name=="logSimFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5213:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5214:2-5227:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5215:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5216:4-5224:5
          _24_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5217:10-11
          if (0 <= _24_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5218:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5218:18-5221:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG_SIM_FREQ",_24_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5219:8-53
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5220:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5218:18-5221:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5223:8-77
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logSimFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5223:8-77
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5223:8-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5216:4-5224:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5226:6-75
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logSimFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5226:6-75
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5226:6-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5214:2-5227:3
      if (_1_name=="simPrimalRestrictSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5228:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5229:2-5242:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5230:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5231:4-5239:5
          _25_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5232:10-11
          if ((0 <= _25_v) and (_25_v <= 100)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5233:10-29
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5233:31-5236:7
            _0_M._task_1put_1param_SD("MSK_IPAR_SIM_PRIMAL_RESTRICT_SELECTION",_25_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5234:8-70
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5235:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5233:31-5236:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5238:8-93
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalRestrictSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5238:8-93
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5238:8-93
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5231:4-5239:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5241:6-91
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalRestrictSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5241:6-91
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5241:6-91
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5229:2-5242:3
      elif (_1_name=="simPrimalSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5243:10-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5244:4-81
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5244:4-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5244:4-81
      if (_1_name=="simDualRestrictSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5245:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5246:2-5259:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5247:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5248:4-5256:5
          _26_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5249:10-11
          if ((0 <= _26_v) and (_26_v <= 100)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5250:10-29
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5250:31-5253:7
            _0_M._task_1put_1param_SD("MSK_IPAR_SIM_DUAL_RESTRICT_SELECTION",_26_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5251:8-68
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5252:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5250:31-5253:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5255:8-91
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualRestrictSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5255:8-91
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5255:8-91
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5248:4-5256:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5258:6-89
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualRestrictSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5258:6-89
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5258:6-89
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5246:2-5259:3
      elif (_1_name=="simDualSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5260:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5261:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5261:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5261:4-79
      if (_1_name=="simMaxIterations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5262:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5263:2-5276:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5264:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5265:4-5273:5
          _27_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5266:10-11
          if (0 <= _27_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5267:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5267:18-5270:7
            _0_M._task_1put_1param_SD("MSK_IPAR_SIM_MAX_ITERATIONS",_27_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5268:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5269:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5267:18-5270:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5272:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simMaxIterations)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5272:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5272:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5265:4-5273:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5275:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simMaxIterations)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5275:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5275:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5263:2-5276:3
      elif (_1_name=="simHotstartLu"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5277:10-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5278:4-76
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simHotstartLu)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5278:4-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5278:4-76
      if (_1_name=="simRefactorFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5279:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5280:2-5293:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5281:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5282:4-5290:5
          _28_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5283:10-11
          if (0 <= _28_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5284:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5284:18-5287:7
            _0_M._task_1put_1param_SD("MSK_IPAR_SIM_REFACTOR_FREQ",_28_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5285:8-58
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5286:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5284:18-5287:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5289:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simRefactorFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5289:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5289:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5282:4-5290:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5292:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simRefactorFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5292:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5292:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5280:2-5293:3
      if (_1_name=="simSeed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5294:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5295:2-5308:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5296:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5297:4-5305:5
          _29_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5298:10-11
          if ((0 <= _29_v) and (_29_v <= 32749)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5299:10-31
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5299:33-5302:7
            _0_M._task_1put_1param_SD("MSK_IPAR_SIM_SEED",_29_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5300:8-49
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5301:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5299:33-5302:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5304:8-74
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simSeed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5304:8-74
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5304:8-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5297:4-5305:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5307:6-72
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simSeed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5307:6-72
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5307:6-72
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5295:2-5308:3
      elif (_1_name=="mioMode"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5309:10-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5310:4-70
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMode)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5310:4-70
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5310:4-70
      if (_1_name=="logMio"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5311:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5312:2-5325:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5313:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5314:4-5322:5
          _30_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5315:10-11
          if (0 <= _30_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5316:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5316:18-5319:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG_MIO",_30_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5317:8-48
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5318:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5316:18-5319:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5321:8-73
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logMio)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5321:8-73
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5321:8-73
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5314:4-5322:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5324:6-71
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logMio)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5324:6-71
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5324:6-71
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5312:2-5325:3
      if (_1_name=="logMioFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5326:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5327:2-5340:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5328:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5329:4-5337:5
          _31_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5330:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5331:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5331:16-5334:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG_MIO_FREQ",_31_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5332:8-53
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5333:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5331:16-5334:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5336:8-77
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logMioFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5336:8-77
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5336:8-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5329:4-5337:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5339:6-75
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logMioFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5339:6-75
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5339:6-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5327:2-5340:3
      if (_1_name=="mioMaxNumRelaxs"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5341:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5342:2-5355:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5343:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5344:4-5352:5
          _32_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5345:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5346:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5346:16-5349:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_MAX_NUM_RELAXS",_32_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5347:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5348:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5346:16-5349:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5351:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumRelaxs)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5351:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5351:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5344:4-5352:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5354:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumRelaxs)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5354:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5354:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5342:2-5355:3
      if (_1_name=="mioMaxNumBranches"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5356:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5357:2-5370:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5358:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5359:4-5367:5
          _33_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5360:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5361:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5361:16-5364:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_MAX_NUM_BRANCHES",_33_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5362:8-61
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5363:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5361:16-5364:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5366:8-84
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumBranches)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5366:8-84
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5366:8-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5359:4-5367:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5369:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumBranches)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5369:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5369:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5357:2-5370:3
      if (_1_name=="mioMaxNumRestarts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5371:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5372:2-5385:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5373:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5374:4-5382:5
          _34_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5375:10-11
          if (0 <= _34_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5376:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5376:18-5379:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_MAX_NUM_RESTARTS",_34_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5377:8-61
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5378:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5376:18-5379:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5381:8-84
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumRestarts)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5381:8-84
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5381:8-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5374:4-5382:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5384:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumRestarts)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5384:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5384:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5372:2-5385:3
      if (_1_name=="mioMaxNumRootCutRounds"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5386:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5387:2-5400:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5388:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5389:4-5397:5
          _35_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5390:10-11
          if (0 <= _35_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5391:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5391:18-5394:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_MAX_NUM_ROOT_CUT_ROUNDS",_35_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5392:8-68
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5393:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5391:18-5394:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5396:8-89
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumRootCutRounds)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5396:8-89
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5396:8-89
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5389:4-5397:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5399:6-87
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumRootCutRounds)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5399:6-87
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5399:6-87
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5387:2-5400:3
      if (_1_name=="mioMaxNumSolutions"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5401:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5402:2-5415:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5403:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5404:4-5412:5
          _36_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5405:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5406:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5406:16-5409:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_MAX_NUM_SOLUTIONS",_36_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5407:8-62
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5408:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5406:16-5409:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5411:8-85
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumSolutions)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5411:8-85
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5411:8-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5404:4-5412:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5414:6-83
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumSolutions)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5414:6-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5414:6-83
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5402:2-5415:3
      elif (_1_name=="mioNodeSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5416:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5417:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioNodeSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5417:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5417:4-79
      elif (_1_name=="mioVarSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5418:10-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5419:4-78
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioVarSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5419:4-78
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5419:4-78
      if (_1_name=="mioMinRel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5420:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5421:2-5434:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5422:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5423:4-5431:5
          _37_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5424:10-11
          if (0 <= _37_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5425:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5425:18-5428:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_MIN_REL",_37_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5426:8-52
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5427:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5425:18-5428:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5430:8-76
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMinRel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5430:8-76
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5430:8-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5423:4-5431:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5433:6-74
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMinRel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5433:6-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5433:6-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5421:2-5434:3
      if (_1_name=="mioHeuristicLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5435:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5436:2-5449:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5437:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5438:4-5446:5
          _38_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5439:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5440:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5440:16-5443:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_HEURISTIC_LEVEL",_38_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5441:8-60
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5442:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5440:16-5443:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5445:8-84
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioHeuristicLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5445:8-84
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5445:8-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5438:4-5446:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5448:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioHeuristicLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5448:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5448:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5436:2-5449:3
      if (_1_name=="mioProbingLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5450:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5451:2-5464:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5452:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5453:4-5461:5
          _39_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5454:10-11
          if (((- 1) <= _39_v) and (_39_v <= 3)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5455:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5455:30-5458:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_PROBING_LEVEL",_39_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5456:8-58
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5457:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5455:30-5458:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5460:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioProbingLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5460:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5460:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5453:4-5461:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5463:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioProbingLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5463:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5463:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5451:2-5464:3
      if (_1_name=="mioSymmetryLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5465:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5466:2-5479:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5467:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5468:4-5476:5
          _40_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5469:10-11
          if (((- 1) <= _40_v) and (_40_v <= 4)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5470:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5470:30-5473:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_SYMMETRY_LEVEL",_40_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5471:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5472:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5470:30-5473:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5475:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioSymmetryLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5475:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5475:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5468:4-5476:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5478:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioSymmetryLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5478:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5478:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5466:2-5479:3
      if (_1_name=="mioDualRayAnalysisLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5480:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5481:2-5494:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5482:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5483:4-5491:5
          _41_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5484:10-11
          if (((- 1) <= _41_v) and (_41_v <= 2)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5485:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5485:30-5488:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_DUAL_RAY_ANALYSIS_LEVEL",_41_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5486:8-68
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5487:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5485:30-5488:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5490:8-90
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioDualRayAnalysisLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5490:8-90
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5490:8-90
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5483:4-5491:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5493:6-88
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioDualRayAnalysisLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5493:6-88
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5493:6-88
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5481:2-5494:3
      elif (_1_name=="mioPresolveAggregatorUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5495:10-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5496:4-87
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioPresolveAggregatorUse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5496:4-87
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5496:4-87
      if (_1_name=="mioNumericalEmphasisLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5497:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5498:2-5511:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5499:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5500:4-5508:5
          _42_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5501:10-11
          if ((0 <= _42_v) and (_42_v <= 2)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5502:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5502:29-5505:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_NUMERICAL_EMPHASIS_LEVEL",_42_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5503:8-69
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5504:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5502:29-5505:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5507:8-92
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioNumericalEmphasisLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5507:8-92
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5507:8-92
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5500:4-5508:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5510:6-90
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioNumericalEmphasisLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5510:6-90
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5510:6-90
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5498:2-5511:3
      if (_1_name=="mioMemoryEmphasisLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5512:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5513:2-5526:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5514:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5515:4-5523:5
          _43_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5516:10-11
          if ((0 <= _43_v) and (_43_v <= 1)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5517:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5517:29-5520:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_MEMORY_EMPHASIS_LEVEL",_43_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5518:8-66
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5519:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5517:29-5520:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5522:8-89
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMemoryEmphasisLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5522:8-89
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5522:8-89
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5515:4-5523:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5525:6-87
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMemoryEmphasisLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5525:6-87
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5525:6-87
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5513:2-5526:3
      if (_1_name=="mioCutSelectionLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5527:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5528:2-5541:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5529:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5530:4-5538:5
          _44_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5531:10-11
          if (((- 1) <= _44_v) and (_44_v <= 1)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5532:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5532:30-5535:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_CUT_SELECTION_LEVEL",_44_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5533:8-64
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5534:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5532:30-5535:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5537:8-87
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutSelectionLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5537:8-87
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5537:8-87
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5530:4-5538:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5540:6-85
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutSelectionLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5540:6-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5540:6-85
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5528:2-5541:3
      if (_1_name=="mioVbDetectionLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5542:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5543:2-5556:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5544:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5545:4-5553:5
          _45_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5546:10-11
          if (((- 1) <= _45_v) and (_45_v <= 2)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5547:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5547:30-5550:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_VB_DETECTION_LEVEL",_45_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5548:8-63
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5549:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5547:30-5550:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5552:8-86
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioVbDetectionLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5552:8-86
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5552:8-86
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5545:4-5553:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5555:6-84
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioVbDetectionLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5555:6-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5555:6-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5543:2-5556:3
      elif (_1_name=="mioBranchDir"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5557:10-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5558:4-75
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioBranchDir)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5558:4-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5558:4-75
      elif (_1_name=="mioRootOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5559:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5560:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRootOptimizer)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5560:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5560:4-79
      elif (_1_name=="mioNodeOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5561:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5562:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioNodeOptimizer)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5562:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5562:4-79
      elif (_1_name=="mioPerspectiveReformulate"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5563:10-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5564:4-88
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioPerspectiveReformulate)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5564:4-88
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5564:4-88
      elif (_1_name=="mioPropagateObjectiveConstraint"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5565:10-51
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5566:4-94
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioPropagateObjectiveConstraint)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5566:4-94
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5566:4-94
      if (_1_name=="mioSeed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5567:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5568:2-5581:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5569:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5570:4-5578:5
          _46_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5571:10-11
          if (0 <= _46_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5572:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5572:18-5575:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_SEED",_46_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5573:8-49
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5574:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5572:18-5575:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5577:8-74
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioSeed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5577:8-74
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5577:8-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5570:4-5578:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5580:6-72
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioSeed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5580:6-72
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5580:6-72
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5568:2-5581:3
      elif (_1_name=="mioConicOuterApproximation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5582:10-46
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5583:4-89
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioConicOuterApproximation)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5583:4-89
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5583:4-89
      elif (_1_name=="mioQcqoReformulationMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5584:10-46
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5585:4-89
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioQcqoReformulationMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5585:4-89
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5585:4-89
      elif (_1_name=="mioDataPermutationMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5586:10-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5587:4-87
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioDataPermutationMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5587:4-87
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5587:4-87
      if (_1_name=="writeLpLineWidth"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5588:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5589:2-5602:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5590:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5591:4-5599:5
          _47_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5592:10-11
          if (40 <= _47_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5593:10-17
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5593:19-5596:7
            _0_M._task_1put_1param_SD("MSK_IPAR_WRITE_LP_LINE_WIDTH",_47_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5594:8-60
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5595:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5593:19-5596:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5598:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (writeLpLineWidth)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5598:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5598:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5591:4-5599:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5601:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (writeLpLineWidth)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5601:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5601:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5589:2-5602:3
      elif (_1_name=="writeLpFullObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5603:10-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5604:4-77
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (writeLpFullObj)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5604:4-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5604:4-77
      elif (_1_name=="writeJsonIndentation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5605:10-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5606:4-83
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (writeJsonIndentation)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5606:4-83
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5606:4-83
      elif (_1_name=="infeasReportAuto"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5607:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5608:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (infeasReportAuto)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5608:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5608:4-79
      if (_1_name=="logInfeasAna"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5609:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5610:2-5623:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5611:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5612:4-5620:5
          _48_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5613:10-11
          if (0 <= _48_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5614:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5614:18-5617:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG_INFEAS_ANA",_48_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5615:8-55
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5616:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5614:18-5617:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5619:8-79
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logInfeasAna)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5619:8-79
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5619:8-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5612:4-5620:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5622:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logInfeasAna)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5622:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5622:6-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5610:2-5623:3
      elif (_1_name=="licenseWait"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5624:10-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5625:4-74
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licenseWait)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5625:4-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5625:4-74
      elif (_1_name=="licenseSuppressExpireWrns"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5626:10-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5627:4-88
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licenseSuppressExpireWrns)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5627:4-88
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5627:4-88
      if (_1_name=="licensePauseTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5628:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5629:2-5642:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5630:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5631:4-5639:5
          _49_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5632:10-11
          if ((0 <= _49_v) and (_49_v <= 1000000)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5633:10-33
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5633:35-5636:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LICENSE_PAUSE_TIME",_49_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5634:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5635:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5633:35-5636:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5638:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licensePauseTime)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5638:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5638:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5631:4-5639:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5641:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licensePauseTime)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5641:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5641:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5629:2-5642:3
      elif (_1_name=="licenseDebug"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5643:10-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5644:4-75
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licenseDebug)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5644:4-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5644:4-75
      if (_1_name=="log"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5645:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5646:2-5659:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5647:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5648:4-5656:5
          _50_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5649:10-11
          if (0 <= _50_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5650:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5650:18-5653:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG",_50_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5651:8-44
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5652:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5650:18-5653:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5655:8-70
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (log)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5655:8-70
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5655:8-70
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5648:4-5656:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5658:6-68
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (log)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5658:6-68
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5658:6-68
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5646:2-5659:3
      if (_1_name=="logExpand"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5660:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5661:2-5674:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5662:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5663:4-5671:5
          _51_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5664:10-11
          if (0 <= _51_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5665:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5665:18-5668:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG_EXPAND",_51_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5666:8-51
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5667:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5665:18-5668:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5670:8-76
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logExpand)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5670:8-76
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5670:8-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5663:4-5671:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5673:6-74
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logExpand)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5673:6-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5673:6-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5661:2-5674:3
      if (_1_name=="logFile"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5675:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5676:2-5689:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5677:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5678:4-5686:5
          _52_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5679:10-11
          if (0 <= _52_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5680:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5680:18-5683:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG_FILE",_52_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5681:8-49
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5682:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5680:18-5683:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5685:8-74
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logFile)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5685:8-74
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5685:8-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5678:4-5686:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5688:6-72
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logFile)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5688:6-72
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5688:6-72
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5676:2-5689:3
      if (_1_name=="logOrder"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5690:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5691:2-5704:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5692:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5693:4-5701:5
          _53_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5694:10-11
          if (0 <= _53_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5695:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5695:18-5698:7
            _0_M._task_1put_1param_SD("MSK_IPAR_LOG_ORDER",_53_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5696:8-50
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5697:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5695:18-5698:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5700:8-75
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logOrder)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5700:8-75
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5700:8-75
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5693:4-5701:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5703:6-73
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logOrder)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5703:6-73
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5703:6-73
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5691:2-5704:3
      elif (_1_name=="simScaling"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5705:10-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5706:4-73
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simScaling)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5706:4-73
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5706:4-73
      elif (_1_name=="simScalingMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5707:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5708:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simScalingMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5708:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5708:4-79
      if (_1_name=="simPrimalPhaseoneMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5709:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5710:2-5723:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5711:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5712:4-5720:5
          _54_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5713:10-11
          if ((0 <= _54_v) and (_54_v <= 10)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5714:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5714:30-5717:7
            _0_M._task_1put_1param_SD("MSK_IPAR_SIM_PRIMAL_PHASEONE_METHOD",_54_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5715:8-67
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5716:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5714:30-5717:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5719:8-90
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalPhaseoneMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5719:8-90
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5719:8-90
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5712:4-5720:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5722:6-88
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalPhaseoneMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5722:6-88
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5722:6-88
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5710:2-5723:3
      if (_1_name=="simDualPhaseoneMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5724:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5725:2-5738:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5726:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5727:4-5735:5
          _55_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5728:10-11
          if ((0 <= _55_v) and (_55_v <= 10)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5729:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5729:30-5732:7
            _0_M._task_1put_1param_SD("MSK_IPAR_SIM_DUAL_PHASEONE_METHOD",_55_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5730:8-65
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5731:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5729:30-5732:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5734:8-88
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualPhaseoneMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5734:8-88
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5734:8-88
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5727:4-5735:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5737:6-86
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualPhaseoneMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5737:6-86
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5737:6-86
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5725:2-5738:3
      if (_1_name=="simMaxNumSetbacks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5739:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5740:2-5753:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5741:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5742:4-5750:5
          _56_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5743:10-11
          if (0 <= _56_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5744:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5744:18-5747:7
            _0_M._task_1put_1param_SD("MSK_IPAR_SIM_MAX_NUM_SETBACKS",_56_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5745:8-61
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5746:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5744:18-5747:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5749:8-84
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simMaxNumSetbacks)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5749:8-84
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5749:8-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5742:4-5750:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5752:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simMaxNumSetbacks)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5752:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5752:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5740:2-5753:3
      elif (_1_name=="simHotstart"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5754:10-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5755:4-74
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simHotstart)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5755:4-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5755:4-74
      elif (_1_name=="simBasisFactorUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5756:10-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5757:4-80
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simBasisFactorUse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5757:4-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5757:4-80
      elif (_1_name=="simDegen"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5758:10-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5759:4-71
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDegen)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5759:4-71
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5759:4-71
      elif (_1_name=="simReformulation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5760:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5761:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simReformulation)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5761:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5761:4-79
      elif (_1_name=="simExploitDupvec"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5762:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5763:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simExploitDupvec)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5763:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5763:4-79
      elif (_1_name=="simSaveLu"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5764:10-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5765:4-72
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simSaveLu)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5765:4-72
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5765:4-72
      elif (_1_name=="simNonSingular"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5766:10-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5767:4-77
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simNonSingular)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5767:4-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5767:4-77
      if (_1_name=="simDualCrash"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5768:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5769:2-5782:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5770:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5771:4-5779:5
          _57_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5772:10-11
          if (0 <= _57_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5773:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5773:18-5776:7
            _0_M._task_1put_1param_SD("MSK_IPAR_SIM_DUAL_CRASH",_57_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5774:8-55
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5775:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5773:18-5776:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5778:8-79
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualCrash)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5778:8-79
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5778:8-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5771:4-5779:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5781:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualCrash)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5781:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5781:6-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5769:2-5782:3
      elif (_1_name=="infeasPreferPrimal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5783:10-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5784:4-81
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (infeasPreferPrimal)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5784:4-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5784:4-81
      if (_1_name=="mioRootRepeatPresolveLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5785:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5786:2-5799:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5787:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5788:4-5796:5
          _58_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5789:10-11
          if (((- 1) <= _58_v) and (_58_v <= 1)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5790:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5790:30-5793:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_ROOT_REPEAT_PRESOLVE_LEVEL",_58_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5791:8-71
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5792:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5790:30-5793:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5795:8-93
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRootRepeatPresolveLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5795:8-93
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5795:8-93
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5788:4-5796:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5798:6-91
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRootRepeatPresolveLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5798:6-91
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5798:6-91
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5786:2-5799:3
      elif (_1_name=="mioCutCmir"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5800:10-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5801:4-73
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutCmir)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5801:4-73
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5801:4-73
      elif (_1_name=="mioCutClique"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5802:10-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5803:4-75
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutClique)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5803:4-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5803:4-75
      elif (_1_name=="mioCutImpliedBound"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5804:10-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5805:4-81
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutImpliedBound)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5805:4-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5805:4-81
      elif (_1_name=="mioCutKnapsackCover"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5806:10-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5807:4-82
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutKnapsackCover)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5807:4-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5807:4-82
      elif (_1_name=="mioCutGmi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5808:10-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5809:4-72
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutGmi)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5809:4-72
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5809:4-72
      elif (_1_name=="mioCutLipro"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5810:10-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5811:4-74
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutLipro)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5811:4-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5811:4-74
      elif (_1_name=="mioConstructSol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5812:10-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5813:4-78
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioConstructSol)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5813:4-78
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5813:4-78
      if (_1_name=="presolveLindepRelWorkTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5814:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5815:2-5828:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5816:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5817:4-5825:5
          _59_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5818:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5819:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5819:16-5822:7
            _0_M._task_1put_1param_SD("MSK_IPAR_PRESOLVE_LINDEP_REL_WORK_TRH",_59_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5820:8-69
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5821:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5819:16-5822:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5824:8-91
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepRelWorkTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5824:8-91
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5824:8-91
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5817:4-5825:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5827:6-89
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepRelWorkTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5827:6-89
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5827:6-89
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5815:2-5828:3
      if (_1_name=="presolveLindepAbsWorkTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5829:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5830:2-5843:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5831:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5832:4-5840:5
          _60_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5833:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5834:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5834:16-5837:7
            _0_M._task_1put_1param_SD("MSK_IPAR_PRESOLVE_LINDEP_ABS_WORK_TRH",_60_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5835:8-69
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5836:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5834:16-5837:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5839:8-91
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepAbsWorkTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5839:8-91
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5839:8-91
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5832:4-5840:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5842:6-89
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepAbsWorkTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5842:6-89
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5842:6-89
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5830:2-5843:3
      elif (_1_name=="cacheLicense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5844:10-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5845:4-75
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (cacheLicense)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5845:4-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5845:4-75
      elif (_1_name=="intpntRegularizationUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5846:10-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5847:4-86
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntRegularizationUse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5847:4-86
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5847:4-86
      elif (_1_name=="simSolveForm"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5848:10-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5849:4-75
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simSolveForm)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5849:4-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5849:4-75
      elif (_1_name=="simSwitchOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5850:10-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5851:4-81
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simSwitchOptimizer)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5851:4-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5851:4-81
      if (_1_name=="mioRinsMaxNodes"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5852:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5853:2-5866:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5854:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5855:4-5863:5
          _61_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5856:10-11
          if ((- 1) <= _61_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5857:10-17
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5857:19-5860:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_RINS_MAX_NODES",_61_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5858:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5859:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5857:19-5860:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5862:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRinsMaxNodes)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5862:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5862:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5855:4-5863:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5865:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRinsMaxNodes)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5865:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5865:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5853:2-5866:3
      if (_1_name=="mioFeaspumpLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5867:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5868:2-5881:3
        if ((_2_value - numpy.int32(_2_value))==0.0): # bld/herlev/final/default/src/fusion/Parameters.mbi:5869:8-35
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5870:4-5878:5
          _62_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5871:10-11
          if (((- 1) <= _62_v) and (_62_v <= 2)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5872:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5872:30-5875:7
            _0_M._task_1put_1param_SD("MSK_IPAR_MIO_FEASPUMP_LEVEL",_62_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5873:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5874:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5872:30-5875:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5877:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioFeaspumpLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5877:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5877:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5870:4-5878:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5880:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioFeaspumpLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5880:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5880:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5868:2-5881:3
      elif (_1_name=="remoteUseCompression"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5882:10-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5883:4-83
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (remoteUseCompression)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5883:4-83
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5883:4-83
      if (_1_name=="optimizerMaxTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5884:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5885:2-5893:3
        _63_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5886:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5887:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5887:14-5890:5
          _0_M._task_1put_1param_SD("MSK_DPAR_OPTIMIZER_MAX_TIME",_63_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5888:6-57
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5889:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5887:14-5890:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5892:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (optimizerMaxTime)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5892:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5892:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5885:2-5893:3
      if (_1_name=="optimizerMaxTicks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5894:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5895:2-5903:3
        _64_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5896:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5897:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5897:14-5900:5
          _0_M._task_1put_1param_SD("MSK_DPAR_OPTIMIZER_MAX_TICKS",_64_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5898:6-58
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5899:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5897:14-5900:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5902:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (optimizerMaxTicks)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5902:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5902:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5895:2-5903:3
      if (_1_name=="lowerObjCut"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5904:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5905:2-5913:3
        _65_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5906:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5907:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5907:14-5910:5
          _0_M._task_1put_1param_SD("MSK_DPAR_LOWER_OBJ_CUT",_65_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5908:6-52
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5909:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5907:14-5910:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5912:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (lowerObjCut)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5912:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5912:6-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5905:2-5913:3
      if (_1_name=="upperObjCut"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5914:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5915:2-5923:3
        _66_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5916:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5917:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5917:14-5920:5
          _0_M._task_1put_1param_SD("MSK_DPAR_UPPER_OBJ_CUT",_66_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5918:6-52
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5919:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5917:14-5920:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5922:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (upperObjCut)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5922:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5922:6-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5915:2-5923:3
      if (_1_name=="upperObjCutFiniteTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5924:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5925:2-5933:3
        _67_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5926:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5927:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5927:14-5930:5
          _0_M._task_1put_1param_SD("MSK_DPAR_UPPER_OBJ_CUT_FINITE_TRH",_67_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5928:6-63
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5929:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5927:14-5930:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5932:6-85
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (upperObjCutFiniteTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5932:6-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5932:6-85
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5925:2-5933:3
      if (_1_name=="lowerObjCutFiniteTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5934:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5935:2-5943:3
        _68_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5936:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:5937:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5937:14-5940:5
          _0_M._task_1put_1param_SD("MSK_DPAR_LOWER_OBJ_CUT_FINITE_TRH",_68_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5938:6-63
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5939:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5937:14-5940:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5942:6-85
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (lowerObjCutFiniteTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5942:6-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5942:6-85
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5935:2-5943:3
      if (_1_name=="intpntTolRelGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5944:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5945:2-5953:3
        _69_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5946:8-9
        if (1.000000e-14 <= _69_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:5947:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5947:27-5950:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_REL_GAP",_69_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5948:6-57
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5949:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5947:27-5950:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5952:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolRelGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5952:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5952:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5945:2-5953:3
      if (_1_name=="intpntTolStepSize"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5954:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5955:2-5963:3
        _70_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5956:8-9
        if ((0.000000e+00 <= _70_v) and (_70_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5957:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5957:49-5960:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_STEP_SIZE",_70_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5958:6-59
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5959:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5957:49-5960:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5962:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolStepSize)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5962:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5962:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5955:2-5963:3
      if (_1_name=="simLuTolRelPiv"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5964:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5965:2-5973:3
        _71_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5966:8-9
        if ((1.000000e-06 <= _71_v) and (_71_v <= 9.999990e-01)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5967:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5967:49-5970:5
          _0_M._task_1put_1param_SD("MSK_DPAR_SIM_LU_TOL_REL_PIV",_71_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5968:6-57
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5969:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5967:49-5970:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5972:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simLuTolRelPiv)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5972:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5972:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5965:2-5973:3
      if (_1_name=="intpntTolRelStep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5974:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5975:2-5983:3
        _72_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5976:8-9
        if ((1.000000e-04 <= _72_v) and (_72_v <= 9.999990e-01)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5977:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5977:49-5980:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_REL_STEP",_72_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5978:6-58
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5979:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5977:49-5980:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5982:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolRelStep)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5982:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5982:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5975:2-5983:3
      if (_1_name=="intpntTolPath"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5984:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5985:2-5993:3
        _73_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5986:8-9
        if ((0.000000e+00 <= _73_v) and (_73_v <= 9.999000e-01)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5987:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5987:49-5990:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_PATH",_73_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5988:6-54
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5989:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5987:49-5990:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5992:6-78
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolPath)") # bld/herlev/final/default/src/fusion/Parameters.mbi:5992:6-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5992:6-78
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5985:2-5993:3
      if (_1_name=="intpntTolPfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:5994:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5995:2-6003:3
        _74_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:5996:8-9
        if ((0.000000e+00 <= _74_v) and (_74_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:5997:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5997:49-6000:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_PFEAS",_74_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:5998:6-55
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:5999:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5997:49-6000:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6002:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolPfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6002:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6002:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:5995:2-6003:3
      if (_1_name=="intpntTolDfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6004:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6005:2-6013:3
        _75_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6006:8-9
        if ((0.000000e+00 <= _75_v) and (_75_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:6007:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6007:49-6010:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_DFEAS",_75_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6008:6-55
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6009:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6007:49-6010:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6012:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolDfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6012:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6012:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6005:2-6013:3
      if (_1_name=="intpntTolMuRed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6014:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6015:2-6023:3
        _76_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6016:8-9
        if ((0.000000e+00 <= _76_v) and (_76_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:6017:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6017:49-6020:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_MU_RED",_76_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6018:6-56
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6019:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6017:49-6020:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6022:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolMuRed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6022:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6022:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6015:2-6023:3
      if (_1_name=="intpntTolInfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6024:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6025:2-6033:3
        _77_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6026:8-9
        if ((0.000000e+00 <= _77_v) and (_77_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:6027:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6027:49-6030:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_INFEAS",_77_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6028:6-56
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6029:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6027:49-6030:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6032:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolInfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6032:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6032:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6025:2-6033:3
      if (_1_name=="intpntCoTolRelGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6034:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6035:2-6043:3
        _78_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6036:8-9
        if ((0.000000e+00 <= _78_v) and (_78_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:6037:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6037:49-6040:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_REL_GAP",_78_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6038:6-60
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6039:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6037:49-6040:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6042:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolRelGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6042:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6042:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6035:2-6043:3
      if (_1_name=="intpntCoTolPfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6044:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6045:2-6053:3
        _79_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6046:8-9
        if ((0.000000e+00 <= _79_v) and (_79_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:6047:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6047:49-6050:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_PFEAS",_79_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6048:6-58
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6049:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6047:49-6050:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6052:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolPfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6052:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6052:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6045:2-6053:3
      if (_1_name=="intpntCoTolDfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6054:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6055:2-6063:3
        _80_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6056:8-9
        if ((0.000000e+00 <= _80_v) and (_80_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:6057:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6057:49-6060:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_DFEAS",_80_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6058:6-58
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6059:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6057:49-6060:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6062:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolDfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6062:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6062:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6055:2-6063:3
      if (_1_name=="intpntCoTolMuRed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6064:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6065:2-6073:3
        _81_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6066:8-9
        if ((0.000000e+00 <= _81_v) and (_81_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:6067:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6067:49-6070:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_MU_RED",_81_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6068:6-59
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6069:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6067:49-6070:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6072:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolMuRed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6072:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6072:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6065:2-6073:3
      if (_1_name=="intpntCoTolNearRel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6074:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6075:2-6083:3
        _82_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6076:8-9
        if (1.000000e+00 <= _82_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6077:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6077:27-6080:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_NEAR_REL",_82_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6078:6-61
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6079:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6077:27-6080:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6082:6-83
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolNearRel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6082:6-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6082:6-83
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6075:2-6083:3
      if (_1_name=="intpntCoTolInfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6084:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6085:2-6093:3
        _83_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6086:8-9
        if ((0.000000e+00 <= _83_v) and (_83_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:6087:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6087:49-6090:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_INFEAS",_83_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6088:6-59
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6089:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6087:49-6090:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6092:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolInfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6092:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6092:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6085:2-6093:3
      if (_1_name=="intpntTolPsafe"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6094:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6095:2-6103:3
        _84_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6096:8-9
        if (1.000000e-04 <= _84_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6097:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6097:27-6100:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_PSAFE",_84_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6098:6-55
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6099:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6097:27-6100:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6102:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolPsafe)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6102:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6102:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6095:2-6103:3
      if (_1_name=="intpntTolDsafe"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6104:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6105:2-6113:3
        _85_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6106:8-9
        if (1.000000e-04 <= _85_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6107:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6107:27-6110:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_DSAFE",_85_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6108:6-55
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6109:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6107:27-6110:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6112:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolDsafe)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6112:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6112:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6105:2-6113:3
      if (_1_name=="mioMaxTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6114:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6115:2-6123:3
        _86_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6116:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:6117:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6117:14-6120:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_MAX_TIME",_86_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6118:6-51
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6119:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6117:14-6120:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6122:6-75
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxTime)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6122:6-75
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6122:6-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6115:2-6123:3
      if (_1_name=="mioRelGapConst"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6124:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6125:2-6133:3
        _87_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6126:8-9
        if (1.000000e-15 <= _87_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6127:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6127:27-6130:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_REL_GAP_CONST",_87_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6128:6-56
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6129:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6127:27-6130:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6132:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRelGapConst)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6132:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6132:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6125:2-6133:3
      if (_1_name=="mioTolRelGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6134:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6135:2-6143:3
        _88_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6136:8-9
        if (0.000000e+00 <= _88_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6137:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6137:27-6140:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_TOL_REL_GAP",_88_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6138:6-54
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6139:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6137:27-6140:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6142:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolRelGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6142:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6142:6-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6135:2-6143:3
      if (_1_name=="mioTolAbsGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6144:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6145:2-6153:3
        _89_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6146:8-9
        if (0.000000e+00 <= _89_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6147:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6147:27-6150:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_TOL_ABS_GAP",_89_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6148:6-54
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6149:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6147:27-6150:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6152:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolAbsGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6152:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6152:6-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6145:2-6153:3
      if (_1_name=="mioTolAbsRelaxInt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6154:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6155:2-6163:3
        _90_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6156:8-9
        if (1.000000e-09 <= _90_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6157:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6157:27-6160:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_TOL_ABS_RELAX_INT",_90_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6158:6-60
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6159:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6157:27-6160:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6162:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolAbsRelaxInt)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6162:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6162:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6155:2-6163:3
      if (_1_name=="mioDjcMaxBigm"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6164:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6165:2-6173:3
        _91_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6166:8-9
        if (0.000000e+00 <= _91_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6167:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6167:27-6170:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_DJC_MAX_BIGM",_91_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6168:6-55
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6169:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6167:27-6170:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6172:6-78
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioDjcMaxBigm)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6172:6-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6172:6-78
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6165:2-6173:3
      if (_1_name=="basisTolX"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6174:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6175:2-6183:3
        _92_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6176:8-9
        if (1.000000e-09 <= _92_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6177:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6177:27-6180:5
          _0_M._task_1put_1param_SD("MSK_DPAR_BASIS_TOL_X",_92_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6178:6-50
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6179:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6177:27-6180:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6182:6-74
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (basisTolX)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6182:6-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6182:6-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6175:2-6183:3
      if (_1_name=="basisTolS"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6184:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6185:2-6193:3
        _93_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6186:8-9
        if (1.000000e-09 <= _93_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6187:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6187:27-6190:5
          _0_M._task_1put_1param_SD("MSK_DPAR_BASIS_TOL_S",_93_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6188:6-50
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6189:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6187:27-6190:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6192:6-74
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (basisTolS)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6192:6-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6192:6-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6185:2-6193:3
      if (_1_name=="basisRelTolS"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6194:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6195:2-6203:3
        _94_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6196:8-9
        if (0.000000e+00 <= _94_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6197:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6197:27-6200:5
          _0_M._task_1put_1param_SD("MSK_DPAR_BASIS_REL_TOL_S",_94_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6198:6-54
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6199:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6197:27-6200:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6202:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (basisRelTolS)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6202:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6202:6-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6195:2-6203:3
      if (_1_name=="presolveTolX"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6204:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6205:2-6213:3
        _95_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6206:8-9
        if (0.000000e+00 <= _95_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6207:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6207:27-6210:5
          _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_X",_95_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6208:6-53
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6209:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6207:27-6210:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6212:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolX)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6212:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6212:6-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6205:2-6213:3
      if (_1_name=="presolveTolPrimalInfeasPerturbation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6214:6-51
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6215:2-6223:3
        _96_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6216:8-9
        if (0.000000e+00 <= _96_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6217:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6217:27-6220:5
          _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_PRIMAL_INFEAS_PERTURBATION",_96_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6218:6-78
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6219:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6217:27-6220:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6222:6-100
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolPrimalInfeasPerturbation)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6222:6-100
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6222:6-100
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6215:2-6223:3
      if (_1_name=="presolveTolS"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6224:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6225:2-6233:3
        _97_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6226:8-9
        if (0.000000e+00 <= _97_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6227:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6227:27-6230:5
          _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_S",_97_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6228:6-53
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6229:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6227:27-6230:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6232:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolS)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6232:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6232:6-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6225:2-6233:3
      if (_1_name=="presolveTolAij"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6234:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6235:2-6243:3
        _98_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6236:8-9
        if (1.000000e-15 <= _98_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6237:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6237:27-6240:5
          _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_AIJ",_98_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6238:6-55
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6239:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6237:27-6240:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6242:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolAij)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6242:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6242:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6235:2-6243:3
      if (_1_name=="presolveTolAbsLindep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6244:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6245:2-6253:3
        _99_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6246:8-9
        if (0.000000e+00 <= _99_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6247:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6247:27-6250:5
          _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_ABS_LINDEP",_99_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6248:6-62
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6249:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6247:27-6250:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6252:6-85
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolAbsLindep)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6252:6-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6252:6-85
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6245:2-6253:3
      if (_1_name=="presolveTolRelLindep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6254:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6255:2-6263:3
        _100_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6256:8-9
        if (0.000000e+00 <= _100_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6257:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6257:27-6260:5
          _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_REL_LINDEP",_100_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6258:6-62
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6259:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6257:27-6260:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6262:6-85
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolRelLindep)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6262:6-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6262:6-85
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6255:2-6263:3
      if (_1_name=="simplexAbsTolPiv"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6264:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6265:2-6273:3
        _101_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6266:8-9
        if (1.000000e-12 <= _101_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:6267:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6267:27-6270:5
          _0_M._task_1put_1param_SD("MSK_DPAR_SIMPLEX_ABS_TOL_PIV",_101_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6268:6-58
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6269:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6267:27-6270:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6272:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simplexAbsTolPiv)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6272:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6272:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6265:2-6273:3
      if (_1_name=="mioTolFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6274:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6275:2-6283:3
        _102_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6276:8-9
        if ((1.000000e-09 <= _102_v) and (_102_v <= 1.000000e-03)): # bld/herlev/final/default/src/fusion/Parameters.mbi:6277:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6277:49-6280:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_TOL_FEAS",_102_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6278:6-51
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6279:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6277:49-6280:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6282:6-75
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolFeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6282:6-75
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6282:6-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6275:2-6283:3
      if (_1_name=="mioTolRelDualBoundImprovement"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6284:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6285:2-6293:3
        _103_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:6286:8-9
        if ((0.000000e+00 <= _103_v) and (_103_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:6287:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6287:49-6290:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_TOL_REL_DUAL_BOUND_IMPROVEMENT",_103_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:6288:6-73
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:6289:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6287:49-6290:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6292:6-94
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolRelDualBoundImprovement)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6292:6-94
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6292:6-94
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6285:2-6293:3
      elif (_1_name=="dataFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6294:10-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6295:4-75
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (dataFileName)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6295:4-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6295:4-75
      elif (_1_name=="basSolFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6296:10-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6297:4-77
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (basSolFileName)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6297:4-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6297:4-77
      elif (_1_name=="itrSolFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6298:10-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6299:4-77
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (itrSolFileName)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6299:4-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6299:4-77
      elif (_1_name=="intSolFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6300:10-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6301:4-77
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intSolFileName)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6301:4-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6301:4-77
      elif (_1_name=="writeLpGenVarName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6302:10-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6303:4-80
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (writeLpGenVarName)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6303:4-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6303:4-80
      elif (_1_name=="remoteOptserverHost"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6304:10-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6305:4-82
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (remoteOptserverHost)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6305:4-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6305:4-82
      elif (_1_name=="remoteTlsCertPath"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6306:10-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6307:4-80
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (remoteTlsCertPath)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6307:4-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6307:4-80
      elif (_1_name=="remoteTlsCert"): # bld/herlev/final/default/src/fusion/Parameters.mbi:6308:10-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6309:4-76
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (remoteTlsCert)") # bld/herlev/final/default/src/fusion/Parameters.mbi:6309:4-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:6309:4-76
      raise mosek_fusion_ParameterError._ctor_S("Unknown parameter") # bld/herlev/final/default/src/fusion/Parameters.mbi:6310:2-48
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4864:0-6311:1
    @staticmethod
    def _match_setParameter_Lmosek_4fusion_4Model_2SI(*args):
      if len(args) != 3: return False
      _0_M,_1_name,_2_value, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(_0_M)
              and __arg_match_S__(_1_name)
              and __arg_match_I__(_2_value))
    @staticmethod
    def _match_alt_setParameter_Lmosek_4fusion_4Model_2SI(*args):
      if len(args) != 3: return False
      _0_M,_1_name,_2_value, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(_0_M)
              and __arg_alt_match_S__(_1_name)
              and __arg_alt_match_I__(_2_value))
    @staticmethod
    def _setParameter_alt_Lmosek_4fusion_4Model_2SI(_t__0_M,_t__1_name,_t__2_value):
      return mosek_fusion_Parameters._setParameter_Lmosek_4fusion_4Model_2SI(_0_M,_1_name,numpy.int32(__2_value))
    @staticmethod
    def _setParameter_Lmosek_4fusion_4Model_2SI(_0_M,_1_name,_2_value):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3714:0-4861:1
      if False: # bld/herlev/final/default/src/fusion/Parameters.mbi:3715:6-11
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3715:13-15
        pass
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3715:13-15
      elif (_1_name=="autoUpdateSolInfo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3716:10-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3717:4-80
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (autoUpdateSolInfo)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3717:4-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3717:4-80
      elif (_1_name=="removeUnusedSolutions"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3718:10-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3719:4-84
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (removeUnusedSolutions)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3719:4-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3719:4-84
      if (_1_name=="numThreads"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3720:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3721:2-3729:3
        _3_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3722:8-9
        if (0 <= _3_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3723:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3723:16-3726:5
          _0_M._task_1put_1param_SI("MSK_IPAR_NUM_THREADS",_3_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3724:6-50
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3725:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3723:16-3726:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3728:6-75
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (numThreads)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3728:6-75
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3728:6-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3721:2-3729:3
      if (_1_name=="mtSpincount"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3730:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3731:2-3739:3
        _4_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3732:8-9
        if ((0 <= _4_v) and (_4_v <= 1000000000)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3733:8-34
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3733:36-3736:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MT_SPINCOUNT",_4_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3734:6-51
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3735:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3733:36-3736:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3738:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mtSpincount)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3738:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3738:6-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3731:2-3739:3
      elif (_1_name=="optimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3740:10-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3741:4-72
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (optimizer)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3741:4-72
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3741:4-72
      if (_1_name=="biMaxIterations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3742:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3743:2-3751:3
        _5_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3744:8-9
        if (0 <= _5_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3745:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3745:16-3748:5
          _0_M._task_1put_1param_SI("MSK_IPAR_BI_MAX_ITERATIONS",_5_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3746:6-56
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3747:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3745:16-3748:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3750:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (biMaxIterations)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3750:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3750:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3743:2-3751:3
      if (_1_name=="licenseTrhExpiryWrn"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3752:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3753:2-3761:3
        _6_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3754:8-9
        if (0 <= _6_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3755:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3755:16-3758:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LICENSE_TRH_EXPIRY_WRN",_6_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3756:6-61
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3757:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3755:16-3758:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3760:6-84
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licenseTrhExpiryWrn)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3760:6-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3760:6-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3753:2-3761:3
      if (_1_name=="logCutSecondOpt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3762:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3763:2-3771:3
        _7_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3764:8-9
        if (0 <= _7_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3765:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3765:16-3768:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG_CUT_SECOND_OPT",_7_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3766:6-57
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3767:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3765:16-3768:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3770:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logCutSecondOpt)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3770:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3770:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3763:2-3771:3
      if (_1_name=="logResponse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3772:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3773:2-3781:3
        _8_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3774:8-9
        if (0 <= _8_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3775:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3775:16-3778:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG_RESPONSE",_8_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3776:6-51
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3777:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3775:16-3778:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3780:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logResponse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3780:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3780:6-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3773:2-3781:3
      elif (_1_name=="logLocalInfo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3782:10-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3783:4-75
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logLocalInfo)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3783:4-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3783:4-75
      if (_1_name=="logBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3784:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3785:2-3793:3
        _9_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3786:8-9
        if (0 <= _9_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3787:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3787:16-3790:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG_BI",_9_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3788:6-45
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3789:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3787:16-3790:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3792:6-70
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logBi)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3792:6-70
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3792:6-70
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3785:2-3793:3
      if (_1_name=="logBiFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3794:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3795:2-3803:3
        _10_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3796:8-9
        if (0 <= _10_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3797:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3797:16-3800:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG_BI_FREQ",_10_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3798:6-50
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3799:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3797:16-3800:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3802:6-74
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logBiFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3802:6-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3802:6-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3795:2-3803:3
      elif (_1_name=="biCleanOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3804:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3805:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (biCleanOptimizer)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3805:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3805:4-79
      elif (_1_name=="intpntStartingPoint"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3806:10-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3807:4-82
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntStartingPoint)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3807:4-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3807:4-82
      elif (_1_name=="intpntDiffStep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3808:10-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3809:4-77
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntDiffStep)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3809:4-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3809:4-77
      elif (_1_name=="intpntScaling"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3810:10-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3811:4-76
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntScaling)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3811:4-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3811:4-76
      elif (_1_name=="intpntSolveForm"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3812:10-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3813:4-78
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntSolveForm)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3813:4-78
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3813:4-78
      if (_1_name=="logIntpnt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3814:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3815:2-3823:3
        _11_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3816:8-9
        if (0 <= _11_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3817:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3817:16-3820:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG_INTPNT",_11_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3818:6-49
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3819:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3817:16-3820:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3822:6-74
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logIntpnt)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3822:6-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3822:6-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3815:2-3823:3
      if (_1_name=="intpntMaxIterations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3824:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3825:2-3833:3
        _12_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3826:8-9
        if (0 <= _12_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3827:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3827:16-3830:5
          _0_M._task_1put_1param_SI("MSK_IPAR_INTPNT_MAX_ITERATIONS",_12_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3828:6-60
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3829:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3827:16-3830:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3832:6-84
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntMaxIterations)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3832:6-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3832:6-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3825:2-3833:3
      if (_1_name=="intpntOffColTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3834:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3835:2-3843:3
        _13_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3836:8-9
        if (0 <= _13_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3837:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3837:16-3840:5
          _0_M._task_1put_1param_SI("MSK_IPAR_INTPNT_OFF_COL_TRH",_13_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3838:6-57
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3839:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3837:16-3840:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3842:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntOffColTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3842:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3842:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3835:2-3843:3
      elif (_1_name=="intpntOrderMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3844:10-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3845:4-80
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntOrderMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3845:4-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3845:4-80
      if (_1_name=="intpntOrderGpNumSeeds"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3846:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3847:2-3855:3
        _14_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3848:8-9
        if (0 <= _14_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3849:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3849:16-3852:5
          _0_M._task_1put_1param_SI("MSK_IPAR_INTPNT_ORDER_GP_NUM_SEEDS",_14_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3850:6-64
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3851:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3849:16-3852:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3854:6-86
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntOrderGpNumSeeds)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3854:6-86
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3854:6-86
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3847:2-3855:3
      elif (_1_name=="intpntBasis"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3856:10-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3857:4-74
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntBasis)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3857:4-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3857:4-74
      elif (_1_name=="biIgnoreMaxIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3858:10-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3859:4-78
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (biIgnoreMaxIter)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3859:4-78
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3859:4-78
      elif (_1_name=="biIgnoreNumError"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3860:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3861:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (biIgnoreNumError)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3861:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3861:4-79
      if (_1_name=="intpntMaxNumCor"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3862:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3863:2-3871:3
        _15_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3864:8-9
        if ((- 1) <= _15_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3865:8-15
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3865:17-3868:5
          _0_M._task_1put_1param_SI("MSK_IPAR_INTPNT_MAX_NUM_COR",_15_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3866:6-57
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3867:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3865:17-3868:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3870:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntMaxNumCor)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3870:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3870:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3863:2-3871:3
      elif (_1_name=="presolveUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3872:10-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3873:4-74
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveUse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3873:4-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3873:4-74
      if (_1_name=="presolveLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3874:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3875:2-3883:3
        _16_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3876:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:3877:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3877:14-3880:5
          _0_M._task_1put_1param_SI("MSK_IPAR_PRESOLVE_LEVEL",_16_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3878:6-53
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3879:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3877:14-3880:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3882:6-78
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3882:6-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3882:6-78
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3875:2-3883:3
      if (_1_name=="logPresolve"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3884:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3885:2-3893:3
        _17_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3886:8-9
        if (0 <= _17_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3887:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3887:16-3890:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG_PRESOLVE",_17_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3888:6-51
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3889:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3887:16-3890:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3892:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logPresolve)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3892:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3892:6-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3885:2-3893:3
      elif (_1_name=="presolveLindepUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3894:10-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3895:4-80
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepUse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3895:4-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3895:4-80
      elif (_1_name=="presolveLindepNew"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3896:10-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3897:4-80
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepNew)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3897:4-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3897:4-80
      if (_1_name=="presolveMaxNumPass"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3898:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3899:2-3907:3
        _18_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3900:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:3901:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3901:14-3904:5
          _0_M._task_1put_1param_SI("MSK_IPAR_PRESOLVE_MAX_NUM_PASS",_18_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3902:6-60
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3903:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3901:14-3904:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3906:6-83
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveMaxNumPass)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3906:6-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3906:6-83
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3899:2-3907:3
      if (_1_name=="presolveEliminatorMaxNumTries"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3908:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3909:2-3917:3
        _19_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3910:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:3911:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3911:14-3914:5
          _0_M._task_1put_1param_SI("MSK_IPAR_PRESOLVE_ELIMINATOR_MAX_NUM_TRIES",_19_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3912:6-72
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3913:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3911:14-3914:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3916:6-94
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveEliminatorMaxNumTries)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3916:6-94
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3916:6-94
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3909:2-3917:3
      if (_1_name=="presolveEliminatorMaxFill"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3918:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3919:2-3927:3
        _20_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3920:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:3921:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3921:14-3924:5
          _0_M._task_1put_1param_SI("MSK_IPAR_PRESOLVE_ELIMINATOR_MAX_FILL",_20_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3922:6-67
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3923:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3921:14-3924:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3926:6-90
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveEliminatorMaxFill)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3926:6-90
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3926:6-90
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3919:2-3927:3
      if (_1_name=="simPrimalCrash"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3928:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3929:2-3937:3
        _21_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3930:8-9
        if (0 <= _21_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3931:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3931:16-3934:5
          _0_M._task_1put_1param_SI("MSK_IPAR_SIM_PRIMAL_CRASH",_21_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3932:6-55
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3933:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3931:16-3934:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3936:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalCrash)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3936:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3936:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3929:2-3937:3
      if (_1_name=="logSim"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3938:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3939:2-3947:3
        _22_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3940:8-9
        if (0 <= _22_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3941:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3941:16-3944:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG_SIM",_22_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3942:6-46
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3943:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3941:16-3944:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3946:6-71
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logSim)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3946:6-71
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3946:6-71
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3939:2-3947:3
      if (_1_name=="logSimMinor"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3948:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3949:2-3957:3
        _23_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3950:8-9
        if (0 <= _23_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3951:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3951:16-3954:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG_SIM_MINOR",_23_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3952:6-52
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3953:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3951:16-3954:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3956:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logSimMinor)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3956:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3956:6-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3949:2-3957:3
      if (_1_name=="logSimFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3958:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3959:2-3967:3
        _24_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3960:8-9
        if (0 <= _24_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3961:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3961:16-3964:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG_SIM_FREQ",_24_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3962:6-51
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3963:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3961:16-3964:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3966:6-75
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logSimFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3966:6-75
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3966:6-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3959:2-3967:3
      if (_1_name=="simPrimalRestrictSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3968:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3969:2-3977:3
        _25_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3970:8-9
        if ((0 <= _25_v) and (_25_v <= 100)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3971:8-27
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3971:29-3974:5
          _0_M._task_1put_1param_SI("MSK_IPAR_SIM_PRIMAL_RESTRICT_SELECTION",_25_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3972:6-68
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3973:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3971:29-3974:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3976:6-91
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalRestrictSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3976:6-91
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3976:6-91
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3969:2-3977:3
      elif (_1_name=="simPrimalSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3978:10-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3979:4-81
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3979:4-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3979:4-81
      if (_1_name=="simDualRestrictSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3980:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3981:2-3989:3
        _26_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3982:8-9
        if ((0 <= _26_v) and (_26_v <= 100)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3983:8-27
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3983:29-3986:5
          _0_M._task_1put_1param_SI("MSK_IPAR_SIM_DUAL_RESTRICT_SELECTION",_26_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3984:6-66
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3985:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3983:29-3986:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3988:6-89
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualRestrictSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3988:6-89
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3988:6-89
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3981:2-3989:3
      elif (_1_name=="simDualSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3990:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3991:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3991:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3991:4-79
      if (_1_name=="simMaxIterations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3992:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3993:2-4001:3
        _27_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:3994:8-9
        if (0 <= _27_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3995:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3995:16-3998:5
          _0_M._task_1put_1param_SI("MSK_IPAR_SIM_MAX_ITERATIONS",_27_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3996:6-57
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3997:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3995:16-3998:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4000:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simMaxIterations)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4000:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4000:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3993:2-4001:3
      elif (_1_name=="simHotstartLu"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4002:10-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4003:4-76
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simHotstartLu)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4003:4-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4003:4-76
      if (_1_name=="simRefactorFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4004:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4005:2-4013:3
        _28_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4006:8-9
        if (0 <= _28_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4007:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4007:16-4010:5
          _0_M._task_1put_1param_SI("MSK_IPAR_SIM_REFACTOR_FREQ",_28_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4008:6-56
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4009:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4007:16-4010:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4012:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simRefactorFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4012:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4012:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4005:2-4013:3
      if (_1_name=="simSeed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4014:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4015:2-4023:3
        _29_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4016:8-9
        if ((0 <= _29_v) and (_29_v <= 32749)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4017:8-29
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4017:31-4020:5
          _0_M._task_1put_1param_SI("MSK_IPAR_SIM_SEED",_29_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4018:6-47
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4019:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4017:31-4020:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4022:6-72
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simSeed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4022:6-72
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4022:6-72
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4015:2-4023:3
      elif (_1_name=="mioMode"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4024:10-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4025:4-70
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMode)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4025:4-70
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4025:4-70
      if (_1_name=="logMio"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4026:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4027:2-4035:3
        _30_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4028:8-9
        if (0 <= _30_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4029:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4029:16-4032:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG_MIO",_30_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4030:6-46
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4031:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4029:16-4032:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4034:6-71
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logMio)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4034:6-71
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4034:6-71
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4027:2-4035:3
      if (_1_name=="logMioFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4036:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4037:2-4045:3
        _31_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4038:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:4039:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4039:14-4042:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG_MIO_FREQ",_31_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4040:6-51
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4041:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4039:14-4042:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4044:6-75
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logMioFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4044:6-75
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4044:6-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4037:2-4045:3
      if (_1_name=="mioMaxNumRelaxs"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4046:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4047:2-4055:3
        _32_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4048:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:4049:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4049:14-4052:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_MAX_NUM_RELAXS",_32_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4050:6-57
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4051:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4049:14-4052:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4054:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumRelaxs)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4054:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4054:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4047:2-4055:3
      if (_1_name=="mioMaxNumBranches"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4056:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4057:2-4065:3
        _33_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4058:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:4059:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4059:14-4062:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_MAX_NUM_BRANCHES",_33_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4060:6-59
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4061:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4059:14-4062:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4064:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumBranches)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4064:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4064:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4057:2-4065:3
      if (_1_name=="mioMaxNumRestarts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4066:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4067:2-4075:3
        _34_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4068:8-9
        if (0 <= _34_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4069:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4069:16-4072:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_MAX_NUM_RESTARTS",_34_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4070:6-59
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4071:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4069:16-4072:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4074:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumRestarts)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4074:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4074:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4067:2-4075:3
      if (_1_name=="mioMaxNumRootCutRounds"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4076:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4077:2-4085:3
        _35_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4078:8-9
        if (0 <= _35_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4079:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4079:16-4082:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_MAX_NUM_ROOT_CUT_ROUNDS",_35_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4080:6-66
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4081:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4079:16-4082:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4084:6-87
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumRootCutRounds)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4084:6-87
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4084:6-87
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4077:2-4085:3
      if (_1_name=="mioMaxNumSolutions"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4086:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4087:2-4095:3
        _36_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4088:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:4089:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4089:14-4092:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_MAX_NUM_SOLUTIONS",_36_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4090:6-60
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4091:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4089:14-4092:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4094:6-83
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumSolutions)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4094:6-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4094:6-83
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4087:2-4095:3
      elif (_1_name=="mioNodeSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4096:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4097:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioNodeSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4097:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4097:4-79
      elif (_1_name=="mioVarSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4098:10-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4099:4-78
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioVarSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4099:4-78
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4099:4-78
      if (_1_name=="mioMinRel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4100:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4101:2-4109:3
        _37_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4102:8-9
        if (0 <= _37_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4103:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4103:16-4106:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_MIN_REL",_37_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4104:6-50
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4105:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4103:16-4106:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4108:6-74
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMinRel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4108:6-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4108:6-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4101:2-4109:3
      if (_1_name=="mioHeuristicLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4110:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4111:2-4119:3
        _38_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4112:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:4113:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4113:14-4116:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_HEURISTIC_LEVEL",_38_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4114:6-58
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4115:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4113:14-4116:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4118:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioHeuristicLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4118:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4118:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4111:2-4119:3
      if (_1_name=="mioProbingLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4120:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4121:2-4129:3
        _39_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4122:8-9
        if (((- 1) <= _39_v) and (_39_v <= 3)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4123:8-26
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4123:28-4126:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_PROBING_LEVEL",_39_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4124:6-56
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4125:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4123:28-4126:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4128:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioProbingLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4128:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4128:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4121:2-4129:3
      if (_1_name=="mioSymmetryLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4130:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4131:2-4139:3
        _40_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4132:8-9
        if (((- 1) <= _40_v) and (_40_v <= 4)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4133:8-26
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4133:28-4136:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_SYMMETRY_LEVEL",_40_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4134:6-57
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4135:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4133:28-4136:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4138:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioSymmetryLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4138:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4138:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4131:2-4139:3
      if (_1_name=="mioDualRayAnalysisLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4140:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4141:2-4149:3
        _41_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4142:8-9
        if (((- 1) <= _41_v) and (_41_v <= 2)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4143:8-26
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4143:28-4146:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_DUAL_RAY_ANALYSIS_LEVEL",_41_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4144:6-66
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4145:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4143:28-4146:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4148:6-88
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioDualRayAnalysisLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4148:6-88
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4148:6-88
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4141:2-4149:3
      elif (_1_name=="mioPresolveAggregatorUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4150:10-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4151:4-87
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioPresolveAggregatorUse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4151:4-87
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4151:4-87
      if (_1_name=="mioNumericalEmphasisLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4152:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4153:2-4161:3
        _42_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4154:8-9
        if ((0 <= _42_v) and (_42_v <= 2)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4155:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4155:27-4158:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_NUMERICAL_EMPHASIS_LEVEL",_42_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4156:6-67
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4157:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4155:27-4158:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4160:6-90
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioNumericalEmphasisLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4160:6-90
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4160:6-90
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4153:2-4161:3
      if (_1_name=="mioMemoryEmphasisLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4162:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4163:2-4171:3
        _43_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4164:8-9
        if ((0 <= _43_v) and (_43_v <= 1)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4165:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4165:27-4168:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_MEMORY_EMPHASIS_LEVEL",_43_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4166:6-64
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4167:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4165:27-4168:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4170:6-87
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMemoryEmphasisLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4170:6-87
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4170:6-87
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4163:2-4171:3
      if (_1_name=="mioCutSelectionLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4172:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4173:2-4181:3
        _44_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4174:8-9
        if (((- 1) <= _44_v) and (_44_v <= 1)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4175:8-26
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4175:28-4178:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_CUT_SELECTION_LEVEL",_44_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4176:6-62
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4177:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4175:28-4178:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4180:6-85
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutSelectionLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4180:6-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4180:6-85
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4173:2-4181:3
      if (_1_name=="mioVbDetectionLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4182:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4183:2-4191:3
        _45_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4184:8-9
        if (((- 1) <= _45_v) and (_45_v <= 2)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4185:8-26
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4185:28-4188:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_VB_DETECTION_LEVEL",_45_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4186:6-61
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4187:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4185:28-4188:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4190:6-84
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioVbDetectionLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4190:6-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4190:6-84
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4183:2-4191:3
      elif (_1_name=="mioBranchDir"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4192:10-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4193:4-75
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioBranchDir)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4193:4-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4193:4-75
      elif (_1_name=="mioRootOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4194:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4195:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRootOptimizer)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4195:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4195:4-79
      elif (_1_name=="mioNodeOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4196:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4197:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioNodeOptimizer)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4197:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4197:4-79
      elif (_1_name=="mioPerspectiveReformulate"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4198:10-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4199:4-88
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioPerspectiveReformulate)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4199:4-88
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4199:4-88
      elif (_1_name=="mioPropagateObjectiveConstraint"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4200:10-51
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4201:4-94
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioPropagateObjectiveConstraint)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4201:4-94
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4201:4-94
      if (_1_name=="mioSeed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4202:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4203:2-4211:3
        _46_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4204:8-9
        if (0 <= _46_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4205:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4205:16-4208:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_SEED",_46_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4206:6-47
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4207:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4205:16-4208:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4210:6-72
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioSeed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4210:6-72
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4210:6-72
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4203:2-4211:3
      elif (_1_name=="mioConicOuterApproximation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4212:10-46
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4213:4-89
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioConicOuterApproximation)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4213:4-89
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4213:4-89
      elif (_1_name=="mioQcqoReformulationMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4214:10-46
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4215:4-89
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioQcqoReformulationMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4215:4-89
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4215:4-89
      elif (_1_name=="mioDataPermutationMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4216:10-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4217:4-87
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioDataPermutationMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4217:4-87
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4217:4-87
      if (_1_name=="writeLpLineWidth"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4218:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4219:2-4227:3
        _47_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4220:8-9
        if (40 <= _47_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4221:8-15
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4221:17-4224:5
          _0_M._task_1put_1param_SI("MSK_IPAR_WRITE_LP_LINE_WIDTH",_47_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4222:6-58
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4223:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4221:17-4224:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4226:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (writeLpLineWidth)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4226:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4226:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4219:2-4227:3
      elif (_1_name=="writeLpFullObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4228:10-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4229:4-77
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (writeLpFullObj)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4229:4-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4229:4-77
      elif (_1_name=="writeJsonIndentation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4230:10-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4231:4-83
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (writeJsonIndentation)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4231:4-83
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4231:4-83
      elif (_1_name=="infeasReportAuto"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4232:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4233:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (infeasReportAuto)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4233:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4233:4-79
      if (_1_name=="logInfeasAna"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4234:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4235:2-4243:3
        _48_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4236:8-9
        if (0 <= _48_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4237:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4237:16-4240:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG_INFEAS_ANA",_48_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4238:6-53
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4239:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4237:16-4240:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4242:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logInfeasAna)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4242:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4242:6-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4235:2-4243:3
      elif (_1_name=="licenseWait"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4244:10-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4245:4-74
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licenseWait)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4245:4-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4245:4-74
      elif (_1_name=="licenseSuppressExpireWrns"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4246:10-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4247:4-88
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licenseSuppressExpireWrns)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4247:4-88
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4247:4-88
      if (_1_name=="licensePauseTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4248:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4249:2-4257:3
        _49_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4250:8-9
        if ((0 <= _49_v) and (_49_v <= 1000000)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4251:8-31
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4251:33-4254:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LICENSE_PAUSE_TIME",_49_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4252:6-57
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4253:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4251:33-4254:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4256:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licensePauseTime)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4256:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4256:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4249:2-4257:3
      elif (_1_name=="licenseDebug"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4258:10-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4259:4-75
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licenseDebug)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4259:4-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4259:4-75
      if (_1_name=="log"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4260:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4261:2-4269:3
        _50_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4262:8-9
        if (0 <= _50_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4263:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4263:16-4266:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG",_50_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4264:6-42
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4265:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4263:16-4266:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4268:6-68
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (log)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4268:6-68
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4268:6-68
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4261:2-4269:3
      if (_1_name=="logExpand"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4270:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4271:2-4279:3
        _51_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4272:8-9
        if (0 <= _51_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4273:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4273:16-4276:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG_EXPAND",_51_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4274:6-49
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4275:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4273:16-4276:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4278:6-74
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logExpand)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4278:6-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4278:6-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4271:2-4279:3
      if (_1_name=="logFile"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4280:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4281:2-4289:3
        _52_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4282:8-9
        if (0 <= _52_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4283:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4283:16-4286:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG_FILE",_52_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4284:6-47
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4285:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4283:16-4286:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4288:6-72
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logFile)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4288:6-72
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4288:6-72
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4281:2-4289:3
      if (_1_name=="logOrder"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4290:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4291:2-4299:3
        _53_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4292:8-9
        if (0 <= _53_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4293:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4293:16-4296:5
          _0_M._task_1put_1param_SI("MSK_IPAR_LOG_ORDER",_53_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4294:6-48
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4295:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4293:16-4296:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4298:6-73
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logOrder)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4298:6-73
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4298:6-73
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4291:2-4299:3
      elif (_1_name=="simScaling"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4300:10-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4301:4-73
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simScaling)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4301:4-73
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4301:4-73
      elif (_1_name=="simScalingMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4302:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4303:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simScalingMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4303:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4303:4-79
      if (_1_name=="simPrimalPhaseoneMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4304:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4305:2-4313:3
        _54_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4306:8-9
        if ((0 <= _54_v) and (_54_v <= 10)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4307:8-26
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4307:28-4310:5
          _0_M._task_1put_1param_SI("MSK_IPAR_SIM_PRIMAL_PHASEONE_METHOD",_54_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4308:6-65
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4309:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4307:28-4310:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4312:6-88
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalPhaseoneMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4312:6-88
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4312:6-88
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4305:2-4313:3
      if (_1_name=="simDualPhaseoneMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4314:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4315:2-4323:3
        _55_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4316:8-9
        if ((0 <= _55_v) and (_55_v <= 10)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4317:8-26
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4317:28-4320:5
          _0_M._task_1put_1param_SI("MSK_IPAR_SIM_DUAL_PHASEONE_METHOD",_55_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4318:6-63
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4319:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4317:28-4320:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4322:6-86
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualPhaseoneMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4322:6-86
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4322:6-86
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4315:2-4323:3
      if (_1_name=="simMaxNumSetbacks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4324:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4325:2-4333:3
        _56_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4326:8-9
        if (0 <= _56_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4327:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4327:16-4330:5
          _0_M._task_1put_1param_SI("MSK_IPAR_SIM_MAX_NUM_SETBACKS",_56_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4328:6-59
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4329:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4327:16-4330:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4332:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simMaxNumSetbacks)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4332:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4332:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4325:2-4333:3
      elif (_1_name=="simHotstart"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4334:10-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4335:4-74
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simHotstart)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4335:4-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4335:4-74
      elif (_1_name=="simBasisFactorUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4336:10-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4337:4-80
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simBasisFactorUse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4337:4-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4337:4-80
      elif (_1_name=="simDegen"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4338:10-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4339:4-71
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDegen)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4339:4-71
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4339:4-71
      elif (_1_name=="simReformulation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4340:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4341:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simReformulation)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4341:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4341:4-79
      elif (_1_name=="simExploitDupvec"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4342:10-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4343:4-79
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simExploitDupvec)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4343:4-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4343:4-79
      elif (_1_name=="simSaveLu"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4344:10-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4345:4-72
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simSaveLu)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4345:4-72
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4345:4-72
      elif (_1_name=="simNonSingular"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4346:10-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4347:4-77
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simNonSingular)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4347:4-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4347:4-77
      if (_1_name=="simDualCrash"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4348:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4349:2-4357:3
        _57_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4350:8-9
        if (0 <= _57_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4351:8-14
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4351:16-4354:5
          _0_M._task_1put_1param_SI("MSK_IPAR_SIM_DUAL_CRASH",_57_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4352:6-53
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4353:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4351:16-4354:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4356:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualCrash)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4356:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4356:6-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4349:2-4357:3
      elif (_1_name=="infeasPreferPrimal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4358:10-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4359:4-81
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (infeasPreferPrimal)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4359:4-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4359:4-81
      if (_1_name=="mioRootRepeatPresolveLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4360:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4361:2-4369:3
        _58_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4362:8-9
        if (((- 1) <= _58_v) and (_58_v <= 1)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4363:8-26
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4363:28-4366:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_ROOT_REPEAT_PRESOLVE_LEVEL",_58_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4364:6-69
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4365:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4363:28-4366:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4368:6-91
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRootRepeatPresolveLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4368:6-91
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4368:6-91
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4361:2-4369:3
      elif (_1_name=="mioCutCmir"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4370:10-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4371:4-73
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutCmir)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4371:4-73
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4371:4-73
      elif (_1_name=="mioCutClique"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4372:10-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4373:4-75
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutClique)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4373:4-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4373:4-75
      elif (_1_name=="mioCutImpliedBound"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4374:10-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4375:4-81
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutImpliedBound)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4375:4-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4375:4-81
      elif (_1_name=="mioCutKnapsackCover"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4376:10-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4377:4-82
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutKnapsackCover)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4377:4-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4377:4-82
      elif (_1_name=="mioCutGmi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4378:10-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4379:4-72
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutGmi)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4379:4-72
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4379:4-72
      elif (_1_name=="mioCutLipro"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4380:10-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4381:4-74
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutLipro)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4381:4-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4381:4-74
      elif (_1_name=="mioConstructSol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4382:10-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4383:4-78
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioConstructSol)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4383:4-78
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4383:4-78
      if (_1_name=="presolveLindepRelWorkTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4384:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4385:2-4393:3
        _59_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4386:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:4387:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4387:14-4390:5
          _0_M._task_1put_1param_SI("MSK_IPAR_PRESOLVE_LINDEP_REL_WORK_TRH",_59_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4388:6-67
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4389:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4387:14-4390:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4392:6-89
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepRelWorkTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4392:6-89
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4392:6-89
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4385:2-4393:3
      if (_1_name=="presolveLindepAbsWorkTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4394:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4395:2-4403:3
        _60_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4396:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:4397:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4397:14-4400:5
          _0_M._task_1put_1param_SI("MSK_IPAR_PRESOLVE_LINDEP_ABS_WORK_TRH",_60_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4398:6-67
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4399:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4397:14-4400:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4402:6-89
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepAbsWorkTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4402:6-89
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4402:6-89
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4395:2-4403:3
      elif (_1_name=="cacheLicense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4404:10-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4405:4-75
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (cacheLicense)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4405:4-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4405:4-75
      elif (_1_name=="intpntRegularizationUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4406:10-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4407:4-86
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntRegularizationUse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4407:4-86
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4407:4-86
      elif (_1_name=="simSolveForm"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4408:10-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4409:4-75
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simSolveForm)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4409:4-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4409:4-75
      elif (_1_name=="simSwitchOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4410:10-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4411:4-81
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simSwitchOptimizer)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4411:4-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4411:4-81
      if (_1_name=="mioRinsMaxNodes"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4412:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4413:2-4421:3
        _61_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4414:8-9
        if ((- 1) <= _61_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4415:8-15
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4415:17-4418:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_RINS_MAX_NODES",_61_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4416:6-57
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4417:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4415:17-4418:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4420:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRinsMaxNodes)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4420:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4420:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4413:2-4421:3
      if (_1_name=="mioFeaspumpLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4422:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4423:2-4431:3
        _62_v=_2_value # bld/herlev/final/default/src/fusion/Parameters.mbi:4424:8-9
        if (((- 1) <= _62_v) and (_62_v <= 2)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4425:8-26
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4425:28-4428:5
          _0_M._task_1put_1param_SI("MSK_IPAR_MIO_FEASPUMP_LEVEL",_62_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4426:6-57
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4427:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4425:28-4428:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4430:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioFeaspumpLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4430:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4430:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4423:2-4431:3
      elif (_1_name=="remoteUseCompression"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4432:10-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4433:4-83
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (remoteUseCompression)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4433:4-83
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4433:4-83
      if (_1_name=="optimizerMaxTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4434:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4435:2-4443:3
        _63_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4436:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:4437:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4437:14-4440:5
          _0_M._task_1put_1param_SD("MSK_DPAR_OPTIMIZER_MAX_TIME",_63_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4438:6-57
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4439:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4437:14-4440:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4442:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (optimizerMaxTime)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4442:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4442:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4435:2-4443:3
      if (_1_name=="optimizerMaxTicks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4444:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4445:2-4453:3
        _64_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4446:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:4447:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4447:14-4450:5
          _0_M._task_1put_1param_SD("MSK_DPAR_OPTIMIZER_MAX_TICKS",_64_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4448:6-58
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4449:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4447:14-4450:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4452:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (optimizerMaxTicks)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4452:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4452:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4445:2-4453:3
      if (_1_name=="lowerObjCut"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4454:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4455:2-4463:3
        _65_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4456:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:4457:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4457:14-4460:5
          _0_M._task_1put_1param_SD("MSK_DPAR_LOWER_OBJ_CUT",_65_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4458:6-52
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4459:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4457:14-4460:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4462:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (lowerObjCut)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4462:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4462:6-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4455:2-4463:3
      if (_1_name=="upperObjCut"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4464:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4465:2-4473:3
        _66_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4466:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:4467:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4467:14-4470:5
          _0_M._task_1put_1param_SD("MSK_DPAR_UPPER_OBJ_CUT",_66_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4468:6-52
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4469:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4467:14-4470:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4472:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (upperObjCut)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4472:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4472:6-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4465:2-4473:3
      if (_1_name=="upperObjCutFiniteTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4474:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4475:2-4483:3
        _67_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4476:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:4477:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4477:14-4480:5
          _0_M._task_1put_1param_SD("MSK_DPAR_UPPER_OBJ_CUT_FINITE_TRH",_67_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4478:6-63
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4479:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4477:14-4480:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4482:6-85
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (upperObjCutFiniteTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4482:6-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4482:6-85
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4475:2-4483:3
      if (_1_name=="lowerObjCutFiniteTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4484:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4485:2-4493:3
        _68_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4486:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:4487:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4487:14-4490:5
          _0_M._task_1put_1param_SD("MSK_DPAR_LOWER_OBJ_CUT_FINITE_TRH",_68_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4488:6-63
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4489:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4487:14-4490:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4492:6-85
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (lowerObjCutFiniteTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4492:6-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4492:6-85
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4485:2-4493:3
      if (_1_name=="intpntTolRelGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4494:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4495:2-4503:3
        _69_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4496:8-9
        if (1.000000e-14 <= _69_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4497:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4497:27-4500:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_REL_GAP",_69_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4498:6-57
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4499:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4497:27-4500:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4502:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolRelGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4502:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4502:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4495:2-4503:3
      if (_1_name=="intpntTolStepSize"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4504:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4505:2-4513:3
        _70_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4506:8-9
        if ((0.000000e+00 <= _70_v) and (_70_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4507:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4507:49-4510:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_STEP_SIZE",_70_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4508:6-59
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4509:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4507:49-4510:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4512:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolStepSize)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4512:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4512:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4505:2-4513:3
      if (_1_name=="simLuTolRelPiv"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4514:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4515:2-4523:3
        _71_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4516:8-9
        if ((1.000000e-06 <= _71_v) and (_71_v <= 9.999990e-01)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4517:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4517:49-4520:5
          _0_M._task_1put_1param_SD("MSK_DPAR_SIM_LU_TOL_REL_PIV",_71_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4518:6-57
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4519:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4517:49-4520:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4522:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simLuTolRelPiv)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4522:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4522:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4515:2-4523:3
      if (_1_name=="intpntTolRelStep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4524:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4525:2-4533:3
        _72_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4526:8-9
        if ((1.000000e-04 <= _72_v) and (_72_v <= 9.999990e-01)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4527:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4527:49-4530:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_REL_STEP",_72_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4528:6-58
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4529:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4527:49-4530:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4532:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolRelStep)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4532:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4532:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4525:2-4533:3
      if (_1_name=="intpntTolPath"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4534:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4535:2-4543:3
        _73_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4536:8-9
        if ((0.000000e+00 <= _73_v) and (_73_v <= 9.999000e-01)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4537:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4537:49-4540:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_PATH",_73_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4538:6-54
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4539:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4537:49-4540:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4542:6-78
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolPath)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4542:6-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4542:6-78
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4535:2-4543:3
      if (_1_name=="intpntTolPfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4544:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4545:2-4553:3
        _74_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4546:8-9
        if ((0.000000e+00 <= _74_v) and (_74_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4547:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4547:49-4550:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_PFEAS",_74_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4548:6-55
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4549:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4547:49-4550:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4552:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolPfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4552:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4552:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4545:2-4553:3
      if (_1_name=="intpntTolDfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4554:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4555:2-4563:3
        _75_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4556:8-9
        if ((0.000000e+00 <= _75_v) and (_75_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4557:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4557:49-4560:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_DFEAS",_75_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4558:6-55
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4559:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4557:49-4560:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4562:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolDfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4562:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4562:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4555:2-4563:3
      if (_1_name=="intpntTolMuRed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4564:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4565:2-4573:3
        _76_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4566:8-9
        if ((0.000000e+00 <= _76_v) and (_76_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4567:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4567:49-4570:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_MU_RED",_76_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4568:6-56
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4569:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4567:49-4570:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4572:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolMuRed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4572:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4572:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4565:2-4573:3
      if (_1_name=="intpntTolInfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4574:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4575:2-4583:3
        _77_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4576:8-9
        if ((0.000000e+00 <= _77_v) and (_77_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4577:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4577:49-4580:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_INFEAS",_77_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4578:6-56
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4579:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4577:49-4580:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4582:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolInfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4582:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4582:6-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4575:2-4583:3
      if (_1_name=="intpntCoTolRelGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4584:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4585:2-4593:3
        _78_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4586:8-9
        if ((0.000000e+00 <= _78_v) and (_78_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4587:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4587:49-4590:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_REL_GAP",_78_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4588:6-60
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4589:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4587:49-4590:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4592:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolRelGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4592:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4592:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4585:2-4593:3
      if (_1_name=="intpntCoTolPfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4594:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4595:2-4603:3
        _79_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4596:8-9
        if ((0.000000e+00 <= _79_v) and (_79_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4597:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4597:49-4600:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_PFEAS",_79_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4598:6-58
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4599:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4597:49-4600:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4602:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolPfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4602:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4602:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4595:2-4603:3
      if (_1_name=="intpntCoTolDfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4604:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4605:2-4613:3
        _80_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4606:8-9
        if ((0.000000e+00 <= _80_v) and (_80_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4607:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4607:49-4610:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_DFEAS",_80_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4608:6-58
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4609:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4607:49-4610:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4612:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolDfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4612:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4612:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4605:2-4613:3
      if (_1_name=="intpntCoTolMuRed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4614:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4615:2-4623:3
        _81_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4616:8-9
        if ((0.000000e+00 <= _81_v) and (_81_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4617:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4617:49-4620:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_MU_RED",_81_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4618:6-59
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4619:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4617:49-4620:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4622:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolMuRed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4622:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4622:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4615:2-4623:3
      if (_1_name=="intpntCoTolNearRel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4624:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4625:2-4633:3
        _82_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4626:8-9
        if (1.000000e+00 <= _82_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4627:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4627:27-4630:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_NEAR_REL",_82_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4628:6-61
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4629:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4627:27-4630:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4632:6-83
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolNearRel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4632:6-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4632:6-83
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4625:2-4633:3
      if (_1_name=="intpntCoTolInfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4634:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4635:2-4643:3
        _83_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4636:8-9
        if ((0.000000e+00 <= _83_v) and (_83_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4637:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4637:49-4640:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_INFEAS",_83_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4638:6-59
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4639:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4637:49-4640:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4642:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolInfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4642:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4642:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4635:2-4643:3
      if (_1_name=="intpntTolPsafe"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4644:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4645:2-4653:3
        _84_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4646:8-9
        if (1.000000e-04 <= _84_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4647:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4647:27-4650:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_PSAFE",_84_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4648:6-55
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4649:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4647:27-4650:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4652:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolPsafe)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4652:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4652:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4645:2-4653:3
      if (_1_name=="intpntTolDsafe"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4654:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4655:2-4663:3
        _85_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4656:8-9
        if (1.000000e-04 <= _85_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4657:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4657:27-4660:5
          _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_DSAFE",_85_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4658:6-55
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4659:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4657:27-4660:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4662:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolDsafe)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4662:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4662:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4655:2-4663:3
      if (_1_name=="mioMaxTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4664:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4665:2-4673:3
        _86_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4666:8-9
        if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:4667:8-12
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4667:14-4670:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_MAX_TIME",_86_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4668:6-51
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4669:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4667:14-4670:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4672:6-75
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxTime)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4672:6-75
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4672:6-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4665:2-4673:3
      if (_1_name=="mioRelGapConst"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4674:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4675:2-4683:3
        _87_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4676:8-9
        if (1.000000e-15 <= _87_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4677:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4677:27-4680:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_REL_GAP_CONST",_87_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4678:6-56
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4679:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4677:27-4680:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4682:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRelGapConst)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4682:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4682:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4675:2-4683:3
      if (_1_name=="mioTolRelGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4684:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4685:2-4693:3
        _88_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4686:8-9
        if (0.000000e+00 <= _88_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4687:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4687:27-4690:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_TOL_REL_GAP",_88_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4688:6-54
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4689:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4687:27-4690:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4692:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolRelGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4692:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4692:6-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4685:2-4693:3
      if (_1_name=="mioTolAbsGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4694:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4695:2-4703:3
        _89_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4696:8-9
        if (0.000000e+00 <= _89_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4697:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4697:27-4700:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_TOL_ABS_GAP",_89_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4698:6-54
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4699:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4697:27-4700:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4702:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolAbsGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4702:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4702:6-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4695:2-4703:3
      if (_1_name=="mioTolAbsRelaxInt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4704:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4705:2-4713:3
        _90_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4706:8-9
        if (1.000000e-09 <= _90_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4707:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4707:27-4710:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_TOL_ABS_RELAX_INT",_90_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4708:6-60
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4709:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4707:27-4710:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4712:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolAbsRelaxInt)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4712:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4712:6-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4705:2-4713:3
      if (_1_name=="mioDjcMaxBigm"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4714:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4715:2-4723:3
        _91_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4716:8-9
        if (0.000000e+00 <= _91_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4717:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4717:27-4720:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_DJC_MAX_BIGM",_91_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4718:6-55
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4719:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4717:27-4720:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4722:6-78
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioDjcMaxBigm)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4722:6-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4722:6-78
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4715:2-4723:3
      if (_1_name=="basisTolX"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4724:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4725:2-4733:3
        _92_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4726:8-9
        if (1.000000e-09 <= _92_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4727:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4727:27-4730:5
          _0_M._task_1put_1param_SD("MSK_DPAR_BASIS_TOL_X",_92_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4728:6-50
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4729:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4727:27-4730:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4732:6-74
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (basisTolX)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4732:6-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4732:6-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4725:2-4733:3
      if (_1_name=="basisTolS"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4734:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4735:2-4743:3
        _93_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4736:8-9
        if (1.000000e-09 <= _93_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4737:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4737:27-4740:5
          _0_M._task_1put_1param_SD("MSK_DPAR_BASIS_TOL_S",_93_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4738:6-50
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4739:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4737:27-4740:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4742:6-74
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (basisTolS)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4742:6-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4742:6-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4735:2-4743:3
      if (_1_name=="basisRelTolS"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4744:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4745:2-4753:3
        _94_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4746:8-9
        if (0.000000e+00 <= _94_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4747:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4747:27-4750:5
          _0_M._task_1put_1param_SD("MSK_DPAR_BASIS_REL_TOL_S",_94_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4748:6-54
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4749:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4747:27-4750:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4752:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (basisRelTolS)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4752:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4752:6-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4745:2-4753:3
      if (_1_name=="presolveTolX"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4754:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4755:2-4763:3
        _95_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4756:8-9
        if (0.000000e+00 <= _95_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4757:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4757:27-4760:5
          _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_X",_95_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4758:6-53
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4759:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4757:27-4760:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4762:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolX)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4762:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4762:6-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4755:2-4763:3
      if (_1_name=="presolveTolPrimalInfeasPerturbation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4764:6-51
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4765:2-4773:3
        _96_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4766:8-9
        if (0.000000e+00 <= _96_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4767:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4767:27-4770:5
          _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_PRIMAL_INFEAS_PERTURBATION",_96_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4768:6-78
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4769:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4767:27-4770:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4772:6-100
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolPrimalInfeasPerturbation)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4772:6-100
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4772:6-100
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4765:2-4773:3
      if (_1_name=="presolveTolS"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4774:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4775:2-4783:3
        _97_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4776:8-9
        if (0.000000e+00 <= _97_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4777:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4777:27-4780:5
          _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_S",_97_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4778:6-53
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4779:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4777:27-4780:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4782:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolS)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4782:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4782:6-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4775:2-4783:3
      if (_1_name=="presolveTolAij"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4784:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4785:2-4793:3
        _98_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4786:8-9
        if (1.000000e-15 <= _98_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4787:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4787:27-4790:5
          _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_AIJ",_98_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4788:6-55
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4789:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4787:27-4790:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4792:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolAij)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4792:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4792:6-79
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4785:2-4793:3
      if (_1_name=="presolveTolAbsLindep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4794:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4795:2-4803:3
        _99_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4796:8-9
        if (0.000000e+00 <= _99_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4797:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4797:27-4800:5
          _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_ABS_LINDEP",_99_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4798:6-62
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4799:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4797:27-4800:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4802:6-85
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolAbsLindep)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4802:6-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4802:6-85
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4795:2-4803:3
      if (_1_name=="presolveTolRelLindep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4804:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4805:2-4813:3
        _100_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4806:8-9
        if (0.000000e+00 <= _100_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4807:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4807:27-4810:5
          _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_REL_LINDEP",_100_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4808:6-62
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4809:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4807:27-4810:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4812:6-85
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolRelLindep)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4812:6-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4812:6-85
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4805:2-4813:3
      if (_1_name=="simplexAbsTolPiv"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4814:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4815:2-4823:3
        _101_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4816:8-9
        if (1.000000e-12 <= _101_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:4817:8-25
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4817:27-4820:5
          _0_M._task_1put_1param_SD("MSK_DPAR_SIMPLEX_ABS_TOL_PIV",_101_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4818:6-58
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4819:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4817:27-4820:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4822:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simplexAbsTolPiv)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4822:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4822:6-81
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4815:2-4823:3
      if (_1_name=="mioTolFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4824:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4825:2-4833:3
        _102_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4826:8-9
        if ((1.000000e-09 <= _102_v) and (_102_v <= 1.000000e-03)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4827:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4827:49-4830:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_TOL_FEAS",_102_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4828:6-51
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4829:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4827:49-4830:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4832:6-75
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolFeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4832:6-75
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4832:6-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4825:2-4833:3
      if (_1_name=="mioTolRelDualBoundImprovement"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4834:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4835:2-4843:3
        _103_v=numpy.float64(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:4836:8-9
        if ((0.000000e+00 <= _103_v) and (_103_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:4837:8-47
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4837:49-4840:5
          _0_M._task_1put_1param_SD("MSK_DPAR_MIO_TOL_REL_DUAL_BOUND_IMPROVEMENT",_103_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:4838:6-73
          return  # bld/herlev/final/default/src/fusion/Parameters.mbi:4839:6-13
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4837:49-4840:5
        else:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4842:6-94
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolRelDualBoundImprovement)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4842:6-94
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4842:6-94
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4835:2-4843:3
      elif (_1_name=="dataFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4844:10-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4845:4-75
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (dataFileName)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4845:4-75
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4845:4-75
      elif (_1_name=="basSolFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4846:10-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4847:4-77
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (basSolFileName)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4847:4-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4847:4-77
      elif (_1_name=="itrSolFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4848:10-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4849:4-77
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (itrSolFileName)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4849:4-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4849:4-77
      elif (_1_name=="intSolFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4850:10-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4851:4-77
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intSolFileName)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4851:4-77
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4851:4-77
      elif (_1_name=="writeLpGenVarName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4852:10-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4853:4-80
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (writeLpGenVarName)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4853:4-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4853:4-80
      elif (_1_name=="remoteOptserverHost"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4854:10-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4855:4-82
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (remoteOptserverHost)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4855:4-82
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4855:4-82
      elif (_1_name=="remoteTlsCertPath"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4856:10-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4857:4-80
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (remoteTlsCertPath)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4857:4-80
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4857:4-80
      elif (_1_name=="remoteTlsCert"): # bld/herlev/final/default/src/fusion/Parameters.mbi:4858:10-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4859:4-76
        raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (remoteTlsCert)") # bld/herlev/final/default/src/fusion/Parameters.mbi:4859:4-76
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:4859:4-76
      raise mosek_fusion_ParameterError._ctor_S("Unknown parameter") # bld/herlev/final/default/src/fusion/Parameters.mbi:4860:2-48
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3714:0-4861:1
    @staticmethod
    def _match_setParameter_Lmosek_4fusion_4Model_2SS(*args):
      if len(args) != 3: return False
      _0_M,_1_name,_2_value, = args
      return (    __arg_match_Lmosek_4fusion_4Model_2__(_0_M)
              and __arg_match_S__(_1_name)
              and __arg_match_S__(_2_value))
    @staticmethod
    def _match_alt_setParameter_Lmosek_4fusion_4Model_2SS(*args):
      if len(args) != 3: return False
      _0_M,_1_name,_2_value, = args
      return (    __arg_alt_match_Lmosek_4fusion_4Model_2__(_0_M)
              and __arg_alt_match_S__(_1_name)
              and __arg_alt_match_S__(_2_value))
    @staticmethod
    def _setParameter_alt_Lmosek_4fusion_4Model_2SS(_t__0_M,_t__1_name,_t__2_value):
      return mosek_fusion_Parameters._setParameter_Lmosek_4fusion_4Model_2SS(_0_M,_1_name,_2_value)
    @staticmethod
    def _setParameter_Lmosek_4fusion_4Model_2SS(_0_M,_1_name,_2_value):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1902:0-3711:1
      if False: # bld/herlev/final/default/src/fusion/Parameters.mbi:1903:6-11
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1903:13-15
        pass
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1903:13-15
      if (_1_name=="autoUpdateSolInfo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1904:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1905:2-1911:3
        _3_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:1906:8-9
        if (_3_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:1907:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1908:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (autoUpdateSolInfo)") # bld/herlev/final/default/src/fusion/Parameters.mbi:1908:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1908:6-82
        _0_M._task_1put_1param_SI("MSK_IPAR_AUTO_UPDATE_SOL_INFO",_3_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:1909:4-57
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:1910:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1905:2-1911:3
      if (_1_name=="removeUnusedSolutions"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1912:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1913:2-1919:3
        _4_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:1914:8-9
        if (_4_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:1915:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1916:6-86
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (removeUnusedSolutions)") # bld/herlev/final/default/src/fusion/Parameters.mbi:1916:6-86
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1916:6-86
        _0_M._task_1put_1param_SI("MSK_IPAR_REMOVE_UNUSED_SOLUTIONS",_4_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:1917:4-60
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:1918:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1913:2-1919:3
      if (_1_name=="numThreads"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1920:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1921:2-1931:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1923:4-1929:82
          _5_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:1924:10-11
          if (0 <= _5_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:1925:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1925:18-1927:22
            _0_M._task_1put_1param_SI("MSK_IPAR_NUM_THREADS",_5_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:1926:8-52
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:1927:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1925:18-1927:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1929:8-77
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (numThreads)") # bld/herlev/final/default/src/fusion/Parameters.mbi:1929:8-77
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1929:8-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1923:4-1929:82
        except mosek_fusion_ValueConversionError as _6_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1930:35-108
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (numThreads)") # bld/herlev/final/default/src/fusion/Parameters.mbi:1930:37-106
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1930:35-108
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1921:2-1931:3
      if (_1_name=="mtSpincount"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1932:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1933:2-1943:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1935:4-1941:83
          _7_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:1936:10-11
          if ((0 <= _7_v) and (_7_v <= 1000000000)): # bld/herlev/final/default/src/fusion/Parameters.mbi:1937:10-36
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1937:38-1939:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MT_SPINCOUNT",_7_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:1938:8-53
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:1939:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1937:38-1939:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1941:8-78
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mtSpincount)") # bld/herlev/final/default/src/fusion/Parameters.mbi:1941:8-78
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1941:8-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1935:4-1941:83
        except mosek_fusion_ValueConversionError as _8_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1942:35-109
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mtSpincount)") # bld/herlev/final/default/src/fusion/Parameters.mbi:1942:37-107
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1942:35-109
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1933:2-1943:3
      if (_1_name=="optimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1944:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1945:2-1951:3
        _9_v=mosek.fusion.Parameters.__string_1to_1optimizertype_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:1946:8-9
        if (_9_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:1947:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1948:6-74
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (optimizer)") # bld/herlev/final/default/src/fusion/Parameters.mbi:1948:6-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1948:6-74
        _0_M._task_1put_1param_SI("MSK_IPAR_OPTIMIZER",_9_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:1949:4-46
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:1950:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1945:2-1951:3
      if (_1_name=="biMaxIterations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1952:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1953:2-1963:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1955:4-1961:87
          _10_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:1956:10-11
          if (0 <= _10_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:1957:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1957:18-1959:22
            _0_M._task_1put_1param_SI("MSK_IPAR_BI_MAX_ITERATIONS",_10_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:1958:8-58
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:1959:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1957:18-1959:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1961:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (biMaxIterations)") # bld/herlev/final/default/src/fusion/Parameters.mbi:1961:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1961:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1955:4-1961:87
        except mosek_fusion_ValueConversionError as _11_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1962:35-113
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (biMaxIterations)") # bld/herlev/final/default/src/fusion/Parameters.mbi:1962:37-111
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1962:35-113
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1953:2-1963:3
      if (_1_name=="licenseTrhExpiryWrn"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1964:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1965:2-1975:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1967:4-1973:91
          _12_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:1968:10-11
          if (0 <= _12_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:1969:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1969:18-1971:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LICENSE_TRH_EXPIRY_WRN",_12_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:1970:8-63
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:1971:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1969:18-1971:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1973:8-86
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licenseTrhExpiryWrn)") # bld/herlev/final/default/src/fusion/Parameters.mbi:1973:8-86
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1973:8-86
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1967:4-1973:91
        except mosek_fusion_ValueConversionError as _13_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1974:35-117
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licenseTrhExpiryWrn)") # bld/herlev/final/default/src/fusion/Parameters.mbi:1974:37-115
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1974:35-117
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1965:2-1975:3
      if (_1_name=="logCutSecondOpt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1976:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1977:2-1987:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1979:4-1985:87
          _14_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:1980:10-11
          if (0 <= _14_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:1981:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1981:18-1983:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG_CUT_SECOND_OPT",_14_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:1982:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:1983:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1981:18-1983:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1985:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logCutSecondOpt)") # bld/herlev/final/default/src/fusion/Parameters.mbi:1985:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1985:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1979:4-1985:87
        except mosek_fusion_ValueConversionError as _15_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1986:35-113
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logCutSecondOpt)") # bld/herlev/final/default/src/fusion/Parameters.mbi:1986:37-111
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1986:35-113
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1977:2-1987:3
      if (_1_name=="logResponse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1988:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1989:2-1999:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1991:4-1997:83
          _16_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:1992:10-11
          if (0 <= _16_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:1993:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1993:18-1995:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG_RESPONSE",_16_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:1994:8-53
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:1995:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1993:18-1995:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1997:8-78
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logResponse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:1997:8-78
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1997:8-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1991:4-1997:83
        except mosek_fusion_ValueConversionError as _17_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1998:35-109
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logResponse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:1998:37-107
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1998:35-109
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1989:2-1999:3
      if (_1_name=="logLocalInfo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2000:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2001:2-2007:3
        _18_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2002:8-9
        if (_18_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2003:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2004:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logLocalInfo)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2004:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2004:6-77
        _0_M._task_1put_1param_SI("MSK_IPAR_LOG_LOCAL_INFO",_18_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2005:4-51
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2006:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2001:2-2007:3
      if (_1_name=="logBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2008:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2009:2-2019:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2011:4-2017:77
          _19_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2012:10-11
          if (0 <= _19_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2013:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2013:18-2015:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG_BI",_19_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2014:8-47
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2015:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2013:18-2015:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2017:8-72
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logBi)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2017:8-72
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2017:8-72
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2011:4-2017:77
        except mosek_fusion_ValueConversionError as _20_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2018:35-103
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logBi)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2018:37-101
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2018:35-103
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2009:2-2019:3
      if (_1_name=="logBiFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2020:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2021:2-2031:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2023:4-2029:81
          _21_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2024:10-11
          if (0 <= _21_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2025:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2025:18-2027:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG_BI_FREQ",_21_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2026:8-52
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2027:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2025:18-2027:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2029:8-76
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logBiFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2029:8-76
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2029:8-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2023:4-2029:81
        except mosek_fusion_ValueConversionError as _22_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2030:35-107
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logBiFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2030:37-105
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2030:35-107
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2021:2-2031:3
      if (_1_name=="biCleanOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2032:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2033:2-2039:3
        _23_v=mosek.fusion.Parameters.__string_1to_1optimizertype_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2034:8-9
        if (_23_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2035:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2036:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (biCleanOptimizer)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2036:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2036:6-81
        _0_M._task_1put_1param_SI("MSK_IPAR_BI_CLEAN_OPTIMIZER",_23_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2037:4-55
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2038:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2033:2-2039:3
      if (_1_name=="intpntStartingPoint"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2040:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2041:2-2047:3
        _24_v=mosek.fusion.Parameters.__string_1to_1startpointtype_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2042:8-9
        if (_24_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2043:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2044:6-84
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntStartingPoint)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2044:6-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2044:6-84
        _0_M._task_1put_1param_SI("MSK_IPAR_INTPNT_STARTING_POINT",_24_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2045:4-58
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2046:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2041:2-2047:3
      if (_1_name=="intpntDiffStep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2048:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2049:2-2055:3
        _25_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2050:8-9
        if (_25_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2051:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2052:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntDiffStep)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2052:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2052:6-79
        _0_M._task_1put_1param_SI("MSK_IPAR_INTPNT_DIFF_STEP",_25_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2053:4-53
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2054:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2049:2-2055:3
      if (_1_name=="intpntScaling"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2056:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2057:2-2063:3
        _26_v=mosek.fusion.Parameters.__string_1to_1scalingtype_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2058:8-9
        if (_26_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2059:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2060:6-78
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntScaling)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2060:6-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2060:6-78
        _0_M._task_1put_1param_SI("MSK_IPAR_INTPNT_SCALING",_26_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2061:4-51
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2062:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2057:2-2063:3
      if (_1_name=="intpntSolveForm"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2064:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2065:2-2071:3
        _27_v=mosek.fusion.Parameters.__string_1to_1solveform_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2066:8-9
        if (_27_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2067:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2068:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntSolveForm)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2068:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2068:6-80
        _0_M._task_1put_1param_SI("MSK_IPAR_INTPNT_SOLVE_FORM",_27_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2069:4-54
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2070:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2065:2-2071:3
      if (_1_name=="logIntpnt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2072:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2073:2-2083:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2075:4-2081:81
          _28_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2076:10-11
          if (0 <= _28_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2077:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2077:18-2079:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG_INTPNT",_28_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2078:8-51
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2079:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2077:18-2079:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2081:8-76
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logIntpnt)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2081:8-76
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2081:8-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2075:4-2081:81
        except mosek_fusion_ValueConversionError as _29_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2082:35-107
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logIntpnt)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2082:37-105
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2082:35-107
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2073:2-2083:3
      if (_1_name=="intpntMaxIterations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2084:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2085:2-2095:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2087:4-2093:91
          _30_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2088:10-11
          if (0 <= _30_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2089:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2089:18-2091:22
            _0_M._task_1put_1param_SI("MSK_IPAR_INTPNT_MAX_ITERATIONS",_30_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2090:8-62
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2091:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2089:18-2091:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2093:8-86
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntMaxIterations)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2093:8-86
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2093:8-86
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2087:4-2093:91
        except mosek_fusion_ValueConversionError as _31_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2094:35-117
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntMaxIterations)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2094:37-115
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2094:35-117
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2085:2-2095:3
      if (_1_name=="intpntOffColTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2096:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2097:2-2107:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2099:4-2105:87
          _32_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2100:10-11
          if (0 <= _32_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2101:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2101:18-2103:22
            _0_M._task_1put_1param_SI("MSK_IPAR_INTPNT_OFF_COL_TRH",_32_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2102:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2103:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2101:18-2103:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2105:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntOffColTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2105:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2105:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2099:4-2105:87
        except mosek_fusion_ValueConversionError as _33_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2106:35-113
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntOffColTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2106:37-111
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2106:35-113
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2097:2-2107:3
      if (_1_name=="intpntOrderMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2108:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2109:2-2115:3
        _34_v=mosek.fusion.Parameters.__string_1to_1orderingtype_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2110:8-9
        if (_34_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2111:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2112:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntOrderMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2112:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2112:6-82
        _0_M._task_1put_1param_SI("MSK_IPAR_INTPNT_ORDER_METHOD",_34_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2113:4-56
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2114:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2109:2-2115:3
      if (_1_name=="intpntOrderGpNumSeeds"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2116:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2117:2-2127:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2119:4-2125:93
          _35_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2120:10-11
          if (0 <= _35_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2121:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2121:18-2123:22
            _0_M._task_1put_1param_SI("MSK_IPAR_INTPNT_ORDER_GP_NUM_SEEDS",_35_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2122:8-66
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2123:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2121:18-2123:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2125:8-88
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntOrderGpNumSeeds)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2125:8-88
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2125:8-88
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2119:4-2125:93
        except mosek_fusion_ValueConversionError as _36_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2126:35-119
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntOrderGpNumSeeds)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2126:37-117
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2126:35-119
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2117:2-2127:3
      if (_1_name=="intpntBasis"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2128:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2129:2-2135:3
        _37_v=mosek.fusion.Parameters.__string_1to_1basindtype_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2130:8-9
        if (_37_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2131:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2132:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntBasis)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2132:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2132:6-76
        _0_M._task_1put_1param_SI("MSK_IPAR_INTPNT_BASIS",_37_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2133:4-49
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2134:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2129:2-2135:3
      if (_1_name=="biIgnoreMaxIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2136:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2137:2-2143:3
        _38_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2138:8-9
        if (_38_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2139:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2140:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (biIgnoreMaxIter)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2140:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2140:6-80
        _0_M._task_1put_1param_SI("MSK_IPAR_BI_IGNORE_MAX_ITER",_38_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2141:4-55
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2142:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2137:2-2143:3
      if (_1_name=="biIgnoreNumError"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2144:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2145:2-2151:3
        _39_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2146:8-9
        if (_39_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2147:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2148:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (biIgnoreNumError)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2148:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2148:6-81
        _0_M._task_1put_1param_SI("MSK_IPAR_BI_IGNORE_NUM_ERROR",_39_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2149:4-56
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2150:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2145:2-2151:3
      if (_1_name=="intpntMaxNumCor"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2152:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2153:2-2163:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2155:4-2161:87
          _40_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2156:10-11
          if ((- 1) <= _40_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2157:10-17
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2157:19-2159:22
            _0_M._task_1put_1param_SI("MSK_IPAR_INTPNT_MAX_NUM_COR",_40_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2158:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2159:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2157:19-2159:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2161:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntMaxNumCor)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2161:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2161:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2155:4-2161:87
        except mosek_fusion_ValueConversionError as _41_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2162:35-113
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntMaxNumCor)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2162:37-111
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2162:35-113
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2153:2-2163:3
      if (_1_name=="presolveUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2164:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2165:2-2171:3
        _42_v=mosek.fusion.Parameters.__string_1to_1presolvemode_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2166:8-9
        if (_42_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2167:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2168:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveUse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2168:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2168:6-76
        _0_M._task_1put_1param_SI("MSK_IPAR_PRESOLVE_USE",_42_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2169:4-49
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2170:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2165:2-2171:3
      if (_1_name=="presolveLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2172:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2173:2-2183:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2175:4-2181:85
          _43_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2176:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:2177:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2177:16-2179:22
            _0_M._task_1put_1param_SI("MSK_IPAR_PRESOLVE_LEVEL",_43_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2178:8-55
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2179:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2177:16-2179:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2181:8-80
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2181:8-80
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2181:8-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2175:4-2181:85
        except mosek_fusion_ValueConversionError as _44_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2182:35-111
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2182:37-109
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2182:35-111
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2173:2-2183:3
      if (_1_name=="logPresolve"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2184:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2185:2-2195:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2187:4-2193:83
          _45_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2188:10-11
          if (0 <= _45_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2189:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2189:18-2191:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG_PRESOLVE",_45_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2190:8-53
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2191:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2189:18-2191:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2193:8-78
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logPresolve)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2193:8-78
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2193:8-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2187:4-2193:83
        except mosek_fusion_ValueConversionError as _46_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2194:35-109
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logPresolve)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2194:37-107
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2194:35-109
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2185:2-2195:3
      if (_1_name=="presolveLindepUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2196:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2197:2-2203:3
        _47_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2198:8-9
        if (_47_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2199:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2200:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepUse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2200:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2200:6-82
        _0_M._task_1put_1param_SI("MSK_IPAR_PRESOLVE_LINDEP_USE",_47_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2201:4-56
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2202:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2197:2-2203:3
      if (_1_name=="presolveLindepNew"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2204:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2205:2-2211:3
        _48_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2206:8-9
        if (_48_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2207:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2208:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepNew)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2208:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2208:6-82
        _0_M._task_1put_1param_SI("MSK_IPAR_PRESOLVE_LINDEP_NEW",_48_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2209:4-56
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2210:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2205:2-2211:3
      if (_1_name=="presolveMaxNumPass"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2212:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2213:2-2223:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2215:4-2221:90
          _49_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2216:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:2217:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2217:16-2219:22
            _0_M._task_1put_1param_SI("MSK_IPAR_PRESOLVE_MAX_NUM_PASS",_49_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2218:8-62
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2219:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2217:16-2219:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2221:8-85
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveMaxNumPass)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2221:8-85
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2221:8-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2215:4-2221:90
        except mosek_fusion_ValueConversionError as _50_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2222:35-116
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveMaxNumPass)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2222:37-114
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2222:35-116
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2213:2-2223:3
      if (_1_name=="presolveEliminatorMaxNumTries"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2224:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2225:2-2235:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2227:4-2233:101
          _51_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2228:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:2229:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2229:16-2231:22
            _0_M._task_1put_1param_SI("MSK_IPAR_PRESOLVE_ELIMINATOR_MAX_NUM_TRIES",_51_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2230:8-74
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2231:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2229:16-2231:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2233:8-96
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveEliminatorMaxNumTries)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2233:8-96
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2233:8-96
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2227:4-2233:101
        except mosek_fusion_ValueConversionError as _52_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2234:35-127
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveEliminatorMaxNumTries)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2234:37-125
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2234:35-127
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2225:2-2235:3
      if (_1_name=="presolveEliminatorMaxFill"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2236:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2237:2-2247:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2239:4-2245:97
          _53_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2240:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:2241:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2241:16-2243:22
            _0_M._task_1put_1param_SI("MSK_IPAR_PRESOLVE_ELIMINATOR_MAX_FILL",_53_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2242:8-69
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2243:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2241:16-2243:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2245:8-92
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveEliminatorMaxFill)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2245:8-92
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2245:8-92
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2239:4-2245:97
        except mosek_fusion_ValueConversionError as _54_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2246:35-123
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveEliminatorMaxFill)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2246:37-121
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2246:35-123
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2237:2-2247:3
      if (_1_name=="simPrimalCrash"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2248:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2249:2-2259:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2251:4-2257:86
          _55_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2252:10-11
          if (0 <= _55_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2253:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2253:18-2255:22
            _0_M._task_1put_1param_SI("MSK_IPAR_SIM_PRIMAL_CRASH",_55_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2254:8-57
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2255:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2253:18-2255:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2257:8-81
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalCrash)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2257:8-81
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2257:8-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2251:4-2257:86
        except mosek_fusion_ValueConversionError as _56_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2258:35-112
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalCrash)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2258:37-110
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2258:35-112
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2249:2-2259:3
      if (_1_name=="logSim"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2260:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2261:2-2271:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2263:4-2269:78
          _57_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2264:10-11
          if (0 <= _57_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2265:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2265:18-2267:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG_SIM",_57_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2266:8-48
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2267:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2265:18-2267:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2269:8-73
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logSim)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2269:8-73
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2269:8-73
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2263:4-2269:78
        except mosek_fusion_ValueConversionError as _58_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2270:35-104
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logSim)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2270:37-102
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2270:35-104
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2261:2-2271:3
      if (_1_name=="logSimMinor"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2272:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2273:2-2283:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2275:4-2281:83
          _59_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2276:10-11
          if (0 <= _59_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2277:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2277:18-2279:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG_SIM_MINOR",_59_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2278:8-54
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2279:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2277:18-2279:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2281:8-78
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logSimMinor)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2281:8-78
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2281:8-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2275:4-2281:83
        except mosek_fusion_ValueConversionError as _60_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2282:35-109
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logSimMinor)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2282:37-107
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2282:35-109
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2273:2-2283:3
      if (_1_name=="logSimFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2284:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2285:2-2295:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2287:4-2293:82
          _61_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2288:10-11
          if (0 <= _61_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2289:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2289:18-2291:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG_SIM_FREQ",_61_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2290:8-53
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2291:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2289:18-2291:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2293:8-77
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logSimFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2293:8-77
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2293:8-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2287:4-2293:82
        except mosek_fusion_ValueConversionError as _62_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2294:35-108
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logSimFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2294:37-106
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2294:35-108
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2285:2-2295:3
      if (_1_name=="simPrimalRestrictSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2296:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2297:2-2307:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2299:4-2305:98
          _63_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2300:10-11
          if ((0 <= _63_v) and (_63_v <= 100)): # bld/herlev/final/default/src/fusion/Parameters.mbi:2301:10-29
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2301:31-2303:22
            _0_M._task_1put_1param_SI("MSK_IPAR_SIM_PRIMAL_RESTRICT_SELECTION",_63_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2302:8-70
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2303:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2301:31-2303:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2305:8-93
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalRestrictSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2305:8-93
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2305:8-93
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2299:4-2305:98
        except mosek_fusion_ValueConversionError as _64_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2306:35-124
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalRestrictSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2306:37-122
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2306:35-124
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2297:2-2307:3
      if (_1_name=="simPrimalSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2308:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2309:2-2315:3
        _65_v=mosek.fusion.Parameters.__string_1to_1simseltype_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2310:8-9
        if (_65_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2311:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2312:6-83
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2312:6-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2312:6-83
        _0_M._task_1put_1param_SI("MSK_IPAR_SIM_PRIMAL_SELECTION",_65_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2313:4-57
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2314:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2309:2-2315:3
      if (_1_name=="simDualRestrictSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2316:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2317:2-2327:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2319:4-2325:96
          _66_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2320:10-11
          if ((0 <= _66_v) and (_66_v <= 100)): # bld/herlev/final/default/src/fusion/Parameters.mbi:2321:10-29
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2321:31-2323:22
            _0_M._task_1put_1param_SI("MSK_IPAR_SIM_DUAL_RESTRICT_SELECTION",_66_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2322:8-68
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2323:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2321:31-2323:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2325:8-91
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualRestrictSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2325:8-91
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2325:8-91
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2319:4-2325:96
        except mosek_fusion_ValueConversionError as _67_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2326:35-122
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualRestrictSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2326:37-120
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2326:35-122
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2317:2-2327:3
      if (_1_name=="simDualSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2328:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2329:2-2335:3
        _68_v=mosek.fusion.Parameters.__string_1to_1simseltype_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2330:8-9
        if (_68_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2331:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2332:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2332:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2332:6-81
        _0_M._task_1put_1param_SI("MSK_IPAR_SIM_DUAL_SELECTION",_68_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2333:4-55
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2334:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2329:2-2335:3
      if (_1_name=="simMaxIterations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2336:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2337:2-2347:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2339:4-2345:88
          _69_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2340:10-11
          if (0 <= _69_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2341:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2341:18-2343:22
            _0_M._task_1put_1param_SI("MSK_IPAR_SIM_MAX_ITERATIONS",_69_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2342:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2343:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2341:18-2343:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2345:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simMaxIterations)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2345:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2345:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2339:4-2345:88
        except mosek_fusion_ValueConversionError as _70_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2346:35-114
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simMaxIterations)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2346:37-112
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2346:35-114
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2337:2-2347:3
      if (_1_name=="simHotstartLu"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2348:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2349:2-2355:3
        _71_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2350:8-9
        if (_71_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2351:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2352:6-78
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simHotstartLu)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2352:6-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2352:6-78
        _0_M._task_1put_1param_SI("MSK_IPAR_SIM_HOTSTART_LU",_71_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2353:4-52
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2354:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2349:2-2355:3
      if (_1_name=="simRefactorFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2356:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2357:2-2367:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2359:4-2365:87
          _72_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2360:10-11
          if (0 <= _72_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2361:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2361:18-2363:22
            _0_M._task_1put_1param_SI("MSK_IPAR_SIM_REFACTOR_FREQ",_72_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2362:8-58
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2363:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2361:18-2363:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2365:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simRefactorFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2365:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2365:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2359:4-2365:87
        except mosek_fusion_ValueConversionError as _73_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2366:35-113
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simRefactorFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2366:37-111
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2366:35-113
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2357:2-2367:3
      if (_1_name=="simSeed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2368:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2369:2-2379:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2371:4-2377:79
          _74_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2372:10-11
          if ((0 <= _74_v) and (_74_v <= 32749)): # bld/herlev/final/default/src/fusion/Parameters.mbi:2373:10-31
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2373:33-2375:22
            _0_M._task_1put_1param_SI("MSK_IPAR_SIM_SEED",_74_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2374:8-49
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2375:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2373:33-2375:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2377:8-74
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simSeed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2377:8-74
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2377:8-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2371:4-2377:79
        except mosek_fusion_ValueConversionError as _75_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2378:35-105
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simSeed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2378:37-103
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2378:35-105
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2369:2-2379:3
      if (_1_name=="mioMode"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2380:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2381:2-2387:3
        _76_v=mosek.fusion.Parameters.__string_1to_1miomode_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2382:8-9
        if (_76_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2383:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2384:6-72
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMode)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2384:6-72
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2384:6-72
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_MODE",_76_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2385:4-45
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2386:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2381:2-2387:3
      if (_1_name=="logMio"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2388:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2389:2-2399:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2391:4-2397:78
          _77_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2392:10-11
          if (0 <= _77_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2393:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2393:18-2395:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG_MIO",_77_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2394:8-48
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2395:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2393:18-2395:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2397:8-73
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logMio)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2397:8-73
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2397:8-73
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2391:4-2397:78
        except mosek_fusion_ValueConversionError as _78_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2398:35-104
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logMio)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2398:37-102
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2398:35-104
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2389:2-2399:3
      if (_1_name=="logMioFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2400:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2401:2-2411:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2403:4-2409:82
          _79_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2404:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:2405:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2405:16-2407:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG_MIO_FREQ",_79_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2406:8-53
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2407:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2405:16-2407:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2409:8-77
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logMioFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2409:8-77
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2409:8-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2403:4-2409:82
        except mosek_fusion_ValueConversionError as _80_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2410:35-108
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logMioFreq)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2410:37-106
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2410:35-108
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2401:2-2411:3
      if (_1_name=="mioMaxNumRelaxs"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2412:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2413:2-2423:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2415:4-2421:87
          _81_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2416:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:2417:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2417:16-2419:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_MAX_NUM_RELAXS",_81_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2418:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2419:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2417:16-2419:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2421:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumRelaxs)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2421:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2421:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2415:4-2421:87
        except mosek_fusion_ValueConversionError as _82_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2422:35-113
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumRelaxs)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2422:37-111
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2422:35-113
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2413:2-2423:3
      if (_1_name=="mioMaxNumBranches"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2424:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2425:2-2435:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2427:4-2433:89
          _83_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2428:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:2429:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2429:16-2431:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_MAX_NUM_BRANCHES",_83_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2430:8-61
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2431:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2429:16-2431:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2433:8-84
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumBranches)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2433:8-84
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2433:8-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2427:4-2433:89
        except mosek_fusion_ValueConversionError as _84_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2434:35-115
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumBranches)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2434:37-113
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2434:35-115
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2425:2-2435:3
      if (_1_name=="mioMaxNumRestarts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2436:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2437:2-2447:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2439:4-2445:89
          _85_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2440:10-11
          if (0 <= _85_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2441:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2441:18-2443:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_MAX_NUM_RESTARTS",_85_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2442:8-61
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2443:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2441:18-2443:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2445:8-84
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumRestarts)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2445:8-84
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2445:8-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2439:4-2445:89
        except mosek_fusion_ValueConversionError as _86_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2446:35-115
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumRestarts)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2446:37-113
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2446:35-115
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2437:2-2447:3
      if (_1_name=="mioMaxNumRootCutRounds"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2448:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2449:2-2459:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2451:4-2457:94
          _87_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2452:10-11
          if (0 <= _87_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2453:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2453:18-2455:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_MAX_NUM_ROOT_CUT_ROUNDS",_87_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2454:8-68
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2455:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2453:18-2455:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2457:8-89
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumRootCutRounds)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2457:8-89
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2457:8-89
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2451:4-2457:94
        except mosek_fusion_ValueConversionError as _88_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2458:35-120
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumRootCutRounds)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2458:37-118
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2458:35-120
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2449:2-2459:3
      if (_1_name=="mioMaxNumSolutions"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2460:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2461:2-2471:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2463:4-2469:90
          _89_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2464:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:2465:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2465:16-2467:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_MAX_NUM_SOLUTIONS",_89_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2466:8-62
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2467:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2465:16-2467:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2469:8-85
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumSolutions)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2469:8-85
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2469:8-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2463:4-2469:90
        except mosek_fusion_ValueConversionError as _90_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2470:35-116
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxNumSolutions)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2470:37-114
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2470:35-116
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2461:2-2471:3
      if (_1_name=="mioNodeSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2472:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2473:2-2479:3
        _91_v=mosek.fusion.Parameters.__string_1to_1mionodeseltype_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2474:8-9
        if (_91_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2475:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2476:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioNodeSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2476:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2476:6-81
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_NODE_SELECTION",_91_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2477:4-55
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2478:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2473:2-2479:3
      if (_1_name=="mioVarSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2480:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2481:2-2487:3
        _92_v=mosek.fusion.Parameters.__string_1to_1miovarseltype_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2482:8-9
        if (_92_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2483:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2484:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioVarSelection)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2484:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2484:6-80
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_VAR_SELECTION",_92_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2485:4-54
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2486:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2481:2-2487:3
      if (_1_name=="mioMinRel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2488:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2489:2-2499:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2491:4-2497:81
          _93_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2492:10-11
          if (0 <= _93_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2493:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2493:18-2495:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_MIN_REL",_93_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2494:8-52
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2495:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2493:18-2495:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2497:8-76
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMinRel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2497:8-76
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2497:8-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2491:4-2497:81
        except mosek_fusion_ValueConversionError as _94_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2498:35-107
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMinRel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2498:37-105
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2498:35-107
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2489:2-2499:3
      if (_1_name=="mioHeuristicLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2500:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2501:2-2511:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2503:4-2509:89
          _95_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2504:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:2505:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2505:16-2507:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_HEURISTIC_LEVEL",_95_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2506:8-60
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2507:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2505:16-2507:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2509:8-84
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioHeuristicLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2509:8-84
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2509:8-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2503:4-2509:89
        except mosek_fusion_ValueConversionError as _96_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2510:35-115
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioHeuristicLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2510:37-113
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2510:35-115
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2501:2-2511:3
      if (_1_name=="mioProbingLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2512:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2513:2-2523:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2515:4-2521:87
          _97_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2516:10-11
          if (((- 1) <= _97_v) and (_97_v <= 3)): # bld/herlev/final/default/src/fusion/Parameters.mbi:2517:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2517:30-2519:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_PROBING_LEVEL",_97_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2518:8-58
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2519:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2517:30-2519:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2521:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioProbingLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2521:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2521:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2515:4-2521:87
        except mosek_fusion_ValueConversionError as _98_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2522:35-113
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioProbingLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2522:37-111
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2522:35-113
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2513:2-2523:3
      if (_1_name=="mioSymmetryLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2524:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2525:2-2535:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2527:4-2533:88
          _99_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2528:10-11
          if (((- 1) <= _99_v) and (_99_v <= 4)): # bld/herlev/final/default/src/fusion/Parameters.mbi:2529:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2529:30-2531:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_SYMMETRY_LEVEL",_99_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2530:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2531:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2529:30-2531:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2533:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioSymmetryLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2533:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2533:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2527:4-2533:88
        except mosek_fusion_ValueConversionError as _100_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2534:35-114
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioSymmetryLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2534:37-112
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2534:35-114
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2525:2-2535:3
      if (_1_name=="mioDualRayAnalysisLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2536:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2537:2-2547:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2539:4-2545:95
          _101_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2540:10-11
          if (((- 1) <= _101_v) and (_101_v <= 2)): # bld/herlev/final/default/src/fusion/Parameters.mbi:2541:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2541:30-2543:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_DUAL_RAY_ANALYSIS_LEVEL",_101_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2542:8-68
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2543:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2541:30-2543:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2545:8-90
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioDualRayAnalysisLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2545:8-90
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2545:8-90
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2539:4-2545:95
        except mosek_fusion_ValueConversionError as _102_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2546:35-121
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioDualRayAnalysisLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2546:37-119
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2546:35-121
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2537:2-2547:3
      if (_1_name=="mioPresolveAggregatorUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2548:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2549:2-2555:3
        _103_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2550:8-9
        if (_103_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2551:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2552:6-89
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioPresolveAggregatorUse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2552:6-89
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2552:6-89
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_PRESOLVE_AGGREGATOR_USE",_103_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2553:4-64
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2554:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2549:2-2555:3
      if (_1_name=="mioNumericalEmphasisLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2556:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2557:2-2567:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2559:4-2565:97
          _104_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2560:10-11
          if ((0 <= _104_v) and (_104_v <= 2)): # bld/herlev/final/default/src/fusion/Parameters.mbi:2561:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2561:29-2563:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_NUMERICAL_EMPHASIS_LEVEL",_104_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2562:8-69
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2563:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2561:29-2563:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2565:8-92
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioNumericalEmphasisLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2565:8-92
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2565:8-92
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2559:4-2565:97
        except mosek_fusion_ValueConversionError as _105_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2566:35-123
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioNumericalEmphasisLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2566:37-121
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2566:35-123
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2557:2-2567:3
      if (_1_name=="mioMemoryEmphasisLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2568:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2569:2-2579:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2571:4-2577:94
          _106_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2572:10-11
          if ((0 <= _106_v) and (_106_v <= 1)): # bld/herlev/final/default/src/fusion/Parameters.mbi:2573:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2573:29-2575:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_MEMORY_EMPHASIS_LEVEL",_106_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2574:8-66
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2575:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2573:29-2575:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2577:8-89
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMemoryEmphasisLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2577:8-89
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2577:8-89
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2571:4-2577:94
        except mosek_fusion_ValueConversionError as _107_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2578:35-120
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMemoryEmphasisLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2578:37-118
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2578:35-120
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2569:2-2579:3
      if (_1_name=="mioCutSelectionLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2580:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2581:2-2591:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2583:4-2589:92
          _108_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2584:10-11
          if (((- 1) <= _108_v) and (_108_v <= 1)): # bld/herlev/final/default/src/fusion/Parameters.mbi:2585:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2585:30-2587:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_CUT_SELECTION_LEVEL",_108_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2586:8-64
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2587:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2585:30-2587:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2589:8-87
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutSelectionLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2589:8-87
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2589:8-87
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2583:4-2589:92
        except mosek_fusion_ValueConversionError as _109_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2590:35-118
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutSelectionLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2590:37-116
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2590:35-118
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2581:2-2591:3
      if (_1_name=="mioVbDetectionLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2592:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2593:2-2603:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2595:4-2601:91
          _110_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2596:10-11
          if (((- 1) <= _110_v) and (_110_v <= 2)): # bld/herlev/final/default/src/fusion/Parameters.mbi:2597:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2597:30-2599:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_VB_DETECTION_LEVEL",_110_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2598:8-63
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2599:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2597:30-2599:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2601:8-86
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioVbDetectionLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2601:8-86
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2601:8-86
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2595:4-2601:91
        except mosek_fusion_ValueConversionError as _111_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2602:35-117
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioVbDetectionLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2602:37-115
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2602:35-117
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2593:2-2603:3
      if (_1_name=="mioBranchDir"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2604:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2605:2-2611:3
        _112_v=mosek.fusion.Parameters.__string_1to_1branchdir_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2606:8-9
        if (_112_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2607:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2608:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioBranchDir)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2608:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2608:6-77
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_BRANCH_DIR",_112_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2609:4-51
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2610:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2605:2-2611:3
      if (_1_name=="mioRootOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2612:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2613:2-2619:3
        _113_v=mosek.fusion.Parameters.__string_1to_1optimizertype_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2614:8-9
        if (_113_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2615:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2616:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRootOptimizer)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2616:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2616:6-81
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_ROOT_OPTIMIZER",_113_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2617:4-55
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2618:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2613:2-2619:3
      if (_1_name=="mioNodeOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2620:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2621:2-2627:3
        _114_v=mosek.fusion.Parameters.__string_1to_1optimizertype_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2622:8-9
        if (_114_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2623:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2624:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioNodeOptimizer)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2624:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2624:6-81
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_NODE_OPTIMIZER",_114_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2625:4-55
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2626:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2621:2-2627:3
      if (_1_name=="mioPerspectiveReformulate"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2628:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2629:2-2635:3
        _115_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2630:8-9
        if (_115_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2631:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2632:6-90
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioPerspectiveReformulate)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2632:6-90
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2632:6-90
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_PERSPECTIVE_REFORMULATE",_115_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2633:4-64
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2634:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2629:2-2635:3
      if (_1_name=="mioPropagateObjectiveConstraint"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2636:6-47
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2637:2-2643:3
        _116_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2638:8-9
        if (_116_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2639:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2640:6-96
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioPropagateObjectiveConstraint)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2640:6-96
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2640:6-96
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_PROPAGATE_OBJECTIVE_CONSTRAINT",_116_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2641:4-71
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2642:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2637:2-2643:3
      if (_1_name=="mioSeed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2644:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2645:2-2655:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2647:4-2653:79
          _117_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2648:10-11
          if (0 <= _117_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2649:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2649:18-2651:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_SEED",_117_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2650:8-49
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2651:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2649:18-2651:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2653:8-74
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioSeed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2653:8-74
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2653:8-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2647:4-2653:79
        except mosek_fusion_ValueConversionError as _118_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2654:35-105
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioSeed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2654:37-103
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2654:35-105
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2645:2-2655:3
      if (_1_name=="mioConicOuterApproximation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2656:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2657:2-2663:3
        _119_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2658:8-9
        if (_119_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2659:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2660:6-91
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioConicOuterApproximation)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2660:6-91
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2660:6-91
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_CONIC_OUTER_APPROXIMATION",_119_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2661:4-66
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2662:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2657:2-2663:3
      if (_1_name=="mioQcqoReformulationMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2664:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2665:2-2671:3
        _120_v=mosek.fusion.Parameters.__string_1to_1miqcqoreformmethod_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2666:8-9
        if (_120_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2667:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2668:6-91
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioQcqoReformulationMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2668:6-91
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2668:6-91
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_QCQO_REFORMULATION_METHOD",_120_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2669:4-66
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2670:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2665:2-2671:3
      if (_1_name=="mioDataPermutationMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2672:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2673:2-2679:3
        _121_v=mosek.fusion.Parameters.__string_1to_1miodatapermmethod_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2674:8-9
        if (_121_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2675:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2676:6-89
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioDataPermutationMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2676:6-89
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2676:6-89
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_DATA_PERMUTATION_METHOD",_121_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2677:4-64
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2678:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2673:2-2679:3
      if (_1_name=="writeLpLineWidth"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2680:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2681:2-2691:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2683:4-2689:88
          _122_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2684:10-11
          if (40 <= _122_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2685:10-17
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2685:19-2687:22
            _0_M._task_1put_1param_SI("MSK_IPAR_WRITE_LP_LINE_WIDTH",_122_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2686:8-60
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2687:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2685:19-2687:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2689:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (writeLpLineWidth)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2689:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2689:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2683:4-2689:88
        except mosek_fusion_ValueConversionError as _123_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2690:35-114
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (writeLpLineWidth)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2690:37-112
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2690:35-114
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2681:2-2691:3
      if (_1_name=="writeLpFullObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2692:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2693:2-2699:3
        _124_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2694:8-9
        if (_124_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2695:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2696:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (writeLpFullObj)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2696:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2696:6-79
        _0_M._task_1put_1param_SI("MSK_IPAR_WRITE_LP_FULL_OBJ",_124_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2697:4-54
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2698:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2693:2-2699:3
      if (_1_name=="writeJsonIndentation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2700:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2701:2-2707:3
        _125_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2702:8-9
        if (_125_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2703:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2704:6-85
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (writeJsonIndentation)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2704:6-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2704:6-85
        _0_M._task_1put_1param_SI("MSK_IPAR_WRITE_JSON_INDENTATION",_125_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2705:4-59
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2706:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2701:2-2707:3
      if (_1_name=="infeasReportAuto"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2708:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2709:2-2715:3
        _126_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2710:8-9
        if (_126_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2711:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2712:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (infeasReportAuto)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2712:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2712:6-81
        _0_M._task_1put_1param_SI("MSK_IPAR_INFEAS_REPORT_AUTO",_126_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2713:4-55
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2714:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2709:2-2715:3
      if (_1_name=="logInfeasAna"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2716:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2717:2-2727:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2719:4-2725:84
          _127_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2720:10-11
          if (0 <= _127_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2721:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2721:18-2723:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG_INFEAS_ANA",_127_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2722:8-55
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2723:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2721:18-2723:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2725:8-79
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logInfeasAna)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2725:8-79
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2725:8-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2719:4-2725:84
        except mosek_fusion_ValueConversionError as _128_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2726:35-110
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logInfeasAna)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2726:37-108
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2726:35-110
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2717:2-2727:3
      if (_1_name=="licenseWait"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2728:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2729:2-2735:3
        _129_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2730:8-9
        if (_129_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2731:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2732:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licenseWait)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2732:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2732:6-76
        _0_M._task_1put_1param_SI("MSK_IPAR_LICENSE_WAIT",_129_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2733:4-49
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2734:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2729:2-2735:3
      if (_1_name=="licenseSuppressExpireWrns"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2736:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2737:2-2743:3
        _130_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2738:8-9
        if (_130_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2739:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2740:6-90
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licenseSuppressExpireWrns)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2740:6-90
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2740:6-90
        _0_M._task_1put_1param_SI("MSK_IPAR_LICENSE_SUPPRESS_EXPIRE_WRNS",_130_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2741:4-65
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2742:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2737:2-2743:3
      if (_1_name=="licensePauseTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2744:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2745:2-2755:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2747:4-2753:88
          _131_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2748:10-11
          if ((0 <= _131_v) and (_131_v <= 1000000)): # bld/herlev/final/default/src/fusion/Parameters.mbi:2749:10-33
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2749:35-2751:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LICENSE_PAUSE_TIME",_131_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2750:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2751:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2749:35-2751:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2753:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licensePauseTime)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2753:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2753:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2747:4-2753:88
        except mosek_fusion_ValueConversionError as _132_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2754:35-114
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licensePauseTime)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2754:37-112
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2754:35-114
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2745:2-2755:3
      if (_1_name=="licenseDebug"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2756:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2757:2-2763:3
        _133_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2758:8-9
        if (_133_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2759:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2760:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (licenseDebug)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2760:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2760:6-77
        _0_M._task_1put_1param_SI("MSK_IPAR_LICENSE_DEBUG",_133_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2761:4-50
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2762:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2757:2-2763:3
      if (_1_name=="log"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2764:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2765:2-2775:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2767:4-2773:75
          _134_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2768:10-11
          if (0 <= _134_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2769:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2769:18-2771:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG",_134_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2770:8-44
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2771:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2769:18-2771:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2773:8-70
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (log)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2773:8-70
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2773:8-70
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2767:4-2773:75
        except mosek_fusion_ValueConversionError as _135_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2774:35-101
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (log)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2774:37-99
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2774:35-101
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2765:2-2775:3
      if (_1_name=="logExpand"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2776:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2777:2-2787:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2779:4-2785:81
          _136_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2780:10-11
          if (0 <= _136_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2781:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2781:18-2783:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG_EXPAND",_136_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2782:8-51
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2783:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2781:18-2783:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2785:8-76
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logExpand)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2785:8-76
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2785:8-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2779:4-2785:81
        except mosek_fusion_ValueConversionError as _137_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2786:35-107
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logExpand)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2786:37-105
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2786:35-107
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2777:2-2787:3
      if (_1_name=="logFile"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2788:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2789:2-2799:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2791:4-2797:79
          _138_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2792:10-11
          if (0 <= _138_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2793:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2793:18-2795:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG_FILE",_138_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2794:8-49
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2795:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2793:18-2795:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2797:8-74
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logFile)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2797:8-74
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2797:8-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2791:4-2797:79
        except mosek_fusion_ValueConversionError as _139_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2798:35-105
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logFile)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2798:37-103
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2798:35-105
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2789:2-2799:3
      if (_1_name=="logOrder"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2800:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2801:2-2811:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2803:4-2809:80
          _140_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2804:10-11
          if (0 <= _140_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2805:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2805:18-2807:22
            _0_M._task_1put_1param_SI("MSK_IPAR_LOG_ORDER",_140_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2806:8-50
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2807:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2805:18-2807:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2809:8-75
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logOrder)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2809:8-75
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2809:8-75
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2803:4-2809:80
        except mosek_fusion_ValueConversionError as _141_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2810:35-106
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (logOrder)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2810:37-104
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2810:35-106
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2801:2-2811:3
      if (_1_name=="simScaling"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2812:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2813:2-2819:3
        _142_v=mosek.fusion.Parameters.__string_1to_1scalingtype_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2814:8-9
        if (_142_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2815:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2816:6-75
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simScaling)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2816:6-75
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2816:6-75
        _0_M._task_1put_1param_SI("MSK_IPAR_SIM_SCALING",_142_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2817:4-48
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2818:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2813:2-2819:3
      if (_1_name=="simScalingMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2820:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2821:2-2827:3
        _143_v=mosek.fusion.Parameters.__string_1to_1scalingmethod_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2822:8-9
        if (_143_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2823:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2824:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simScalingMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2824:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2824:6-81
        _0_M._task_1put_1param_SI("MSK_IPAR_SIM_SCALING_METHOD",_143_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2825:4-55
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2826:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2821:2-2827:3
      if (_1_name=="simPrimalPhaseoneMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2828:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2829:2-2839:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2831:4-2837:95
          _144_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2832:10-11
          if ((0 <= _144_v) and (_144_v <= 10)): # bld/herlev/final/default/src/fusion/Parameters.mbi:2833:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2833:30-2835:22
            _0_M._task_1put_1param_SI("MSK_IPAR_SIM_PRIMAL_PHASEONE_METHOD",_144_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2834:8-67
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2835:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2833:30-2835:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2837:8-90
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalPhaseoneMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2837:8-90
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2837:8-90
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2831:4-2837:95
        except mosek_fusion_ValueConversionError as _145_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2838:35-121
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simPrimalPhaseoneMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2838:37-119
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2838:35-121
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2829:2-2839:3
      if (_1_name=="simDualPhaseoneMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2840:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2841:2-2851:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2843:4-2849:93
          _146_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2844:10-11
          if ((0 <= _146_v) and (_146_v <= 10)): # bld/herlev/final/default/src/fusion/Parameters.mbi:2845:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2845:30-2847:22
            _0_M._task_1put_1param_SI("MSK_IPAR_SIM_DUAL_PHASEONE_METHOD",_146_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2846:8-65
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2847:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2845:30-2847:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2849:8-88
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualPhaseoneMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2849:8-88
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2849:8-88
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2843:4-2849:93
        except mosek_fusion_ValueConversionError as _147_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2850:35-119
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualPhaseoneMethod)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2850:37-117
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2850:35-119
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2841:2-2851:3
      if (_1_name=="simMaxNumSetbacks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2852:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2853:2-2863:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2855:4-2861:89
          _148_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2856:10-11
          if (0 <= _148_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2857:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2857:18-2859:22
            _0_M._task_1put_1param_SI("MSK_IPAR_SIM_MAX_NUM_SETBACKS",_148_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2858:8-61
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2859:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2857:18-2859:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2861:8-84
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simMaxNumSetbacks)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2861:8-84
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2861:8-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2855:4-2861:89
        except mosek_fusion_ValueConversionError as _149_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2862:35-115
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simMaxNumSetbacks)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2862:37-113
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2862:35-115
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2853:2-2863:3
      if (_1_name=="simHotstart"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2864:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2865:2-2871:3
        _150_v=mosek.fusion.Parameters.__string_1to_1simhotstart_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2866:8-9
        if (_150_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2867:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2868:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simHotstart)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2868:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2868:6-76
        _0_M._task_1put_1param_SI("MSK_IPAR_SIM_HOTSTART",_150_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2869:4-49
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2870:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2865:2-2871:3
      if (_1_name=="simBasisFactorUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2872:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2873:2-2879:3
        _151_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2874:8-9
        if (_151_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2875:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2876:6-82
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simBasisFactorUse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2876:6-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2876:6-82
        _0_M._task_1put_1param_SI("MSK_IPAR_SIM_BASIS_FACTOR_USE",_151_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2877:4-57
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2878:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2873:2-2879:3
      if (_1_name=="simDegen"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2880:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2881:2-2887:3
        _152_v=mosek.fusion.Parameters.__string_1to_1simdegen_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2882:8-9
        if (_152_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2883:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2884:6-73
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDegen)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2884:6-73
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2884:6-73
        _0_M._task_1put_1param_SI("MSK_IPAR_SIM_DEGEN",_152_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2885:4-46
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2886:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2881:2-2887:3
      if (_1_name=="simReformulation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2888:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2889:2-2895:3
        _153_v=mosek.fusion.Parameters.__string_1to_1simreform_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2890:8-9
        if (_153_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2891:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2892:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simReformulation)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2892:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2892:6-81
        _0_M._task_1put_1param_SI("MSK_IPAR_SIM_REFORMULATION",_153_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2893:4-54
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2894:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2889:2-2895:3
      if (_1_name=="simExploitDupvec"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2896:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2897:2-2903:3
        _154_v=mosek.fusion.Parameters.__string_1to_1simdupvec_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2898:8-9
        if (_154_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2899:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2900:6-81
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simExploitDupvec)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2900:6-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2900:6-81
        _0_M._task_1put_1param_SI("MSK_IPAR_SIM_EXPLOIT_DUPVEC",_154_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2901:4-55
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2902:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2897:2-2903:3
      if (_1_name=="simSaveLu"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2904:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2905:2-2911:3
        _155_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2906:8-9
        if (_155_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2907:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2908:6-74
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simSaveLu)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2908:6-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2908:6-74
        _0_M._task_1put_1param_SI("MSK_IPAR_SIM_SAVE_LU",_155_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2909:4-48
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2910:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2905:2-2911:3
      if (_1_name=="simNonSingular"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2912:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2913:2-2919:3
        _156_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2914:8-9
        if (_156_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2915:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2916:6-79
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simNonSingular)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2916:6-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2916:6-79
        _0_M._task_1put_1param_SI("MSK_IPAR_SIM_NON_SINGULAR",_156_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2917:4-53
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2918:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2913:2-2919:3
      if (_1_name=="simDualCrash"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2920:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2921:2-2931:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2923:4-2929:84
          _157_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2924:10-11
          if (0 <= _157_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:2925:10-16
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2925:18-2927:22
            _0_M._task_1put_1param_SI("MSK_IPAR_SIM_DUAL_CRASH",_157_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2926:8-55
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2927:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2925:18-2927:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2929:8-79
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualCrash)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2929:8-79
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2929:8-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2923:4-2929:84
        except mosek_fusion_ValueConversionError as _158_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2930:35-110
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simDualCrash)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2930:37-108
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2930:35-110
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2921:2-2931:3
      if (_1_name=="infeasPreferPrimal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2932:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2933:2-2939:3
        _159_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2934:8-9
        if (_159_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2935:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2936:6-83
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (infeasPreferPrimal)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2936:6-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2936:6-83
        _0_M._task_1put_1param_SI("MSK_IPAR_INFEAS_PREFER_PRIMAL",_159_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2937:4-57
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2938:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2933:2-2939:3
      if (_1_name=="mioRootRepeatPresolveLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2940:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2941:2-2951:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2943:4-2949:98
          _160_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2944:10-11
          if (((- 1) <= _160_v) and (_160_v <= 1)): # bld/herlev/final/default/src/fusion/Parameters.mbi:2945:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2945:30-2947:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_ROOT_REPEAT_PRESOLVE_LEVEL",_160_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2946:8-71
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2947:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2945:30-2947:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2949:8-93
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRootRepeatPresolveLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2949:8-93
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2949:8-93
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2943:4-2949:98
        except mosek_fusion_ValueConversionError as _161_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2950:35-124
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRootRepeatPresolveLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2950:37-122
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2950:35-124
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2941:2-2951:3
      if (_1_name=="mioCutCmir"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2952:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2953:2-2959:3
        _162_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2954:8-9
        if (_162_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2955:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2956:6-75
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutCmir)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2956:6-75
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2956:6-75
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_CUT_CMIR",_162_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2957:4-49
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2958:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2953:2-2959:3
      if (_1_name=="mioCutClique"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2960:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2961:2-2967:3
        _163_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2962:8-9
        if (_163_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2963:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2964:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutClique)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2964:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2964:6-77
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_CUT_CLIQUE",_163_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2965:4-51
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2966:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2961:2-2967:3
      if (_1_name=="mioCutImpliedBound"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2968:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2969:2-2975:3
        _164_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2970:8-9
        if (_164_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2971:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2972:6-83
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutImpliedBound)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2972:6-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2972:6-83
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_CUT_IMPLIED_BOUND",_164_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2973:4-58
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2974:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2969:2-2975:3
      if (_1_name=="mioCutKnapsackCover"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2976:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2977:2-2983:3
        _165_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2978:8-9
        if (_165_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2979:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2980:6-84
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutKnapsackCover)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2980:6-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2980:6-84
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_CUT_KNAPSACK_COVER",_165_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2981:4-59
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2982:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2977:2-2983:3
      if (_1_name=="mioCutGmi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2984:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2985:2-2991:3
        _166_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2986:8-9
        if (_166_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2987:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2988:6-74
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutGmi)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2988:6-74
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2988:6-74
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_CUT_GMI",_166_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2989:4-48
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2990:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2985:2-2991:3
      if (_1_name=="mioCutLipro"): # bld/herlev/final/default/src/fusion/Parameters.mbi:2992:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2993:2-2999:3
        _167_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:2994:8-9
        if (_167_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:2995:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2996:6-76
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioCutLipro)") # bld/herlev/final/default/src/fusion/Parameters.mbi:2996:6-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2996:6-76
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_CUT_LIPRO",_167_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:2997:4-50
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:2998:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:2993:2-2999:3
      if (_1_name=="mioConstructSol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3000:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3001:2-3007:3
        _168_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3002:8-9
        if (_168_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:3003:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3004:6-80
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioConstructSol)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3004:6-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3004:6-80
        _0_M._task_1put_1param_SI("MSK_IPAR_MIO_CONSTRUCT_SOL",_168_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3005:4-54
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3006:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3001:2-3007:3
      if (_1_name=="presolveLindepRelWorkTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3008:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3009:2-3019:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3011:4-3017:96
          _169_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3012:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:3013:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3013:16-3015:22
            _0_M._task_1put_1param_SI("MSK_IPAR_PRESOLVE_LINDEP_REL_WORK_TRH",_169_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3014:8-69
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3015:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3013:16-3015:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3017:8-91
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepRelWorkTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3017:8-91
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3017:8-91
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3011:4-3017:96
        except mosek_fusion_ValueConversionError as _170_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3018:35-122
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepRelWorkTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3018:37-120
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3018:35-122
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3009:2-3019:3
      if (_1_name=="presolveLindepAbsWorkTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3020:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3021:2-3031:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3023:4-3029:96
          _171_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3024:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:3025:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3025:16-3027:22
            _0_M._task_1put_1param_SI("MSK_IPAR_PRESOLVE_LINDEP_ABS_WORK_TRH",_171_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3026:8-69
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3027:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3025:16-3027:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3029:8-91
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepAbsWorkTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3029:8-91
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3029:8-91
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3023:4-3029:96
        except mosek_fusion_ValueConversionError as _172_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3030:35-122
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveLindepAbsWorkTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3030:37-120
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3030:35-122
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3021:2-3031:3
      if (_1_name=="cacheLicense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3032:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3033:2-3039:3
        _173_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3034:8-9
        if (_173_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:3035:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3036:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (cacheLicense)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3036:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3036:6-77
        _0_M._task_1put_1param_SI("MSK_IPAR_CACHE_LICENSE",_173_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3037:4-50
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3038:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3033:2-3039:3
      if (_1_name=="intpntRegularizationUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3040:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3041:2-3047:3
        _174_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3042:8-9
        if (_174_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:3043:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3044:6-88
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntRegularizationUse)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3044:6-88
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3044:6-88
        _0_M._task_1put_1param_SI("MSK_IPAR_INTPNT_REGULARIZATION_USE",_174_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3045:4-62
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3046:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3041:2-3047:3
      if (_1_name=="simSolveForm"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3048:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3049:2-3055:3
        _175_v=mosek.fusion.Parameters.__string_1to_1solveform_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3050:8-9
        if (_175_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:3051:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3052:6-77
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simSolveForm)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3052:6-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3052:6-77
        _0_M._task_1put_1param_SI("MSK_IPAR_SIM_SOLVE_FORM",_175_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3053:4-51
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3054:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3049:2-3055:3
      if (_1_name=="simSwitchOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3056:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3057:2-3063:3
        _176_v=mosek.fusion.Parameters.__string_1to_1onoffkey_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3058:8-9
        if (_176_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:3059:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3060:6-83
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simSwitchOptimizer)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3060:6-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3060:6-83
        _0_M._task_1put_1param_SI("MSK_IPAR_SIM_SWITCH_OPTIMIZER",_176_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3061:4-57
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3062:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3057:2-3063:3
      if (_1_name=="mioRinsMaxNodes"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3064:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3065:2-3075:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3067:4-3073:87
          _177_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3068:10-11
          if ((- 1) <= _177_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3069:10-17
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3069:19-3071:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_RINS_MAX_NODES",_177_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3070:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3071:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3069:19-3071:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3073:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRinsMaxNodes)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3073:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3073:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3067:4-3073:87
        except mosek_fusion_ValueConversionError as _178_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3074:35-113
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRinsMaxNodes)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3074:37-111
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3074:35-113
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3065:2-3075:3
      if (_1_name=="mioFeaspumpLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3076:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3077:2-3087:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3079:4-3085:88
          _179_v=mosek.fusion.Utils.Tools._toInt_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3080:10-11
          if (((- 1) <= _179_v) and (_179_v <= 2)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3081:10-28
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3081:30-3083:22
            _0_M._task_1put_1param_SI("MSK_IPAR_MIO_FEASPUMP_LEVEL",_179_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3082:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3083:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3081:30-3083:22
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3085:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioFeaspumpLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3085:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3085:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3079:4-3085:88
        except mosek_fusion_ValueConversionError as _180_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3086:35-114
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioFeaspumpLevel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3086:37-112
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3086:35-114
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3077:2-3087:3
      if (_1_name=="remoteUseCompression"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3088:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3089:2-3095:3
        _181_v=mosek.fusion.Parameters.__string_1to_1compresstype_1value_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3090:8-9
        if (_181_v < 0): # bld/herlev/final/default/src/fusion/Parameters.mbi:3091:8-13
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3092:6-85
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (remoteUseCompression)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3092:6-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3092:6-85
        _0_M._task_1put_1param_SI("MSK_IPAR_REMOTE_USE_COMPRESSION",_181_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3093:4-59
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3094:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3089:2-3095:3
      if (_1_name=="optimizerMaxTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3096:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3097:2-3109:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3099:4-3107:5
          _182_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3100:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:3101:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3101:16-3104:7
            _0_M._task_1put_1param_SD("MSK_DPAR_OPTIMIZER_MAX_TIME",_182_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3102:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3103:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3101:16-3104:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3106:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (optimizerMaxTime)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3106:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3106:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3099:4-3107:5
        except mosek_fusion_ValueConversionError as _183_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3108:35-114
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (optimizerMaxTime)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3108:37-112
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3108:35-114
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3097:2-3109:3
      if (_1_name=="optimizerMaxTicks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3110:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3111:2-3123:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3113:4-3121:5
          _184_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3114:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:3115:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3115:16-3118:7
            _0_M._task_1put_1param_SD("MSK_DPAR_OPTIMIZER_MAX_TICKS",_184_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3116:8-60
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3117:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3115:16-3118:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3120:8-84
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (optimizerMaxTicks)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3120:8-84
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3120:8-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3113:4-3121:5
        except mosek_fusion_ValueConversionError as _185_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3122:35-115
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (optimizerMaxTicks)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3122:37-113
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3122:35-115
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3111:2-3123:3
      if (_1_name=="lowerObjCut"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3124:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3125:2-3137:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3127:4-3135:5
          _186_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3128:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:3129:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3129:16-3132:7
            _0_M._task_1put_1param_SD("MSK_DPAR_LOWER_OBJ_CUT",_186_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3130:8-54
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3131:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3129:16-3132:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3134:8-78
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (lowerObjCut)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3134:8-78
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3134:8-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3127:4-3135:5
        except mosek_fusion_ValueConversionError as _187_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3136:35-109
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (lowerObjCut)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3136:37-107
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3136:35-109
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3125:2-3137:3
      if (_1_name=="upperObjCut"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3138:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3139:2-3151:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3141:4-3149:5
          _188_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3142:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:3143:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3143:16-3146:7
            _0_M._task_1put_1param_SD("MSK_DPAR_UPPER_OBJ_CUT",_188_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3144:8-54
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3145:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3143:16-3146:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3148:8-78
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (upperObjCut)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3148:8-78
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3148:8-78
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3141:4-3149:5
        except mosek_fusion_ValueConversionError as _189_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3150:35-109
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (upperObjCut)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3150:37-107
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3150:35-109
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3139:2-3151:3
      if (_1_name=="upperObjCutFiniteTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3152:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3153:2-3165:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3155:4-3163:5
          _190_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3156:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:3157:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3157:16-3160:7
            _0_M._task_1put_1param_SD("MSK_DPAR_UPPER_OBJ_CUT_FINITE_TRH",_190_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3158:8-65
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3159:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3157:16-3160:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3162:8-87
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (upperObjCutFiniteTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3162:8-87
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3162:8-87
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3155:4-3163:5
        except mosek_fusion_ValueConversionError as _191_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3164:35-118
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (upperObjCutFiniteTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3164:37-116
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3164:35-118
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3153:2-3165:3
      if (_1_name=="lowerObjCutFiniteTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3166:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3167:2-3179:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3169:4-3177:5
          _192_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3170:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:3171:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3171:16-3174:7
            _0_M._task_1put_1param_SD("MSK_DPAR_LOWER_OBJ_CUT_FINITE_TRH",_192_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3172:8-65
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3173:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3171:16-3174:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3176:8-87
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (lowerObjCutFiniteTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3176:8-87
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3176:8-87
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3169:4-3177:5
        except mosek_fusion_ValueConversionError as _193_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3178:35-118
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (lowerObjCutFiniteTrh)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3178:37-116
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3178:35-118
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3167:2-3179:3
      if (_1_name=="intpntTolRelGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3180:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3181:2-3193:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3183:4-3191:5
          _194_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3184:10-11
          if (1.000000e-14 <= _194_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3185:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3185:29-3188:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_REL_GAP",_194_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3186:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3187:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3185:29-3188:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3190:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolRelGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3190:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3190:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3183:4-3191:5
        except mosek_fusion_ValueConversionError as _195_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3192:35-113
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolRelGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3192:37-111
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3192:35-113
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3181:2-3193:3
      if (_1_name=="intpntTolStepSize"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3194:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3195:2-3207:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3197:4-3205:5
          _196_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3198:10-11
          if ((0.000000e+00 <= _196_v) and (_196_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3199:10-49
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3199:51-3202:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_STEP_SIZE",_196_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3200:8-61
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3201:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3199:51-3202:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3204:8-84
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolStepSize)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3204:8-84
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3204:8-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3197:4-3205:5
        except mosek_fusion_ValueConversionError as _197_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3206:35-115
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolStepSize)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3206:37-113
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3206:35-115
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3195:2-3207:3
      if (_1_name=="simLuTolRelPiv"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3208:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3209:2-3221:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3211:4-3219:5
          _198_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3212:10-11
          if ((1.000000e-06 <= _198_v) and (_198_v <= 9.999990e-01)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3213:10-49
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3213:51-3216:7
            _0_M._task_1put_1param_SD("MSK_DPAR_SIM_LU_TOL_REL_PIV",_198_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3214:8-59
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3215:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3213:51-3216:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3218:8-81
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simLuTolRelPiv)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3218:8-81
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3218:8-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3211:4-3219:5
        except mosek_fusion_ValueConversionError as _199_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3220:35-112
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simLuTolRelPiv)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3220:37-110
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3220:35-112
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3209:2-3221:3
      if (_1_name=="intpntTolRelStep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3222:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3223:2-3235:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3225:4-3233:5
          _200_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3226:10-11
          if ((1.000000e-04 <= _200_v) and (_200_v <= 9.999990e-01)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3227:10-49
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3227:51-3230:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_REL_STEP",_200_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3228:8-60
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3229:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3227:51-3230:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3232:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolRelStep)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3232:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3232:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3225:4-3233:5
        except mosek_fusion_ValueConversionError as _201_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3234:35-114
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolRelStep)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3234:37-112
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3234:35-114
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3223:2-3235:3
      if (_1_name=="intpntTolPath"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3236:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3237:2-3249:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3239:4-3247:5
          _202_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3240:10-11
          if ((0.000000e+00 <= _202_v) and (_202_v <= 9.999000e-01)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3241:10-49
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3241:51-3244:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_PATH",_202_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3242:8-56
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3243:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3241:51-3244:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3246:8-80
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolPath)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3246:8-80
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3246:8-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3239:4-3247:5
        except mosek_fusion_ValueConversionError as _203_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3248:35-111
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolPath)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3248:37-109
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3248:35-111
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3237:2-3249:3
      if (_1_name=="intpntTolPfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3250:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3251:2-3263:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3253:4-3261:5
          _204_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3254:10-11
          if ((0.000000e+00 <= _204_v) and (_204_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3255:10-49
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3255:51-3258:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_PFEAS",_204_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3256:8-57
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3257:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3255:51-3258:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3260:8-81
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolPfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3260:8-81
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3260:8-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3253:4-3261:5
        except mosek_fusion_ValueConversionError as _205_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3262:35-112
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolPfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3262:37-110
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3262:35-112
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3251:2-3263:3
      if (_1_name=="intpntTolDfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3264:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3265:2-3277:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3267:4-3275:5
          _206_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3268:10-11
          if ((0.000000e+00 <= _206_v) and (_206_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3269:10-49
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3269:51-3272:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_DFEAS",_206_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3270:8-57
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3271:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3269:51-3272:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3274:8-81
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolDfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3274:8-81
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3274:8-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3267:4-3275:5
        except mosek_fusion_ValueConversionError as _207_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3276:35-112
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolDfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3276:37-110
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3276:35-112
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3265:2-3277:3
      if (_1_name=="intpntTolMuRed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3278:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3279:2-3291:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3281:4-3289:5
          _208_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3282:10-11
          if ((0.000000e+00 <= _208_v) and (_208_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3283:10-49
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3283:51-3286:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_MU_RED",_208_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3284:8-58
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3285:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3283:51-3286:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3288:8-81
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolMuRed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3288:8-81
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3288:8-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3281:4-3289:5
        except mosek_fusion_ValueConversionError as _209_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3290:35-112
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolMuRed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3290:37-110
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3290:35-112
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3279:2-3291:3
      if (_1_name=="intpntTolInfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3292:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3293:2-3305:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3295:4-3303:5
          _210_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3296:10-11
          if ((0.000000e+00 <= _210_v) and (_210_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3297:10-49
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3297:51-3300:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_INFEAS",_210_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3298:8-58
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3299:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3297:51-3300:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3302:8-82
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolInfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3302:8-82
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3302:8-82
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3295:4-3303:5
        except mosek_fusion_ValueConversionError as _211_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3304:35-113
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolInfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3304:37-111
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3304:35-113
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3293:2-3305:3
      if (_1_name=="intpntCoTolRelGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3306:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3307:2-3319:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3309:4-3317:5
          _212_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3310:10-11
          if ((0.000000e+00 <= _212_v) and (_212_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3311:10-49
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3311:51-3314:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_REL_GAP",_212_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3312:8-62
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3313:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3311:51-3314:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3316:8-84
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolRelGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3316:8-84
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3316:8-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3309:4-3317:5
        except mosek_fusion_ValueConversionError as _213_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3318:35-115
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolRelGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3318:37-113
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3318:35-115
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3307:2-3319:3
      if (_1_name=="intpntCoTolPfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3320:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3321:2-3333:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3323:4-3331:5
          _214_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3324:10-11
          if ((0.000000e+00 <= _214_v) and (_214_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3325:10-49
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3325:51-3328:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_PFEAS",_214_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3326:8-60
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3327:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3325:51-3328:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3330:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolPfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3330:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3330:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3323:4-3331:5
        except mosek_fusion_ValueConversionError as _215_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3332:35-114
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolPfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3332:37-112
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3332:35-114
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3321:2-3333:3
      if (_1_name=="intpntCoTolDfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3334:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3335:2-3347:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3337:4-3345:5
          _216_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3338:10-11
          if ((0.000000e+00 <= _216_v) and (_216_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3339:10-49
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3339:51-3342:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_DFEAS",_216_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3340:8-60
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3341:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3339:51-3342:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3344:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolDfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3344:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3344:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3337:4-3345:5
        except mosek_fusion_ValueConversionError as _217_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3346:35-114
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolDfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3346:37-112
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3346:35-114
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3335:2-3347:3
      if (_1_name=="intpntCoTolMuRed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3348:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3349:2-3361:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3351:4-3359:5
          _218_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3352:10-11
          if ((0.000000e+00 <= _218_v) and (_218_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3353:10-49
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3353:51-3356:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_MU_RED",_218_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3354:8-61
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3355:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3353:51-3356:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3358:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolMuRed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3358:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3358:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3351:4-3359:5
        except mosek_fusion_ValueConversionError as _219_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3360:35-114
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolMuRed)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3360:37-112
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3360:35-114
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3349:2-3361:3
      if (_1_name=="intpntCoTolNearRel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3362:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3363:2-3375:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3365:4-3373:5
          _220_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3366:10-11
          if (1.000000e+00 <= _220_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3367:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3367:29-3370:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_NEAR_REL",_220_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3368:8-63
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3369:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3367:29-3370:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3372:8-85
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolNearRel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3372:8-85
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3372:8-85
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3365:4-3373:5
        except mosek_fusion_ValueConversionError as _221_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3374:35-116
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolNearRel)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3374:37-114
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3374:35-116
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3363:2-3375:3
      if (_1_name=="intpntCoTolInfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3376:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3377:2-3389:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3379:4-3387:5
          _222_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3380:10-11
          if ((0.000000e+00 <= _222_v) and (_222_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3381:10-49
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3381:51-3384:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_CO_TOL_INFEAS",_222_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3382:8-61
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3383:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3381:51-3384:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3386:8-84
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolInfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3386:8-84
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3386:8-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3379:4-3387:5
        except mosek_fusion_ValueConversionError as _223_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3388:35-115
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntCoTolInfeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3388:37-113
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3388:35-115
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3377:2-3389:3
      if (_1_name=="intpntTolPsafe"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3390:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3391:2-3403:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3393:4-3401:5
          _224_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3394:10-11
          if (1.000000e-04 <= _224_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3395:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3395:29-3398:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_PSAFE",_224_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3396:8-57
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3397:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3395:29-3398:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3400:8-81
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolPsafe)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3400:8-81
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3400:8-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3393:4-3401:5
        except mosek_fusion_ValueConversionError as _225_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3402:35-112
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolPsafe)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3402:37-110
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3402:35-112
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3391:2-3403:3
      if (_1_name=="intpntTolDsafe"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3404:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3405:2-3417:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3407:4-3415:5
          _226_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3408:10-11
          if (1.000000e-04 <= _226_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3409:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3409:29-3412:7
            _0_M._task_1put_1param_SD("MSK_DPAR_INTPNT_TOL_DSAFE",_226_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3410:8-57
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3411:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3409:29-3412:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3414:8-81
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolDsafe)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3414:8-81
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3414:8-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3407:4-3415:5
        except mosek_fusion_ValueConversionError as _227_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3416:35-112
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (intpntTolDsafe)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3416:37-110
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3416:35-112
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3405:2-3417:3
      if (_1_name=="mioMaxTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3418:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3419:2-3431:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3421:4-3429:5
          _228_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3422:10-11
          if True: # bld/herlev/final/default/src/fusion/Parameters.mbi:3423:10-14
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3423:16-3426:7
            _0_M._task_1put_1param_SD("MSK_DPAR_MIO_MAX_TIME",_228_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3424:8-53
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3425:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3423:16-3426:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3428:8-77
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxTime)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3428:8-77
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3428:8-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3421:4-3429:5
        except mosek_fusion_ValueConversionError as _229_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3430:35-108
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioMaxTime)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3430:37-106
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3430:35-108
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3419:2-3431:3
      if (_1_name=="mioRelGapConst"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3432:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3433:2-3445:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3435:4-3443:5
          _230_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3436:10-11
          if (1.000000e-15 <= _230_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3437:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3437:29-3440:7
            _0_M._task_1put_1param_SD("MSK_DPAR_MIO_REL_GAP_CONST",_230_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3438:8-58
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3439:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3437:29-3440:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3442:8-81
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRelGapConst)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3442:8-81
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3442:8-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3435:4-3443:5
        except mosek_fusion_ValueConversionError as _231_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3444:35-112
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioRelGapConst)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3444:37-110
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3444:35-112
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3433:2-3445:3
      if (_1_name=="mioTolRelGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3446:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3447:2-3459:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3449:4-3457:5
          _232_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3450:10-11
          if (0.000000e+00 <= _232_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3451:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3451:29-3454:7
            _0_M._task_1put_1param_SD("MSK_DPAR_MIO_TOL_REL_GAP",_232_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3452:8-56
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3453:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3451:29-3454:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3456:8-79
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolRelGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3456:8-79
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3456:8-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3449:4-3457:5
        except mosek_fusion_ValueConversionError as _233_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3458:35-110
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolRelGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3458:37-108
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3458:35-110
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3447:2-3459:3
      if (_1_name=="mioTolAbsGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3460:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3461:2-3473:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3463:4-3471:5
          _234_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3464:10-11
          if (0.000000e+00 <= _234_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3465:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3465:29-3468:7
            _0_M._task_1put_1param_SD("MSK_DPAR_MIO_TOL_ABS_GAP",_234_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3466:8-56
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3467:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3465:29-3468:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3470:8-79
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolAbsGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3470:8-79
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3470:8-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3463:4-3471:5
        except mosek_fusion_ValueConversionError as _235_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3472:35-110
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolAbsGap)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3472:37-108
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3472:35-110
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3461:2-3473:3
      if (_1_name=="mioTolAbsRelaxInt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3474:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3475:2-3487:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3477:4-3485:5
          _236_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3478:10-11
          if (1.000000e-09 <= _236_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3479:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3479:29-3482:7
            _0_M._task_1put_1param_SD("MSK_DPAR_MIO_TOL_ABS_RELAX_INT",_236_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3480:8-62
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3481:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3479:29-3482:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3484:8-84
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolAbsRelaxInt)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3484:8-84
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3484:8-84
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3477:4-3485:5
        except mosek_fusion_ValueConversionError as _237_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3486:35-115
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolAbsRelaxInt)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3486:37-113
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3486:35-115
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3475:2-3487:3
      if (_1_name=="mioDjcMaxBigm"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3488:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3489:2-3501:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3491:4-3499:5
          _238_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3492:10-11
          if (0.000000e+00 <= _238_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3493:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3493:29-3496:7
            _0_M._task_1put_1param_SD("MSK_DPAR_MIO_DJC_MAX_BIGM",_238_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3494:8-57
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3495:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3493:29-3496:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3498:8-80
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioDjcMaxBigm)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3498:8-80
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3498:8-80
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3491:4-3499:5
        except mosek_fusion_ValueConversionError as _239_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3500:35-111
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioDjcMaxBigm)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3500:37-109
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3500:35-111
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3489:2-3501:3
      if (_1_name=="basisTolX"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3502:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3503:2-3515:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3505:4-3513:5
          _240_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3506:10-11
          if (1.000000e-09 <= _240_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3507:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3507:29-3510:7
            _0_M._task_1put_1param_SD("MSK_DPAR_BASIS_TOL_X",_240_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3508:8-52
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3509:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3507:29-3510:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3512:8-76
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (basisTolX)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3512:8-76
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3512:8-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3505:4-3513:5
        except mosek_fusion_ValueConversionError as _241_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3514:35-107
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (basisTolX)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3514:37-105
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3514:35-107
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3503:2-3515:3
      if (_1_name=="basisTolS"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3516:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3517:2-3529:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3519:4-3527:5
          _242_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3520:10-11
          if (1.000000e-09 <= _242_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3521:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3521:29-3524:7
            _0_M._task_1put_1param_SD("MSK_DPAR_BASIS_TOL_S",_242_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3522:8-52
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3523:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3521:29-3524:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3526:8-76
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (basisTolS)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3526:8-76
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3526:8-76
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3519:4-3527:5
        except mosek_fusion_ValueConversionError as _243_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3528:35-107
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (basisTolS)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3528:37-105
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3528:35-107
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3517:2-3529:3
      if (_1_name=="basisRelTolS"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3530:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3531:2-3543:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3533:4-3541:5
          _244_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3534:10-11
          if (0.000000e+00 <= _244_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3535:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3535:29-3538:7
            _0_M._task_1put_1param_SD("MSK_DPAR_BASIS_REL_TOL_S",_244_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3536:8-56
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3537:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3535:29-3538:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3540:8-79
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (basisRelTolS)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3540:8-79
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3540:8-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3533:4-3541:5
        except mosek_fusion_ValueConversionError as _245_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3542:35-110
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (basisRelTolS)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3542:37-108
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3542:35-110
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3531:2-3543:3
      if (_1_name=="presolveTolX"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3544:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3545:2-3557:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3547:4-3555:5
          _246_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3548:10-11
          if (0.000000e+00 <= _246_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3549:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3549:29-3552:7
            _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_X",_246_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3550:8-55
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3551:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3549:29-3552:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3554:8-79
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolX)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3554:8-79
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3554:8-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3547:4-3555:5
        except mosek_fusion_ValueConversionError as _247_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3556:35-110
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolX)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3556:37-108
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3556:35-110
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3545:2-3557:3
      if (_1_name=="presolveTolPrimalInfeasPerturbation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3558:6-51
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3559:2-3571:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3561:4-3569:5
          _248_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3562:10-11
          if (0.000000e+00 <= _248_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3563:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3563:29-3566:7
            _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_PRIMAL_INFEAS_PERTURBATION",_248_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3564:8-80
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3565:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3563:29-3566:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3568:8-102
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolPrimalInfeasPerturbation)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3568:8-102
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3568:8-102
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3561:4-3569:5
        except mosek_fusion_ValueConversionError as _249_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3570:35-133
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolPrimalInfeasPerturbation)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3570:37-131
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3570:35-133
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3559:2-3571:3
      if (_1_name=="presolveTolS"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3572:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3573:2-3585:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3575:4-3583:5
          _250_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3576:10-11
          if (0.000000e+00 <= _250_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3577:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3577:29-3580:7
            _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_S",_250_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3578:8-55
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3579:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3577:29-3580:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3582:8-79
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolS)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3582:8-79
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3582:8-79
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3575:4-3583:5
        except mosek_fusion_ValueConversionError as _251_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3584:35-110
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolS)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3584:37-108
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3584:35-110
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3573:2-3585:3
      if (_1_name=="presolveTolAij"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3586:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3587:2-3599:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3589:4-3597:5
          _252_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3590:10-11
          if (1.000000e-15 <= _252_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3591:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3591:29-3594:7
            _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_AIJ",_252_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3592:8-57
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3593:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3591:29-3594:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3596:8-81
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolAij)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3596:8-81
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3596:8-81
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3589:4-3597:5
        except mosek_fusion_ValueConversionError as _253_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3598:35-112
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolAij)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3598:37-110
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3598:35-112
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3587:2-3599:3
      if (_1_name=="presolveTolAbsLindep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3600:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3601:2-3613:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3603:4-3611:5
          _254_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3604:10-11
          if (0.000000e+00 <= _254_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3605:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3605:29-3608:7
            _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_ABS_LINDEP",_254_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3606:8-64
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3607:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3605:29-3608:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3610:8-87
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolAbsLindep)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3610:8-87
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3610:8-87
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3603:4-3611:5
        except mosek_fusion_ValueConversionError as _255_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3612:35-118
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolAbsLindep)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3612:37-116
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3612:35-118
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3601:2-3613:3
      if (_1_name=="presolveTolRelLindep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3614:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3615:2-3627:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3617:4-3625:5
          _256_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3618:10-11
          if (0.000000e+00 <= _256_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3619:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3619:29-3622:7
            _0_M._task_1put_1param_SD("MSK_DPAR_PRESOLVE_TOL_REL_LINDEP",_256_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3620:8-64
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3621:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3619:29-3622:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3624:8-87
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolRelLindep)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3624:8-87
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3624:8-87
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3617:4-3625:5
        except mosek_fusion_ValueConversionError as _257_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3626:35-118
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (presolveTolRelLindep)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3626:37-116
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3626:35-118
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3615:2-3627:3
      if (_1_name=="simplexAbsTolPiv"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3628:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3629:2-3641:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3631:4-3639:5
          _258_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3632:10-11
          if (1.000000e-12 <= _258_v): # bld/herlev/final/default/src/fusion/Parameters.mbi:3633:10-27
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3633:29-3636:7
            _0_M._task_1put_1param_SD("MSK_DPAR_SIMPLEX_ABS_TOL_PIV",_258_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3634:8-60
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3635:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3633:29-3636:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3638:8-83
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simplexAbsTolPiv)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3638:8-83
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3638:8-83
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3631:4-3639:5
        except mosek_fusion_ValueConversionError as _259_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3640:35-114
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (simplexAbsTolPiv)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3640:37-112
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3640:35-114
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3629:2-3641:3
      if (_1_name=="mioTolFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3642:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3643:2-3655:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3645:4-3653:5
          _260_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3646:10-11
          if ((1.000000e-09 <= _260_v) and (_260_v <= 1.000000e-03)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3647:10-49
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3647:51-3650:7
            _0_M._task_1put_1param_SD("MSK_DPAR_MIO_TOL_FEAS",_260_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3648:8-53
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3649:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3647:51-3650:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3652:8-77
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolFeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3652:8-77
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3652:8-77
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3645:4-3653:5
        except mosek_fusion_ValueConversionError as _261_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3654:35-108
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolFeas)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3654:37-106
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3654:35-108
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3643:2-3655:3
      if (_1_name=="mioTolRelDualBoundImprovement"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3656:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3657:2-3669:3
        try:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3659:4-3667:5
          _262_v=mosek.fusion.Utils.Tools._toDouble_S(_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3660:10-11
          if ((0.000000e+00 <= _262_v) and (_262_v <= 1.000000e+00)): # bld/herlev/final/default/src/fusion/Parameters.mbi:3661:10-49
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3661:51-3664:7
            _0_M._task_1put_1param_SD("MSK_DPAR_MIO_TOL_REL_DUAL_BOUND_IMPROVEMENT",_262_v) # bld/herlev/final/default/src/fusion/Parameters.mbi:3662:8-75
            return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3663:8-15
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3661:51-3664:7
          else:
            # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3666:8-96
            raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolRelDualBoundImprovement)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3666:8-96
            # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3666:8-96
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3659:4-3667:5
        except mosek_fusion_ValueConversionError as _263_e:
          # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3668:35-127
          raise mosek_fusion_ParameterError._ctor_S("Invalid value for parameter (mioTolRelDualBoundImprovement)") # bld/herlev/final/default/src/fusion/Parameters.mbi:3668:37-125
          # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3668:35-127
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3657:2-3669:3
      if (_1_name=="dataFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3670:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3671:2-3674:3
        _0_M._task_1put_1param_SS("MSK_SPAR_DATA_FILE_NAME",_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3672:4-55
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3673:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3671:2-3674:3
      if (_1_name=="basSolFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3675:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3676:2-3679:3
        _0_M._task_1put_1param_SS("MSK_SPAR_BAS_SOL_FILE_NAME",_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3677:4-58
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3678:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3676:2-3679:3
      if (_1_name=="itrSolFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3680:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3681:2-3684:3
        _0_M._task_1put_1param_SS("MSK_SPAR_ITR_SOL_FILE_NAME",_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3682:4-58
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3683:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3681:2-3684:3
      if (_1_name=="intSolFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3685:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3686:2-3689:3
        _0_M._task_1put_1param_SS("MSK_SPAR_INT_SOL_FILE_NAME",_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3687:4-58
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3688:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3686:2-3689:3
      if (_1_name=="writeLpGenVarName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3690:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3691:2-3694:3
        _0_M._task_1put_1param_SS("MSK_SPAR_WRITE_LP_GEN_VAR_NAME",_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3692:4-62
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3693:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3691:2-3694:3
      if (_1_name=="remoteOptserverHost"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3695:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3696:2-3699:3
        _0_M._task_1put_1param_SS("MSK_SPAR_REMOTE_OPTSERVER_HOST",_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3697:4-62
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3698:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3696:2-3699:3
      if (_1_name=="remoteTlsCertPath"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3700:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3701:2-3704:3
        _0_M._task_1put_1param_SS("MSK_SPAR_REMOTE_TLS_CERT_PATH",_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3702:4-61
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3703:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3701:2-3704:3
      if (_1_name=="remoteTlsCert"): # bld/herlev/final/default/src/fusion/Parameters.mbi:3705:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3706:2-3709:3
        _0_M._task_1put_1param_SS("MSK_SPAR_REMOTE_TLS_CERT",_2_value) # bld/herlev/final/default/src/fusion/Parameters.mbi:3707:4-56
        return  # bld/herlev/final/default/src/fusion/Parameters.mbi:3708:4-11
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:3706:2-3709:3
      raise mosek_fusion_ParameterError._ctor_S("Unknown parameter") # bld/herlev/final/default/src/fusion/Parameters.mbi:3710:2-48
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1902:0-3711:1
    @staticmethod
    def __string_1to_1variabletype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1variabletype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1variabletype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1895:0-1899:1
      if (_0_v=="typeCont"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1896:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1896:23-36
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1896:25-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1896:23-36
      if (_0_v=="typeInt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1897:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1897:22-35
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1897:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1897:22-35
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1898:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1895:0-1899:1
    @staticmethod
    def __string_1to_1value_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1value_1value_S(_0_v)
    @staticmethod
    def __string_1to_1value_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1889:0-1893:1
      if (_0_v=="maxStrLen"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1890:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1890:24-40
        return numpy.int32(1024) # bld/herlev/final/default/src/fusion/Parameters.mbi:1890:26-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1890:24-40
      if (_0_v=="licenseBufferLength"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1891:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1891:34-48
        return numpy.int32(21) # bld/herlev/final/default/src/fusion/Parameters.mbi:1891:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1891:34-48
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1892:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1889:0-1893:1
    @staticmethod
    def __string_1to_1streamtype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1streamtype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1streamtype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1881:0-1887:1
      if (_0_v=="log"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1882:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1882:18-31
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1882:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1882:18-31
      if (_0_v=="msg"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1883:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1883:18-31
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1883:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1883:18-31
      if (_0_v=="err"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1884:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1884:18-31
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1884:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1884:18-31
      if (_0_v=="wrn"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1885:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1885:18-31
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1885:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1885:18-31
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1886:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1881:0-1887:1
    @staticmethod
    def __string_1to_1startpointtype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1startpointtype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1startpointtype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1874:0-1879:1
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1875:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1875:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1875:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1875:19-32
      if (_0_v=="guess"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1876:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1876:20-33
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1876:22-31
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1876:20-33
      if (_0_v=="constant"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1877:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1877:23-36
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1877:25-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1877:23-36
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1878:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1874:0-1879:1
    @staticmethod
    def __string_1to_1stakey_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1stakey_1value_S(_0_v)
    @staticmethod
    def __string_1to_1stakey_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1863:0-1872:1
      if (_0_v=="unk"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1864:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1864:18-31
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1864:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1864:18-31
      if (_0_v=="bas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1865:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1865:18-31
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1865:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1865:18-31
      if (_0_v=="supbas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1866:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1866:21-34
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1866:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1866:21-34
      if (_0_v=="low"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1867:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1867:18-31
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1867:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1867:18-31
      if (_0_v=="upr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1868:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1868:18-31
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:1868:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1868:18-31
      if (_0_v=="fix"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1869:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1869:18-31
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:1869:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1869:18-31
      if (_0_v=="inf"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1870:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1870:18-31
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:1870:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1870:18-31
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1871:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1863:0-1872:1
    @staticmethod
    def __string_1to_1sparam_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1sparam_1value_S(_0_v)
    @staticmethod
    def __string_1to_1sparam_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1834:0-1861:1
      if (_0_v=="dataFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1835:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1835:27-40
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1835:29-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1835:27-40
      if (_0_v=="paramReadFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1836:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1836:32-45
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:1836:34-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1836:32-45
      if (_0_v=="paramWriteFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1837:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1837:33-46
        return numpy.int32(8) # bld/herlev/final/default/src/fusion/Parameters.mbi:1837:35-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1837:33-46
      if (_0_v=="paramCommentSign"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1838:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1838:31-44
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:1838:33-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1838:31-44
      if (_0_v=="debugFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1839:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1839:28-41
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1839:30-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1839:28-41
      if (_0_v=="basSolFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1840:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1840:29-42
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1840:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1840:29-42
      if (_0_v=="itrSolFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1841:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1841:29-42
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:1841:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1841:29-42
      if (_0_v=="intSolFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1842:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1842:29-42
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1842:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1842:29-42
      if (_0_v=="solFilterXcLow"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1843:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1843:29-43
        return numpy.int32(18) # bld/herlev/final/default/src/fusion/Parameters.mbi:1843:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1843:29-43
      if (_0_v=="solFilterXcUpr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1844:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1844:29-43
        return numpy.int32(19) # bld/herlev/final/default/src/fusion/Parameters.mbi:1844:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1844:29-43
      if (_0_v=="solFilterXxLow"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1845:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1845:29-43
        return numpy.int32(20) # bld/herlev/final/default/src/fusion/Parameters.mbi:1845:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1845:29-43
      if (_0_v=="solFilterXxUpr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1846:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1846:29-43
        return numpy.int32(21) # bld/herlev/final/default/src/fusion/Parameters.mbi:1846:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1846:29-43
      if (_0_v=="readMpsObjName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1847:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1847:29-43
        return numpy.int32(10) # bld/herlev/final/default/src/fusion/Parameters.mbi:1847:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1847:29-43
      if (_0_v=="readMpsRanName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1848:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1848:29-43
        return numpy.int32(11) # bld/herlev/final/default/src/fusion/Parameters.mbi:1848:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1848:29-43
      if (_0_v=="readMpsRhsName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1849:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1849:29-43
        return numpy.int32(12) # bld/herlev/final/default/src/fusion/Parameters.mbi:1849:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1849:29-43
      if (_0_v=="readMpsBouName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1850:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1850:29-42
        return numpy.int32(9) # bld/herlev/final/default/src/fusion/Parameters.mbi:1850:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1850:29-42
      if (_0_v=="statName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1851:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1851:23-37
        return numpy.int32(23) # bld/herlev/final/default/src/fusion/Parameters.mbi:1851:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1851:23-37
      if (_0_v=="statKey"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1852:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1852:22-36
        return numpy.int32(22) # bld/herlev/final/default/src/fusion/Parameters.mbi:1852:24-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1852:22-36
      if (_0_v=="writeLpGenVarName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1853:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1853:32-46
        return numpy.int32(24) # bld/herlev/final/default/src/fusion/Parameters.mbi:1853:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1853:32-46
      if (_0_v=="sensitivityResFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1854:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1854:37-51
        return numpy.int32(17) # bld/herlev/final/default/src/fusion/Parameters.mbi:1854:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1854:37-51
      if (_0_v=="sensitivityFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1855:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1855:34-48
        return numpy.int32(16) # bld/herlev/final/default/src/fusion/Parameters.mbi:1855:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1855:34-48
      if (_0_v=="mioDebugString"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1856:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1856:29-42
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:1856:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1856:29-42
      if (_0_v=="remoteOptserverHost"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1857:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1857:34-48
        return numpy.int32(13) # bld/herlev/final/default/src/fusion/Parameters.mbi:1857:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1857:34-48
      if (_0_v=="remoteTlsCertPath"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1858:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1858:32-46
        return numpy.int32(15) # bld/herlev/final/default/src/fusion/Parameters.mbi:1858:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1858:32-46
      if (_0_v=="remoteTlsCert"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1859:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1859:28-42
        return numpy.int32(14) # bld/herlev/final/default/src/fusion/Parameters.mbi:1859:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1859:28-42
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1860:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1834:0-1861:1
    @staticmethod
    def __string_1to_1solveform_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1solveform_1value_S(_0_v)
    @staticmethod
    def __string_1to_1solveform_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1827:0-1832:1
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1828:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1828:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1828:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1828:19-32
      if (_0_v=="primal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1829:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1829:21-34
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1829:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1829:21-34
      if (_0_v=="dual"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1830:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1830:19-32
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1830:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1830:19-32
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1831:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1827:0-1832:1
    @staticmethod
    def __string_1to_1soltype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1soltype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1soltype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1820:0-1825:1
      if (_0_v=="bas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1821:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1821:18-31
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1821:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1821:18-31
      if (_0_v=="itr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1822:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1822:18-31
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1822:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1822:18-31
      if (_0_v=="itg"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1823:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1823:18-31
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1823:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1823:18-31
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1824:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1820:0-1825:1
    @staticmethod
    def __string_1to_1solsta_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1solsta_1value_S(_0_v)
    @staticmethod
    def __string_1to_1solsta_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1806:0-1818:1
      if (_0_v=="unknown"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1807:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1807:22-35
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1807:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1807:22-35
      if (_0_v=="optimal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1808:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1808:22-35
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1808:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1808:22-35
      if (_0_v=="primFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1809:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1809:23-36
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1809:25-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1809:23-36
      if (_0_v=="dualFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1810:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1810:23-36
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1810:25-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1810:23-36
      if (_0_v=="primAndDualFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1811:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1811:30-43
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:1811:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1811:30-43
      if (_0_v=="primInfeasCer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1812:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1812:28-41
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:1812:30-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1812:28-41
      if (_0_v=="dualInfeasCer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1813:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1813:28-41
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:1813:30-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1813:28-41
      if (_0_v=="primIllposedCer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1814:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1814:30-43
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:1814:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1814:30-43
      if (_0_v=="dualIllposedCer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1815:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1815:30-43
        return numpy.int32(8) # bld/herlev/final/default/src/fusion/Parameters.mbi:1815:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1815:30-43
      if (_0_v=="integerOptimal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1816:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1816:29-42
        return numpy.int32(9) # bld/herlev/final/default/src/fusion/Parameters.mbi:1816:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1816:29-42
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1817:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1806:0-1818:1
    @staticmethod
    def __string_1to_1solitem_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1solitem_1value_S(_0_v)
    @staticmethod
    def __string_1to_1solitem_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1794:0-1804:1
      if (_0_v=="xc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1795:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1795:17-30
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1795:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1795:17-30
      if (_0_v=="xx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1796:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1796:17-30
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1796:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1796:17-30
      if (_0_v=="y"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1797:6-14
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1797:16-29
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1797:18-27
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1797:16-29
      if (_0_v=="slc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1798:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1798:18-31
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1798:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1798:18-31
      if (_0_v=="suc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1799:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1799:18-31
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:1799:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1799:18-31
      if (_0_v=="slx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1800:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1800:18-31
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:1800:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1800:18-31
      if (_0_v=="sux"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1801:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1801:18-31
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:1801:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1801:18-31
      if (_0_v=="snx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1802:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1802:18-31
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:1802:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1802:18-31
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1803:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1794:0-1804:1
    @staticmethod
    def __string_1to_1simseltype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1simseltype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1simseltype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1784:0-1792:1
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1785:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1785:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1785:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1785:19-32
      if (_0_v=="full"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1786:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1786:19-32
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1786:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1786:19-32
      if (_0_v=="ase"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1787:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1787:18-31
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1787:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1787:18-31
      if (_0_v=="devex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1788:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1788:20-33
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1788:22-31
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1788:20-33
      if (_0_v=="se"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1789:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1789:17-30
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:1789:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1789:17-30
      if (_0_v=="partial"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1790:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1790:22-35
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:1790:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1790:22-35
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1791:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1784:0-1792:1
    @staticmethod
    def __string_1to_1sensitivitytype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1sensitivitytype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1sensitivitytype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1779:0-1782:1
      if (_0_v=="basis"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1780:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1780:20-33
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1780:22-31
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1780:20-33
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1781:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1779:0-1782:1
    @staticmethod
    def __string_1to_1scalingmethod_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1scalingmethod_1value_S(_0_v)
    @staticmethod
    def __string_1to_1scalingmethod_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1773:0-1777:1
      if (_0_v=="pow2"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1774:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1774:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1774:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1774:19-32
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1775:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1775:19-32
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1775:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1775:19-32
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1776:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1773:0-1777:1
    @staticmethod
    def __string_1to_1scalingtype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1scalingtype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1scalingtype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1767:0-1771:1
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1768:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1768:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1768:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1768:19-32
      if (_0_v=="none"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1769:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1769:19-32
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1769:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1769:19-32
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1770:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1767:0-1771:1
    @staticmethod
    def __string_1to_1rescodetype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1rescodetype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1rescodetype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1758:0-1765:1
      if (_0_v=="ok"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1759:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1759:17-30
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1759:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1759:17-30
      if (_0_v=="wrn"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1760:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1760:18-31
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1760:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1760:18-31
      if (_0_v=="trm"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1761:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1761:18-31
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1761:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1761:18-31
      if (_0_v=="err"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1762:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1762:18-31
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1762:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1762:18-31
      if (_0_v=="unk"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1763:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1763:18-31
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:1763:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1763:18-31
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1764:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1758:0-1765:1
    @staticmethod
    def __string_1to_1rescode_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1rescode_1value_S(_0_v)
    @staticmethod
    def __string_1to_1rescode_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1209:0-1756:1
      if (_0_v=="ok"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1210:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1210:17-30
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1210:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1210:17-30
      if (_0_v=="wrnOpenParamFile"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1211:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1211:31-45
        return numpy.int32(50) # bld/herlev/final/default/src/fusion/Parameters.mbi:1211:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1211:31-45
      if (_0_v=="wrnLargeBound"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1212:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1212:28-42
        return numpy.int32(51) # bld/herlev/final/default/src/fusion/Parameters.mbi:1212:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1212:28-42
      if (_0_v=="wrnLargeLoBound"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1213:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1213:30-44
        return numpy.int32(52) # bld/herlev/final/default/src/fusion/Parameters.mbi:1213:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1213:30-44
      if (_0_v=="wrnLargeUpBound"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1214:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1214:30-44
        return numpy.int32(53) # bld/herlev/final/default/src/fusion/Parameters.mbi:1214:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1214:30-44
      if (_0_v=="wrnLargeConFx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1215:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1215:28-42
        return numpy.int32(54) # bld/herlev/final/default/src/fusion/Parameters.mbi:1215:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1215:28-42
      if (_0_v=="wrnLargeCj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1216:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1216:25-39
        return numpy.int32(57) # bld/herlev/final/default/src/fusion/Parameters.mbi:1216:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1216:25-39
      if (_0_v=="wrnLargeAij"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1217:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1217:26-40
        return numpy.int32(62) # bld/herlev/final/default/src/fusion/Parameters.mbi:1217:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1217:26-40
      if (_0_v=="wrnZeroAij"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1218:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1218:25-39
        return numpy.int32(63) # bld/herlev/final/default/src/fusion/Parameters.mbi:1218:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1218:25-39
      if (_0_v=="wrnNameMaxLen"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1219:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1219:28-42
        return numpy.int32(65) # bld/herlev/final/default/src/fusion/Parameters.mbi:1219:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1219:28-42
      if (_0_v=="wrnSparMaxLen"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1220:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1220:28-42
        return numpy.int32(66) # bld/herlev/final/default/src/fusion/Parameters.mbi:1220:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1220:28-42
      if (_0_v=="wrnMpsSplitRhsVector"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1221:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1221:35-49
        return numpy.int32(70) # bld/herlev/final/default/src/fusion/Parameters.mbi:1221:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1221:35-49
      if (_0_v=="wrnMpsSplitRanVector"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1222:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1222:35-49
        return numpy.int32(71) # bld/herlev/final/default/src/fusion/Parameters.mbi:1222:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1222:35-49
      if (_0_v=="wrnMpsSplitBouVector"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1223:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1223:35-49
        return numpy.int32(72) # bld/herlev/final/default/src/fusion/Parameters.mbi:1223:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1223:35-49
      if (_0_v=="wrnLpOldQuadFormat"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1224:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1224:33-47
        return numpy.int32(80) # bld/herlev/final/default/src/fusion/Parameters.mbi:1224:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1224:33-47
      if (_0_v=="wrnLpDropVariable"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1225:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1225:32-46
        return numpy.int32(85) # bld/herlev/final/default/src/fusion/Parameters.mbi:1225:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1225:32-46
      if (_0_v=="wrnNzInUprTri"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1226:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1226:28-43
        return numpy.int32(200) # bld/herlev/final/default/src/fusion/Parameters.mbi:1226:30-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1226:28-43
      if (_0_v=="wrnDroppedNzQobj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1227:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1227:31-46
        return numpy.int32(201) # bld/herlev/final/default/src/fusion/Parameters.mbi:1227:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1227:31-46
      if (_0_v=="wrnIgnoreInteger"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1228:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1228:31-46
        return numpy.int32(250) # bld/herlev/final/default/src/fusion/Parameters.mbi:1228:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1228:31-46
      if (_0_v=="wrnNoGlobalOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1229:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1229:35-50
        return numpy.int32(251) # bld/herlev/final/default/src/fusion/Parameters.mbi:1229:37-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1229:35-50
      if (_0_v=="wrnMioInfeasibleFinal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1230:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1230:36-51
        return numpy.int32(270) # bld/herlev/final/default/src/fusion/Parameters.mbi:1230:38-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1230:36-51
      if (_0_v=="wrnSolFilter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1231:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1231:27-42
        return numpy.int32(300) # bld/herlev/final/default/src/fusion/Parameters.mbi:1231:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1231:27-42
      if (_0_v=="wrnUndefSolFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1232:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1232:34-49
        return numpy.int32(350) # bld/herlev/final/default/src/fusion/Parameters.mbi:1232:36-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1232:34-49
      if (_0_v=="wrnSolFileIgnoredCon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1233:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1233:35-50
        return numpy.int32(351) # bld/herlev/final/default/src/fusion/Parameters.mbi:1233:37-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1233:35-50
      if (_0_v=="wrnSolFileIgnoredVar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1234:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1234:35-50
        return numpy.int32(352) # bld/herlev/final/default/src/fusion/Parameters.mbi:1234:37-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1234:35-50
      if (_0_v=="wrnTooFewBasisVars"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1235:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1235:33-48
        return numpy.int32(400) # bld/herlev/final/default/src/fusion/Parameters.mbi:1235:35-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1235:33-48
      if (_0_v=="wrnTooManyBasisVars"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1236:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1236:34-49
        return numpy.int32(405) # bld/herlev/final/default/src/fusion/Parameters.mbi:1236:36-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1236:34-49
      if (_0_v=="wrnLicenseExpire"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1237:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1237:31-46
        return numpy.int32(500) # bld/herlev/final/default/src/fusion/Parameters.mbi:1237:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1237:31-46
      if (_0_v=="wrnLicenseServer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1238:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1238:31-46
        return numpy.int32(501) # bld/herlev/final/default/src/fusion/Parameters.mbi:1238:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1238:31-46
      if (_0_v=="wrnEmptyName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1239:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1239:27-42
        return numpy.int32(502) # bld/herlev/final/default/src/fusion/Parameters.mbi:1239:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1239:27-42
      if (_0_v=="wrnUsingGenericNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1240:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1240:35-50
        return numpy.int32(503) # bld/herlev/final/default/src/fusion/Parameters.mbi:1240:37-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1240:35-50
      if (_0_v=="wrnInvalidMpsName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1241:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1241:32-47
        return numpy.int32(504) # bld/herlev/final/default/src/fusion/Parameters.mbi:1241:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1241:32-47
      if (_0_v=="wrnInvalidMpsObjName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1242:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1242:35-50
        return numpy.int32(505) # bld/herlev/final/default/src/fusion/Parameters.mbi:1242:37-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1242:35-50
      if (_0_v=="wrnLicenseFeatureExpire"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1243:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1243:38-53
        return numpy.int32(509) # bld/herlev/final/default/src/fusion/Parameters.mbi:1243:40-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1243:38-53
      if (_0_v=="wrnParamNameDou"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1244:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1244:30-45
        return numpy.int32(510) # bld/herlev/final/default/src/fusion/Parameters.mbi:1244:32-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1244:30-45
      if (_0_v=="wrnParamNameInt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1245:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1245:30-45
        return numpy.int32(511) # bld/herlev/final/default/src/fusion/Parameters.mbi:1245:32-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1245:30-45
      if (_0_v=="wrnParamNameStr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1246:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1246:30-45
        return numpy.int32(512) # bld/herlev/final/default/src/fusion/Parameters.mbi:1246:32-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1246:30-45
      if (_0_v=="wrnParamStrValue"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1247:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1247:31-46
        return numpy.int32(515) # bld/herlev/final/default/src/fusion/Parameters.mbi:1247:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1247:31-46
      if (_0_v=="wrnParamIgnoredCmio"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1248:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1248:34-49
        return numpy.int32(516) # bld/herlev/final/default/src/fusion/Parameters.mbi:1248:36-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1248:34-49
      if (_0_v=="wrnZerosInSparseRow"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1249:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1249:34-49
        return numpy.int32(705) # bld/herlev/final/default/src/fusion/Parameters.mbi:1249:36-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1249:34-49
      if (_0_v=="wrnZerosInSparseCol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1250:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1250:34-49
        return numpy.int32(710) # bld/herlev/final/default/src/fusion/Parameters.mbi:1250:36-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1250:34-49
      if (_0_v=="wrnIncompleteLinearDependencyCheck"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1251:6-47
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1251:49-64
        return numpy.int32(800) # bld/herlev/final/default/src/fusion/Parameters.mbi:1251:51-62
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1251:49-64
      if (_0_v=="wrnEliminatorSpace"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1252:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1252:33-48
        return numpy.int32(801) # bld/herlev/final/default/src/fusion/Parameters.mbi:1252:35-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1252:33-48
      if (_0_v=="wrnPresolveOutofspace"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1253:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1253:36-51
        return numpy.int32(802) # bld/herlev/final/default/src/fusion/Parameters.mbi:1253:38-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1253:36-51
      if (_0_v=="wrnPresolvePrimalPertubations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1254:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1254:44-59
        return numpy.int32(803) # bld/herlev/final/default/src/fusion/Parameters.mbi:1254:46-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1254:44-59
      if (_0_v=="wrnWriteChangedNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1255:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1255:35-50
        return numpy.int32(830) # bld/herlev/final/default/src/fusion/Parameters.mbi:1255:37-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1255:35-50
      if (_0_v=="wrnWriteDiscardedCfix"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1256:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1256:36-51
        return numpy.int32(831) # bld/herlev/final/default/src/fusion/Parameters.mbi:1256:38-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1256:36-51
      if (_0_v=="wrnDuplicateConstraintNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1257:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1257:42-57
        return numpy.int32(850) # bld/herlev/final/default/src/fusion/Parameters.mbi:1257:44-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1257:42-57
      if (_0_v=="wrnDuplicateVariableNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1258:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1258:40-55
        return numpy.int32(851) # bld/herlev/final/default/src/fusion/Parameters.mbi:1258:42-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1258:40-55
      if (_0_v=="wrnDuplicateBarvariableNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1259:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1259:43-58
        return numpy.int32(852) # bld/herlev/final/default/src/fusion/Parameters.mbi:1259:45-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1259:43-58
      if (_0_v=="wrnDuplicateConeNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1260:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1260:36-51
        return numpy.int32(853) # bld/herlev/final/default/src/fusion/Parameters.mbi:1260:38-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1260:36-51
      if (_0_v=="wrnWriteLpInvalidVarNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1261:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1261:40-55
        return numpy.int32(854) # bld/herlev/final/default/src/fusion/Parameters.mbi:1261:42-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1261:40-55
      if (_0_v=="wrnWriteLpDuplicateVarNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1262:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1262:42-57
        return numpy.int32(855) # bld/herlev/final/default/src/fusion/Parameters.mbi:1262:44-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1262:42-57
      if (_0_v=="wrnWriteLpInvalidConNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1263:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1263:40-55
        return numpy.int32(856) # bld/herlev/final/default/src/fusion/Parameters.mbi:1263:42-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1263:40-55
      if (_0_v=="wrnWriteLpDuplicateConNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1264:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1264:42-57
        return numpy.int32(857) # bld/herlev/final/default/src/fusion/Parameters.mbi:1264:44-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1264:42-57
      if (_0_v=="wrnAnaLargeBounds"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1265:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1265:32-47
        return numpy.int32(900) # bld/herlev/final/default/src/fusion/Parameters.mbi:1265:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1265:32-47
      if (_0_v=="wrnAnaCZero"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1266:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1266:26-41
        return numpy.int32(901) # bld/herlev/final/default/src/fusion/Parameters.mbi:1266:28-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1266:26-41
      if (_0_v=="wrnAnaEmptyCols"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1267:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1267:30-45
        return numpy.int32(902) # bld/herlev/final/default/src/fusion/Parameters.mbi:1267:32-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1267:30-45
      if (_0_v=="wrnAnaCloseBounds"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1268:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1268:32-47
        return numpy.int32(903) # bld/herlev/final/default/src/fusion/Parameters.mbi:1268:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1268:32-47
      if (_0_v=="wrnAnaAlmostIntBounds"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1269:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1269:36-51
        return numpy.int32(904) # bld/herlev/final/default/src/fusion/Parameters.mbi:1269:38-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1269:36-51
      if (_0_v=="wrnNoInfeasibilityReportWhenMatrixVariables"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1270:6-56
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1270:58-73
        return numpy.int32(930) # bld/herlev/final/default/src/fusion/Parameters.mbi:1270:60-71
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1270:58-73
      if (_0_v=="wrnNoDualizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1271:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1271:28-43
        return numpy.int32(950) # bld/herlev/final/default/src/fusion/Parameters.mbi:1271:30-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1271:28-43
      if (_0_v=="wrnSymMatLarge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1272:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1272:29-44
        return numpy.int32(960) # bld/herlev/final/default/src/fusion/Parameters.mbi:1272:31-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1272:29-44
      if (_0_v=="wrnModifiedDoubleParameter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1273:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1273:41-56
        return numpy.int32(970) # bld/herlev/final/default/src/fusion/Parameters.mbi:1273:43-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1273:41-56
      if (_0_v=="wrnLargeFij"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1274:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1274:26-41
        return numpy.int32(980) # bld/herlev/final/default/src/fusion/Parameters.mbi:1274:28-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1274:26-41
      if (_0_v=="errLicense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1275:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1275:25-41
        return numpy.int32(1000) # bld/herlev/final/default/src/fusion/Parameters.mbi:1275:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1275:25-41
      if (_0_v=="errLicenseExpired"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1276:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1276:32-48
        return numpy.int32(1001) # bld/herlev/final/default/src/fusion/Parameters.mbi:1276:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1276:32-48
      if (_0_v=="errLicenseVersion"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1277:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1277:32-48
        return numpy.int32(1002) # bld/herlev/final/default/src/fusion/Parameters.mbi:1277:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1277:32-48
      if (_0_v=="errLicenseOldServerVersion"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1278:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1278:41-57
        return numpy.int32(1003) # bld/herlev/final/default/src/fusion/Parameters.mbi:1278:43-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1278:41-57
      if (_0_v=="errSizeLicense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1279:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1279:29-45
        return numpy.int32(1005) # bld/herlev/final/default/src/fusion/Parameters.mbi:1279:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1279:29-45
      if (_0_v=="errProbLicense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1280:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1280:29-45
        return numpy.int32(1006) # bld/herlev/final/default/src/fusion/Parameters.mbi:1280:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1280:29-45
      if (_0_v=="errFileLicense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1281:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1281:29-45
        return numpy.int32(1007) # bld/herlev/final/default/src/fusion/Parameters.mbi:1281:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1281:29-45
      if (_0_v=="errMissingLicenseFile"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1282:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1282:36-52
        return numpy.int32(1008) # bld/herlev/final/default/src/fusion/Parameters.mbi:1282:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1282:36-52
      if (_0_v=="errSizeLicenseCon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1283:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1283:32-48
        return numpy.int32(1010) # bld/herlev/final/default/src/fusion/Parameters.mbi:1283:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1283:32-48
      if (_0_v=="errSizeLicenseVar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1284:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1284:32-48
        return numpy.int32(1011) # bld/herlev/final/default/src/fusion/Parameters.mbi:1284:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1284:32-48
      if (_0_v=="errSizeLicenseIntvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1285:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1285:35-51
        return numpy.int32(1012) # bld/herlev/final/default/src/fusion/Parameters.mbi:1285:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1285:35-51
      if (_0_v=="errOptimizerLicense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1286:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1286:34-50
        return numpy.int32(1013) # bld/herlev/final/default/src/fusion/Parameters.mbi:1286:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1286:34-50
      if (_0_v=="errFlexlm"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1287:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1287:24-40
        return numpy.int32(1014) # bld/herlev/final/default/src/fusion/Parameters.mbi:1287:26-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1287:24-40
      if (_0_v=="errLicenseServer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1288:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1288:31-47
        return numpy.int32(1015) # bld/herlev/final/default/src/fusion/Parameters.mbi:1288:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1288:31-47
      if (_0_v=="errLicenseMax"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1289:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1289:28-44
        return numpy.int32(1016) # bld/herlev/final/default/src/fusion/Parameters.mbi:1289:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1289:28-44
      if (_0_v=="errLicenseMoseklmDaemon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1290:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1290:38-54
        return numpy.int32(1017) # bld/herlev/final/default/src/fusion/Parameters.mbi:1290:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1290:38-54
      if (_0_v=="errLicenseFeature"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1291:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1291:32-48
        return numpy.int32(1018) # bld/herlev/final/default/src/fusion/Parameters.mbi:1291:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1291:32-48
      if (_0_v=="errPlatformNotLicensed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1292:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1292:37-53
        return numpy.int32(1019) # bld/herlev/final/default/src/fusion/Parameters.mbi:1292:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1292:37-53
      if (_0_v=="errLicenseCannotAllocate"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1293:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1293:39-55
        return numpy.int32(1020) # bld/herlev/final/default/src/fusion/Parameters.mbi:1293:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1293:39-55
      if (_0_v=="errLicenseCannotConnect"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1294:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1294:38-54
        return numpy.int32(1021) # bld/herlev/final/default/src/fusion/Parameters.mbi:1294:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1294:38-54
      if (_0_v=="errLicenseInvalidHostid"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1295:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1295:38-54
        return numpy.int32(1025) # bld/herlev/final/default/src/fusion/Parameters.mbi:1295:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1295:38-54
      if (_0_v=="errLicenseServerVersion"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1296:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1296:38-54
        return numpy.int32(1026) # bld/herlev/final/default/src/fusion/Parameters.mbi:1296:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1296:38-54
      if (_0_v=="errLicenseNoServerSupport"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1297:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1297:40-56
        return numpy.int32(1027) # bld/herlev/final/default/src/fusion/Parameters.mbi:1297:42-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1297:40-56
      if (_0_v=="errLicenseNoServerLine"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1298:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1298:37-53
        return numpy.int32(1028) # bld/herlev/final/default/src/fusion/Parameters.mbi:1298:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1298:37-53
      if (_0_v=="errOlderDll"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1299:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1299:26-42
        return numpy.int32(1035) # bld/herlev/final/default/src/fusion/Parameters.mbi:1299:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1299:26-42
      if (_0_v=="errNewerDll"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1300:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1300:26-42
        return numpy.int32(1036) # bld/herlev/final/default/src/fusion/Parameters.mbi:1300:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1300:26-42
      if (_0_v=="errLinkFileDll"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1301:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1301:29-45
        return numpy.int32(1040) # bld/herlev/final/default/src/fusion/Parameters.mbi:1301:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1301:29-45
      if (_0_v=="errThreadMutexInit"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1302:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1302:33-49
        return numpy.int32(1045) # bld/herlev/final/default/src/fusion/Parameters.mbi:1302:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1302:33-49
      if (_0_v=="errThreadMutexLock"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1303:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1303:33-49
        return numpy.int32(1046) # bld/herlev/final/default/src/fusion/Parameters.mbi:1303:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1303:33-49
      if (_0_v=="errThreadMutexUnlock"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1304:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1304:35-51
        return numpy.int32(1047) # bld/herlev/final/default/src/fusion/Parameters.mbi:1304:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1304:35-51
      if (_0_v=="errThreadCreate"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1305:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1305:30-46
        return numpy.int32(1048) # bld/herlev/final/default/src/fusion/Parameters.mbi:1305:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1305:30-46
      if (_0_v=="errThreadCondInit"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1306:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1306:32-48
        return numpy.int32(1049) # bld/herlev/final/default/src/fusion/Parameters.mbi:1306:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1306:32-48
      if (_0_v=="errUnknown"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1307:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1307:25-41
        return numpy.int32(1050) # bld/herlev/final/default/src/fusion/Parameters.mbi:1307:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1307:25-41
      if (_0_v=="errSpace"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1308:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1308:23-39
        return numpy.int32(1051) # bld/herlev/final/default/src/fusion/Parameters.mbi:1308:25-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1308:23-39
      if (_0_v=="errFileOpen"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1309:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1309:26-42
        return numpy.int32(1052) # bld/herlev/final/default/src/fusion/Parameters.mbi:1309:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1309:26-42
      if (_0_v=="errFileRead"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1310:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1310:26-42
        return numpy.int32(1053) # bld/herlev/final/default/src/fusion/Parameters.mbi:1310:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1310:26-42
      if (_0_v=="errFileWrite"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1311:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1311:27-43
        return numpy.int32(1054) # bld/herlev/final/default/src/fusion/Parameters.mbi:1311:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1311:27-43
      if (_0_v=="errDataFileExt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1312:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1312:29-45
        return numpy.int32(1055) # bld/herlev/final/default/src/fusion/Parameters.mbi:1312:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1312:29-45
      if (_0_v=="errInvalidFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1313:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1313:33-49
        return numpy.int32(1056) # bld/herlev/final/default/src/fusion/Parameters.mbi:1313:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1313:33-49
      if (_0_v=="errInvalidSolFileName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1314:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1314:36-52
        return numpy.int32(1057) # bld/herlev/final/default/src/fusion/Parameters.mbi:1314:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1314:36-52
      if (_0_v=="errEndOfFile"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1315:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1315:27-43
        return numpy.int32(1059) # bld/herlev/final/default/src/fusion/Parameters.mbi:1315:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1315:27-43
      if (_0_v=="errNullEnv"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1316:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1316:25-41
        return numpy.int32(1060) # bld/herlev/final/default/src/fusion/Parameters.mbi:1316:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1316:25-41
      if (_0_v=="errNullTask"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1317:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1317:26-42
        return numpy.int32(1061) # bld/herlev/final/default/src/fusion/Parameters.mbi:1317:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1317:26-42
      if (_0_v=="errInvalidStream"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1318:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1318:31-47
        return numpy.int32(1062) # bld/herlev/final/default/src/fusion/Parameters.mbi:1318:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1318:31-47
      if (_0_v=="errNoInitEnv"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1319:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1319:27-43
        return numpy.int32(1063) # bld/herlev/final/default/src/fusion/Parameters.mbi:1319:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1319:27-43
      if (_0_v=="errInvalidTask"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1320:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1320:29-45
        return numpy.int32(1064) # bld/herlev/final/default/src/fusion/Parameters.mbi:1320:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1320:29-45
      if (_0_v=="errNullPointer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1321:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1321:29-45
        return numpy.int32(1065) # bld/herlev/final/default/src/fusion/Parameters.mbi:1321:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1321:29-45
      if (_0_v=="errLivingTasks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1322:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1322:29-45
        return numpy.int32(1066) # bld/herlev/final/default/src/fusion/Parameters.mbi:1322:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1322:29-45
      if (_0_v=="errReadGzip"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1323:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1323:26-42
        return numpy.int32(1067) # bld/herlev/final/default/src/fusion/Parameters.mbi:1323:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1323:26-42
      if (_0_v=="errReadZstd"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1324:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1324:26-42
        return numpy.int32(1068) # bld/herlev/final/default/src/fusion/Parameters.mbi:1324:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1324:26-42
      if (_0_v=="errBlankName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1325:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1325:27-43
        return numpy.int32(1070) # bld/herlev/final/default/src/fusion/Parameters.mbi:1325:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1325:27-43
      if (_0_v=="errDupName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1326:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1326:25-41
        return numpy.int32(1071) # bld/herlev/final/default/src/fusion/Parameters.mbi:1326:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1326:25-41
      if (_0_v=="errFormatString"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1327:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1327:30-46
        return numpy.int32(1072) # bld/herlev/final/default/src/fusion/Parameters.mbi:1327:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1327:30-46
      if (_0_v=="errSparsitySpecification"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1328:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1328:39-55
        return numpy.int32(1073) # bld/herlev/final/default/src/fusion/Parameters.mbi:1328:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1328:39-55
      if (_0_v=="errMismatchingDimension"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1329:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1329:38-54
        return numpy.int32(1074) # bld/herlev/final/default/src/fusion/Parameters.mbi:1329:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1329:38-54
      if (_0_v=="errInvalidObjName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1330:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1330:32-48
        return numpy.int32(1075) # bld/herlev/final/default/src/fusion/Parameters.mbi:1330:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1330:32-48
      if (_0_v=="errInvalidConName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1331:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1331:32-48
        return numpy.int32(1076) # bld/herlev/final/default/src/fusion/Parameters.mbi:1331:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1331:32-48
      if (_0_v=="errInvalidVarName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1332:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1332:32-48
        return numpy.int32(1077) # bld/herlev/final/default/src/fusion/Parameters.mbi:1332:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1332:32-48
      if (_0_v=="errInvalidConeName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1333:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1333:33-49
        return numpy.int32(1078) # bld/herlev/final/default/src/fusion/Parameters.mbi:1333:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1333:33-49
      if (_0_v=="errInvalidBarvarName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1334:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1334:35-51
        return numpy.int32(1079) # bld/herlev/final/default/src/fusion/Parameters.mbi:1334:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1334:35-51
      if (_0_v=="errSpaceLeaking"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1335:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1335:30-46
        return numpy.int32(1080) # bld/herlev/final/default/src/fusion/Parameters.mbi:1335:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1335:30-46
      if (_0_v=="errSpaceNoInfo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1336:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1336:29-45
        return numpy.int32(1081) # bld/herlev/final/default/src/fusion/Parameters.mbi:1336:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1336:29-45
      if (_0_v=="errDimensionSpecification"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1337:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1337:40-56
        return numpy.int32(1082) # bld/herlev/final/default/src/fusion/Parameters.mbi:1337:42-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1337:40-56
      if (_0_v=="errAxisNameSpecification"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1338:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1338:39-55
        return numpy.int32(1083) # bld/herlev/final/default/src/fusion/Parameters.mbi:1338:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1338:39-55
      if (_0_v=="errReadFormat"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1339:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1339:28-44
        return numpy.int32(1090) # bld/herlev/final/default/src/fusion/Parameters.mbi:1339:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1339:28-44
      if (_0_v=="errMpsFile"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1340:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1340:25-41
        return numpy.int32(1100) # bld/herlev/final/default/src/fusion/Parameters.mbi:1340:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1340:25-41
      if (_0_v=="errMpsInvField"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1341:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1341:29-45
        return numpy.int32(1101) # bld/herlev/final/default/src/fusion/Parameters.mbi:1341:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1341:29-45
      if (_0_v=="errMpsInvMarker"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1342:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1342:30-46
        return numpy.int32(1102) # bld/herlev/final/default/src/fusion/Parameters.mbi:1342:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1342:30-46
      if (_0_v=="errMpsNullConName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1343:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1343:32-48
        return numpy.int32(1103) # bld/herlev/final/default/src/fusion/Parameters.mbi:1343:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1343:32-48
      if (_0_v=="errMpsNullVarName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1344:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1344:32-48
        return numpy.int32(1104) # bld/herlev/final/default/src/fusion/Parameters.mbi:1344:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1344:32-48
      if (_0_v=="errMpsUndefConName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1345:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1345:33-49
        return numpy.int32(1105) # bld/herlev/final/default/src/fusion/Parameters.mbi:1345:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1345:33-49
      if (_0_v=="errMpsUndefVarName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1346:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1346:33-49
        return numpy.int32(1106) # bld/herlev/final/default/src/fusion/Parameters.mbi:1346:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1346:33-49
      if (_0_v=="errMpsInvalidConKey"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1347:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1347:34-50
        return numpy.int32(1107) # bld/herlev/final/default/src/fusion/Parameters.mbi:1347:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1347:34-50
      if (_0_v=="errMpsInvalidBoundKey"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1348:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1348:36-52
        return numpy.int32(1108) # bld/herlev/final/default/src/fusion/Parameters.mbi:1348:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1348:36-52
      if (_0_v=="errMpsInvalidSecName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1349:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1349:35-51
        return numpy.int32(1109) # bld/herlev/final/default/src/fusion/Parameters.mbi:1349:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1349:35-51
      if (_0_v=="errMpsNoObjective"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1350:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1350:32-48
        return numpy.int32(1110) # bld/herlev/final/default/src/fusion/Parameters.mbi:1350:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1350:32-48
      if (_0_v=="errMpsSplittedVar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1351:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1351:32-48
        return numpy.int32(1111) # bld/herlev/final/default/src/fusion/Parameters.mbi:1351:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1351:32-48
      if (_0_v=="errMpsMulConName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1352:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1352:31-47
        return numpy.int32(1112) # bld/herlev/final/default/src/fusion/Parameters.mbi:1352:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1352:31-47
      if (_0_v=="errMpsMulQsec"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1353:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1353:28-44
        return numpy.int32(1113) # bld/herlev/final/default/src/fusion/Parameters.mbi:1353:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1353:28-44
      if (_0_v=="errMpsMulQobj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1354:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1354:28-44
        return numpy.int32(1114) # bld/herlev/final/default/src/fusion/Parameters.mbi:1354:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1354:28-44
      if (_0_v=="errMpsInvSecOrder"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1355:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1355:32-48
        return numpy.int32(1115) # bld/herlev/final/default/src/fusion/Parameters.mbi:1355:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1355:32-48
      if (_0_v=="errMpsMulCsec"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1356:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1356:28-44
        return numpy.int32(1116) # bld/herlev/final/default/src/fusion/Parameters.mbi:1356:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1356:28-44
      if (_0_v=="errMpsConeType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1357:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1357:29-45
        return numpy.int32(1117) # bld/herlev/final/default/src/fusion/Parameters.mbi:1357:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1357:29-45
      if (_0_v=="errMpsConeOverlap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1358:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1358:32-48
        return numpy.int32(1118) # bld/herlev/final/default/src/fusion/Parameters.mbi:1358:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1358:32-48
      if (_0_v=="errMpsConeRepeat"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1359:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1359:31-47
        return numpy.int32(1119) # bld/herlev/final/default/src/fusion/Parameters.mbi:1359:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1359:31-47
      if (_0_v=="errMpsNonSymmetricQ"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1360:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1360:34-50
        return numpy.int32(1120) # bld/herlev/final/default/src/fusion/Parameters.mbi:1360:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1360:34-50
      if (_0_v=="errMpsDuplicateQElement"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1361:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1361:38-54
        return numpy.int32(1121) # bld/herlev/final/default/src/fusion/Parameters.mbi:1361:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1361:38-54
      if (_0_v=="errMpsInvalidObjsense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1362:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1362:36-52
        return numpy.int32(1122) # bld/herlev/final/default/src/fusion/Parameters.mbi:1362:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1362:36-52
      if (_0_v=="errMpsTabInField2"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1363:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1363:32-48
        return numpy.int32(1125) # bld/herlev/final/default/src/fusion/Parameters.mbi:1363:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1363:32-48
      if (_0_v=="errMpsTabInField3"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1364:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1364:32-48
        return numpy.int32(1126) # bld/herlev/final/default/src/fusion/Parameters.mbi:1364:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1364:32-48
      if (_0_v=="errMpsTabInField5"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1365:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1365:32-48
        return numpy.int32(1127) # bld/herlev/final/default/src/fusion/Parameters.mbi:1365:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1365:32-48
      if (_0_v=="errMpsInvalidObjName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1366:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1366:35-51
        return numpy.int32(1128) # bld/herlev/final/default/src/fusion/Parameters.mbi:1366:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1366:35-51
      if (_0_v=="errMpsInvalidKey"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1367:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1367:31-47
        return numpy.int32(1129) # bld/herlev/final/default/src/fusion/Parameters.mbi:1367:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1367:31-47
      if (_0_v=="errMpsInvalidIndicatorConstraint"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1368:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1368:47-63
        return numpy.int32(1130) # bld/herlev/final/default/src/fusion/Parameters.mbi:1368:49-61
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1368:47-63
      if (_0_v=="errMpsInvalidIndicatorVariable"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1369:6-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1369:45-61
        return numpy.int32(1131) # bld/herlev/final/default/src/fusion/Parameters.mbi:1369:47-59
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1369:45-61
      if (_0_v=="errMpsInvalidIndicatorValue"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1370:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1370:42-58
        return numpy.int32(1132) # bld/herlev/final/default/src/fusion/Parameters.mbi:1370:44-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1370:42-58
      if (_0_v=="errMpsInvalidIndicatorQuadraticConstraint"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1371:6-54
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1371:56-72
        return numpy.int32(1133) # bld/herlev/final/default/src/fusion/Parameters.mbi:1371:58-70
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1371:56-72
      if (_0_v=="errOpfSyntax"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1372:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1372:27-43
        return numpy.int32(1134) # bld/herlev/final/default/src/fusion/Parameters.mbi:1372:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1372:27-43
      if (_0_v=="errOpfPrematureEof"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1373:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1373:33-49
        return numpy.int32(1136) # bld/herlev/final/default/src/fusion/Parameters.mbi:1373:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1373:33-49
      if (_0_v=="errOpfMismatchedTag"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1374:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1374:34-50
        return numpy.int32(1137) # bld/herlev/final/default/src/fusion/Parameters.mbi:1374:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1374:34-50
      if (_0_v=="errOpfDuplicateBound"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1375:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1375:35-51
        return numpy.int32(1138) # bld/herlev/final/default/src/fusion/Parameters.mbi:1375:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1375:35-51
      if (_0_v=="errOpfDuplicateConstraintName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1376:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1376:44-60
        return numpy.int32(1139) # bld/herlev/final/default/src/fusion/Parameters.mbi:1376:46-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1376:44-60
      if (_0_v=="errOpfInvalidConeType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1377:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1377:36-52
        return numpy.int32(1140) # bld/herlev/final/default/src/fusion/Parameters.mbi:1377:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1377:36-52
      if (_0_v=="errOpfIncorrectTagParam"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1378:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1378:38-54
        return numpy.int32(1141) # bld/herlev/final/default/src/fusion/Parameters.mbi:1378:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1378:38-54
      if (_0_v=="errOpfInvalidTag"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1379:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1379:31-47
        return numpy.int32(1142) # bld/herlev/final/default/src/fusion/Parameters.mbi:1379:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1379:31-47
      if (_0_v=="errOpfDuplicateConeEntry"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1380:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1380:39-55
        return numpy.int32(1143) # bld/herlev/final/default/src/fusion/Parameters.mbi:1380:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1380:39-55
      if (_0_v=="errOpfTooLarge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1381:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1381:29-45
        return numpy.int32(1144) # bld/herlev/final/default/src/fusion/Parameters.mbi:1381:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1381:29-45
      if (_0_v=="errOpfDualIntegerSolution"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1382:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1382:40-56
        return numpy.int32(1146) # bld/herlev/final/default/src/fusion/Parameters.mbi:1382:42-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1382:40-56
      if (_0_v=="errLpEmpty"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1383:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1383:25-41
        return numpy.int32(1151) # bld/herlev/final/default/src/fusion/Parameters.mbi:1383:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1383:25-41
      if (_0_v=="errWriteMpsInvalidName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1384:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1384:37-53
        return numpy.int32(1153) # bld/herlev/final/default/src/fusion/Parameters.mbi:1384:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1384:37-53
      if (_0_v=="errLpInvalidVarName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1385:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1385:34-50
        return numpy.int32(1154) # bld/herlev/final/default/src/fusion/Parameters.mbi:1385:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1385:34-50
      if (_0_v=="errWriteOpfInvalidVarName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1386:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1386:40-56
        return numpy.int32(1156) # bld/herlev/final/default/src/fusion/Parameters.mbi:1386:42-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1386:40-56
      if (_0_v=="errLpFileFormat"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1387:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1387:30-46
        return numpy.int32(1157) # bld/herlev/final/default/src/fusion/Parameters.mbi:1387:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1387:30-46
      if (_0_v=="errLpExpectedNumber"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1388:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1388:34-50
        return numpy.int32(1158) # bld/herlev/final/default/src/fusion/Parameters.mbi:1388:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1388:34-50
      if (_0_v=="errReadLpMissingEndTag"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1389:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1389:37-53
        return numpy.int32(1159) # bld/herlev/final/default/src/fusion/Parameters.mbi:1389:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1389:37-53
      if (_0_v=="errLpIndicatorVar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1390:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1390:32-48
        return numpy.int32(1160) # bld/herlev/final/default/src/fusion/Parameters.mbi:1390:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1390:32-48
      if (_0_v=="errLpExpectedObjective"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1391:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1391:37-53
        return numpy.int32(1161) # bld/herlev/final/default/src/fusion/Parameters.mbi:1391:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1391:37-53
      if (_0_v=="errLpExpectedConstraintRelation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1392:6-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1392:46-62
        return numpy.int32(1162) # bld/herlev/final/default/src/fusion/Parameters.mbi:1392:48-60
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1392:46-62
      if (_0_v=="errLpAmbiguousConstraintBound"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1393:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1393:44-60
        return numpy.int32(1163) # bld/herlev/final/default/src/fusion/Parameters.mbi:1393:46-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1393:44-60
      if (_0_v=="errLpDuplicateSection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1394:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1394:36-52
        return numpy.int32(1164) # bld/herlev/final/default/src/fusion/Parameters.mbi:1394:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1394:36-52
      if (_0_v=="errReadLpDelayedRowsNotSupported"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1395:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1395:47-63
        return numpy.int32(1165) # bld/herlev/final/default/src/fusion/Parameters.mbi:1395:49-61
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1395:47-63
      if (_0_v=="errWritingFile"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1396:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1396:29-45
        return numpy.int32(1166) # bld/herlev/final/default/src/fusion/Parameters.mbi:1396:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1396:29-45
      if (_0_v=="errInvalidNameInSolFile"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1397:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1397:38-54
        return numpy.int32(1170) # bld/herlev/final/default/src/fusion/Parameters.mbi:1397:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1397:38-54
      if (_0_v=="errJsonSyntax"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1398:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1398:28-44
        return numpy.int32(1175) # bld/herlev/final/default/src/fusion/Parameters.mbi:1398:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1398:28-44
      if (_0_v=="errJsonString"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1399:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1399:28-44
        return numpy.int32(1176) # bld/herlev/final/default/src/fusion/Parameters.mbi:1399:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1399:28-44
      if (_0_v=="errJsonNumberOverflow"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1400:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1400:36-52
        return numpy.int32(1177) # bld/herlev/final/default/src/fusion/Parameters.mbi:1400:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1400:36-52
      if (_0_v=="errJsonFormat"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1401:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1401:28-44
        return numpy.int32(1178) # bld/herlev/final/default/src/fusion/Parameters.mbi:1401:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1401:28-44
      if (_0_v=="errJsonData"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1402:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1402:26-42
        return numpy.int32(1179) # bld/herlev/final/default/src/fusion/Parameters.mbi:1402:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1402:26-42
      if (_0_v=="errJsonMissingData"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1403:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1403:33-49
        return numpy.int32(1180) # bld/herlev/final/default/src/fusion/Parameters.mbi:1403:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1403:33-49
      if (_0_v=="errPtfIncompatibility"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1404:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1404:36-52
        return numpy.int32(1181) # bld/herlev/final/default/src/fusion/Parameters.mbi:1404:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1404:36-52
      if (_0_v=="errPtfUndefinedItem"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1405:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1405:34-50
        return numpy.int32(1182) # bld/herlev/final/default/src/fusion/Parameters.mbi:1405:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1405:34-50
      if (_0_v=="errPtfInconsistency"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1406:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1406:34-50
        return numpy.int32(1183) # bld/herlev/final/default/src/fusion/Parameters.mbi:1406:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1406:34-50
      if (_0_v=="errPtfFormat"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1407:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1407:27-43
        return numpy.int32(1184) # bld/herlev/final/default/src/fusion/Parameters.mbi:1407:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1407:27-43
      if (_0_v=="errArgumentLenneq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1408:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1408:32-48
        return numpy.int32(1197) # bld/herlev/final/default/src/fusion/Parameters.mbi:1408:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1408:32-48
      if (_0_v=="errArgumentType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1409:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1409:30-46
        return numpy.int32(1198) # bld/herlev/final/default/src/fusion/Parameters.mbi:1409:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1409:30-46
      if (_0_v=="errNumArguments"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1410:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1410:30-46
        return numpy.int32(1199) # bld/herlev/final/default/src/fusion/Parameters.mbi:1410:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1410:30-46
      if (_0_v=="errInArgument"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1411:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1411:28-44
        return numpy.int32(1200) # bld/herlev/final/default/src/fusion/Parameters.mbi:1411:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1411:28-44
      if (_0_v=="errArgumentDimension"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1412:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1412:35-51
        return numpy.int32(1201) # bld/herlev/final/default/src/fusion/Parameters.mbi:1412:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1412:35-51
      if (_0_v=="errShapeIsTooLarge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1413:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1413:33-49
        return numpy.int32(1202) # bld/herlev/final/default/src/fusion/Parameters.mbi:1413:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1413:33-49
      if (_0_v=="errIndexIsTooSmall"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1414:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1414:33-49
        return numpy.int32(1203) # bld/herlev/final/default/src/fusion/Parameters.mbi:1414:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1414:33-49
      if (_0_v=="errIndexIsTooLarge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1415:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1415:33-49
        return numpy.int32(1204) # bld/herlev/final/default/src/fusion/Parameters.mbi:1415:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1415:33-49
      if (_0_v=="errIndexIsNotUnique"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1416:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1416:34-50
        return numpy.int32(1205) # bld/herlev/final/default/src/fusion/Parameters.mbi:1416:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1416:34-50
      if (_0_v=="errParamName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1417:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1417:27-43
        return numpy.int32(1206) # bld/herlev/final/default/src/fusion/Parameters.mbi:1417:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1417:27-43
      if (_0_v=="errParamNameDou"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1418:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1418:30-46
        return numpy.int32(1207) # bld/herlev/final/default/src/fusion/Parameters.mbi:1418:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1418:30-46
      if (_0_v=="errParamNameInt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1419:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1419:30-46
        return numpy.int32(1208) # bld/herlev/final/default/src/fusion/Parameters.mbi:1419:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1419:30-46
      if (_0_v=="errParamNameStr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1420:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1420:30-46
        return numpy.int32(1209) # bld/herlev/final/default/src/fusion/Parameters.mbi:1420:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1420:30-46
      if (_0_v=="errParamIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1421:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1421:28-44
        return numpy.int32(1210) # bld/herlev/final/default/src/fusion/Parameters.mbi:1421:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1421:28-44
      if (_0_v=="errParamIsTooLarge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1422:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1422:33-49
        return numpy.int32(1215) # bld/herlev/final/default/src/fusion/Parameters.mbi:1422:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1422:33-49
      if (_0_v=="errParamIsTooSmall"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1423:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1423:33-49
        return numpy.int32(1216) # bld/herlev/final/default/src/fusion/Parameters.mbi:1423:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1423:33-49
      if (_0_v=="errParamValueStr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1424:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1424:31-47
        return numpy.int32(1217) # bld/herlev/final/default/src/fusion/Parameters.mbi:1424:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1424:31-47
      if (_0_v=="errParamType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1425:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1425:27-43
        return numpy.int32(1218) # bld/herlev/final/default/src/fusion/Parameters.mbi:1425:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1425:27-43
      if (_0_v=="errInfDouIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1426:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1426:29-45
        return numpy.int32(1219) # bld/herlev/final/default/src/fusion/Parameters.mbi:1426:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1426:29-45
      if (_0_v=="errInfIntIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1427:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1427:29-45
        return numpy.int32(1220) # bld/herlev/final/default/src/fusion/Parameters.mbi:1427:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1427:29-45
      if (_0_v=="errIndexArrIsTooSmall"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1428:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1428:36-52
        return numpy.int32(1221) # bld/herlev/final/default/src/fusion/Parameters.mbi:1428:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1428:36-52
      if (_0_v=="errIndexArrIsTooLarge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1429:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1429:36-52
        return numpy.int32(1222) # bld/herlev/final/default/src/fusion/Parameters.mbi:1429:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1429:36-52
      if (_0_v=="errInfLintIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1430:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1430:30-46
        return numpy.int32(1225) # bld/herlev/final/default/src/fusion/Parameters.mbi:1430:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1430:30-46
      if (_0_v=="errArgIsTooSmall"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1431:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1431:31-47
        return numpy.int32(1226) # bld/herlev/final/default/src/fusion/Parameters.mbi:1431:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1431:31-47
      if (_0_v=="errArgIsTooLarge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1432:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1432:31-47
        return numpy.int32(1227) # bld/herlev/final/default/src/fusion/Parameters.mbi:1432:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1432:31-47
      if (_0_v=="errInvalidWhichsol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1433:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1433:33-49
        return numpy.int32(1228) # bld/herlev/final/default/src/fusion/Parameters.mbi:1433:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1433:33-49
      if (_0_v=="errInfDouName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1434:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1434:28-44
        return numpy.int32(1230) # bld/herlev/final/default/src/fusion/Parameters.mbi:1434:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1434:28-44
      if (_0_v=="errInfIntName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1435:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1435:28-44
        return numpy.int32(1231) # bld/herlev/final/default/src/fusion/Parameters.mbi:1435:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1435:28-44
      if (_0_v=="errInfType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1436:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1436:25-41
        return numpy.int32(1232) # bld/herlev/final/default/src/fusion/Parameters.mbi:1436:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1436:25-41
      if (_0_v=="errInfLintName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1437:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1437:29-45
        return numpy.int32(1234) # bld/herlev/final/default/src/fusion/Parameters.mbi:1437:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1437:29-45
      if (_0_v=="errIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1438:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1438:23-39
        return numpy.int32(1235) # bld/herlev/final/default/src/fusion/Parameters.mbi:1438:25-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1438:23-39
      if (_0_v=="errWhichsol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1439:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1439:26-42
        return numpy.int32(1236) # bld/herlev/final/default/src/fusion/Parameters.mbi:1439:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1439:26-42
      if (_0_v=="errSolitem"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1440:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1440:25-41
        return numpy.int32(1237) # bld/herlev/final/default/src/fusion/Parameters.mbi:1440:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1440:25-41
      if (_0_v=="errWhichitemNotAllowed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1441:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1441:37-53
        return numpy.int32(1238) # bld/herlev/final/default/src/fusion/Parameters.mbi:1441:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1441:37-53
      if (_0_v=="errMaxnumcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1442:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1442:27-43
        return numpy.int32(1240) # bld/herlev/final/default/src/fusion/Parameters.mbi:1442:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1442:27-43
      if (_0_v=="errMaxnumvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1443:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1443:27-43
        return numpy.int32(1241) # bld/herlev/final/default/src/fusion/Parameters.mbi:1443:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1443:27-43
      if (_0_v=="errMaxnumbarvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1444:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1444:30-46
        return numpy.int32(1242) # bld/herlev/final/default/src/fusion/Parameters.mbi:1444:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1444:30-46
      if (_0_v=="errMaxnumqnz"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1445:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1445:27-43
        return numpy.int32(1243) # bld/herlev/final/default/src/fusion/Parameters.mbi:1445:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1445:27-43
      if (_0_v=="errTooSmallMaxNumNz"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1446:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1446:34-50
        return numpy.int32(1245) # bld/herlev/final/default/src/fusion/Parameters.mbi:1446:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1446:34-50
      if (_0_v=="errInvalidIdx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1447:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1447:28-44
        return numpy.int32(1246) # bld/herlev/final/default/src/fusion/Parameters.mbi:1447:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1447:28-44
      if (_0_v=="errInvalidMaxNum"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1448:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1448:31-47
        return numpy.int32(1247) # bld/herlev/final/default/src/fusion/Parameters.mbi:1448:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1448:31-47
      if (_0_v=="errUnallowedWhichsol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1449:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1449:35-51
        return numpy.int32(1248) # bld/herlev/final/default/src/fusion/Parameters.mbi:1449:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1449:35-51
      if (_0_v=="errNumconlim"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1450:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1450:27-43
        return numpy.int32(1250) # bld/herlev/final/default/src/fusion/Parameters.mbi:1450:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1450:27-43
      if (_0_v=="errNumvarlim"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1451:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1451:27-43
        return numpy.int32(1251) # bld/herlev/final/default/src/fusion/Parameters.mbi:1451:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1451:27-43
      if (_0_v=="errTooSmallMaxnumanz"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1452:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1452:35-51
        return numpy.int32(1252) # bld/herlev/final/default/src/fusion/Parameters.mbi:1452:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1452:35-51
      if (_0_v=="errInvAptre"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1453:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1453:26-42
        return numpy.int32(1253) # bld/herlev/final/default/src/fusion/Parameters.mbi:1453:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1453:26-42
      if (_0_v=="errMulAElement"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1454:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1454:29-45
        return numpy.int32(1254) # bld/herlev/final/default/src/fusion/Parameters.mbi:1454:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1454:29-45
      if (_0_v=="errInvBk"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1455:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1455:23-39
        return numpy.int32(1255) # bld/herlev/final/default/src/fusion/Parameters.mbi:1455:25-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1455:23-39
      if (_0_v=="errInvBkc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1456:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1456:24-40
        return numpy.int32(1256) # bld/herlev/final/default/src/fusion/Parameters.mbi:1456:26-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1456:24-40
      if (_0_v=="errInvBkx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1457:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1457:24-40
        return numpy.int32(1257) # bld/herlev/final/default/src/fusion/Parameters.mbi:1457:26-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1457:24-40
      if (_0_v=="errInvVarType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1458:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1458:28-44
        return numpy.int32(1258) # bld/herlev/final/default/src/fusion/Parameters.mbi:1458:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1458:28-44
      if (_0_v=="errSolverProbtype"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1459:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1459:32-48
        return numpy.int32(1259) # bld/herlev/final/default/src/fusion/Parameters.mbi:1459:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1459:32-48
      if (_0_v=="errObjectiveRange"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1460:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1460:32-48
        return numpy.int32(1260) # bld/herlev/final/default/src/fusion/Parameters.mbi:1460:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1460:32-48
      if (_0_v=="errInvRescode"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1461:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1461:28-44
        return numpy.int32(1261) # bld/herlev/final/default/src/fusion/Parameters.mbi:1461:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1461:28-44
      if (_0_v=="errInvIinf"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1462:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1462:25-41
        return numpy.int32(1262) # bld/herlev/final/default/src/fusion/Parameters.mbi:1462:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1462:25-41
      if (_0_v=="errInvLiinf"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1463:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1463:26-42
        return numpy.int32(1263) # bld/herlev/final/default/src/fusion/Parameters.mbi:1463:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1463:26-42
      if (_0_v=="errInvDinf"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1464:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1464:25-41
        return numpy.int32(1264) # bld/herlev/final/default/src/fusion/Parameters.mbi:1464:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1464:25-41
      if (_0_v=="errBasis"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1465:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1465:23-39
        return numpy.int32(1266) # bld/herlev/final/default/src/fusion/Parameters.mbi:1465:25-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1465:23-39
      if (_0_v=="errInvSkc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1466:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1466:24-40
        return numpy.int32(1267) # bld/herlev/final/default/src/fusion/Parameters.mbi:1466:26-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1466:24-40
      if (_0_v=="errInvSkx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1467:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1467:24-40
        return numpy.int32(1268) # bld/herlev/final/default/src/fusion/Parameters.mbi:1467:26-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1467:24-40
      if (_0_v=="errInvSkn"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1468:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1468:24-40
        return numpy.int32(1274) # bld/herlev/final/default/src/fusion/Parameters.mbi:1468:26-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1468:24-40
      if (_0_v=="errInvSkStr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1469:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1469:26-42
        return numpy.int32(1269) # bld/herlev/final/default/src/fusion/Parameters.mbi:1469:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1469:26-42
      if (_0_v=="errInvSk"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1470:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1470:23-39
        return numpy.int32(1270) # bld/herlev/final/default/src/fusion/Parameters.mbi:1470:25-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1470:23-39
      if (_0_v=="errInvConeTypeStr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1471:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1471:32-48
        return numpy.int32(1271) # bld/herlev/final/default/src/fusion/Parameters.mbi:1471:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1471:32-48
      if (_0_v=="errInvConeType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1472:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1472:29-45
        return numpy.int32(1272) # bld/herlev/final/default/src/fusion/Parameters.mbi:1472:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1472:29-45
      if (_0_v=="errInvalidSurplus"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1473:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1473:32-48
        return numpy.int32(1275) # bld/herlev/final/default/src/fusion/Parameters.mbi:1473:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1473:32-48
      if (_0_v=="errInvNameItem"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1474:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1474:29-45
        return numpy.int32(1280) # bld/herlev/final/default/src/fusion/Parameters.mbi:1474:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1474:29-45
      if (_0_v=="errProItem"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1475:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1475:25-41
        return numpy.int32(1281) # bld/herlev/final/default/src/fusion/Parameters.mbi:1475:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1475:25-41
      if (_0_v=="errInvalidFormatType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1476:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1476:35-51
        return numpy.int32(1283) # bld/herlev/final/default/src/fusion/Parameters.mbi:1476:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1476:35-51
      if (_0_v=="errFirsti"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1477:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1477:24-40
        return numpy.int32(1285) # bld/herlev/final/default/src/fusion/Parameters.mbi:1477:26-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1477:24-40
      if (_0_v=="errLasti"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1478:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1478:23-39
        return numpy.int32(1286) # bld/herlev/final/default/src/fusion/Parameters.mbi:1478:25-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1478:23-39
      if (_0_v=="errFirstj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1479:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1479:24-40
        return numpy.int32(1287) # bld/herlev/final/default/src/fusion/Parameters.mbi:1479:26-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1479:24-40
      if (_0_v=="errLastj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1480:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1480:23-39
        return numpy.int32(1288) # bld/herlev/final/default/src/fusion/Parameters.mbi:1480:25-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1480:23-39
      if (_0_v=="errMaxLenIsTooSmall"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1481:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1481:34-50
        return numpy.int32(1289) # bld/herlev/final/default/src/fusion/Parameters.mbi:1481:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1481:34-50
      if (_0_v=="errNonlinearEquality"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1482:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1482:35-51
        return numpy.int32(1290) # bld/herlev/final/default/src/fusion/Parameters.mbi:1482:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1482:35-51
      if (_0_v=="errNonconvex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1483:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1483:27-43
        return numpy.int32(1291) # bld/herlev/final/default/src/fusion/Parameters.mbi:1483:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1483:27-43
      if (_0_v=="errNonlinearRanged"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1484:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1484:33-49
        return numpy.int32(1292) # bld/herlev/final/default/src/fusion/Parameters.mbi:1484:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1484:33-49
      if (_0_v=="errConQNotPsd"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1485:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1485:28-44
        return numpy.int32(1293) # bld/herlev/final/default/src/fusion/Parameters.mbi:1485:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1485:28-44
      if (_0_v=="errConQNotNsd"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1486:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1486:28-44
        return numpy.int32(1294) # bld/herlev/final/default/src/fusion/Parameters.mbi:1486:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1486:28-44
      if (_0_v=="errObjQNotPsd"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1487:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1487:28-44
        return numpy.int32(1295) # bld/herlev/final/default/src/fusion/Parameters.mbi:1487:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1487:28-44
      if (_0_v=="errObjQNotNsd"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1488:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1488:28-44
        return numpy.int32(1296) # bld/herlev/final/default/src/fusion/Parameters.mbi:1488:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1488:28-44
      if (_0_v=="errArgumentPermArray"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1489:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1489:35-51
        return numpy.int32(1299) # bld/herlev/final/default/src/fusion/Parameters.mbi:1489:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1489:35-51
      if (_0_v=="errConeIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1490:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1490:27-43
        return numpy.int32(1300) # bld/herlev/final/default/src/fusion/Parameters.mbi:1490:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1490:27-43
      if (_0_v=="errConeSize"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1491:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1491:26-42
        return numpy.int32(1301) # bld/herlev/final/default/src/fusion/Parameters.mbi:1491:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1491:26-42
      if (_0_v=="errConeOverlap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1492:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1492:29-45
        return numpy.int32(1302) # bld/herlev/final/default/src/fusion/Parameters.mbi:1492:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1492:29-45
      if (_0_v=="errConeRepVar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1493:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1493:28-44
        return numpy.int32(1303) # bld/herlev/final/default/src/fusion/Parameters.mbi:1493:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1493:28-44
      if (_0_v=="errMaxnumcone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1494:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1494:28-44
        return numpy.int32(1304) # bld/herlev/final/default/src/fusion/Parameters.mbi:1494:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1494:28-44
      if (_0_v=="errConeType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1495:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1495:26-42
        return numpy.int32(1305) # bld/herlev/final/default/src/fusion/Parameters.mbi:1495:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1495:26-42
      if (_0_v=="errConeTypeStr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1496:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1496:29-45
        return numpy.int32(1306) # bld/herlev/final/default/src/fusion/Parameters.mbi:1496:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1496:29-45
      if (_0_v=="errConeOverlapAppend"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1497:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1497:35-51
        return numpy.int32(1307) # bld/herlev/final/default/src/fusion/Parameters.mbi:1497:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1497:35-51
      if (_0_v=="errRemoveConeVariable"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1498:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1498:36-52
        return numpy.int32(1310) # bld/herlev/final/default/src/fusion/Parameters.mbi:1498:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1498:36-52
      if (_0_v=="errAppendingTooBigCone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1499:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1499:37-53
        return numpy.int32(1311) # bld/herlev/final/default/src/fusion/Parameters.mbi:1499:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1499:37-53
      if (_0_v=="errConeParameter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1500:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1500:31-47
        return numpy.int32(1320) # bld/herlev/final/default/src/fusion/Parameters.mbi:1500:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1500:31-47
      if (_0_v=="errSolFileInvalidNumber"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1501:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1501:38-54
        return numpy.int32(1350) # bld/herlev/final/default/src/fusion/Parameters.mbi:1501:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1501:38-54
      if (_0_v=="errHugeC"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1502:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1502:23-39
        return numpy.int32(1375) # bld/herlev/final/default/src/fusion/Parameters.mbi:1502:25-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1502:23-39
      if (_0_v=="errHugeAij"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1503:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1503:25-41
        return numpy.int32(1380) # bld/herlev/final/default/src/fusion/Parameters.mbi:1503:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1503:25-41
      if (_0_v=="errDuplicateAij"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1504:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1504:30-46
        return numpy.int32(1385) # bld/herlev/final/default/src/fusion/Parameters.mbi:1504:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1504:30-46
      if (_0_v=="errLowerBoundIsANan"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1505:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1505:34-50
        return numpy.int32(1390) # bld/herlev/final/default/src/fusion/Parameters.mbi:1505:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1505:34-50
      if (_0_v=="errUpperBoundIsANan"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1506:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1506:34-50
        return numpy.int32(1391) # bld/herlev/final/default/src/fusion/Parameters.mbi:1506:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1506:34-50
      if (_0_v=="errInfiniteBound"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1507:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1507:31-47
        return numpy.int32(1400) # bld/herlev/final/default/src/fusion/Parameters.mbi:1507:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1507:31-47
      if (_0_v=="errInvQobjSubi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1508:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1508:29-45
        return numpy.int32(1401) # bld/herlev/final/default/src/fusion/Parameters.mbi:1508:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1508:29-45
      if (_0_v=="errInvQobjSubj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1509:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1509:29-45
        return numpy.int32(1402) # bld/herlev/final/default/src/fusion/Parameters.mbi:1509:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1509:29-45
      if (_0_v=="errInvQobjVal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1510:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1510:28-44
        return numpy.int32(1403) # bld/herlev/final/default/src/fusion/Parameters.mbi:1510:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1510:28-44
      if (_0_v=="errInvQconSubk"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1511:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1511:29-45
        return numpy.int32(1404) # bld/herlev/final/default/src/fusion/Parameters.mbi:1511:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1511:29-45
      if (_0_v=="errInvQconSubi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1512:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1512:29-45
        return numpy.int32(1405) # bld/herlev/final/default/src/fusion/Parameters.mbi:1512:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1512:29-45
      if (_0_v=="errInvQconSubj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1513:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1513:29-45
        return numpy.int32(1406) # bld/herlev/final/default/src/fusion/Parameters.mbi:1513:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1513:29-45
      if (_0_v=="errInvQconVal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1514:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1514:28-44
        return numpy.int32(1407) # bld/herlev/final/default/src/fusion/Parameters.mbi:1514:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1514:28-44
      if (_0_v=="errQconSubiTooSmall"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1515:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1515:34-50
        return numpy.int32(1408) # bld/herlev/final/default/src/fusion/Parameters.mbi:1515:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1515:34-50
      if (_0_v=="errQconSubiTooLarge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1516:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1516:34-50
        return numpy.int32(1409) # bld/herlev/final/default/src/fusion/Parameters.mbi:1516:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1516:34-50
      if (_0_v=="errQobjUpperTriangle"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1517:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1517:35-51
        return numpy.int32(1415) # bld/herlev/final/default/src/fusion/Parameters.mbi:1517:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1517:35-51
      if (_0_v=="errQconUpperTriangle"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1518:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1518:35-51
        return numpy.int32(1417) # bld/herlev/final/default/src/fusion/Parameters.mbi:1518:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1518:35-51
      if (_0_v=="errFixedBoundValues"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1519:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1519:34-50
        return numpy.int32(1420) # bld/herlev/final/default/src/fusion/Parameters.mbi:1519:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1519:34-50
      if (_0_v=="errTooSmallATruncationValue"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1520:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1520:42-58
        return numpy.int32(1421) # bld/herlev/final/default/src/fusion/Parameters.mbi:1520:44-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1520:42-58
      if (_0_v=="errInvalidObjectiveSense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1521:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1521:39-55
        return numpy.int32(1445) # bld/herlev/final/default/src/fusion/Parameters.mbi:1521:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1521:39-55
      if (_0_v=="errUndefinedObjectiveSense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1522:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1522:41-57
        return numpy.int32(1446) # bld/herlev/final/default/src/fusion/Parameters.mbi:1522:43-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1522:41-57
      if (_0_v=="errYIsUndefined"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1523:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1523:30-46
        return numpy.int32(1449) # bld/herlev/final/default/src/fusion/Parameters.mbi:1523:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1523:30-46
      if (_0_v=="errNanInDoubleData"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1524:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1524:33-49
        return numpy.int32(1450) # bld/herlev/final/default/src/fusion/Parameters.mbi:1524:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1524:33-49
      if (_0_v=="errInfInDoubleData"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1525:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1525:33-49
        return numpy.int32(1451) # bld/herlev/final/default/src/fusion/Parameters.mbi:1525:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1525:33-49
      if (_0_v=="errNanInBlc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1526:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1526:26-42
        return numpy.int32(1461) # bld/herlev/final/default/src/fusion/Parameters.mbi:1526:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1526:26-42
      if (_0_v=="errNanInBuc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1527:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1527:26-42
        return numpy.int32(1462) # bld/herlev/final/default/src/fusion/Parameters.mbi:1527:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1527:26-42
      if (_0_v=="errInvalidCfix"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1528:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1528:29-45
        return numpy.int32(1469) # bld/herlev/final/default/src/fusion/Parameters.mbi:1528:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1528:29-45
      if (_0_v=="errNanInC"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1529:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1529:24-40
        return numpy.int32(1470) # bld/herlev/final/default/src/fusion/Parameters.mbi:1529:26-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1529:24-40
      if (_0_v=="errNanInBlx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1530:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1530:26-42
        return numpy.int32(1471) # bld/herlev/final/default/src/fusion/Parameters.mbi:1530:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1530:26-42
      if (_0_v=="errNanInBux"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1531:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1531:26-42
        return numpy.int32(1472) # bld/herlev/final/default/src/fusion/Parameters.mbi:1531:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1531:26-42
      if (_0_v=="errInvalidAij"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1532:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1532:28-44
        return numpy.int32(1473) # bld/herlev/final/default/src/fusion/Parameters.mbi:1532:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1532:28-44
      if (_0_v=="errInvalidCj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1533:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1533:27-43
        return numpy.int32(1474) # bld/herlev/final/default/src/fusion/Parameters.mbi:1533:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1533:27-43
      if (_0_v=="errSymMatInvalid"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1534:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1534:31-47
        return numpy.int32(1480) # bld/herlev/final/default/src/fusion/Parameters.mbi:1534:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1534:31-47
      if (_0_v=="errSymMatHuge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1535:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1535:28-44
        return numpy.int32(1482) # bld/herlev/final/default/src/fusion/Parameters.mbi:1535:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1535:28-44
      if (_0_v=="errInvProblem"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1536:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1536:28-44
        return numpy.int32(1500) # bld/herlev/final/default/src/fusion/Parameters.mbi:1536:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1536:28-44
      if (_0_v=="errMixedConicAndNl"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1537:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1537:33-49
        return numpy.int32(1501) # bld/herlev/final/default/src/fusion/Parameters.mbi:1537:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1537:33-49
      if (_0_v=="errGlobalInvConicProblem"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1538:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1538:39-55
        return numpy.int32(1503) # bld/herlev/final/default/src/fusion/Parameters.mbi:1538:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1538:39-55
      if (_0_v=="errInvOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1539:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1539:30-46
        return numpy.int32(1550) # bld/herlev/final/default/src/fusion/Parameters.mbi:1539:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1539:30-46
      if (_0_v=="errMioNoOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1540:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1540:32-48
        return numpy.int32(1551) # bld/herlev/final/default/src/fusion/Parameters.mbi:1540:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1540:32-48
      if (_0_v=="errNoOptimizerVarType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1541:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1541:36-52
        return numpy.int32(1552) # bld/herlev/final/default/src/fusion/Parameters.mbi:1541:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1541:36-52
      if (_0_v=="errFinalSolution"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1542:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1542:31-47
        return numpy.int32(1560) # bld/herlev/final/default/src/fusion/Parameters.mbi:1542:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1542:31-47
      if (_0_v=="errFirst"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1543:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1543:23-39
        return numpy.int32(1570) # bld/herlev/final/default/src/fusion/Parameters.mbi:1543:25-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1543:23-39
      if (_0_v=="errLast"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1544:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1544:22-38
        return numpy.int32(1571) # bld/herlev/final/default/src/fusion/Parameters.mbi:1544:24-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1544:22-38
      if (_0_v=="errSliceSize"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1545:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1545:27-43
        return numpy.int32(1572) # bld/herlev/final/default/src/fusion/Parameters.mbi:1545:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1545:27-43
      if (_0_v=="errNegativeSurplus"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1546:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1546:33-49
        return numpy.int32(1573) # bld/herlev/final/default/src/fusion/Parameters.mbi:1546:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1546:33-49
      if (_0_v=="errNegativeAppend"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1547:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1547:32-48
        return numpy.int32(1578) # bld/herlev/final/default/src/fusion/Parameters.mbi:1547:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1547:32-48
      if (_0_v=="errPostsolve"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1548:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1548:27-43
        return numpy.int32(1580) # bld/herlev/final/default/src/fusion/Parameters.mbi:1548:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1548:27-43
      if (_0_v=="errOverflow"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1549:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1549:26-42
        return numpy.int32(1590) # bld/herlev/final/default/src/fusion/Parameters.mbi:1549:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1549:26-42
      if (_0_v=="errNoBasisSol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1550:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1550:28-44
        return numpy.int32(1600) # bld/herlev/final/default/src/fusion/Parameters.mbi:1550:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1550:28-44
      if (_0_v=="errBasisFactor"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1551:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1551:29-45
        return numpy.int32(1610) # bld/herlev/final/default/src/fusion/Parameters.mbi:1551:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1551:29-45
      if (_0_v=="errBasisSingular"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1552:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1552:31-47
        return numpy.int32(1615) # bld/herlev/final/default/src/fusion/Parameters.mbi:1552:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1552:31-47
      if (_0_v=="errFactor"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1553:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1553:24-40
        return numpy.int32(1650) # bld/herlev/final/default/src/fusion/Parameters.mbi:1553:26-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1553:24-40
      if (_0_v=="errFeasrepairCannotRelax"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1554:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1554:39-55
        return numpy.int32(1700) # bld/herlev/final/default/src/fusion/Parameters.mbi:1554:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1554:39-55
      if (_0_v=="errFeasrepairSolvingRelaxed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1555:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1555:42-58
        return numpy.int32(1701) # bld/herlev/final/default/src/fusion/Parameters.mbi:1555:44-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1555:42-58
      if (_0_v=="errFeasrepairInconsistentBound"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1556:6-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1556:45-61
        return numpy.int32(1702) # bld/herlev/final/default/src/fusion/Parameters.mbi:1556:47-59
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1556:45-61
      if (_0_v=="errRepairInvalidProblem"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1557:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1557:38-54
        return numpy.int32(1710) # bld/herlev/final/default/src/fusion/Parameters.mbi:1557:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1557:38-54
      if (_0_v=="errRepairOptimizationFailed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1558:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1558:42-58
        return numpy.int32(1711) # bld/herlev/final/default/src/fusion/Parameters.mbi:1558:44-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1558:42-58
      if (_0_v=="errNameMaxLen"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1559:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1559:28-44
        return numpy.int32(1750) # bld/herlev/final/default/src/fusion/Parameters.mbi:1559:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1559:28-44
      if (_0_v=="errNameIsNull"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1560:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1560:28-44
        return numpy.int32(1760) # bld/herlev/final/default/src/fusion/Parameters.mbi:1560:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1560:28-44
      if (_0_v=="errInvalidCompression"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1561:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1561:36-52
        return numpy.int32(1800) # bld/herlev/final/default/src/fusion/Parameters.mbi:1561:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1561:36-52
      if (_0_v=="errInvalidIomode"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1562:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1562:31-47
        return numpy.int32(1801) # bld/herlev/final/default/src/fusion/Parameters.mbi:1562:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1562:31-47
      if (_0_v=="errNoPrimalInfeasCer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1563:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1563:35-51
        return numpy.int32(2000) # bld/herlev/final/default/src/fusion/Parameters.mbi:1563:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1563:35-51
      if (_0_v=="errNoDualInfeasCer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1564:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1564:33-49
        return numpy.int32(2001) # bld/herlev/final/default/src/fusion/Parameters.mbi:1564:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1564:33-49
      if (_0_v=="errNoSolutionInCallback"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1565:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1565:38-54
        return numpy.int32(2500) # bld/herlev/final/default/src/fusion/Parameters.mbi:1565:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1565:38-54
      if (_0_v=="errInvMarki"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1566:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1566:26-42
        return numpy.int32(2501) # bld/herlev/final/default/src/fusion/Parameters.mbi:1566:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1566:26-42
      if (_0_v=="errInvMarkj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1567:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1567:26-42
        return numpy.int32(2502) # bld/herlev/final/default/src/fusion/Parameters.mbi:1567:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1567:26-42
      if (_0_v=="errInvNumi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1568:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1568:25-41
        return numpy.int32(2503) # bld/herlev/final/default/src/fusion/Parameters.mbi:1568:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1568:25-41
      if (_0_v=="errInvNumj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1569:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1569:25-41
        return numpy.int32(2504) # bld/herlev/final/default/src/fusion/Parameters.mbi:1569:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1569:25-41
      if (_0_v=="errTaskIncompatible"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1570:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1570:34-50
        return numpy.int32(2560) # bld/herlev/final/default/src/fusion/Parameters.mbi:1570:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1570:34-50
      if (_0_v=="errTaskInvalid"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1571:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1571:29-45
        return numpy.int32(2561) # bld/herlev/final/default/src/fusion/Parameters.mbi:1571:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1571:29-45
      if (_0_v=="errTaskWrite"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1572:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1572:27-43
        return numpy.int32(2562) # bld/herlev/final/default/src/fusion/Parameters.mbi:1572:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1572:27-43
      if (_0_v=="errLuMaxNumTries"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1573:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1573:31-47
        return numpy.int32(2800) # bld/herlev/final/default/src/fusion/Parameters.mbi:1573:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1573:31-47
      if (_0_v=="errInvalidUtf8"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1574:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1574:29-45
        return numpy.int32(2900) # bld/herlev/final/default/src/fusion/Parameters.mbi:1574:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1574:29-45
      if (_0_v=="errInvalidWchar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1575:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1575:30-46
        return numpy.int32(2901) # bld/herlev/final/default/src/fusion/Parameters.mbi:1575:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1575:30-46
      if (_0_v=="errNoDualForItgSol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1576:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1576:33-49
        return numpy.int32(2950) # bld/herlev/final/default/src/fusion/Parameters.mbi:1576:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1576:33-49
      if (_0_v=="errNoSnxForBasSol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1577:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1577:32-48
        return numpy.int32(2953) # bld/herlev/final/default/src/fusion/Parameters.mbi:1577:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1577:32-48
      if (_0_v=="errInternal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1578:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1578:26-42
        return numpy.int32(3000) # bld/herlev/final/default/src/fusion/Parameters.mbi:1578:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1578:26-42
      if (_0_v=="errApiArrayTooSmall"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1579:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1579:34-50
        return numpy.int32(3001) # bld/herlev/final/default/src/fusion/Parameters.mbi:1579:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1579:34-50
      if (_0_v=="errApiCbConnect"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1580:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1580:30-46
        return numpy.int32(3002) # bld/herlev/final/default/src/fusion/Parameters.mbi:1580:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1580:30-46
      if (_0_v=="errApiFatalError"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1581:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1581:31-47
        return numpy.int32(3005) # bld/herlev/final/default/src/fusion/Parameters.mbi:1581:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1581:31-47
      if (_0_v=="errApiInternal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1582:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1582:29-45
        return numpy.int32(3999) # bld/herlev/final/default/src/fusion/Parameters.mbi:1582:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1582:29-45
      if (_0_v=="errSenFormat"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1583:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1583:27-43
        return numpy.int32(3050) # bld/herlev/final/default/src/fusion/Parameters.mbi:1583:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1583:27-43
      if (_0_v=="errSenUndefName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1584:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1584:30-46
        return numpy.int32(3051) # bld/herlev/final/default/src/fusion/Parameters.mbi:1584:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1584:30-46
      if (_0_v=="errSenIndexRange"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1585:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1585:31-47
        return numpy.int32(3052) # bld/herlev/final/default/src/fusion/Parameters.mbi:1585:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1585:31-47
      if (_0_v=="errSenBoundInvalidUp"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1586:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1586:35-51
        return numpy.int32(3053) # bld/herlev/final/default/src/fusion/Parameters.mbi:1586:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1586:35-51
      if (_0_v=="errSenBoundInvalidLo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1587:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1587:35-51
        return numpy.int32(3054) # bld/herlev/final/default/src/fusion/Parameters.mbi:1587:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1587:35-51
      if (_0_v=="errSenIndexInvalid"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1588:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1588:33-49
        return numpy.int32(3055) # bld/herlev/final/default/src/fusion/Parameters.mbi:1588:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1588:33-49
      if (_0_v=="errSenInvalidRegexp"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1589:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1589:34-50
        return numpy.int32(3056) # bld/herlev/final/default/src/fusion/Parameters.mbi:1589:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1589:34-50
      if (_0_v=="errSenSolutionStatus"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1590:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1590:35-51
        return numpy.int32(3057) # bld/herlev/final/default/src/fusion/Parameters.mbi:1590:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1590:35-51
      if (_0_v=="errSenNumerical"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1591:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1591:30-46
        return numpy.int32(3058) # bld/herlev/final/default/src/fusion/Parameters.mbi:1591:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1591:30-46
      if (_0_v=="errSenUnhandledProblemType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1592:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1592:41-57
        return numpy.int32(3080) # bld/herlev/final/default/src/fusion/Parameters.mbi:1592:43-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1592:41-57
      if (_0_v=="errUnbStepSize"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1593:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1593:29-45
        return numpy.int32(3100) # bld/herlev/final/default/src/fusion/Parameters.mbi:1593:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1593:29-45
      if (_0_v=="errIdenticalTasks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1594:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1594:32-48
        return numpy.int32(3101) # bld/herlev/final/default/src/fusion/Parameters.mbi:1594:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1594:32-48
      if (_0_v=="errAdInvalidCodelist"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1595:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1595:35-51
        return numpy.int32(3102) # bld/herlev/final/default/src/fusion/Parameters.mbi:1595:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1595:35-51
      if (_0_v=="errInternalTestFailed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1596:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1596:36-52
        return numpy.int32(3500) # bld/herlev/final/default/src/fusion/Parameters.mbi:1596:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1596:36-52
      if (_0_v=="errXmlInvalidProblemType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1597:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1597:39-55
        return numpy.int32(3600) # bld/herlev/final/default/src/fusion/Parameters.mbi:1597:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1597:39-55
      if (_0_v=="errInvalidAmplStub"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1598:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1598:33-49
        return numpy.int32(3700) # bld/herlev/final/default/src/fusion/Parameters.mbi:1598:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1598:33-49
      if (_0_v=="errInt64ToInt32Cast"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1599:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1599:34-50
        return numpy.int32(3800) # bld/herlev/final/default/src/fusion/Parameters.mbi:1599:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1599:34-50
      if (_0_v=="errSizeLicenseNumcores"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1600:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1600:37-53
        return numpy.int32(3900) # bld/herlev/final/default/src/fusion/Parameters.mbi:1600:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1600:37-53
      if (_0_v=="errInfeasUndefined"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1601:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1601:33-49
        return numpy.int32(3910) # bld/herlev/final/default/src/fusion/Parameters.mbi:1601:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1601:33-49
      if (_0_v=="errNoBarxForSolution"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1602:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1602:35-51
        return numpy.int32(3915) # bld/herlev/final/default/src/fusion/Parameters.mbi:1602:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1602:35-51
      if (_0_v=="errNoBarsForSolution"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1603:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1603:35-51
        return numpy.int32(3916) # bld/herlev/final/default/src/fusion/Parameters.mbi:1603:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1603:35-51
      if (_0_v=="errBarVarDim"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1604:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1604:27-43
        return numpy.int32(3920) # bld/herlev/final/default/src/fusion/Parameters.mbi:1604:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1604:27-43
      if (_0_v=="errSymMatInvalidRowIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1605:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1605:39-55
        return numpy.int32(3940) # bld/herlev/final/default/src/fusion/Parameters.mbi:1605:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1605:39-55
      if (_0_v=="errSymMatInvalidColIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1606:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1606:39-55
        return numpy.int32(3941) # bld/herlev/final/default/src/fusion/Parameters.mbi:1606:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1606:39-55
      if (_0_v=="errSymMatNotLowerTringular"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1607:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1607:41-57
        return numpy.int32(3942) # bld/herlev/final/default/src/fusion/Parameters.mbi:1607:43-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1607:41-57
      if (_0_v=="errSymMatInvalidValue"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1608:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1608:36-52
        return numpy.int32(3943) # bld/herlev/final/default/src/fusion/Parameters.mbi:1608:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1608:36-52
      if (_0_v=="errSymMatDuplicate"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1609:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1609:33-49
        return numpy.int32(3944) # bld/herlev/final/default/src/fusion/Parameters.mbi:1609:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1609:33-49
      if (_0_v=="errInvalidSymMatDim"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1610:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1610:34-50
        return numpy.int32(3950) # bld/herlev/final/default/src/fusion/Parameters.mbi:1610:36-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1610:34-50
      if (_0_v=="errInvalidFileFormatForSymMat"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1611:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1611:44-60
        return numpy.int32(4000) # bld/herlev/final/default/src/fusion/Parameters.mbi:1611:46-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1611:44-60
      if (_0_v=="errInvalidFileFormatForCfix"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1612:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1612:42-58
        return numpy.int32(4001) # bld/herlev/final/default/src/fusion/Parameters.mbi:1612:44-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1612:42-58
      if (_0_v=="errInvalidFileFormatForRangedConstraints"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1613:6-53
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1613:55-71
        return numpy.int32(4002) # bld/herlev/final/default/src/fusion/Parameters.mbi:1613:57-69
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1613:55-71
      if (_0_v=="errInvalidFileFormatForFreeConstraints"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1614:6-51
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1614:53-69
        return numpy.int32(4003) # bld/herlev/final/default/src/fusion/Parameters.mbi:1614:55-67
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1614:53-69
      if (_0_v=="errInvalidFileFormatForCones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1615:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1615:43-59
        return numpy.int32(4005) # bld/herlev/final/default/src/fusion/Parameters.mbi:1615:45-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1615:43-59
      if (_0_v=="errInvalidFileFormatForQuadraticTerms"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1616:6-50
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1616:52-68
        return numpy.int32(4006) # bld/herlev/final/default/src/fusion/Parameters.mbi:1616:54-66
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1616:52-68
      if (_0_v=="errInvalidFileFormatForNonlinear"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1617:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1617:47-63
        return numpy.int32(4010) # bld/herlev/final/default/src/fusion/Parameters.mbi:1617:49-61
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1617:47-63
      if (_0_v=="errInvalidFileFormatForDisjunctiveConstraints"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1618:6-58
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1618:60-76
        return numpy.int32(4011) # bld/herlev/final/default/src/fusion/Parameters.mbi:1618:62-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1618:60-76
      if (_0_v=="errInvalidFileFormatForAffineConicConstraints"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1619:6-58
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1619:60-76
        return numpy.int32(4012) # bld/herlev/final/default/src/fusion/Parameters.mbi:1619:62-74
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1619:60-76
      if (_0_v=="errDuplicateConstraintNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1620:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1620:42-58
        return numpy.int32(4500) # bld/herlev/final/default/src/fusion/Parameters.mbi:1620:44-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1620:42-58
      if (_0_v=="errDuplicateVariableNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1621:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1621:40-56
        return numpy.int32(4501) # bld/herlev/final/default/src/fusion/Parameters.mbi:1621:42-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1621:40-56
      if (_0_v=="errDuplicateBarvariableNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1622:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1622:43-59
        return numpy.int32(4502) # bld/herlev/final/default/src/fusion/Parameters.mbi:1622:45-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1622:43-59
      if (_0_v=="errDuplicateConeNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1623:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1623:36-52
        return numpy.int32(4503) # bld/herlev/final/default/src/fusion/Parameters.mbi:1623:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1623:36-52
      if (_0_v=="errDuplicateDomainNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1624:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1624:38-54
        return numpy.int32(4504) # bld/herlev/final/default/src/fusion/Parameters.mbi:1624:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1624:38-54
      if (_0_v=="errDuplicateDjcNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1625:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1625:35-51
        return numpy.int32(4505) # bld/herlev/final/default/src/fusion/Parameters.mbi:1625:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1625:35-51
      if (_0_v=="errNonUniqueArray"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1626:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1626:32-48
        return numpy.int32(5000) # bld/herlev/final/default/src/fusion/Parameters.mbi:1626:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1626:32-48
      if (_0_v=="errArgumentIsTooSmall"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1627:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1627:36-52
        return numpy.int32(5004) # bld/herlev/final/default/src/fusion/Parameters.mbi:1627:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1627:36-52
      if (_0_v=="errArgumentIsTooLarge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1628:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1628:36-52
        return numpy.int32(5005) # bld/herlev/final/default/src/fusion/Parameters.mbi:1628:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1628:36-52
      if (_0_v=="errMioInternal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1629:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1629:29-45
        return numpy.int32(5010) # bld/herlev/final/default/src/fusion/Parameters.mbi:1629:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1629:29-45
      if (_0_v=="errInvalidProblemType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1630:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1630:36-52
        return numpy.int32(6000) # bld/herlev/final/default/src/fusion/Parameters.mbi:1630:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1630:36-52
      if (_0_v=="errUnhandledSolutionStatus"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1631:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1631:41-57
        return numpy.int32(6010) # bld/herlev/final/default/src/fusion/Parameters.mbi:1631:43-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1631:41-57
      if (_0_v=="errUpperTriangle"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1632:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1632:31-47
        return numpy.int32(6020) # bld/herlev/final/default/src/fusion/Parameters.mbi:1632:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1632:31-47
      if (_0_v=="errLauSingularMatrix"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1633:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1633:35-51
        return numpy.int32(7000) # bld/herlev/final/default/src/fusion/Parameters.mbi:1633:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1633:35-51
      if (_0_v=="errLauNotPositiveDefinite"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1634:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1634:40-56
        return numpy.int32(7001) # bld/herlev/final/default/src/fusion/Parameters.mbi:1634:42-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1634:40-56
      if (_0_v=="errLauInvalidLowerTriangularMatrix"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1635:6-47
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1635:49-65
        return numpy.int32(7002) # bld/herlev/final/default/src/fusion/Parameters.mbi:1635:51-63
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1635:49-65
      if (_0_v=="errLauUnknown"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1636:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1636:28-44
        return numpy.int32(7005) # bld/herlev/final/default/src/fusion/Parameters.mbi:1636:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1636:28-44
      if (_0_v=="errLauArgM"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1637:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1637:25-41
        return numpy.int32(7010) # bld/herlev/final/default/src/fusion/Parameters.mbi:1637:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1637:25-41
      if (_0_v=="errLauArgN"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1638:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1638:25-41
        return numpy.int32(7011) # bld/herlev/final/default/src/fusion/Parameters.mbi:1638:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1638:25-41
      if (_0_v=="errLauArgK"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1639:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1639:25-41
        return numpy.int32(7012) # bld/herlev/final/default/src/fusion/Parameters.mbi:1639:27-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1639:25-41
      if (_0_v=="errLauArgTransa"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1640:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1640:30-46
        return numpy.int32(7015) # bld/herlev/final/default/src/fusion/Parameters.mbi:1640:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1640:30-46
      if (_0_v=="errLauArgTransb"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1641:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1641:30-46
        return numpy.int32(7016) # bld/herlev/final/default/src/fusion/Parameters.mbi:1641:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1641:30-46
      if (_0_v=="errLauArgUplo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1642:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1642:28-44
        return numpy.int32(7017) # bld/herlev/final/default/src/fusion/Parameters.mbi:1642:30-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1642:28-44
      if (_0_v=="errLauArgTrans"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1643:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1643:29-45
        return numpy.int32(7018) # bld/herlev/final/default/src/fusion/Parameters.mbi:1643:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1643:29-45
      if (_0_v=="errLauInvalidSparseSymmetricMatrix"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1644:6-47
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1644:49-65
        return numpy.int32(7019) # bld/herlev/final/default/src/fusion/Parameters.mbi:1644:51-63
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1644:49-65
      if (_0_v=="errCbfParse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1645:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1645:26-42
        return numpy.int32(7100) # bld/herlev/final/default/src/fusion/Parameters.mbi:1645:28-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1645:26-42
      if (_0_v=="errCbfObjSense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1646:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1646:29-45
        return numpy.int32(7101) # bld/herlev/final/default/src/fusion/Parameters.mbi:1646:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1646:29-45
      if (_0_v=="errCbfNoVariables"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1647:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1647:32-48
        return numpy.int32(7102) # bld/herlev/final/default/src/fusion/Parameters.mbi:1647:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1647:32-48
      if (_0_v=="errCbfTooManyConstraints"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1648:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1648:39-55
        return numpy.int32(7103) # bld/herlev/final/default/src/fusion/Parameters.mbi:1648:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1648:39-55
      if (_0_v=="errCbfTooManyVariables"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1649:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1649:37-53
        return numpy.int32(7104) # bld/herlev/final/default/src/fusion/Parameters.mbi:1649:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1649:37-53
      if (_0_v=="errCbfNoVersionSpecified"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1650:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1650:39-55
        return numpy.int32(7105) # bld/herlev/final/default/src/fusion/Parameters.mbi:1650:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1650:39-55
      if (_0_v=="errCbfSyntax"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1651:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1651:27-43
        return numpy.int32(7106) # bld/herlev/final/default/src/fusion/Parameters.mbi:1651:29-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1651:27-43
      if (_0_v=="errCbfDuplicateObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1652:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1652:33-49
        return numpy.int32(7107) # bld/herlev/final/default/src/fusion/Parameters.mbi:1652:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1652:33-49
      if (_0_v=="errCbfDuplicateCon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1653:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1653:33-49
        return numpy.int32(7108) # bld/herlev/final/default/src/fusion/Parameters.mbi:1653:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1653:33-49
      if (_0_v=="errCbfDuplicateVar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1654:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1654:33-49
        return numpy.int32(7110) # bld/herlev/final/default/src/fusion/Parameters.mbi:1654:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1654:33-49
      if (_0_v=="errCbfDuplicateInt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1655:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1655:33-49
        return numpy.int32(7111) # bld/herlev/final/default/src/fusion/Parameters.mbi:1655:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1655:33-49
      if (_0_v=="errCbfInvalidVarType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1656:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1656:35-51
        return numpy.int32(7112) # bld/herlev/final/default/src/fusion/Parameters.mbi:1656:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1656:35-51
      if (_0_v=="errCbfInvalidConType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1657:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1657:35-51
        return numpy.int32(7113) # bld/herlev/final/default/src/fusion/Parameters.mbi:1657:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1657:35-51
      if (_0_v=="errCbfInvalidDomainDimension"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1658:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1658:43-59
        return numpy.int32(7114) # bld/herlev/final/default/src/fusion/Parameters.mbi:1658:45-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1658:43-59
      if (_0_v=="errCbfDuplicateObjacoord"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1659:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1659:39-55
        return numpy.int32(7115) # bld/herlev/final/default/src/fusion/Parameters.mbi:1659:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1659:39-55
      if (_0_v=="errCbfDuplicateBcoord"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1660:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1660:36-52
        return numpy.int32(7116) # bld/herlev/final/default/src/fusion/Parameters.mbi:1660:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1660:36-52
      if (_0_v=="errCbfDuplicateAcoord"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1661:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1661:36-52
        return numpy.int32(7117) # bld/herlev/final/default/src/fusion/Parameters.mbi:1661:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1661:36-52
      if (_0_v=="errCbfTooFewVariables"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1662:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1662:36-52
        return numpy.int32(7118) # bld/herlev/final/default/src/fusion/Parameters.mbi:1662:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1662:36-52
      if (_0_v=="errCbfTooFewConstraints"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1663:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1663:38-54
        return numpy.int32(7119) # bld/herlev/final/default/src/fusion/Parameters.mbi:1663:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1663:38-54
      if (_0_v=="errCbfTooFewInts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1664:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1664:31-47
        return numpy.int32(7120) # bld/herlev/final/default/src/fusion/Parameters.mbi:1664:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1664:31-47
      if (_0_v=="errCbfTooManyInts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1665:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1665:32-48
        return numpy.int32(7121) # bld/herlev/final/default/src/fusion/Parameters.mbi:1665:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1665:32-48
      if (_0_v=="errCbfInvalidIntIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1666:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1666:36-52
        return numpy.int32(7122) # bld/herlev/final/default/src/fusion/Parameters.mbi:1666:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1666:36-52
      if (_0_v=="errCbfUnsupported"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1667:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1667:32-48
        return numpy.int32(7123) # bld/herlev/final/default/src/fusion/Parameters.mbi:1667:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1667:32-48
      if (_0_v=="errCbfDuplicatePsdvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1668:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1668:36-52
        return numpy.int32(7124) # bld/herlev/final/default/src/fusion/Parameters.mbi:1668:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1668:36-52
      if (_0_v=="errCbfInvalidPsdvarDimension"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1669:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1669:43-59
        return numpy.int32(7125) # bld/herlev/final/default/src/fusion/Parameters.mbi:1669:45-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1669:43-59
      if (_0_v=="errCbfTooFewPsdvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1670:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1670:33-49
        return numpy.int32(7126) # bld/herlev/final/default/src/fusion/Parameters.mbi:1670:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1670:33-49
      if (_0_v=="errCbfInvalidExpDimension"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1671:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1671:40-56
        return numpy.int32(7127) # bld/herlev/final/default/src/fusion/Parameters.mbi:1671:42-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1671:40-56
      if (_0_v=="errCbfDuplicatePowCones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1672:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1672:38-54
        return numpy.int32(7130) # bld/herlev/final/default/src/fusion/Parameters.mbi:1672:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1672:38-54
      if (_0_v=="errCbfDuplicatePowStarCones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1673:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1673:42-58
        return numpy.int32(7131) # bld/herlev/final/default/src/fusion/Parameters.mbi:1673:44-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1673:42-58
      if (_0_v=="errCbfInvalidPower"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1674:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1674:33-49
        return numpy.int32(7132) # bld/herlev/final/default/src/fusion/Parameters.mbi:1674:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1674:33-49
      if (_0_v=="errCbfPowerConeIsTooLong"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1675:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1675:39-55
        return numpy.int32(7133) # bld/herlev/final/default/src/fusion/Parameters.mbi:1675:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1675:39-55
      if (_0_v=="errCbfInvalidPowerConeIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1676:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1676:42-58
        return numpy.int32(7134) # bld/herlev/final/default/src/fusion/Parameters.mbi:1676:44-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1676:42-58
      if (_0_v=="errCbfInvalidPowerStarConeIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1677:6-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1677:46-62
        return numpy.int32(7135) # bld/herlev/final/default/src/fusion/Parameters.mbi:1677:48-60
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1677:46-62
      if (_0_v=="errCbfUnhandledPowerConeType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1678:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1678:43-59
        return numpy.int32(7136) # bld/herlev/final/default/src/fusion/Parameters.mbi:1678:45-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1678:43-59
      if (_0_v=="errCbfUnhandledPowerStarConeType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1679:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1679:47-63
        return numpy.int32(7137) # bld/herlev/final/default/src/fusion/Parameters.mbi:1679:49-61
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1679:47-63
      if (_0_v=="errCbfPowerConeMismatch"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1680:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1680:38-54
        return numpy.int32(7138) # bld/herlev/final/default/src/fusion/Parameters.mbi:1680:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1680:38-54
      if (_0_v=="errCbfPowerStarConeMismatch"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1681:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1681:42-58
        return numpy.int32(7139) # bld/herlev/final/default/src/fusion/Parameters.mbi:1681:44-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1681:42-58
      if (_0_v=="errCbfInvalidNumberOfCones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1682:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1682:41-57
        return numpy.int32(7140) # bld/herlev/final/default/src/fusion/Parameters.mbi:1682:43-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1682:41-57
      if (_0_v=="errCbfInvalidDimensionOfCones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1683:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1683:44-60
        return numpy.int32(7141) # bld/herlev/final/default/src/fusion/Parameters.mbi:1683:46-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1683:44-60
      if (_0_v=="errCbfInvalidNumObjacoord"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1684:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1684:40-56
        return numpy.int32(7150) # bld/herlev/final/default/src/fusion/Parameters.mbi:1684:42-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1684:40-56
      if (_0_v=="errCbfInvalidNumObjfcoord"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1685:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1685:40-56
        return numpy.int32(7151) # bld/herlev/final/default/src/fusion/Parameters.mbi:1685:42-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1685:40-56
      if (_0_v=="errCbfInvalidNumAcoord"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1686:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1686:37-53
        return numpy.int32(7152) # bld/herlev/final/default/src/fusion/Parameters.mbi:1686:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1686:37-53
      if (_0_v=="errCbfInvalidNumBcoord"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1687:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1687:37-53
        return numpy.int32(7153) # bld/herlev/final/default/src/fusion/Parameters.mbi:1687:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1687:37-53
      if (_0_v=="errCbfInvalidNumFcoord"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1688:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1688:37-53
        return numpy.int32(7155) # bld/herlev/final/default/src/fusion/Parameters.mbi:1688:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1688:37-53
      if (_0_v=="errCbfInvalidNumHcoord"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1689:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1689:37-53
        return numpy.int32(7156) # bld/herlev/final/default/src/fusion/Parameters.mbi:1689:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1689:37-53
      if (_0_v=="errCbfInvalidNumDcoord"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1690:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1690:37-53
        return numpy.int32(7157) # bld/herlev/final/default/src/fusion/Parameters.mbi:1690:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1690:37-53
      if (_0_v=="errCbfExpectedAKeyword"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1691:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1691:37-53
        return numpy.int32(7158) # bld/herlev/final/default/src/fusion/Parameters.mbi:1691:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1691:37-53
      if (_0_v=="errCbfInvalidNumPsdcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1692:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1692:37-53
        return numpy.int32(7200) # bld/herlev/final/default/src/fusion/Parameters.mbi:1692:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1692:37-53
      if (_0_v=="errCbfDuplicatePsdcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1693:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1693:36-52
        return numpy.int32(7201) # bld/herlev/final/default/src/fusion/Parameters.mbi:1693:38-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1693:36-52
      if (_0_v=="errCbfInvalidDimensionOfPsdcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1694:6-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1694:45-61
        return numpy.int32(7202) # bld/herlev/final/default/src/fusion/Parameters.mbi:1694:47-59
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1694:45-61
      if (_0_v=="errCbfInvalidPsdconIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1695:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1695:39-55
        return numpy.int32(7203) # bld/herlev/final/default/src/fusion/Parameters.mbi:1695:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1695:39-55
      if (_0_v=="errCbfInvalidPsdconVariableIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1696:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1696:47-63
        return numpy.int32(7204) # bld/herlev/final/default/src/fusion/Parameters.mbi:1696:49-61
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1696:47-63
      if (_0_v=="errCbfInvalidPsdconBlockIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1697:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1697:44-60
        return numpy.int32(7205) # bld/herlev/final/default/src/fusion/Parameters.mbi:1697:46-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1697:44-60
      if (_0_v=="errCbfUnsupportedChange"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1698:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1698:38-54
        return numpy.int32(7210) # bld/herlev/final/default/src/fusion/Parameters.mbi:1698:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1698:38-54
      if (_0_v=="errMioInvalidRootOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1699:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1699:41-57
        return numpy.int32(7700) # bld/herlev/final/default/src/fusion/Parameters.mbi:1699:43-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1699:41-57
      if (_0_v=="errMioInvalidNodeOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1700:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1700:41-57
        return numpy.int32(7701) # bld/herlev/final/default/src/fusion/Parameters.mbi:1700:43-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1700:41-57
      if (_0_v=="errMpsWriteCplexInvalidConeType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1701:6-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1701:46-62
        return numpy.int32(7750) # bld/herlev/final/default/src/fusion/Parameters.mbi:1701:48-60
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1701:46-62
      if (_0_v=="errToconicConstrQNotPsd"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1702:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1702:38-54
        return numpy.int32(7800) # bld/herlev/final/default/src/fusion/Parameters.mbi:1702:40-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1702:38-54
      if (_0_v=="errToconicConstraintFx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1703:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1703:37-53
        return numpy.int32(7801) # bld/herlev/final/default/src/fusion/Parameters.mbi:1703:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1703:37-53
      if (_0_v=="errToconicConstraintRa"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1704:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1704:37-53
        return numpy.int32(7802) # bld/herlev/final/default/src/fusion/Parameters.mbi:1704:39-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1704:37-53
      if (_0_v=="errToconicConstrNotConic"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1705:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1705:39-55
        return numpy.int32(7803) # bld/herlev/final/default/src/fusion/Parameters.mbi:1705:41-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1705:39-55
      if (_0_v=="errToconicObjectiveNotPsd"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1706:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1706:40-56
        return numpy.int32(7804) # bld/herlev/final/default/src/fusion/Parameters.mbi:1706:42-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1706:40-56
      if (_0_v=="errServerConnect"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1707:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1707:31-47
        return numpy.int32(8000) # bld/herlev/final/default/src/fusion/Parameters.mbi:1707:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1707:31-47
      if (_0_v=="errServerProtocol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1708:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1708:32-48
        return numpy.int32(8001) # bld/herlev/final/default/src/fusion/Parameters.mbi:1708:34-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1708:32-48
      if (_0_v=="errServerStatus"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1709:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1709:30-46
        return numpy.int32(8002) # bld/herlev/final/default/src/fusion/Parameters.mbi:1709:32-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1709:30-46
      if (_0_v=="errServerToken"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1710:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1710:29-45
        return numpy.int32(8003) # bld/herlev/final/default/src/fusion/Parameters.mbi:1710:31-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1710:29-45
      if (_0_v=="errServerAddress"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1711:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1711:31-47
        return numpy.int32(8004) # bld/herlev/final/default/src/fusion/Parameters.mbi:1711:33-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1711:31-47
      if (_0_v=="errServerCertificate"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1712:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1712:35-51
        return numpy.int32(8005) # bld/herlev/final/default/src/fusion/Parameters.mbi:1712:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1712:35-51
      if (_0_v=="errServerTlsClient"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1713:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1713:33-49
        return numpy.int32(8006) # bld/herlev/final/default/src/fusion/Parameters.mbi:1713:35-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1713:33-49
      if (_0_v=="errServerAccessToken"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1714:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1714:35-51
        return numpy.int32(8007) # bld/herlev/final/default/src/fusion/Parameters.mbi:1714:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1714:35-51
      if (_0_v=="errServerProblemSize"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1715:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1715:35-51
        return numpy.int32(8008) # bld/herlev/final/default/src/fusion/Parameters.mbi:1715:37-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1715:35-51
      if (_0_v=="errDuplicateIndexInASparseMatrix"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1716:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1716:47-64
        return numpy.int32(20050) # bld/herlev/final/default/src/fusion/Parameters.mbi:1716:49-62
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1716:47-64
      if (_0_v=="errDuplicateIndexInAfeidxList"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1717:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1717:44-61
        return numpy.int32(20060) # bld/herlev/final/default/src/fusion/Parameters.mbi:1717:46-59
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1717:44-61
      if (_0_v=="errDuplicateFij"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1718:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1718:30-47
        return numpy.int32(20100) # bld/herlev/final/default/src/fusion/Parameters.mbi:1718:32-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1718:30-47
      if (_0_v=="errInvalidFij"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1719:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1719:28-45
        return numpy.int32(20101) # bld/herlev/final/default/src/fusion/Parameters.mbi:1719:30-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1719:28-45
      if (_0_v=="errHugeFij"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1720:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1720:25-42
        return numpy.int32(20102) # bld/herlev/final/default/src/fusion/Parameters.mbi:1720:27-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1720:25-42
      if (_0_v=="errInvalidG"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1721:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1721:26-43
        return numpy.int32(20103) # bld/herlev/final/default/src/fusion/Parameters.mbi:1721:28-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1721:26-43
      if (_0_v=="errInvalidB"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1722:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1722:26-43
        return numpy.int32(20150) # bld/herlev/final/default/src/fusion/Parameters.mbi:1722:28-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1722:26-43
      if (_0_v=="errDomainInvalidIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1723:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1723:36-53
        return numpy.int32(20400) # bld/herlev/final/default/src/fusion/Parameters.mbi:1723:38-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1723:36-53
      if (_0_v=="errDomainDimension"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1724:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1724:33-50
        return numpy.int32(20401) # bld/herlev/final/default/src/fusion/Parameters.mbi:1724:35-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1724:33-50
      if (_0_v=="errDomainDimensionPsd"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1725:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1725:36-53
        return numpy.int32(20402) # bld/herlev/final/default/src/fusion/Parameters.mbi:1725:38-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1725:36-53
      if (_0_v=="errNotPowerDomain"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1726:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1726:32-49
        return numpy.int32(20403) # bld/herlev/final/default/src/fusion/Parameters.mbi:1726:34-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1726:32-49
      if (_0_v=="errDomainPowerInvalidAlpha"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1727:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1727:41-58
        return numpy.int32(20404) # bld/herlev/final/default/src/fusion/Parameters.mbi:1727:43-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1727:41-58
      if (_0_v=="errDomainPowerNegativeAlpha"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1728:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1728:42-59
        return numpy.int32(20405) # bld/herlev/final/default/src/fusion/Parameters.mbi:1728:44-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1728:42-59
      if (_0_v=="errDomainPowerNleft"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1729:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1729:34-51
        return numpy.int32(20406) # bld/herlev/final/default/src/fusion/Parameters.mbi:1729:36-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1729:34-51
      if (_0_v=="errAfeInvalidIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1730:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1730:33-50
        return numpy.int32(20500) # bld/herlev/final/default/src/fusion/Parameters.mbi:1730:35-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1730:33-50
      if (_0_v=="errAccInvalidIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1731:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1731:33-50
        return numpy.int32(20600) # bld/herlev/final/default/src/fusion/Parameters.mbi:1731:35-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1731:33-50
      if (_0_v=="errAccInvalidEntryIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1732:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1732:38-55
        return numpy.int32(20601) # bld/herlev/final/default/src/fusion/Parameters.mbi:1732:40-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1732:38-55
      if (_0_v=="errAccAfeDomainMismatch"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1733:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1733:38-55
        return numpy.int32(20602) # bld/herlev/final/default/src/fusion/Parameters.mbi:1733:40-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1733:38-55
      if (_0_v=="errDjcInvalidIndex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1734:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1734:33-50
        return numpy.int32(20700) # bld/herlev/final/default/src/fusion/Parameters.mbi:1734:35-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1734:33-50
      if (_0_v=="errDjcUnsupportedDomainType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1735:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1735:42-59
        return numpy.int32(20701) # bld/herlev/final/default/src/fusion/Parameters.mbi:1735:44-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1735:42-59
      if (_0_v=="errDjcAfeDomainMismatch"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1736:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1736:38-55
        return numpy.int32(20702) # bld/herlev/final/default/src/fusion/Parameters.mbi:1736:40-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1736:38-55
      if (_0_v=="errDjcInvalidTermSize"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1737:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1737:36-53
        return numpy.int32(20703) # bld/herlev/final/default/src/fusion/Parameters.mbi:1737:38-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1737:36-53
      if (_0_v=="errDjcDomainTermsizeMismatch"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1738:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1738:43-60
        return numpy.int32(20704) # bld/herlev/final/default/src/fusion/Parameters.mbi:1738:45-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1738:43-60
      if (_0_v=="errDjcTotalNumTermsMismatch"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1739:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1739:42-59
        return numpy.int32(20705) # bld/herlev/final/default/src/fusion/Parameters.mbi:1739:44-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1739:42-59
      if (_0_v=="errUndefSolution"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1740:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1740:31-48
        return numpy.int32(22000) # bld/herlev/final/default/src/fusion/Parameters.mbi:1740:33-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1740:31-48
      if (_0_v=="errNoDoty"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1741:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1741:24-41
        return numpy.int32(22010) # bld/herlev/final/default/src/fusion/Parameters.mbi:1741:26-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1741:24-41
      if (_0_v=="trmMaxIterations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1742:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1742:31-49
        return numpy.int32(100000) # bld/herlev/final/default/src/fusion/Parameters.mbi:1742:33-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1742:31-49
      if (_0_v=="trmMaxTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1743:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1743:25-43
        return numpy.int32(100001) # bld/herlev/final/default/src/fusion/Parameters.mbi:1743:27-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1743:25-43
      if (_0_v=="trmObjectiveRange"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1744:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1744:32-50
        return numpy.int32(100002) # bld/herlev/final/default/src/fusion/Parameters.mbi:1744:34-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1744:32-50
      if (_0_v=="trmMioNumRelaxs"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1745:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1745:30-48
        return numpy.int32(100008) # bld/herlev/final/default/src/fusion/Parameters.mbi:1745:32-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1745:30-48
      if (_0_v=="trmMioNumBranches"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1746:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1746:32-50
        return numpy.int32(100009) # bld/herlev/final/default/src/fusion/Parameters.mbi:1746:34-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1746:32-50
      if (_0_v=="trmNumMaxNumIntSolutions"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1747:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1747:39-57
        return numpy.int32(100015) # bld/herlev/final/default/src/fusion/Parameters.mbi:1747:41-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1747:39-57
      if (_0_v=="trmStall"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1748:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1748:23-41
        return numpy.int32(100006) # bld/herlev/final/default/src/fusion/Parameters.mbi:1748:25-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1748:23-41
      if (_0_v=="trmUserCallback"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1749:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1749:30-48
        return numpy.int32(100007) # bld/herlev/final/default/src/fusion/Parameters.mbi:1749:32-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1749:30-48
      if (_0_v=="trmMaxNumSetbacks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1750:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1750:32-50
        return numpy.int32(100020) # bld/herlev/final/default/src/fusion/Parameters.mbi:1750:34-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1750:32-50
      if (_0_v=="trmNumericalProblem"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1751:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1751:34-52
        return numpy.int32(100025) # bld/herlev/final/default/src/fusion/Parameters.mbi:1751:36-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1751:34-52
      if (_0_v=="trmLostRace"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1752:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1752:26-44
        return numpy.int32(100027) # bld/herlev/final/default/src/fusion/Parameters.mbi:1752:28-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1752:26-44
      if (_0_v=="trmInternal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1753:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1753:26-44
        return numpy.int32(100030) # bld/herlev/final/default/src/fusion/Parameters.mbi:1753:28-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1753:26-44
      if (_0_v=="trmInternalStop"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1754:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1754:30-48
        return numpy.int32(100031) # bld/herlev/final/default/src/fusion/Parameters.mbi:1754:32-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1754:30-48
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1755:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1209:0-1756:1
    @staticmethod
    def __string_1to_1xmlwriteroutputtype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1xmlwriteroutputtype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1xmlwriteroutputtype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1203:0-1207:1
      if (_0_v=="row"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1204:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1204:18-31
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1204:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1204:18-31
      if (_0_v=="col"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1205:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1205:18-31
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1205:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1205:18-31
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1206:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1203:0-1207:1
    @staticmethod
    def __string_1to_1prosta_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1prosta_1value_S(_0_v)
    @staticmethod
    def __string_1to_1prosta_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1190:0-1201:1
      if (_0_v=="unknown"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1191:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1191:22-35
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1191:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1191:22-35
      if (_0_v=="primAndDualFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1192:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1192:30-43
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1192:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1192:30-43
      if (_0_v=="primFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1193:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1193:23-36
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1193:25-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1193:23-36
      if (_0_v=="dualFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1194:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1194:23-36
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1194:25-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1194:23-36
      if (_0_v=="primInfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1195:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1195:25-38
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:1195:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1195:25-38
      if (_0_v=="dualInfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1196:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1196:25-38
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:1196:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1196:25-38
      if (_0_v=="primAndDualInfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1197:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1197:32-45
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:1197:34-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1197:32-45
      if (_0_v=="illPosed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1198:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1198:23-36
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:1198:25-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1198:23-36
      if (_0_v=="primInfeasOrUnbounded"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1199:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1199:36-49
        return numpy.int32(8) # bld/herlev/final/default/src/fusion/Parameters.mbi:1199:38-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1199:36-49
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1200:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1190:0-1201:1
    @staticmethod
    def __string_1to_1problemtype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1problemtype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1problemtype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1181:0-1188:1
      if (_0_v=="lo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1182:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1182:17-30
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1182:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1182:17-30
      if (_0_v=="qo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1183:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1183:17-30
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1183:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1183:17-30
      if (_0_v=="qcqo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1184:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1184:19-32
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1184:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1184:19-32
      if (_0_v=="conic"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1185:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1185:20-33
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1185:22-31
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1185:20-33
      if (_0_v=="mixed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1186:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1186:20-33
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:1186:22-31
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1186:20-33
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1187:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1181:0-1188:1
    @staticmethod
    def __string_1to_1problemitem_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1problemitem_1value_S(_0_v)
    @staticmethod
    def __string_1to_1problemitem_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1174:0-1179:1
      if (_0_v=="var"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1175:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1175:18-31
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1175:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1175:18-31
      if (_0_v=="con"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1176:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1176:18-31
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1176:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1176:18-31
      if (_0_v=="cone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1177:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1177:19-32
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1177:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1177:19-32
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1178:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1174:0-1179:1
    @staticmethod
    def __string_1to_1parametertype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1parametertype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1parametertype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1166:0-1172:1
      if (_0_v=="invalidType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1167:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1167:26-39
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1167:28-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1167:26-39
      if (_0_v=="douType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1168:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1168:22-35
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1168:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1168:22-35
      if (_0_v=="intType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1169:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1169:22-35
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1169:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1169:22-35
      if (_0_v=="strType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1170:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1170:22-35
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1170:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1170:22-35
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1171:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1166:0-1172:1
    @staticmethod
    def __string_1to_1presolvemode_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1presolvemode_1value_S(_0_v)
    @staticmethod
    def __string_1to_1presolvemode_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1159:0-1164:1
      if (_0_v=="off"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1160:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1160:18-31
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1160:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1160:18-31
      if (_0_v=="on"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1161:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1161:17-30
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1161:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1161:17-30
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1162:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1162:19-32
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1162:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1162:19-32
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1163:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1159:0-1164:1
    @staticmethod
    def __string_1to_1orderingtype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1orderingtype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1orderingtype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1149:0-1157:1
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1150:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1150:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1150:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1150:19-32
      if (_0_v=="appminloc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1151:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1151:24-37
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1151:26-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1151:24-37
      if (_0_v=="experimental"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1152:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1152:27-40
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1152:29-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1152:27-40
      if (_0_v=="tryGraphpar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1153:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1153:26-39
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1153:28-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1153:26-39
      if (_0_v=="forceGraphpar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1154:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1154:28-41
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:1154:30-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1154:28-41
      if (_0_v=="none"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1155:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1155:19-32
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:1155:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1155:19-32
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1156:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1149:0-1157:1
    @staticmethod
    def __string_1to_1optimizertype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1optimizertype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1optimizertype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1138:0-1147:1
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1139:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1139:19-32
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1139:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1139:19-32
      if (_0_v=="intpnt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1140:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1140:21-34
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:1140:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1140:21-34
      if (_0_v=="conic"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1141:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1141:20-33
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1141:22-31
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1141:20-33
      if (_0_v=="primalSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1142:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1142:28-41
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:1142:30-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1142:28-41
      if (_0_v=="dualSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1143:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1143:26-39
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1143:28-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1143:26-39
      if (_0_v=="freeSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1144:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1144:26-39
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1144:28-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1144:26-39
      if (_0_v=="mixedInt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1145:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1145:23-36
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:1145:25-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1145:23-36
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1146:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1138:0-1147:1
    @staticmethod
    def __string_1to_1onoffkey_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1onoffkey_1value_S(_0_v)
    @staticmethod
    def __string_1to_1onoffkey_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1132:0-1136:1
      if (_0_v=="on"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1133:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1133:17-30
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1133:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1133:17-30
      if (_0_v=="off"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1134:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1134:18-31
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1134:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1134:18-31
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1135:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1132:0-1136:1
    @staticmethod
    def __string_1to_1objsense_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1objsense_1value_S(_0_v)
    @staticmethod
    def __string_1to_1objsense_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1126:0-1130:1
      if (_0_v=="minimize"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1127:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1127:23-36
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1127:25-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1127:23-36
      if (_0_v=="maximize"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1128:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1128:23-36
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1128:25-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1128:23-36
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1129:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1126:0-1130:1
    @staticmethod
    def __string_1to_1mpsformat_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1mpsformat_1value_S(_0_v)
    @staticmethod
    def __string_1to_1mpsformat_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1118:0-1124:1
      if (_0_v=="strict"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1119:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1119:21-34
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1119:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1119:21-34
      if (_0_v=="relaxed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1120:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1120:22-35
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1120:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1120:22-35
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1121:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1121:19-32
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1121:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1121:19-32
      if (_0_v=="cplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1122:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1122:20-33
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1122:22-31
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1122:20-33
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1123:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1118:0-1124:1
    @staticmethod
    def __string_1to_1miovarseltype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1miovarseltype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1miovarseltype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1111:0-1116:1
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1112:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1112:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1112:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1112:19-32
      if (_0_v=="pseudocost"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1113:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1113:25-38
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1113:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1113:25-38
      if (_0_v=="strong"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1114:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1114:21-34
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1114:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1114:21-34
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1115:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1111:0-1116:1
    @staticmethod
    def __string_1to_1mionodeseltype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1mionodeseltype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1mionodeseltype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1103:0-1109:1
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1104:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1104:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1104:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1104:19-32
      if (_0_v=="first"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1105:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1105:20-33
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1105:22-31
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1105:20-33
      if (_0_v=="best"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1106:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1106:19-32
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1106:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1106:19-32
      if (_0_v=="pseudo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1107:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1107:21-34
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1107:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1107:21-34
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1108:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1103:0-1109:1
    @staticmethod
    def __string_1to_1miomode_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1miomode_1value_S(_0_v)
    @staticmethod
    def __string_1to_1miomode_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1097:0-1101:1
      if (_0_v=="ignored"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1098:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1098:22-35
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1098:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1098:22-35
      if (_0_v=="satisfied"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1099:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1099:24-37
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1099:26-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1099:24-37
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1100:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1097:0-1101:1
    @staticmethod
    def __string_1to_1miocontsoltype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1miocontsoltype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1miocontsoltype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1089:0-1095:1
      if (_0_v=="none"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1090:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1090:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1090:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1090:19-32
      if (_0_v=="root"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1091:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1091:19-32
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1091:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1091:19-32
      if (_0_v=="itg"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1092:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1092:18-31
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1092:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1092:18-31
      if (_0_v=="itgRel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1093:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1093:21-34
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1093:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1093:21-34
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1094:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1089:0-1095:1
    @staticmethod
    def __string_1to_1miodatapermmethod_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1miodatapermmethod_1value_S(_0_v)
    @staticmethod
    def __string_1to_1miodatapermmethod_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1082:0-1087:1
      if (_0_v=="none"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1083:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1083:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1083:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1083:19-32
      if (_0_v=="cyclicShift"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1084:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1084:26-39
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1084:28-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1084:26-39
      if (_0_v=="random"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1085:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1085:21-34
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1085:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1085:21-34
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1086:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1082:0-1087:1
    @staticmethod
    def __string_1to_1miqcqoreformmethod_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1miqcqoreformmethod_1value_S(_0_v)
    @staticmethod
    def __string_1to_1miqcqoreformmethod_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1072:0-1080:1
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1073:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1073:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1073:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1073:19-32
      if (_0_v=="none"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1074:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1074:19-32
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1074:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1074:19-32
      if (_0_v=="linearization"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1075:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1075:28-41
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1075:30-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1075:28-41
      if (_0_v=="eigenValMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1076:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1076:29-42
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1076:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1076:29-42
      if (_0_v=="diagSdp"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1077:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1077:22-35
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:1077:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1077:22-35
      if (_0_v=="relaxSdp"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1078:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1078:23-36
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:1078:25-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1078:23-36
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1079:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1072:0-1080:1
    @staticmethod
    def __string_1to_1branchdir_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1branchdir_1value_S(_0_v)
    @staticmethod
    def __string_1to_1branchdir_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1060:0-1070:1
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1061:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1061:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1061:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1061:19-32
      if (_0_v=="up"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1062:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1062:17-30
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1062:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1062:17-30
      if (_0_v=="down"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1063:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1063:19-32
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1063:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1063:19-32
      if (_0_v=="near"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1064:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1064:19-32
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:1064:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1064:19-32
      if (_0_v=="far"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1065:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1065:18-31
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:1065:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1065:18-31
      if (_0_v=="rootLp"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1066:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1066:21-34
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:1066:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1066:21-34
      if (_0_v=="guided"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1067:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1067:21-34
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:1067:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1067:21-34
      if (_0_v=="pseudocost"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1068:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1068:25-38
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:1068:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1068:25-38
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1069:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1060:0-1070:1
    @staticmethod
    def __string_1to_1iparam_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1iparam_1value_S(_0_v)
    @staticmethod
    def __string_1to_1iparam_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:866:0-1058:1
      if (_0_v=="autoUpdateSolInfo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:867:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:867:32-45
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:867:34-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:867:32-45
      if (_0_v=="removeUnusedSolutions"): # bld/herlev/final/default/src/fusion/Parameters.mbi:868:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:868:36-51
        return numpy.int32(130) # bld/herlev/final/default/src/fusion/Parameters.mbi:868:38-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:868:36-51
      if (_0_v=="intpntHotstart"): # bld/herlev/final/default/src/fusion/Parameters.mbi:869:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:869:29-43
        return numpy.int32(17) # bld/herlev/final/default/src/fusion/Parameters.mbi:869:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:869:29-43
      if (_0_v=="intpntPurify"): # bld/herlev/final/default/src/fusion/Parameters.mbi:870:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:870:27-41
        return numpy.int32(24) # bld/herlev/final/default/src/fusion/Parameters.mbi:870:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:870:27-41
      if (_0_v=="numThreads"): # bld/herlev/final/default/src/fusion/Parameters.mbi:871:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:871:25-39
        return numpy.int32(97) # bld/herlev/final/default/src/fusion/Parameters.mbi:871:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:871:25-39
      if (_0_v=="timingLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:872:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:872:26-41
        return numpy.int32(165) # bld/herlev/final/default/src/fusion/Parameters.mbi:872:28-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:872:26-41
      if (_0_v=="mtSpincount"): # bld/herlev/final/default/src/fusion/Parameters.mbi:873:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:873:26-40
        return numpy.int32(95) # bld/herlev/final/default/src/fusion/Parameters.mbi:873:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:873:26-40
      if (_0_v=="maxNumWarnings"): # bld/herlev/final/default/src/fusion/Parameters.mbi:874:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:874:29-43
        return numpy.int32(57) # bld/herlev/final/default/src/fusion/Parameters.mbi:874:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:874:29-43
      if (_0_v=="optimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:875:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:875:24-39
        return numpy.int32(107) # bld/herlev/final/default/src/fusion/Parameters.mbi:875:26-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:875:24-39
      if (_0_v=="biMaxIterations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:876:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:876:30-43
        return numpy.int32(8) # bld/herlev/final/default/src/fusion/Parameters.mbi:876:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:876:30-43
      if (_0_v=="licenseTrhExpiryWrn"): # bld/herlev/final/default/src/fusion/Parameters.mbi:877:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:877:34-48
        return numpy.int32(32) # bld/herlev/final/default/src/fusion/Parameters.mbi:877:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:877:34-48
      if (_0_v=="logIncludeSummary"): # bld/herlev/final/default/src/fusion/Parameters.mbi:878:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:878:32-46
        return numpy.int32(42) # bld/herlev/final/default/src/fusion/Parameters.mbi:878:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:878:32-46
      if (_0_v=="logCutSecondOpt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:879:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:879:30-44
        return numpy.int32(38) # bld/herlev/final/default/src/fusion/Parameters.mbi:879:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:879:30-44
      if (_0_v=="logAnaPro"): # bld/herlev/final/default/src/fusion/Parameters.mbi:880:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:880:24-38
        return numpy.int32(35) # bld/herlev/final/default/src/fusion/Parameters.mbi:880:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:880:24-38
      if (_0_v=="logResponse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:881:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:881:26-40
        return numpy.int32(50) # bld/herlev/final/default/src/fusion/Parameters.mbi:881:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:881:26-40
      if (_0_v=="logLocalInfo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:882:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:882:27-41
        return numpy.int32(45) # bld/herlev/final/default/src/fusion/Parameters.mbi:882:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:882:27-41
      if (_0_v=="logBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:883:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:883:20-34
        return numpy.int32(36) # bld/herlev/final/default/src/fusion/Parameters.mbi:883:22-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:883:20-34
      if (_0_v=="logBiFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:884:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:884:24-38
        return numpy.int32(37) # bld/herlev/final/default/src/fusion/Parameters.mbi:884:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:884:24-38
      if (_0_v=="biCleanOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:885:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:885:31-44
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:885:33-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:885:31-44
      if (_0_v=="intpntMaxNumRefinementSteps"): # bld/herlev/final/default/src/fusion/Parameters.mbi:886:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:886:42-56
        return numpy.int32(20) # bld/herlev/final/default/src/fusion/Parameters.mbi:886:44-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:886:42-56
      if (_0_v=="intpntStartingPoint"): # bld/herlev/final/default/src/fusion/Parameters.mbi:887:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:887:34-48
        return numpy.int32(28) # bld/herlev/final/default/src/fusion/Parameters.mbi:887:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:887:34-48
      if (_0_v=="intpntDiffStep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:888:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:888:29-43
        return numpy.int32(16) # bld/herlev/final/default/src/fusion/Parameters.mbi:888:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:888:29-43
      if (_0_v=="intpntScaling"): # bld/herlev/final/default/src/fusion/Parameters.mbi:889:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:889:28-42
        return numpy.int32(26) # bld/herlev/final/default/src/fusion/Parameters.mbi:889:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:889:28-42
      if (_0_v=="intpntSolveForm"): # bld/herlev/final/default/src/fusion/Parameters.mbi:890:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:890:30-44
        return numpy.int32(27) # bld/herlev/final/default/src/fusion/Parameters.mbi:890:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:890:30-44
      if (_0_v=="logIntpnt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:891:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:891:24-38
        return numpy.int32(44) # bld/herlev/final/default/src/fusion/Parameters.mbi:891:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:891:24-38
      if (_0_v=="intpntMaxIterations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:892:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:892:34-48
        return numpy.int32(18) # bld/herlev/final/default/src/fusion/Parameters.mbi:892:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:892:34-48
      if (_0_v=="intpntOffColTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:893:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:893:30-44
        return numpy.int32(21) # bld/herlev/final/default/src/fusion/Parameters.mbi:893:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:893:30-44
      if (_0_v=="intpntOrderMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:894:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:894:32-46
        return numpy.int32(23) # bld/herlev/final/default/src/fusion/Parameters.mbi:894:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:894:32-46
      if (_0_v=="intpntOrderGpNumSeeds"): # bld/herlev/final/default/src/fusion/Parameters.mbi:895:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:895:36-50
        return numpy.int32(22) # bld/herlev/final/default/src/fusion/Parameters.mbi:895:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:895:36-50
      if (_0_v=="intpntBasis"): # bld/herlev/final/default/src/fusion/Parameters.mbi:896:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:896:26-40
        return numpy.int32(15) # bld/herlev/final/default/src/fusion/Parameters.mbi:896:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:896:26-40
      if (_0_v=="biIgnoreMaxIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:897:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:897:30-43
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:897:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:897:30-43
      if (_0_v=="biIgnoreNumError"): # bld/herlev/final/default/src/fusion/Parameters.mbi:898:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:898:31-44
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:898:33-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:898:31-44
      if (_0_v=="intpntMaxNumCor"): # bld/herlev/final/default/src/fusion/Parameters.mbi:899:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:899:30-44
        return numpy.int32(19) # bld/herlev/final/default/src/fusion/Parameters.mbi:899:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:899:30-44
      if (_0_v=="presolveUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:900:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:900:26-41
        return numpy.int32(119) # bld/herlev/final/default/src/fusion/Parameters.mbi:900:28-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:900:26-41
      if (_0_v=="presolveLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:901:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:901:28-43
        return numpy.int32(112) # bld/herlev/final/default/src/fusion/Parameters.mbi:901:30-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:901:28-43
      if (_0_v=="logPresolve"): # bld/herlev/final/default/src/fusion/Parameters.mbi:902:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:902:26-40
        return numpy.int32(49) # bld/herlev/final/default/src/fusion/Parameters.mbi:902:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:902:26-40
      if (_0_v=="presolveLindepUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:903:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:903:32-47
        return numpy.int32(116) # bld/herlev/final/default/src/fusion/Parameters.mbi:903:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:903:32-47
      if (_0_v=="presolveLindepNew"): # bld/herlev/final/default/src/fusion/Parameters.mbi:904:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:904:32-47
        return numpy.int32(114) # bld/herlev/final/default/src/fusion/Parameters.mbi:904:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:904:32-47
      if (_0_v=="presolveMaxNumPass"): # bld/herlev/final/default/src/fusion/Parameters.mbi:905:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:905:33-48
        return numpy.int32(117) # bld/herlev/final/default/src/fusion/Parameters.mbi:905:35-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:905:33-48
      if (_0_v=="presolveEliminatorMaxNumTries"): # bld/herlev/final/default/src/fusion/Parameters.mbi:906:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:906:44-59
        return numpy.int32(111) # bld/herlev/final/default/src/fusion/Parameters.mbi:906:46-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:906:44-59
      if (_0_v=="presolveEliminatorMaxFill"): # bld/herlev/final/default/src/fusion/Parameters.mbi:907:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:907:40-55
        return numpy.int32(110) # bld/herlev/final/default/src/fusion/Parameters.mbi:907:42-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:907:40-55
      if (_0_v=="presolveMaxNumReductions"): # bld/herlev/final/default/src/fusion/Parameters.mbi:908:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:908:39-54
        return numpy.int32(118) # bld/herlev/final/default/src/fusion/Parameters.mbi:908:41-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:908:39-54
      if (_0_v=="simDetectPwl"): # bld/herlev/final/default/src/fusion/Parameters.mbi:909:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:909:27-42
        return numpy.int32(136) # bld/herlev/final/default/src/fusion/Parameters.mbi:909:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:909:27-42
      if (_0_v=="simStabilityPriority"): # bld/herlev/final/default/src/fusion/Parameters.mbi:910:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:910:35-50
        return numpy.int32(158) # bld/herlev/final/default/src/fusion/Parameters.mbi:910:37-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:910:35-50
      if (_0_v=="simPrimalCrash"): # bld/herlev/final/default/src/fusion/Parameters.mbi:911:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:911:29-44
        return numpy.int32(147) # bld/herlev/final/default/src/fusion/Parameters.mbi:911:31-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:911:29-44
      if (_0_v=="logSim"): # bld/herlev/final/default/src/fusion/Parameters.mbi:912:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:912:21-35
        return numpy.int32(53) # bld/herlev/final/default/src/fusion/Parameters.mbi:912:23-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:912:21-35
      if (_0_v=="logSimMinor"): # bld/herlev/final/default/src/fusion/Parameters.mbi:913:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:913:26-40
        return numpy.int32(55) # bld/herlev/final/default/src/fusion/Parameters.mbi:913:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:913:26-40
      if (_0_v=="logSimFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:914:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:914:25-39
        return numpy.int32(54) # bld/herlev/final/default/src/fusion/Parameters.mbi:914:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:914:25-39
      if (_0_v=="simPrimalRestrictSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:915:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:915:41-56
        return numpy.int32(149) # bld/herlev/final/default/src/fusion/Parameters.mbi:915:43-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:915:41-56
      if (_0_v=="simPrimalSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:916:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:916:33-48
        return numpy.int32(150) # bld/herlev/final/default/src/fusion/Parameters.mbi:916:35-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:916:33-48
      if (_0_v=="simDualRestrictSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:917:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:917:39-54
        return numpy.int32(139) # bld/herlev/final/default/src/fusion/Parameters.mbi:917:41-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:917:39-54
      if (_0_v=="simDualSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:918:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:918:31-46
        return numpy.int32(140) # bld/herlev/final/default/src/fusion/Parameters.mbi:918:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:918:31-46
      if (_0_v=="simMaxIterations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:919:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:919:31-46
        return numpy.int32(144) # bld/herlev/final/default/src/fusion/Parameters.mbi:919:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:919:31-46
      if (_0_v=="simHotstartLu"): # bld/herlev/final/default/src/fusion/Parameters.mbi:920:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:920:28-43
        return numpy.int32(143) # bld/herlev/final/default/src/fusion/Parameters.mbi:920:30-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:920:28-43
      if (_0_v=="simRefactorFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:921:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:921:30-45
        return numpy.int32(151) # bld/herlev/final/default/src/fusion/Parameters.mbi:921:32-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:921:30-45
      if (_0_v=="simSeed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:922:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:922:22-37
        return numpy.int32(156) # bld/herlev/final/default/src/fusion/Parameters.mbi:922:24-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:922:22-37
      if (_0_v=="mioMode"): # bld/herlev/final/default/src/fusion/Parameters.mbi:923:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:923:22-36
        return numpy.int32(79) # bld/herlev/final/default/src/fusion/Parameters.mbi:923:24-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:923:22-36
      if (_0_v=="logMio"): # bld/herlev/final/default/src/fusion/Parameters.mbi:924:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:924:21-35
        return numpy.int32(46) # bld/herlev/final/default/src/fusion/Parameters.mbi:924:23-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:924:21-35
      if (_0_v=="logMioFreq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:925:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:925:25-39
        return numpy.int32(47) # bld/herlev/final/default/src/fusion/Parameters.mbi:925:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:925:25-39
      if (_0_v=="mioMaxNumRelaxs"): # bld/herlev/final/default/src/fusion/Parameters.mbi:926:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:926:30-44
        return numpy.int32(73) # bld/herlev/final/default/src/fusion/Parameters.mbi:926:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:926:30-44
      if (_0_v=="mioMaxNumBranches"): # bld/herlev/final/default/src/fusion/Parameters.mbi:927:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:927:32-46
        return numpy.int32(72) # bld/herlev/final/default/src/fusion/Parameters.mbi:927:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:927:32-46
      if (_0_v=="mioMaxNumRestarts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:928:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:928:32-46
        return numpy.int32(74) # bld/herlev/final/default/src/fusion/Parameters.mbi:928:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:928:32-46
      if (_0_v=="mioMaxNumRootCutRounds"): # bld/herlev/final/default/src/fusion/Parameters.mbi:929:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:929:37-51
        return numpy.int32(75) # bld/herlev/final/default/src/fusion/Parameters.mbi:929:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:929:37-51
      if (_0_v=="mioMaxNumSolutions"): # bld/herlev/final/default/src/fusion/Parameters.mbi:930:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:930:33-47
        return numpy.int32(76) # bld/herlev/final/default/src/fusion/Parameters.mbi:930:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:930:33-47
      if (_0_v=="mioNodeSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:931:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:931:31-45
        return numpy.int32(81) # bld/herlev/final/default/src/fusion/Parameters.mbi:931:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:931:31-45
      if (_0_v=="mioVarSelection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:932:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:932:30-44
        return numpy.int32(93) # bld/herlev/final/default/src/fusion/Parameters.mbi:932:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:932:30-44
      if (_0_v=="mioMinRel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:933:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:933:24-38
        return numpy.int32(78) # bld/herlev/final/default/src/fusion/Parameters.mbi:933:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:933:24-38
      if (_0_v=="mioHeuristicLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:934:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:934:32-46
        return numpy.int32(71) # bld/herlev/final/default/src/fusion/Parameters.mbi:934:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:934:32-46
      if (_0_v=="mioProbingLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:935:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:935:30-44
        return numpy.int32(85) # bld/herlev/final/default/src/fusion/Parameters.mbi:935:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:935:30-44
      if (_0_v=="mioSymmetryLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:936:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:936:31-45
        return numpy.int32(92) # bld/herlev/final/default/src/fusion/Parameters.mbi:936:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:936:31-45
      if (_0_v=="mioDualRayAnalysisLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:937:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:937:38-52
        return numpy.int32(69) # bld/herlev/final/default/src/fusion/Parameters.mbi:937:40-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:937:38-52
      if (_0_v=="mioPresolveAggregatorUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:938:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:938:39-53
        return numpy.int32(84) # bld/herlev/final/default/src/fusion/Parameters.mbi:938:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:938:39-53
      if (_0_v=="mioNumericalEmphasisLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:939:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:939:40-54
        return numpy.int32(82) # bld/herlev/final/default/src/fusion/Parameters.mbi:939:42-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:939:40-54
      if (_0_v=="mioMemoryEmphasisLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:940:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:940:37-51
        return numpy.int32(77) # bld/herlev/final/default/src/fusion/Parameters.mbi:940:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:940:37-51
      if (_0_v=="mioCutSelectionLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:941:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:941:35-49
        return numpy.int32(67) # bld/herlev/final/default/src/fusion/Parameters.mbi:941:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:941:35-49
      if (_0_v=="mioVbDetectionLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:942:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:942:34-48
        return numpy.int32(94) # bld/herlev/final/default/src/fusion/Parameters.mbi:942:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:942:34-48
      if (_0_v=="mioBranchDir"): # bld/herlev/final/default/src/fusion/Parameters.mbi:943:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:943:27-41
        return numpy.int32(58) # bld/herlev/final/default/src/fusion/Parameters.mbi:943:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:943:27-41
      if (_0_v=="mioRootOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:944:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:944:31-45
        return numpy.int32(89) # bld/herlev/final/default/src/fusion/Parameters.mbi:944:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:944:31-45
      if (_0_v=="mioNodeOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:945:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:945:31-45
        return numpy.int32(80) # bld/herlev/final/default/src/fusion/Parameters.mbi:945:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:945:31-45
      if (_0_v=="mioPerspectiveReformulate"): # bld/herlev/final/default/src/fusion/Parameters.mbi:946:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:946:40-54
        return numpy.int32(83) # bld/herlev/final/default/src/fusion/Parameters.mbi:946:42-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:946:40-54
      if (_0_v=="mioPropagateObjectiveConstraint"): # bld/herlev/final/default/src/fusion/Parameters.mbi:947:6-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:947:46-60
        return numpy.int32(86) # bld/herlev/final/default/src/fusion/Parameters.mbi:947:48-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:947:46-60
      if (_0_v=="mioSeed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:948:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:948:22-36
        return numpy.int32(91) # bld/herlev/final/default/src/fusion/Parameters.mbi:948:24-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:948:22-36
      if (_0_v=="mioConicOuterApproximation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:949:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:949:41-55
        return numpy.int32(59) # bld/herlev/final/default/src/fusion/Parameters.mbi:949:43-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:949:41-55
      if (_0_v=="mioQcqoReformulationMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:950:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:950:41-55
        return numpy.int32(87) # bld/herlev/final/default/src/fusion/Parameters.mbi:950:43-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:950:41-55
      if (_0_v=="mioDataPermutationMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:951:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:951:39-53
        return numpy.int32(68) # bld/herlev/final/default/src/fusion/Parameters.mbi:951:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:951:39-53
      if (_0_v=="readKeepFreeCon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:952:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:952:30-45
        return numpy.int32(125) # bld/herlev/final/default/src/fusion/Parameters.mbi:952:32-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:952:30-45
      if (_0_v=="readMpsFormat"): # bld/herlev/final/default/src/fusion/Parameters.mbi:953:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:953:28-43
        return numpy.int32(126) # bld/herlev/final/default/src/fusion/Parameters.mbi:953:30-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:953:28-43
      if (_0_v=="writeMpsFormat"): # bld/herlev/final/default/src/fusion/Parameters.mbi:954:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:954:29-44
        return numpy.int32(181) # bld/herlev/final/default/src/fusion/Parameters.mbi:954:31-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:954:29-44
      if (_0_v=="readMpsWidth"): # bld/herlev/final/default/src/fusion/Parameters.mbi:955:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:955:27-42
        return numpy.int32(127) # bld/herlev/final/default/src/fusion/Parameters.mbi:955:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:955:27-42
      if (_0_v=="readDebug"): # bld/herlev/final/default/src/fusion/Parameters.mbi:956:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:956:24-39
        return numpy.int32(124) # bld/herlev/final/default/src/fusion/Parameters.mbi:956:26-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:956:24-39
      if (_0_v=="writeDataParam"): # bld/herlev/final/default/src/fusion/Parameters.mbi:957:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:957:29-44
        return numpy.int32(170) # bld/herlev/final/default/src/fusion/Parameters.mbi:957:31-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:957:29-44
      if (_0_v=="writeFreeCon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:958:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:958:27-42
        return numpy.int32(171) # bld/herlev/final/default/src/fusion/Parameters.mbi:958:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:958:27-42
      if (_0_v=="writeGenericNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:959:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:959:32-47
        return numpy.int32(172) # bld/herlev/final/default/src/fusion/Parameters.mbi:959:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:959:32-47
      if (_0_v=="writeGenericNamesIo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:960:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:960:34-49
        return numpy.int32(173) # bld/herlev/final/default/src/fusion/Parameters.mbi:960:36-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:960:34-49
      if (_0_v=="writeCompression"): # bld/herlev/final/default/src/fusion/Parameters.mbi:961:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:961:31-46
        return numpy.int32(169) # bld/herlev/final/default/src/fusion/Parameters.mbi:961:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:961:31-46
      if (_0_v=="writeMpsInt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:962:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:962:26-41
        return numpy.int32(182) # bld/herlev/final/default/src/fusion/Parameters.mbi:962:28-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:962:26-41
      if (_0_v=="writeLpLineWidth"): # bld/herlev/final/default/src/fusion/Parameters.mbi:963:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:963:31-46
        return numpy.int32(180) # bld/herlev/final/default/src/fusion/Parameters.mbi:963:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:963:31-46
      if (_0_v=="writeLpFullObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:964:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:964:29-44
        return numpy.int32(179) # bld/herlev/final/default/src/fusion/Parameters.mbi:964:31-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:964:29-44
      if (_0_v=="writeJsonIndentation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:965:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:965:35-50
        return numpy.int32(178) # bld/herlev/final/default/src/fusion/Parameters.mbi:965:37-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:965:35-50
      if (_0_v=="writeSolIgnoreInvalidNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:966:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:966:41-56
        return numpy.int32(186) # bld/herlev/final/default/src/fusion/Parameters.mbi:966:43-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:966:41-56
      if (_0_v=="writeSolHead"): # bld/herlev/final/default/src/fusion/Parameters.mbi:967:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:967:27-42
        return numpy.int32(185) # bld/herlev/final/default/src/fusion/Parameters.mbi:967:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:967:27-42
      if (_0_v=="writeSolConstraints"): # bld/herlev/final/default/src/fusion/Parameters.mbi:968:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:968:34-49
        return numpy.int32(184) # bld/herlev/final/default/src/fusion/Parameters.mbi:968:36-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:968:34-49
      if (_0_v=="writeSolVariables"): # bld/herlev/final/default/src/fusion/Parameters.mbi:969:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:969:32-47
        return numpy.int32(187) # bld/herlev/final/default/src/fusion/Parameters.mbi:969:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:969:32-47
      if (_0_v=="writeSolBarvariables"): # bld/herlev/final/default/src/fusion/Parameters.mbi:970:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:970:35-50
        return numpy.int32(183) # bld/herlev/final/default/src/fusion/Parameters.mbi:970:37-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:970:35-50
      if (_0_v=="writeBasHead"): # bld/herlev/final/default/src/fusion/Parameters.mbi:971:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:971:27-42
        return numpy.int32(167) # bld/herlev/final/default/src/fusion/Parameters.mbi:971:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:971:27-42
      if (_0_v=="writeBasConstraints"): # bld/herlev/final/default/src/fusion/Parameters.mbi:972:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:972:34-49
        return numpy.int32(166) # bld/herlev/final/default/src/fusion/Parameters.mbi:972:36-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:972:34-49
      if (_0_v=="writeBasVariables"): # bld/herlev/final/default/src/fusion/Parameters.mbi:973:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:973:32-47
        return numpy.int32(168) # bld/herlev/final/default/src/fusion/Parameters.mbi:973:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:973:32-47
      if (_0_v=="writeIntHead"): # bld/herlev/final/default/src/fusion/Parameters.mbi:974:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:974:27-42
        return numpy.int32(176) # bld/herlev/final/default/src/fusion/Parameters.mbi:974:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:974:27-42
      if (_0_v=="writeIntConstraints"): # bld/herlev/final/default/src/fusion/Parameters.mbi:975:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:975:34-49
        return numpy.int32(175) # bld/herlev/final/default/src/fusion/Parameters.mbi:975:36-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:975:34-49
      if (_0_v=="writeIntVariables"): # bld/herlev/final/default/src/fusion/Parameters.mbi:976:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:976:32-47
        return numpy.int32(177) # bld/herlev/final/default/src/fusion/Parameters.mbi:976:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:976:32-47
      if (_0_v=="solReadNameWidth"): # bld/herlev/final/default/src/fusion/Parameters.mbi:977:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:977:31-46
        return numpy.int32(162) # bld/herlev/final/default/src/fusion/Parameters.mbi:977:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:977:31-46
      if (_0_v=="solReadWidth"): # bld/herlev/final/default/src/fusion/Parameters.mbi:978:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:978:27-42
        return numpy.int32(163) # bld/herlev/final/default/src/fusion/Parameters.mbi:978:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:978:27-42
      if (_0_v=="infeasReportAuto"): # bld/herlev/final/default/src/fusion/Parameters.mbi:979:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:979:31-45
        return numpy.int32(13) # bld/herlev/final/default/src/fusion/Parameters.mbi:979:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:979:31-45
      if (_0_v=="infeasReportLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:980:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:980:32-46
        return numpy.int32(14) # bld/herlev/final/default/src/fusion/Parameters.mbi:980:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:980:32-46
      if (_0_v=="infeasGenericNames"): # bld/herlev/final/default/src/fusion/Parameters.mbi:981:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:981:33-47
        return numpy.int32(11) # bld/herlev/final/default/src/fusion/Parameters.mbi:981:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:981:33-47
      if (_0_v=="logInfeasAna"): # bld/herlev/final/default/src/fusion/Parameters.mbi:982:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:982:27-41
        return numpy.int32(43) # bld/herlev/final/default/src/fusion/Parameters.mbi:982:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:982:27-41
      if (_0_v=="licenseWait"): # bld/herlev/final/default/src/fusion/Parameters.mbi:983:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:983:26-40
        return numpy.int32(33) # bld/herlev/final/default/src/fusion/Parameters.mbi:983:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:983:26-40
      if (_0_v=="licenseSuppressExpireWrns"): # bld/herlev/final/default/src/fusion/Parameters.mbi:984:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:984:40-54
        return numpy.int32(31) # bld/herlev/final/default/src/fusion/Parameters.mbi:984:42-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:984:40-54
      if (_0_v=="licensePauseTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:985:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:985:31-45
        return numpy.int32(30) # bld/herlev/final/default/src/fusion/Parameters.mbi:985:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:985:31-45
      if (_0_v=="licenseDebug"): # bld/herlev/final/default/src/fusion/Parameters.mbi:986:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:986:27-41
        return numpy.int32(29) # bld/herlev/final/default/src/fusion/Parameters.mbi:986:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:986:27-41
      if (_0_v=="solFilterKeepBasic"): # bld/herlev/final/default/src/fusion/Parameters.mbi:987:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:987:33-48
        return numpy.int32(160) # bld/herlev/final/default/src/fusion/Parameters.mbi:987:35-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:987:33-48
      if (_0_v=="solFilterKeepRanged"): # bld/herlev/final/default/src/fusion/Parameters.mbi:988:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:988:34-49
        return numpy.int32(161) # bld/herlev/final/default/src/fusion/Parameters.mbi:988:36-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:988:34-49
      if (_0_v=="log"): # bld/herlev/final/default/src/fusion/Parameters.mbi:989:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:989:18-32
        return numpy.int32(34) # bld/herlev/final/default/src/fusion/Parameters.mbi:989:20-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:989:18-32
      if (_0_v=="logExpand"): # bld/herlev/final/default/src/fusion/Parameters.mbi:990:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:990:24-38
        return numpy.int32(39) # bld/herlev/final/default/src/fusion/Parameters.mbi:990:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:990:24-38
      if (_0_v=="logFile"): # bld/herlev/final/default/src/fusion/Parameters.mbi:991:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:991:22-36
        return numpy.int32(41) # bld/herlev/final/default/src/fusion/Parameters.mbi:991:24-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:991:22-36
      if (_0_v=="logOrder"): # bld/herlev/final/default/src/fusion/Parameters.mbi:992:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:992:23-37
        return numpy.int32(48) # bld/herlev/final/default/src/fusion/Parameters.mbi:992:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:992:23-37
      if (_0_v=="logSensitivity"): # bld/herlev/final/default/src/fusion/Parameters.mbi:993:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:993:29-43
        return numpy.int32(51) # bld/herlev/final/default/src/fusion/Parameters.mbi:993:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:993:29-43
      if (_0_v=="logSensitivityOpt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:994:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:994:32-46
        return numpy.int32(52) # bld/herlev/final/default/src/fusion/Parameters.mbi:994:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:994:32-46
      if (_0_v=="readTaskIgnoreParam"): # bld/herlev/final/default/src/fusion/Parameters.mbi:995:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:995:34-49
        return numpy.int32(128) # bld/herlev/final/default/src/fusion/Parameters.mbi:995:36-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:995:34-49
      if (_0_v=="writeTaskIncSol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:996:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:996:30-45
        return numpy.int32(188) # bld/herlev/final/default/src/fusion/Parameters.mbi:996:32-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:996:30-45
      if (_0_v=="paramReadCaseName"): # bld/herlev/final/default/src/fusion/Parameters.mbi:997:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:997:32-47
        return numpy.int32(108) # bld/herlev/final/default/src/fusion/Parameters.mbi:997:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:997:32-47
      if (_0_v=="paramReadIgnError"): # bld/herlev/final/default/src/fusion/Parameters.mbi:998:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:998:32-47
        return numpy.int32(109) # bld/herlev/final/default/src/fusion/Parameters.mbi:998:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:998:32-47
      if (_0_v=="solutionCallback"): # bld/herlev/final/default/src/fusion/Parameters.mbi:999:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:999:31-46
        return numpy.int32(164) # bld/herlev/final/default/src/fusion/Parameters.mbi:999:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:999:31-46
      if (_0_v=="simScaling"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1000:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1000:25-40
        return numpy.int32(154) # bld/herlev/final/default/src/fusion/Parameters.mbi:1000:27-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1000:25-40
      if (_0_v=="simScalingMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1001:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1001:31-46
        return numpy.int32(155) # bld/herlev/final/default/src/fusion/Parameters.mbi:1001:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1001:31-46
      if (_0_v=="simPrimalPhaseoneMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1002:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1002:38-53
        return numpy.int32(148) # bld/herlev/final/default/src/fusion/Parameters.mbi:1002:40-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1002:38-53
      if (_0_v=="simDualPhaseoneMethod"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1003:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1003:36-51
        return numpy.int32(138) # bld/herlev/final/default/src/fusion/Parameters.mbi:1003:38-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1003:36-51
      if (_0_v=="simMaxNumSetbacks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1004:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1004:32-47
        return numpy.int32(145) # bld/herlev/final/default/src/fusion/Parameters.mbi:1004:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1004:32-47
      if (_0_v=="simHotstart"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1005:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1005:26-41
        return numpy.int32(142) # bld/herlev/final/default/src/fusion/Parameters.mbi:1005:28-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1005:26-41
      if (_0_v=="simBasisFactorUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1006:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1006:32-47
        return numpy.int32(134) # bld/herlev/final/default/src/fusion/Parameters.mbi:1006:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1006:32-47
      if (_0_v=="simDegen"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1007:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1007:23-38
        return numpy.int32(135) # bld/herlev/final/default/src/fusion/Parameters.mbi:1007:25-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1007:23-38
      if (_0_v=="simReformulation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1008:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1008:31-46
        return numpy.int32(152) # bld/herlev/final/default/src/fusion/Parameters.mbi:1008:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1008:31-46
      if (_0_v=="simExploitDupvec"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1009:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1009:31-46
        return numpy.int32(141) # bld/herlev/final/default/src/fusion/Parameters.mbi:1009:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1009:31-46
      if (_0_v=="simSaveLu"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1010:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1010:24-39
        return numpy.int32(153) # bld/herlev/final/default/src/fusion/Parameters.mbi:1010:26-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1010:24-39
      if (_0_v=="simNonSingular"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1011:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1011:29-44
        return numpy.int32(146) # bld/herlev/final/default/src/fusion/Parameters.mbi:1011:31-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1011:29-44
      if (_0_v=="simDualCrash"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1012:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1012:27-42
        return numpy.int32(137) # bld/herlev/final/default/src/fusion/Parameters.mbi:1012:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1012:27-42
      if (_0_v=="logStorage"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1013:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1013:25-39
        return numpy.int32(56) # bld/herlev/final/default/src/fusion/Parameters.mbi:1013:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1013:25-39
      if (_0_v=="infeasPreferPrimal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1014:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1014:33-47
        return numpy.int32(12) # bld/herlev/final/default/src/fusion/Parameters.mbi:1014:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1014:33-47
      if (_0_v=="opfWriteLineLength"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1015:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1015:33-48
        return numpy.int32(100) # bld/herlev/final/default/src/fusion/Parameters.mbi:1015:35-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1015:33-48
      if (_0_v=="opfWriteHints"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1016:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1016:28-42
        return numpy.int32(99) # bld/herlev/final/default/src/fusion/Parameters.mbi:1016:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1016:28-42
      if (_0_v=="opfWriteParameters"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1017:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1017:33-48
        return numpy.int32(101) # bld/herlev/final/default/src/fusion/Parameters.mbi:1017:35-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1017:33-48
      if (_0_v=="opfWriteProblem"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1018:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1018:30-45
        return numpy.int32(102) # bld/herlev/final/default/src/fusion/Parameters.mbi:1018:32-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1018:30-45
      if (_0_v=="opfWriteHeader"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1019:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1019:29-43
        return numpy.int32(98) # bld/herlev/final/default/src/fusion/Parameters.mbi:1019:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1019:29-43
      if (_0_v=="opfWriteSolutions"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1020:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1020:32-47
        return numpy.int32(106) # bld/herlev/final/default/src/fusion/Parameters.mbi:1020:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1020:32-47
      if (_0_v=="opfWriteSolBas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1021:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1021:29-44
        return numpy.int32(103) # bld/herlev/final/default/src/fusion/Parameters.mbi:1021:31-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1021:29-44
      if (_0_v=="opfWriteSolItg"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1022:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1022:29-44
        return numpy.int32(104) # bld/herlev/final/default/src/fusion/Parameters.mbi:1022:31-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1022:29-44
      if (_0_v=="opfWriteSolItr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1023:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1023:29-44
        return numpy.int32(105) # bld/herlev/final/default/src/fusion/Parameters.mbi:1023:31-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1023:29-44
      if (_0_v=="ptfWriteTransform"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1024:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1024:32-47
        return numpy.int32(123) # bld/herlev/final/default/src/fusion/Parameters.mbi:1024:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1024:32-47
      if (_0_v=="ptfWriteSolutions"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1025:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1025:32-47
        return numpy.int32(122) # bld/herlev/final/default/src/fusion/Parameters.mbi:1025:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1025:32-47
      if (_0_v=="ptfWriteParameters"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1026:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1026:33-48
        return numpy.int32(121) # bld/herlev/final/default/src/fusion/Parameters.mbi:1026:35-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1026:33-48
      if (_0_v=="primalRepairOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1027:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1027:36-51
        return numpy.int32(120) # bld/herlev/final/default/src/fusion/Parameters.mbi:1027:38-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1027:36-51
      if (_0_v=="mioRootRepeatPresolveLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1028:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1028:41-55
        return numpy.int32(90) # bld/herlev/final/default/src/fusion/Parameters.mbi:1028:43-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1028:41-55
      if (_0_v=="mioCutCmir"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1029:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1029:25-39
        return numpy.int32(62) # bld/herlev/final/default/src/fusion/Parameters.mbi:1029:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1029:25-39
      if (_0_v=="mioCutClique"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1030:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1030:27-41
        return numpy.int32(61) # bld/herlev/final/default/src/fusion/Parameters.mbi:1030:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1030:27-41
      if (_0_v=="mioCutImpliedBound"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1031:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1031:33-47
        return numpy.int32(64) # bld/herlev/final/default/src/fusion/Parameters.mbi:1031:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1031:33-47
      if (_0_v=="mioCutKnapsackCover"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1032:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1032:34-48
        return numpy.int32(65) # bld/herlev/final/default/src/fusion/Parameters.mbi:1032:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1032:34-48
      if (_0_v=="mioCutGmi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1033:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1033:24-38
        return numpy.int32(63) # bld/herlev/final/default/src/fusion/Parameters.mbi:1033:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1033:24-38
      if (_0_v=="mioCutLipro"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1034:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1034:26-40
        return numpy.int32(66) # bld/herlev/final/default/src/fusion/Parameters.mbi:1034:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1034:26-40
      if (_0_v=="sensitivityType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1035:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1035:30-45
        return numpy.int32(133) # bld/herlev/final/default/src/fusion/Parameters.mbi:1035:32-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1035:30-45
      if (_0_v=="mioConstructSol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1036:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1036:30-44
        return numpy.int32(60) # bld/herlev/final/default/src/fusion/Parameters.mbi:1036:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1036:30-44
      if (_0_v=="presolveLindepRelWorkTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1037:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1037:39-54
        return numpy.int32(115) # bld/herlev/final/default/src/fusion/Parameters.mbi:1037:41-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1037:39-54
      if (_0_v=="presolveLindepAbsWorkTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1038:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1038:39-54
        return numpy.int32(113) # bld/herlev/final/default/src/fusion/Parameters.mbi:1038:41-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1038:39-54
      if (_0_v=="sensitivityAll"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1039:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1039:29-44
        return numpy.int32(131) # bld/herlev/final/default/src/fusion/Parameters.mbi:1039:31-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1039:29-44
      if (_0_v=="logFeasRepair"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1040:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1040:28-42
        return numpy.int32(40) # bld/herlev/final/default/src/fusion/Parameters.mbi:1040:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1040:28-42
      if (_0_v=="cacheLicense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1041:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1041:27-40
        return numpy.int32(9) # bld/herlev/final/default/src/fusion/Parameters.mbi:1041:29-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1041:27-40
      if (_0_v=="intpntRegularizationUse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1042:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1042:38-52
        return numpy.int32(25) # bld/herlev/final/default/src/fusion/Parameters.mbi:1042:40-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1042:38-52
      if (_0_v=="simSolveForm"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1043:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1043:27-42
        return numpy.int32(157) # bld/herlev/final/default/src/fusion/Parameters.mbi:1043:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1043:27-42
      if (_0_v=="simSwitchOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1044:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1044:33-48
        return numpy.int32(159) # bld/herlev/final/default/src/fusion/Parameters.mbi:1044:35-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1044:33-48
      if (_0_v=="writeIgnoreIncompatibleItems"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1045:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1045:43-58
        return numpy.int32(174) # bld/herlev/final/default/src/fusion/Parameters.mbi:1045:45-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1045:43-58
      if (_0_v=="autoSortABeforeOpt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1046:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1046:33-46
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:1046:35-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1046:33-46
      if (_0_v=="sensitivityOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1047:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1047:35-50
        return numpy.int32(132) # bld/herlev/final/default/src/fusion/Parameters.mbi:1047:37-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1047:35-50
      if (_0_v=="writeXmlMode"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1048:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1048:27-42
        return numpy.int32(189) # bld/herlev/final/default/src/fusion/Parameters.mbi:1048:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1048:27-42
      if (_0_v=="anaSolBasis"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1049:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1049:26-39
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:1049:28-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1049:26-39
      if (_0_v=="anaSolPrintViolated"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1050:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1050:34-47
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:1050:36-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1050:34-47
      if (_0_v=="basisSolveUsePlusOne"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1051:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1051:35-48
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:1051:37-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1051:35-48
      if (_0_v=="compressStatfile"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1052:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1052:31-45
        return numpy.int32(10) # bld/herlev/final/default/src/fusion/Parameters.mbi:1052:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1052:31-45
      if (_0_v=="mioRinsMaxNodes"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1053:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1053:30-44
        return numpy.int32(88) # bld/herlev/final/default/src/fusion/Parameters.mbi:1053:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1053:30-44
      if (_0_v=="mioFeaspumpLevel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1054:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1054:31-45
        return numpy.int32(70) # bld/herlev/final/default/src/fusion/Parameters.mbi:1054:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1054:31-45
      if (_0_v=="ng"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1055:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1055:17-31
        return numpy.int32(96) # bld/herlev/final/default/src/fusion/Parameters.mbi:1055:19-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1055:17-31
      if (_0_v=="remoteUseCompression"): # bld/herlev/final/default/src/fusion/Parameters.mbi:1056:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1056:35-50
        return numpy.int32(129) # bld/herlev/final/default/src/fusion/Parameters.mbi:1056:37-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:1056:35-50
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:1057:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:866:0-1058:1
    @staticmethod
    def __string_1to_1iomode_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1iomode_1value_S(_0_v)
    @staticmethod
    def __string_1to_1iomode_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:859:0-864:1
      if (_0_v=="read"): # bld/herlev/final/default/src/fusion/Parameters.mbi:860:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:860:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:860:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:860:19-32
      if (_0_v=="write"): # bld/herlev/final/default/src/fusion/Parameters.mbi:861:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:861:20-33
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:861:22-31
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:861:20-33
      if (_0_v=="readwrite"): # bld/herlev/final/default/src/fusion/Parameters.mbi:862:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:862:24-37
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:862:26-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:862:24-37
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:863:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:859:0-864:1
    @staticmethod
    def __string_1to_1internal_1iinf_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1internal_1iinf_1value_S(_0_v)
    @staticmethod
    def __string_1to_1internal_1iinf_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:728:0-857:1
      if (_0_v=="versionMajor"): # bld/herlev/final/default/src/fusion/Parameters.mbi:729:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:729:27-42
        return numpy.int32(124) # bld/herlev/final/default/src/fusion/Parameters.mbi:729:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:729:27-42
      if (_0_v=="versionMinor"): # bld/herlev/final/default/src/fusion/Parameters.mbi:730:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:730:27-42
        return numpy.int32(125) # bld/herlev/final/default/src/fusion/Parameters.mbi:730:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:730:27-42
      if (_0_v=="versionRevision"): # bld/herlev/final/default/src/fusion/Parameters.mbi:731:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:731:30-45
        return numpy.int32(126) # bld/herlev/final/default/src/fusion/Parameters.mbi:731:32-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:731:30-45
      if (_0_v=="presolveLindepWork"): # bld/herlev/final/default/src/fusion/Parameters.mbi:732:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:732:33-47
        return numpy.int32(68) # bld/herlev/final/default/src/fusion/Parameters.mbi:732:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:732:33-47
      if (_0_v=="presolveLindepPivots"): # bld/herlev/final/default/src/fusion/Parameters.mbi:733:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:733:35-49
        return numpy.int32(66) # bld/herlev/final/default/src/fusion/Parameters.mbi:733:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:733:35-49
      if (_0_v=="presolveLindepSkipped"): # bld/herlev/final/default/src/fusion/Parameters.mbi:734:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:734:36-50
        return numpy.int32(67) # bld/herlev/final/default/src/fusion/Parameters.mbi:734:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:734:36-50
      if (_0_v=="presolveNumPrimalLinDepAttempts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:735:6-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:735:46-60
        return numpy.int32(74) # bld/herlev/final/default/src/fusion/Parameters.mbi:735:48-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:735:46-60
      if (_0_v=="presolveNumPrimalLinDepSuccessAttempts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:736:6-51
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:736:53-67
        return numpy.int32(75) # bld/herlev/final/default/src/fusion/Parameters.mbi:736:55-65
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:736:53-67
      if (_0_v=="presolveNumDualLinDepAttempts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:737:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:737:44-58
        return numpy.int32(70) # bld/herlev/final/default/src/fusion/Parameters.mbi:737:46-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:737:44-58
      if (_0_v=="presolveNumDualLinDepSuccessAttempts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:738:6-49
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:738:51-65
        return numpy.int32(71) # bld/herlev/final/default/src/fusion/Parameters.mbi:738:53-63
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:738:51-65
      if (_0_v=="presolveOutofspace"): # bld/herlev/final/default/src/fusion/Parameters.mbi:739:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:739:33-47
        return numpy.int32(93) # bld/herlev/final/default/src/fusion/Parameters.mbi:739:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:739:33-47
      if (_0_v=="optObjectiveSense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:740:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:740:32-46
        return numpy.int32(38) # bld/herlev/final/default/src/fusion/Parameters.mbi:740:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:740:32-46
      if (_0_v=="optimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:741:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:741:24-38
        return numpy.int32(39) # bld/herlev/final/default/src/fusion/Parameters.mbi:741:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:741:24-38
      if (_0_v=="intpntFirRefIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:742:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:742:31-45
        return numpy.int32(17) # bld/herlev/final/default/src/fusion/Parameters.mbi:742:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:742:31-45
      if (_0_v=="intpntNumRefSteps"): # bld/herlev/final/default/src/fusion/Parameters.mbi:743:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:743:32-46
        return numpy.int32(22) # bld/herlev/final/default/src/fusion/Parameters.mbi:743:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:743:32-46
      if (_0_v=="intpntFactorSchurNumDup"): # bld/herlev/final/default/src/fusion/Parameters.mbi:744:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:744:38-52
        return numpy.int32(15) # bld/herlev/final/default/src/fusion/Parameters.mbi:744:40-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:744:38-52
      if (_0_v=="intpntFactorSchurNumBlk"): # bld/herlev/final/default/src/fusion/Parameters.mbi:745:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:745:38-52
        return numpy.int32(14) # bld/herlev/final/default/src/fusion/Parameters.mbi:745:40-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:745:38-52
      if (_0_v=="intpntFactorSchurMinBlkDim"): # bld/herlev/final/default/src/fusion/Parameters.mbi:746:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:746:41-55
        return numpy.int32(13) # bld/herlev/final/default/src/fusion/Parameters.mbi:746:43-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:746:41-55
      if (_0_v=="intpntFactorSchurMaxBlkDim"): # bld/herlev/final/default/src/fusion/Parameters.mbi:747:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:747:41-55
        return numpy.int32(12) # bld/herlev/final/default/src/fusion/Parameters.mbi:747:43-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:747:41-55
      if (_0_v=="intpntFactorSchurNumSingular"): # bld/herlev/final/default/src/fusion/Parameters.mbi:748:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:748:43-57
        return numpy.int32(16) # bld/herlev/final/default/src/fusion/Parameters.mbi:748:45-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:748:43-57
      if (_0_v=="intpntFactorDim"): # bld/herlev/final/default/src/fusion/Parameters.mbi:749:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:749:30-43
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:749:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:749:30-43
      if (_0_v=="intpntFactorLDim"): # bld/herlev/final/default/src/fusion/Parameters.mbi:750:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:750:31-44
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:750:33-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:750:31-44
      if (_0_v=="intpntFactorOrderMlLNumDense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:751:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:751:43-57
        return numpy.int32(11) # bld/herlev/final/default/src/fusion/Parameters.mbi:751:45-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:751:43-57
      if (_0_v=="intpntFactorOrderMlLMaxHeight"): # bld/herlev/final/default/src/fusion/Parameters.mbi:752:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:752:44-58
        return numpy.int32(10) # bld/herlev/final/default/src/fusion/Parameters.mbi:752:46-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:752:44-58
      if (_0_v=="intpntFactorOrderGpLMaxHeight"): # bld/herlev/final/default/src/fusion/Parameters.mbi:753:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:753:44-57
        return numpy.int32(9) # bld/herlev/final/default/src/fusion/Parameters.mbi:753:46-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:753:44-57
      if (_0_v=="intpntFactorNumDenseA"): # bld/herlev/final/default/src/fusion/Parameters.mbi:754:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:754:36-49
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:754:38-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:754:36-49
      if (_0_v=="intpntFactorNumDenseADup"): # bld/herlev/final/default/src/fusion/Parameters.mbi:755:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:755:39-52
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:755:41-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:755:39-52
      if (_0_v=="intpntFactorNumDenseW"): # bld/herlev/final/default/src/fusion/Parameters.mbi:756:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:756:36-49
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:756:38-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:756:36-49
      if (_0_v=="intpntNumcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:757:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:757:27-41
        return numpy.int32(29) # bld/herlev/final/default/src/fusion/Parameters.mbi:757:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:757:27-41
      if (_0_v=="intpntNumvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:758:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:758:27-41
        return numpy.int32(36) # bld/herlev/final/default/src/fusion/Parameters.mbi:758:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:758:27-41
      if (_0_v=="intpntNumbarvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:759:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:759:30-44
        return numpy.int32(23) # bld/herlev/final/default/src/fusion/Parameters.mbi:759:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:759:30-44
      if (_0_v=="intpntNumblo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:760:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:760:27-41
        return numpy.int32(26) # bld/herlev/final/default/src/fusion/Parameters.mbi:760:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:760:27-41
      if (_0_v=="intpntNumbup"): # bld/herlev/final/default/src/fusion/Parameters.mbi:761:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:761:27-41
        return numpy.int32(28) # bld/herlev/final/default/src/fusion/Parameters.mbi:761:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:761:27-41
      if (_0_v=="intpntNumbfr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:762:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:762:27-41
        return numpy.int32(24) # bld/herlev/final/default/src/fusion/Parameters.mbi:762:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:762:27-41
      if (_0_v=="intpntNumbfx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:763:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:763:27-41
        return numpy.int32(25) # bld/herlev/final/default/src/fusion/Parameters.mbi:763:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:763:27-41
      if (_0_v=="intpntNumcone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:764:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:764:28-42
        return numpy.int32(30) # bld/herlev/final/default/src/fusion/Parameters.mbi:764:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:764:28-42
      if (_0_v=="intpntNumconevar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:765:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:765:31-45
        return numpy.int32(31) # bld/herlev/final/default/src/fusion/Parameters.mbi:765:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:765:31-45
      if (_0_v=="intpntNumbndcone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:766:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:766:31-45
        return numpy.int32(27) # bld/herlev/final/default/src/fusion/Parameters.mbi:766:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:766:31-45
      if (_0_v=="intpntNumrqcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:767:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:767:31-45
        return numpy.int32(35) # bld/herlev/final/default/src/fusion/Parameters.mbi:767:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:767:31-45
      if (_0_v=="intpntNumqcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:768:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:768:30-44
        return numpy.int32(34) # bld/herlev/final/default/src/fusion/Parameters.mbi:768:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:768:30-44
      if (_0_v=="intpntNumpexpcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:769:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:769:33-47
        return numpy.int32(32) # bld/herlev/final/default/src/fusion/Parameters.mbi:769:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:769:33-47
      if (_0_v=="intpntNumppowcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:770:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:770:33-47
        return numpy.int32(33) # bld/herlev/final/default/src/fusion/Parameters.mbi:770:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:770:33-47
      if (_0_v=="intpntMinconedim"): # bld/herlev/final/default/src/fusion/Parameters.mbi:771:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:771:31-45
        return numpy.int32(21) # bld/herlev/final/default/src/fusion/Parameters.mbi:771:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:771:31-45
      if (_0_v=="intpntMaxconedim"): # bld/herlev/final/default/src/fusion/Parameters.mbi:772:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:772:31-45
        return numpy.int32(20) # bld/herlev/final/default/src/fusion/Parameters.mbi:772:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:772:31-45
      if (_0_v=="intpntMaxbarvardim"): # bld/herlev/final/default/src/fusion/Parameters.mbi:773:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:773:33-47
        return numpy.int32(19) # bld/herlev/final/default/src/fusion/Parameters.mbi:773:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:773:33-47
      if (_0_v=="presolveNumcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:774:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:774:29-43
        return numpy.int32(82) # bld/herlev/final/default/src/fusion/Parameters.mbi:774:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:774:29-43
      if (_0_v=="presolveNumcfr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:775:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:775:29-43
        return numpy.int32(78) # bld/herlev/final/default/src/fusion/Parameters.mbi:775:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:775:29-43
      if (_0_v=="presolveNumcfx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:776:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:776:29-43
        return numpy.int32(79) # bld/herlev/final/default/src/fusion/Parameters.mbi:776:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:776:29-43
      if (_0_v=="presolveNumclo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:777:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:777:29-43
        return numpy.int32(80) # bld/herlev/final/default/src/fusion/Parameters.mbi:777:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:777:29-43
      if (_0_v=="presolveNumcup"): # bld/herlev/final/default/src/fusion/Parameters.mbi:778:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:778:29-43
        return numpy.int32(84) # bld/herlev/final/default/src/fusion/Parameters.mbi:778:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:778:29-43
      if (_0_v=="presolveNumcra"): # bld/herlev/final/default/src/fusion/Parameters.mbi:779:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:779:29-43
        return numpy.int32(83) # bld/herlev/final/default/src/fusion/Parameters.mbi:779:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:779:29-43
      if (_0_v=="presolveNumcnl"): # bld/herlev/final/default/src/fusion/Parameters.mbi:780:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:780:29-43
        return numpy.int32(81) # bld/herlev/final/default/src/fusion/Parameters.mbi:780:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:780:29-43
      if (_0_v=="presolveNumvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:781:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:781:29-43
        return numpy.int32(86) # bld/herlev/final/default/src/fusion/Parameters.mbi:781:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:781:29-43
      if (_0_v=="presolveNumvfr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:782:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:782:29-43
        return numpy.int32(87) # bld/herlev/final/default/src/fusion/Parameters.mbi:782:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:782:29-43
      if (_0_v=="presolveNumvfx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:783:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:783:29-43
        return numpy.int32(88) # bld/herlev/final/default/src/fusion/Parameters.mbi:783:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:783:29-43
      if (_0_v=="presolveNumvlo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:784:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:784:29-43
        return numpy.int32(89) # bld/herlev/final/default/src/fusion/Parameters.mbi:784:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:784:29-43
      if (_0_v=="presolveNumvup"): # bld/herlev/final/default/src/fusion/Parameters.mbi:785:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:785:29-43
        return numpy.int32(92) # bld/herlev/final/default/src/fusion/Parameters.mbi:785:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:785:29-43
      if (_0_v=="presolveNumvra"): # bld/herlev/final/default/src/fusion/Parameters.mbi:786:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:786:29-43
        return numpy.int32(91) # bld/herlev/final/default/src/fusion/Parameters.mbi:786:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:786:29-43
      if (_0_v=="presolveNumvnl"): # bld/herlev/final/default/src/fusion/Parameters.mbi:787:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:787:29-43
        return numpy.int32(90) # bld/herlev/final/default/src/fusion/Parameters.mbi:787:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:787:29-43
      if (_0_v=="presolveNumnza"): # bld/herlev/final/default/src/fusion/Parameters.mbi:788:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:788:29-43
        return numpy.int32(85) # bld/herlev/final/default/src/fusion/Parameters.mbi:788:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:788:29-43
      if (_0_v=="presolveFnumcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:789:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:789:30-44
        return numpy.int32(49) # bld/herlev/final/default/src/fusion/Parameters.mbi:789:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:789:30-44
      if (_0_v=="presolveFnumcfr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:790:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:790:30-44
        return numpy.int32(45) # bld/herlev/final/default/src/fusion/Parameters.mbi:790:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:790:30-44
      if (_0_v=="presolveFnumcfx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:791:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:791:30-44
        return numpy.int32(46) # bld/herlev/final/default/src/fusion/Parameters.mbi:791:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:791:30-44
      if (_0_v=="presolveFnumclo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:792:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:792:30-44
        return numpy.int32(47) # bld/herlev/final/default/src/fusion/Parameters.mbi:792:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:792:30-44
      if (_0_v=="presolveFnumcup"): # bld/herlev/final/default/src/fusion/Parameters.mbi:793:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:793:30-44
        return numpy.int32(51) # bld/herlev/final/default/src/fusion/Parameters.mbi:793:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:793:30-44
      if (_0_v=="presolveFnumcra"): # bld/herlev/final/default/src/fusion/Parameters.mbi:794:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:794:30-44
        return numpy.int32(50) # bld/herlev/final/default/src/fusion/Parameters.mbi:794:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:794:30-44
      if (_0_v=="presolveFnumcnl"): # bld/herlev/final/default/src/fusion/Parameters.mbi:795:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:795:30-44
        return numpy.int32(48) # bld/herlev/final/default/src/fusion/Parameters.mbi:795:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:795:30-44
      if (_0_v=="presolveFnumvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:796:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:796:30-44
        return numpy.int32(53) # bld/herlev/final/default/src/fusion/Parameters.mbi:796:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:796:30-44
      if (_0_v=="presolveFnumvfr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:797:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:797:30-44
        return numpy.int32(54) # bld/herlev/final/default/src/fusion/Parameters.mbi:797:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:797:30-44
      if (_0_v=="presolveFnumvfx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:798:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:798:30-44
        return numpy.int32(55) # bld/herlev/final/default/src/fusion/Parameters.mbi:798:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:798:30-44
      if (_0_v=="presolveFnumvlo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:799:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:799:30-44
        return numpy.int32(56) # bld/herlev/final/default/src/fusion/Parameters.mbi:799:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:799:30-44
      if (_0_v=="presolveFnumvup"): # bld/herlev/final/default/src/fusion/Parameters.mbi:800:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:800:30-44
        return numpy.int32(59) # bld/herlev/final/default/src/fusion/Parameters.mbi:800:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:800:30-44
      if (_0_v=="presolveFnumvra"): # bld/herlev/final/default/src/fusion/Parameters.mbi:801:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:801:30-44
        return numpy.int32(58) # bld/herlev/final/default/src/fusion/Parameters.mbi:801:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:801:30-44
      if (_0_v=="presolveFnumvnl"): # bld/herlev/final/default/src/fusion/Parameters.mbi:802:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:802:30-44
        return numpy.int32(57) # bld/herlev/final/default/src/fusion/Parameters.mbi:802:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:802:30-44
      if (_0_v=="presolveFnumnza"): # bld/herlev/final/default/src/fusion/Parameters.mbi:803:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:803:30-44
        return numpy.int32(52) # bld/herlev/final/default/src/fusion/Parameters.mbi:803:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:803:30-44
      if (_0_v=="presolveNumElimns"): # bld/herlev/final/default/src/fusion/Parameters.mbi:804:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:804:32-46
        return numpy.int32(73) # bld/herlev/final/default/src/fusion/Parameters.mbi:804:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:804:32-46
      if (_0_v=="presolveEliNumTries"): # bld/herlev/final/default/src/fusion/Parameters.mbi:805:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:805:34-48
        return numpy.int32(44) # bld/herlev/final/default/src/fusion/Parameters.mbi:805:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:805:34-48
      if (_0_v=="presolveEliNumFreedCon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:806:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:806:37-51
        return numpy.int32(42) # bld/herlev/final/default/src/fusion/Parameters.mbi:806:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:806:37-51
      if (_0_v=="presolveEliNumFreedConTotal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:807:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:807:42-56
        return numpy.int32(43) # bld/herlev/final/default/src/fusion/Parameters.mbi:807:44-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:807:42-56
      if (_0_v=="presolveLindepNumTries"): # bld/herlev/final/default/src/fusion/Parameters.mbi:808:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:808:37-51
        return numpy.int32(64) # bld/herlev/final/default/src/fusion/Parameters.mbi:808:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:808:37-51
      if (_0_v=="presolveNumPrimalLinDeps"): # bld/herlev/final/default/src/fusion/Parameters.mbi:809:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:809:39-53
        return numpy.int32(76) # bld/herlev/final/default/src/fusion/Parameters.mbi:809:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:809:39-53
      if (_0_v=="presolveNumDualLinDeps"): # bld/herlev/final/default/src/fusion/Parameters.mbi:810:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:810:37-51
        return numpy.int32(72) # bld/herlev/final/default/src/fusion/Parameters.mbi:810:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:810:37-51
      if (_0_v=="presolveForceConNum"): # bld/herlev/final/default/src/fusion/Parameters.mbi:811:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:811:34-48
        return numpy.int32(60) # bld/herlev/final/default/src/fusion/Parameters.mbi:811:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:811:34-48
      if (_0_v=="presolveForceConNumVar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:812:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:812:37-51
        return numpy.int32(61) # bld/herlev/final/default/src/fusion/Parameters.mbi:812:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:812:37-51
      if (_0_v=="presolveForceVarNum"): # bld/herlev/final/default/src/fusion/Parameters.mbi:813:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:813:34-48
        return numpy.int32(62) # bld/herlev/final/default/src/fusion/Parameters.mbi:813:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:813:34-48
      if (_0_v=="presolveForceVarNumCon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:814:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:814:37-51
        return numpy.int32(63) # bld/herlev/final/default/src/fusion/Parameters.mbi:814:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:814:37-51
      if (_0_v=="presolvePivOnConNum"): # bld/herlev/final/default/src/fusion/Parameters.mbi:815:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:815:34-48
        return numpy.int32(94) # bld/herlev/final/default/src/fusion/Parameters.mbi:815:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:815:34-48
      if (_0_v=="presolveNumDouBlocks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:816:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:816:35-49
        return numpy.int32(69) # bld/herlev/final/default/src/fusion/Parameters.mbi:816:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:816:35-49
      if (_0_v=="presolveNumSimplifiedDouBlocks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:817:6-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:817:45-59
        return numpy.int32(77) # bld/herlev/final/default/src/fusion/Parameters.mbi:817:47-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:817:45-59
      if (_0_v=="presolveSizeSimplifiedDouBlocks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:818:6-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:818:46-60
        return numpy.int32(95) # bld/herlev/final/default/src/fusion/Parameters.mbi:818:48-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:818:46-60
      if (_0_v=="presolveAccNumDupVarInNrmtwo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:819:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:819:43-57
        return numpy.int32(41) # bld/herlev/final/default/src/fusion/Parameters.mbi:819:45-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:819:43-57
      if (_0_v=="presolveAccNumDoubletonChainInNrmtwo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:820:6-49
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:820:51-65
        return numpy.int32(40) # bld/herlev/final/default/src/fusion/Parameters.mbi:820:53-63
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:820:51-65
      if (_0_v=="intpntFactorNum"): # bld/herlev/final/default/src/fusion/Parameters.mbi:821:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:821:30-43
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:821:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:821:30-43
      if (_0_v=="intpntFactorNumSolve"): # bld/herlev/final/default/src/fusion/Parameters.mbi:822:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:822:35-48
        return numpy.int32(8) # bld/herlev/final/default/src/fusion/Parameters.mbi:822:37-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:822:35-48
      if (_0_v=="simplexPrimalHotstartNumBasics"): # bld/herlev/final/default/src/fusion/Parameters.mbi:823:6-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:823:45-60
        return numpy.int32(114) # bld/herlev/final/default/src/fusion/Parameters.mbi:823:47-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:823:45-60
      if (_0_v=="simplexPrimalHotstartBasisRank"): # bld/herlev/final/default/src/fusion/Parameters.mbi:824:6-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:824:45-60
        return numpy.int32(113) # bld/herlev/final/default/src/fusion/Parameters.mbi:824:47-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:824:45-60
      if (_0_v=="simplexDualHotstartNumBasics"): # bld/herlev/final/default/src/fusion/Parameters.mbi:825:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:825:43-58
        return numpy.int32(109) # bld/herlev/final/default/src/fusion/Parameters.mbi:825:45-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:825:43-58
      if (_0_v=="simplexDualHotstartBasisRank"): # bld/herlev/final/default/src/fusion/Parameters.mbi:826:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:826:43-58
        return numpy.int32(108) # bld/herlev/final/default/src/fusion/Parameters.mbi:826:45-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:826:43-58
      if (_0_v=="intpntGpOrderEmployed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:827:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:827:36-50
        return numpy.int32(18) # bld/herlev/final/default/src/fusion/Parameters.mbi:827:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:827:36-50
      if (_0_v=="numLuFactorizations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:828:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:828:34-48
        return numpy.int32(37) # bld/herlev/final/default/src/fusion/Parameters.mbi:828:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:828:34-48
      if (_0_v=="simplexPwlNumPotential"): # bld/herlev/final/default/src/fusion/Parameters.mbi:829:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:829:37-52
        return numpy.int32(120) # bld/herlev/final/default/src/fusion/Parameters.mbi:829:39-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:829:37-52
      if (_0_v=="simplexPwlNumUsed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:830:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:830:32-47
        return numpy.int32(121) # bld/herlev/final/default/src/fusion/Parameters.mbi:830:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:830:32-47
      if (_0_v=="simplexPwlNumVariables"): # bld/herlev/final/default/src/fusion/Parameters.mbi:831:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:831:37-52
        return numpy.int32(122) # bld/herlev/final/default/src/fusion/Parameters.mbi:831:39-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:831:37-52
      if (_0_v=="simplexPwlMinNumBreakpoints"): # bld/herlev/final/default/src/fusion/Parameters.mbi:832:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:832:42-57
        return numpy.int32(119) # bld/herlev/final/default/src/fusion/Parameters.mbi:832:44-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:832:42-57
      if (_0_v=="simplexPwlMaxNumBreakpoints"): # bld/herlev/final/default/src/fusion/Parameters.mbi:833:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:833:42-57
        return numpy.int32(117) # bld/herlev/final/default/src/fusion/Parameters.mbi:833:44-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:833:42-57
      if (_0_v=="simplexPwlMaxNz"): # bld/herlev/final/default/src/fusion/Parameters.mbi:834:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:834:30-45
        return numpy.int32(118) # bld/herlev/final/default/src/fusion/Parameters.mbi:834:32-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:834:30-45
      if (_0_v=="simplexPwlNzReduction"): # bld/herlev/final/default/src/fusion/Parameters.mbi:835:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:835:36-51
        return numpy.int32(123) # bld/herlev/final/default/src/fusion/Parameters.mbi:835:38-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:835:36-51
      if (_0_v=="simplexPrimalNumSetbacks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:836:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:836:39-54
        return numpy.int32(115) # bld/herlev/final/default/src/fusion/Parameters.mbi:836:41-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:836:39-54
      if (_0_v=="simplexDualNumSetbacks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:837:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:837:37-52
        return numpy.int32(110) # bld/herlev/final/default/src/fusion/Parameters.mbi:837:39-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:837:37-52
      if (_0_v=="simplexPrimalFeasNa"): # bld/herlev/final/default/src/fusion/Parameters.mbi:838:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:838:34-49
        return numpy.int32(112) # bld/herlev/final/default/src/fusion/Parameters.mbi:838:36-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:838:34-49
      if (_0_v=="simplexDualFeasNa"): # bld/herlev/final/default/src/fusion/Parameters.mbi:839:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:839:32-47
        return numpy.int32(107) # bld/herlev/final/default/src/fusion/Parameters.mbi:839:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:839:32-47
      if (_0_v=="simplexPrimalObjNa"): # bld/herlev/final/default/src/fusion/Parameters.mbi:840:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:840:33-48
        return numpy.int32(116) # bld/herlev/final/default/src/fusion/Parameters.mbi:840:35-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:840:33-48
      if (_0_v=="simplexDualObjNa"): # bld/herlev/final/default/src/fusion/Parameters.mbi:841:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:841:31-46
        return numpy.int32(111) # bld/herlev/final/default/src/fusion/Parameters.mbi:841:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:841:31-46
      if (_0_v=="simNumPrimalBoundswaps"): # bld/herlev/final/default/src/fusion/Parameters.mbi:842:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:842:37-52
        return numpy.int32(106) # bld/herlev/final/default/src/fusion/Parameters.mbi:842:39-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:842:37-52
      if (_0_v=="simNumDualBoundswaps"): # bld/herlev/final/default/src/fusion/Parameters.mbi:843:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:843:35-50
        return numpy.int32(104) # bld/herlev/final/default/src/fusion/Parameters.mbi:843:37-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:843:35-50
      if (_0_v=="simNumDualIntegerPivots"): # bld/herlev/final/default/src/fusion/Parameters.mbi:844:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:844:38-53
        return numpy.int32(105) # bld/herlev/final/default/src/fusion/Parameters.mbi:844:40-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:844:38-53
      if (_0_v=="purifyNumRow"): # bld/herlev/final/default/src/fusion/Parameters.mbi:845:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:845:27-42
        return numpy.int32(101) # bld/herlev/final/default/src/fusion/Parameters.mbi:845:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:845:27-42
      if (_0_v=="purifyPNumNullRow"): # bld/herlev/final/default/src/fusion/Parameters.mbi:846:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:846:32-47
        return numpy.int32(102) # bld/herlev/final/default/src/fusion/Parameters.mbi:846:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:846:32-47
      if (_0_v=="purifyPNumSingletonCol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:847:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:847:37-52
        return numpy.int32(103) # bld/herlev/final/default/src/fusion/Parameters.mbi:847:39-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:847:37-52
      if (_0_v=="purifyCrashL11NumRow"): # bld/herlev/final/default/src/fusion/Parameters.mbi:848:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:848:35-49
        return numpy.int32(96) # bld/herlev/final/default/src/fusion/Parameters.mbi:848:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:848:35-49
      if (_0_v=="purifyCrashL22NumRow"): # bld/herlev/final/default/src/fusion/Parameters.mbi:849:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:849:35-49
        return numpy.int32(97) # bld/herlev/final/default/src/fusion/Parameters.mbi:849:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:849:35-49
      if (_0_v=="purifyCrashL33NumRow"): # bld/herlev/final/default/src/fusion/Parameters.mbi:850:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:850:35-49
        return numpy.int32(99) # bld/herlev/final/default/src/fusion/Parameters.mbi:850:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:850:35-49
      if (_0_v=="purifyCrashL33NumCol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:851:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:851:35-49
        return numpy.int32(98) # bld/herlev/final/default/src/fusion/Parameters.mbi:851:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:851:35-49
      if (_0_v=="purifyCrashSingularity"): # bld/herlev/final/default/src/fusion/Parameters.mbi:852:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:852:37-52
        return numpy.int32(100) # bld/herlev/final/default/src/fusion/Parameters.mbi:852:39-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:852:37-52
      if (_0_v=="biPrimalInfo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:853:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:853:27-40
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:853:29-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:853:27-40
      if (_0_v=="biDualInfo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:854:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:854:25-38
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:854:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:854:25-38
      if (_0_v=="presolveLindepNumTruncTries"): # bld/herlev/final/default/src/fusion/Parameters.mbi:855:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:855:42-56
        return numpy.int32(65) # bld/herlev/final/default/src/fusion/Parameters.mbi:855:44-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:855:42-56
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:856:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:728:0-857:1
    @staticmethod
    def __string_1to_1internal_1dinf_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1internal_1dinf_1value_S(_0_v)
    @staticmethod
    def __string_1to_1internal_1dinf_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:626:0-726:1
      if (_0_v=="sensitivityPrimalTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:627:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:627:36-50
        return numpy.int32(92) # bld/herlev/final/default/src/fusion/Parameters.mbi:627:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:627:36-50
      if (_0_v=="sensitivityDualTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:628:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:628:34-48
        return numpy.int32(91) # bld/herlev/final/default/src/fusion/Parameters.mbi:628:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:628:34-48
      if (_0_v=="intpntGfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:629:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:629:26-40
        return numpy.int32(67) # bld/herlev/final/default/src/fusion/Parameters.mbi:629:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:629:26-40
      if (_0_v=="intpntMu"): # bld/herlev/final/default/src/fusion/Parameters.mbi:630:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:630:23-37
        return numpy.int32(74) # bld/herlev/final/default/src/fusion/Parameters.mbi:630:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:630:23-37
      if (_0_v=="intpntInitIterTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:631:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:631:33-47
        return numpy.int32(69) # bld/herlev/final/default/src/fusion/Parameters.mbi:631:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:631:33-47
      if (_0_v=="intpntFactorTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:632:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:632:31-45
        return numpy.int32(65) # bld/herlev/final/default/src/fusion/Parameters.mbi:632:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:632:31-45
      if (_0_v=="intpntInitSearchTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:633:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:633:35-49
        return numpy.int32(70) # bld/herlev/final/default/src/fusion/Parameters.mbi:633:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:633:35-49
      if (_0_v=="intpntFormSearchTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:634:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:634:35-49
        return numpy.int32(66) # bld/herlev/final/default/src/fusion/Parameters.mbi:634:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:634:35-49
      if (_0_v=="intpntCorrectorTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:635:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:635:34-48
        return numpy.int32(12) # bld/herlev/final/default/src/fusion/Parameters.mbi:635:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:635:34-48
      if (_0_v=="intpntUpdateTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:636:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:636:31-45
        return numpy.int32(79) # bld/herlev/final/default/src/fusion/Parameters.mbi:636:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:636:31-45
      if (_0_v=="intpntFactorSetupTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:637:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:637:36-50
        return numpy.int32(58) # bld/herlev/final/default/src/fusion/Parameters.mbi:637:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:637:36-50
      if (_0_v=="intpntFactorSchurTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:638:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:638:36-50
        return numpy.int32(51) # bld/herlev/final/default/src/fusion/Parameters.mbi:638:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:638:36-50
      if (_0_v=="intpntFactorHatSchurTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:639:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:639:39-53
        return numpy.int32(48) # bld/herlev/final/default/src/fusion/Parameters.mbi:639:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:639:39-53
      if (_0_v=="intpntFactorHatSchurPushTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:640:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:640:43-57
        return numpy.int32(47) # bld/herlev/final/default/src/fusion/Parameters.mbi:640:45-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:640:43-57
      if (_0_v=="intpntFactorHatSchurPullTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:641:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:641:43-57
        return numpy.int32(45) # bld/herlev/final/default/src/fusion/Parameters.mbi:641:45-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:641:43-57
      if (_0_v=="intpntFactorBarSchurTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:642:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:642:39-53
        return numpy.int32(17) # bld/herlev/final/default/src/fusion/Parameters.mbi:642:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:642:39-53
      if (_0_v=="intpntFactorBarSchurDeTabTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:643:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:643:44-58
        return numpy.int32(13) # bld/herlev/final/default/src/fusion/Parameters.mbi:643:46-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:643:44-58
      if (_0_v=="intpntFactorBarSchurSpTabTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:644:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:644:44-58
        return numpy.int32(16) # bld/herlev/final/default/src/fusion/Parameters.mbi:644:46-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:644:44-58
      if (_0_v=="intpntFactorSparseLTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:645:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:645:38-52
        return numpy.int32(62) # bld/herlev/final/default/src/fusion/Parameters.mbi:645:40-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:645:38-52
      if (_0_v=="intpntFactorSparseLUpdateLastTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:646:6-46
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:646:48-62
        return numpy.int32(64) # bld/herlev/final/default/src/fusion/Parameters.mbi:646:50-60
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:646:48-62
      if (_0_v=="intpntFactorSparseLFactorLastTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:647:6-46
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:647:48-62
        return numpy.int32(60) # bld/herlev/final/default/src/fusion/Parameters.mbi:647:50-60
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:647:48-62
      if (_0_v=="intpntFactorDenseLTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:648:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:648:37-51
        return numpy.int32(40) # bld/herlev/final/default/src/fusion/Parameters.mbi:648:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:648:37-51
      if (_0_v=="intpntFactorDenseTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:649:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:649:36-50
        return numpy.int32(41) # bld/herlev/final/default/src/fusion/Parameters.mbi:649:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:649:36-50
      if (_0_v=="intpntFactorDenseDotaTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:650:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:650:40-54
        return numpy.int32(28) # bld/herlev/final/default/src/fusion/Parameters.mbi:650:42-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:650:40-54
      if (_0_v=="intpntFactorDenseDotaSolveTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:651:6-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:651:45-59
        return numpy.int32(27) # bld/herlev/final/default/src/fusion/Parameters.mbi:651:47-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:651:45-59
      if (_0_v=="intpntFactorDenseDotatdotaTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:652:6-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:652:45-59
        return numpy.int32(30) # bld/herlev/final/default/src/fusion/Parameters.mbi:652:47-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:652:45-59
      if (_0_v=="intpntFactorDenseDotlInitTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:653:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:653:44-58
        return numpy.int32(37) # bld/herlev/final/default/src/fusion/Parameters.mbi:653:46-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:653:44-58
      if (_0_v=="intpntFactorDenseDotlFactorTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:654:6-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:654:46-60
        return numpy.int32(36) # bld/herlev/final/default/src/fusion/Parameters.mbi:654:48-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:654:46-60
      if (_0_v=="intpntFactorBarSchurUpdateTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:655:6-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:655:45-59
        return numpy.int32(25) # bld/herlev/final/default/src/fusion/Parameters.mbi:655:47-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:655:45-59
      if (_0_v=="intpntFactorBarSchurUpdateCompressedETime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:656:6-54
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:656:56-70
        return numpy.int32(18) # bld/herlev/final/default/src/fusion/Parameters.mbi:656:58-68
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:656:56-70
      if (_0_v=="intpntFactorBarSchurUpdateSparseTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:657:6-49
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:657:51-65
        return numpy.int32(24) # bld/herlev/final/default/src/fusion/Parameters.mbi:657:53-63
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:657:51-65
      if (_0_v=="intpntFactorBarSchurUpdateSparseSyr2kTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:658:6-54
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:658:56-70
        return numpy.int32(23) # bld/herlev/final/default/src/fusion/Parameters.mbi:658:58-68
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:658:56-70
      if (_0_v=="intpntFactorBarSchurUpdateSparseDotTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:659:6-52
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:659:54-68
        return numpy.int32(22) # bld/herlev/final/default/src/fusion/Parameters.mbi:659:56-66
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:659:54-68
      if (_0_v=="intpntFactorBarSchurUpdateDenseTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:660:6-48
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:660:50-64
        return numpy.int32(21) # bld/herlev/final/default/src/fusion/Parameters.mbi:660:52-62
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:660:50-64
      if (_0_v=="intpntFactorBarSchurUpdateDenseSyr2kTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:661:6-53
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:661:55-69
        return numpy.int32(20) # bld/herlev/final/default/src/fusion/Parameters.mbi:661:57-67
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:661:55-69
      if (_0_v=="intpntFactorBarSchurUpdateDenseDotTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:662:6-51
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:662:53-67
        return numpy.int32(19) # bld/herlev/final/default/src/fusion/Parameters.mbi:662:55-65
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:662:53-67
      if (_0_v=="intpntFactorBarSchurPushTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:663:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:663:43-57
        return numpy.int32(15) # bld/herlev/final/default/src/fusion/Parameters.mbi:663:45-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:663:43-57
      if (_0_v=="intpntIterNonCorrectorFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:664:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:664:42-56
        return numpy.int32(71) # bld/herlev/final/default/src/fusion/Parameters.mbi:664:44-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:664:42-56
      if (_0_v=="intpntIterOneCorrectorFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:665:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:665:42-56
        return numpy.int32(72) # bld/herlev/final/default/src/fusion/Parameters.mbi:665:44-54
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:665:42-56
      if (_0_v=="intpntSolveTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:666:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:666:30-44
        return numpy.int32(78) # bld/herlev/final/default/src/fusion/Parameters.mbi:666:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:666:30-44
      if (_0_v=="intpntIterRefTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:667:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:667:32-46
        return numpy.int32(73) # bld/herlev/final/default/src/fusion/Parameters.mbi:667:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:667:32-46
      if (_0_v=="intpntSolveSparseLTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:668:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:668:37-51
        return numpy.int32(77) # bld/herlev/final/default/src/fusion/Parameters.mbi:668:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:668:37-51
      if (_0_v=="intpntSolveDenseLTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:669:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:669:36-50
        return numpy.int32(76) # bld/herlev/final/default/src/fusion/Parameters.mbi:669:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:669:36-50
      if (_0_v=="intpntFactorSetupFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:670:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:670:37-51
        return numpy.int32(53) # bld/herlev/final/default/src/fusion/Parameters.mbi:670:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:670:37-51
      if (_0_v=="intpntFactorSetupHatSchurFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:671:6-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:671:45-59
        return numpy.int32(56) # bld/herlev/final/default/src/fusion/Parameters.mbi:671:47-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:671:45-59
      if (_0_v=="intpntFactorSchurFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:672:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:672:37-51
        return numpy.int32(50) # bld/herlev/final/default/src/fusion/Parameters.mbi:672:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:672:37-51
      if (_0_v=="intpntFactorHatSchurFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:673:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:673:40-54
        return numpy.int32(43) # bld/herlev/final/default/src/fusion/Parameters.mbi:673:42-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:673:40-54
      if (_0_v=="intpntFactorHatSchurPushFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:674:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:674:44-58
        return numpy.int32(46) # bld/herlev/final/default/src/fusion/Parameters.mbi:674:46-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:674:44-58
      if (_0_v=="intpntFactorHatSchurPullFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:675:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:675:44-58
        return numpy.int32(44) # bld/herlev/final/default/src/fusion/Parameters.mbi:675:46-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:675:44-58
      if (_0_v=="intpntFactorBarSchurFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:676:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:676:40-54
        return numpy.int32(14) # bld/herlev/final/default/src/fusion/Parameters.mbi:676:42-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:676:40-54
      if (_0_v=="intpntFactorSparseLFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:677:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:677:39-53
        return numpy.int32(61) # bld/herlev/final/default/src/fusion/Parameters.mbi:677:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:677:39-53
      if (_0_v=="intpntFactorMlOrderSparseLFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:678:6-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:678:46-60
        return numpy.int32(49) # bld/herlev/final/default/src/fusion/Parameters.mbi:678:48-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:678:46-60
      if (_0_v=="intpntFactorGpOrderSparseLFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:679:6-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:679:46-60
        return numpy.int32(42) # bld/herlev/final/default/src/fusion/Parameters.mbi:679:48-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:679:46-60
      if (_0_v=="intpntFactorSparseLUpdateLastFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:680:6-47
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:680:49-63
        return numpy.int32(63) # bld/herlev/final/default/src/fusion/Parameters.mbi:680:51-61
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:680:49-63
      if (_0_v=="intpntFactorSparseLFactorLastFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:681:6-47
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:681:49-63
        return numpy.int32(59) # bld/herlev/final/default/src/fusion/Parameters.mbi:681:51-61
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:681:49-63
      if (_0_v=="intpntFactorDenseLFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:682:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:682:38-52
        return numpy.int32(39) # bld/herlev/final/default/src/fusion/Parameters.mbi:682:40-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:682:38-52
      if (_0_v=="intpntFactorDenseFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:683:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:683:37-51
        return numpy.int32(38) # bld/herlev/final/default/src/fusion/Parameters.mbi:683:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:683:37-51
      if (_0_v=="intpntFactorDenseDotaFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:684:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:684:41-55
        return numpy.int32(26) # bld/herlev/final/default/src/fusion/Parameters.mbi:684:43-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:684:41-55
      if (_0_v=="intpntFactorDenseDotatdotaFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:685:6-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:685:46-60
        return numpy.int32(29) # bld/herlev/final/default/src/fusion/Parameters.mbi:685:48-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:685:46-60
      if (_0_v=="intpntFactorDenseDotlFactor_initFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:686:6-50
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:686:52-66
        return numpy.int32(34) # bld/herlev/final/default/src/fusion/Parameters.mbi:686:54-64
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:686:52-66
      if (_0_v=="intpntFactorDenseDotlFactorFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:687:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:687:47-61
        return numpy.int32(35) # bld/herlev/final/default/src/fusion/Parameters.mbi:687:49-59
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:687:47-61
      if (_0_v=="intpntFactorDenseDotl11FactorFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:688:6-47
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:688:49-63
        return numpy.int32(31) # bld/herlev/final/default/src/fusion/Parameters.mbi:688:51-61
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:688:49-63
      if (_0_v=="intpntFactorDenseDotl21FactorFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:689:6-47
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:689:49-63
        return numpy.int32(32) # bld/herlev/final/default/src/fusion/Parameters.mbi:689:51-61
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:689:49-63
      if (_0_v=="intpntFactorDenseDotl22FactorFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:690:6-47
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:690:49-63
        return numpy.int32(33) # bld/herlev/final/default/src/fusion/Parameters.mbi:690:51-61
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:690:49-63
      if (_0_v=="presolvePrimalLinDepTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:691:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:691:39-53
        return numpy.int32(86) # bld/herlev/final/default/src/fusion/Parameters.mbi:691:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:691:39-53
      if (_0_v=="presolveDualLinDepTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:692:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:692:37-51
        return numpy.int32(82) # bld/herlev/final/default/src/fusion/Parameters.mbi:692:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:692:37-51
      if (_0_v=="presolveAcoltTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:693:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:693:32-46
        return numpy.int32(80) # bld/herlev/final/default/src/fusion/Parameters.mbi:693:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:693:32-46
      if (_0_v=="presolveSetupTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:694:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:694:32-46
        return numpy.int32(87) # bld/herlev/final/default/src/fusion/Parameters.mbi:694:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:694:32-46
      if (_0_v=="presolveCheckproTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:695:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:695:35-49
        return numpy.int32(81) # bld/herlev/final/default/src/fusion/Parameters.mbi:695:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:695:35-49
      if (_0_v=="presolveDupconTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:696:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:696:33-47
        return numpy.int32(83) # bld/herlev/final/default/src/fusion/Parameters.mbi:696:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:696:33-47
      if (_0_v=="presolveDupvarTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:697:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:697:33-47
        return numpy.int32(84) # bld/herlev/final/default/src/fusion/Parameters.mbi:697:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:697:33-47
      if (_0_v=="presolveFinalTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:698:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:698:32-46
        return numpy.int32(85) # bld/herlev/final/default/src/fusion/Parameters.mbi:698:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:698:32-46
      if (_0_v=="presolveSubDomvarTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:699:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:699:36-50
        return numpy.int32(88) # bld/herlev/final/default/src/fusion/Parameters.mbi:699:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:699:36-50
      if (_0_v=="presolveSubRelaxTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:700:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:700:35-49
        return numpy.int32(89) # bld/herlev/final/default/src/fusion/Parameters.mbi:700:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:700:35-49
      if (_0_v=="primalSimplexInftime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:701:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:701:35-49
        return numpy.int32(90) # bld/herlev/final/default/src/fusion/Parameters.mbi:701:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:701:35-49
      if (_0_v=="dualSimplexInftime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:702:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:702:33-47
        return numpy.int32(11) # bld/herlev/final/default/src/fusion/Parameters.mbi:702:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:702:33-47
      if (_0_v=="intpntGpOrderSavedFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:703:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:703:38-52
        return numpy.int32(68) # bld/herlev/final/default/src/fusion/Parameters.mbi:703:40-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:703:38-52
      if (_0_v=="intpntFactorSetupDetectDenseTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:704:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:704:47-61
        return numpy.int32(52) # bld/herlev/final/default/src/fusion/Parameters.mbi:704:49-59
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:704:47-61
      if (_0_v=="intpntFactorSetupMlOrderTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:705:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:705:43-57
        return numpy.int32(57) # bld/herlev/final/default/src/fusion/Parameters.mbi:705:45-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:705:43-57
      if (_0_v=="intpntFactorSetupGpOrderTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:706:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:706:43-57
        return numpy.int32(55) # bld/herlev/final/default/src/fusion/Parameters.mbi:706:45-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:706:43-57
      if (_0_v=="intpntFactorSetupGpOrderPostTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:707:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:707:47-61
        return numpy.int32(54) # bld/herlev/final/default/src/fusion/Parameters.mbi:707:49-59
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:707:47-61
      if (_0_v=="biCrashTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:708:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:708:26-39
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:708:28-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:708:26-39
      if (_0_v=="biCrashLuTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:709:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:709:28-41
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:709:30-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:709:28-41
      if (_0_v=="biFactorTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:710:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:710:27-40
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:710:29-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:710:27-40
      if (_0_v=="biFactorWork"): # bld/herlev/final/default/src/fusion/Parameters.mbi:711:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:711:27-40
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:711:29-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:711:27-40
      if (_0_v=="biPrimalDone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:712:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:712:27-40
        return numpy.int32(8) # bld/herlev/final/default/src/fusion/Parameters.mbi:712:29-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:712:27-40
      if (_0_v=="biDualDone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:713:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:713:25-38
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:713:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:713:25-38
      if (_0_v=="simplexBasiscondition"): # bld/herlev/final/default/src/fusion/Parameters.mbi:714:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:714:36-50
        return numpy.int32(93) # bld/herlev/final/default/src/fusion/Parameters.mbi:714:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:714:36-50
      if (_0_v=="simplexPrimalObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:715:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:715:31-45
        return numpy.int32(97) # bld/herlev/final/default/src/fusion/Parameters.mbi:715:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:715:31-45
      if (_0_v=="simplexPrimalFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:716:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:716:32-46
        return numpy.int32(96) # bld/herlev/final/default/src/fusion/Parameters.mbi:716:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:716:32-46
      if (_0_v=="simplexDualObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:717:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:717:29-43
        return numpy.int32(95) # bld/herlev/final/default/src/fusion/Parameters.mbi:717:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:717:29-43
      if (_0_v=="simplexDualFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:718:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:718:30-44
        return numpy.int32(94) # bld/herlev/final/default/src/fusion/Parameters.mbi:718:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:718:30-44
      if (_0_v=="biInitialBasisCond"): # bld/herlev/final/default/src/fusion/Parameters.mbi:719:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:719:33-46
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:719:35-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:719:33-46
      if (_0_v=="biPrimalObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:720:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:720:26-40
        return numpy.int32(10) # bld/herlev/final/default/src/fusion/Parameters.mbi:720:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:720:26-40
      if (_0_v=="biDualObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:721:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:721:24-37
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:721:26-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:721:24-37
      if (_0_v=="biPrimalFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:722:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:722:27-40
        return numpy.int32(9) # bld/herlev/final/default/src/fusion/Parameters.mbi:722:29-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:722:27-40
      if (_0_v=="biDualFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:723:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:723:25-38
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:723:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:723:25-38
      if (_0_v=="intpntPurifyTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:724:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:724:31-45
        return numpy.int32(75) # bld/herlev/final/default/src/fusion/Parameters.mbi:724:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:724:31-45
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:725:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:626:0-726:1
    @staticmethod
    def __string_1to_1inftype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1inftype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1inftype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:619:0-624:1
      if (_0_v=="douType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:620:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:620:22-35
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:620:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:620:22-35
      if (_0_v=="intType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:621:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:621:22-35
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:621:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:621:22-35
      if (_0_v=="lintType"): # bld/herlev/final/default/src/fusion/Parameters.mbi:622:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:622:23-36
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:622:25-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:622:23-36
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:623:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:619:0-624:1
    @staticmethod
    def __string_1to_1iinfitem_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1iinfitem_1value_S(_0_v)
    @staticmethod
    def __string_1to_1iinfitem_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:498:0-617:1
      if (_0_v=="anaProNumCon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:499:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:499:27-40
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:499:29-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:499:27-40
      if (_0_v=="anaProNumConLo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:500:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:500:29-42
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:500:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:500:29-42
      if (_0_v=="anaProNumConUp"): # bld/herlev/final/default/src/fusion/Parameters.mbi:501:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:501:29-42
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:501:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:501:29-42
      if (_0_v=="anaProNumConRa"): # bld/herlev/final/default/src/fusion/Parameters.mbi:502:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:502:29-42
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:502:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:502:29-42
      if (_0_v=="anaProNumConEq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:503:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:503:29-42
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:503:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:503:29-42
      if (_0_v=="anaProNumConFr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:504:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:504:29-42
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:504:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:504:29-42
      if (_0_v=="anaProNumVar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:505:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:505:27-40
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:505:29-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:505:27-40
      if (_0_v=="anaProNumVarLo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:506:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:506:29-43
        return numpy.int32(12) # bld/herlev/final/default/src/fusion/Parameters.mbi:506:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:506:29-43
      if (_0_v=="anaProNumVarUp"): # bld/herlev/final/default/src/fusion/Parameters.mbi:507:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:507:29-43
        return numpy.int32(14) # bld/herlev/final/default/src/fusion/Parameters.mbi:507:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:507:29-43
      if (_0_v=="anaProNumVarRa"): # bld/herlev/final/default/src/fusion/Parameters.mbi:508:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:508:29-43
        return numpy.int32(13) # bld/herlev/final/default/src/fusion/Parameters.mbi:508:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:508:29-43
      if (_0_v=="anaProNumVarEq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:509:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:509:29-42
        return numpy.int32(9) # bld/herlev/final/default/src/fusion/Parameters.mbi:509:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:509:29-42
      if (_0_v=="anaProNumVarFr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:510:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:510:29-43
        return numpy.int32(10) # bld/herlev/final/default/src/fusion/Parameters.mbi:510:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:510:29-43
      if (_0_v=="anaProNumVarCont"): # bld/herlev/final/default/src/fusion/Parameters.mbi:511:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:511:31-44
        return numpy.int32(8) # bld/herlev/final/default/src/fusion/Parameters.mbi:511:33-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:511:31-44
      if (_0_v=="anaProNumVarBin"): # bld/herlev/final/default/src/fusion/Parameters.mbi:512:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:512:30-43
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:512:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:512:30-43
      if (_0_v=="anaProNumVarInt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:513:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:513:30-44
        return numpy.int32(11) # bld/herlev/final/default/src/fusion/Parameters.mbi:513:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:513:30-44
      if (_0_v=="optimizeResponse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:514:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:514:31-45
        return numpy.int32(86) # bld/herlev/final/default/src/fusion/Parameters.mbi:514:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:514:31-45
      if (_0_v=="presolveNumPrimalPerturbations"): # bld/herlev/final/default/src/fusion/Parameters.mbi:515:6-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:515:45-59
        return numpy.int32(87) # bld/herlev/final/default/src/fusion/Parameters.mbi:515:47-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:515:45-59
      if (_0_v=="intpntIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:516:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:516:25-39
        return numpy.int32(16) # bld/herlev/final/default/src/fusion/Parameters.mbi:516:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:516:25-39
      if (_0_v=="intpntFactorDimDense"): # bld/herlev/final/default/src/fusion/Parameters.mbi:517:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:517:35-49
        return numpy.int32(15) # bld/herlev/final/default/src/fusion/Parameters.mbi:517:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:517:35-49
      if (_0_v=="intpntSolveDual"): # bld/herlev/final/default/src/fusion/Parameters.mbi:518:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:518:30-44
        return numpy.int32(18) # bld/herlev/final/default/src/fusion/Parameters.mbi:518:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:518:30-44
      if (_0_v=="mioNodeDepth"): # bld/herlev/final/default/src/fusion/Parameters.mbi:519:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:519:27-41
        return numpy.int32(23) # bld/herlev/final/default/src/fusion/Parameters.mbi:519:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:519:27-41
      if (_0_v=="mioNumvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:520:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:520:24-38
        return numpy.int32(61) # bld/herlev/final/default/src/fusion/Parameters.mbi:520:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:520:24-38
      if (_0_v=="mioNumbin"): # bld/herlev/final/default/src/fusion/Parameters.mbi:521:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:521:24-38
        return numpy.int32(45) # bld/herlev/final/default/src/fusion/Parameters.mbi:521:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:521:24-38
      if (_0_v=="mioNumint"): # bld/herlev/final/default/src/fusion/Parameters.mbi:522:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:522:24-38
        return numpy.int32(55) # bld/herlev/final/default/src/fusion/Parameters.mbi:522:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:522:24-38
      if (_0_v=="mioNumcont"): # bld/herlev/final/default/src/fusion/Parameters.mbi:523:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:523:25-39
        return numpy.int32(50) # bld/herlev/final/default/src/fusion/Parameters.mbi:523:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:523:25-39
      if (_0_v=="mioNumcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:524:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:524:24-38
        return numpy.int32(47) # bld/herlev/final/default/src/fusion/Parameters.mbi:524:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:524:24-38
      if (_0_v=="mioNumcone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:525:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:525:25-39
        return numpy.int32(48) # bld/herlev/final/default/src/fusion/Parameters.mbi:525:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:525:25-39
      if (_0_v=="mioNumqcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:526:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:526:27-41
        return numpy.int32(59) # bld/herlev/final/default/src/fusion/Parameters.mbi:526:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:526:27-41
      if (_0_v=="mioNumrqcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:527:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:527:28-42
        return numpy.int32(60) # bld/herlev/final/default/src/fusion/Parameters.mbi:527:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:527:28-42
      if (_0_v=="mioNumpexpcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:528:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:528:30-44
        return numpy.int32(57) # bld/herlev/final/default/src/fusion/Parameters.mbi:528:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:528:30-44
      if (_0_v=="mioNumdexpcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:529:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:529:30-44
        return numpy.int32(52) # bld/herlev/final/default/src/fusion/Parameters.mbi:529:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:529:30-44
      if (_0_v=="mioNumppowcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:530:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:530:30-44
        return numpy.int32(58) # bld/herlev/final/default/src/fusion/Parameters.mbi:530:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:530:30-44
      if (_0_v=="mioNumdpowcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:531:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:531:30-44
        return numpy.int32(54) # bld/herlev/final/default/src/fusion/Parameters.mbi:531:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:531:30-44
      if (_0_v=="mioNumconevar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:532:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:532:28-42
        return numpy.int32(49) # bld/herlev/final/default/src/fusion/Parameters.mbi:532:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:532:28-42
      if (_0_v=="mioNumbinconevar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:533:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:533:31-45
        return numpy.int32(46) # bld/herlev/final/default/src/fusion/Parameters.mbi:533:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:533:31-45
      if (_0_v=="mioNumintconevar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:534:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:534:31-45
        return numpy.int32(56) # bld/herlev/final/default/src/fusion/Parameters.mbi:534:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:534:31-45
      if (_0_v=="mioNumcontconevar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:535:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:535:32-46
        return numpy.int32(51) # bld/herlev/final/default/src/fusion/Parameters.mbi:535:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:535:32-46
      if (_0_v=="mioNumdjc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:536:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:536:24-38
        return numpy.int32(53) # bld/herlev/final/default/src/fusion/Parameters.mbi:536:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:536:24-38
      if (_0_v=="mioPresolvedNumvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:537:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:537:33-47
        return numpy.int32(79) # bld/herlev/final/default/src/fusion/Parameters.mbi:537:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:537:33-47
      if (_0_v=="mioPresolvedNumbin"): # bld/herlev/final/default/src/fusion/Parameters.mbi:538:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:538:33-47
        return numpy.int32(63) # bld/herlev/final/default/src/fusion/Parameters.mbi:538:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:538:33-47
      if (_0_v=="mioPresolvedNumint"): # bld/herlev/final/default/src/fusion/Parameters.mbi:539:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:539:33-47
        return numpy.int32(73) # bld/herlev/final/default/src/fusion/Parameters.mbi:539:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:539:33-47
      if (_0_v=="mioPresolvedNumcont"): # bld/herlev/final/default/src/fusion/Parameters.mbi:540:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:540:34-48
        return numpy.int32(68) # bld/herlev/final/default/src/fusion/Parameters.mbi:540:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:540:34-48
      if (_0_v=="mioPresolvedNumcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:541:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:541:33-47
        return numpy.int32(65) # bld/herlev/final/default/src/fusion/Parameters.mbi:541:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:541:33-47
      if (_0_v=="mioPresolvedNumcone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:542:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:542:34-48
        return numpy.int32(66) # bld/herlev/final/default/src/fusion/Parameters.mbi:542:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:542:34-48
      if (_0_v=="mioPresolvedNumqcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:543:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:543:36-50
        return numpy.int32(77) # bld/herlev/final/default/src/fusion/Parameters.mbi:543:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:543:36-50
      if (_0_v=="mioPresolvedNumrqcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:544:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:544:37-51
        return numpy.int32(78) # bld/herlev/final/default/src/fusion/Parameters.mbi:544:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:544:37-51
      if (_0_v=="mioPresolvedNumpexpcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:545:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:545:39-53
        return numpy.int32(75) # bld/herlev/final/default/src/fusion/Parameters.mbi:545:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:545:39-53
      if (_0_v=="mioPresolvedNumdexpcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:546:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:546:39-53
        return numpy.int32(70) # bld/herlev/final/default/src/fusion/Parameters.mbi:546:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:546:39-53
      if (_0_v=="mioPresolvedNumppowcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:547:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:547:39-53
        return numpy.int32(76) # bld/herlev/final/default/src/fusion/Parameters.mbi:547:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:547:39-53
      if (_0_v=="mioPresolvedNumdpowcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:548:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:548:39-53
        return numpy.int32(72) # bld/herlev/final/default/src/fusion/Parameters.mbi:548:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:548:39-53
      if (_0_v=="mioPresolvedNumconevar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:549:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:549:37-51
        return numpy.int32(67) # bld/herlev/final/default/src/fusion/Parameters.mbi:549:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:549:37-51
      if (_0_v=="mioPresolvedNumbinconevar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:550:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:550:40-54
        return numpy.int32(64) # bld/herlev/final/default/src/fusion/Parameters.mbi:550:42-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:550:40-54
      if (_0_v=="mioPresolvedNumintconevar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:551:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:551:40-54
        return numpy.int32(74) # bld/herlev/final/default/src/fusion/Parameters.mbi:551:42-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:551:40-54
      if (_0_v=="mioPresolvedNumcontconevar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:552:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:552:41-55
        return numpy.int32(69) # bld/herlev/final/default/src/fusion/Parameters.mbi:552:43-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:552:41-55
      if (_0_v=="mioPresolvedNumdjc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:553:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:553:33-47
        return numpy.int32(71) # bld/herlev/final/default/src/fusion/Parameters.mbi:553:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:553:33-47
      if (_0_v=="mioCliqueTableSize"): # bld/herlev/final/default/src/fusion/Parameters.mbi:554:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:554:33-47
        return numpy.int32(20) # bld/herlev/final/default/src/fusion/Parameters.mbi:554:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:554:33-47
      if (_0_v=="mioConstructSolution"): # bld/herlev/final/default/src/fusion/Parameters.mbi:555:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:555:35-49
        return numpy.int32(21) # bld/herlev/final/default/src/fusion/Parameters.mbi:555:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:555:35-49
      if (_0_v=="mioInitialFeasibleSolution"): # bld/herlev/final/default/src/fusion/Parameters.mbi:556:6-39
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:556:41-55
        return numpy.int32(22) # bld/herlev/final/default/src/fusion/Parameters.mbi:556:43-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:556:41-55
      if (_0_v=="mioNumIntSolutions"): # bld/herlev/final/default/src/fusion/Parameters.mbi:557:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:557:33-47
        return numpy.int32(27) # bld/herlev/final/default/src/fusion/Parameters.mbi:557:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:557:33-47
      if (_0_v=="mioObjBoundDefined"): # bld/herlev/final/default/src/fusion/Parameters.mbi:558:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:558:33-47
        return numpy.int32(62) # bld/herlev/final/default/src/fusion/Parameters.mbi:558:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:558:33-47
      if (_0_v=="mioNumActiveNodes"): # bld/herlev/final/default/src/fusion/Parameters.mbi:559:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:559:32-46
        return numpy.int32(24) # bld/herlev/final/default/src/fusion/Parameters.mbi:559:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:559:32-46
      if (_0_v=="mioNumRelax"): # bld/herlev/final/default/src/fusion/Parameters.mbi:560:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:560:26-40
        return numpy.int32(28) # bld/herlev/final/default/src/fusion/Parameters.mbi:560:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:560:26-40
      if (_0_v=="mioNumSolvedNodes"): # bld/herlev/final/default/src/fusion/Parameters.mbi:561:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:561:32-46
        return numpy.int32(44) # bld/herlev/final/default/src/fusion/Parameters.mbi:561:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:561:32-46
      if (_0_v=="mioNumBranch"): # bld/herlev/final/default/src/fusion/Parameters.mbi:562:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:562:27-41
        return numpy.int32(26) # bld/herlev/final/default/src/fusion/Parameters.mbi:562:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:562:27-41
      if (_0_v=="mioNumRestarts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:563:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:563:29-43
        return numpy.int32(30) # bld/herlev/final/default/src/fusion/Parameters.mbi:563:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:563:29-43
      if (_0_v=="mioNumRootCutRounds"): # bld/herlev/final/default/src/fusion/Parameters.mbi:564:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:564:34-48
        return numpy.int32(31) # bld/herlev/final/default/src/fusion/Parameters.mbi:564:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:564:34-48
      if (_0_v=="mioNumActiveRootCuts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:565:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:565:35-49
        return numpy.int32(25) # bld/herlev/final/default/src/fusion/Parameters.mbi:565:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:565:35-49
      if (_0_v=="mioTotalNumSelectedCuts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:566:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:566:38-52
        return numpy.int32(81) # bld/herlev/final/default/src/fusion/Parameters.mbi:566:40-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:566:38-52
      if (_0_v=="mioNumSelectedCmirCuts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:567:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:567:37-51
        return numpy.int32(33) # bld/herlev/final/default/src/fusion/Parameters.mbi:567:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:567:37-51
      if (_0_v=="mioNumSelectedCliqueCuts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:568:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:568:39-53
        return numpy.int32(32) # bld/herlev/final/default/src/fusion/Parameters.mbi:568:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:568:39-53
      if (_0_v=="mioNumSelectedImpliedBoundCuts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:569:6-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:569:45-59
        return numpy.int32(35) # bld/herlev/final/default/src/fusion/Parameters.mbi:569:47-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:569:45-59
      if (_0_v=="mioNumSelectedKnapsackCoverCuts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:570:6-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:570:46-60
        return numpy.int32(36) # bld/herlev/final/default/src/fusion/Parameters.mbi:570:48-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:570:46-60
      if (_0_v=="mioNumSelectedGomoryCuts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:571:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:571:39-53
        return numpy.int32(34) # bld/herlev/final/default/src/fusion/Parameters.mbi:571:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:571:39-53
      if (_0_v=="mioNumSelectedLiproCuts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:572:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:572:38-52
        return numpy.int32(37) # bld/herlev/final/default/src/fusion/Parameters.mbi:572:40-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:572:38-52
      if (_0_v=="mioTotalNumSeparatedCuts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:573:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:573:39-53
        return numpy.int32(82) # bld/herlev/final/default/src/fusion/Parameters.mbi:573:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:573:39-53
      if (_0_v=="mioNumSeparatedCmirCuts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:574:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:574:38-52
        return numpy.int32(39) # bld/herlev/final/default/src/fusion/Parameters.mbi:574:40-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:574:38-52
      if (_0_v=="mioNumSeparatedCliqueCuts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:575:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:575:40-54
        return numpy.int32(38) # bld/herlev/final/default/src/fusion/Parameters.mbi:575:42-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:575:40-54
      if (_0_v=="mioNumSeparatedImpliedBoundCuts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:576:6-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:576:46-60
        return numpy.int32(41) # bld/herlev/final/default/src/fusion/Parameters.mbi:576:48-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:576:46-60
      if (_0_v=="mioNumSeparatedKnapsackCoverCuts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:577:6-45
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:577:47-61
        return numpy.int32(42) # bld/herlev/final/default/src/fusion/Parameters.mbi:577:49-59
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:577:47-61
      if (_0_v=="mioNumSeparatedGomoryCuts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:578:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:578:40-54
        return numpy.int32(40) # bld/herlev/final/default/src/fusion/Parameters.mbi:578:42-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:578:40-54
      if (_0_v=="mioNumSeparatedLiproCuts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:579:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:579:39-53
        return numpy.int32(43) # bld/herlev/final/default/src/fusion/Parameters.mbi:579:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:579:39-53
      if (_0_v=="mioNumRepeatedPresolve"): # bld/herlev/final/default/src/fusion/Parameters.mbi:580:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:580:37-51
        return numpy.int32(29) # bld/herlev/final/default/src/fusion/Parameters.mbi:580:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:580:37-51
      if (_0_v=="mioUserObjCut"): # bld/herlev/final/default/src/fusion/Parameters.mbi:581:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:581:28-42
        return numpy.int32(83) # bld/herlev/final/default/src/fusion/Parameters.mbi:581:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:581:28-42
      if (_0_v=="mioRelgapSatisfied"): # bld/herlev/final/default/src/fusion/Parameters.mbi:582:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:582:33-47
        return numpy.int32(80) # bld/herlev/final/default/src/fusion/Parameters.mbi:582:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:582:33-47
      if (_0_v=="mioAbsgapSatisfied"): # bld/herlev/final/default/src/fusion/Parameters.mbi:583:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:583:33-47
        return numpy.int32(19) # bld/herlev/final/default/src/fusion/Parameters.mbi:583:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:583:33-47
      if (_0_v=="rdProtype"): # bld/herlev/final/default/src/fusion/Parameters.mbi:584:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:584:24-38
        return numpy.int32(96) # bld/herlev/final/default/src/fusion/Parameters.mbi:584:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:584:24-38
      if (_0_v=="rdNumcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:585:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:585:23-37
        return numpy.int32(91) # bld/herlev/final/default/src/fusion/Parameters.mbi:585:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:585:23-37
      if (_0_v=="rdNumvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:586:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:586:23-37
        return numpy.int32(95) # bld/herlev/final/default/src/fusion/Parameters.mbi:586:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:586:23-37
      if (_0_v=="rdNumbarvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:587:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:587:26-40
        return numpy.int32(90) # bld/herlev/final/default/src/fusion/Parameters.mbi:587:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:587:26-40
      if (_0_v=="rdNumintvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:588:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:588:26-40
        return numpy.int32(93) # bld/herlev/final/default/src/fusion/Parameters.mbi:588:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:588:26-40
      if (_0_v=="rdNumq"): # bld/herlev/final/default/src/fusion/Parameters.mbi:589:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:589:21-35
        return numpy.int32(94) # bld/herlev/final/default/src/fusion/Parameters.mbi:589:23-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:589:21-35
      if (_0_v=="simDualDegIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:590:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:590:29-43
        return numpy.int32(97) # bld/herlev/final/default/src/fusion/Parameters.mbi:590:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:590:29-43
      if (_0_v=="simDualInfIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:591:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:591:29-44
        return numpy.int32(100) # bld/herlev/final/default/src/fusion/Parameters.mbi:591:31-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:591:29-44
      if (_0_v=="simDualHotstartLu"): # bld/herlev/final/default/src/fusion/Parameters.mbi:592:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:592:32-46
        return numpy.int32(99) # bld/herlev/final/default/src/fusion/Parameters.mbi:592:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:592:32-46
      if (_0_v=="simPrimalIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:593:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:593:28-43
        return numpy.int32(108) # bld/herlev/final/default/src/fusion/Parameters.mbi:593:30-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:593:28-43
      if (_0_v=="simDualIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:594:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:594:26-41
        return numpy.int32(101) # bld/herlev/final/default/src/fusion/Parameters.mbi:594:28-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:594:26-41
      if (_0_v=="intpntNumThreads"): # bld/herlev/final/default/src/fusion/Parameters.mbi:595:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:595:31-45
        return numpy.int32(17) # bld/herlev/final/default/src/fusion/Parameters.mbi:595:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:595:31-45
      if (_0_v=="simPrimalInfIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:596:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:596:31-46
        return numpy.int32(107) # bld/herlev/final/default/src/fusion/Parameters.mbi:596:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:596:31-46
      if (_0_v=="simPrimalDegIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:597:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:597:31-46
        return numpy.int32(104) # bld/herlev/final/default/src/fusion/Parameters.mbi:597:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:597:31-46
      if (_0_v=="simPrimalHotstart"): # bld/herlev/final/default/src/fusion/Parameters.mbi:598:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:598:32-47
        return numpy.int32(105) # bld/herlev/final/default/src/fusion/Parameters.mbi:598:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:598:32-47
      if (_0_v=="simPrimalHotstartLu"): # bld/herlev/final/default/src/fusion/Parameters.mbi:599:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:599:34-49
        return numpy.int32(106) # bld/herlev/final/default/src/fusion/Parameters.mbi:599:36-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:599:34-49
      if (_0_v=="simDualHotstart"): # bld/herlev/final/default/src/fusion/Parameters.mbi:600:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:600:30-44
        return numpy.int32(98) # bld/herlev/final/default/src/fusion/Parameters.mbi:600:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:600:30-44
      if (_0_v=="solItrProsta"): # bld/herlev/final/default/src/fusion/Parameters.mbi:601:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:601:27-42
        return numpy.int32(114) # bld/herlev/final/default/src/fusion/Parameters.mbi:601:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:601:27-42
      if (_0_v=="solItrSolsta"): # bld/herlev/final/default/src/fusion/Parameters.mbi:602:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:602:27-42
        return numpy.int32(115) # bld/herlev/final/default/src/fusion/Parameters.mbi:602:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:602:27-42
      if (_0_v=="solBasProsta"): # bld/herlev/final/default/src/fusion/Parameters.mbi:603:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:603:27-42
        return numpy.int32(110) # bld/herlev/final/default/src/fusion/Parameters.mbi:603:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:603:27-42
      if (_0_v=="solBasSolsta"): # bld/herlev/final/default/src/fusion/Parameters.mbi:604:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:604:27-42
        return numpy.int32(111) # bld/herlev/final/default/src/fusion/Parameters.mbi:604:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:604:27-42
      if (_0_v=="solItgProsta"): # bld/herlev/final/default/src/fusion/Parameters.mbi:605:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:605:27-42
        return numpy.int32(112) # bld/herlev/final/default/src/fusion/Parameters.mbi:605:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:605:27-42
      if (_0_v=="solItgSolsta"): # bld/herlev/final/default/src/fusion/Parameters.mbi:606:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:606:27-42
        return numpy.int32(113) # bld/herlev/final/default/src/fusion/Parameters.mbi:606:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:606:27-42
      if (_0_v=="simNumcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:607:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:607:24-39
        return numpy.int32(102) # bld/herlev/final/default/src/fusion/Parameters.mbi:607:26-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:607:24-39
      if (_0_v=="simNumvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:608:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:608:24-39
        return numpy.int32(103) # bld/herlev/final/default/src/fusion/Parameters.mbi:608:26-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:608:24-39
      if (_0_v=="optNumcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:609:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:609:24-38
        return numpy.int32(84) # bld/herlev/final/default/src/fusion/Parameters.mbi:609:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:609:24-38
      if (_0_v=="optNumvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:610:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:610:24-38
        return numpy.int32(85) # bld/herlev/final/default/src/fusion/Parameters.mbi:610:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:610:24-38
      if (_0_v=="stoNumARealloc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:611:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:611:29-44
        return numpy.int32(116) # bld/herlev/final/default/src/fusion/Parameters.mbi:611:31-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:611:29-44
      if (_0_v=="rdNumcone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:612:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:612:24-38
        return numpy.int32(92) # bld/herlev/final/default/src/fusion/Parameters.mbi:612:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:612:24-38
      if (_0_v=="simSolveDual"): # bld/herlev/final/default/src/fusion/Parameters.mbi:613:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:613:27-42
        return numpy.int32(109) # bld/herlev/final/default/src/fusion/Parameters.mbi:613:29-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:613:27-42
      if (_0_v=="purifyPrimalSuccess"): # bld/herlev/final/default/src/fusion/Parameters.mbi:614:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:614:34-48
        return numpy.int32(89) # bld/herlev/final/default/src/fusion/Parameters.mbi:614:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:614:34-48
      if (_0_v=="purifyDualSuccess"): # bld/herlev/final/default/src/fusion/Parameters.mbi:615:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:615:32-46
        return numpy.int32(88) # bld/herlev/final/default/src/fusion/Parameters.mbi:615:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:615:32-46
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:616:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:498:0-617:1
    @staticmethod
    def __string_1to_1internal_1liinf_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1internal_1liinf_1value_S(_0_v)
    @staticmethod
    def __string_1to_1internal_1liinf_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:477:0-496:1
      if (_0_v=="intpntLenbarvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:478:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:478:30-43
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:478:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:478:30-43
      if (_0_v=="presolveStackSize"): # bld/herlev/final/default/src/fusion/Parameters.mbi:479:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:479:32-45
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:479:34-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:479:32-45
      if (_0_v=="intpntFactorNumNzBefore"): # bld/herlev/final/default/src/fusion/Parameters.mbi:480:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:480:38-51
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:480:40-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:480:38-51
      if (_0_v=="intpntFactorNumNzAfter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:481:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:481:37-50
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:481:39-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:481:37-50
      if (_0_v=="intpntFactorGpOrderSavedNzs"): # bld/herlev/final/default/src/fusion/Parameters.mbi:482:6-40
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:482:42-55
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:482:44-53
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:482:42-55
      if (_0_v=="simplexPrimalIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:483:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:483:32-46
        return numpy.int32(15) # bld/herlev/final/default/src/fusion/Parameters.mbi:483:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:483:32-46
      if (_0_v=="simplexDualIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:484:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:484:30-43
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:484:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:484:30-43
      if (_0_v=="simplexPrimalNumTicks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:485:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:485:36-50
        return numpy.int32(16) # bld/herlev/final/default/src/fusion/Parameters.mbi:485:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:485:36-50
      if (_0_v=="simplexDualNumTicks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:486:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:486:34-47
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:486:36-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:486:34-47
      if (_0_v=="simplexNumDualIllposedCer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:487:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:487:40-54
        return numpy.int32(10) # bld/herlev/final/default/src/fusion/Parameters.mbi:487:42-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:487:40-54
      if (_0_v=="simplexNumCand"): # bld/herlev/final/default/src/fusion/Parameters.mbi:488:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:488:29-42
        return numpy.int32(9) # bld/herlev/final/default/src/fusion/Parameters.mbi:488:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:488:29-42
      if (_0_v=="simplexNumProgressStall"): # bld/herlev/final/default/src/fusion/Parameters.mbi:489:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:489:38-52
        return numpy.int32(13) # bld/herlev/final/default/src/fusion/Parameters.mbi:489:40-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:489:38-52
      if (_0_v=="simplexNumSingularBases"): # bld/herlev/final/default/src/fusion/Parameters.mbi:490:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:490:38-52
        return numpy.int32(14) # bld/herlev/final/default/src/fusion/Parameters.mbi:490:40-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:490:38-52
      if (_0_v=="simplexNumFatalFeasibilityLoss"): # bld/herlev/final/default/src/fusion/Parameters.mbi:491:6-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:491:45-59
        return numpy.int32(11) # bld/herlev/final/default/src/fusion/Parameters.mbi:491:47-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:491:45-59
      if (_0_v=="simplexNumFatalGradientStall"): # bld/herlev/final/default/src/fusion/Parameters.mbi:492:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:492:43-57
        return numpy.int32(12) # bld/herlev/final/default/src/fusion/Parameters.mbi:492:45-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:492:43-57
      if (_0_v=="simplexLuFactorNumTicks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:493:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:493:38-51
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:493:40-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:493:38-51
      if (_0_v=="simplexLuSolveNumTicks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:494:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:494:37-50
        return numpy.int32(8) # bld/herlev/final/default/src/fusion/Parameters.mbi:494:39-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:494:37-50
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:495:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:477:0-496:1
    @staticmethod
    def __string_1to_1liinfitem_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1liinfitem_1value_S(_0_v)
    @staticmethod
    def __string_1to_1liinfitem_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:452:0-475:1
      if (_0_v=="anaProScalarizedConstraintMatrixNumRows"): # bld/herlev/final/default/src/fusion/Parameters.mbi:453:6-52
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:453:54-67
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:453:56-65
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:453:54-67
      if (_0_v=="anaProScalarizedConstraintMatrixNumColumns"): # bld/herlev/final/default/src/fusion/Parameters.mbi:454:6-55
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:454:57-70
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:454:59-68
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:454:57-70
      if (_0_v=="anaProScalarizedConstraintMatrixNumNz"): # bld/herlev/final/default/src/fusion/Parameters.mbi:455:6-50
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:455:52-65
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:455:54-63
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:455:52-65
      if (_0_v=="mioAnz"): # bld/herlev/final/default/src/fusion/Parameters.mbi:456:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:456:21-35
        return numpy.int32(10) # bld/herlev/final/default/src/fusion/Parameters.mbi:456:23-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:456:21-35
      if (_0_v=="mioPresolvedAnz"): # bld/herlev/final/default/src/fusion/Parameters.mbi:457:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:457:30-44
        return numpy.int32(14) # bld/herlev/final/default/src/fusion/Parameters.mbi:457:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:457:30-44
      if (_0_v=="mioSimplexIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:458:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:458:29-43
        return numpy.int32(15) # bld/herlev/final/default/src/fusion/Parameters.mbi:458:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:458:29-43
      if (_0_v=="mioIntpntIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:459:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:459:28-42
        return numpy.int32(11) # bld/herlev/final/default/src/fusion/Parameters.mbi:459:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:459:28-42
      if (_0_v=="mioNumPrimIllposedCer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:460:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:460:36-50
        return numpy.int32(13) # bld/herlev/final/default/src/fusion/Parameters.mbi:460:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:460:36-50
      if (_0_v=="mioNumDualIllposedCer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:461:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:461:36-50
        return numpy.int32(12) # bld/herlev/final/default/src/fusion/Parameters.mbi:461:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:461:36-50
      if (_0_v=="biPrimalIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:462:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:462:27-40
        return numpy.int32(8) # bld/herlev/final/default/src/fusion/Parameters.mbi:462:29-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:462:27-40
      if (_0_v=="biDualIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:463:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:463:25-38
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:463:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:463:25-38
      if (_0_v=="biCleanPrimalIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:464:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:464:32-45
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:464:34-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:464:32-45
      if (_0_v=="biCleanDualIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:465:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:465:30-43
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:465:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:465:30-43
      if (_0_v=="biCleanPrimalDegIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:466:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:466:35-48
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:466:37-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:466:35-48
      if (_0_v=="biCleanDualDegIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:467:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:467:33-46
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:467:35-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:467:33-46
      if (_0_v=="intpntFactorNumNz"): # bld/herlev/final/default/src/fusion/Parameters.mbi:468:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:468:32-45
        return numpy.int32(9) # bld/herlev/final/default/src/fusion/Parameters.mbi:468:34-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:468:32-45
      if (_0_v=="rdNumacc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:469:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:469:23-37
        return numpy.int32(16) # bld/herlev/final/default/src/fusion/Parameters.mbi:469:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:469:23-37
      if (_0_v=="rdNumdjc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:470:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:470:23-37
        return numpy.int32(18) # bld/herlev/final/default/src/fusion/Parameters.mbi:470:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:470:23-37
      if (_0_v=="rdNumanz"): # bld/herlev/final/default/src/fusion/Parameters.mbi:471:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:471:23-37
        return numpy.int32(17) # bld/herlev/final/default/src/fusion/Parameters.mbi:471:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:471:23-37
      if (_0_v=="rdNumqnz"): # bld/herlev/final/default/src/fusion/Parameters.mbi:472:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:472:23-37
        return numpy.int32(19) # bld/herlev/final/default/src/fusion/Parameters.mbi:472:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:472:23-37
      if (_0_v=="simplexIter"): # bld/herlev/final/default/src/fusion/Parameters.mbi:473:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:473:26-40
        return numpy.int32(20) # bld/herlev/final/default/src/fusion/Parameters.mbi:473:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:473:26-40
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:474:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:452:0-475:1
    @staticmethod
    def __string_1to_1dparam_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1dparam_1value_S(_0_v)
    @staticmethod
    def __string_1to_1dparam_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:386:0-450:1
      if (_0_v=="dataTolCjLarge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:387:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:387:29-43
        return numpy.int32(13) # bld/herlev/final/default/src/fusion/Parameters.mbi:387:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:387:29-43
      if (_0_v=="dataTolCHuge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:388:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:388:27-41
        return numpy.int32(12) # bld/herlev/final/default/src/fusion/Parameters.mbi:388:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:388:27-41
      if (_0_v=="dataTolAijLarge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:389:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:389:30-43
        return numpy.int32(9) # bld/herlev/final/default/src/fusion/Parameters.mbi:389:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:389:30-43
      if (_0_v=="dataTolAijHuge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:390:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:390:29-42
        return numpy.int32(8) # bld/herlev/final/default/src/fusion/Parameters.mbi:390:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:390:29-42
      if (_0_v=="dataSymMatTol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:391:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:391:28-41
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:391:30-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:391:28-41
      if (_0_v=="dataSymMatTolLarge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:392:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:392:33-46
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:392:35-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:392:33-46
      if (_0_v=="dataSymMatTolHuge"): # bld/herlev/final/default/src/fusion/Parameters.mbi:393:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:393:32-45
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:393:34-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:393:32-45
      if (_0_v=="dataTolBoundInf"): # bld/herlev/final/default/src/fusion/Parameters.mbi:394:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:394:30-44
        return numpy.int32(10) # bld/herlev/final/default/src/fusion/Parameters.mbi:394:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:394:30-44
      if (_0_v=="dataTolBoundWrn"): # bld/herlev/final/default/src/fusion/Parameters.mbi:395:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:395:30-44
        return numpy.int32(11) # bld/herlev/final/default/src/fusion/Parameters.mbi:395:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:395:30-44
      if (_0_v=="dataTolQij"): # bld/herlev/final/default/src/fusion/Parameters.mbi:396:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:396:25-39
        return numpy.int32(14) # bld/herlev/final/default/src/fusion/Parameters.mbi:396:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:396:25-39
      if (_0_v=="dataTolX"): # bld/herlev/final/default/src/fusion/Parameters.mbi:397:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:397:23-37
        return numpy.int32(15) # bld/herlev/final/default/src/fusion/Parameters.mbi:397:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:397:23-37
      if (_0_v=="semidefiniteTolApprox"): # bld/herlev/final/default/src/fusion/Parameters.mbi:398:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:398:36-50
        return numpy.int32(57) # bld/herlev/final/default/src/fusion/Parameters.mbi:398:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:398:36-50
      if (_0_v=="optimizerMaxTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:399:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:399:31-45
        return numpy.int32(49) # bld/herlev/final/default/src/fusion/Parameters.mbi:399:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:399:31-45
      if (_0_v=="optimizerMaxTicks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:400:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:400:32-46
        return numpy.int32(48) # bld/herlev/final/default/src/fusion/Parameters.mbi:400:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:400:32-46
      if (_0_v=="lowerObjCut"): # bld/herlev/final/default/src/fusion/Parameters.mbi:401:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:401:26-40
        return numpy.int32(38) # bld/herlev/final/default/src/fusion/Parameters.mbi:401:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:401:26-40
      if (_0_v=="upperObjCut"): # bld/herlev/final/default/src/fusion/Parameters.mbi:402:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:402:26-40
        return numpy.int32(60) # bld/herlev/final/default/src/fusion/Parameters.mbi:402:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:402:26-40
      if (_0_v=="upperObjCutFiniteTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:403:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:403:35-49
        return numpy.int32(61) # bld/herlev/final/default/src/fusion/Parameters.mbi:403:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:403:35-49
      if (_0_v=="lowerObjCutFiniteTrh"): # bld/herlev/final/default/src/fusion/Parameters.mbi:404:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:404:35-49
        return numpy.int32(39) # bld/herlev/final/default/src/fusion/Parameters.mbi:404:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:404:35-49
      if (_0_v=="intpntTolRelGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:405:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:405:30-44
        return numpy.int32(35) # bld/herlev/final/default/src/fusion/Parameters.mbi:405:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:405:30-44
      if (_0_v=="intpntTolStepSize"): # bld/herlev/final/default/src/fusion/Parameters.mbi:406:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:406:32-46
        return numpy.int32(37) # bld/herlev/final/default/src/fusion/Parameters.mbi:406:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:406:32-46
      if (_0_v=="simLuTolRelPiv"): # bld/herlev/final/default/src/fusion/Parameters.mbi:407:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:407:29-43
        return numpy.int32(58) # bld/herlev/final/default/src/fusion/Parameters.mbi:407:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:407:29-43
      if (_0_v=="intpntTolRelStep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:408:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:408:31-45
        return numpy.int32(36) # bld/herlev/final/default/src/fusion/Parameters.mbi:408:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:408:31-45
      if (_0_v=="intpntTolPath"): # bld/herlev/final/default/src/fusion/Parameters.mbi:409:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:409:28-42
        return numpy.int32(32) # bld/herlev/final/default/src/fusion/Parameters.mbi:409:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:409:28-42
      if (_0_v=="intpntTolPfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:410:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:410:29-43
        return numpy.int32(33) # bld/herlev/final/default/src/fusion/Parameters.mbi:410:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:410:29-43
      if (_0_v=="intpntTolDfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:411:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:411:29-43
        return numpy.int32(28) # bld/herlev/final/default/src/fusion/Parameters.mbi:411:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:411:29-43
      if (_0_v=="intpntTolMuRed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:412:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:412:29-43
        return numpy.int32(31) # bld/herlev/final/default/src/fusion/Parameters.mbi:412:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:412:29-43
      if (_0_v=="intpntTolInfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:413:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:413:30-44
        return numpy.int32(30) # bld/herlev/final/default/src/fusion/Parameters.mbi:413:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:413:30-44
      if (_0_v=="intpntCoTolRelGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:414:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:414:32-46
        return numpy.int32(21) # bld/herlev/final/default/src/fusion/Parameters.mbi:414:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:414:32-46
      if (_0_v=="intpntCoTolPfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:415:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:415:31-45
        return numpy.int32(20) # bld/herlev/final/default/src/fusion/Parameters.mbi:415:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:415:31-45
      if (_0_v=="intpntCoTolDfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:416:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:416:31-45
        return numpy.int32(16) # bld/herlev/final/default/src/fusion/Parameters.mbi:416:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:416:31-45
      if (_0_v=="intpntCoTolMuRed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:417:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:417:31-45
        return numpy.int32(18) # bld/herlev/final/default/src/fusion/Parameters.mbi:417:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:417:31-45
      if (_0_v=="intpntCoTolNearRel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:418:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:418:33-47
        return numpy.int32(19) # bld/herlev/final/default/src/fusion/Parameters.mbi:418:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:418:33-47
      if (_0_v=="intpntCoTolInfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:419:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:419:32-46
        return numpy.int32(17) # bld/herlev/final/default/src/fusion/Parameters.mbi:419:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:419:32-46
      if (_0_v=="intpntQoTolRelGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:420:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:420:32-46
        return numpy.int32(27) # bld/herlev/final/default/src/fusion/Parameters.mbi:420:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:420:32-46
      if (_0_v=="intpntQoTolPfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:421:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:421:31-45
        return numpy.int32(26) # bld/herlev/final/default/src/fusion/Parameters.mbi:421:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:421:31-45
      if (_0_v=="intpntQoTolDfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:422:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:422:31-45
        return numpy.int32(22) # bld/herlev/final/default/src/fusion/Parameters.mbi:422:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:422:31-45
      if (_0_v=="intpntQoTolMuRed"): # bld/herlev/final/default/src/fusion/Parameters.mbi:423:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:423:31-45
        return numpy.int32(24) # bld/herlev/final/default/src/fusion/Parameters.mbi:423:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:423:31-45
      if (_0_v=="intpntQoTolNearRel"): # bld/herlev/final/default/src/fusion/Parameters.mbi:424:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:424:33-47
        return numpy.int32(25) # bld/herlev/final/default/src/fusion/Parameters.mbi:424:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:424:33-47
      if (_0_v=="intpntQoTolInfeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:425:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:425:32-46
        return numpy.int32(23) # bld/herlev/final/default/src/fusion/Parameters.mbi:425:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:425:32-46
      if (_0_v=="intpntTolPsafe"): # bld/herlev/final/default/src/fusion/Parameters.mbi:426:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:426:29-43
        return numpy.int32(34) # bld/herlev/final/default/src/fusion/Parameters.mbi:426:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:426:29-43
      if (_0_v=="intpntTolDsafe"): # bld/herlev/final/default/src/fusion/Parameters.mbi:427:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:427:29-43
        return numpy.int32(29) # bld/herlev/final/default/src/fusion/Parameters.mbi:427:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:427:29-43
      if (_0_v=="mioMaxTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:428:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:428:25-39
        return numpy.int32(41) # bld/herlev/final/default/src/fusion/Parameters.mbi:428:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:428:25-39
      if (_0_v=="mioRelGapConst"): # bld/herlev/final/default/src/fusion/Parameters.mbi:429:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:429:29-43
        return numpy.int32(42) # bld/herlev/final/default/src/fusion/Parameters.mbi:429:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:429:29-43
      if (_0_v=="mioTolRelGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:430:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:430:27-41
        return numpy.int32(47) # bld/herlev/final/default/src/fusion/Parameters.mbi:430:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:430:27-41
      if (_0_v=="mioTolAbsGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:431:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:431:27-41
        return numpy.int32(43) # bld/herlev/final/default/src/fusion/Parameters.mbi:431:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:431:27-41
      if (_0_v=="mioTolAbsRelaxInt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:432:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:432:32-46
        return numpy.int32(44) # bld/herlev/final/default/src/fusion/Parameters.mbi:432:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:432:32-46
      if (_0_v=="mioDjcMaxBigm"): # bld/herlev/final/default/src/fusion/Parameters.mbi:433:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:433:28-42
        return numpy.int32(40) # bld/herlev/final/default/src/fusion/Parameters.mbi:433:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:433:28-42
      if (_0_v=="basisTolX"): # bld/herlev/final/default/src/fusion/Parameters.mbi:434:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:434:24-37
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:434:26-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:434:24-37
      if (_0_v=="basisTolS"): # bld/herlev/final/default/src/fusion/Parameters.mbi:435:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:435:24-37
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:435:26-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:435:24-37
      if (_0_v=="basisRelTolS"): # bld/herlev/final/default/src/fusion/Parameters.mbi:436:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:436:27-40
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:436:29-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:436:27-40
      if (_0_v=="presolveTolX"): # bld/herlev/final/default/src/fusion/Parameters.mbi:437:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:437:27-41
        return numpy.int32(55) # bld/herlev/final/default/src/fusion/Parameters.mbi:437:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:437:27-41
      if (_0_v=="presolveTolPrimalInfeasPerturbation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:438:6-48
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:438:50-64
        return numpy.int32(52) # bld/herlev/final/default/src/fusion/Parameters.mbi:438:52-62
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:438:50-64
      if (_0_v=="presolveTolS"): # bld/herlev/final/default/src/fusion/Parameters.mbi:439:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:439:27-41
        return numpy.int32(54) # bld/herlev/final/default/src/fusion/Parameters.mbi:439:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:439:27-41
      if (_0_v=="presolveTolAij"): # bld/herlev/final/default/src/fusion/Parameters.mbi:440:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:440:29-43
        return numpy.int32(51) # bld/herlev/final/default/src/fusion/Parameters.mbi:440:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:440:29-43
      if (_0_v=="presolveTolAbsLindep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:441:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:441:35-49
        return numpy.int32(50) # bld/herlev/final/default/src/fusion/Parameters.mbi:441:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:441:35-49
      if (_0_v=="presolveTolRelLindep"): # bld/herlev/final/default/src/fusion/Parameters.mbi:442:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:442:35-49
        return numpy.int32(53) # bld/herlev/final/default/src/fusion/Parameters.mbi:442:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:442:35-49
      if (_0_v=="simplexAbsTolPiv"): # bld/herlev/final/default/src/fusion/Parameters.mbi:443:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:443:31-45
        return numpy.int32(59) # bld/herlev/final/default/src/fusion/Parameters.mbi:443:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:443:31-45
      if (_0_v=="mioTolFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:444:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:444:25-39
        return numpy.int32(45) # bld/herlev/final/default/src/fusion/Parameters.mbi:444:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:444:25-39
      if (_0_v=="anaSolInfeasTol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:445:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:445:30-43
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:445:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:445:30-43
      if (_0_v=="checkConvexityRelTol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:446:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:446:35-48
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:446:37-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:446:35-48
      if (_0_v=="qcqoReformulateRelDropTol"): # bld/herlev/final/default/src/fusion/Parameters.mbi:447:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:447:40-54
        return numpy.int32(56) # bld/herlev/final/default/src/fusion/Parameters.mbi:447:42-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:447:40-54
      if (_0_v=="mioTolRelDualBoundImprovement"): # bld/herlev/final/default/src/fusion/Parameters.mbi:448:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:448:44-58
        return numpy.int32(46) # bld/herlev/final/default/src/fusion/Parameters.mbi:448:46-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:448:44-58
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:449:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:386:0-450:1
    @staticmethod
    def __string_1to_1feature_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1feature_1value_S(_0_v)
    @staticmethod
    def __string_1to_1feature_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:380:0-384:1
      if (_0_v=="pts"): # bld/herlev/final/default/src/fusion/Parameters.mbi:381:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:381:18-31
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:381:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:381:18-31
      if (_0_v=="pton"): # bld/herlev/final/default/src/fusion/Parameters.mbi:382:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:382:19-32
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:382:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:382:19-32
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:383:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:380:0-384:1
    @staticmethod
    def __string_1to_1dinfitem_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1dinfitem_1value_S(_0_v)
    @staticmethod
    def __string_1to_1dinfitem_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:265:0-378:1
      if (_0_v=="anaProScalarizedConstraintMatrixDensity"): # bld/herlev/final/default/src/fusion/Parameters.mbi:266:6-52
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:266:54-67
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:266:56-65
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:266:54-67
      if (_0_v=="biTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:267:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:267:21-34
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:267:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:267:21-34
      if (_0_v=="biPrimalTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:268:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:268:27-40
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:268:29-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:268:27-40
      if (_0_v=="biDualTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:269:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:269:25-38
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:269:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:269:25-38
      if (_0_v=="biCleanTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:270:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:270:26-39
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:270:28-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:270:26-39
      if (_0_v=="biCleanPrimalTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:271:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:271:32-45
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:271:34-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:271:32-45
      if (_0_v=="biCleanDualTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:272:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:272:30-43
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:272:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:272:30-43
      if (_0_v=="intpntTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:273:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:273:25-39
        return numpy.int32(14) # bld/herlev/final/default/src/fusion/Parameters.mbi:273:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:273:25-39
      if (_0_v=="intpntOrderTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:274:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:274:30-44
        return numpy.int32(11) # bld/herlev/final/default/src/fusion/Parameters.mbi:274:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:274:30-44
      if (_0_v=="intpntPrimalObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:275:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:275:30-44
        return numpy.int32(13) # bld/herlev/final/default/src/fusion/Parameters.mbi:275:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:275:30-44
      if (_0_v=="intpntDualObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:276:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:276:28-41
        return numpy.int32(8) # bld/herlev/final/default/src/fusion/Parameters.mbi:276:30-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:276:28-41
      if (_0_v=="intpntPrimalFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:277:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:277:31-45
        return numpy.int32(12) # bld/herlev/final/default/src/fusion/Parameters.mbi:277:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:277:31-45
      if (_0_v=="intpntDualFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:278:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:278:29-42
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:278:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:278:29-42
      if (_0_v=="intpntOptStatus"): # bld/herlev/final/default/src/fusion/Parameters.mbi:279:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:279:30-44
        return numpy.int32(10) # bld/herlev/final/default/src/fusion/Parameters.mbi:279:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:279:30-44
      if (_0_v=="simTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:280:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:280:22-36
        return numpy.int32(61) # bld/herlev/final/default/src/fusion/Parameters.mbi:280:24-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:280:22-36
      if (_0_v=="simPrimalTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:281:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:281:28-42
        return numpy.int32(60) # bld/herlev/final/default/src/fusion/Parameters.mbi:281:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:281:28-42
      if (_0_v=="simDualTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:282:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:282:26-40
        return numpy.int32(57) # bld/herlev/final/default/src/fusion/Parameters.mbi:282:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:282:26-40
      if (_0_v=="simObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:283:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:283:21-35
        return numpy.int32(59) # bld/herlev/final/default/src/fusion/Parameters.mbi:283:23-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:283:21-35
      if (_0_v=="simFeas"): # bld/herlev/final/default/src/fusion/Parameters.mbi:284:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:284:22-36
        return numpy.int32(58) # bld/herlev/final/default/src/fusion/Parameters.mbi:284:24-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:284:22-36
      if (_0_v=="mioTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:285:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:285:22-36
        return numpy.int32(42) # bld/herlev/final/default/src/fusion/Parameters.mbi:285:24-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:285:22-36
      if (_0_v=="mioRootPresolveTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:286:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:286:34-48
        return numpy.int32(38) # bld/herlev/final/default/src/fusion/Parameters.mbi:286:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:286:34-48
      if (_0_v=="mioRootOptimizerTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:287:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:287:35-49
        return numpy.int32(37) # bld/herlev/final/default/src/fusion/Parameters.mbi:287:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:287:35-49
      if (_0_v=="mioRootTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:288:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:288:26-40
        return numpy.int32(39) # bld/herlev/final/default/src/fusion/Parameters.mbi:288:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:288:26-40
      if (_0_v=="toConicTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:289:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:289:26-41
        return numpy.int32(109) # bld/herlev/final/default/src/fusion/Parameters.mbi:289:28-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:289:26-41
      if (_0_v=="mioConstructSolutionObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:290:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:290:38-52
        return numpy.int32(19) # bld/herlev/final/default/src/fusion/Parameters.mbi:290:40-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:290:38-52
      if (_0_v=="mioInitialFeasibleSolutionObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:291:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:291:44-58
        return numpy.int32(25) # bld/herlev/final/default/src/fusion/Parameters.mbi:291:46-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:291:44-58
      if (_0_v=="mioObjInt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:292:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:292:24-38
        return numpy.int32(32) # bld/herlev/final/default/src/fusion/Parameters.mbi:292:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:292:24-38
      if (_0_v=="mioObjBound"): # bld/herlev/final/default/src/fusion/Parameters.mbi:293:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:293:26-40
        return numpy.int32(31) # bld/herlev/final/default/src/fusion/Parameters.mbi:293:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:293:26-40
      if (_0_v=="mioObjRelGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:294:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:294:27-41
        return numpy.int32(33) # bld/herlev/final/default/src/fusion/Parameters.mbi:294:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:294:27-41
      if (_0_v=="mioObjAbsGap"): # bld/herlev/final/default/src/fusion/Parameters.mbi:295:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:295:27-41
        return numpy.int32(30) # bld/herlev/final/default/src/fusion/Parameters.mbi:295:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:295:27-41
      if (_0_v=="mioUserObjCut"): # bld/herlev/final/default/src/fusion/Parameters.mbi:296:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:296:28-42
        return numpy.int32(43) # bld/herlev/final/default/src/fusion/Parameters.mbi:296:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:296:28-42
      if (_0_v=="mioCmirSeparationTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:297:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:297:36-50
        return numpy.int32(18) # bld/herlev/final/default/src/fusion/Parameters.mbi:297:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:297:36-50
      if (_0_v=="mioCliqueSeparationTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:298:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:298:38-52
        return numpy.int32(16) # bld/herlev/final/default/src/fusion/Parameters.mbi:298:40-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:298:38-52
      if (_0_v=="mioKnapsackCoverSeparationTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:299:6-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:299:45-59
        return numpy.int32(27) # bld/herlev/final/default/src/fusion/Parameters.mbi:299:47-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:299:45-59
      if (_0_v=="mioGmiSeparationTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:300:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:300:35-49
        return numpy.int32(22) # bld/herlev/final/default/src/fusion/Parameters.mbi:300:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:300:35-49
      if (_0_v=="mioImpliedBoundSeparationTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:301:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:301:44-58
        return numpy.int32(24) # bld/herlev/final/default/src/fusion/Parameters.mbi:301:46-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:301:44-58
      if (_0_v=="mioLiproSeparationTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:302:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:302:37-51
        return numpy.int32(29) # bld/herlev/final/default/src/fusion/Parameters.mbi:302:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:302:37-51
      if (_0_v=="mioRootCutSeparationTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:303:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:303:39-53
        return numpy.int32(36) # bld/herlev/final/default/src/fusion/Parameters.mbi:303:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:303:39-53
      if (_0_v=="mioCmirSelectionTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:304:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:304:35-49
        return numpy.int32(17) # bld/herlev/final/default/src/fusion/Parameters.mbi:304:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:304:35-49
      if (_0_v=="mioCliqueSelectionTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:305:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:305:37-51
        return numpy.int32(15) # bld/herlev/final/default/src/fusion/Parameters.mbi:305:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:305:37-51
      if (_0_v=="mioKnapsackCoverSelectionTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:306:6-42
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:306:44-58
        return numpy.int32(26) # bld/herlev/final/default/src/fusion/Parameters.mbi:306:46-56
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:306:44-58
      if (_0_v=="mioGmiSelectionTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:307:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:307:34-48
        return numpy.int32(21) # bld/herlev/final/default/src/fusion/Parameters.mbi:307:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:307:34-48
      if (_0_v=="mioImpliedBoundSelectionTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:308:6-41
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:308:43-57
        return numpy.int32(23) # bld/herlev/final/default/src/fusion/Parameters.mbi:308:45-55
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:308:43-57
      if (_0_v=="mioLiproSelectionTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:309:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:309:36-50
        return numpy.int32(28) # bld/herlev/final/default/src/fusion/Parameters.mbi:309:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:309:36-50
      if (_0_v=="mioRootCutSelectionTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:310:6-36
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:310:38-52
        return numpy.int32(35) # bld/herlev/final/default/src/fusion/Parameters.mbi:310:40-50
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:310:38-52
      if (_0_v=="mioProbingTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:311:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:311:29-43
        return numpy.int32(34) # bld/herlev/final/default/src/fusion/Parameters.mbi:311:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:311:29-43
      if (_0_v=="mioSymmetryDetectionTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:312:6-37
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:312:39-53
        return numpy.int32(40) # bld/herlev/final/default/src/fusion/Parameters.mbi:312:41-51
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:312:39-53
      if (_0_v=="optimizerTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:313:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:313:28-42
        return numpy.int32(45) # bld/herlev/final/default/src/fusion/Parameters.mbi:313:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:313:28-42
      if (_0_v=="optimizerTicks"): # bld/herlev/final/default/src/fusion/Parameters.mbi:314:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:314:29-43
        return numpy.int32(44) # bld/herlev/final/default/src/fusion/Parameters.mbi:314:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:314:29-43
      if (_0_v=="presolveTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:315:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:315:27-41
        return numpy.int32(48) # bld/herlev/final/default/src/fusion/Parameters.mbi:315:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:315:27-41
      if (_0_v=="mioSymmetryFactor"): # bld/herlev/final/default/src/fusion/Parameters.mbi:316:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:316:32-46
        return numpy.int32(41) # bld/herlev/final/default/src/fusion/Parameters.mbi:316:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:316:32-46
      if (_0_v=="mioDualBoundAfterPresolve"): # bld/herlev/final/default/src/fusion/Parameters.mbi:317:6-38
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:317:40-54
        return numpy.int32(20) # bld/herlev/final/default/src/fusion/Parameters.mbi:317:42-52
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:317:40-54
      if (_0_v=="presolveEliTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:318:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:318:30-44
        return numpy.int32(46) # bld/herlev/final/default/src/fusion/Parameters.mbi:318:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:318:30-44
      if (_0_v=="presolveLindepTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:319:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:319:33-47
        return numpy.int32(47) # bld/herlev/final/default/src/fusion/Parameters.mbi:319:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:319:33-47
      if (_0_v=="readDataTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:320:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:320:27-41
        return numpy.int32(55) # bld/herlev/final/default/src/fusion/Parameters.mbi:320:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:320:27-41
      if (_0_v=="writeDataTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:321:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:321:28-43
        return numpy.int32(110) # bld/herlev/final/default/src/fusion/Parameters.mbi:321:30-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:321:28-43
      if (_0_v=="solItrPrimalObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:322:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:322:30-45
        return numpy.int32(103) # bld/herlev/final/default/src/fusion/Parameters.mbi:322:32-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:322:30-45
      if (_0_v=="solItrPviolcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:323:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:323:29-44
        return numpy.int32(106) # bld/herlev/final/default/src/fusion/Parameters.mbi:323:31-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:323:29-44
      if (_0_v=="solItrPviolvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:324:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:324:29-44
        return numpy.int32(108) # bld/herlev/final/default/src/fusion/Parameters.mbi:324:31-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:324:29-44
      if (_0_v=="solItrPviolbarvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:325:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:325:32-47
        return numpy.int32(105) # bld/herlev/final/default/src/fusion/Parameters.mbi:325:34-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:325:32-47
      if (_0_v=="solItrPviolcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:326:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:326:31-46
        return numpy.int32(107) # bld/herlev/final/default/src/fusion/Parameters.mbi:326:33-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:326:31-46
      if (_0_v=="solItrPviolacc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:327:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:327:29-44
        return numpy.int32(104) # bld/herlev/final/default/src/fusion/Parameters.mbi:327:31-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:327:29-44
      if (_0_v=="solItrDualObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:328:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:328:28-42
        return numpy.int32(87) # bld/herlev/final/default/src/fusion/Parameters.mbi:328:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:328:28-42
      if (_0_v=="solItrDviolcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:329:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:329:29-43
        return numpy.int32(90) # bld/herlev/final/default/src/fusion/Parameters.mbi:329:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:329:29-43
      if (_0_v=="solItrDviolvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:330:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:330:29-43
        return numpy.int32(92) # bld/herlev/final/default/src/fusion/Parameters.mbi:330:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:330:29-43
      if (_0_v=="solItrDviolbarvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:331:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:331:32-46
        return numpy.int32(89) # bld/herlev/final/default/src/fusion/Parameters.mbi:331:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:331:32-46
      if (_0_v=="solItrDviolcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:332:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:332:31-45
        return numpy.int32(91) # bld/herlev/final/default/src/fusion/Parameters.mbi:332:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:332:31-45
      if (_0_v=="solItrDviolacc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:333:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:333:29-43
        return numpy.int32(88) # bld/herlev/final/default/src/fusion/Parameters.mbi:333:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:333:29-43
      if (_0_v=="solItrNrmXc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:334:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:334:26-41
        return numpy.int32(100) # bld/herlev/final/default/src/fusion/Parameters.mbi:334:28-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:334:26-41
      if (_0_v=="solItrNrmXx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:335:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:335:26-41
        return numpy.int32(101) # bld/herlev/final/default/src/fusion/Parameters.mbi:335:28-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:335:26-41
      if (_0_v=="solItrNrmBarx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:336:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:336:28-42
        return numpy.int32(94) # bld/herlev/final/default/src/fusion/Parameters.mbi:336:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:336:28-42
      if (_0_v=="solItrNrmY"): # bld/herlev/final/default/src/fusion/Parameters.mbi:337:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:337:25-40
        return numpy.int32(102) # bld/herlev/final/default/src/fusion/Parameters.mbi:337:27-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:337:25-40
      if (_0_v=="solItrNrmSlc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:338:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:338:27-41
        return numpy.int32(95) # bld/herlev/final/default/src/fusion/Parameters.mbi:338:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:338:27-41
      if (_0_v=="solItrNrmSuc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:339:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:339:27-41
        return numpy.int32(98) # bld/herlev/final/default/src/fusion/Parameters.mbi:339:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:339:27-41
      if (_0_v=="solItrNrmSlx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:340:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:340:27-41
        return numpy.int32(96) # bld/herlev/final/default/src/fusion/Parameters.mbi:340:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:340:27-41
      if (_0_v=="solItrNrmSux"): # bld/herlev/final/default/src/fusion/Parameters.mbi:341:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:341:27-41
        return numpy.int32(99) # bld/herlev/final/default/src/fusion/Parameters.mbi:341:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:341:27-41
      if (_0_v=="solItrNrmSnx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:342:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:342:27-41
        return numpy.int32(97) # bld/herlev/final/default/src/fusion/Parameters.mbi:342:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:342:27-41
      if (_0_v=="solItrNrmBars"): # bld/herlev/final/default/src/fusion/Parameters.mbi:343:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:343:28-42
        return numpy.int32(93) # bld/herlev/final/default/src/fusion/Parameters.mbi:343:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:343:28-42
      if (_0_v=="solBasPrimalObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:344:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:344:30-44
        return numpy.int32(73) # bld/herlev/final/default/src/fusion/Parameters.mbi:344:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:344:30-44
      if (_0_v=="solBasPviolcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:345:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:345:29-43
        return numpy.int32(74) # bld/herlev/final/default/src/fusion/Parameters.mbi:345:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:345:29-43
      if (_0_v=="solBasPviolvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:346:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:346:29-43
        return numpy.int32(75) # bld/herlev/final/default/src/fusion/Parameters.mbi:346:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:346:29-43
      if (_0_v=="solBasDualObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:347:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:347:28-42
        return numpy.int32(62) # bld/herlev/final/default/src/fusion/Parameters.mbi:347:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:347:28-42
      if (_0_v=="solBasDviolcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:348:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:348:29-43
        return numpy.int32(63) # bld/herlev/final/default/src/fusion/Parameters.mbi:348:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:348:29-43
      if (_0_v=="solBasDviolvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:349:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:349:29-43
        return numpy.int32(64) # bld/herlev/final/default/src/fusion/Parameters.mbi:349:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:349:29-43
      if (_0_v=="solBasNrmXc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:350:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:350:26-40
        return numpy.int32(70) # bld/herlev/final/default/src/fusion/Parameters.mbi:350:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:350:26-40
      if (_0_v=="solBasNrmXx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:351:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:351:26-40
        return numpy.int32(71) # bld/herlev/final/default/src/fusion/Parameters.mbi:351:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:351:26-40
      if (_0_v=="solBasNrmBarx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:352:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:352:28-42
        return numpy.int32(65) # bld/herlev/final/default/src/fusion/Parameters.mbi:352:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:352:28-42
      if (_0_v=="solBasNrmY"): # bld/herlev/final/default/src/fusion/Parameters.mbi:353:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:353:25-39
        return numpy.int32(72) # bld/herlev/final/default/src/fusion/Parameters.mbi:353:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:353:25-39
      if (_0_v=="solBasNrmSlc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:354:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:354:27-41
        return numpy.int32(66) # bld/herlev/final/default/src/fusion/Parameters.mbi:354:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:354:27-41
      if (_0_v=="solBasNrmSuc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:355:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:355:27-41
        return numpy.int32(68) # bld/herlev/final/default/src/fusion/Parameters.mbi:355:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:355:27-41
      if (_0_v=="solBasNrmSlx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:356:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:356:27-41
        return numpy.int32(67) # bld/herlev/final/default/src/fusion/Parameters.mbi:356:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:356:27-41
      if (_0_v=="solBasNrmSux"): # bld/herlev/final/default/src/fusion/Parameters.mbi:357:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:357:27-41
        return numpy.int32(69) # bld/herlev/final/default/src/fusion/Parameters.mbi:357:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:357:27-41
      if (_0_v=="solItgPrimalObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:358:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:358:30-44
        return numpy.int32(79) # bld/herlev/final/default/src/fusion/Parameters.mbi:358:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:358:30-44
      if (_0_v=="solItgPviolcon"): # bld/herlev/final/default/src/fusion/Parameters.mbi:359:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:359:29-43
        return numpy.int32(82) # bld/herlev/final/default/src/fusion/Parameters.mbi:359:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:359:29-43
      if (_0_v=="solItgPviolvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:360:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:360:29-43
        return numpy.int32(86) # bld/herlev/final/default/src/fusion/Parameters.mbi:360:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:360:29-43
      if (_0_v=="solItgPviolbarvar"): # bld/herlev/final/default/src/fusion/Parameters.mbi:361:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:361:32-46
        return numpy.int32(81) # bld/herlev/final/default/src/fusion/Parameters.mbi:361:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:361:32-46
      if (_0_v=="solItgPviolcones"): # bld/herlev/final/default/src/fusion/Parameters.mbi:362:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:362:31-45
        return numpy.int32(83) # bld/herlev/final/default/src/fusion/Parameters.mbi:362:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:362:31-45
      if (_0_v=="solItgPviolacc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:363:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:363:29-43
        return numpy.int32(80) # bld/herlev/final/default/src/fusion/Parameters.mbi:363:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:363:29-43
      if (_0_v=="solItgPviolitg"): # bld/herlev/final/default/src/fusion/Parameters.mbi:364:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:364:29-43
        return numpy.int32(85) # bld/herlev/final/default/src/fusion/Parameters.mbi:364:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:364:29-43
      if (_0_v=="solItgPvioldjc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:365:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:365:29-43
        return numpy.int32(84) # bld/herlev/final/default/src/fusion/Parameters.mbi:365:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:365:29-43
      if (_0_v=="solItgNrmXc"): # bld/herlev/final/default/src/fusion/Parameters.mbi:366:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:366:26-40
        return numpy.int32(77) # bld/herlev/final/default/src/fusion/Parameters.mbi:366:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:366:26-40
      if (_0_v=="solItgNrmXx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:367:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:367:26-40
        return numpy.int32(78) # bld/herlev/final/default/src/fusion/Parameters.mbi:367:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:367:26-40
      if (_0_v=="solItgNrmBarx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:368:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:368:28-42
        return numpy.int32(76) # bld/herlev/final/default/src/fusion/Parameters.mbi:368:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:368:28-42
      if (_0_v=="presolveTotalPrimalPerturbation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:369:6-44
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:369:46-60
        return numpy.int32(49) # bld/herlev/final/default/src/fusion/Parameters.mbi:369:48-58
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:369:46-60
      if (_0_v=="intpntFactorNumFlops"): # bld/herlev/final/default/src/fusion/Parameters.mbi:370:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:370:35-48
        return numpy.int32(9) # bld/herlev/final/default/src/fusion/Parameters.mbi:370:37-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:370:35-48
      if (_0_v=="qcqoReformulateTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:371:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:371:34-48
        return numpy.int32(52) # bld/herlev/final/default/src/fusion/Parameters.mbi:371:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:371:34-48
      if (_0_v=="qcqoReformulateMaxPerturbation"): # bld/herlev/final/default/src/fusion/Parameters.mbi:372:6-43
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:372:45-59
        return numpy.int32(51) # bld/herlev/final/default/src/fusion/Parameters.mbi:372:47-57
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:372:45-59
      if (_0_v=="qcqoReformulateWorstCholeskyDiagScaling"): # bld/herlev/final/default/src/fusion/Parameters.mbi:373:6-52
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:373:54-68
        return numpy.int32(54) # bld/herlev/final/default/src/fusion/Parameters.mbi:373:56-66
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:373:54-68
      if (_0_v=="qcqoReformulateWorstCholeskyColumnScaling"): # bld/herlev/final/default/src/fusion/Parameters.mbi:374:6-54
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:374:56-70
        return numpy.int32(53) # bld/herlev/final/default/src/fusion/Parameters.mbi:374:58-68
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:374:56-70
      if (_0_v=="primalRepairPenaltyObj"): # bld/herlev/final/default/src/fusion/Parameters.mbi:375:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:375:37-51
        return numpy.int32(50) # bld/herlev/final/default/src/fusion/Parameters.mbi:375:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:375:37-51
      if (_0_v=="remoteTime"): # bld/herlev/final/default/src/fusion/Parameters.mbi:376:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:376:25-39
        return numpy.int32(56) # bld/herlev/final/default/src/fusion/Parameters.mbi:376:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:376:25-39
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:377:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:265:0-378:1
    @staticmethod
    def __string_1to_1solformat_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1solformat_1value_S(_0_v)
    @staticmethod
    def __string_1to_1solformat_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:257:0-263:1
      if (_0_v=="extension"): # bld/herlev/final/default/src/fusion/Parameters.mbi:258:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:258:24-37
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:258:26-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:258:24-37
      if (_0_v=="b"): # bld/herlev/final/default/src/fusion/Parameters.mbi:259:6-14
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:259:16-29
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:259:18-27
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:259:16-29
      if (_0_v=="task"): # bld/herlev/final/default/src/fusion/Parameters.mbi:260:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:260:19-32
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:260:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:260:19-32
      if (_0_v=="jsonTask"): # bld/herlev/final/default/src/fusion/Parameters.mbi:261:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:261:23-36
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:261:25-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:261:23-36
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:262:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:257:0-263:1
    @staticmethod
    def __string_1to_1dataformat_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1dataformat_1value_S(_0_v)
    @staticmethod
    def __string_1to_1dataformat_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:244:0-255:1
      if (_0_v=="extension"): # bld/herlev/final/default/src/fusion/Parameters.mbi:245:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:245:24-37
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:245:26-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:245:24-37
      if (_0_v=="mps"): # bld/herlev/final/default/src/fusion/Parameters.mbi:246:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:246:18-31
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:246:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:246:18-31
      if (_0_v=="lp"): # bld/herlev/final/default/src/fusion/Parameters.mbi:247:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:247:17-30
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:247:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:247:17-30
      if (_0_v=="op"): # bld/herlev/final/default/src/fusion/Parameters.mbi:248:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:248:17-30
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:248:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:248:17-30
      if (_0_v=="freeMps"): # bld/herlev/final/default/src/fusion/Parameters.mbi:249:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:249:22-35
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:249:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:249:22-35
      if (_0_v=="task"): # bld/herlev/final/default/src/fusion/Parameters.mbi:250:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:250:19-32
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:250:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:250:19-32
      if (_0_v=="ptf"): # bld/herlev/final/default/src/fusion/Parameters.mbi:251:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:251:18-31
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:251:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:251:18-31
      if (_0_v=="cb"): # bld/herlev/final/default/src/fusion/Parameters.mbi:252:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:252:17-30
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:252:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:252:17-30
      if (_0_v=="jsonTask"): # bld/herlev/final/default/src/fusion/Parameters.mbi:253:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:253:23-36
        return numpy.int32(8) # bld/herlev/final/default/src/fusion/Parameters.mbi:253:25-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:253:23-36
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:254:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:244:0-255:1
    @staticmethod
    def __string_1to_1symmattype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1symmattype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1symmattype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:239:0-242:1
      if (_0_v=="sparse"): # bld/herlev/final/default/src/fusion/Parameters.mbi:240:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:240:21-34
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:240:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:240:21-34
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:241:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:239:0-242:1
    @staticmethod
    def __string_1to_1nametype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1nametype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1nametype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:232:0-237:1
      if (_0_v=="gen"): # bld/herlev/final/default/src/fusion/Parameters.mbi:233:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:233:18-31
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:233:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:233:18-31
      if (_0_v=="mps"): # bld/herlev/final/default/src/fusion/Parameters.mbi:234:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:234:18-31
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:234:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:234:18-31
      if (_0_v=="lp"): # bld/herlev/final/default/src/fusion/Parameters.mbi:235:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:235:17-30
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:235:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:235:17-30
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:236:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:232:0-237:1
    @staticmethod
    def __string_1to_1domaintype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1domaintype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1domaintype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:215:0-230:1
      if (_0_v=="r"): # bld/herlev/final/default/src/fusion/Parameters.mbi:216:6-14
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:216:16-29
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:216:18-27
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:216:16-29
      if (_0_v=="rzero"): # bld/herlev/final/default/src/fusion/Parameters.mbi:217:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:217:20-33
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:217:22-31
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:217:20-33
      if (_0_v=="rplus"): # bld/herlev/final/default/src/fusion/Parameters.mbi:218:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:218:20-33
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:218:22-31
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:218:20-33
      if (_0_v=="rminus"): # bld/herlev/final/default/src/fusion/Parameters.mbi:219:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:219:21-34
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:219:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:219:21-34
      if (_0_v=="quadraticCone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:220:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:220:28-41
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:220:30-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:220:28-41
      if (_0_v=="rquadraticCone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:221:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:221:29-42
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:221:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:221:29-42
      if (_0_v=="primalExpCone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:222:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:222:28-41
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:222:30-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:222:28-41
      if (_0_v=="dualExpCone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:223:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:223:26-39
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:223:28-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:223:26-39
      if (_0_v=="primalPowerCone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:224:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:224:30-43
        return numpy.int32(8) # bld/herlev/final/default/src/fusion/Parameters.mbi:224:32-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:224:30-43
      if (_0_v=="dualPowerCone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:225:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:225:28-41
        return numpy.int32(9) # bld/herlev/final/default/src/fusion/Parameters.mbi:225:30-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:225:28-41
      if (_0_v=="primalGeoMeanCone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:226:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:226:32-46
        return numpy.int32(10) # bld/herlev/final/default/src/fusion/Parameters.mbi:226:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:226:32-46
      if (_0_v=="dualGeoMeanCone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:227:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:227:30-44
        return numpy.int32(11) # bld/herlev/final/default/src/fusion/Parameters.mbi:227:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:227:30-44
      if (_0_v=="svecPsdCone"): # bld/herlev/final/default/src/fusion/Parameters.mbi:228:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:228:26-40
        return numpy.int32(12) # bld/herlev/final/default/src/fusion/Parameters.mbi:228:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:228:26-40
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:229:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:215:0-230:1
    @staticmethod
    def __string_1to_1conetype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1conetype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1conetype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:204:0-213:1
      if (_0_v=="quad"): # bld/herlev/final/default/src/fusion/Parameters.mbi:205:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:205:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:205:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:205:19-32
      if (_0_v=="rquad"): # bld/herlev/final/default/src/fusion/Parameters.mbi:206:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:206:20-33
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:206:22-31
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:206:20-33
      if (_0_v=="pexp"): # bld/herlev/final/default/src/fusion/Parameters.mbi:207:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:207:19-32
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:207:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:207:19-32
      if (_0_v=="dexp"): # bld/herlev/final/default/src/fusion/Parameters.mbi:208:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:208:19-32
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:208:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:208:19-32
      if (_0_v=="ppow"): # bld/herlev/final/default/src/fusion/Parameters.mbi:209:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:209:19-32
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:209:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:209:19-32
      if (_0_v=="dpow"): # bld/herlev/final/default/src/fusion/Parameters.mbi:210:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:210:19-32
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:210:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:210:19-32
      if (_0_v=="zero"): # bld/herlev/final/default/src/fusion/Parameters.mbi:211:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:211:19-32
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:211:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:211:19-32
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:212:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:204:0-213:1
    @staticmethod
    def __string_1to_1compresstype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1compresstype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1compresstype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:196:0-202:1
      if (_0_v=="none"): # bld/herlev/final/default/src/fusion/Parameters.mbi:197:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:197:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:197:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:197:19-32
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:198:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:198:19-32
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:198:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:198:19-32
      if (_0_v=="gzip"): # bld/herlev/final/default/src/fusion/Parameters.mbi:199:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:199:19-32
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:199:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:199:19-32
      if (_0_v=="zstd"): # bld/herlev/final/default/src/fusion/Parameters.mbi:200:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:200:19-32
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:200:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:200:19-32
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:201:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:196:0-202:1
    @staticmethod
    def __string_1to_1callbackcode_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1callbackcode_1value_S(_0_v)
    @staticmethod
    def __string_1to_1callbackcode_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:98:0-194:1
      if (_0_v=="beginRootCutgen"): # bld/herlev/final/default/src/fusion/Parameters.mbi:99:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:99:30-44
        return numpy.int32(21) # bld/herlev/final/default/src/fusion/Parameters.mbi:99:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:99:30-44
      if (_0_v=="imRootCutgen"): # bld/herlev/final/default/src/fusion/Parameters.mbi:100:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:100:27-41
        return numpy.int32(75) # bld/herlev/final/default/src/fusion/Parameters.mbi:100:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:100:27-41
      if (_0_v=="endRootCutgen"): # bld/herlev/final/default/src/fusion/Parameters.mbi:101:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:101:28-42
        return numpy.int32(50) # bld/herlev/final/default/src/fusion/Parameters.mbi:101:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:101:28-42
      if (_0_v=="beginSolveRootRelax"): # bld/herlev/final/default/src/fusion/Parameters.mbi:102:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:102:34-48
        return numpy.int32(24) # bld/herlev/final/default/src/fusion/Parameters.mbi:102:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:102:34-48
      if (_0_v=="endSolveRootRelax"): # bld/herlev/final/default/src/fusion/Parameters.mbi:103:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:103:32-46
        return numpy.int32(53) # bld/herlev/final/default/src/fusion/Parameters.mbi:103:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:103:32-46
      if (_0_v=="beginOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:104:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:104:29-43
        return numpy.int32(11) # bld/herlev/final/default/src/fusion/Parameters.mbi:104:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:104:29-43
      if (_0_v=="endOptimizer"): # bld/herlev/final/default/src/fusion/Parameters.mbi:105:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:105:27-41
        return numpy.int32(40) # bld/herlev/final/default/src/fusion/Parameters.mbi:105:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:105:27-41
      if (_0_v=="beginPresolve"): # bld/herlev/final/default/src/fusion/Parameters.mbi:106:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:106:28-42
        return numpy.int32(12) # bld/herlev/final/default/src/fusion/Parameters.mbi:106:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:106:28-42
      if (_0_v=="updatePresolve"): # bld/herlev/final/default/src/fusion/Parameters.mbi:107:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:107:29-43
        return numpy.int32(88) # bld/herlev/final/default/src/fusion/Parameters.mbi:107:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:107:29-43
      if (_0_v=="imPresolve"): # bld/herlev/final/default/src/fusion/Parameters.mbi:108:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:108:25-39
        return numpy.int32(69) # bld/herlev/final/default/src/fusion/Parameters.mbi:108:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:108:25-39
      if (_0_v=="endPresolve"): # bld/herlev/final/default/src/fusion/Parameters.mbi:109:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:109:26-40
        return numpy.int32(41) # bld/herlev/final/default/src/fusion/Parameters.mbi:109:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:109:26-40
      if (_0_v=="beginIntpnt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:110:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:110:26-39
        return numpy.int32(8) # bld/herlev/final/default/src/fusion/Parameters.mbi:110:28-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:110:26-39
      if (_0_v=="intpnt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:111:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:111:21-35
        return numpy.int32(78) # bld/herlev/final/default/src/fusion/Parameters.mbi:111:23-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:111:21-35
      if (_0_v=="imIntpnt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:112:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:112:23-37
        return numpy.int32(61) # bld/herlev/final/default/src/fusion/Parameters.mbi:112:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:112:23-37
      if (_0_v=="endIntpnt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:113:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:113:24-38
        return numpy.int32(37) # bld/herlev/final/default/src/fusion/Parameters.mbi:113:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:113:24-38
      if (_0_v=="beginConic"): # bld/herlev/final/default/src/fusion/Parameters.mbi:114:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:114:25-38
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:114:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:114:25-38
      if (_0_v=="conic"): # bld/herlev/final/default/src/fusion/Parameters.mbi:115:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:115:20-34
        return numpy.int32(27) # bld/herlev/final/default/src/fusion/Parameters.mbi:115:22-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:115:20-34
      if (_0_v=="imConic"): # bld/herlev/final/default/src/fusion/Parameters.mbi:116:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:116:22-36
        return numpy.int32(57) # bld/herlev/final/default/src/fusion/Parameters.mbi:116:24-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:116:22-36
      if (_0_v=="endConic"): # bld/herlev/final/default/src/fusion/Parameters.mbi:117:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:117:23-37
        return numpy.int32(30) # bld/herlev/final/default/src/fusion/Parameters.mbi:117:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:117:23-37
      if (_0_v=="primalSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:118:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:118:28-42
        return numpy.int32(80) # bld/herlev/final/default/src/fusion/Parameters.mbi:118:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:118:28-42
      if (_0_v=="dualSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:119:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:119:26-40
        return numpy.int32(28) # bld/herlev/final/default/src/fusion/Parameters.mbi:119:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:119:26-40
      if (_0_v=="beginBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:120:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:120:22-35
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:120:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:120:22-35
      if (_0_v=="imBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:121:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:121:19-33
        return numpy.int32(56) # bld/herlev/final/default/src/fusion/Parameters.mbi:121:21-31
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:121:19-33
      if (_0_v=="endBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:122:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:122:20-34
        return numpy.int32(29) # bld/herlev/final/default/src/fusion/Parameters.mbi:122:22-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:122:20-34
      if (_0_v=="beginPrimalBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:123:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:123:28-42
        return numpy.int32(13) # bld/herlev/final/default/src/fusion/Parameters.mbi:123:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:123:28-42
      if (_0_v=="imPrimalBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:124:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:124:25-39
        return numpy.int32(70) # bld/herlev/final/default/src/fusion/Parameters.mbi:124:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:124:25-39
      if (_0_v=="updatePrimalBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:125:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:125:29-43
        return numpy.int32(89) # bld/herlev/final/default/src/fusion/Parameters.mbi:125:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:125:29-43
      if (_0_v=="endPrimalBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:126:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:126:26-40
        return numpy.int32(42) # bld/herlev/final/default/src/fusion/Parameters.mbi:126:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:126:26-40
      if (_0_v=="beginDualBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:127:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:127:26-39
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:127:28-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:127:26-39
      if (_0_v=="imDualBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:128:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:128:23-37
        return numpy.int32(58) # bld/herlev/final/default/src/fusion/Parameters.mbi:128:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:128:23-37
      if (_0_v=="updateDualBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:129:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:129:27-41
        return numpy.int32(85) # bld/herlev/final/default/src/fusion/Parameters.mbi:129:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:129:27-41
      if (_0_v=="endDualBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:130:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:130:24-38
        return numpy.int32(31) # bld/herlev/final/default/src/fusion/Parameters.mbi:130:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:130:24-38
      if (_0_v=="beginSimplexBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:131:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:131:29-43
        return numpy.int32(23) # bld/herlev/final/default/src/fusion/Parameters.mbi:131:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:131:29-43
      if (_0_v=="imSimplexBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:132:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:132:26-40
        return numpy.int32(77) # bld/herlev/final/default/src/fusion/Parameters.mbi:132:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:132:26-40
      if (_0_v=="beginPrimalSimplexBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:133:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:133:35-49
        return numpy.int32(18) # bld/herlev/final/default/src/fusion/Parameters.mbi:133:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:133:35-49
      if (_0_v=="updatePrimalSimplexBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:134:6-34
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:134:36-50
        return numpy.int32(91) # bld/herlev/final/default/src/fusion/Parameters.mbi:134:38-48
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:134:36-50
      if (_0_v=="endPrimalSimplexBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:135:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:135:33-47
        return numpy.int32(47) # bld/herlev/final/default/src/fusion/Parameters.mbi:135:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:135:33-47
      if (_0_v=="beginDualSimplexBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:136:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:136:33-46
        return numpy.int32(6) # bld/herlev/final/default/src/fusion/Parameters.mbi:136:35-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:136:33-46
      if (_0_v=="updateDualSimplexBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:137:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:137:34-48
        return numpy.int32(87) # bld/herlev/final/default/src/fusion/Parameters.mbi:137:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:137:34-48
      if (_0_v=="endDualSimplexBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:138:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:138:31-45
        return numpy.int32(35) # bld/herlev/final/default/src/fusion/Parameters.mbi:138:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:138:31-45
      if (_0_v=="endSimplexBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:139:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:139:27-41
        return numpy.int32(52) # bld/herlev/final/default/src/fusion/Parameters.mbi:139:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:139:27-41
      if (_0_v=="beginMio"): # bld/herlev/final/default/src/fusion/Parameters.mbi:140:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:140:23-37
        return numpy.int32(10) # bld/herlev/final/default/src/fusion/Parameters.mbi:140:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:140:23-37
      if (_0_v=="imMio"): # bld/herlev/final/default/src/fusion/Parameters.mbi:141:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:141:20-34
        return numpy.int32(64) # bld/herlev/final/default/src/fusion/Parameters.mbi:141:22-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:141:20-34
      if (_0_v=="newIntMio"): # bld/herlev/final/default/src/fusion/Parameters.mbi:142:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:142:24-38
        return numpy.int32(79) # bld/herlev/final/default/src/fusion/Parameters.mbi:142:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:142:24-38
      if (_0_v=="endMio"): # bld/herlev/final/default/src/fusion/Parameters.mbi:143:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:143:21-35
        return numpy.int32(39) # bld/herlev/final/default/src/fusion/Parameters.mbi:143:23-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:143:21-35
      if (_0_v=="restartMio"): # bld/herlev/final/default/src/fusion/Parameters.mbi:144:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:144:25-39
        return numpy.int32(83) # bld/herlev/final/default/src/fusion/Parameters.mbi:144:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:144:25-39
      if (_0_v=="beginSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:145:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:145:27-41
        return numpy.int32(22) # bld/herlev/final/default/src/fusion/Parameters.mbi:145:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:145:27-41
      if (_0_v=="imSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:146:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:146:24-38
        return numpy.int32(76) # bld/herlev/final/default/src/fusion/Parameters.mbi:146:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:146:24-38
      if (_0_v=="updateSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:147:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:147:28-42
        return numpy.int32(92) # bld/herlev/final/default/src/fusion/Parameters.mbi:147:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:147:28-42
      if (_0_v=="beginDualSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:148:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:148:31-44
        return numpy.int32(5) # bld/herlev/final/default/src/fusion/Parameters.mbi:148:33-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:148:31-44
      if (_0_v=="imDualSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:149:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:149:28-42
        return numpy.int32(60) # bld/herlev/final/default/src/fusion/Parameters.mbi:149:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:149:28-42
      if (_0_v=="updateDualSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:150:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:150:32-46
        return numpy.int32(86) # bld/herlev/final/default/src/fusion/Parameters.mbi:150:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:150:32-46
      if (_0_v=="endDualSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:151:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:151:29-43
        return numpy.int32(34) # bld/herlev/final/default/src/fusion/Parameters.mbi:151:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:151:29-43
      if (_0_v=="beginPrimalSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:152:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:152:33-47
        return numpy.int32(17) # bld/herlev/final/default/src/fusion/Parameters.mbi:152:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:152:33-47
      if (_0_v=="imPrimalSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:153:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:153:30-44
        return numpy.int32(72) # bld/herlev/final/default/src/fusion/Parameters.mbi:153:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:153:30-44
      if (_0_v=="updatePrimalSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:154:6-32
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:154:34-48
        return numpy.int32(90) # bld/herlev/final/default/src/fusion/Parameters.mbi:154:36-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:154:34-48
      if (_0_v=="endPrimalSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:155:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:155:31-45
        return numpy.int32(46) # bld/herlev/final/default/src/fusion/Parameters.mbi:155:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:155:31-45
      if (_0_v=="endSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:156:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:156:25-39
        return numpy.int32(51) # bld/herlev/final/default/src/fusion/Parameters.mbi:156:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:156:25-39
      if (_0_v=="beginInfeasAna"): # bld/herlev/final/default/src/fusion/Parameters.mbi:157:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:157:29-42
        return numpy.int32(7) # bld/herlev/final/default/src/fusion/Parameters.mbi:157:31-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:157:29-42
      if (_0_v=="endInfeasAna"): # bld/herlev/final/default/src/fusion/Parameters.mbi:158:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:158:27-41
        return numpy.int32(36) # bld/herlev/final/default/src/fusion/Parameters.mbi:158:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:158:27-41
      if (_0_v=="imPrimalSensivity"): # bld/herlev/final/default/src/fusion/Parameters.mbi:159:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:159:32-46
        return numpy.int32(71) # bld/herlev/final/default/src/fusion/Parameters.mbi:159:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:159:32-46
      if (_0_v=="imDualSensivity"): # bld/herlev/final/default/src/fusion/Parameters.mbi:160:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:160:30-44
        return numpy.int32(59) # bld/herlev/final/default/src/fusion/Parameters.mbi:160:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:160:30-44
      if (_0_v=="imMioIntpnt"): # bld/herlev/final/default/src/fusion/Parameters.mbi:161:6-24
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:161:26-40
        return numpy.int32(66) # bld/herlev/final/default/src/fusion/Parameters.mbi:161:28-38
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:161:26-40
      if (_0_v=="imMioPrimalSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:162:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:162:33-47
        return numpy.int32(67) # bld/herlev/final/default/src/fusion/Parameters.mbi:162:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:162:33-47
      if (_0_v=="imMioDualSimplex"): # bld/herlev/final/default/src/fusion/Parameters.mbi:163:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:163:31-45
        return numpy.int32(65) # bld/herlev/final/default/src/fusion/Parameters.mbi:163:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:163:31-45
      if (_0_v=="beginPrimalSetupBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:164:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:164:33-47
        return numpy.int32(16) # bld/herlev/final/default/src/fusion/Parameters.mbi:164:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:164:33-47
      if (_0_v=="endPrimalSetupBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:165:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:165:31-45
        return numpy.int32(45) # bld/herlev/final/default/src/fusion/Parameters.mbi:165:33-43
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:165:31-45
      if (_0_v=="beginDualSetupBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:166:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:166:31-44
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:166:33-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:166:31-44
      if (_0_v=="endDualSetupBi"): # bld/herlev/final/default/src/fusion/Parameters.mbi:167:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:167:29-43
        return numpy.int32(33) # bld/herlev/final/default/src/fusion/Parameters.mbi:167:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:167:29-43
      if (_0_v=="beginPrimalSensitivity"): # bld/herlev/final/default/src/fusion/Parameters.mbi:168:6-35
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:168:37-51
        return numpy.int32(15) # bld/herlev/final/default/src/fusion/Parameters.mbi:168:39-49
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:168:37-51
      if (_0_v=="endPrimalSensitivity"): # bld/herlev/final/default/src/fusion/Parameters.mbi:169:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:169:35-49
        return numpy.int32(44) # bld/herlev/final/default/src/fusion/Parameters.mbi:169:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:169:35-49
      if (_0_v=="beginDualSensitivity"): # bld/herlev/final/default/src/fusion/Parameters.mbi:170:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:170:35-48
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:170:37-46
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:170:35-48
      if (_0_v=="endDualSensitivity"): # bld/herlev/final/default/src/fusion/Parameters.mbi:171:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:171:33-47
        return numpy.int32(32) # bld/herlev/final/default/src/fusion/Parameters.mbi:171:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:171:33-47
      if (_0_v=="beginLicenseWait"): # bld/herlev/final/default/src/fusion/Parameters.mbi:172:6-29
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:172:31-44
        return numpy.int32(9) # bld/herlev/final/default/src/fusion/Parameters.mbi:172:33-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:172:31-44
      if (_0_v=="endLicenseWait"): # bld/herlev/final/default/src/fusion/Parameters.mbi:173:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:173:29-43
        return numpy.int32(38) # bld/herlev/final/default/src/fusion/Parameters.mbi:173:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:173:29-43
      if (_0_v=="imLicenseWait"): # bld/herlev/final/default/src/fusion/Parameters.mbi:174:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:174:28-42
        return numpy.int32(62) # bld/herlev/final/default/src/fusion/Parameters.mbi:174:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:174:28-42
      if (_0_v=="beginQcqoReformulate"): # bld/herlev/final/default/src/fusion/Parameters.mbi:175:6-33
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:175:35-49
        return numpy.int32(19) # bld/herlev/final/default/src/fusion/Parameters.mbi:175:37-47
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:175:35-49
      if (_0_v=="endQcqoReformulate"): # bld/herlev/final/default/src/fusion/Parameters.mbi:176:6-31
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:176:33-47
        return numpy.int32(48) # bld/herlev/final/default/src/fusion/Parameters.mbi:176:35-45
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:176:33-47
      if (_0_v=="imQoReformulate"): # bld/herlev/final/default/src/fusion/Parameters.mbi:177:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:177:30-44
        return numpy.int32(73) # bld/herlev/final/default/src/fusion/Parameters.mbi:177:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:177:30-44
      if (_0_v=="beginToConic"): # bld/herlev/final/default/src/fusion/Parameters.mbi:178:6-25
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:178:27-41
        return numpy.int32(25) # bld/herlev/final/default/src/fusion/Parameters.mbi:178:29-39
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:178:27-41
      if (_0_v=="endToConic"): # bld/herlev/final/default/src/fusion/Parameters.mbi:179:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:179:25-39
        return numpy.int32(54) # bld/herlev/final/default/src/fusion/Parameters.mbi:179:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:179:25-39
      if (_0_v=="beginPrimalRepair"): # bld/herlev/final/default/src/fusion/Parameters.mbi:180:6-30
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:180:32-46
        return numpy.int32(14) # bld/herlev/final/default/src/fusion/Parameters.mbi:180:34-44
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:180:32-46
      if (_0_v=="endPrimalRepair"): # bld/herlev/final/default/src/fusion/Parameters.mbi:181:6-28
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:181:30-44
        return numpy.int32(43) # bld/herlev/final/default/src/fusion/Parameters.mbi:181:32-42
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:181:30-44
      if (_0_v=="beginRead"): # bld/herlev/final/default/src/fusion/Parameters.mbi:182:6-22
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:182:24-38
        return numpy.int32(20) # bld/herlev/final/default/src/fusion/Parameters.mbi:182:26-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:182:24-38
      if (_0_v=="imRead"): # bld/herlev/final/default/src/fusion/Parameters.mbi:183:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:183:21-35
        return numpy.int32(74) # bld/herlev/final/default/src/fusion/Parameters.mbi:183:23-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:183:21-35
      if (_0_v=="endRead"): # bld/herlev/final/default/src/fusion/Parameters.mbi:184:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:184:22-36
        return numpy.int32(49) # bld/herlev/final/default/src/fusion/Parameters.mbi:184:24-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:184:22-36
      if (_0_v=="beginWrite"): # bld/herlev/final/default/src/fusion/Parameters.mbi:185:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:185:25-39
        return numpy.int32(26) # bld/herlev/final/default/src/fusion/Parameters.mbi:185:27-37
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:185:25-39
      if (_0_v=="endWrite"): # bld/herlev/final/default/src/fusion/Parameters.mbi:186:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:186:23-37
        return numpy.int32(55) # bld/herlev/final/default/src/fusion/Parameters.mbi:186:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:186:23-37
      if (_0_v=="readOpfSection"): # bld/herlev/final/default/src/fusion/Parameters.mbi:187:6-27
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:187:29-43
        return numpy.int32(82) # bld/herlev/final/default/src/fusion/Parameters.mbi:187:31-41
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:187:29-43
      if (_0_v=="imLu"): # bld/herlev/final/default/src/fusion/Parameters.mbi:188:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:188:19-33
        return numpy.int32(63) # bld/herlev/final/default/src/fusion/Parameters.mbi:188:21-31
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:188:19-33
      if (_0_v=="imOrder"): # bld/herlev/final/default/src/fusion/Parameters.mbi:189:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:189:22-36
        return numpy.int32(68) # bld/herlev/final/default/src/fusion/Parameters.mbi:189:24-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:189:22-36
      if (_0_v=="readOpf"): # bld/herlev/final/default/src/fusion/Parameters.mbi:190:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:190:22-36
        return numpy.int32(81) # bld/herlev/final/default/src/fusion/Parameters.mbi:190:24-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:190:22-36
      if (_0_v=="writeOpf"): # bld/herlev/final/default/src/fusion/Parameters.mbi:191:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:191:23-37
        return numpy.int32(93) # bld/herlev/final/default/src/fusion/Parameters.mbi:191:25-35
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:191:23-37
      if (_0_v=="solvingRemote"): # bld/herlev/final/default/src/fusion/Parameters.mbi:192:6-26
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:192:28-42
        return numpy.int32(84) # bld/herlev/final/default/src/fusion/Parameters.mbi:192:30-40
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:192:28-42
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:193:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:98:0-194:1
    @staticmethod
    def __string_1to_1purify_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1purify_1value_S(_0_v)
    @staticmethod
    def __string_1to_1purify_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:89:0-96:1
      if (_0_v=="none"): # bld/herlev/final/default/src/fusion/Parameters.mbi:90:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:90:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:90:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:90:19-32
      if (_0_v=="primal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:91:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:91:21-34
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:91:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:91:21-34
      if (_0_v=="dual"): # bld/herlev/final/default/src/fusion/Parameters.mbi:92:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:92:19-32
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:92:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:92:19-32
      if (_0_v=="primalDual"): # bld/herlev/final/default/src/fusion/Parameters.mbi:93:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:93:25-38
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:93:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:93:25-38
      if (_0_v=="auto"): # bld/herlev/final/default/src/fusion/Parameters.mbi:94:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:94:19-32
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:94:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:94:19-32
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:95:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:89:0-96:1
    @staticmethod
    def __string_1to_1intpnthotstart_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1intpnthotstart_1value_S(_0_v)
    @staticmethod
    def __string_1to_1intpnthotstart_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:81:0-87:1
      if (_0_v=="none"): # bld/herlev/final/default/src/fusion/Parameters.mbi:82:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:82:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:82:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:82:19-32
      if (_0_v=="primal"): # bld/herlev/final/default/src/fusion/Parameters.mbi:83:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:83:21-34
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:83:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:83:21-34
      if (_0_v=="dual"): # bld/herlev/final/default/src/fusion/Parameters.mbi:84:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:84:19-32
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:84:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:84:19-32
      if (_0_v=="primalDual"): # bld/herlev/final/default/src/fusion/Parameters.mbi:85:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:85:25-38
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:85:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:85:25-38
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:86:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:81:0-87:1
    @staticmethod
    def __string_1to_1simhotstart_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1simhotstart_1value_S(_0_v)
    @staticmethod
    def __string_1to_1simhotstart_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:74:0-79:1
      if (_0_v=="none"): # bld/herlev/final/default/src/fusion/Parameters.mbi:75:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:75:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:75:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:75:19-32
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:76:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:76:19-32
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:76:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:76:19-32
      if (_0_v=="statusKeys"): # bld/herlev/final/default/src/fusion/Parameters.mbi:77:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:77:25-38
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:77:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:77:25-38
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:78:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:74:0-79:1
    @staticmethod
    def __string_1to_1simdupvec_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1simdupvec_1value_S(_0_v)
    @staticmethod
    def __string_1to_1simdupvec_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:67:0-72:1
      if (_0_v=="on"): # bld/herlev/final/default/src/fusion/Parameters.mbi:68:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:68:17-30
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:68:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:68:17-30
      if (_0_v=="off"): # bld/herlev/final/default/src/fusion/Parameters.mbi:69:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:69:18-31
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:69:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:69:18-31
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:70:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:70:19-32
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:70:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:70:19-32
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:71:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:67:0-72:1
    @staticmethod
    def __string_1to_1simreform_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1simreform_1value_S(_0_v)
    @staticmethod
    def __string_1to_1simreform_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:59:0-65:1
      if (_0_v=="on"): # bld/herlev/final/default/src/fusion/Parameters.mbi:60:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:60:17-30
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:60:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:60:17-30
      if (_0_v=="off"): # bld/herlev/final/default/src/fusion/Parameters.mbi:61:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:61:18-31
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:61:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:61:18-31
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:62:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:62:19-32
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:62:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:62:19-32
      if (_0_v=="aggressive"): # bld/herlev/final/default/src/fusion/Parameters.mbi:63:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:63:25-38
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:63:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:63:25-38
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:64:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:59:0-65:1
    @staticmethod
    def __string_1to_1uplo_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1uplo_1value_S(_0_v)
    @staticmethod
    def __string_1to_1uplo_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:53:0-57:1
      if (_0_v=="lo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:54:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:54:17-30
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:54:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:54:17-30
      if (_0_v=="up"): # bld/herlev/final/default/src/fusion/Parameters.mbi:55:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:55:17-30
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:55:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:55:17-30
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:56:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:53:0-57:1
    @staticmethod
    def __string_1to_1transpose_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1transpose_1value_S(_0_v)
    @staticmethod
    def __string_1to_1transpose_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:47:0-51:1
      if (_0_v=="no"): # bld/herlev/final/default/src/fusion/Parameters.mbi:48:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:48:17-30
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:48:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:48:17-30
      if (_0_v=="yes"): # bld/herlev/final/default/src/fusion/Parameters.mbi:49:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:49:18-31
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:49:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:49:18-31
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:50:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:47:0-51:1
    @staticmethod
    def __string_1to_1simdegen_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1simdegen_1value_S(_0_v)
    @staticmethod
    def __string_1to_1simdegen_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:38:0-45:1
      if (_0_v=="none"): # bld/herlev/final/default/src/fusion/Parameters.mbi:39:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:39:19-32
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:39:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:39:19-32
      if (_0_v=="free"): # bld/herlev/final/default/src/fusion/Parameters.mbi:40:6-17
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:40:19-32
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:40:21-30
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:40:19-32
      if (_0_v=="aggressive"): # bld/herlev/final/default/src/fusion/Parameters.mbi:41:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:41:25-38
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:41:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:41:25-38
      if (_0_v=="moderate"): # bld/herlev/final/default/src/fusion/Parameters.mbi:42:6-21
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:42:23-36
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:42:25-34
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:42:23-36
      if (_0_v=="minimum"): # bld/herlev/final/default/src/fusion/Parameters.mbi:43:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:43:22-35
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:43:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:43:22-35
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:44:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:38:0-45:1
    @staticmethod
    def __string_1to_1mark_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1mark_1value_S(_0_v)
    @staticmethod
    def __string_1to_1mark_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:32:0-36:1
      if (_0_v=="lo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:33:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:33:17-30
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:33:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:33:17-30
      if (_0_v=="up"): # bld/herlev/final/default/src/fusion/Parameters.mbi:34:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:34:17-30
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:34:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:34:17-30
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:35:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:32:0-36:1
    @staticmethod
    def __string_1to_1boundkey_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1boundkey_1value_S(_0_v)
    @staticmethod
    def __string_1to_1boundkey_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:23:0-30:1
      if (_0_v=="lo"): # bld/herlev/final/default/src/fusion/Parameters.mbi:24:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:24:17-30
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:24:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:24:17-30
      if (_0_v=="up"): # bld/herlev/final/default/src/fusion/Parameters.mbi:25:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:25:17-30
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:25:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:25:17-30
      if (_0_v=="fx"): # bld/herlev/final/default/src/fusion/Parameters.mbi:26:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:26:17-30
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:26:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:26:17-30
      if (_0_v=="fr"): # bld/herlev/final/default/src/fusion/Parameters.mbi:27:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:27:17-30
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:27:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:27:17-30
      if (_0_v=="ra"): # bld/herlev/final/default/src/fusion/Parameters.mbi:28:6-15
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:28:17-30
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:28:19-28
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:28:17-30
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:29:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:23:0-30:1
    @staticmethod
    def __string_1to_1basindtype_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1basindtype_1value_S(_0_v)
    @staticmethod
    def __string_1to_1basindtype_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:14:0-21:1
      if (_0_v=="never"): # bld/herlev/final/default/src/fusion/Parameters.mbi:15:6-18
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:15:20-33
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:15:22-31
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:15:20-33
      if (_0_v=="always"): # bld/herlev/final/default/src/fusion/Parameters.mbi:16:6-19
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:16:21-34
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:16:23-32
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:16:21-34
      if (_0_v=="noError"): # bld/herlev/final/default/src/fusion/Parameters.mbi:17:6-20
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:17:22-35
        return numpy.int32(2) # bld/herlev/final/default/src/fusion/Parameters.mbi:17:24-33
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:17:22-35
      if (_0_v=="ifFeasible"): # bld/herlev/final/default/src/fusion/Parameters.mbi:18:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:18:25-38
        return numpy.int32(3) # bld/herlev/final/default/src/fusion/Parameters.mbi:18:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:18:25-38
      if (_0_v=="reservered"): # bld/herlev/final/default/src/fusion/Parameters.mbi:19:6-23
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:19:25-38
        return numpy.int32(4) # bld/herlev/final/default/src/fusion/Parameters.mbi:19:27-36
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:19:25-38
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:20:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:14:0-21:1
    @staticmethod
    def __string_1to_1language_1value_alt_S(_t__0_v):
      return mosek_fusion_Parameters.__string_1to_1language_1value_S(_0_v)
    @staticmethod
    def __string_1to_1language_1value_S(_0_v):
      # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:8:0-12:1
      if (_0_v=="eng"): # bld/herlev/final/default/src/fusion/Parameters.mbi:9:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:9:18-31
        return numpy.int32(0) # bld/herlev/final/default/src/fusion/Parameters.mbi:9:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:9:18-31
      if (_0_v=="dan"): # bld/herlev/final/default/src/fusion/Parameters.mbi:10:6-16
        # Start scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:10:18-31
        return numpy.int32(1) # bld/herlev/final/default/src/fusion/Parameters.mbi:10:20-29
        # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:10:18-31
      return numpy.int32((- 1)) # bld/herlev/final/default/src/fusion/Parameters.mbi:11:2-12
      # End   scope @ bld/herlev/final/default/src/fusion/Parameters.mbi:8:0-12:1
  return Parameters
mosek_fusion_Parameters=__mk_mosek_fusion_Parameters()
del __mk_mosek_fusion_Parameters

#-- BEGIN Class mosek.fusion.Utils.StringIntMap from external file src/fusion/python/Utils_StringIntMap.py
def __mk_mosek_fusion_Utils_StringIntMap():
  class StringIntMap:
    def __init__ (self):
      self.__d = {}
    def _hasItem_S(self,key): return key in self.__d
    def _getItem_S(self,key): return self.__d[key]
    def _setItem_SI(self,key,val): self.__d[key] = val
    def _keys_(self): return numpy.array(list(self.__d.keys()))
    def _values_(self): return numpy.array(list(self.__d.values()))
    def _clone_(self):
      r = self.__class__()
      r.__d.update(self.__d)
      return r
  return StringIntMap
mosek_fusion_Utils_StringIntMap=__mk_mosek_fusion_Utils_StringIntMap()
#-- END   Class mosek.fusion.Utils.StringIntMap from external file src/fusion/python/Utils_StringIntMap.py
#-- BEGIN Class mosek.fusion.Utils.IntMap from external file src/fusion/python/Utils_IntMap.py
def __mk_mosek_fusion_Utils_IntMap():
  class IntMap:
    def __init__ (self):
      self.__d = {}
    def _hasItem_J(self,key): return key in self.__d
    def _getItem_J(self,key): return self.__d[key]
    def _setItem_JI(self,key,val): self.__d[key] = val
    def _keys_(self): return numpy.array(list(self.__d.keys()))
    def _values_(self): return numpy.array(list(self.__d.values()))
    def _clone_(self):
      r = self.__class__()
      r.__d.update(self.__d)
      return r
  
  
  
  return IntMap
mosek_fusion_Utils_IntMap=__mk_mosek_fusion_Utils_IntMap()
#-- END   Class mosek.fusion.Utils.IntMap from external file src/fusion/python/Utils_IntMap.py
#-- BEGIN Class mosek.fusion.Utils.StringBuffer from external file src/fusion/python/Utils_StringBuffer.py
def __mk_mosek_fusion_Utils_StringBuffer():
  class StringBuffer:
    def __init__(self):
      self.__buf = []
    def __a(self,v):
      self.__buf.append(str(v))
      return self
    def __a_array(self,v):
      if v is None: self.__buf.append("None")
      else: self.__buf.append(str(v))
      return self
  
    _a_Z   = __a
    _a_I   = __a
    _a_J   = __a
    _a_U   = __a
    _a_D   = __a
    _a_S   = __a
    _a_B   = __a
    _a__3I = __a_array
    def _a__3J(self,v):
      if v is not None: self.__buf.extend([ '[',','.join(['%i' % i for i in v]),']'])
      else:             self.__buf.append('None')
      return self
    def _a__3D(self,v):
      if v is not None: self.__buf.extend([ '[',','.join(['%g' % i for i in v]),']'])
      else:             self.__buf.append('None')
      return self
    _a__3S = __a_array
    def _lf_(self):
      self.__buf.append('\n')
      return self
    def _clear_ (self):
      self.__buf = []
      return self
    def _toString_(self):
      return ''.join(self.__buf)
    def _toString_(self):
      return ''.join(self.__buf)
    def _consolePrint_(self):
      print(self._toString_())
      self._clear_()
      return(self)
  return StringBuffer
mosek_fusion_Utils_StringBuffer=__mk_mosek_fusion_Utils_StringBuffer()
#-- END   Class mosek.fusion.Utils.StringBuffer from external file src/fusion/python/Utils_StringBuffer.py
#-- BEGIN Class mosek.fusion.Utils.Tools from external file src/fusion/python/Utils_Tools.py
def __mk_mosek_fusion_Utils_Tools():
  
  import random,ctypes,math
  class Tools:
    @staticmethod
    def __arraycopy(src,srcoffset,tgt,tgtoffset,size):
      if len(tgt) < tgtoffset+size or len(src) < srcoffset+size:
        raise IndexError("Copy slice out of range")
      tgt[tgtoffset:tgtoffset+size] = src[srcoffset:srcoffset+size]
  
    _arraycopy__3II_3III =  __arraycopy
    _arraycopy__3JI_3JII = __arraycopy
    _arraycopy__3_3II_3_3III = __arraycopy
    _arraycopy__3_3DI_3_3DII = __arraycopy
    _arraycopy__3DI_3DII = __arraycopy
    _arraycopy__3IJ_3IJJ = __arraycopy
    _arraycopy__3JJ_3JJJ = __arraycopy
    _arraycopy__3DJ_3DJJ = __arraycopy
  
    @staticmethod
    def __arrayclone(a):
      if a is None:
        raise FatalError("Unexpected None passed to arraycopy. Cloning a None array is not allowed.")
      if isinstance(a,numpy.ndarray):
        return a.copy()
      else:      
        return numpy.array(a)
  
    _arraycopy__3D = __arrayclone
    _arraycopy__3I = __arrayclone
    _arraycopy__3J = __arrayclone
    _arraycopy__3S = __arrayclone
  
    @staticmethod
    def __arraylength(a): return len(a)
  
    _arraylength__3Lmosek_4fusion_4Variable_2   = __arraylength
    _arraylength__3Lmosek_4fusion_4Constranit_2 = __arraylength  
    _arraylength__3Lmosek_4fusion_4Matrix_2     = __arraylength  
    _arraylength__3S   = __arraylength  
    _arraylength__3I   = __arraylength  
    _arraylength__3J   = __arraylength  
    _arraylength__3D   = __arraylength  
    _arraylength__3_3D = __arraylength  
    _arraylength__3_3I = __arraylength  
    _uarraylength__3I  = __arraylength 
    _uarraylength__3J  = __arraylength 
    _uarraylength__3D  = __arraylength 
    _uarraylength__3Lmosek_4fusion_4Variable_2   = __arraylength 
    _uarraylength__3Lmosek_4fusion_4Constraint_2 = __arraylength 
    _uarraylength__3Lmosek_4fusion_4Matrix_2     = __arraylength 
    _uarraylength__3_3S = __arraylength 
    _uarraylength__3_3D = __arraylength 
    _uarraylength__3_3I = __arraylength 
  
    @staticmethod
    def __matrixheight(m): return m.shape[0]
    @staticmethod
    def __matrixwidth(m): return m.shape[1]
    
    _matrixheight__3_3D = __matrixheight
    _matrixwidth__3_3D  = __matrixwidth
    _matrixheight__3_3Lmosek_4fusion_4Matrix_2 = __matrixheight
    _matrixwidth__3_3Lmosek_4fusion_4Matrix_2  = __matrixwidth
   
    @staticmethod   
    def _range_J (last): return numpy.arange(last,dtype=numpy.int64)
    @staticmethod   
    def _range_JJ(first,last): return numpy.arange(first,last,dtype=numpy.int64)
    @staticmethod   
    def _range_JJJ(first,last,step): return numpy.arange(first,last,step,dtype=numpy.int64)
  
    @staticmethod   
    def _range_I (last): return numpy.arange(last,dtype=numpy.int32)
    @staticmethod   
    def _range_II(first,last): return numpy.arange(first,last,dtype=numpy.int32)
    @staticmethod   
    def _range_III(first,last,step): return numpy.arange(first,last,step,dtype=numpy.int32)
  
    @staticmethod   
    def _zeros_I (num): return  numpy.zeros((num,),dtype=numpy.float64)
    @staticmethod   
    def _zeros_II (dimi,dimj): return  numpy.zeros((dimi,dimj),dtype=numpy.float64)
    @staticmethod   
    def _ones_I(num):  return  numpy.ones((num,),numpy.float64)
    
    __rand = random.Random()
    @staticmethod   
    def _randInt_I(max):
      return Tools.__rand.randint(0,max-1)
      
    @staticmethod   
    def _argsort__3J_3I_3JII(perm,val1,val2,first,last):
      if last-first > 1:
        p = list(perm[first:last])
        p.sort(lambda lhs,rhs: cmp(val1[lhs],val1[rhs]) or cmp(val2[lhs],val2[rhs]))
        perm[first:last] = p
  
    @staticmethod   
    def _argsort__3J_3I_3I(perm,val1,val2):    
      Tools._argsort__3I_3I_3III(perm,val1,val2,0,len(perm))
    
    @staticmethod   
    def _argsort__3J_3I(perm,vals):
      Tools._argsort__3I_3III(perm,vals,0,len(perm))
  
    @staticmethod   
    def _argsort__3J_3III(perm,val,first,last):
      if last-first > 1:
        p = list(perm[first:last])
        p.sort(lambda lhs,rhs: cmp(val[lhs],val[rhs]))
        perm[first:last] = p
  
    @staticmethod
    def _sort__3I_II (vals,first,last):
      if last-first > 1:
        tmp = vals[first:last]
        tmp.sort()
        vals[first:last] = tmp
  
    @staticmethod   
    def _makevector_DI(val,num): 
      r = numpy.zeros((num,), numpy.float64)
      r[:] = val
      return r
    @staticmethod   
    def _makevector_II(val,num): 
      r = numpy.zeros((num,), numpy.int32)
      r[:] = val
      return r
    @staticmethod   
    def _makevector_JI(val,num): 
      r = numpy.zeros((num,), numpy.int64)
      r[:] = val
      return r
    @staticmethod   
    def _repeatrange_III(first,last,num):
      res = numpy.zeros(((last-first)*num,),numpy.int32)
      ra = numpy.arange(first,last)
      l = last-first
      for i in range(num):
        res[i*l:(i+1)*l] = ra
      return res
    @staticmethod   
    def _repeatrange_JJJ(first,last,num):
      res = numpy.zeros(((last-first)*num,),numpy.int64)
      ra = numpy.arange(first,last)
      l = last-first
      for i in range(num):
        res[i*l:(i+1)*l] = ra
      return res
    @staticmethod
    def  _stringvalue_I(v): return str(v)
    @staticmethod
    def  _stringvalue_J(v): return str(v)
  
    @staticmethod
    def _toDouble_S(v):    
      return float(v)
  
    @staticmethod
    def _sqrt_D(v):
      return math.sqrt(v)
    
    @staticmethod
    def _toInt_S(v):
      return int(v)
  
  
    @staticmethod 
    def _argsort2(perm,v,first,last):
      l = sorted(perm[first:last],key=lambda i: v[i])
      perm[first:last] = l
    
    @staticmethod 
    def _argsort2x(perm,v0,v1,first,last):
      l = sorted(perm[first:last],key=lambda i: (v0[i],v1[i]))
      perm[first:last] = l
  
  
  
    @staticmethod 
    def _argsort__3J_3IJJ(perm,v,first,last):
      return Tools._argsort2(perm,v,first,last)
    
    @staticmethod 
    def _argsort__3J_3JJJ(perm,v,first,last):
      return Tools._argsort2(perm,v,first,last)
  
    @staticmethod 
    def _argsort__3J_3I_3IJJ(perm,v0,v1,first,last):
      return Tools._argsort2x(perm,v0,v1,first,last)
    
    @staticmethod 
    def _argsort__3J_3J_3JJJ(perm,v0,v1,first,last):
      return Tools._argsort2x(perm,v0,v1,first,last)
  
    @staticmethod
    def _bucketsort__3JJJ_3III(perm,first,last,v,minval,maxval):
      if True:
        count = numpy.zeros((maxval-minval+2,),numpy.int64)
        for i in range(first,last): count[v[perm[i]]-minval+1] += 1
        ptrb = count.cumsum()
        rperm = numpy.zeros((last-first,),numpy.int64)
        for i in range(first,last):
          rperm[ptrb[v[perm[i]]-minval]] = perm[i]
          ptrb[v[perm[i]]-minval] += 1
        perm[first:last] = rperm
  
      else:
        perm_ct = perm.ctypes
        v_ct    = v.ctypes
        if perm_ct.strides[0] == 8:
          #print( perm_ct.strides[:], perm_ct.shape[:],perm_ct.get_data())
          arg_perm  = perm_ct.data_as(ctypes.POINTER(ctypes.c_longlong))
          copy_perm = False
        else:
          tmpperm = numpy.array(perm_ct[first:last],numpy.int64)
          arg_perm  = tmpperm.ctypes.data_as(ctypes.POINTER(ctypes.c_longlong))
          copy_perm = True
  
        if v_ct.strides[0] == 4:
          arg_v = v_ct.data_as(ctypes.POINTER(ctypes.c_int))
          copy_v = False
        else:
          tmpv = numpy.array(v_ct,numpy.int32)
          arg_v  = tmpv.ctypes.data_as(ctypes.POINTER(ctypes.c_int))
          copy_v = True
  
        n = last-first
        m = maxval - minval + 1
        workspace = (ctypes.c_longlong*(m+n))()
  
        mosek.__library__.MSK_bucketsort__3JS_3III_3V(arg_perm,first,last,arg_v,minval,maxval,workspace)
        del arg_perm,arg_v
  
        if copy_v: 
          v[:] = tmpv
          del tmpv
        if copy_perm: 
          perm[first:last] = tmpperm
          del tmpperm
  
      
    @staticmethod
    def _bucketsort__3JJJ_3JJJ(perm,first,last,v,minval,maxval):
      if True:
        count = numpy.zeros((maxval-minval+2,),numpy.int64)
        for i in range(first,last): count[v[perm[i]]-minval+1] += 1
        ptrb = count.cumsum()
        rperm = numpy.zeros((last-first,),numpy.int64)
        for i in range(first,last):
          rperm[ptrb[v[perm[i]]-minval]] = perm[i]
          ptrb[v[perm[i]]-minval] += 1
        perm[first:last] = rperm
        #print( rperm,v)
  
      else:
        perm_ct = perm.ctypes
        v_ct    = v.ctypes
        
       
        if perm_ct.strides[0] == 8:
          arg_perm  = perm_ct.data_as(ctypes.POINTER(ctypes.c_longlong))
          copy_perm = False
        else:
          tmpperm = numpy.array(perm_ct[first:last],numpy.int64)
          arg_perm  = tmpperm.ctypes.data_as(ctypes.POINTER(ctypes.c_longlong))
          copy_perm = True
  
  
        if v_ct.strides[0] == 8:
          arg_v = v_ct.data_as(ctypes.POINTER(ctypes.c_longlong))
          copy_v = False
        else:
          tmpv = numpy.array(v_ct,numpy.int64)
          arg_v  = tmpv.ctypes.data_as(ctypes.POINTER(ctypes.c_longlong))
          copy_v = True
  
        n = last-first
        m = maxval - minval + 1
        workspace = (ctypes.c_longlong*(m+n))()
  
        mosek.__library__.MSK_bucketsort__3JS_3JJJ_3V(arg_perm,first,last,arg_v,minval,maxval,workspace)
  
        if copy_v: v[:] = tmpv
        if copy_perm: perm[first:last] = tmpperm
  
  
  
  
  return Tools
mosek_fusion_Utils_Tools=__mk_mosek_fusion_Utils_Tools()
#-- END   Class mosek.fusion.Utils.Tools from external file src/fusion/python/Utils_Tools.py
#-- BEGIN Class mosek.fusion.SolverInfo from external file /Users/mosekdaemon/jenkins/workspace/10.1/Distro-pipeline@2/osx64x86/bld/herlev/final/default/fusion/python/SolverInfo.py
def __mk_mosek_fusion_SolverInfo():
  from bisect import bisect_left
  import mosek
  class SolverInfo:
    dinfnames  = [ "anaProScalarizedConstraintMatrixDensity","biCleanDualTime","biCleanPrimalTime","biCleanTime","biDualTime","biPrimalTime","biTime","intpntDualFeas","intpntDualObj","intpntFactorNumFlops","intpntOptStatus","intpntOrderTime","intpntPrimalFeas","intpntPrimalObj","intpntTime","mioCliqueSelectionTime","mioCliqueSeparationTime","mioCmirSelectionTime","mioCmirSeparationTime","mioConstructSolutionObj","mioDualBoundAfterPresolve","mioGmiSelectionTime","mioGmiSeparationTime","mioImpliedBoundSelectionTime","mioImpliedBoundSeparationTime","mioInitialFeasibleSolutionObj","mioKnapsackCoverSelectionTime","mioKnapsackCoverSeparationTime","mioLiproSelectionTime","mioLiproSeparationTime","mioObjAbsGap","mioObjBound","mioObjInt","mioObjRelGap","mioProbingTime","mioRootCutSelectionTime","mioRootCutSeparationTime","mioRootOptimizerTime","mioRootPresolveTime","mioRootTime","mioSymmetryDetectionTime","mioSymmetryFactor","mioTime","mioUserObjCut","optimizerTicks","optimizerTime","presolveEliTime","presolveLindepTime","presolveTime","presolveTotalPrimalPerturbation","primalRepairPenaltyObj","qcqoReformulateMaxPerturbation","qcqoReformulateTime","qcqoReformulateWorstCholeskyColumnScaling","qcqoReformulateWorstCholeskyDiagScaling","readDataTime","remoteTime","simDualTime","simFeas","simObj","simPrimalTime","simTime","solBasDualObj","solBasDviolcon","solBasDviolvar","solBasNrmBarx","solBasNrmSlc","solBasNrmSlx","solBasNrmSuc","solBasNrmSux","solBasNrmXc","solBasNrmXx","solBasNrmY","solBasPrimalObj","solBasPviolcon","solBasPviolvar","solItgNrmBarx","solItgNrmXc","solItgNrmXx","solItgPrimalObj","solItgPviolacc","solItgPviolbarvar","solItgPviolcon","solItgPviolcones","solItgPvioldjc","solItgPviolitg","solItgPviolvar","solItrDualObj","solItrDviolacc","solItrDviolbarvar","solItrDviolcon","solItrDviolcones","solItrDviolvar","solItrNrmBars","solItrNrmBarx","solItrNrmSlc","solItrNrmSlx","solItrNrmSnx","solItrNrmSuc","solItrNrmSux","solItrNrmXc","solItrNrmXx","solItrNrmY","solItrPrimalObj","solItrPviolacc","solItrPviolbarvar","solItrPviolcon","solItrPviolcones","solItrPviolvar","toConicTime","writeDataTime" ];
    iinfnames  = [ "anaProNumCon","anaProNumConEq","anaProNumConFr","anaProNumConLo","anaProNumConRa","anaProNumConUp","anaProNumVar","anaProNumVarBin","anaProNumVarCont","anaProNumVarEq","anaProNumVarFr","anaProNumVarInt","anaProNumVarLo","anaProNumVarRa","anaProNumVarUp","intpntFactorDimDense","intpntIter","intpntNumThreads","intpntSolveDual","mioAbsgapSatisfied","mioCliqueTableSize","mioConstructSolution","mioInitialFeasibleSolution","mioNodeDepth","mioNumActiveNodes","mioNumActiveRootCuts","mioNumBranch","mioNumIntSolutions","mioNumRelax","mioNumRepeatedPresolve","mioNumRestarts","mioNumRootCutRounds","mioNumSelectedCliqueCuts","mioNumSelectedCmirCuts","mioNumSelectedGomoryCuts","mioNumSelectedImpliedBoundCuts","mioNumSelectedKnapsackCoverCuts","mioNumSelectedLiproCuts","mioNumSeparatedCliqueCuts","mioNumSeparatedCmirCuts","mioNumSeparatedGomoryCuts","mioNumSeparatedImpliedBoundCuts","mioNumSeparatedKnapsackCoverCuts","mioNumSeparatedLiproCuts","mioNumSolvedNodes","mioNumbin","mioNumbinconevar","mioNumcon","mioNumcone","mioNumconevar","mioNumcont","mioNumcontconevar","mioNumdexpcones","mioNumdjc","mioNumdpowcones","mioNumint","mioNumintconevar","mioNumpexpcones","mioNumppowcones","mioNumqcones","mioNumrqcones","mioNumvar","mioObjBoundDefined","mioPresolvedNumbin","mioPresolvedNumbinconevar","mioPresolvedNumcon","mioPresolvedNumcone","mioPresolvedNumconevar","mioPresolvedNumcont","mioPresolvedNumcontconevar","mioPresolvedNumdexpcones","mioPresolvedNumdjc","mioPresolvedNumdpowcones","mioPresolvedNumint","mioPresolvedNumintconevar","mioPresolvedNumpexpcones","mioPresolvedNumppowcones","mioPresolvedNumqcones","mioPresolvedNumrqcones","mioPresolvedNumvar","mioRelgapSatisfied","mioTotalNumSelectedCuts","mioTotalNumSeparatedCuts","mioUserObjCut","optNumcon","optNumvar","optimizeResponse","presolveNumPrimalPerturbations","purifyDualSuccess","purifyPrimalSuccess","rdNumbarvar","rdNumcon","rdNumcone","rdNumintvar","rdNumq","rdNumvar","rdProtype","simDualDegIter","simDualHotstart","simDualHotstartLu","simDualInfIter","simDualIter","simNumcon","simNumvar","simPrimalDegIter","simPrimalHotstart","simPrimalHotstartLu","simPrimalInfIter","simPrimalIter","simSolveDual","solBasProsta","solBasSolsta","solItgProsta","solItgSolsta","solItrProsta","solItrSolsta","stoNumARealloc" ];
    liinfnames = [ "anaProScalarizedConstraintMatrixNumColumns","anaProScalarizedConstraintMatrixNumNz","anaProScalarizedConstraintMatrixNumRows","biCleanDualDegIter","biCleanDualIter","biCleanPrimalDegIter","biCleanPrimalIter","biDualIter","biPrimalIter","intpntFactorNumNz","mioAnz","mioIntpntIter","mioNumDualIllposedCer","mioNumPrimIllposedCer","mioPresolvedAnz","mioSimplexIter","rdNumacc","rdNumanz","rdNumdjc","rdNumqnz","simplexIter" ];
    dinfsyms   = [ mosek.dinfitem.ana_pro_scalarized_constraint_matrix_density,mosek.dinfitem.bi_clean_dual_time,mosek.dinfitem.bi_clean_primal_time,mosek.dinfitem.bi_clean_time,mosek.dinfitem.bi_dual_time,mosek.dinfitem.bi_primal_time,mosek.dinfitem.bi_time,mosek.dinfitem.intpnt_dual_feas,mosek.dinfitem.intpnt_dual_obj,mosek.dinfitem.intpnt_factor_num_flops,mosek.dinfitem.intpnt_opt_status,mosek.dinfitem.intpnt_order_time,mosek.dinfitem.intpnt_primal_feas,mosek.dinfitem.intpnt_primal_obj,mosek.dinfitem.intpnt_time,mosek.dinfitem.mio_clique_selection_time,mosek.dinfitem.mio_clique_separation_time,mosek.dinfitem.mio_cmir_selection_time,mosek.dinfitem.mio_cmir_separation_time,mosek.dinfitem.mio_construct_solution_obj,mosek.dinfitem.mio_dual_bound_after_presolve,mosek.dinfitem.mio_gmi_selection_time,mosek.dinfitem.mio_gmi_separation_time,mosek.dinfitem.mio_implied_bound_selection_time,mosek.dinfitem.mio_implied_bound_separation_time,mosek.dinfitem.mio_initial_feasible_solution_obj,mosek.dinfitem.mio_knapsack_cover_selection_time,mosek.dinfitem.mio_knapsack_cover_separation_time,mosek.dinfitem.mio_lipro_selection_time,mosek.dinfitem.mio_lipro_separation_time,mosek.dinfitem.mio_obj_abs_gap,mosek.dinfitem.mio_obj_bound,mosek.dinfitem.mio_obj_int,mosek.dinfitem.mio_obj_rel_gap,mosek.dinfitem.mio_probing_time,mosek.dinfitem.mio_root_cut_selection_time,mosek.dinfitem.mio_root_cut_separation_time,mosek.dinfitem.mio_root_optimizer_time,mosek.dinfitem.mio_root_presolve_time,mosek.dinfitem.mio_root_time,mosek.dinfitem.mio_symmetry_detection_time,mosek.dinfitem.mio_symmetry_factor,mosek.dinfitem.mio_time,mosek.dinfitem.mio_user_obj_cut,mosek.dinfitem.optimizer_ticks,mosek.dinfitem.optimizer_time,mosek.dinfitem.presolve_eli_time,mosek.dinfitem.presolve_lindep_time,mosek.dinfitem.presolve_time,mosek.dinfitem.presolve_total_primal_perturbation,mosek.dinfitem.primal_repair_penalty_obj,mosek.dinfitem.qcqo_reformulate_max_perturbation,mosek.dinfitem.qcqo_reformulate_time,mosek.dinfitem.qcqo_reformulate_worst_cholesky_column_scaling,mosek.dinfitem.qcqo_reformulate_worst_cholesky_diag_scaling,mosek.dinfitem.read_data_time,mosek.dinfitem.remote_time,mosek.dinfitem.sim_dual_time,mosek.dinfitem.sim_feas,mosek.dinfitem.sim_obj,mosek.dinfitem.sim_primal_time,mosek.dinfitem.sim_time,mosek.dinfitem.sol_bas_dual_obj,mosek.dinfitem.sol_bas_dviolcon,mosek.dinfitem.sol_bas_dviolvar,mosek.dinfitem.sol_bas_nrm_barx,mosek.dinfitem.sol_bas_nrm_slc,mosek.dinfitem.sol_bas_nrm_slx,mosek.dinfitem.sol_bas_nrm_suc,mosek.dinfitem.sol_bas_nrm_sux,mosek.dinfitem.sol_bas_nrm_xc,mosek.dinfitem.sol_bas_nrm_xx,mosek.dinfitem.sol_bas_nrm_y,mosek.dinfitem.sol_bas_primal_obj,mosek.dinfitem.sol_bas_pviolcon,mosek.dinfitem.sol_bas_pviolvar,mosek.dinfitem.sol_itg_nrm_barx,mosek.dinfitem.sol_itg_nrm_xc,mosek.dinfitem.sol_itg_nrm_xx,mosek.dinfitem.sol_itg_primal_obj,mosek.dinfitem.sol_itg_pviolacc,mosek.dinfitem.sol_itg_pviolbarvar,mosek.dinfitem.sol_itg_pviolcon,mosek.dinfitem.sol_itg_pviolcones,mosek.dinfitem.sol_itg_pvioldjc,mosek.dinfitem.sol_itg_pviolitg,mosek.dinfitem.sol_itg_pviolvar,mosek.dinfitem.sol_itr_dual_obj,mosek.dinfitem.sol_itr_dviolacc,mosek.dinfitem.sol_itr_dviolbarvar,mosek.dinfitem.sol_itr_dviolcon,mosek.dinfitem.sol_itr_dviolcones,mosek.dinfitem.sol_itr_dviolvar,mosek.dinfitem.sol_itr_nrm_bars,mosek.dinfitem.sol_itr_nrm_barx,mosek.dinfitem.sol_itr_nrm_slc,mosek.dinfitem.sol_itr_nrm_slx,mosek.dinfitem.sol_itr_nrm_snx,mosek.dinfitem.sol_itr_nrm_suc,mosek.dinfitem.sol_itr_nrm_sux,mosek.dinfitem.sol_itr_nrm_xc,mosek.dinfitem.sol_itr_nrm_xx,mosek.dinfitem.sol_itr_nrm_y,mosek.dinfitem.sol_itr_primal_obj,mosek.dinfitem.sol_itr_pviolacc,mosek.dinfitem.sol_itr_pviolbarvar,mosek.dinfitem.sol_itr_pviolcon,mosek.dinfitem.sol_itr_pviolcones,mosek.dinfitem.sol_itr_pviolvar,mosek.dinfitem.to_conic_time,mosek.dinfitem.write_data_time ];
    iinfsyms   = [ mosek.iinfitem.ana_pro_num_con,mosek.iinfitem.ana_pro_num_con_eq,mosek.iinfitem.ana_pro_num_con_fr,mosek.iinfitem.ana_pro_num_con_lo,mosek.iinfitem.ana_pro_num_con_ra,mosek.iinfitem.ana_pro_num_con_up,mosek.iinfitem.ana_pro_num_var,mosek.iinfitem.ana_pro_num_var_bin,mosek.iinfitem.ana_pro_num_var_cont,mosek.iinfitem.ana_pro_num_var_eq,mosek.iinfitem.ana_pro_num_var_fr,mosek.iinfitem.ana_pro_num_var_int,mosek.iinfitem.ana_pro_num_var_lo,mosek.iinfitem.ana_pro_num_var_ra,mosek.iinfitem.ana_pro_num_var_up,mosek.iinfitem.intpnt_factor_dim_dense,mosek.iinfitem.intpnt_iter,mosek.iinfitem.intpnt_num_threads,mosek.iinfitem.intpnt_solve_dual,mosek.iinfitem.mio_absgap_satisfied,mosek.iinfitem.mio_clique_table_size,mosek.iinfitem.mio_construct_solution,mosek.iinfitem.mio_initial_feasible_solution,mosek.iinfitem.mio_node_depth,mosek.iinfitem.mio_num_active_nodes,mosek.iinfitem.mio_num_active_root_cuts,mosek.iinfitem.mio_num_branch,mosek.iinfitem.mio_num_int_solutions,mosek.iinfitem.mio_num_relax,mosek.iinfitem.mio_num_repeated_presolve,mosek.iinfitem.mio_num_restarts,mosek.iinfitem.mio_num_root_cut_rounds,mosek.iinfitem.mio_num_selected_clique_cuts,mosek.iinfitem.mio_num_selected_cmir_cuts,mosek.iinfitem.mio_num_selected_gomory_cuts,mosek.iinfitem.mio_num_selected_implied_bound_cuts,mosek.iinfitem.mio_num_selected_knapsack_cover_cuts,mosek.iinfitem.mio_num_selected_lipro_cuts,mosek.iinfitem.mio_num_separated_clique_cuts,mosek.iinfitem.mio_num_separated_cmir_cuts,mosek.iinfitem.mio_num_separated_gomory_cuts,mosek.iinfitem.mio_num_separated_implied_bound_cuts,mosek.iinfitem.mio_num_separated_knapsack_cover_cuts,mosek.iinfitem.mio_num_separated_lipro_cuts,mosek.iinfitem.mio_num_solved_nodes,mosek.iinfitem.mio_numbin,mosek.iinfitem.mio_numbinconevar,mosek.iinfitem.mio_numcon,mosek.iinfitem.mio_numcone,mosek.iinfitem.mio_numconevar,mosek.iinfitem.mio_numcont,mosek.iinfitem.mio_numcontconevar,mosek.iinfitem.mio_numdexpcones,mosek.iinfitem.mio_numdjc,mosek.iinfitem.mio_numdpowcones,mosek.iinfitem.mio_numint,mosek.iinfitem.mio_numintconevar,mosek.iinfitem.mio_numpexpcones,mosek.iinfitem.mio_numppowcones,mosek.iinfitem.mio_numqcones,mosek.iinfitem.mio_numrqcones,mosek.iinfitem.mio_numvar,mosek.iinfitem.mio_obj_bound_defined,mosek.iinfitem.mio_presolved_numbin,mosek.iinfitem.mio_presolved_numbinconevar,mosek.iinfitem.mio_presolved_numcon,mosek.iinfitem.mio_presolved_numcone,mosek.iinfitem.mio_presolved_numconevar,mosek.iinfitem.mio_presolved_numcont,mosek.iinfitem.mio_presolved_numcontconevar,mosek.iinfitem.mio_presolved_numdexpcones,mosek.iinfitem.mio_presolved_numdjc,mosek.iinfitem.mio_presolved_numdpowcones,mosek.iinfitem.mio_presolved_numint,mosek.iinfitem.mio_presolved_numintconevar,mosek.iinfitem.mio_presolved_numpexpcones,mosek.iinfitem.mio_presolved_numppowcones,mosek.iinfitem.mio_presolved_numqcones,mosek.iinfitem.mio_presolved_numrqcones,mosek.iinfitem.mio_presolved_numvar,mosek.iinfitem.mio_relgap_satisfied,mosek.iinfitem.mio_total_num_selected_cuts,mosek.iinfitem.mio_total_num_separated_cuts,mosek.iinfitem.mio_user_obj_cut,mosek.iinfitem.opt_numcon,mosek.iinfitem.opt_numvar,mosek.iinfitem.optimize_response,mosek.iinfitem.presolve_num_primal_perturbations,mosek.iinfitem.purify_dual_success,mosek.iinfitem.purify_primal_success,mosek.iinfitem.rd_numbarvar,mosek.iinfitem.rd_numcon,mosek.iinfitem.rd_numcone,mosek.iinfitem.rd_numintvar,mosek.iinfitem.rd_numq,mosek.iinfitem.rd_numvar,mosek.iinfitem.rd_protype,mosek.iinfitem.sim_dual_deg_iter,mosek.iinfitem.sim_dual_hotstart,mosek.iinfitem.sim_dual_hotstart_lu,mosek.iinfitem.sim_dual_inf_iter,mosek.iinfitem.sim_dual_iter,mosek.iinfitem.sim_numcon,mosek.iinfitem.sim_numvar,mosek.iinfitem.sim_primal_deg_iter,mosek.iinfitem.sim_primal_hotstart,mosek.iinfitem.sim_primal_hotstart_lu,mosek.iinfitem.sim_primal_inf_iter,mosek.iinfitem.sim_primal_iter,mosek.iinfitem.sim_solve_dual,mosek.iinfitem.sol_bas_prosta,mosek.iinfitem.sol_bas_solsta,mosek.iinfitem.sol_itg_prosta,mosek.iinfitem.sol_itg_solsta,mosek.iinfitem.sol_itr_prosta,mosek.iinfitem.sol_itr_solsta,mosek.iinfitem.sto_num_a_realloc ];
    liinfsyms  = [ mosek.liinfitem.ana_pro_scalarized_constraint_matrix_num_columns,mosek.liinfitem.ana_pro_scalarized_constraint_matrix_num_nz,mosek.liinfitem.ana_pro_scalarized_constraint_matrix_num_rows,mosek.liinfitem.bi_clean_dual_deg_iter,mosek.liinfitem.bi_clean_dual_iter,mosek.liinfitem.bi_clean_primal_deg_iter,mosek.liinfitem.bi_clean_primal_iter,mosek.liinfitem.bi_dual_iter,mosek.liinfitem.bi_primal_iter,mosek.liinfitem.intpnt_factor_num_nz,mosek.liinfitem.mio_anz,mosek.liinfitem.mio_intpnt_iter,mosek.liinfitem.mio_num_dual_illposed_cer,mosek.liinfitem.mio_num_prim_illposed_cer,mosek.liinfitem.mio_presolved_anz,mosek.liinfitem.mio_simplex_iter,mosek.liinfitem.rd_numacc,mosek.liinfitem.rd_numanz,mosek.liinfitem.rd_numdjc,mosek.liinfitem.rd_numqnz,mosek.liinfitem.simplex_iter ];
    @staticmethod
    def _getdouinf(infname):
      idx = bisect_left(SolverInfo.dinfnames, infname)
      if idx != len(SolverInfo.dinfnames) and SolverInfo.dinfnames[idx] == infname:
        return SolverInfo.dinfsyms[idx]
      else:
        return None
    @staticmethod
    def _getintinf(infname):
      idx = bisect_left(SolverInfo.iinfnames, infname)
      if idx != len(SolverInfo.iinfnames) and SolverInfo.iinfnames[idx] == infname:
        return SolverInfo.iinfsyms[idx]
      else:
        return None
    @staticmethod
    def _getlintinf(infname):
      idx = bisect_left(SolverInfo.liinfnames, infname)
      if idx != len(SolverInfo.liinfnames) and SolverInfo.liinfnames[idx] == infname:
        return SolverInfo.liinfsyms[idx]
      else:
        return None
  return SolverInfo
mosek_fusion_SolverInfo=__mk_mosek_fusion_SolverInfo()
#-- END   Class mosek.fusion.SolverInfo from external file /Users/mosekdaemon/jenkins/workspace/10.1/Distro-pipeline@2/osx64x86/bld/herlev/final/default/fusion/python/SolverInfo.py
def __arg_match_Lmosek_4fusion_4PSDConstraint_2__(v):
  return v is None or isinstance(v,mosek_fusion_PSDConstraint)
def __arg_alt_match_Lmosek_4fusion_4PSDConstraint_2__(v):
  return __arg_match_Lmosek_4fusion_4PSDConstraint_2__(v)

def __arg_match_Lmosek_4fusion_4RangedConstraint_2__(v):
  return v is None or isinstance(v,mosek_fusion_RangedConstraint)
def __arg_alt_match_Lmosek_4fusion_4RangedConstraint_2__(v):
  return __arg_match_Lmosek_4fusion_4RangedConstraint_2__(v)

def __arg_match__3Lmosek_4fusion_4Variable_2__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([isinstance(i,mosek_fusion_Variable) for i in v.flatten()])
def __arg_alt_match__3Lmosek_4fusion_4Variable_2__(v):
  return __arg_match__3Lmosek_4fusion_4Variable_2__(v) or __arg_match_listof__(v,__arg_alt_match_Lmosek_4fusion_4Variable_2__)

def __arg_match_LSystem_4DataStream_2__(v):
  return v is None or isinstance(v,object)
def __arg_alt_match_LSystem_4DataStream_2__(v):
  return __arg_match_LSystem_4DataStream_2__(v)

def __arg_match_I__(v):
  return isinstance(v,numpy.int32) or isinstance(v,numpy.int64) or isinstance(v,int)
def __arg_alt_match_I__(v):
  return __arg_match_I__(v)

def __arg_match_D__(v):
  return isinstance(v,numpy.float64) or isinstance(v,float) or isinstance(v,int) or isinstance(v,numpy.int32) or isinstance(v,numpy.int64)
def __arg_alt_match_D__(v):
  return __arg_match_D__(v)

def __arg_match_Lmosek_4fusion_4BaseExpression_2__(v):
  return v is None or isinstance(v,mosek_fusion_BaseExpression)
def __arg_alt_match_Lmosek_4fusion_4BaseExpression_2__(v):
  return __arg_match_Lmosek_4fusion_4BaseExpression_2__(v)

def __arg_match_Emosek_4fusion_4PSDKey_2__(v):
  return isinstance(v,mosek_fusion_PSDKey)
def __arg_alt_match_Emosek_4fusion_4PSDKey_2__(v):
  return isinstance(v,mosek_fusion_PSDKey)

def __arg_match_Emosek_4fusion_4SolutionType_2__(v):
  return isinstance(v,mosek_fusion_SolutionType)
def __arg_alt_match_Emosek_4fusion_4SolutionType_2__(v):
  return isinstance(v,mosek_fusion_SolutionType)

def __arg_match_Lmosek_4fusion_4RangedVariable_2__(v):
  return v is None or isinstance(v,mosek_fusion_RangedVariable)
def __arg_alt_match_Lmosek_4fusion_4RangedVariable_2__(v):
  return __arg_match_Lmosek_4fusion_4RangedVariable_2__(v)

def __arg_match__3Lmosek_4fusion_4Term_2__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([isinstance(i,mosek_fusion_Term) for i in v.flatten()])
def __arg_alt_match__3Lmosek_4fusion_4Term_2__(v):
  return __arg_match__3Lmosek_4fusion_4Term_2__(v) or __arg_match_listof__(v,__arg_alt_match_Lmosek_4fusion_4Term_2__)

def __arg_match_Lmosek_4fusion_4NDSparseArray_2__(v):
  return v is None or isinstance(v,mosek_fusion_NDSparseArray)
def __arg_alt_match_Lmosek_4fusion_4NDSparseArray_2__(v):
  return __arg_match_Lmosek_4fusion_4NDSparseArray_2__(v)

def __arg_match_Lmosek_4fusion_4SliceConstraint_2__(v):
  return v is None or isinstance(v,mosek_fusion_SliceConstraint)
def __arg_alt_match_Lmosek_4fusion_4SliceConstraint_2__(v):
  return __arg_match_Lmosek_4fusion_4SliceConstraint_2__(v)

def __arg_match_Emosek_4fusion_4ProblemStatus_2__(v):
  return isinstance(v,mosek_fusion_ProblemStatus)
def __arg_alt_match_Emosek_4fusion_4ProblemStatus_2__(v):
  return isinstance(v,mosek_fusion_ProblemStatus)

def __arg_match__3_3D__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([__arg_match__3D__(i) for i in v.flatten()])
def __arg_alt_match__3_3D__(v):
  return __arg_match__3_3D__(v) or __arg_match_listof__(v,__arg_alt_match__3D__)

def __arg_match_Lmosek_4fusion_4DJCDomain_2__(v):
  return v is None or isinstance(v,mosek_fusion_DJCDomain)
def __arg_alt_match_Lmosek_4fusion_4DJCDomain_2__(v):
  return __arg_match_Lmosek_4fusion_4DJCDomain_2__(v)

def __arg_match_Lmosek_4fusion_4ModelVariable_2__(v):
  return v is None or isinstance(v,mosek_fusion_ModelVariable)
def __arg_alt_match_Lmosek_4fusion_4ModelVariable_2__(v):
  return __arg_match_Lmosek_4fusion_4ModelVariable_2__(v)

def __arg_match_Lmosek_4fusion_4LinkedBlocks_2__(v):
  return v is None or isinstance(v,mosek_fusion_LinkedBlocks)
def __arg_alt_match_Lmosek_4fusion_4LinkedBlocks_2__(v):
  return __arg_match_Lmosek_4fusion_4LinkedBlocks_2__(v)

def __arg_match__3_3Lmosek_4fusion_4Parameter_2__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([__arg_match__3Lmosek_4fusion_4Parameter_2__(i) for i in v.flatten()])
def __arg_alt_match__3_3Lmosek_4fusion_4Parameter_2__(v):
  return __arg_match__3_3Lmosek_4fusion_4Parameter_2__(v) or __arg_match_listof__(v,__arg_alt_match__3Lmosek_4fusion_4Parameter_2__)

def __arg_match_Lmosek_4fusion_4SliceVariable_2__(v):
  return v is None or isinstance(v,mosek_fusion_SliceVariable)
def __arg_alt_match_Lmosek_4fusion_4SliceVariable_2__(v):
  return __arg_match_Lmosek_4fusion_4SliceVariable_2__(v)

def __arg_match__3Lmosek_4fusion_4Expression_2__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([isinstance(i,mosek_fusion_Expression) for i in v.flatten()])
def __arg_alt_match__3Lmosek_4fusion_4Expression_2__(v):
  return __arg_match__3Lmosek_4fusion_4Expression_2__(v) or __arg_match_listof__(v,__arg_alt_match_Lmosek_4fusion_4Expression_2__)

def __arg_match_J__(v):
  return isinstance(v,numpy.int64) or isinstance(v,int) or isinstance(v,numpy.int32)
def __arg_alt_match_J__(v):
  return __arg_match_J__(v)

def __arg_match_Lmosek_4fusion_4Constraint_2__(v):
  return v is None or isinstance(v,mosek_fusion_Constraint)
def __arg_alt_match_Lmosek_4fusion_4Constraint_2__(v):
  return __arg_match_Lmosek_4fusion_4Constraint_2__(v)

def __arg_match__3J__(v):
  return v is None or (isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(numpy.int64))
def __arg_alt_match__3J__(v):
  return __arg_match__3J__(v) or __arg_match_listof__(v,__arg_alt_match_J__)

def __arg_match__3_3J__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([__arg_match__3J__(i) for i in v.flatten()])
def __arg_alt_match__3_3J__(v):
  return __arg_match__3_3J__(v) or __arg_match_listof__(v,__arg_alt_match__3J__)

def __arg_match_Lmosek_4fusion_4LinearPSDConstraint_2__(v):
  return v is None or isinstance(v,mosek_fusion_LinearPSDConstraint)
def __arg_alt_match_Lmosek_4fusion_4LinearPSDConstraint_2__(v):
  return __arg_match_Lmosek_4fusion_4LinearPSDConstraint_2__(v)

def __arg_match_Lmosek_4fusion_4LinearPSDVariable_2__(v):
  return v is None or isinstance(v,mosek_fusion_LinearPSDVariable)
def __arg_alt_match_Lmosek_4fusion_4LinearPSDVariable_2__(v):
  return __arg_match_Lmosek_4fusion_4LinearPSDVariable_2__(v)

def __arg_match_Lmosek_4fusion_4SymmetricMatrix_2__(v):
  return v is None or isinstance(v,mosek_fusion_SymmetricMatrix)
def __arg_alt_match_Lmosek_4fusion_4SymmetricMatrix_2__(v):
  return __arg_match_Lmosek_4fusion_4SymmetricMatrix_2__(v)

def __arg_match__3D__(v):
  return v is None or (isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(numpy.float64))
def __arg_alt_match__3D__(v):
  return __arg_match__3D__(v) or __arg_match_listof__(v,__arg_alt_match_D__)

def __arg_match_Lmosek_4fusion_4ConicVariable_2__(v):
  return v is None or isinstance(v,mosek_fusion_ConicVariable)
def __arg_alt_match_Lmosek_4fusion_4ConicVariable_2__(v):
  return __arg_match_Lmosek_4fusion_4ConicVariable_2__(v)

def __arg_match__3I__(v):
  return v is None or (isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(numpy.int32))
def __arg_alt_match__3I__(v):
  return __arg_match__3I__(v) or __arg_match_listof__(v,__arg_alt_match_I__) or isinstance(v,range)

def __arg_match__3_5D__(v):
  return v is None or (isinstance(v,numpy.ndarray) and v.ndim == 2 and v.dtype == numpy.dtype(numpy.float64))
def __arg_alt_match__3_5D__(v):
  return _monty.arg_match_sloppy_array(v,__arg_alt_match_D__,2)

def __arg_match_Lmosek_4fusion_4LinearVariable_2__(v):
  return v is None or isinstance(v,mosek_fusion_LinearVariable)
def __arg_alt_match_Lmosek_4fusion_4LinearVariable_2__(v):
  return __arg_match_Lmosek_4fusion_4LinearVariable_2__(v)

def __arg_match__3Lmosek_4fusion_4Model_2__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([isinstance(i,mosek_fusion_Model) for i in v.flatten()])
def __arg_alt_match__3Lmosek_4fusion_4Model_2__(v):
  return __arg_match__3Lmosek_4fusion_4Model_2__(v) or __arg_match_listof__(v,__arg_alt_match_Lmosek_4fusion_4Model_2__)

def __arg_match_Lmosek_4fusion_4RangeDomain_2__(v):
  return v is None or isinstance(v,mosek_fusion_RangeDomain)
def __arg_alt_match_Lmosek_4fusion_4RangeDomain_2__(v):
  return __arg_match_Lmosek_4fusion_4RangeDomain_2__(v)

def __arg_match_LSystem_4StreamWriter_2__(v):
  return v is None or isinstance(v,object)
def __arg_alt_match_LSystem_4StreamWriter_2__(v):
  return __arg_match_LSystem_4StreamWriter_2__(v)

def __arg_match_Lmosek_4fusion_4RowBlockManager_2__(v):
  return v is None or isinstance(v,mosek_fusion_RowBlockManager)
def __arg_alt_match_Lmosek_4fusion_4RowBlockManager_2__(v):
  return __arg_match_Lmosek_4fusion_4RowBlockManager_2__(v)

def __arg_match__3S__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == object and all([isinstance(i0,str) for i0 in v ])
def __arg_alt_match__3S__(v):
  return __arg_match__3S__(v) or __arg_match_listof__(v,__arg_alt_match_S__)

def __arg_match_Lmosek_4fusion_4PSDDomain_2__(v):
  return v is None or isinstance(v,mosek_fusion_PSDDomain)
def __arg_alt_match_Lmosek_4fusion_4PSDDomain_2__(v):
  return __arg_match_Lmosek_4fusion_4PSDDomain_2__(v)

def __arg_match__3_5I__(v):
  return v is None or (isinstance(v,numpy.ndarray) and v.ndim == 2 and v.dtype == numpy.dtype(numpy.int32))
def __arg_alt_match__3_5I__(v):
  return _monty.arg_match_sloppy_array(v,__arg_alt_match_I__,2)

def __arg_match_Lmosek_4fusion_4LinearDomain_2__(v):
  return v is None or isinstance(v,mosek_fusion_LinearDomain)
def __arg_alt_match_Lmosek_4fusion_4LinearDomain_2__(v):
  return __arg_match_Lmosek_4fusion_4LinearDomain_2__(v)

def __arg_match_Lmosek_4fusion_4LinkedInts_2__(v):
  return v is None or isinstance(v,mosek_fusion_LinkedInts)
def __arg_alt_match_Lmosek_4fusion_4LinkedInts_2__(v):
  return __arg_match_Lmosek_4fusion_4LinkedInts_2__(v)

def __arg_match_Emosek_4fusion_4DJCDomainType_2__(v):
  return isinstance(v,mosek_fusion_DJCDomainType)
def __arg_alt_match_Emosek_4fusion_4DJCDomainType_2__(v):
  return isinstance(v,mosek_fusion_DJCDomainType)

def __arg_match_Emosek_4fusion_4SolutionStatus_2__(v):
  return isinstance(v,mosek_fusion_SolutionStatus)
def __arg_alt_match_Emosek_4fusion_4SolutionStatus_2__(v):
  return isinstance(v,mosek_fusion_SolutionStatus)

def __arg_match_LSystem_4CallbackHandler_2__(v):
  return v is None or isinstance(v,object)
def __arg_alt_match_LSystem_4CallbackHandler_2__(v):
  return __arg_match_LSystem_4CallbackHandler_2__(v)

def __arg_match_Lmosek_4fusion_4Matrix_2__(v):
  return v is None or isinstance(v,mosek_fusion_Matrix)
def __arg_alt_match_Lmosek_4fusion_4Matrix_2__(v):
  return __arg_match_Lmosek_4fusion_4Matrix_2__(v)

def __arg_match_Emosek_4fusion_4AccSolutionStatus_2__(v):
  return isinstance(v,mosek_fusion_AccSolutionStatus)
def __arg_alt_match_Emosek_4fusion_4AccSolutionStatus_2__(v):
  return isinstance(v,mosek_fusion_AccSolutionStatus)

def __arg_match__3Lmosek_4fusion_4Constraint_2__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([isinstance(i,mosek_fusion_Constraint) for i in v.flatten()])
def __arg_alt_match__3Lmosek_4fusion_4Constraint_2__(v):
  return __arg_match__3Lmosek_4fusion_4Constraint_2__(v) or __arg_match_listof__(v,__arg_alt_match_Lmosek_4fusion_4Constraint_2__)

def __arg_match_Lmosek_4fusion_4Parameter_2__(v):
  return v is None or isinstance(v,mosek_fusion_Parameter)
def __arg_alt_match_Lmosek_4fusion_4Parameter_2__(v):
  return __arg_match_Lmosek_4fusion_4Parameter_2__(v)

def __arg_match_Lmosek_4fusion_4ModelConstraint_2__(v):
  return v is None or isinstance(v,mosek_fusion_ModelConstraint)
def __arg_alt_match_Lmosek_4fusion_4ModelConstraint_2__(v):
  return __arg_match_Lmosek_4fusion_4ModelConstraint_2__(v)

def __arg_match_Lmosek_4fusion_4PSDVariable_2__(v):
  return v is None or isinstance(v,mosek_fusion_PSDVariable)
def __arg_alt_match_Lmosek_4fusion_4PSDVariable_2__(v):
  return __arg_match_Lmosek_4fusion_4PSDVariable_2__(v)

def __arg_match_Lmosek_4fusion_4Term_2__(v):
  return v is None or isinstance(v,mosek_fusion_Term)
def __arg_alt_match_Lmosek_4fusion_4Term_2__(v):
  return __arg_match_Lmosek_4fusion_4Term_2__(v)

def __arg_match__3_3S__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([__arg_match__3S__(i) for i in v.flatten()])
def __arg_alt_match__3_3S__(v):
  return __arg_match__3_3S__(v) or __arg_match_listof__(v,__arg_alt_match__3S__)

def __arg_match_Lmosek_4fusion_4Utils_4StringBuffer_2__(v):
  return v is None or isinstance(v,mosek_fusion_Utils_StringBuffer)
def __arg_alt_match_Lmosek_4fusion_4Utils_4StringBuffer_2__(v):
  return __arg_match_Lmosek_4fusion_4Utils_4StringBuffer_2__(v)

def __arg_match__3_3I__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([__arg_match__3I__(i) for i in v.flatten()])
def __arg_alt_match__3_3I__(v):
  return __arg_match__3_3I__(v) or __arg_match_listof__(v,__arg_alt_match__3I__)

def __arg_match_Lmosek_4fusion_4BaseVariable_2__(v):
  return v is None or isinstance(v,mosek_fusion_BaseVariable)
def __arg_alt_match_Lmosek_4fusion_4BaseVariable_2__(v):
  return __arg_match_Lmosek_4fusion_4BaseVariable_2__(v)

def __arg_match_Lmosek_4fusion_4Model_2__(v):
  return v is None or isinstance(v,mosek_fusion_Model)
def __arg_alt_match_Lmosek_4fusion_4Model_2__(v):
  return __arg_match_Lmosek_4fusion_4Model_2__(v)

def __arg_match_Lmosek_4fusion_4FusionException_2__(v):
  return v is None or isinstance(v,mosek_fusion_FusionException)
def __arg_alt_match_Lmosek_4fusion_4FusionException_2__(v):
  return __arg_match_Lmosek_4fusion_4FusionException_2__(v)

def __arg_match_Lmosek_4fusion_4ParameterImpl_2__(v):
  return v is None or isinstance(v,mosek_fusion_ParameterImpl)
def __arg_alt_match_Lmosek_4fusion_4ParameterImpl_2__(v):
  return __arg_match_Lmosek_4fusion_4ParameterImpl_2__(v)

def __arg_match_Lmosek_4fusion_4SolutionStruct_2__(v):
  return v is None or isinstance(v,mosek_fusion_SolutionStruct)
def __arg_alt_match_Lmosek_4fusion_4SolutionStruct_2__(v):
  return __arg_match_Lmosek_4fusion_4SolutionStruct_2__(v)

def __arg_match_Emosek_4fusion_4RelationKey_2__(v):
  return isinstance(v,mosek_fusion_RelationKey)
def __arg_alt_match_Emosek_4fusion_4RelationKey_2__(v):
  return isinstance(v,mosek_fusion_RelationKey)

def __arg_match__3_3Lmosek_4fusion_4Expression_2__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([__arg_match__3Lmosek_4fusion_4Expression_2__(i) for i in v.flatten()])
def __arg_alt_match__3_3Lmosek_4fusion_4Expression_2__(v):
  return __arg_match__3_3Lmosek_4fusion_4Expression_2__(v) or __arg_match_listof__(v,__arg_alt_match__3Lmosek_4fusion_4Expression_2__)

def __arg_match__3Lmosek_4fusion_4Parameter_2__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([isinstance(i,mosek_fusion_Parameter) for i in v.flatten()])
def __arg_alt_match__3Lmosek_4fusion_4Parameter_2__(v):
  return __arg_match__3Lmosek_4fusion_4Parameter_2__(v) or __arg_match_listof__(v,__arg_alt_match_Lmosek_4fusion_4Parameter_2__)

def __arg_match__3_3Lmosek_4fusion_4Matrix_2__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([__arg_match__3Lmosek_4fusion_4Matrix_2__(i) for i in v.flatten()])
def __arg_alt_match__3_3Lmosek_4fusion_4Matrix_2__(v):
  return __arg_match__3_3Lmosek_4fusion_4Matrix_2__(v) or __arg_match_listof__(v,__arg_alt_match__3Lmosek_4fusion_4Matrix_2__)

def __arg_match_Lmosek_4fusion_4LinearConstraint_2__(v):
  return v is None or isinstance(v,mosek_fusion_LinearConstraint)
def __arg_alt_match_Lmosek_4fusion_4LinearConstraint_2__(v):
  return __arg_match_Lmosek_4fusion_4LinearConstraint_2__(v)

def __arg_match__3Lmosek_4fusion_4SimpleTerm_2__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([isinstance(i,mosek_fusion_SimpleTerm) for i in v.flatten()])
def __arg_alt_match__3Lmosek_4fusion_4SimpleTerm_2__(v):
  return __arg_match__3Lmosek_4fusion_4SimpleTerm_2__(v) or __arg_match_listof__(v,__arg_alt_match_Lmosek_4fusion_4SimpleTerm_2__)

def __arg_match_Emosek_4fusion_4QConeKey_2__(v):
  return isinstance(v,mosek_fusion_QConeKey)
def __arg_alt_match_Emosek_4fusion_4QConeKey_2__(v):
  return isinstance(v,mosek_fusion_QConeKey)

def __arg_match_Lmosek_4fusion_4SimpleTerm_2__(v):
  return v is None or isinstance(v,mosek_fusion_SimpleTerm)
def __arg_alt_match_Lmosek_4fusion_4SimpleTerm_2__(v):
  return __arg_match_Lmosek_4fusion_4SimpleTerm_2__(v)

def __arg_match_Lmosek_4fusion_4Variable_2__(v):
  return v is None or isinstance(v,mosek_fusion_Variable)
def __arg_alt_match_Lmosek_4fusion_4Variable_2__(v):
  return __arg_match_Lmosek_4fusion_4Variable_2__(v)

def __arg_match_LSystem_4DataCallbackHandler_2__(v):
  return v is None or isinstance(v,object)
def __arg_alt_match_LSystem_4DataCallbackHandler_2__(v):
  return __arg_match_LSystem_4DataCallbackHandler_2__(v)

def __arg_match_Lmosek_4fusion_4Expression_2__(v):
  return v is None or isinstance(v,mosek_fusion_Expression)
def __arg_alt_match_Lmosek_4fusion_4Expression_2__(v):
  return __arg_match_Lmosek_4fusion_4Expression_2__(v)

def __arg_match_Lmosek_4fusion_4WorkStack_2__(v):
  return v is None or isinstance(v,mosek_fusion_WorkStack)
def __arg_alt_match_Lmosek_4fusion_4WorkStack_2__(v):
  return __arg_match_Lmosek_4fusion_4WorkStack_2__(v)

def __arg_match_Emosek_4fusion_4ObjectiveSense_2__(v):
  return isinstance(v,mosek_fusion_ObjectiveSense)
def __arg_alt_match_Emosek_4fusion_4ObjectiveSense_2__(v):
  return isinstance(v,mosek_fusion_ObjectiveSense)

def __arg_match__3_3Lmosek_4fusion_4Variable_2__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([__arg_match__3Lmosek_4fusion_4Variable_2__(i) for i in v.flatten()])
def __arg_alt_match__3_3Lmosek_4fusion_4Variable_2__(v):
  return __arg_match__3_3Lmosek_4fusion_4Variable_2__(v) or __arg_match_listof__(v,__arg_alt_match__3Lmosek_4fusion_4Variable_2__)

def __arg_match_Lmosek_4fusion_4ConicConstraint_2__(v):
  return v is None or isinstance(v,mosek_fusion_ConicConstraint)
def __arg_alt_match_Lmosek_4fusion_4ConicConstraint_2__(v):
  return __arg_match_Lmosek_4fusion_4ConicConstraint_2__(v)

def __arg_match__3Lmosek_4fusion_4Matrix_2__(v):
  return isinstance(v,numpy.ndarray) and v.ndim == 1 and v.dtype == numpy.dtype(object) and all([isinstance(i,mosek_fusion_Matrix) for i in v.flatten()])
def __arg_alt_match__3Lmosek_4fusion_4Matrix_2__(v):
  return __arg_match__3Lmosek_4fusion_4Matrix_2__(v) or __arg_match_listof__(v,__arg_alt_match_Lmosek_4fusion_4Matrix_2__)

def __arg_match_Lmosek_4fusion_4ConeDomain_2__(v):
  return v is None or isinstance(v,mosek_fusion_ConeDomain)
def __arg_alt_match_Lmosek_4fusion_4ConeDomain_2__(v):
  return __arg_match_Lmosek_4fusion_4ConeDomain_2__(v)

def __arg_match_Z__(v):
  return isinstance(v,bool) or isinstance(v,numpy.bool_)
def __arg_alt_match_Z__(v):
  return __arg_match_Z__(v)

def __arg_match_S__(v):
  return isinstance(v,str)
def __arg_alt_match_S__(v):
  return __arg_match_S__(v)

def __arg_match_listof__(v,f): return isinstance(v,list) and all([ f(i) for i in v])
import mosek
import mosek.fusion
import mosek.fusion.Utils
from . import fragments
